(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[  16781795,     391710]
NotebookOptionsPosition[  16721297,     390818]
NotebookOutlinePosition[  16721721,     390835]
CellTagsIndexPosition[  16721678,     390832]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Initialization", "Title",
 CellChangeTimes->{{3.782624936755896*^9, 
  3.78262494500487*^9}},ExpressionUUID->"9a643c6d-1044-4612-8f7a-\
377e028cd777"],

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<MaTeX`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"MaTeX", ",", 
    RowBox[{"\"\<Preamble\>\"", "\[Rule]", 
     RowBox[{
     "{", "\"\<\\\\usepackage{amssymb,amsmath,latexsym,amsfonts,amsthm,\
mathpazo,xcolor,bm,mhchem,inputenc,fontenc,txfonts}\>\"", "}"}]}]}], "]"}], 
  ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7288240181604652`*^9, 3.728824027007351*^9}, {
  3.733131339213026*^9, 3.733131352923026*^9}, {3.797008990917596*^9, 
  3.797008999040923*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"8b7c0bbd-9f99-42dc-b8a5-a4dc3cb8cc89"],

Cell[BoxData[
 RowBox[{
  RowBox[{"HaToeV", "=", "27.21138602"}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7208031947801647`*^9, 3.7208032000677156`*^9}, {
  3.7208034541742477`*^9, 3.720803455246439*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"b24e8243-3c38-4b03-af3a-708cb1afa004"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Delta]", 
    RowBox[{"a_", ",", "b_"}]], ":=", 
   RowBox[{"KroneckerDelta", "[", 
    RowBox[{"a", ",", "b"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{3.5767843605069733`*^9},
 CellLabel->"In[4]:=",ExpressionUUID->"5822ee69-a453-46a0-9a58-bd14b8a97301"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["F", "0"], "[", "t_", "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"t", "\[Equal]", "0"}], ",", "1", ",", 
     RowBox[{
      FractionBox["1", "2"], 
      SqrtBox[
       FractionBox["\[Pi]", "t"]], 
      RowBox[{"Erf", "[", 
       SqrtBox["t"], "]"}]}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5764508510320177`*^9, 3.576450882688406*^9}, {
   3.576460057492025*^9, 3.5764600828205853`*^9}, {3.5764671476781178`*^9, 
   3.5764671766921053`*^9}, {3.579916170955673*^9, 3.579916171041703*^9}, {
   3.579916284781068*^9, 3.5799162848679523`*^9}, {3.579917335658855*^9, 
   3.5799173370087748`*^9}, 3.57991775752785*^9, {3.580013360449069*^9, 
   3.580013371032818*^9}, {3.791204493514099*^9, 3.791204494904435*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"43788edb-8cf4-404a-88d1-db5bf1515eb0"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]", "[", "x_", "]"}], ":=", 
   RowBox[{"Gamma", "[", "x", "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.5767843605069733`*^9, {3.668756017902652*^9, 3.668756027660227*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"058853fd-911e-44b3-8eac-1c3fbeb8c4a5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"$Assumptions", "\[Rule]", 
   RowBox[{"R", ">", "0"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790612553197805*^9, 3.790612558626453*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"5dbbd40c-d911-445f-b476-85cd91f8d014"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]", "[", "x_", "]"}], "=", 
   RowBox[{"Gamma", "[", "x", "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.620091249045209*^9, 3.620091256349896*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"c5c88208-974b-4c9d-86a9-31efb9b3c85a"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]", "[", 
    RowBox[{"x_", ",", "t_"}], "]"}], "=", 
   RowBox[{"Gamma", "[", 
    RowBox[{"x", ",", "t"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.620091249045209*^9, 3.620091256349896*^9}, {
   3.704214802395891*^9, 3.704214804620158*^9}, 3.7042148560155077`*^9},
 CellLabel->"In[9]:=",ExpressionUUID->"cf7112e5-370d-4bcb-8469-3da5235ff58e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Delta]", 
    RowBox[{"a_", ",", "b_"}]], "=", 
   RowBox[{"KroneckerDelta", "[", 
    RowBox[{"a", ",", "b"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellLabel->"In[10]:=",ExpressionUUID->"ecc8a01b-6f90-4275-94eb-6ed00a7f4bf9"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Delta]", "x_"], "=", 
   RowBox[{"KroneckerDelta", "[", "x", "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellLabel->"In[11]:=",ExpressionUUID->"e1f4de2c-8ef0-40b7-bf26-ad419695aaaa"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["H", "n_"], "[", "x_", "]"}], "=", 
   RowBox[{"HermiteH", "[", 
    RowBox[{"n", ",", "x"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7059011922605753`*^9, 3.7059012051075983`*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"1c9652b7-1035-4b53-a43b-1542b5af9d9b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SortEigensystem", "[", "eigsys_", "]"}], ":=", 
  RowBox[{"Transpose", "[", 
   RowBox[{"Sort", "[", 
    RowBox[{"Transpose", "[", "eigsys", "]"}], "]"}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.599786486896736*^9, 3.599786490712386*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"98eaecf0-9ed9-4131-ae77-d154d0a06c05"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SortEigensystemGreater", "[", "eigsys_", "]"}], ":=", 
  RowBox[{"Transpose", "[", 
   RowBox[{"Sort", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", "eigsys", "]"}], ",", "Greater"}], "]"}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellLabel->"In[14]:=",ExpressionUUID->"e145d619-659e-4f7d-941b-2fd636fd8dfe"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TakeMOs", "[", 
    RowBox[{"c_", ",", "n_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{
      RowBox[{"c", "\[Transpose]"}], ",", "n"}], "]"}], "\[Transpose]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.710757446810575*^9, 3.71075747865917*^9}, {
  3.710855477184676*^9, 3.710855480597269*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"2721cb3b-4df1-4e50-a4e7-c18aa79e2b2b"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<MaTeX`\>\"", "]"}]], "Input",
 InitializationCell->True,
 CellLabel->"In[16]:=",ExpressionUUID->"0e8b01ce-c902-4197-a01e-a8384d291aca"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<NumericalDifferentialEquationAnalysis`\>\"", 
  "]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.705835765484457*^9, 3.705835783917815*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"e700b752-fa59-4890-9906-0d5787e3c043"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Id", "=", 
   RowBox[{"(", GridBox[{
      {"1", "0", "0"},
      {"0", "1", "0"},
      {"0", "0", "1"}
     }], ")"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellLabel->"In[18]:=",ExpressionUUID->"71530af8-4c60-4307-bb02-52ea00d49257"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"AngQ", "[", "Shell_", "]"}], ":=", 
   RowBox[{"Which", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Shell", "\[Equal]", "\"\<S\>\""}], ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], "}"}], "\[IndentingNewLine]",
      ",", "\[IndentingNewLine]", 
     RowBox[{"Shell", "\[Equal]", "\"\<P\>\""}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], 
     "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
     RowBox[{"Shell", "\[Equal]", "\"\<SP\>\""}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], 
     "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
     RowBox[{"Shell", "\[Equal]", "\"\<D\>\""}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "2", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "}"}], 
     "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
     RowBox[{"Shell", "\[Equal]", "\"\<F\>\""}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "3", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "2", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "}"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.793177683267138*^9, 3.793177724555241*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"9152dc27-f321-447b-819f-69dba125013d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"$Assumptions", "=", 
   RowBox[{
    RowBox[{"\[Alpha]", ">", "0"}], "&&", 
    RowBox[{"r", ">", "0"}], "&&", 
    RowBox[{"x", "\[Element]", "Reals"}], "&&", 
    RowBox[{"y", "\[Element]", "Reals"}], "&&", 
    RowBox[{"z", "\[Element]", "Reals"}], "&&", 
    RowBox[{"Z", ">", "0"}], "&&", 
    RowBox[{"u", ">", "0"}], "&&", 
    RowBox[{"AB", ">", "0"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.657908383726585*^9, 3.6579083929806547`*^9}, {
   3.657908450705761*^9, 3.65790845172871*^9}, {3.65801631491608*^9, 
   3.658016315614876*^9}, 3.658016789423154*^9, 3.658022647938018*^9, {
   3.659124070577911*^9, 3.659124079142706*^9}, {3.7016684546163187`*^9, 
   3.701668456342946*^9}, {3.7031794230068693`*^9, 3.703179450925284*^9}, {
   3.7032209416456413`*^9, 3.7032209441315804`*^9}, {3.703273006183901*^9, 
   3.7032730082014837`*^9}, {3.703943761814438*^9, 3.703943770832622*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"bc74c736-2d82-405e-a686-2404e163c599"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Cofactor", "[", 
   RowBox[{
    RowBox[{"m_List", "?", "MatrixQ"}], ",", 
    RowBox[{"{", 
     RowBox[{"i_Integer", ",", "j_Integer"}], "}"}]}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Length", "[", "m", "]"}], "\[Equal]", "1"}], ",", "1", ",", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"i", "+", "j"}], ")"}]}], " ", 
     RowBox[{"Det", "[", 
      RowBox[{"Drop", "[", 
       RowBox[{
        RowBox[{"Transpose", "[", 
         RowBox[{"Drop", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", "m", "]"}], ",", 
           RowBox[{"{", "j", "}"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", "i", "}"}]}], "]"}], "]"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.703994175099135*^9, 3.703994186649847*^9}, {
   3.704009491099045*^9, 3.704009533038411*^9}, {3.704009578149973*^9, 
   3.704009580825954*^9}, 3.704009649647625*^9, {3.707455026108206*^9, 
   3.707455063059084*^9}, {3.707455101803603*^9, 3.707455124045074*^9}, {
   3.707455229443568*^9, 3.7074552621255903`*^9}, 3.7074553613804407`*^9},
 CellLabel->"In[21]:=",ExpressionUUID->"1f6c052c-c882-4139-b7ee-065625c189c3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MinorMatrix", "[", 
   RowBox[{"m_List", "?", "MatrixQ"}], "]"}], ":=", 
  RowBox[{"Map", "[", 
   RowBox[{"Reverse", ",", 
    RowBox[{"Minors", "[", "m", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.703994184313929*^9, 3.7039941892738647`*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"1c62b5c9-a804-4189-8fec-1a5b6cef0d6c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"CofactorMatrix", "[", 
   RowBox[{"m_List", "?", "MatrixQ"}], "]"}], ":=", 
  RowBox[{"MapIndexed", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"#1", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"Plus", "@@", "#2"}], ")"}]}]}], "&"}], ",", 
    RowBox[{"MinorMatrix", "[", "m", "]"}], ",", 
    RowBox[{"{", "2", "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellLabel->"In[23]:=",ExpressionUUID->"2feabed6-bbe1-4eb2-beaa-732eae5d3b4c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"NormCoeff", "[", 
   RowBox[{"\[Alpha]_", ",", 
    RowBox[{"{", 
     RowBox[{"ax_", ",", "ay_", ",", "az_"}], "}"}]}], "]"}], ":=", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      RowBox[{"2", "\[Alpha]"}], "\[Pi]"], ")"}], 
    RowBox[{"3", "/", "4"}]], 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"4", "\[Alpha]"}], ")"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"ax", "+", "ay", "+", "az"}], ")"}], "/", "2"}]], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", "ax"}], "-", "1"}], ")"}], "!!"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", "ay"}], "-", "1"}], ")"}], "!!"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", "az"}], "-", "1"}], ")"}], "!!"}]}], ")"}], 
     RowBox[{"1", "/", "2"}]]]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.704207483066206*^9, 3.7042075581869297`*^9}, {
  3.704209040359252*^9, 3.704209040700054*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"2f1ae05b-0052-4f5b-bd72-862c91a81035"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["F", "m_"], "[", "t_", "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"t", "\[Equal]", "0"}], ",", 
     FractionBox["1", 
      RowBox[{
       RowBox[{"2", "m"}], "+", "1"}]], ",", 
     FractionBox[
      RowBox[{
       RowBox[{"\[CapitalGamma]", "[", 
        RowBox[{"m", "+", 
         FractionBox["1", "2"]}], "]"}], "-", 
       RowBox[{"\[CapitalGamma]", "[", 
        RowBox[{
         RowBox[{"m", "+", 
          FractionBox["1", "2"]}], ",", "t"}], "]"}]}], 
      RowBox[{"2", 
       SuperscriptBox["t", 
        RowBox[{"m", "+", 
         RowBox[{"1", "/", "2"}]}]]}]]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.709290679218832*^9, {3.710050336184713*^9, 3.710050344294757*^9}, {
   3.710663377539016*^9, 3.710663379484394*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"7aa59e7a-adf1-4a00-bf0d-7468a365b62d"]
}, Closed]],

Cell[CellGroupData[{

Cell["Matrix elements", "Title",
 CellChangeTimes->{{3.779526821452816*^9, 
  3.77952682493222*^9}},ExpressionUUID->"98d632cb-7177-481c-9b9f-\
d6f48d10e284"],

Cell[CellGroupData[{

Cell[, "Section",ExpressionUUID->"9458067c-0b7a-4f70-9a58-1f771c4b3842"],

Cell[CellGroupData[{

Cell[, "Subsection",ExpressionUUID->"11bf4889-b9bd-4f4e-8dbb-a1e9e8a04d2a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[ScriptCapitalS]", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Alpha]_", ",", "A_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Beta]_", ",", "B_"}], "}"}]}], "]"}], ":=", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      RowBox[{"2", "\[Alpha]"}], "\[Pi]"], ")"}], 
    RowBox[{"3", "/", "4"}]], 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      RowBox[{"2", "\[Beta]"}], "\[Pi]"], ")"}], 
    RowBox[{"3", "/", "4"}]], 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox["\[Pi]", 
      RowBox[{"\[Alpha]", "+", "\[Beta]"}]], ")"}], 
    RowBox[{"3", "/", "2"}]], 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", "\[Beta]"}], 
       RowBox[{"\[Alpha]", "+", "\[Beta]"}]]}], " ", 
     SuperscriptBox[
      RowBox[{"Norm", "[", 
       RowBox[{"A", "-", "B"}], "]"}], "2"]}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.576450521600048*^9, 3.576450601477757*^9}, {
   3.576872585214479*^9, 3.576872668475618*^9}, {3.57687272885421*^9, 
   3.576872728944818*^9}, {3.579916092387648*^9, 3.579916142300425*^9}, {
   3.6560325968246727`*^9, 3.656032627333782*^9}, {3.6560334237894363`*^9, 
   3.6560334543496313`*^9}, 3.656033501500393*^9, {3.656034168807974*^9, 
   3.656034169503957*^9}, 3.656034249838081*^9, 3.65603428628251*^9, {
   3.657419237952764*^9, 3.657419243496664*^9}, {3.657432554859721*^9, 
   3.6574325625623617`*^9}, {3.7795268642448807`*^9, 3.779526892756715*^9}, {
   3.790614097995901*^9, 3.790614134630106*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"fd4d58e4-e6f8-4497-ac22-d536c7dc2652"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[ScriptCapitalT]", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Alpha]_", ",", "A_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Beta]_", ",", "B_"}], "}"}]}], "]"}], ":=", 
  RowBox[{
   FractionBox[
    RowBox[{"\[Alpha]", " ", "\[Beta]"}], 
    RowBox[{"\[Alpha]", "+", "\[Beta]"}]], 
   RowBox[{"(", 
    RowBox[{"3", "-", 
     RowBox[{
      FractionBox[
       RowBox[{"2", "\[Alpha]", " ", "\[Beta]"}], 
       RowBox[{"\[Alpha]", "+", "\[Beta]"}]], 
      SuperscriptBox[
       RowBox[{"Norm", "[", 
        RowBox[{"A", "-", "B"}], "]"}], "2"]}]}], ")"}], 
   RowBox[{"\[ScriptCapitalS]", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]", ",", "A"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Beta]", ",", "B"}], "}"}]}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5764506077735443`*^9, 3.576450636952054*^9}, {
   3.579916143373057*^9, 3.579916148380529*^9}, {3.656032632015997*^9, 
   3.656032656876679*^9}, {3.6560341704633427`*^9, 3.656034171112013*^9}, 
   3.6560342990101433`*^9, {3.656034587343053*^9, 3.656034588398306*^9}, {
   3.657419246521282*^9, 3.657419251312986*^9}, {3.6574325567021017`*^9, 
   3.657432563402364*^9}, {3.779526874688856*^9, 3.779526896028626*^9}, 
   3.790614198473736*^9, 3.79061641080725*^9},
 CellLabel->"In[27]:=",ExpressionUUID->"f4215905-d329-4e5c-925a-feafdeee6fce"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[ScriptCapitalV]", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Alpha]_", ",", "A_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Beta]_", ",", "B_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ZC_", ",", "C_"}], "}"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"2", "\[Pi]", " ", "ZC"}], 
     RowBox[{"\[Alpha]", "+", "\[Beta]"}]]}], 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      RowBox[{"2", "\[Alpha]"}], "\[Pi]"], ")"}], 
    RowBox[{"3", "/", "4"}]], 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      RowBox[{"2", "\[Beta]"}], "\[Pi]"], ")"}], 
    RowBox[{"3", "/", "4"}]], 
   RowBox[{
    SubscriptBox["F", "0"], "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Alpha]", "+", "\[Beta]"}], ")"}], 
     SuperscriptBox[
      RowBox[{"Norm", "[", 
       RowBox[{
        FractionBox[
         RowBox[{
          RowBox[{"\[Alpha]", " ", "A"}], "+", 
          RowBox[{"\[Beta]", " ", "B"}]}], 
         RowBox[{"\[Alpha]", "+", "\[Beta]"}]], "-", "C"}], "]"}], "2"]}], 
    "]"}], 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", "\[Beta]"}], 
       RowBox[{"\[Alpha]", "+", "\[Beta]"}]]}], " ", 
     SuperscriptBox[
      RowBox[{"Norm", "[", 
       RowBox[{"A", "-", "B"}], "]"}], "2"]}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.5764506469916887`*^9, {3.576450689278904*^9, 3.576450845913303*^9}, {
   3.576450891155459*^9, 3.5764508913303423`*^9}, {3.576459615586534*^9, 
   3.576459619742888*^9}, {3.5764599742451572`*^9, 3.576460002180661*^9}, {
   3.579916151076499*^9, 3.579916154291819*^9}, {3.6560326719657087`*^9, 
   3.656032705698762*^9}, {3.656032784400991*^9, 3.6560327883205967`*^9}, {
   3.656034171959223*^9, 3.6560341725918818`*^9}, 3.6560345909276237`*^9, 
   3.656034741857669*^9, {3.6574192551059093`*^9, 3.657419257808338*^9}, {
   3.65743255880517*^9, 3.657432564418058*^9}, {3.779526877419273*^9, 
   3.7795268990686483`*^9}, 3.790614203831818*^9},
 CellLabel->"In[28]:=",ExpressionUUID->"517a10dc-802a-4ead-9f44-0905089379ba"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[ScriptCapitalU]", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Alpha]_", ",", "A_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Beta]_", ",", "B_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Gamma]_", ",", "C_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Delta]_", ",", "D_"}], "}"}]}], "]"}], ":=", 
  RowBox[{
   FractionBox[
    RowBox[{"2", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"5", "/", "2"}]], " "}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Alpha]", "+", "\[Beta]"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "+", "\[Delta]"}], ")"}], 
     SqrtBox[
      RowBox[{
      "\[Alpha]", "+", "\[Beta]", "+", "\[Gamma]", "+", "\[Delta]"}]]}]], 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      RowBox[{"2", "\[Alpha]"}], "\[Pi]"], ")"}], 
    RowBox[{"3", "/", "4"}]], 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      RowBox[{"2", "\[Beta]"}], "\[Pi]"], ")"}], 
    RowBox[{"3", "/", "4"}]], 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      RowBox[{"2", "\[Gamma]"}], "\[Pi]"], ")"}], 
    RowBox[{"3", "/", "4"}]], 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      RowBox[{"2", "\[Delta]"}], "\[Pi]"], ")"}], 
    RowBox[{"3", "/", "4"}]], 
   RowBox[{
    SubscriptBox["F", "0"], "[", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Alpha]", "+", "\[Beta]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "+", "\[Delta]"}], ")"}]}], 
      RowBox[{"\[Alpha]", "+", "\[Beta]", "+", "\[Gamma]", "+", "\[Delta]"}]], 
     SuperscriptBox[
      RowBox[{"Norm", "[", 
       RowBox[{
        FractionBox[
         RowBox[{
          RowBox[{"\[Alpha]", " ", "A"}], "+", 
          RowBox[{"\[Beta]", " ", "B"}]}], 
         RowBox[{"\[Alpha]", "+", "\[Beta]"}]], "-", 
        FractionBox[
         RowBox[{
          RowBox[{"\[Gamma]", " ", "C"}], "+", 
          RowBox[{"\[Delta]", " ", "D"}]}], 
         RowBox[{"\[Gamma]", "+", "\[Delta]"}]]}], "]"}], "2"]}], "]"}], 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", "\[Beta]"}], 
       RowBox[{"\[Alpha]", "+", "\[Beta]"}]]}], " ", 
     SuperscriptBox[
      RowBox[{"Norm", "[", 
       RowBox[{"A", "-", "B"}], "]"}], "2"]}], "]"}], 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[Gamma]", " ", "\[Delta]"}], 
       RowBox[{"\[Gamma]", "+", "\[Delta]"}]]}], " ", 
     SuperscriptBox[
      RowBox[{"Norm", "[", 
       RowBox[{"C", "-", "D"}], "]"}], "2"]}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5764509073310003`*^9, 3.576451028887642*^9}, {
   3.576460736353737*^9, 3.576460738268038*^9}, 3.576464845679883*^9, {
   3.5799161578550377`*^9, 3.579916159903202*^9}, {3.579916203518588*^9, 
   3.579916203677882*^9}, {3.656032713388176*^9, 3.6560327526888027`*^9}, {
   3.656032805105885*^9, 3.656032821823473*^9}, {3.6560333882078037`*^9, 
   3.656033412302227*^9}, {3.6560334619334507`*^9, 3.6560334911467667`*^9}, {
   3.6560341750473127`*^9, 3.6560341763679028`*^9}, {3.656034591807816*^9, 
   3.656034593991696*^9}, {3.656034836229966*^9, 3.656034848075869*^9}, {
   3.657419260329598*^9, 3.657419274128447*^9}, {3.6574325601692133`*^9, 
   3.657432565287834*^9}, {3.779526885627684*^9, 3.7795269060209312`*^9}, {
   3.779599173326108*^9, 3.7795991739647827`*^9}, {3.790614205920676*^9, 
   3.790614210485475*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"440fb372-2001-4d90-ade1-e5498676702f"]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["DFAs", "Title",
 CellChangeTimes->{{3.7826249735359907`*^9, 
  3.7826249744308434`*^9}},ExpressionUUID->"cdfcc3a6-7299-4a1b-a9d0-\
f29078225f1e"],

Cell[CellGroupData[{

Cell[, "Section",ExpressionUUID->"23d29e55-92a0-4dbd-8800-76494f7702a3"],

Cell[CellGroupData[{

Cell[, "Subsection",ExpressionUUID->"5917ba4c-2cd7-4975-9b3b-073e72bd0e40"],

Cell[CellGroupData[{

Cell[, "Input",ExpressionUUID->"c8ade4e2-951f-4fce-ae16-fdd4ea72db6f"],

Cell[, "Output",ExpressionUUID->"e2c1e6f8-35e1-43ee-b47e-a64bb64f8585"]
}, Open  ]],

Cell[, "Input",ExpressionUUID->"02e08ec6-7c15-4841-9609-90296edfe494"],

Cell[CellGroupData[{

Cell[, "Input",ExpressionUUID->"150e916f-8806-4d8e-b5d0-c0bc713b1f4d"],

Cell[, "Output",ExpressionUUID->"fb35d58c-512f-4f74-aa01-67c7b7b81a77"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[, "Section",ExpressionUUID->"8fd0ca40-ccd3-410e-8538-798441b5cf4b"],

Cell[CellGroupData[{

Cell[, "Subsection",ExpressionUUID->"10e37c4d-fcc0-4a25-949c-6383c67ff9eb"],

Cell[CellGroupData[{

Cell[, "Input",ExpressionUUID->"b7e33c7b-f239-4612-b339-911d66bee804"],

Cell[, "Output",ExpressionUUID->"3acd8e38-829c-4dd5-ac53-54c357a30852"],

Cell[, "Output",ExpressionUUID->"0a957f43-bd43-468d-a336-addbe42a4e30"]
}, Open  ]],

Cell[CellGroupData[{

Cell[, "Input",ExpressionUUID->"5bc098a3-a8b3-48df-b81b-4249253ebc03"],

Cell[, "Output",ExpressionUUID->"3597039b-63a4-48ef-b436-f5b1fb49d7fd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[, "Input",ExpressionUUID->"7707f078-0791-4cee-b4ea-44b37115dc20"],

Cell[, "Output",ExpressionUUID->"d4f8c9be-6e4c-40eb-ba9a-d4053731284e"],

Cell[, "Output",ExpressionUUID->"2e03225f-8957-4361-919c-4f6a7c36dc6e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[, "Input",ExpressionUUID->"731b5390-31ed-4914-91db-765023c263dd"],

Cell[, "Output",ExpressionUUID->"ed71661b-3a8d-4eee-a4d0-69211937142a"]
}, Open  ]],

Cell[, "Input",ExpressionUUID->"1f5927dc-663a-4f11-a2d1-7bc195f79332"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["eDFAs", "Title",
 CellChangeTimes->{{3.7826249522813463`*^9, 
  3.782624958928115*^9}},ExpressionUUID->"e756f09e-4f67-4fb6-a4c1-\
1a4fcf53e013"],

Cell[CellGroupData[{

Cell["eLDA exchange", "Section",
 CellChangeTimes->{{3.7826249982517223`*^9, 3.782625006542748*^9}, {
  3.7826250653667927`*^9, 3.7826250672414913`*^9}, {3.782625110014524*^9, 
  3.782625116494841*^9}},ExpressionUUID->"81f07a4a-071b-4e38-8018-\
d116e770b20b"],

Cell[CellGroupData[{

Cell[, "Subsection",ExpressionUUID->"7471e1f3-36cd-497f-a3e0-06aa7035995d"],

Cell[, "Text",ExpressionUUID->"c0165a48-1e75-4237-86f9-15c7a0fc2c6e"],

Cell[, "Input",ExpressionUUID->"eeea1fbc-15c7-4b79-b5b2-0d2e682c7cb1"],

Cell[, "Text",ExpressionUUID->"6509cf0c-3cb5-4484-a79b-9a4e9a4c867b"],

Cell[, "Input",ExpressionUUID->"ea3020ca-486a-47b1-95e0-aa46f448646d"],

Cell[, "Text",ExpressionUUID->"dc6b5921-169b-4f2d-9120-4c7ca89c05f3"],

Cell[, "Input",ExpressionUUID->"12ac5e19-b8fd-477e-a85d-a74e029b6d4c"],

Cell[, "Text",ExpressionUUID->"21ac5bf4-2ae7-4b41-8495-ff3b6d5d2017"],

Cell[, "Input",ExpressionUUID->"c8865179-994b-4123-9657-507eae2fd52f"],

Cell[, "Text",ExpressionUUID->"d352d13e-d96f-4f21-9cc5-32da8a2e376d"],

Cell[, "Input",ExpressionUUID->"e2a90d7c-9765-4224-b6c1-0cb3ba56719e"],

Cell[, "Text",ExpressionUUID->"4256ed0c-1e05-4553-a95a-370962e94038"],

Cell[, "Input",ExpressionUUID->"d7507220-76aa-479e-af51-0886ad0e4f5c"]
}, Closed]],

Cell[CellGroupData[{

Cell[, "Subsection",ExpressionUUID->"06909924-3ce1-46cd-9951-a1961992331f"],

Cell[, "Text",ExpressionUUID->"00f96a87-a2a3-4e94-b9f7-ae8b20115f53"],

Cell[, "Input",ExpressionUUID->"4eb0128c-86a9-44cb-baf0-ed4eebc1e580"],

Cell[, "Text",ExpressionUUID->"9803e7ae-a081-4acb-a592-f69d3de67cb1"],

Cell[, "Input",ExpressionUUID->"6f3a9707-559f-42d1-a790-59e5b1f4e142"],

Cell[, "Text",ExpressionUUID->"d5065f92-c8dc-4b04-8355-2a9254137fdd"],

Cell[, "Input",ExpressionUUID->"701f739c-3702-4026-bb77-fd214c3d2d73"],

Cell[, "Text",ExpressionUUID->"de63bd9f-a6da-4080-be2f-7a3017d5f45e"],

Cell[, "Input",ExpressionUUID->"8bcda35c-6687-40f7-8100-1822b15b723a"],

Cell[, "Text",ExpressionUUID->"426f209f-956e-43ba-9527-ec27b0f09378"],

Cell[, "Input",ExpressionUUID->"cf1020b9-32d9-40d8-a3f9-f6fd7cc9eb77"],

Cell[, "Text",ExpressionUUID->"8b03673b-8e98-4de2-b69e-483417ba6223"],

Cell[, "Input",ExpressionUUID->"a883904a-8742-4fa2-8a54-45a9e5a1e807"]
}, Closed]],

Cell[CellGroupData[{

Cell[, "Subsection",ExpressionUUID->"77af7129-5b6f-46d1-972e-088c04a397e1"],

Cell[, "Text",ExpressionUUID->"137a2815-3e41-4c54-bb77-2baab3309f67"],

Cell[, "Input",ExpressionUUID->"ee1a49a3-d78d-48fd-b18b-b45c556268d6"],

Cell[, "Text",ExpressionUUID->"7f6139ea-87a7-485f-96a7-072785ed5a50"],

Cell[, "Input",ExpressionUUID->"e2512605-e53f-4895-bc29-b005c70f53b5"],

Cell[CellGroupData[{

Cell[, "Input",ExpressionUUID->"2caf6c5b-6ae4-41ea-a5bc-6e2553b311b0"],

Cell[, "Output",ExpressionUUID->"71a67885-8142-46b8-9292-410654424b59"]
}, Open  ]],

Cell[, "Text",ExpressionUUID->"32015b28-f5cc-4eff-8d8d-b8691b888e8f"],

Cell[, "Input",ExpressionUUID->"1fcbd290-f3ea-43bd-b2ef-f31601137679"],

Cell[, "Text",ExpressionUUID->"9b1e04fb-55cb-4e81-8daf-ba707c78dfce"],

Cell[, "Input",ExpressionUUID->"c51ccbbc-5ee1-4cca-ade7-af230c7f6ba6"],

Cell[, "Text",ExpressionUUID->"8bfb35af-a4e4-4813-ae15-3703f4aeab96"],

Cell[, "Input",ExpressionUUID->"60e340d1-6bd1-4928-9814-51c59353edd1"],

Cell[, "Text",ExpressionUUID->"f5f45693-a80c-4a46-ad73-07811620c0d9"],

Cell[, "Input",ExpressionUUID->"f99857fd-0430-402d-a733-929b6b359e23"]
}, Closed]],

Cell[CellGroupData[{

Cell[, "Subsection",ExpressionUUID->"ef62b877-dbc0-41f4-bb50-f7bab5069a50"],

Cell[, "Text",ExpressionUUID->"5b10be0f-a732-422f-9446-681c78cbd103"],

Cell[, "Input",ExpressionUUID->"009be4dc-79a6-499d-b9af-ddbb9078f85a"],

Cell[, "Input",ExpressionUUID->"afd8bd15-999f-411c-a673-53d5b75e5201"],

Cell[, "Text",ExpressionUUID->"1fe4835f-3b82-458a-9e2a-9272922b081a"],

Cell[, "Input",ExpressionUUID->"b5e6e435-424a-4f3e-8416-709ae4356a73"],

Cell[, "Text",ExpressionUUID->"d05917ae-a767-4a78-834a-c4b18c1c0b13"]
}, Closed]],

Cell[CellGroupData[{

Cell[, "Subsection",ExpressionUUID->"bcd158fd-9aa7-4c7b-837e-afd37c54f55a"],

Cell[, "Text",ExpressionUUID->"a0112f10-d580-4370-a6ed-bff98b24a4a6"],

Cell[, "Input",ExpressionUUID->"aabf1284-1a62-408f-8d1c-50c99b5acc35"],

Cell[, "Text",ExpressionUUID->"88a4bd50-0ba7-4f7c-9fc0-e0feb01831fc"],

Cell[, "Input",ExpressionUUID->"a889f096-9a50-426c-9cf3-81c363ec2eaf"],

Cell[, "Text",ExpressionUUID->"d3c69495-05ef-49fe-8484-fa7fd62cc408"],

Cell[, "Input",ExpressionUUID->"0138b572-760b-4f82-a618-73197e776fa2"],

Cell[, "Text",ExpressionUUID->"b83db319-04e5-42b8-ae4c-57f93abe09fd"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["eLDA correlation", "Section",
 CellChangeTimes->{{3.7826249982517223`*^9, 3.782625006542748*^9}, {
   3.7826250653667927`*^9, 3.7826250672414913`*^9}, 
   3.782625112301036*^9},ExpressionUUID->"258ca12d-c8c5-4bc9-84ec-\
1711f7860786"],

Cell[CellGroupData[{

Cell["Explicitly-correlated calculations", "Subsection",
 CellChangeTimes->{{3.726073981425799*^9, 3.7260739868717747`*^9}, {
  3.742878146737846*^9, 3.742878154661549*^9}, {3.742878200397444*^9, 
  3.74287820116363*^9}, {3.7429004809627247`*^9, 3.742900482248204*^9}, {
  3.743008847489559*^9, 
  3.743008848427631*^9}},ExpressionUUID->"1f7fd91a-8b15-493d-99e6-\
d7e40486d265"],

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"M", "=", "10"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["\[Psi]", "n_"], "[", "u_", "]"}], "=", 
      SuperscriptBox["u", 
       RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"H", "[", "R_", "]"}], "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         SubsuperscriptBox["\[Integral]", "0", 
          RowBox[{"2", "R"}]], 
         RowBox[{
          RowBox[{
           SubscriptBox["\[Psi]", "i"], "[", "u", "]"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                SuperscriptBox["u", "2"], 
                RowBox[{"4", 
                 SuperscriptBox["R", "2"]}]], "-", "1"}], ")"}], 
             RowBox[{
              SubsuperscriptBox["\[Psi]", "j", "\[DoublePrime]"], "[", "u", 
              "]"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                RowBox[{"5", "u"}], 
                RowBox[{"4", 
                 SuperscriptBox["R", "2"]}]], "-", 
               FractionBox["2", "u"]}], ")"}], "  ", 
             RowBox[{
              SubsuperscriptBox["\[Psi]", "j", "\[Prime]"], "[", "u", "]"}]}],
             "+", 
            RowBox[{
             FractionBox["1", "u"], 
             RowBox[{
              SubscriptBox["\[Psi]", "j"], "[", "u", "]"}]}]}], ")"}], 
          SuperscriptBox["u", "2"], " ", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["u", "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox["R", "2"]}]]}]], 
          RowBox[{"\[DifferentialD]", "u"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "M"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "M"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"S", "[", "R_", "]"}], "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         SubsuperscriptBox["\[Integral]", "0", 
          RowBox[{"2", "R"}]], 
         RowBox[{
          RowBox[{
           SubscriptBox["\[Psi]", "i"], "[", "u", "]"}], 
          RowBox[{
           SubscriptBox["\[Psi]", "j"], "[", "u", "]"}], 
          SuperscriptBox["u", "2"], " ", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["u", "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox["R", "2"]}]]}]], 
          RowBox[{"\[DifferentialD]", "u"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "M"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "M"}], "}"}]}], "]"}]}], ";"}]}], 
   "\[IndentingNewLine]", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.742918604620111*^9, 3.7429186131351423`*^9}, 
   3.742918719955948*^9, {3.74291885295679*^9, 3.742918854648775*^9}, 
   3.742922362967875*^9, 3.742980439148241*^9, 3.742980540306929*^9, {
   3.742994989188118*^9, 3.742995016518692*^9}, {3.742995150772037*^9, 
   3.7429951513978567`*^9}, 3.7429952985264072`*^9, {3.74299538074587*^9, 
   3.7429953808123302`*^9}, {3.742996132486848*^9, 3.7429961349036427`*^9}, 
   3.7429963078815823`*^9, {3.742996660743409*^9, 3.742996660843338*^9}, {
   3.742996945034573*^9, 3.742996945161457*^9}, 3.7430081967857656`*^9, 
   3.743009059579871*^9, 3.743009234820531*^9, 3.743009382026333*^9, {
   3.7430094920285807`*^9, 3.74300951455619*^9}, 3.74300961041049*^9, 
   3.743009666438663*^9, {3.7430098539824047`*^9, 3.743009854170718*^9}, 
   3.743009922023739*^9, 3.743134546286873*^9, 3.743134666275275*^9, {
   3.74322049794233*^9, 3.7432204980603647`*^9}, 3.743249005112269*^9, {
   3.743249116887512*^9, 3.743249129269992*^9}, {3.743249272993807*^9, 
   3.743249285356189*^9}, {3.743250236465829*^9, 3.743250264555167*^9}, 
   3.743252170343741*^9, {3.748320687040152*^9, 3.7483207268379183`*^9}, 
   3.748320783735428*^9, {3.748361427987043*^9, 3.748361428073436*^9}, {
   3.753773332985786*^9, 3.753773347232463*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"2c3eb4d2-28fa-4072-acba-f33846909355"],

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"M", "=", "10"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["\[Psi]", "n_"], "[", "u_", "]"}], "=", 
      SuperscriptBox["u", 
       RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"H1", "[", "R_", "]"}], "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         SubsuperscriptBox["\[Integral]", "0", 
          RowBox[{"2", "R"}]], 
         RowBox[{
          RowBox[{
           SubscriptBox["\[Psi]", "i"], "[", "u", "]"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                SuperscriptBox["u", "2"], 
                RowBox[{"4", 
                 SuperscriptBox["R", "2"]}]], "-", "1"}], ")"}], 
             RowBox[{
              SubsuperscriptBox["\[Psi]", "j", "\[DoublePrime]"], "[", "u", 
              "]"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                RowBox[{"7", "u"}], 
                RowBox[{"4", 
                 SuperscriptBox["R", "2"]}]], "-", 
               FractionBox["2", "u"]}], ")"}], "  ", 
             RowBox[{
              SubsuperscriptBox["\[Psi]", "j", "\[Prime]"], "[", "u", "]"}]}],
             "+", 
            RowBox[{
             FractionBox["1", "u"], 
             RowBox[{
              SubscriptBox["\[Psi]", "j"], "[", "u", "]"}]}]}], ")"}], 
          SuperscriptBox["u", "2"], " ", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["u", "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox["R", "2"]}]]}]], 
          RowBox[{"\[DifferentialD]", "u"}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "M"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "M"}], "}"}]}], "]"}]}], ";"}]}], 
   "\[IndentingNewLine]", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.742918604620111*^9, 3.7429186131351423`*^9}, 
   3.742918719955948*^9, {3.74291885295679*^9, 3.742918854648775*^9}, 
   3.742922362967875*^9, 3.742980439148241*^9, 3.742980540306929*^9, {
   3.742994989188118*^9, 3.742995016518692*^9}, {3.742995150772037*^9, 
   3.7429951513978567`*^9}, 3.7429952985264072`*^9, {3.74299538074587*^9, 
   3.7429953808123302`*^9}, {3.742996132486848*^9, 3.7429961349036427`*^9}, 
   3.7429963078815823`*^9, {3.742996660743409*^9, 3.742996660843338*^9}, {
   3.742996945034573*^9, 3.742996945161457*^9}, 3.7430081967857656`*^9, 
   3.743009059579871*^9, 3.743009234820531*^9, 3.743009382026333*^9, {
   3.7430094920285807`*^9, 3.74300951455619*^9}, 3.74300961041049*^9, 
   3.743009666438663*^9, {3.7430098539824047`*^9, 3.743009854170718*^9}, 
   3.743009922023739*^9, 3.743134546286873*^9, 3.743134666275275*^9, {
   3.74322049794233*^9, 3.7432204980603647`*^9}, 3.743249005112269*^9, {
   3.743249116887512*^9, 3.743249129269992*^9}, {3.743249272993807*^9, 
   3.743249285356189*^9}, {3.743250236465829*^9, 3.743250264555167*^9}, 
   3.743252170343741*^9, {3.748320687040152*^9, 3.7483207268379183`*^9}, 
   3.748320783735428*^9, {3.748361427987043*^9, 3.748361428073436*^9}, {
   3.753773332985786*^9, 3.753773347232463*^9}, {3.7537734366652946`*^9, 
   3.7537734507751827`*^9}, {3.753773511672027*^9, 3.753773520247346*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"c078489f-d878-44cc-991e-1146d0ec84cb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Eig0", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"R", ",", 
       RowBox[{
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{
          RowBox[{"Sort", "[", 
           RowBox[{"Eigenvalues", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"N", "[", 
               RowBox[{
                RowBox[{"H", "[", "R", "]"}], ",", "100"}], "]"}], ",", 
              RowBox[{"N", "[", 
               RowBox[{
                RowBox[{"S", "[", "R", "]"}], ",", "100"}], "]"}]}], "}"}], 
            "]"}], "]"}], "\[LeftDoubleBracket]", "1", 
          "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{"(", 
          FractionBox["8", 
           RowBox[{"3", " ", "\[Pi]", " ", "R"}]], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"R", ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "10"], ",", 
         FractionBox["1", "5"], ",", 
         FractionBox["1", "2"], ",", "1", ",", "2", ",", "5", ",", "10", ",", 
         "20", ",", "50", ",", "100", ",", "150"}], "}"}]}], "}"}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Eig1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"R", ",", 
       RowBox[{
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{
          RowBox[{"Sort", "[", 
           RowBox[{"Eigenvalues", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"N", "[", 
               RowBox[{
                RowBox[{"H1", "[", "R", "]"}], ",", "100"}], "]"}], ",", 
              RowBox[{"N", "[", 
               RowBox[{
                RowBox[{"S", "[", "R", "]"}], ",", "100"}], "]"}]}], "}"}], 
            "]"}], "]"}], "\[LeftDoubleBracket]", "1", 
          "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{"(", 
          FractionBox[
           RowBox[{"16", " "}], 
           RowBox[{"5", "\[Pi]", " ", "R"}]], ")"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"R", ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "10"], ",", 
         FractionBox["1", "5"], ",", 
         FractionBox["1", "2"], ",", "1", ",", "2", ",", "5", ",", "10", ",", 
         "20", ",", "50", ",", "100", ",", "150"}], "}"}]}], "}"}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Eig2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"R", ",", 
       RowBox[{
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{
          RowBox[{"Sort", "[", 
           RowBox[{"Eigenvalues", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"N", "[", 
               RowBox[{
                RowBox[{"H", "[", "R", "]"}], ",", "100"}], "]"}], ",", 
              RowBox[{"N", "[", 
               RowBox[{
                RowBox[{"S", "[", "R", "]"}], ",", "100"}], "]"}]}], "}"}], 
            "]"}], "]"}], "\[LeftDoubleBracket]", "2", 
          "\[RightDoubleBracket]"}]}], "-", 
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{"(", 
          RowBox[{
           FractionBox["3", 
            SuperscriptBox["R", "2"]], "+", 
           FractionBox["352", 
            RowBox[{"105", " ", "\[Pi]", " ", "R"}]]}], ")"}]}]}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"R", ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "10"], ",", 
         FractionBox["1", "5"], ",", 
         FractionBox["1", "2"], ",", "1", ",", "2", ",", "5", ",", "10", ",", 
         "20", ",", "50", ",", "100", ",", "150"}], "}"}]}], "}"}]}], "]"}]}],
   ";"}]}], "Input",
 CellChangeTimes->{{3.748320848858045*^9, 3.748320856154438*^9}, {
   3.748320887956957*^9, 3.7483208881681957`*^9}, {3.748361672158485*^9, 
   3.748361684168634*^9}, {3.7483647689725313`*^9, 3.748364772816889*^9}, {
   3.7483651934130507`*^9, 3.748365201736299*^9}, {3.753773322322504*^9, 
   3.753773326079838*^9}, {3.753773529304337*^9, 3.753773533079694*^9}, 
   3.753773752654941*^9, {3.753773908151957*^9, 3.753773925542416*^9}, 
   3.782710474505459*^9, {3.7827105601283092`*^9, 3.7827105648819723`*^9}, {
   3.782710653611959*^9, 3.7827106554025517`*^9}, {3.7912676193117228`*^9, 
   3.791267632485333*^9}, {3.791267737525374*^9, 3.7912677419882507`*^9}, {
   3.791269037464747*^9, 3.791269059761744*^9}, {3.791269135649015*^9, 
   3.791269170256198*^9}, {3.791276444924409*^9, 3.7912764555726767`*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"9d8f3aff-de80-478e-b7fa-93c98d3997e8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"FindFit", "[", 
  RowBox[{"Eig0", ",", 
   RowBox[{
    FractionBox["a", 
     RowBox[{"1", "+", 
      RowBox[{"b", " ", 
       SuperscriptBox["R", 
        RowBox[{"1", "/", "2"}]]}], "+", 
      RowBox[{"c", " ", "R"}]}]], "/.", 
    RowBox[{"a", "->", 
     RowBox[{"-", "0.0238184"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "c"}], "}"}], ",", "R", ",", 
   RowBox[{"MaxIterations", "\[Rule]", "10000"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"FindFit", "[", 
  RowBox[{"Eig1", ",", 
   RowBox[{
    FractionBox["a", 
     RowBox[{"1", "+", 
      RowBox[{"b", " ", 
       SuperscriptBox["R", 
        RowBox[{"1", "/", "2"}]]}], "+", 
      RowBox[{"c", " ", "R"}]}]], "/.", 
    RowBox[{"a", "->", 
     RowBox[{"-", "0.0282814"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "c"}], "}"}], ",", "R", ",", 
   RowBox[{"MaxIterations", "\[Rule]", "10000"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"FindFit", "[", 
  RowBox[{"Eig2", ",", 
   RowBox[{
    FractionBox["a", 
     RowBox[{"1", "+", 
      RowBox[{"b", " ", 
       SuperscriptBox["R", 
        RowBox[{"1", "/", "2"}]]}], "+", 
      RowBox[{"c", " ", "R"}]}]], "/.", 
    RowBox[{"a", "->", 
     RowBox[{"-", "0.0144633"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "c"}], "}"}], ",", "R", ",", 
   RowBox[{"MaxIterations", "\[Rule]", "10000"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.74490442616041*^9, 3.744904462164751*^9}, {
   3.744904493398246*^9, 3.7449044986891108`*^9}, {3.7449046086546717`*^9, 
   3.744904615683036*^9}, {3.744904661010707*^9, 3.744904730630151*^9}, {
   3.7449048318432503`*^9, 3.7449048371708803`*^9}, {3.7483209427957153`*^9, 
   3.748320947610834*^9}, 3.7483614480757113`*^9, {3.748365049730114*^9, 
   3.74836505539084*^9}, {3.748365092652234*^9, 3.748365121022852*^9}, {
   3.748365229503859*^9, 3.748365229661584*^9}, {3.7537740097668867`*^9, 
   3.753774017885911*^9}, {3.753774087759344*^9, 3.753774102439625*^9}, 
   3.782710634125111*^9, {3.78271069785186*^9, 3.782710724897832*^9}, 
   3.7912677201511717`*^9, {3.79126924431262*^9, 3.7912692716226997`*^9}, {
   3.791276460110341*^9, 3.791276465060092*^9}},
 CellLabel->
  "In[409]:=",ExpressionUUID->"04f137ec-ad47-4cb8-a976-ec708cc8747a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"b", "\[Rule]", "0.007923352705637004`"}], ",", 
   RowBox[{"c", "\[Rule]", "0.17820175850290984`"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.744904447194687*^9, 3.744904462614192*^9}, 
   3.7449044992640533`*^9, {3.744904616038113*^9, 3.7449047310161533`*^9}, 
   3.744904838229162*^9, 3.744910399143386*^9, 3.744957251784482*^9, 
   3.7449642181369953`*^9, 3.744972167413603*^9, 3.74508253355338*^9, 
   3.745118966686862*^9, 3.7451441000025997`*^9, 3.7479804201223307`*^9, 
   3.748320948669895*^9, 3.748361529488284*^9, 3.748361579108712*^9, {
   3.748361677134914*^9, 3.748361685861054*^9}, 3.748364775740555*^9, 
   3.7483650558506002`*^9, {3.748365101887542*^9, 3.748365121567154*^9}, {
   3.7483652043125143`*^9, 3.748365230113633*^9}, 3.753774018593093*^9, 
   3.753774104519877*^9, {3.782710627979114*^9, 3.782710634588338*^9}, {
   3.7827106837527514`*^9, 3.782710725915807*^9}, 3.791269009712132*^9, {
   3.791269043595293*^9, 3.7912690625486803`*^9}, 3.7912691435884867`*^9, {
   3.7912692492180557`*^9, 3.791269271962544*^9}, {3.79127646571692*^9, 
   3.7912764689355803`*^9}},
 CellLabel->
  "Out[409]=",ExpressionUUID->"5fafddca-de0e-4199-8a06-2f07bcbeb991"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"b", "\[Rule]", "0.004011883522661856`"}], ",", 
   RowBox[{"c", "\[Rule]", "0.14262596914269524`"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.744904447194687*^9, 3.744904462614192*^9}, 
   3.7449044992640533`*^9, {3.744904616038113*^9, 3.7449047310161533`*^9}, 
   3.744904838229162*^9, 3.744910399143386*^9, 3.744957251784482*^9, 
   3.7449642181369953`*^9, 3.744972167413603*^9, 3.74508253355338*^9, 
   3.745118966686862*^9, 3.7451441000025997`*^9, 3.7479804201223307`*^9, 
   3.748320948669895*^9, 3.748361529488284*^9, 3.748361579108712*^9, {
   3.748361677134914*^9, 3.748361685861054*^9}, 3.748364775740555*^9, 
   3.7483650558506002`*^9, {3.748365101887542*^9, 3.748365121567154*^9}, {
   3.7483652043125143`*^9, 3.748365230113633*^9}, 3.753774018593093*^9, 
   3.753774104519877*^9, {3.782710627979114*^9, 3.782710634588338*^9}, {
   3.7827106837527514`*^9, 3.782710725915807*^9}, 3.791269009712132*^9, {
   3.791269043595293*^9, 3.7912690625486803`*^9}, 3.7912691435884867`*^9, {
   3.7912692492180557`*^9, 3.791269271962544*^9}, {3.79127646571692*^9, 
   3.791276468937379*^9}},
 CellLabel->
  "Out[410]=",ExpressionUUID->"fc860ff0-d7ef-459d-b9bd-49bdcfea456c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"b", "\[Rule]", 
    RowBox[{"-", "0.07411135123824349`"}]}], ",", 
   RowBox[{"c", "\[Rule]", "0.07108999554813503`"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.744904447194687*^9, 3.744904462614192*^9}, 
   3.7449044992640533`*^9, {3.744904616038113*^9, 3.7449047310161533`*^9}, 
   3.744904838229162*^9, 3.744910399143386*^9, 3.744957251784482*^9, 
   3.7449642181369953`*^9, 3.744972167413603*^9, 3.74508253355338*^9, 
   3.745118966686862*^9, 3.7451441000025997`*^9, 3.7479804201223307`*^9, 
   3.748320948669895*^9, 3.748361529488284*^9, 3.748361579108712*^9, {
   3.748361677134914*^9, 3.748361685861054*^9}, 3.748364775740555*^9, 
   3.7483650558506002`*^9, {3.748365101887542*^9, 3.748365121567154*^9}, {
   3.7483652043125143`*^9, 3.748365230113633*^9}, 3.753774018593093*^9, 
   3.753774104519877*^9, {3.782710627979114*^9, 3.782710634588338*^9}, {
   3.7827106837527514`*^9, 3.782710725915807*^9}, 3.791269009712132*^9, {
   3.791269043595293*^9, 3.7912690625486803`*^9}, 3.7912691435884867`*^9, {
   3.7912692492180557`*^9, 3.791269271962544*^9}, {3.79127646571692*^9, 
   3.791276468939496*^9}},
 CellLabel->
  "Out[411]=",ExpressionUUID->"be1fc15b-822b-40ee-83e7-f10e88666d7f"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Epsilon]c0", "[", "\[Rho]_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"R", "=", 
       FractionBox["1", 
        RowBox[{
         SuperscriptBox["\[Pi]", 
          RowBox[{"2", "/", "3"}]], " ", 
         SuperscriptBox["\[Rho]", 
          RowBox[{"1", "/", "3"}]]}]]}], ",", 
      RowBox[{"a", "=", 
       RowBox[{"-", "0.0238184"}]}], ",", 
      RowBox[{"b", "=", "0.007923352705637004`"}], ",", 
      RowBox[{"c", "=", "0.17820175850290984`"}]}], "}"}], ",", 
    FractionBox["a", 
     RowBox[{"1", "+", 
      RowBox[{"b", " ", 
       SuperscriptBox["R", 
        RowBox[{"1", "/", "2"}]]}], "+", 
      RowBox[{"c", " ", "R"}]}]]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Epsilon]c1", "[", "\[Rho]_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"R", "=", 
       FractionBox["1", 
        RowBox[{
         SuperscriptBox["\[Pi]", 
          RowBox[{"2", "/", "3"}]], " ", 
         SuperscriptBox["\[Rho]", 
          RowBox[{"1", "/", "3"}]]}]]}], ",", 
      RowBox[{"a", "=", 
       RowBox[{"-", "0.0282814"}]}], ",", 
      RowBox[{"b", "=", "0.004011883522661856`"}], ",", 
      RowBox[{"c", "=", "0.14262596914269524`"}]}], "}"}], ",", 
    FractionBox["a", 
     RowBox[{"1", "+", 
      RowBox[{"b", " ", 
       SuperscriptBox["R", 
        RowBox[{"1", "/", "2"}]]}], "+", 
      RowBox[{"c", " ", "R"}]}]]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Epsilon]c2", "[", "\[Rho]_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"R", "=", 
       FractionBox["1", 
        RowBox[{
         SuperscriptBox["\[Pi]", 
          RowBox[{"2", "/", "3"}]], " ", 
         SuperscriptBox["\[Rho]", 
          RowBox[{"1", "/", "3"}]]}]]}], ",", 
      RowBox[{"a", "=", 
       RowBox[{"-", "0.0144633"}]}], ",", 
      RowBox[{"b", "=", 
       RowBox[{"-", "0.07411135123824349`"}]}], ",", 
      RowBox[{"c", "=", "0.07108999554813503`"}]}], "}"}], ",", 
    FractionBox["a", 
     RowBox[{"1", "+", 
      RowBox[{"b", " ", 
       SuperscriptBox["R", 
        RowBox[{"1", "/", "2"}]]}], "+", 
      RowBox[{"c", " ", "R"}]}]]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.753773568857679*^9, 3.7537735989190903`*^9}, {
  3.753774000549728*^9, 3.7537740603360977`*^9}, {3.753774109143517*^9, 
  3.753774138102693*^9}, {3.753774206440414*^9, 3.7537742282053556`*^9}, {
  3.75396524390508*^9, 3.753965286454199*^9}, {3.791269068082594*^9, 
  3.7912690828650312`*^9}, {3.791269148681624*^9, 3.791269151216712*^9}, {
  3.7912692591613283`*^9, 3.7912692894394073`*^9}, {3.791276387368285*^9, 
  3.7912764354379272`*^9}, {3.791276474148543*^9, 3.791276489611991*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"f39e798a-cf02-4ca3-8667-7392e238bcca"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SizeLegend", "=", "1.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SizeEpilog", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SizeLabel", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OptionsEc", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotMarkers", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<OpenMarkers\>\"", ",", "Large"}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"Thick", ",", "20"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "Large"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotTheme", "\[Rule]", "\"\<Scientific\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"MaTeX", "[", 
         RowBox[{"\"\<\\\\text{Radius of the glome $R$ (a.u.)}\>\"", ",", 
          RowBox[{"Magnification", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"MaTeX", "[", 
         RowBox[{
         "\"\<\\\\text{Reduced correlation energy $\\\\epsilon_c^{(I)}$ \
(a.u.)}\>\"", ",", 
          RowBox[{"Magnification", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
       "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Eig0", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
            RowBox[{"Eig0", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", 
            RowBox[{"Length", "[", "Eig0", "]"}]}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Eig1", "\[LeftDoubleBracket]", 
               RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
              RowBox[{"Eig1", "\[LeftDoubleBracket]", 
               RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", 
              RowBox[{"Length", "[", "Eig1", "]"}]}], "}"}]}], "]"}], ","}], 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Eig2", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
            RowBox[{"Eig2", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", 
            RowBox[{"Length", "[", "Eig2", "]"}]}], "}"}]}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], ",", "OptionsEc", ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"MaTeX", "[", 
            RowBox[{"\"\<\\\\text{Ground state $I=0$}\>\"", ",", 
             RowBox[{"Magnification", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"MaTeX", "[", 
              RowBox[{"\"\<\\\\text{Singly-excited state $I=1$}\>\"", ",", 
               RowBox[{"Magnification", "\[Rule]", "SizeLabel"}]}], "]"}], 
             ","}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"MaTeX", "[", 
            RowBox[{"\"\<\\\\text{Doubly-excited state $I=1$}\>\"", ",", 
             RowBox[{"Magnification", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Right", ",", "Bottom"}], "}"}]}], "]"}]}]}], "]"}], ",", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Epsilon]c0", "[", 
         FractionBox["1", 
          RowBox[{
           SuperscriptBox["\[Pi]", "2"], " ", 
           SuperscriptBox["R", "3"]}]], "]"}], ",", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"\[Epsilon]c1", "[", 
           FractionBox["1", 
            RowBox[{
             SuperscriptBox["\[Pi]", "2"], " ", 
             SuperscriptBox["R", "3"]}]], "]"}], ","}], "*)"}], 
        RowBox[{"\[Epsilon]c2", "[", 
         FractionBox["1", 
          RowBox[{
           SuperscriptBox["\[Pi]", "2"], " ", 
           SuperscriptBox["R", "3"]}]], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"R", ",", "0", ",", "150"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
      RowBox[{"PlotTheme", "\[Rule]", "\"\<Scientific\>\""}]}], "]"}]}], 
   "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.753609235477899*^9, 3.753609243770727*^9}, {
   3.753609289981525*^9, 3.753609306025341*^9}, {3.753609407838635*^9, 
   3.7536094194920893`*^9}, {3.753609944288713*^9, 3.753610008002369*^9}, {
   3.753610042319037*^9, 3.753610162428212*^9}, {3.753610425797776*^9, 
   3.7536104339576883`*^9}, {3.791266605076848*^9, 3.791266624236309*^9}, {
   3.7912667630683727`*^9, 3.7912667649886513`*^9}, 3.791266812133045*^9, {
   3.791267447018565*^9, 3.791267466727985*^9}, {3.791276249159471*^9, 
   3.791276316093234*^9}, {3.791276499414219*^9, 3.791276590807248*^9}, {
   3.791302726279767*^9, 3.791302737367152*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"b42b1902-b9ba-401f-a9df-30e4652a34c1"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {{
        {RGBColor[0.9, 0.36, 0.054], PointSize[0.012833333333333334`], 
         AbsoluteThickness[1.6], CapForm["Butt"], 
         GeometricTransformationBox[InsetBox[
           FormBox[
            StyleBox[
             GraphicsBox[{
               {GrayLevel[1], DiskBox[{0, 0}, Offset[{6., 6.}, {0., 0.}]]}, 
               {AbsoluteThickness[3.], Dashing[{}], 
                CircleBox[{0, 0}, Offset[{6., 6.}, {0., 0.}]]}}],
             StripOnInput->False,
             GraphicsBoxOptions->{DefaultBaseStyle->Directive[
               PointSize[0.012833333333333334`], 
               RGBColor[0.9, 0.36, 0.054], 
               CapForm["Butt"], 
               AbsoluteThickness[1.6]]}],
            TraditionalForm], {0., 0.}, Automatic, Scaled[19.5]], {{{
          0.1, -0.023391913368829433`}}, {{0.2, -0.02297901655935025}}, {{
          0.5, -0.021817116105320795`}}, {{1., -0.02010876852270148}}, {{
          2., -0.01737071560943161}}, {{5., -0.012359326069805606`}}, {{
          10., -0.008436394465178656}}, {{20., -0.0052569107832976985`}}, {{
          50., -0.002546258230602838}}, {{100., -0.001399039749842982}}, {{
          150., -0.0009719698383387358}}}]}, 
        {RGBColor[0.365248, 0.427802, 0.758297], PointSize[
         0.012833333333333334`], AbsoluteThickness[1.6], CapForm["Butt"], 
         GeometricTransformationBox[InsetBox[
           FormBox[
            StyleBox[
             GraphicsBox[{
               {GrayLevel[1], 
                PolygonBox[
                 NCache[{
                  Offset[{0, 8}], Offset[{(-4) 3^Rational[1, 2], -4}], 
                   Offset[{4 3^Rational[1, 2], -4}]}, {
                  Offset[{0, 8}], Offset[{-6.928203230275509, -4}], 
                   Offset[{6.928203230275509, -4}]}]]}, 
               {AbsoluteThickness[3.], Dashing[{}], 
                JoinedCurveBox[NCache[
                 Line[{Offset[{0, 8}], Offset[{(-4) 3^Rational[1, 2], -4}], 
                    Offset[{4 3^Rational[1, 2], -4}], Offset[{0, 8}]}], 
                  Line[{Offset[{0, 8}], Offset[{-6.928203230275509, -4}], 
                    Offset[{6.928203230275509, -4}], Offset[{0, 8}]}]],
                 CurveClosed->True]}}],
             StripOnInput->False,
             GraphicsBoxOptions->{DefaultBaseStyle->Directive[
               PointSize[0.012833333333333334`], 
               RGBColor[0.365248, 0.427802, 0.758297], 
               CapForm["Butt"], 
               AbsoluteThickness[1.6]]}],
            TraditionalForm], {0., 0.}, Automatic, Scaled[19.5]], {{{
          0.1, -0.014496797090865628`}}, {{0.2, -0.01452285969558331}}, {{
          0.5, -0.014560532378814613`}}, {{1., -0.01451224002718311}}, {{
          2., -0.01414160309608582}}, {{5., -0.01233394674740097}}, {{
          10., -0.009715546420459952}}, {{20., -0.006743807472706599}}, {{
          50., -0.0035844891474714016`}}, {{
          100., -0.0020591316208532526`}}, {{
          150., -0.0014581624596552599`}}}]}}, {
        {RGBColor[0.9, 0.36, 0.054], PointSize[0.012833333333333334`], 
         AbsoluteThickness[1.6], CapForm["Butt"]}, 
        {RGBColor[0.365248, 0.427802, 0.758297], PointSize[
         0.012833333333333334`], AbsoluteThickness[1.6], CapForm[
         "Butt"]}, {}, {}, {}}, {
        {RGBColor[0.9, 0.36, 0.054], PointSize[0.012833333333333334`], 
         AbsoluteThickness[1.6], CapForm["Butt"]}, 
        {RGBColor[0.365248, 0.427802, 0.758297], PointSize[
         0.012833333333333334`], AbsoluteThickness[1.6], CapForm[
         "Butt"]}, {}, {}, {}}}, {{}, {}}}, {{{}, {}, 
       TagBox[
        {RGBColor[0.9, 0.36, 0.054], Thickness[Large], Opacity[1.], CapForm[
         "Butt"], LineBox[CompressedData["
1:eJwV1Gc8FYofx/FoSzJKZK/IpuiInB/Zjs2hY55DdpnJykq2Y68SKePSxbHq
iusniqgU96IhpaiMIsm64t//wff1efJ+/BWh+VmeY962bRvj9/7fJvLGz6+1
fZrxInbtXa6FmNzjNGpBryI6Mgzsq44WYubruAhB+j3iPvhUULZQgLmTuc92
0HuJ99bcdR4mF2D+9I3llfRRYo8/S6xGXz569WZTWqJfEz/XjLXYXM9HjYrE
jsCAt8RPJXNd6hfyMYBB6A6pmSDeLQzmNuXOx8O+oqnf0z8TE12nw0Yv5OG2
N/ynX+yaJvrUkySv6eXhjOHh+broGWKXQRPvumAetkuyWvkGfCWWyb13ix3M
xYbv4elBNd+JrWohRbqnc9G21s3mW/oKMdTabfWtbA4+naTWORqtEqf2ZLwb
Y81B4Hfe/WzXGjGeTYXL4Gs2Sqeebb0TvU6U4NueQqnPxg1PUwGvgF/EMt83
/iqEbLTgLF4MqGGCO9I5o0L2Wchad6S0eg8zpPjESK5BFvYYFhlPuDPDffGc
fhHJLDwVm19uLrYdRrbqKPZLmSi+kElWKN4BbOI23YbZmbjy7Or9ufTd4Phz
if6rJQPdiCwEjqXdYJCkIt2VkIFDDHqLCmUPFE0zprnsMrAup4ARdXQvOBY2
fLfeoKPb2epKdmSBnd7p4vuM6Tg0+TT7xMJ+eCPWNeu6lYZAtmA/S2aDlMvK
sd9G07Cudzj9cjsbPPIyqZhkpGFyzXhST9IBmM3t62B1S0NhQijxz0x2qMV8
EHyeiqO/klU0j3FCpqVZ0eLdFKSrkoLNHTiheDnaPTwvBXX82JpoGZxA2xIS
IQenYOP7bMXEn5zwvLoueMfx3777usyLB1xQ/70njq85GXWTa0VolEOg0kvn
PP0wCZsODu5PSOUBM3eN3OuHErE9gG9SpY0HQrQvVRtsJuDDgXP3p2Z44B8p
94/inxNwJGndXdeIFw4szaZ6tibg6oZY5469R+C5oUfRfpcE1JwKCbySwAeW
eSW9Di1Xsb+FfzQmVhD0FvgLJiLjcYjTo1axQRAY3F/o8d7x+Mav4cr794JA
7iMEGNjF49wxPUUAITDheJ2rdCIeD5T4JW9tCoGZNXE1+usVlD4zIUDsEIYj
i1wrj85dQX+ZEy/+VheFlm9akT+843D8pP6WgJUoXOuNnPVwiEMTHYp8lLco
2Jnvt/phEofSjjFpmkWi0PbZSdlUKQ6n6E8NcFkUbuzc5sW2FouURbcHnQ1i
oO2J0WlpsXimNa+xW1ICmCjmjepdMdj46I8JMaIECM1mRSndjUHhoTb2eLIE
RPwXmk+oicHNmYkLOlcloKGYcTA8Owb/4peXefRBAio2BSx7XGNQNqbnds+N
oyAlTyCf2xuD3PoruX1cUkCyVbNtxShcfGy8Ki4nBWX8LQNYHYXPjG7ax+hJ
QbPZes1UThTGmxqKngyTArlL/1yle/72Ntfry8elQFe0pciE67d3I/ZHVx8D
mcKfykYXLmN8XOKWClEGun/ms1QRItFlxxgty04GnEaMOCSORqJ6gmLPXIAM
2G0l2rdxReJi8qu02+Uy8L45aENhPgJdsmSOcLDIQt7hYdsTVRGocfP5ibl/
ZWF85ZFqHF8E/vj7sPctb3l4kFPKc+BgOK5aKBaR4uThtqCtqtnOcNyYMni8
XCQPcsdZmW8uh+EOtvCjxn3yIH6iWDnoVRhyO419+CGpAPzWTgtjpWFI2Lxp
rzulANSmFvdKhTAkCuUdXapXhEpLNWUqJRS1vUQ0+9oUYYzM2h1vEoo6TbU2
Jb2KEGUe/aUFQtFAvyfe4J0ikJ+GXwfJUDT3W/lQzKYEt73YrH4uXUIani3V
Pa8EI24g0p99Ca86C/IUSCtD5JiW/bXRENR0e9LndVIZql8Nc9o9CcFlz9AI
DR1lKHRK/y6KIegZODQ+4agMNa2/nr+rDEGjqwkVslnKwMPz4smPkBBku/NN
uWtFGWQ7XooH8YZg4XKHydeHxyF6I3fCyOMi/pnufOWMswqcKHceYIgGIyV2
u+1rHxWIDvu2TOYNxj0Xq6QDQlXg7arKwE72YHR1mB8syVKBzoMNdpd/BeER
mWjh9W4VMKbGZg69DMKkxyV/M6RUoUa/0GdfVhC6bR9fEVhUhbt8ZVteu4OQ
L8zBdzWeAL18s2aMvYE4fvFDxd1MArBclPRgMAfizUDPd8HFBJhq/zTX8l8A
ivsGW35vIsB37kbpwa8BKOucRpj5QACrA6ud+kMBqKnbvmMM1ED0rdZ2xeIA
pHLw38ANNVg3dOd8eDwAq6rfPEsIVocoUynR5/7+KEyNK9OOVYcDuwVJsd7+
WMhz7OJmujokSfsaE9z8MSUxhD+kSh2O63xoarb1R99zHD7nXqtDn0dX9idN
f1QU0d+jAxqg19o1eozNH+8XNmozsZ6GkTBfhUMufjiQmHwv4rYmPJ7XuUvZ
dgFThsdYJQYA1rZr7Vpo88EXj4Yi2c9oQyX5yZjxkBdOsr5XrB89AwH7/Gtl
dnliYoh82SkLXQi2G2ITyXDHFdVcm7AZPSAx3+PhPXYO942MGmhEGkBw4F1+
yqIr1hU4rM4uGsK/Dt3pHPM0FGSszpomG8OD/gM2hxapKDA7fL1khwnwpkhP
MvipOBPZn1FWagou1DsafUYuWBtiSs3lNQf71bQjLwSdUQ5e2g0MmwP3X4x0
+3FH5Go5vzhRZgFEcim+LHFArTaxGR8XS2iSXLvXkWqPDxgGTAQ+K/hntjrA
PYuCVRZh999OWQEtyclDPu8sDl/pH1y7ZQ2VPxIvi9y3Q2+qZOq8nw0EVfMN
No7ZooX8D1dJNTKYX57k+shh+/vk3l0bXiKDxICqVowLGQ/mjwY5dtpCmYb1
5rM7NriguFBjH2UHQlWHtIX326Bg2yWmYsJZeKAt1iMRbo1NCyzrLcwU2MsU
lhH20Qoz7nWY6yEFxLzNL8Q6WeHQsShDRqo9VHosym8OW6KDnNPNTCMH8FM/
vV/c0RIJwrXcTTsdQdibO8V9zgIjOnYr1L9whGtMn5o5Qy1w57e4ChG6E+wa
/C+wmd0Clx/v7Thv7wzCcx1aSxXmWNy3tX6Z0wWIHg75fNrmSF1h0YvxdwGP
0zaVSkNm+Gqdj+Y34gINi7y7c3nN8Kfe6doiFSroN7IJlgab4n0W7j1T2VSg
zq3+5/XKBJXLl44LrFKh8p3B67cnTdA04SM9k0wDr5/1ldJVJNQ3opNU7WjA
UDiv1VBOQmBTYxk7S4OjFVmGhFskVMqnX5V0pMHgXEmZ/g0SHqxUi+xwpQFH
Z9N5nxwSvnmU4TXnT4PHH2Qde6NJ6LlTQ8cglQbJl5JHntuRkNr3ielbGg3k
C7c+u5JJSEnPwhw6DX6Vu7muWpGQdOjzqXdZNIhdpBeImpFQQSJbKaSQBvl+
FxYjdEm4rPNFsLyCBpydvRRtZRLO78kZM6yigVx/wuaYAgm/PD19bf4PGtCr
E1hC5Uj4yjrnkPqfNLhVNk6plyJhu5sm61AjDbLi9r4WFSJhi9R036VmGswy
T7d38pOwbi4nUeAuDdJbVHY7HyHhzeBpZq9WGvik1A4WHyJhESG3k62NBiYK
5RYaXCTM3tCMam6nwf19pYQxdhKmdE6rUzpocGrlSkIkGwmvxOeubSENZIcI
6gKsJPwfvBJVNw==
          "]]},
        Annotation[#, "Charting`Private`Tag$276202#1"]& ], 
       TagBox[
        {RGBColor[0.365248, 0.427802, 0.758297], Thickness[Large], Opacity[
         1.], CapForm["Butt"], LineBox[CompressedData["
1:eJwVynk8lAsbxvFUjshxlIgwFYpS9mWi5rmVbMlJ5YmR7aHFdmwlu4lhssxj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          "]]},
        Annotation[#, "Charting`Private`Tag$276202#2"]& ]}, {}}}, InsetBox[
     TemplateBox[{GraphicsBox[{
         Thickness[0.009790483649892304], 
         StyleBox[{
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYCYvc1R5czeCg6eOyvlbV4ruawJ7/m7UxWJQz+
qcNOazPlNBycJzQLpWkpOUxub426bKPpEM4p1m5cr+SQngYEbVoOrQrsqme2
yDskhASpL/DUdhCpnFRy1kXW4UGE+PaLDdoQ+RJJOL9gecmGf/5ccL6JMQh8
sW/m9V8/hVUDzq+8/+OW8W4lOL/TxnNXWpCCw5vax9nn1/yynz4TCCJlHGaC
aWaHB67xjrMKJR1egOTfcDrsCLaK+K8u5hCtGiFzTkbIYa2QDl+6nQjEfUvE
4fztIHXs0nA+2JxAOQj/nogDf2zAfaN0JQeFXQv2pa4Tg/N7I7r9GTfIwfl7
QeEmquBw+gwQ5Cg53AeZo6gACb9VSg4zQO60VHCoBvkrWhmir1zBoRvkLydl
SLjyKzqAvasMpZkVIe4RRPDvaMqu+R+sAOenguLBTR7OjwH5948cnP9l38et
6dek4ObD+B8WrVc4G6HgcAYM5BzKD29znamrANUvD3c/2F+mCg4toHi8Ig/n
w/wP4/8HgfuScP6bttxuo90SkPjRVIDGh4TDim8vK84IKEDi9bI4RN1seYca
ULi8FnNYAwr3fTIODCDgIAbRP1MSzoeYIwDng53vw+JQAdLfLQPng9OPtTKc
n5H/ofXkFXVIPMzkg6Y/LQdwfrCQgPPB4b1RCs4Hu+u0jMMGvbzFjDFaUPfK
OQTckq5JFNKCuGODgsMJUH6Zp+kAy18QeQR/s/mPQylaGg7o+Q8AunloPg==

            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYCYrnlLzz09qs4/Hz7+oClsoqDqc3eoGkLVeF8
nxPstrOnqsH5G1SfNM9bq+bgsebocoYfynD+3vyatzNTleD8nohuf0YBKTi/
D8wXd9ikl7eYcY6aw0wQ2Cnm8KZ4q+jv06oOIW8vf5yxUMzBxBgINqs4xKhG
yJyrQfAVdi3Yl8on6jBjAn+VWbaaQxoIqIk6JIQEqS/gVIeoMxZ1kJh6hTNj
EYIPtk9GAyd/Csg8bm24+TA+zP71IPef1YS77/zVsDf6uzUg9h8Tc2Dm7JJP
XqfhUHP/xy3j1wg+zP8w/n3XeMdZiopw/n8Q6FdyEAe7V9PhAUj+oDLUPi04
X19rpfCFFm1UPouOg8q1R8EMOcoOqWCH6Dh8WLRe4ewKJQf3/bWyFs8R/OdZ
2t+my+o6GIDNUXWo+bQhIPuWjsOJXTt62TaoOpwBgRwdhzmLlHf+Oa7qIA9K
D/+14Xww7Y7gQ9yjBfF/mqqD/8WJMf+YtSDxfFYF7r9KUHhYK8P5MPuSY++4
MVdowM17FCG+/aKDOtQeVYdfoHTGrOYQeEu6JvGTigMsfcLMR0+vAK9vIzw=

            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
            4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKG1bGbHC9K2hw5xFyjv/HFd16A8uUZmubwDn6yjK
f8n5putgDALBynD+GRDokUeVvyzhoP6ked5ZLgOHtUI6fOl2Ig77a2Ut0qcY
wvlbzH8cSskyhvO53FRLmXaZOMwEgUhJOP8/CNgrwPkea44uZ6hQdniSuPCa
Sb8x3H3o7v+y81bX362GDqcOO63N/KfiULxV9Pfpc0Zw/mkQPc/YQfnao2CG
OUpwfoxqhMy5PXJwPgMIOEg6HGxbHn6KydjhgWu846yLog4OTY+Oz+A2gvML
1nTfznhgAOc3shztNxQ3cEhPAwEpOH9vfs3bmVMV4Hyw+kJliL9XGsDdh+5+
AGxcs0Q=
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4uUvPPT+G1o7nNi1o5dtg6rDdaFPjufFrB3m
LFLe+ee4qsP0CfxVZtVWEL67qkOMguPH5DuWDoG3pGsSP6k4qD5pnnfWytJh
A5iB4P98+/qApbKKg33To+MzViP4PifYbWerWsH5EPutHDzWHF3O8EMZzt+b
X/N2ZqoSnC9SOankLIssnO8OVi/tUM9ytN+Q3crhQPe+JpPFUg4S8+I0Tx+w
dFD/pPJyVqckxP5sS4dWBXbVMyYSDtxuqqVMXJYOGmB5cYeDbcvDT02ygPOT
Y++4MWsg+BJTr3BmXDJ36Ivo9mcUkHD48630wZyF5lD7JRwaQfaXmzu8acvt
NtotCZFPNHdoB9snDefL71qwL9VPFs6HhfeXnbe6/rqaw8N7i/mPQymrzODh
vVEvbzEjjxk8vLlA7s8yhYc3jA8Lz2mg+LqN4N8BajMKNYPze7xesZgkmsHD
G8aHhTeMvyPYKuL/cRk4/4FrvOOsQkmHJff38c0pNnP4su/j1vRv4nD3poHA
MTGHF1na36a/NXNwA5kfIQr3LwMILBBx6AsuUZnObwHn1/22Kjg3A8EHx4eQ
pUPV/R+3jL1FHUDeNkq1dIhRjZA5VyMGj3+Ye2B8WPyUbBX9fVrPyuEMCPiI
w9ObAij8+UQh6j9aOZgYg4Coww2Q+V8R/CMg+5Ws4fznIP/44ubnr+m+naFg
Azcfxoe5F6xusbVDyNvLH2csFIPkJ2trh5kgsBPmH2uHg6D0yywO5/eA/SPl
gJ4/AXCIjtM=
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4jMgsMTBQWHXgn2pfKIOl/Pj2c8xOjqYGIOA
qEM2588F6cwIvvAnx/Npsgj+G959BjONcPM36uUtZpzjCDcfxo9RjZA5VyMG
MS/W0SHk7eWPMxaKOcwEAU1HCL1TzIFl8SQrRlVHh4Pd+5pMmMXh/J6Ibn9G
ASk4v9PGc1faIkU4/1XxVtHf2SoOwSUq0/9fcHCYs0h555/jqg66Exb8MFRD
8KdO4K8yu22Pyp9t7/AiS/vb9LlQfrS9w5PEhddM9FUh/iq2cwCH2xxlOP/E
rh29bBtUHRJi77gxR9jBzdsC8u8eWwjfXdXhOchcWVuHwFvSNYmfVBzsmx4d
n1Ft47BB9UnzvLMI/s+3rw9YKqtA7HmD4F8VAgWYLZx/oG15+KkiWwePNUeX
M/xQhvP35te8nZmqBOfDwgvG7wPzxR1mgMI50xYe3ktfeOj9Z7SFx0ftb6uC
cxU28PiC8WHxyeO/fkqqh61DGgioiTqAvTHLFh7/YPozgg/2n7cdnB8hvv0i
wzw7uP6noPDJtYebD+PD7Pe5ODHm32M7uPtiFBw/JtfYwd0Piw+Y/2B8mP9h
/HSQfWJKcP6HResVzmooQ8Lbxt5BtMfrFUuIisN1UHh/Q/DB9iQ6wPmw/ANO
f0rKcD6Y9lF0QM9fAJ9larY=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0,
              1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
             0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQB2IQ/Scm9+g/KRcHA62VwhdYVB28T7Dbzj7q7NDIcrTf
cLqqg+qT5nlnZzk7zFmkvPPPcVUH4U+O59NSEfz25eGnjGwQ/M8bArJniTs7
/Hz7+oDlYlWHmSDw0clBtMfrFUuIqoMxCGQ7OVy4GvZG31oFol/EyeGOpuya
/83KDpURK0zP3nZ0SE0DgmOKcP5/EKiXh/P7I7r9GTdIO7AsnmTFyOrkoP5J
5eWsTgmH45pWk077OzmEvL38ccZCMQf7pkfHZzQ7OTCAgIOoQzbnzwXpp6H8
BSIO8210rszSc4bzweb5IvgW147mmhQ4OzxwjXecdVHE4QTI/HJnhyCQ+Yyi
DiBvmSi6QOQLJSH+lXRxUNi1YF8qn6hDG8h/KS4OIO+kqYk6TPnGFj+jxsXB
BBwQog5rum9nMPQj+GB6NoLvqlrKNGsDGv8Cwjyw+G0Xhzdtud1G0qIOF/Pj
2c/9RONLusLdA+PHqEbInKsRc3AAhc9lF3h4gf033wXij51icPf0gcJbQBzO
7wHzpeD8lNg7bsw7tB1EQOmj18Wh/rdVwbkX2g4SU69wZngBwydCfPvFBm1I
uEq4OBzftaOXLUDbYeetrr+p850d0kH+YUPwN+jlLWaM0XI4AwJfEHwe//VT
UgVc4HxY+t0O8ogEgm9mszdoWqKmA3r6BgAFmSlq
             "], CompressedData["
1:eJxTTMoPSmViYGAQAWIQ/Scm9+g/KReHGNUImXN75B1g/APd+5pMFss4MICA
hIuD+ieVl7M0ZRzaloefMmJxceiJ6PZnFJB2SDh8WTv1prODMQhclnBYYKNz
ZVafs4PbmqPLGSLEHdZ0385gcEfw3VVLmWYdcELlJzg5pKeBgDScPxMEOhXg
/E4bz11pSsoOv0Hu2+Tk0PDbquDcChWHdpB7bJzhfN0JC34YliH4JiB3bXaG
mBepAjHvhbODQGzAfaPjyg51IHUcLg4PXOMdZxUqw/0Psw/GB8t/VHJADy8A
1KeCnA==
             "]}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYC4hzOnwvSud0dRConlZxlkXGA8d+05XYb7ZZw
KNkq+vs0m7vDGRDwEXd4w7vPYOYvN4j6FFGHZS889P57uju0KrCrnpki4iD0
yfF8Wqu7w1ohHb50OxEHh6ZHx2ecRvCzQeZP9oDzEw9f1k5V9ITqF4fzQ95e
/jjDUQbOj1GNkDm3R9bBHmSesKdDC0j9FTmHeTY6V2Z983BQ/6TyctZJeYc1
3bczGM57OJwFubdGwWHyN7b4GXM8HFLTgOCYggOIShOD2q+n6NDj9YrFZKa7
w38Q6Fd0YACBAneHmSDAqQTnd9p47kpTUobzRUEaQ1Qg/l3q7nDqsNPazH8q
kPBh8oDz635bFZzLQPDB7t3m4dAAEtdA8J0nNAulcSnD+eWHt7nOrFWC+P8h
gq/6pHne2UceEHc8UHbYXytrkf7EwyHwlnRNYpGKQ3CJyvT/LzwcniQuvGai
rwrx13QPhxdZ2t+mz1V16Ab5N9HDYc4i5Z1/jqtC3KuE4IP9XegO598EGmvE
6u6QEnvHjblCBc43BoFgJTgfFp7g9KIG5ccpOLAsnmTFmOsOjT95B90JC34Y
TnOHxJcmNL6eu0PiJ03OoRik38/DoTei259xgyw8vXzZ93FrupmsA4//+imp
Gzwg6cVEBs5PB+uXgvNNQO67LO7Qtjz8lFGKh8PB7n1NJsxiDic0rSad/u4O
5/OC1Hcg+OD0YOnuoLBrwb7UdeJwfg/IPQJScD56foHxAfRPV5M=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4ueJC6+ZvPd0EKmcVHJ2i7IDjC+/a8G+1HWS
cP6OYKuI/+piDgmHL2unKno5MIDAAhGHNd23MximI/jLX3jo/d+J4M+30bky
656Xw1ohHb70eyIOxzWtJp1+7uVgYgwCog4hJSrT/xt4O8wEgZ3iDnekaxKN
ZL0d1D+pvJzVKQEx/ztMv7iD+bWjuSYPvBxC3l7+OGOhOMScwwg+2Px2BB/s
/nwvhy/7Pm5NnyYB59fc/3HL+LUUnA/z/xvefQYzjbzhfB7/9VNSHbwdTh12
Wpv5TwWh/9OGgOxbCL6Zzd6gaQdV4XyJqVc4Mw6pOZRHrDA9W+zl8CJL+9v0
ueoO/0Gg3svBQGul8AUVTQcFx4/JZ3K9HOYsUt75J13TocfrFYuJp5fD6+Kt
or+5NR1yOH8uSJf2cpjc3hp1eY+Gwwa9vMWMbzyh5mg4uKuWMs364OlQ99uq
4NwJdYf7+/jmGH/ydMjI/9B6MgTBh9ivBucH3gIG9CcVB3A0VHs6TAGZL4Pg
nwGBOYj0AAsPAJGB+94=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1,
              3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQbWIMBNa+DtGqETLnZCQd7JseHZ9h7OugsGvBvlQ+
UYeSraK/T0/zdQCrM8bkv+HdZzBzFYJ/dx/fHONNCD6P//opqTd8HdJAQE3U
IYfz54J0aT+4+TB+DMj+GjGH/yBw39ehVYFd9cwUMYj8bl+HkLeXP85YKOZw
Q7om0Wirr8PB7n1NJszicP5MEIiUROVzKsL5BlorhS+0qED4pb4OcxYp7/xz
XNWhdXn4KaMjPnD+W5B/mhB8nxPstrNdfaD6VSHhw+3jsMMByPih4vAepH6X
N0SdKYL/YdF6hbMrlBwkpl7hzHjk7VB+eJvrzFolB/0JC34YfvN2qLz/45ax
tbKDLogv5gN1v4qDwCfH82mqPnD3gu3LRvD/xOQe/fcLwZ9ro3NllpmvQ6eN
5660RcoOsPjkjw24b1SuCPHfEh94eEz5xhY/44q3w8pvLyvOFChA3F3r7SBS
Oank7BI5OH+9kA5fep0UnA+Ov2NiEPcd9XZgAIEFIg7yjh+Tz9j6wPkJhy9r
p0Yi+GD3FPtAzD8i4hAuvv0iQ52PQxAoPhlFHdDTHwC6qwcJ
             "], {{
             58.462500000000006`, 6.778130000000001}, {58.1172, 
             6.289059999999999}, {57.3656, 5.835939999999999}, {
             56.900000000000006`, 5.835939999999999}, {56.423399999999994`, 
             5.835939999999999}, {56.00629999999999, 6.27813}, {
             56.00629999999999, 6.790629999999999}, {56.00629999999999, 
             7.231249999999999}, {56.245299999999986`, 7.64844}, {
             56.60309999999998, 7.874999999999999}, {56.900000000000006`, 
             8.053130000000001}, {57.55629999999999, 8.22031}, {
             58.462500000000006`, 8.35156}, {58.462500000000006`, 
             6.778130000000001}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYCYompVzgzHvk5iFROKjm7RdkBxpfftWBf6jpJ
OH9HsFXEf3Uxhynf2OJniPg7MIDAAhGH+/v45hh3Ifg3pGsSjdYi+Bfy49nP
XfR3WCukw5d+T8ThT0zu0X+3/B1MjEFA1OHwZe1USaEAh5kgsFPcoX15+Ckj
jgAH9U8qL2d1SkDMfwXTL+6Qw/lzQfplf4eQt5c/zlgo7pCaBgTbEHyw+VUI
Ptj9Sf4OX/Z93Jo+TQLOr7n/45bxayk4H+b//gU/DJ8B3QPjyzt+TD4jGeBw
6rDT2sx/Kgj9nzYEZN9C8M1s9gZNO6gK54PpQ2oOa7pvZzCk+zu8yNL+Nn2u
OsTfxf4OBlorhS+oaDqElKhM/5/g7zBnkfLOP+maDvtrZS3SbfwdXhdvFf3N
rekw10bnyiw+f4fJ7a1Rl/doODxJXHjN5L6fw38QqNdwqIhYYXr2sZ9D3W+r
gnMn1B0EPjmeT3vq55CR/6H1ZAiCD7FfDc4PvAWMqE8qkPDL83OYAjJfBsE/
AwJzEOkBFh4AlzHz4g==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQLfzJ8XxabqCD+ieVl7M6JRyuHs01aUgOdDjYva/J
hFnS4Q3vPoOZRoEOJsYgIO6QH89+TlIx0CENBI6JOSyeZMXoy4Dgc/5ckL75
XACcX7NuW1L90gCHHcFWEf/VJRykXz8yk5oQ4LBeSIcvvU7KYWtLzYXNjQEO
913jHWcJykDMqwlwSAUbIOug/qR53tmqAIe9+TVvZ4oqONzfxzfH+BWCrwqS
lwuE8z9vCMieZR/o4L7m6HIGDQWIeSWBDs4TmoXSshQcgktUpv8H8v+DwH4F
B3nHj8lnSgMd+GMD7ht9R/BXfntZccZBEc5fC3LvP2WH72zxM3xsAx3mLFLe
+ee4qsNjEdmTT58HwPkxuUf/bTqN4IPdvwrof4emR8crVCHu64aGzzMViHt8
AhwEQPYfV3aojFhhetY4wOEMCPgowfkilZNKzi6Rh/MPgOJnsYyDv5xYlq99
gENPRLc/o4AUxD3BAQ4MIOAg4ZAOsqcowGEmCOwUhccH2D92IpD4uofgr+m+
ncHwG8GHRHsgxLwFIg7NgZ5zG8wCHWJUI2TO1Yg6iHsE/JHwhqUXMQg/OtAh
5O3ljzMWijkcvqydKhkX6FBz/8ct49diDujpDQCrngqm
             "], CompressedData["

1:eJxTTMoPSmViYGAQBmIQbaNzZdYzw0AH/tiA+0bfFRzu7+ObY8wV6FB9/8ct
49cKDo9FZE8+/R7gIFw5qeTsEwWH/bWyFul3EPzvbPEzfHYi+DXrtiXVLw2A
6188yYrRtybAYSYIcCrC+e5rji5n0FBy2Hmr629qfYDDWiEdvvR1ShDzOgMc
yg9vc53pqwzhz4Tqj1RxOHxZO1VyV4DDqcNOazP/qThw/lyQvvkegg9zL4wf
k3v03ybuQIcniQuvmaxXcagFuU8y0GGL+Y9DKVwqDt7Vzfo+WoEOK7+9rDjj
oOzweUNA9iz9QIf/INCv5IAePgDes46A
             "]}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ1IGYC4vbl4aeMTgQ5sHB2ySfnaTn8B4HXQQ7mNnuD
piVqOXhXN+v7/Aty2KCXt5gxRsuB4+eC9M1swQ7TJ/BXmWkj+D/evj5geVgT
zt/u0PTo+AxNh/v7+OYYMwU7ZOR/aD0ZouHwWET25NP/QPNUnzTPe6vu8GL7
eubnQPvVP6m8nKUp7VC7bltS/d4gh5r7P24ZvxZzMAaB3UEOCrsW7EtdJ+aw
4eHLqZvmBDlogNR3ijn0eL1iMWkMchCpnFRyNkXMoX/BD8NndVD1fKIOO291
/U2djuCLewT8kbgf5GACNljUAeSMs2rBcHmwuD2CD3aPYzDcfHnHj8lnJIPh
9keIb7/IAPRvyNvLH2csFIOH15d9H7emf0PwIf4Rh/NbFdhVz5hIQNwDDI83
bbndRrsl4OFTDVYv4VAZscL0rHOwQwPL0X5Dc02Hgnj2c5KewQ76WiuFL6ho
QcLPBxr+zloOnKDwzwqGx5fwJ8fzaa3B8PiNzT36b1M7NH4ktB3OgEADgg8O
D7Ngh/Q0IGDThvhXE8GXfv3ITEoGwfeXE8vy/R0EMYdH26E50HNuw6kguHno
6QsAv84Qeg==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 
            3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJ+KL1okhWj74Iwh24bz11pm5Qc2paHnzJag+CbGAPB
bkz+ym8vK84YKMP5DCCwQRmuH8YviGc/J7kQwW8K9JzbcCwEzt91q+tv6m4E
/0CtrEX6Gkw+zD4YH+YemH4YP0BOLMv3OIKP7j+Ye9Q/qbycdVIa7l4YH+Yf
dH56GhAck4HzRSonlZw9IgvXD+PD7IPxYe6B8WHuhfFh/kHnw+yD8WHugemH
8WHhCeOj+w8AEwO/1A==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
              3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
             98.33439999999999, 13.512500000000001`}, {96.4875, 
             13.512500000000001`}, {95.5453, 12.046899999999999`}, {95.5453, 
             9.1625}, {95.5453, 7.7671899999999985`}, {95.7953, 
             6.564060000000001}, {96.21249999999999, 5.9796900000000015`}, {
             96.6297, 5.395309999999999}, {97.2984, 5.0609399999999996`}, {
             98.0375, 5.0609399999999996`}, {99.83749999999999, 
             5.0609399999999996`}, {100.74399999999999`, 
             6.6109399999999985`}, {100.74399999999999`, 9.6625}, {
             100.74399999999999`, 12.2734}, {99.9688, 13.512500000000001`}, {
             98.33439999999999, 13.512500000000001`}}, {{98.1203, 
             13.095300000000002`}, {99.27659999999999, 13.095300000000002`}, {
             99.74219999999998, 11.9281}, {99.74219999999998, 
             9.067189999999998}, {99.74219999999998, 6.528130000000001}, {
             99.28909999999999, 5.47813}, {98.19219999999999, 5.47813}, {
             97.03589999999998, 5.47813}, {96.54689999999998, 6.68281}, {
             96.54689999999998, 9.590629999999999}, {96.54689999999998, 
             12.1063}, {96.9875, 13.095300000000002`}, {98.1203, 
             13.095300000000002`}}}]}, 
          Thickness[0.009790483649892304], StripOnInput -> False]}, {
        ImageSize -> {204.2692303860523, 32.67741967621419}, 
         ImageSize -> {102.13461519302615`, 16.338709838107096`}, 
         BaselinePosition -> Scaled[0.32439307852814453`], 
         ImageSize -> {103., 17.}, PlotRange -> {{0., 102.14}, {0., 16.34}}, 
         AspectRatio -> Automatic}],GraphicsBox[{
         Thickness[0.007051191651389083], 
         StyleBox[{
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{
             1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGBQB2IQLbNRbD7Tg1/2O4KtIv6riznA+Aq7FuxL5RN1+A8C
9RwOJsYggMnviej2Z9zABefzOPJ5zcjkgfN7QfIfeOH89DQgWMbvAKLS1EQd
3NccXc4wQ9gBZh86/2D3viYTZxE4P0Y1QuZcjBScDzFfziHk7eWPMxaKOYCt
UVZ0qLn/45bxa0mHahB9W8lBHqTeT9ZBIDbgvtFzZQfnCc1CaVaKcD6YPq4M
5+sqyn/JMdNwKD28zXXmXAWH7Q5Nj45LaDtUgczTFofz2xTYVc9cEYPzv+z7
uDXdDMF/05bbbRQtCvG/sLbDTBD4KeRwBgR4tCHuey0ACRc2bYj/9vDC+Td4
b4ulmnHB+du8NljM+ckC1w8J1y/2MPtgfHObvUHTErUcxJtkphhc/m1/fNeO
XrYALYg+HyaH51na36bbajk0i9eyZh5jgpqP4G82/3EoRUsDzgf7Y7cknA/2
R6SEAzcovl8yQs0VdzgAiq9kBmj4I9ITLH0BAESa+vo=
             "], CompressedData["

1:eJxTTMoPSmViYGAQB2IQ/X3fx63p17gdRHq8XrF80XQoWF6y4Z8/n0PALema
RCEtB2MQuCzgoK+1UviCipbDF5B6M2E4/4FrvOOsjWJwfsjbyx9nNEo5+Jxg
t519VRPKl3Ews9kbNC1R00F+14J9qX2yDpvNfxxK0dKEmFcm5+AFVq8BMS9Q
3sFjf62sRbqGw1ohHb70cwoOElOvcGY4qTs4T2gWSotSdJgxgb/KrFsVzv+w
aL3CWQ1lOP/sGSCoUXCovv/jlnG3gsN/ELgv49Ab0e3P+EHWASR9xkfKwQTk
P2FpiDu+iTu4rzm6nMFCwmFHsFXEf3Vxh3YFdtUzV4Tg/IPd+5pMFgvA+bDw
YgABB3EHWHhqfFJ5OasTwYeFLwAt8Z2s
             "]}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
            4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKL1e9UnzPF5thzmLlHf+Oa7qEHBLuiZxkjqcnxAS
pL5AU9XBGASCleH8MyDQI48qf1nCoe63VcE5D3WHtUI6fOl2Ig4b9PIWM8Zo
wflgc9n14PzF9/fxzQk2cJgJApGScP5/ELBXgPM91hxdzlCh7PDnW+mDOYF6
cPehu19m+QsPvflaDqcOO63N/KfiIDMvTvP0BR04//iuHb1sBXoOytceBTPM
UYLzY1QjZM7tkYPzGUDAQdJhq0PTo+MWug4PXOMdZ10Uddhi/uNQipc2nC/a
4/WK5YsGnG9mszdoWqK6Q3oaCEjB+Xvza97OnKoA54PVFyo7pIKUtWkg3Ivm
fgCtta96
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYCYoemR8dnnDZzOLFrRy/bBlWHwjXdtzM2mDnM
WaS8889xVQcDrZXCF0SgfHdVhy87b3X9LTV1CLwlXZP4ScXhQK2sRfoVE4cN
qk+a551F8H++fX3AUlnF4SZQmZGrKZz/JHHhNZP9CD7EflMHjzVHlzP8UIbz
9+bXvJ2ZqgTni1ROKjnLIgvnu4PVSzvIzIvTPL3A1OFA974mk8VSDlvMfxxK
iTJ1UP+k8nJWpyTEflZTh1YFdtUzJhIOS+7v45uz2MRBAywv7hCj4PgxWQfB
//Ot9MGcg8Zw/ga9vMWMOcYOfRHd/owCEg7TJ/BXmVkbQ+2XcJAG2S9g7PCm
LbfbaLckRP63kUM72D5pOF9+14J9qX6ycD4svPuDS1Sm3zeCh7f/xYkx/5yN
4OHtfYLddvZSQ3h4Lwa5n9kQHt4wPiw89UHxVYLgl2wV/X36HYIP1vbLEB7e
MD4svGH8HcFWEf+Py8D5D1zjHWcVSjrYVkasMOU1cviy7+PW9G/icPemgcAx
MYdGlqP9hu1GDm4g8yNE4f5lAIEFIg4ab3n3Gaw0hvMlpl7hzDAygfPB8bHG
xKHq/o9bxt6iEPf/M3GIUY2QOVcjBo9/mHtgfFj88Pmvn5J6wtThDAj4iMPT
mwIo/PlEIeq7zRxMjEEAan4fgg+2fw+CD/bPc9x8LjfVUqZd5nDzYXyYe8Hu
sDF3CHl7+eOMhWKQ/HTFzGEmCOyE+cfM4SAo/TKLw/k9YP9IOaDnTwD5IZcz

            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
              3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
             3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0,
              1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGBQAmIQPWMmEJy0dEiJvePGvEPb4cRhp7WZ6ywd6n9bFZx7
oe2QDBLXsHR4ECG+/WKDtoMxCBy2cDi+a0cvW4C2g8TUK5wZl8wd0tOAgA3B
36CXt5gxRsvBrjJihWmtBZzvd3FizL/NCP5MsP0WDtsdmh4dl0DwzWz2Bk1L
1ITz1wrp8KXXycD56p9UXs7qlHQAWZt2zMKBAQQcJByk58Vpnt5g4aABkn8p
4rD8hYfe/4dQ+QUiDhvB9lo6uK05upwhQszh+85bXX+vWjq8acvtNpIWdfAH
uc/ZCq7e5wS77eynCH6MguPH5BhrOB/sjzXWDl/2fdya/g3Kf2PtcAYE1og6
2IL8L2vrEK0aIXNORtJhyf19fHMW2zoc6N7XZLJYChLefHYO7iD3zJCD88H+
5FSE88sPb3OdeVbZQeMt7z4DTVuHOYuUd/45rurwBeT+p9ZwPjgewhB8CVB4
HLByqPm0ISA7StXhz7fSB3MKrRwuXA17o79bxQEW/3vza97OTFV2QE8PABVA
52c=
             "], {{25.787499999999994`, 8.971879999999999}, {
             25.787499999999994`, 9.139059999999999}, {25.907799999999995`, 
             9.353129999999998}, {26.098399999999994`, 9.567189999999998}, {
             26.431299999999993`, 9.9125}, {26.896900000000002`, 10.1156}, {
             27.385900000000007`, 10.1156}, {28.387500000000003`, 10.1156}, {
             29.018799999999995`, 9.304689999999999}, {29.018799999999995`, 
             8.02969}, {29.018799999999995`, 6.695309999999999}, {
             28.30309999999999, 5.76563}, {27.290599999999998`, 5.76563}, {
             26.670299999999994`, 5.76563}, {25.787499999999994`, 
             6.1468799999999995`}, {25.787499999999994`, 6.409379999999999}, {
             25.787499999999994`, 8.971879999999999}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIZIGYC4t7gEpXp9+0cNujlLWaM0XJQedI872yXPZz/
51vpgzkHEfyrQp8cz1+zd9ju0PTouASCb2azN2haoiac3xPR7c8oIAXn94H5
4g4R4tsvMpyzd5gJAjvFHL7svNX1N9XeIeTt5Y8zFoo5zACJ37RziFGNkDlX
g+Ar7FqwL5VP1EEYaFwaq4ODiTEIYPLtgc6aoY3gX8yPZz8XiJt/fx/fHONX
DnDzYXyY/e3Lw08ZLXGAu8/82tFckwIHuPvB9mU7wP0H48P8D+OnxN5xY96h
7RAJ8n+cg0P9b6uCcy+0HVRB4S3l4PAAFDAN2g4y8+I0T1+wdzi+a0cvW4C2
Ayx+0tOAgA3Bh8UHAHOEuq4=
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ5IIaxWaBsBigfRjMjqWHGooZa6kkVp5Z7aO0vXOoB
MK4CWQ==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4uUvPPT+X3RyOAMCPpIOPP7rp6RucHKIUY2Q
OScj7fB5Q0D2rPlODq0K7KpnTGQc2peHnzJqcXKouP/jlnG3nIP41CucGUpO
DgKxAfeN3JUdEg5f1k6VdHKI4BRrN16v7GAMAsJODlvMfxxK4VKB8z3218pa
uCP4U9pboy7PUXHYqJe3mFHFyWGD6pPmeWdVHJ4kLrxm4u7kINrj9YrliopD
cInK9P8NTiDnMzA8QPBnTOCvMutWdWBZPMmK8a2jww6HpkfHKzD55teO5ppc
QPDB9m/GzX8Msl/eEW4+jA+z/w3vPoOZVo5w99X/tio4l+DoYGazN2jaQRWH
3zG5R/8VOTqcOuy0NrNOxQEc3p2ODh8WrVc4u0IZ4h4DJwcTkL2XpSDqo6Dh
PUXc4f4+vjnGWU4OfRHd/owFYg7eJ9htZ7c6OSjsWrAvlU8EYn+Sk0N6GhCo
CTpczI9nP2fo5KD+SeXlLE8uB90JC34YfnOExO8ZVkj87UHwKyJWmJ5djODz
guK/w9GhcHnJhn/9bBBz8xwd/oMBO8S+KAQ/Qnz7RQYzR4cv+z5uTb/GAHF/
kKNDi3gta+ax//bZnD8XpGc7Oog0yUwxuPzPHmY+jD/fRufKrHcIPiw8ZswE
gptMcP8f6N7XZKLMDQn3Bc4OD1zjHWd9VITE711nSPqRgYbvT2d4+FuAzFNw
gcePGihZebnA4w/Gh8WvBCg9X3KGxz86Hxy+OxH8RFB6X4ibD06fGs5w82F8
mP2uqqVMswKc4e7LAYVXtbPDnEXKO/8ch8pPcHaQmheneXoCgn/hatgbfWs0
eQEVBx9Q+uh1dpgJDj9lSP5td4bE7xxlB/T8DgAqbbGh
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}}}, {{{44.060900000000004`, 7.862499999999997}, {
            44.418800000000005`, 8.660939999999998}, {44.359399999999994`, 
            8.721879999999999}, {41.224999999999994`, 8.721879999999999}, {
            40.903099999999995`, 7.921879999999999}, {40.962500000000006`, 
            7.862499999999997}, {44.060900000000004`, 7.862499999999997}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQvb9W1iL9i4eD+ieVl7M6JRzcVEuZZj3wcDjYva/J
hFnSoXir6O/TdR4OJsYgIO5QGbHC9Gy0h0MaCBwTc7i/j2+OsRSCv6b7dgbD
dnc4f8o3tvgZKe4OO4KtIv6rSzhczI9nP2fp7rBeSIcvvU7KgWXxJCtGWXeH
+67xjrMEZRwegMwTcndIBRsg6/AkceE1E353h735NW9niio4RIhvv8jwDsEH
y4d7wPm1v60Kzs3wcHBfc3Q5g4YCxH1Mng7OE5qF0rIUHOybHh2fwezp8B8E
9is43JSuSTRi9XTgjw24b/QdwV/57WXFGQdFOH8tyL3/lB3aloefMpri4TBn
kfLOP8dVHRIOX9ZOfekO54eUqEz/vwHBB7svH+h/B6DFFaoOdSD3GUDD55mK
A0h4xmY3BwGQ/ceVHXq8XrGYNLo5nAEBHyU4X6RyUsnZJfJw/gFQ/CyWcbC4
djTXZIabQ09Etz+jgJRDIsg9B90cGEDAQQJizz83h5kgsFMUHh9g/9iJQOLr
OoL/aUNA9ix+DzgfHE7uHhDzFog4zLPRuTKrzcMhRjVC5lyNqMNxTatJp9fD
0osYhH/ewyHk7eWPMxaKOcg7fkw+c9XDoeb+j1vGr8Uc0NMbAMSqDZk=
             
             "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQLfTJ8XxarYcDf2zAfaPvCg4R4tsvMuh5OFTf/3HL
+LWCQ8Lhy9qpnB4OwpWTSs4+UXCQmHqFM+OSO5zftjz8lFEPgj/lG1v8jBR3
uP4H+/jmGAu5O8wEAU5FON99zdHlDBpKDjz+66ekSrg7rBXS4UtfpwQxT8fd
ofzwNteZvsoQvg9Uf6SKg4Ljx+Qzve4Opw47rc38p+Kwpvt2BsN1BB/mXhg/
uERl+n8DD4cniQuvmaxXcZgMcp+Ph8MW8x+HUrhUHPQmLPhhmOfhsPLby4oz
DsoOtb+tCs5VeDj8B4F+JQf08AEAIz2Jzg==
             "]}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYAJSjNCxZiR+AxksEk1hxj1lJhJLb2UuBMA
8t8CMw==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4je8+wxmvvJycF9zdDnDCgWHHM6fC9IPeztM
aW+NujxHxWF/raxF+hlvhzmLlHf+Oa7icEe6JtHorrcDAwg8UHF4krjwmsl3
BH/KN7b4GTw+GPwZE/irzLpVHfbc6vqb2u8N59/fxzfH+JKXQzinWLtxvKKD
zoQFPwzjvBx+vn19wFJZBaLe3cuh4bdVwbkVKg7zbXSuzDLzctjh0PTo+A8V
B/UnzfPOMnlB3afqcDE/nv1coKfDBlWghK+qQ8Lhy9qpkZ4Qd65XgfArPSHm
L1ZxOAMCUzzh/k1PA4Jtng4eII+7qzj4nGC3nX3U06HbxnNX2idliPoaaHjN
kIeYN9PTwcQYBMQdireK/j7d5+kAMibtmJjD75jco/+qPB1iVCNkztWIOdgD
nT0jG8GHuRedDzFP1IFl8SQrxqsI/ocNAdmz7ns6zASBnaIO70Hx98jTQeOT
ystZL6HqvyLsF/jkeD6N18vhTVtut5G0hIO848fkM6peEH/4SDrw+6+fkmrg
5SC/a8G+1HWSEP8shKqPloPEn4u3Q8jbyx9nLBRz0AfFj5s3xL5OMYcNenmL
GUO8HdYK6fCl3xN1ML92NNckwdtBpHJSydkUUUj6yfF2UACZzycK8f9ub7h/
0Plg+08i+C6qpUyzbuDm/wcBdR+4+TA+LDwvgMKT0Qfu/i+g8HsPdc86MXh6
7ovo9mcUEIend0j4iTug5w8ATSJXnA==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYCYp8T7Laz1/o53NaUXfOfWckBxj8DAjLKDjek
axKNtvo56CrKf8kRU3H4E5N79N8hP4fAW0CJTyoO4eLbLzK0+TkYaK0UvtCi
6uCqWso0K8DPYc4i5Z1/jqs6LH3hofdfEMGv/21VcO6EL5xvYgwExb4Ooj1e
r1hCVB2OalpNOi3u6/CqeKvo72wVB5bFk6wY1/o4MIBAgrLD/lpZi/QSH4c7
IPduVoTzv+z7uDXdTB7OTwOBYxIOAp8cz6ex+jqsFdLhS7cTcbiQH89+7iKC
D7LWRNEPzrdvenR8xmQ/iH41UYh/F0Hl74nC/S9SOankbIq4Q3nECtOzm/0c
3rTldhtJS0D8U+3nsCPYKuK/uriD+NQrnBlefg4zQWCnmEMO588F6cII/v19
fHOMs3zhfNUnzfPO/vKBmHNZCs4P5xRrN+5XgPNh8bOm+3YGg7uvwxbzH4dS
ulQceP3XT0m9gODD7IPxwfpi/Byk5sVpnhZQcTC/djTXpMLPwWPN0eUMFcoQ
85sw0wOMDwD3D+wW
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
              3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
             3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQHVyiMv0/R4DDiV07etk2qDrc38c3x5gpwGHOIuWd
f46rOsy10bkya5s/hO+u6vAkceE1k3R/h8Bb0jWJn1QcdCcs+GEo5u+wQfVJ
87yzCP7Pt68PWCqrOJRsFf192g/BL49YYXq2G8G/kB/Pfm6iv4PHmqPLGX4o
w/l782vezkxVgvN7Irr9GQWk4Pw+MF/cQeCT4/m0Xn+HmSCwU8wh4fBl7dRI
f4eQt5c/zlgo5mBiDATC/g4xqhEy52oQfIVdC/al8olC3LPaHyJujMlf+sJD
7/9FBN/82tFckx+4+YsnWTH6egTAzYfxYfZ/Z4uf4aMaAHefv5xYli93ANz9
sPiA+Q/Gh/kfPb4AXia1hw==
             "], {{63.592199999999984`, 13.4891}, {
             63.23439999999999, 13.4891}, {62.92499999999999, 
             13.179699999999997`}, {62.92499999999999, 12.821899999999998`}, {
             62.92499999999999, 12.4766}, {63.23439999999999, 
             12.165599999999998`}, {63.58129999999999, 12.165599999999998`}, {
             63.926599999999986`, 12.165599999999998`}, {64.24839999999999, 
             12.4766}, {64.24839999999999, 12.821899999999998`}, {
             64.24839999999999, 13.1563}, {63.926599999999986`, 13.4891}, {
             63.592199999999984`, 13.4891}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4v21shbpSwIcRConlZzdouwA48vvWrAvdZ0k
nL8j2Criv7qYQ+26bUn1ewMcGEBggYjD4klWjL4/EHx5x4/JZzgD4Xzp14/M
pGQCHdYK6fCl3xNx2PDw5dRNCoEOJsYgIOrwnS1+ho9roMNMENgp7rD7Vtff
VOtAB/VPKi9ndUpAzNeA6Rd3eLF9PfNzoHkhby9/nLFQ3CE9DQj4EHyw+R8C
4Hyw+58EOHzZ93Fr+jQJOL/m/o9bxq+l4HyY/w9f1k6VdAuE84NLVKb/9wl0
OHXYaW3mPxWE/k8bArJvIfhmNnuDph1UhfMlpl7hzDik5sDxc0H65mcBDi+y
tL9Nn6vucAYE3gQ4GGitFL6goukQm3v036bHAQ5zFinv/JOu6SD8yfF82sUA
h9fFW0V/c2s6NAd6zm3YFeAwub016vIeDQfVJ83zzi4KcPgPAvUaDvnx7Ock
lwY41P22Kjh3Qt3BWufKrGdAfkb+h9aTIQg+xH41OD/wlnRN4icVSPhlBThM
AZkvg+CD3TkHkR5g4QEA+276nQ==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQ7a5ayjRrQZCD+ieVl7M6JRw4fi5I3zwtyOFg974m
E2ZJB3nHj8lnUoMcTIxBQNxh8SQrRt+QIIc0EDgm5nD1aK5JgzGCb6NzZdYz
RgR//cOXUzfdCHTYEWwV8V9dwsFfTizL93Cgw3ohHb70OimHF9vXMz/fEuhw
3zXecZagDMS89YEOqWADZB0ixbdfZFgX6LA3v+btTFEFB+FPjufTZIPg/AiQ
fBCCr/qked7ZoiAH9zVHlzNoKDhcB5m3PMjBeUKzUFqWgkP78vBTRiuCHP6D
wH4Fh+ASlen/gXz+2ID7Rt8R/JXfXlaccVCE89eC3PtP2UHbatLp+oIghzmL
lHf+Oa7qIO4R8EdCGsHvX/DD8Nm/QDgf7P57QP87ND06XqEKcd++QEj4PFOB
uKch0EEAZP9xZYc13bczGNIDHc6AgI8SnC9SOank7BJ5OP8AKH4Wyzg0B3rO
bSgKdOiJ6PZnFJCCuKc90IEBBBwkHGaCwNJACL1TFB4fYP/YiUDiSzAIzr+/
j2+OsR6Cnw5yp1cQxLwFIg5bW2oubM4McohRjZA5VyPq4F3drO9TB0svYhB+
X5BDyNvLH2csFHP4zhY/w2dikEPN/R+3jF+LOaCnNwAnDQ7V
             
             "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQnR/Pfk4yNciBPzbgvtF3BQfhT47n02yDHKrv/7hl
/FrBQdwj4I+EdpCDcOWkkrNPFBw+bwjInsWP4GtaTTpd/yYQzl//8OXUTTcC
4fqvHs01aVgf6DATBDgV4Xz3NUeXM2goObzh3Wcwc1Ogw1ohHb70dUoQ8/YE
OpQf3uY601cZwj8D1R+p4vCdLX6Gz9tAh1OHndZm/lNxsNG5MuuZYBCcD3Mv
jN+/4IfhM7sghyeJC6+ZrFdx2AByn0+QwxbzH4dSuFQcatdtS6qPDXJY+e1l
xRkHZQfVJ83zziYFOfwHgX4lB/TwAQDiI49d
             "]}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0,
              1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
             0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQB2IQ7V3drO/zK9jBQGul8AUWVYfPGwKyZ50PdmhkOdpv
OF3V4cE+vjnGu4Id5ixS3vnnuKrD1aO5Jg3zEfwJC34YPutC8F1VS5lmVQQ7
/Hz7+oDlYlWHmSCQGuwg2uP1iiVE1SE9DQiUgh0uXA17o2+tAtH/Lcjhjqbs
mv/Nyg6cPxekb74V5JAKUndMEc7/DwL18nB+f0S3P+MGaQd/ObEs3/dBDuqf
VF7O6pRw2PDw5dRNIsEOIW8vf5yxUMzhLe8+g5l6wQ4MIOAg6tAc6Dm3IQjK
XyDiIPP6kZlUC4IfADJvMoL/Yvt65udLgh0euMY7zrooAjF/RbBDEMh8RlEH
kU+O59P+QuULJSH+/RnsoLBrwb5UPlGI/+RCHEDeSVMTdZDwCPgjoR3iYGIM
AqIOSyZZMfqaIPhgdVYIfkE8+zlJVzR+KMI8MB0V4vCmLbfbSFrUYWtLzYXN
mWj8yhC4e2D8GNUImXM1Yg5vQOETFgIPL7D/bEIg/tgpBndPHyi8BcTh/B4w
XwrOT4m948a8QxuSPoxDHOp/WxWce6HtECG+/SKDUIjDAxCjQdvhDAj8CHY4
vmtHL1uAtoOm1aTT9XuCIemCDcHfoJe3mDFGC+Lv5wh+SInK9P9fEHxY+t3u
0PTouASCb2azN2haoqYDevoGAGpFNTE=
             "], CompressedData["
1:eJxTTMoPSmViYGAQAWIQ7V3drO/zK9ghRjVC5tweeQcY/0D3viaTxTIOZ0Dg
R7CD+ieVl7M0ZRwmLPhh+OxdsENPRLc/o4C0Q+26bUn1N4MdjEHgsoSDzOtH
ZlJbgh3c1hxdzhAh7rB4khWj7wQEvyCe/ZykL4KfD+LLBjukp4GANJw/EwQ6
FeD8ThvPXWlKyhD3uQU7NPy2Kji3QgXini4E/4mI7MmnyxF8sLnHoOZFqkDs
fxjsIBAbcN/ouLJDj9crFpOPwQ4PXOMdZxUqw/2PYt8vqPxHJQf08AIAx9KF
4g==
             "]}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYC4qZAz7kNRaEOIpWTSs6yyDjA+G/acruNdks4
tC0PP2VUEOpwBgR8xB2OXNZOlcyCqk8RdVBw/Jh8ZmKoQ6sCu+qZKSIOV4/m
mjSsD3VYK6TDl24n4vCGd5/BzEsIPth8szA4v3bdtqT62jCofnE4P+Tt5Y8z
HGXg/BjVCJlze2Qh5pWFObSA1F+Rc5B5/chMKiPMQf2TystZJ+UdlkyyYvQN
CXM4C3JvjYKDhEfAHwnrMIfUNCA4puDAAAI/oO7RU3QQ+uR4Pm1nqMN/EOhX
hPhzSajDTBDgVILzO208d6UpKcP5oj1er1hCVCD+3R/qcOqw09rMfyqQ8HmH
4IOUmSiGwflg93qEOTT8tio4p4HgO09oFkrjUobzyw9vc51ZqwTxfyyC/2Af
3xzjuDCIPx4oO6zpvp3BEB/mEHhLuiaxSMXhB1v8DJ/EMIcniQuvmeirQtxr
EebwIkv72/S5qg4iIP/KhjnMWaS8889xVYh7/4XC+WB/L0Xwd97q+puaH+qQ
EnvHjblCBc43BoFgJTgfFp7g9NIA5ccpOATIiWX5Lg6Fxp+8wxMR2ZNPt4dC
4ktT3mERKL4ehELiJ00Ool8kzKE3otufcYMsPL182fdxa7qZrENIicr0/y7Q
9GIiA+eng/VLwfkmIPddFneYsOCH4TO5MIeD3fuaTJjFHDY8fDl104tQOB+s
fgOCD04PnaEOCrsW7EtdJw7n94DcIyAF56PnFxgfAPsaZ+0=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4gO1shbpT8IcRConlZzdouwA48vvWrAvdZ0k
nL8j2Criv7qYQ+26bUn1f8McGEBggYjDkklWjL4W4XC+guPH5DOeCL7M60dm
UjHhDmuFdPjS74k4bHj4cuqmhHAHE2MQEHX4xhY/w6c13GEmCOwUd9h1q+tv
anW4g/onlZezOiUg5mfA9Is7vNi+nvk50LyQt5c/zlgo7pAGAn4IPth8AwQf
7H6VcIcv+z5uTZ8mAefX3P9xy/i1FJwP8/+Ry9qpkm0IfkiJyvT/PeEOpw47
rc38p4LQ/2lDQPYtBN/MZm/QtIOqcL7E1CucGYfUHDh+LkjfrBbu8CJL+9v0
ueoOZ0BAJ9zBQGul8AUVTYfY3KP/NimHO8xZpLzzT7qmg8gnx/NpguEOr4u3
iv7m1nRoCvSc2/ArzGFye2vU5T0aDqpPmuedfRTm8B8E6jUcCuLZz0k+DXOo
+21VcO6EuoONzpVZz4D8jPwPrSdDEHyI/WpwfuAt6ZrETyqQ8FsV5jAFZL4M
gg925xxEeoCFBwAqK/hK
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1,
              3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQnQYCXREO0aoRMudkJB3e8O4zmNkW4aCwa8G+VD5R
h/bl4aeMdkQ4mBiDACb/8GXtVMlDCL61zpVZz44i+MElKtP/34hwANujJurQ
FOg5t+EXwnwYPwZkf42YwxkQuBPh0KrArnpmihhE/lSEQ8jbyx9nLBRz2Hmr
62/q8QiHg937mkyYxeH8mSAQKYnK51SE8w20VgpfaFGB8JdHOMxZpLzzz3FV
h/4FPwyf+SH4YP/oIfifNgRkz+KH6VeFhM+ncIcdDk2Pjv9QcTgCUn8q3MHn
BLvtbFME/8Oi9QpnVyg5RIpvv8hwL9yh/PA215m1Sg5PRGRPPn0e7lB5/8ct
Y2tlCP97ONT9Kg5Xj+aaNPwPh7sXbJ8Swv1e1c36PlkIvvTrR2ZSHREOnTae
u9IWKTvA4pM/NuC+UbkixH92iPCQ8Aj4I3E93GHlt5cVZwoUIP5bHe4gUjmp
5OwSOTh/vZAOX3qdFJwPNveYGMR958MdGEBggYhDTO7Rf5u4I+D82nXbkuol
EXxIvEdAzD8i4lARscL0rHaEQxAoPhlFHdDTHwAu/RlG
             "], {{98.1625, 
             6.778130000000001}, {97.8172, 6.289059999999999}, {
             97.06559999999999, 5.835939999999999}, {96.6, 
             5.835939999999999}, {96.12339999999999, 5.835939999999999}, {
             95.7063, 6.27813}, {95.7063, 6.790629999999999}, {95.7063, 
             7.231249999999999}, {95.94529999999999, 7.64844}, {
             96.30309999999999, 7.874999999999999}, {96.6, 
             8.053130000000001}, {97.2563, 8.22031}, {98.1625, 8.35156}, {
             98.1625, 6.778130000000001}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4jA+3U1zwyMdRConlZzdouwA48vvWrAvdZ0k
nL8j2Criv7qYQ5JAhOWWgkgHBhBYIOLwJnCHXOtqBH+B67bPf/cg+HPeLz/m
fT7SYa2QDl/6PRGHKc7dOc8vRzqYGIOAqEPP9Dyh5h+RDjNBYKe4g819/97p
7yId1D+pvJzVKQEx/zZMv7jDk6WzjyhciHQIeXv544yF4g4zQPoOIvhg8xcj
+GD3T490+LLv49b0aRJwfs39H7eMX0vB+TD/P6gSWef+E8G/UvFSzZAhyuHU
Yae1mf9UEPo/bQjIvoXgm9nsDZp2UBXOl5h6hTPjkJpDAND5r2dGOrzI0v42
fa66w38QmB/pYKC1UviCiqbD579AG6ZFOsxZpLzzT7qmw/fgx0tnt0Q6vC7e
KvqbW9OBGWRgbqTD5PbWqMt7NBx2l0yWYAmLhJhTr+GwHWh8YESkQ91vq4Jz
J9QduJm028UiIx0y8j+0ngxB8CH2q8H5gbekaxI/qTgINR84tVA20mEKyHwZ
BP8MCMxBpAdYeAAASWL3RQ==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQvWHu++XHgqMd1D+pvJzVKeEQsEOu9bVntMPB7n1N
JsySDjL6d1XYJKMdTIxBQNyhIGPi2xr2aIc0EDgm5iDf+jpwx7MoOL8FyJXb
iuBPce7Oed4d5bAj2Criv7qEgwcPk3Z7WZTDeiEdvvQ6KYcnS2cfUciIcrjv
Gu84S1DGYTmQuyEpyiEVbICsA9B13uaJUQ5782vezhRVcKjP2lMy+QKCX75v
vpQ+azScD5SVYFGLdnBfc3Q5g4aCwxKQeVHRDs4TmoXSshQc2NfIRKVERzv8
B4H9Cg7+SQIRljHRDvyxAfeNviP4K7+9rDjjoAjnrwW595+yw/5TC123KUc7
zFmkvPPPcVWHlgNAgXNRcL66IccamU0IPtj9E4H+d2h6dLxC1cEFGBy/C6Hh
80wF4h7jKAcBkP3HlR3EWcL4dKWiHM6AgI8SnC9SOank7BJ5OP8AKH4WyziA
uJtUoxx6Irr9GQWkHP6s/HjJ1yrKgQEEHCQcXLZ9/nslIsphJgjsFIXHB9g/
diKQ+DqK4ANDqyjjIYIv0Az04F+oeQtEHNYXAROATLRDjGqEzLkaUYftQOMr
DGHpRQzCd4x2CHl7+eOMhWIOIuvcH1a5RDvU3P9xy/i1mAN6egMANsMJsA==

             "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQvV2u9XWgRLQDf2zAfaPvCg71WXtKJn+Icqi+/+OW
8WsFh5YDpxa63otyEK6cVHL2iYJDh2PC0wuHEHz3h1Ui6+Yj+FOcu3OedyP0
L599RGFDUpTDTBDgVITz3dccXc6goeTw/PfKj5dSoxzWCunwpa9TgpiXH+VQ
fnib60xfZQi/Hqo/UsWhZ3qeUPOCKIdTh53WZv5TcWh5HbhD7igSH+peGF/d
kGONzKcohyeJC6+ZrFdxkIlKsb7/P8phi/mPQylcKg4JAhGWWwSiHVZ+e1lx
xkHZAeh7CRaxaIf/INCv5IAePgBlaZCa
             "]}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ1IGYC4gWu2z7/3RLjwMLZJZ+cp+XgAuReuRHjYG6z
N2haopaDf+/0PKHXMQ4b9PIWM8ZoObwJ3CHX+jnGYfoE/iozbQT/x9vXBywP
a8L52x2aHh2foenw5ILS7Z/vYhwy8j+0ngzRcHihZsix5g3QPNUnzfPeqjuw
hPHpbtoa46D+SeXlLE1phz8rP17yXRXjUHP/xy3j12IO/0FgeYyDwq4F+1LX
iTlsBTqvojPGQQOkvlPMYU/JZAmWvBgHkcpJJWdTxBz2n1roui0bqp5P1MEn
SSDCsgXBn+LcnfP8dIyDiTEIiDrcUWFrnCocC5cvfwl0oA6C33IAaKBeLNx8
m/vAEGGLhdvf4Zjw9MKnGIeQt5c/zlgoBg+vL/s+bk3/huBD/CMO57cqsKue
MZGAuAfIf9OW2220WwIePtVg9RIOtVlAHxrEOjSwHO03NNd0uHHue/Bj01gH
fa2VwhdUtBxq7E3jdlnGQsLfWcuhIGPi25rwWHh8iYMCuCgWHr8i69wfVpXE
QuJHQttBoBnowVwEHxweyrEO6WlAwKYN8a8Ygm/aCfQwB4L/ZOnsIwovYhzO
gACPtsOc98uPeW+PgZuHnr4ADEIX3Q==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 
            3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJ+KH34q0ZMv1uCQ7eN5660TUoOvdPzhJp9EPz/IBCM
yV/57WXFGQNlOJ8BBDYow/XD+NnPf6/86Ibgi9489z14cxycf6XipZrhCgT/
/fJj3uYzMfkw+2B8mHtg+mH8jD0lkyW2IPjo/oO5R/2TystZJ6Xh7oXxYf5B
56enAcExGThfpHJSydkjsnD9MD7MPhgf5h4YH+ZeGB/mH3Q+zD4YH+YemH4Y
HxaeMD66/wDlIN9I
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4pLJEixh3xIcMvI/tJ68ou4wX0r/rsovBJ99
jUxUinaiQwPL0X5Dc00Hiy0nyvYB+ZPbW6Mu22g6RPcf+qqhg+D3Ts8Takbi
dzgmPL2gh+CH8ulumquf6JCaBgRsCL5oj9crlhINOD8dJH9MEs4/AwI+4nD3
pIHlxSDmiyU6hLy9/HHGQjGHIwobijIYEx1iVCNkztUg+Aq7FuxL5ROFuNcm
0cHEGAQw+QYcQAscEPzIFOv7/q4IPnMY0EG+CP7S2UAboqDuURN1UGFrnOoc
n+jwpi2320ha1OF78OOls3MQ/OPe5p2ONQj3wPgw9yrf/lmXlYHwD5C3pyQY
4V9wePgjwgPGRwkvGJ9N2+H3yo+XfL0SHVp4/ddPUdV2AMYuW6NhooPPCXbb
2aFaEHXA8Dtx2Glt5jxNh/2nFrpu+5zgcP5q2Bv92xoO6OkDAGol3jM=
            "]]}, 
          Thickness[0.007051191651389083], StripOnInput -> False]}, {
        ImageSize -> {283.64999252801994`, 32.67741967621419}, 
         ImageSize -> {141.82499626400997`, 16.338709838107096`}, 
         BaselinePosition -> Scaled[0.32439307852814453`], 
         ImageSize -> {142., 17.}, 
         PlotRange -> {{0., 141.82000000000002`}, {0., 16.34}}, AspectRatio -> 
         Automatic}]},
      "PointLegend",
      DisplayFunction->(FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.9, 0.36, 0.054], 
                    CapForm["Butt"], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{{
                    GrayLevel[1], 
                    DiskBox[{0, 0}, 
                    Offset[{6, 6}]]}, 
                    AbsoluteThickness[3.], 
                    Dashing[{}], 
                    CircleBox[{0, 0}, 
                    Offset[{6, 6}]]}, {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.9, 0.36, 0.054], 
                    CapForm["Butt"], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {19.5, 19.5}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.2948717948717949] -> 
                    Baseline)], #}, {
                   GraphicsBox[{{}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.365248, 0.427802, 0.758297], 
                    CapForm["Butt"], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[
                    NCache[{
                    Offset[{0, 8}], 
                    Offset[{(-4) 3^Rational[1, 2], -4}], 
                    Offset[{4 3^Rational[1, 2], -4}]}, {
                    Offset[{0, 8}], 
                    Offset[{-6.928203230275509, -4}], 
                    Offset[{6.928203230275509, -4}]}]]}, 
                    AbsoluteThickness[3.], 
                    Dashing[{}], 
                    JoinedCurveBox[
                    NCache[
                    Line[{
                    Offset[{0, 8}], 
                    Offset[{(-4) 3^Rational[1, 2], -4}], 
                    Offset[{4 3^Rational[1, 2], -4}], 
                    Offset[{0, 8}]}], 
                    Line[{
                    Offset[{0, 8}], 
                    Offset[{-6.928203230275509, -4}], 
                    Offset[{6.928203230275509, -4}], 
                    Offset[{0, 8}]}]], CurveClosed -> True]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.365248, 0.427802, 0.758297], 
                    CapForm["Butt"], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {19.5, 19.5}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.2948717948717949] -> 
                    Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Times"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ),
      Editable->True,
      InterpretationFunction:>(RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.012833333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.9, 0.36, 0.054], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.6000000000000001, 0.24, 0.036000000000000004`],
                     FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.9`", ",", "0.36`", ",", "0.054`"}], "]"}], 
                    NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.9, 0.36, 0.054]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.9, 0.36, 0.054], Editable -> False, Selectable -> 
                    False], ",", 
                   RowBox[{"CapForm", "[", "\"Butt\"", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.012833333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.365248, 0.427802, 0.758297], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.2434986666666667, 0.28520133333333336`, 
                    0.5055313333333333], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.365248`", ",", "0.427802`", ",", "0.758297`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.365248, 0.427802, 0.758297]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.365248, 0.427802, 0.758297], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"CapForm", "[", "\"Butt\"", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{{
                    GrayLevel[1], 
                    DiskBox[{0, 0}, 
                    Offset[{6, 6}]]}, 
                    AbsoluteThickness[3.], 
                    Dashing[{}], 
                    CircleBox[{0, 0}, 
                    Offset[{6, 6}]]}], ",", "19.5`"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[
                    NCache[{
                    Offset[{0, 8}], 
                    Offset[{(-4) 3^Rational[1, 2], -4}], 
                    Offset[{4 3^Rational[1, 2], -4}]}, {
                    Offset[{0, 8}], 
                    Offset[{-6.928203230275509, -4}], 
                    Offset[{6.928203230275509, -4}]}]]}, 
                    AbsoluteThickness[3.], 
                    Dashing[{}], 
                    JoinedCurveBox[
                    NCache[
                    Line[{
                    Offset[{0, 8}], 
                    Offset[{(-4) 3^Rational[1, 2], -4}], 
                    Offset[{4 3^Rational[1, 2], -4}], 
                    Offset[{0, 8}]}], 
                    Line[{
                    Offset[{0, 8}], 
                    Offset[{-6.928203230275509, -4}], 
                    Offset[{6.928203230275509, -4}], 
                    Offset[{0, 8}]}]], CurveClosed -> True]}], ",", "19.5`"}],
                    "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"False", ",", "False"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"FontFamily", "\[Rule]", "\"Times\""}], "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
     Scaled[{0.99, 0.01}], ImageScaled[{1, 0}],
     BaseStyle->{FontSize -> Larger},
     FormatType->StandardForm]},
   AspectRatio->1,
   Axes->{False, False},
   AxesLabel->{None, None},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{True, True}, {True, True}},
   FrameLabel->{{
      FormBox[
       GraphicsBox[{
         Thickness[0.0050238633509168545`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIlIIaxWZDYzATYDFA+A4VqSNVLqpmkupNUe4nRS4ld
AKjmAn0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJfIGYC4hkzQYDHYc4i5Z1/nms6fN33cWv6NX6H7Q5N
j45LaDmApSMFHWTmxWmeNoDyfwrB+Qq7FuxLfScO5z9wjXectVHK4XXxVtHf
3Jpwfguv//oprOpwvmiP1yuWKyoOHmuOLmewEIeIFyo79Ed0+zNuEITzYfbD
+NX3f9wyfi0A558BAR8BiDkVyg7ClZNKzrIIOKwV0uFL11N2UP+k8nJWp4BD
OKdYu/F9JQd5kHvXCTjwxwbcNzqu5BD89vLHGY6CDu5g/UoQ894IOqSnAYGY
EsQeQSGH8sPbXGf+VYSYWyfkcEdTds3/zYoOIiD7XKQdQkDmLBSHmN8n7cAA
Ag7iEHNvSEP03RNz+A8C8jIOGmB3iTl8AYV3mYzDm7bcbiNpMYc1IHX7ZCDu
WCPqAI4fS1lIOPOJQtXLO5gYg4Cow32Q+z4i+MrXHgUz2CjA+d02nrvSinDz
wdRnRbj5MH6MaoTMuRoxiD8MFKH+E4P445yCQw04HqD8OgVIPO0Ud6gCiWuL
QdzxRgni3msSDiu/vaw446AMsVdYChJ+zcoOKaBwXibtIAVKPwIqDgEgexTl
HAJvSdckflKB+/fn29cHLJXV4HxwempVh/OfJC68ZnJeEx6+kPSrDZE3E4Pz
wfYXi8L5YP818EHimw2Tv/zW8seGztxwvl2JY+1pGQ6cfK+t/seT277aw8yH
8c1t9gZNS9RyuPL72PV5kX/tj+/a0csWoOVQuLxkwz9+ZofnWdrfpttqQdMF
M9Q8BH+z+Y9DKVoacD4k/KXg/B3BVhH/1cXh5oG0px0Tg9sHiz9IvH+xh8Uv
jA+L/5ypCYUWxf/twfrVROHmwdJLs3gtayYbB5y/1WuDxZyfPHB+qwK76hkT
AQeYfkh+FIanLxgfZj843e8WgKcv3yeel0yFeeHuh5VPMP/B+DD/o5dfANnI
+aI=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQPXUCf5VZto6D+ieVl7M6JRw26OUtZpTRcTjYva/J
hFnSISP/Q+vJKVoOJsYgIO5Q/9uq4ByHlkMaCBwTc5CYeoUzg0kTzvc5wW47
u1Qdzn9VvFX0t7aaw45gq4j/6hIOjyLEt19sUHVYL6TDl14n5bBB9UnzPF5V
h/uu8Y6zBGUg5j1ScUgFGyDroKMo/yXnmorD3vyatzNFFRz+fit9MCdQA84H
y3/ThPOntLdGXf6j5eC+5uhyBg0FB3GQeYt0HJwnNAulZSk4zFmkvPPPch2H
/yCwX8GBhbNLPnmdjgN/bMB9o+8I/spvLyvOOCjC+WtB7v2n7LDF/MehlFda
EHOOqzrILX/hoWevAee/yNL+Nj1WHc4Huy8M6H+HpkfHK1Qh7otRhYTPMxUH
D5A7M5QdBED2H1eG2DNPyeEMCPgowfkilZNKzi6Rh/MPgOJnsQzEX7+UHHoi
uv0ZBaQcwjnF2o3nKzswgICDhIMRKNomqzjMBIGdovD4AJtjJwKJr6/qcH5y
7B035hsacP4MsD5NiHkLRBxEerxesWzRcohRjZA5VyPqsB3krwhtaHoRg/Bv
aDuEvL38ccZCYPqYF6d5+oO2Q839H7eMX4s5oKc3AEkxAO8=
             
             "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQ/SRx4TWTfi0H/tiA+0bfFRz+fit9MCdQ06H6/o9b
xq8VHOSWv/DQ26/hIFw5qeTsEwWHX29fH7B8rA7nbzH/cSjllBqc/6p4q+hv
bTW4fompVzgzHqk4zAQBTkU4333N0eUMGkoOF66GvdH/reKwVkiHL32dEsQ8
L1WH8sPbXGf6KkPNV4Xoj1RxkJoXp3n6gprDqcNOazP/qTj4nGC3nf1VHc6H
uRfGf56l/W16rKYD2J/rVRzegNx3WhNiLpeKg/8t6ZrEIC2Hld9eVpxxUHaY
0t4adblGy+E/CPQrOaCHDwDXJJMI
             "]}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0,
              1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
             0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQB2IQHaPg+DF5jrGDgdZK4Qssqg5/v5U+mPPRyKGR5Wi/
4XRVh416eYsZ5xg5zFmkvPPPcVWHHq9XLCaGCH7xVtHfp+8ZwvneJ9htZ081
dPj59vUBy8WqDjNBwNPQQRSkMUTV4QwI2Bg4XLga9kbfWsXheZb2t+my+g53
NGXX/G9WdtgAss9GzyE1DQiOKcL5/0GgXh7O74/o9mfcIO3wJEJ8+8UHeg7q
n1RezuqUcPiy81bXX1YDh5C3lz/OWCgGMT/XwIEBBBxEHewrI1aY/oXyF4g4
LL6/j2/OYUM4v2BN9+0MBiM4/7rQJ8fzbkYOD1zjHWddFHH4CjI/1MghCGQ+
o6hD/W+rgnMrjCHyhZIQ/840dlDYtWBfKp+oQwkofPRMHEDeSVMTdegLLlGZ
Hm/iYGIMAqIOB2plLdJbEHxw+MxB8D9tCMiedRyNz24KNw+sXsbU4U1bbreR
tKgDl5tqKVMUGn+WKdw9MH6MaoTMuRoxhxeg8OE1hYcX2H9LTSD+2CkGd08f
KLwFxOH8HjBfCs5Pib3jxrxDG5I+Gk0g4fJC22H6BP4qs9/A8AHFU4O2QzrI
3dOMHY7v2tHLFqDtcFu6JtFoqRFEnA3BB8dzjBYkHgKM4XxwumxH8GHpd7tD
06PjEgi+mc3eoGmJmg7o6RsAGf0zeQ==
             "], CompressedData["
1:eJxTTMoPSmViYGAQAWIQHaPg+DF5jrFDjGqEzLk98g4w/oHufU0mi2Uc0tOA
YJqxg/onlZezNGUcSraK/j6dZ+zQE9Htzygg7aDxlnefgaSxgzEIXJZwWHx/
H9+cZiMHtzVHlzNEiDvsr5W1SP9iCOd/3hCQPeu5ASpf3QBiT5o0nD8TBDoV
4PxOG89daUrKDtEg950xcGj4bVVwboWKQzHIPfcM4fyDbcvDTwUZwflnwMAI
Yl6kCsQ8c2MHgdiA+0bHlR1SYu+4MVcYOzxwjXecVagM9z/MPhgfLP9RyQE9
vAB3CYgb
             "]}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4pKtor9P/7N2OLFrRy/bBlWHJff38c15bO0w
Z5Hyzj/HVR1SYu+4MXtA+e6qDhpvefcZrLRyCLwlXZP4ScXhw4aA7FnsVg4b
VJ80zzuL4P98+/qApbKKA4//+impFQi++NQrnBmfEHyI/VYOHmuOLmf4oQzn
782veTszVQnOF6mcVHKWRRbOdwerl3bwuTgx5t9lK4cD3fuaTBZLOTzP0v42
vdfKQf2TystZnZIQ+y2sHFoV2FXPmEg4XBf65Hj+mqWDBlhe3KEvuERlejyC
r6+1UvjCFws4/3Hiwmsm8y0c+iK6/RkFJBxOHnZam5lnAbVfwsEPZL+zhcOb
ttxuo92SEHk9C4d2sH3ScL78rgX7Uv1k4XxYeB9sWx5+SsgCHt6NLEf7DcvN
4eFd99uq4NwNM3h43wC538wMHt4wPiw8wfG1AsFf8cJD77+iOZwfIb79IoOe
OTy8YXxYeMP4O4KtIv4fl4HzH7jGO84qlHQoWNN9O8PB3OHLvo9b07+Jw92b
BgLHxBy2mP84lLLL3MENZH6EKNy/DCCwQMQhWsHxY/IdBN/7BLvt7FRLOL8f
FB/3LR2q7v+4Zewt6rAc5H5DK4cY1QiZczVi8PiHuQfGh8WPfdOj4zN+Wzmc
AQEfcXh6UwCFP58oRP0+awcTYxCAmn8QwQfb/x7BB/tHygYn36YyYoXpWxu4
+TA+zL3/QSDfxiHk7eWPMxaKQeKHw8ZhJgjshPnH2uEgKP0yi8P5PWD/SDmg
508AWQKcIg==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYCYvGpVzgzfjk43NaUXfOfWckBxj8DAjLKDstf
eOj9Z3R00FWU/5IjpuJwXNNq0ml+R4fAW9I1iZ9UHFSfNM87e8nBwUBrpfCF
FlUH4U+O59PmOjjMWaS8889xVYfiraK/T8ch+N4n2G1niyL4/0Gg3t5BtMfr
FUuIqoPGW959BiftHF6BNGarOCy5v49vzmdbBwYQSFCGuK/J1uEOyL2bFeH8
L/s+bk03k4fz00DgmITD3lpZi/Qldg5rhXT40u1EHObb6FyZJecA50eIb7/I
kIfg8/ivn5L6wAGiX00U4t/3UPl7onD/i1ROKjmbIu7grlrKNIvB0eFNW263
kbQExD/HHRx2BFtF/FcXd3iSuPCayXQHh5kgsFPMwfza0VyTBAQ/HGy/PZwP
Vt9v52BiDASXpeD8cE6xduN+BTgfFj9fNgRkz1K3d9hi/uNQSpeKw01gtBjJ
OsD5MPtgfLA9Kx0cpObFaZ4WUHFgWTzJivGog4PHmqPLGSqUHT6DzDuPmR5g
fABe9+7K
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQrfqked7ZW84O6p9UXs7qlHBY0307g+G4s8PB7n1N
JsySDjelaxKNUp0dTIxBQNzhwT6+OcZOzg5pIHBMzMFdtZRpFgOCL/zJ8Xza
XCc4/3dM7tF/Xk4OO4KtIv6rSziYXzuaa6Lg5LBeSIcvvU7KIZvz54J0ZieH
+67xjrMEZRxcQeb9cHRIBRsg6+B9gt129ldHh735NW9niio47K+VtUi/4gTn
+4DkbZ3h/CeJC6+Z1Ds7uK85upxBQwHivhfODs4TmoXSshQclr/w0Pv/0tnh
PwjsV3BwaHp0fMZrZwf+2ID7Rt8R/JXfXlaccVCE89eC3PtP2eEN7z6DmVXO
DnMWKe/8c1zV4bim1aTT553g/J23uv6mTkfwwe4PBfofZFCFKsR94tDweaYC
cc9MRwcBkP3HlR0+bwjInpXu6HAGBHyU4HyRykklZ5fIw/kHQPGzWMZhvo3O
lVl1jg49Ed3+jAJSEPcsd3RgAAEHCYg5TxwdZoLATlF4fID9YycCia+9CH6E
+PaLDN8Q/HSQO/WcIeYtEHFgWTzJijHX2SFGNULmXI2og+6EBT8Mp8HSixiE
v83ZIeTt5Y8zFoo5tC8PP2W0x9mh5v6PW8avxRzQ0xsAg9cT0w==
             
             "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQXRGxwvRssrMDf2zAfaPvCg77a2Ut0kWcHarv/7hl
/FrB4bim1aTT750chCsnlZx9ouBQ+9uq4NwOBP8N7z6DmUUI/u+Y3KP/vJzg
+l1VS5lm/XB0mAkCnIpwvvuao8sZNJQcireK/j79z9FhrZAOX/o6JYh5Qk4O
5Ye3uc70VYbwjZwg+iNVHNqXh58yKnFyOHXYaW3mPxUH4U+O59P2Ivgw98L4
O291/U0Vd3Z4krjwmsl6FYj7jJwdtpj/OJTCpeIw5Rtb/IwQZ4eV315WnHFQ
hqiLd3b4DwL9Sg7o4QMA2w6PgA==
             "]}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0,
              1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
             0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQB2IQ/Scm9+i/WW4OBlorhS+wqDp4nWC3ne3q5tDIcrTf
cLqqg+qT5nlnpdwc5ixS3vnnuKqD0CfH82lPXeH8tuXhp4z2IPhfNgRkz5ru
6vDz7esDlotVHWaCQKGrg2iP1yuWEFUHE2MgeO3icOFq2Bt9axWI/ikuDnc0
Zdf8b1Z2qIxYYXo22sUhNQ0IjinC+f9BoF4ezu+P6PZn3CDtwLJ4khVjq4uD
+ieVl7M6JRxOaFpNOn3exSHk7eWPMxaKOTg0PTo+g9nVgQEEHEQdcjh/Lkj3
hvIXiDgssNG5Mmsdgg827yyCb3HtaK7JB1eHB67xjrMuikDM/+7qEAQyn1HU
AeQtk4VuEPlCSYh/Z7o5KOxasC+VTxTivyduDiDvpKmJOkz5xhY/448bJByM
RR3WdN/OYOB3h/PBtDSC76payjTLAI0f4A43Dywe7e7wpi2320ha1OFifjz7
uUo0/kx3uHtg/BjVCJlzNdDwCXaHhxfYf/LuEH/sFIO7pw8U3gLicH4PmC8F
56fE3nFj3qHtIAJKH7zuDvW/rQrOvdB2kJh6hTPjFDB8IsS3X2zQhoTrDDeH
47t29LIFaDvsvNX1N1XezSEd5B82BH+DXt5ixhgthzMgUILg8/ivn5I6AcGH
pd/tII9IIPhmNnuDpiVqOqCnbwAwyCph
             "], CompressedData["
1:eJxTTMoPSmViYGAQAWIQ/Scm9+i/WW4OMaoRMuf2yDvA+Ae69zWZLJZxYACB
GW4O6p9UXs7SlHFoWx5+yqjFzaEnotufUUDaIeHwZe3USDcHYxC4LOGwwEbn
yiw+Nwe3NUeXM0SIO6zpvp3BcNwVzndTLWWa5YDGf+DikJ4GAtJw/kwQ6FSA
8zttPHelKSk7/AK5z8jVoeG3VcG5FSoQ9+xB8HUnLPhh+A3BNwE7zA1iXqQK
xLwMNweB2ID7RseVHepA6jrcHB64xjvOKlSG+x9mH4wPlv+o5IAeXgBpwIbD

             "]}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4vrfVgXnFng73NaUXfOfWckBxj8DAjLKDjz+
66ekrvB20FWU/5IjpuKgP2HBD8Nt3g6Bt6RrEj+pOPR4vWIxqfR2MNBaKXyh
RdWhImKF6Vlnb4c5i5R3/jmu6nADqMyIFcHfope3mHGPF5yfngYCXg6iIINC
VB1+xOQe/cfl5fCqeKvo72wVB/NrR3NNFng6MIBAgrLDpw0B2bPSPR3ugNy7
WRHO/7Lv49Z0M3k4H2zsMQkHF9VSplk/PB3WCunwpduJOLAsnmTFeNQLzt9f
K2uRLuIN55cArT3d5g3RryYK8e80qPw9Ubj/RSonlZxNEXdY0307g2G5t8Ob
ttxuI2kJiH/yvB12BFtF/FcXd/A5wW4729bbYSYI7BRzmG+jc2UWG4Iv8snx
fFqsF5wfIb79IsM7TwcTYyC4LAXnh3OKtRv3K8D5sPi5v49vjrGVl8MW8x+H
UrpUHByaHh2fcRjBh9kH4/8HAX9vB6l5cZqnBVQccjh/LkjP9nbwWHN0OUOF
MsT8Msz0AOMDANTJ7PQ=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
            4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKM2yeJIV41xfhzmLlHf+Oa7qoDNhwQ/DfT5w/ga9
vMWMKj4OxiAQrAznnwGBHnlU+csSDuURK0zPrvZxWCukw5duJ+LgqlrKNKvA
F863b3p0fEa0H5yfw/lzQTqzv8NMEIiUhPP/g4C9ApzvsebocoYKZYcI8e0X
GfL84O5Dd3/C4cvaqY2+DqcOO63N/KfioOD4MfkMrx+c73OC3XZ2qZ+D8rVH
wQxzlOD8GNUImXN75OB8BhBwkHQ4rmk16bS6n8MD13jHWRdFHVqXh58yWuML
58+10bkySwzBX/rCQ+//Rh+H9DQQkILz9+bXvJ05VQHOB6svVHYwAYXbbx+4
+9DdDwBFMa3C
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYCYt0JC34Yhvk7/Hz7+oClsopDyVbR36f7EPzy
iBWmZ08j+Bfy49nPXfR38FhzdDnDD2U4f29+zduZqUpwfk9Etz+jgBSc3wfm
izsIfHI8n3bW32EmCOwUc0g4fFk7daa/Q8jbyx9nLBRzMDEGgmB/hxjVCJlz
NQi+wq4F+1L5RB16vF6xmBz0d0gDATVRh/rfVgXnXvhD1BmLOlw/mmvSwB4A
53P8XJC+WQw33121lGlWSQDcfBgfZv+L7euZn/sEwN33hnefwUytAIj9x8Qc
gktUpv/XCHCouf/jlvFrBB/mfxj/vmu84yxFRTj/Pwj0K0Hc6x7g8AAkf1AZ
Yl8Ogl8JCv9mNP7kAAeVa4+CGXKUIebMD3D4sGi9wtkVSg7Srx+ZSW1A8EHR
+2xbgIOB1krhCy2qDs2BnnMb1gU4nNi1o5dtg6rDGRBYEOAwZ5Hyzj/HVR3E
PQL+SExG8NuXh58yqkHwwfYnQ/2fpuoQm3v036bgAIcNqk+a551VgfuvEhQe
1spwPsy++/v45hgrIcyba6NzZdY3fwjfXdXhSeLCaybL/R0Cb0nXJH5ScYCl
T5j56OkVAIBiN74=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYC4scisiefXg9w+Pn29QFLZRWH9uXhp4y+IPgc
PxekbxYKhPO3ttRc2Cwa6OCx5uhyhh/KcP7e/Jq3M1OV4PyeiG5/RgEpOL8P
zBd3uHo016RBONBhJgjsFHOoXbctqf5ngEPI28sfZywUc0hPA4JrAQ4xqhEy
52oQfIVdC/al8ok6CH9yPJ/GG+gAEk5TE3Xo8XrFYqIY6GBiDAKiDosnWTH6
miD4YPuccfPB5i0MRDUfyIfZD3Z/ZSDcfTtvdf1NDYfaf0zMQd7xY/KZ0ECH
mvs/bhm/RvBh/ofx77vGO85SVITz/4NAvxLEvSWBDg9A8geh4TkTwXdXLWWa
tQGNfyDQQeXao2CGHGWHM2AQ6PBh0XqFsyuUHF5sX8/8/A6CH5t79N+mx4EO
BlorhS+0qDr4y4ll+d4OdDixa0cv2wZVSDycDXSYs0h555/jqg7g9LAfwQ8u
UZn+fwWCD7Z/AtT/aaoO2laTTtc3BDpsUH3SPO+sCtx/laDwsFaG82H2re6+
ncHgjzBP+vUjMykNKN9d1WF/raxFOkOgQ+At6ZrETyoOsPQJMx89vQIAC3I5
Aw==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQXRmxwvSscbCD+ieVl7M6JRysda7MeqYZ7HCwe1+T
CbOkQ3CJyvT/P4IcTIxBQNzh+tFck4bnQQ5pIHBMzIHj54L0zccQ/Px49nOS
UxH8xyKyJ59mBznsCLaK+K8u4dAc6Dm3ISzIYb2QDl96nZSD9OtHZlIeQQ73
XeMdZwnKQMxzCnJIBRsg69Dj9YrFxDHIYW9+zduZogoO7qqlTLM2IPjdIPmn
CH6E+PaLDGzBDu5rji5n0FBw4ASZZxXs4DyhWSgtS8Fh962uv6nWwQ7/QWC/
gkP78vBTRjbBDvyxAfeNviP4K7+9rDjjoAjnrwW595+yQ2zu0X+bmIMd5ixS
3vnnuKqDd3Wzvs+6IDj/8GXtVMlJCD7Y/YVA/zs0PTpeoQpxXxA0fJ6pOOwE
uUc4yEEAZP9xZYf7+/jmGP8KdDgDAj5KcL5I5aSSs0vk4fwDoPhZLOOwtaXm
wmbWIIeeiG5/RgEpiHukghwYQMBBAmKORZDDTBDYKQqPD7B/7EQg8bUUwRf+
5Hg+7SCCD9Z3F2reAhGHF9vXMz//E+QQoxohc65G1KF23bakekFYehGD8BWD
HULeXv44Y6GYg7bVpNP1KsEONfd/3DJ+LeaAnt4AoecO6g==
             
             "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQvXiSFaPvjyAH/tiA+0bfFRzcVUuZZl0Icqi+/+OW
8WsFB+/qZn2ffUEOwpWTSs4+UXBQfdI87+wiBD8m9+i/TfUI/mMR2ZNPsxH6
OX4uSN/sFOQwEwQ4FeF89zVHlzNoKDnIO35MPuMa5LBWSIcvfZ0SxDz/IIfy
w9tcZ/oqQ/jxUP2RKg7aVpNO1zcEOZw67LQ285+KQ348+znJpQg+zL0w/uHL
2qmSl4IcniQuvGayXgXivvtBDlvMfxxK4VJx2PDw5dRNH4IcVn57WXHGQdkh
Qnz7RYZvQQ7/QaBfyQE9fAAhD5BX
             "]}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIZIGYC4g0PX07dlBLssEEvbzFjjJbD1aO5Jg39CH6P
1ysWk7kIfnOg59yGRcEO2x2aHh2XQPDNbPYGTUvUhPN7Irr9GQWk4Pw+MF/c
YfEkK0bfBcEOM0Fgp5iDd3Wzvk9bsEPI28sfZywUczAxBoLkYIcY1QiZczUI
vsKuBftS+UQh7lsfDBE3xuS/4d1nMPMQgr+1pebC5qu4+TY6V2Y9UwyBmw/j
w+yfsOCH4bN/CPe92L6e+fkThPvB9j1C+A/Gh/kfxk+JvePGvEPboSJihenZ
28EO9b+tCs690HZ4sI9vjvGuYIcHEeLbLzZoO4SUqEz/Dwyf47t29LIFaDvA
4ic9DQjYEHxYfAAACHC6Og==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1,
              3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQnQYCWqEO0aoRMudkJB3e8O4zmKkW6qCwa8G+VD5R
h47l4aeMIkIdTIxBAJN/5LJ2qmQSgm+jc2XWs1QEP6REZfr/ilAHsD1qog5N
gZ5zG2YhzIfxY0D214g5nAGBmlCHVgV21TNTxCDyWaEOIW8vf5yxUMxh562u
v6npoQ4Hu/c1mTCLw/kzQSBSEpXPqQjnG2itFL7QogLhu4c6zFmkvPPPcVWH
CQt+GD57FwLng/1zDsH/tCEge9b6EKh+VUj4TApx2OHQ9Oj4DxWI+qwQB58T
7LazTRH8D4vWK5xdoeQQKb79IkNdiEP54W2uM2uVHJ6IyJ582h7iUHn/xy1j
a2UIf3oI1P0qDleP5po0zA+Buxds3yEE36u6Wd+HC+EfmdePzKQ0Qh06bTx3
pS1SdoDFJ39swH2jckWI/+6FwMNDwiPgj0R5iMPKby8rzhQoQPznHeIgUjmp
5OwSOTh/vZAOX3qdFJwPNveYGMR9+SEODCCwQMQhJvfov02rEfzadduS6nci
+BB9UPOPiDhURKwwPXs6xCEIFJ+Mog7o6Q8AitMSaw==
             "], {{84.6625, 
             6.778130000000001}, {84.31720000000001, 6.289059999999999}, {
             83.56559999999999, 5.835939999999999}, {83.1, 
             5.835939999999999}, {82.6234, 5.835939999999999}, {82.2063, 
             6.27813}, {82.2063, 6.790629999999999}, {82.2063, 
             7.231249999999999}, {82.44529999999999, 7.64844}, {
             82.80309999999999, 7.874999999999999}, {83.1, 
             8.053130000000001}, {83.75630000000001, 8.22031}, {84.6625, 
             8.35156}, {84.6625, 6.778130000000001}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4kjx7RcZ/oU6iFROKjm7RdkBxpfftWBf6jpJ
OH9HsFXEf3UxBwmPgD8S4mEODCCwQMTBRufKrGeBCP7OW11/U5MR/K0tNRc2
l4Y5rBXS4Uu/J+LgVd2s71MV5mBiDAKiDhMW/DB8Ni/MYSYI7BR3CClRmf5/
SpiD+ieVl7M6JSDmN8L0izs0BXrObSgLcwh5e/njjIXiEHsyEHyw+V4IPtj9
dmEOX/Z93Jo+TQLOr7n/45bxayk4H+b/mNyj/zbNR/Df8O4zmLkszOHUYae1
mf9UEPo/bQjIvoXgm9nsDZp2UBXOl5h6hTPjkJrDoklWjL4OYQ4vsrS/TZ+r
7pAGAm5hDgZaK4UvqGg6/GCLn+FjG+YwZ5Hyzj/pmg5rum9nMGiHObwu3ir6
m1vTQeb1IzMpkTCHye2tUZf3aDgcqJW1SP8T6vAfBOo1HDh/LkjfDIyfut9W
BedOqDtcPZpr0vA/1CEj/0PryRAEH2K/GpwfeEu6JvGTCiT8joQ6TAGZL4Pg
nwGBOYj0AAsPAHxL7qs=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
              3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
             3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQ3bY8/JSRTbjDiV07etk2qDoIfXI8n2Ya7jBnkfLO
P8dVHZoCPec28EH57qoOqk+a5519FuYQeEu6JvGTioNXdbO+z74whw1gCQT/
59vXByyVVRze8O4zmHkLwS+IZz8n+RPBl3n9yEzqT5iDx5qjyxl+KMP5e/Nr
3s5MVYLzeyK6/RkFpOD8PjBf3MFG58qsZ0DzZoLATjGHJyKyJ5/eD3MIeXv5
44yFYg5nQGBPmEOMaoTMuRoEX2HXgn2pfKIQ93CGO5gYgwAmHxw+Mgh+gJxY
lq8+bv61o7kmDdXhcPNhfJj9mlaTTtdHhMPdBw5fu3C4+2HxAfMfjA/zP3p8
AQBha7vM
             "], {{92.3922, 13.4891}, {92.0344, 13.4891}, {91.725, 
             13.179699999999997`}, {91.725, 12.821899999999998`}, {91.725, 
             12.4766}, {92.0344, 12.165599999999998`}, {92.38130000000001, 
             12.165599999999998`}, {92.72659999999999, 12.165599999999998`}, {
             93.04840000000002, 12.4766}, {93.04840000000002, 
             12.821899999999998`}, {93.04840000000002, 13.1563}, {
             92.72659999999999, 13.4891}, {92.3922, 13.4891}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
            4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKL21pebC5sQIhzmLlHf+Oa7q4FndrO/zKRzO7/F6
xWKyNNzBGASCleH8MyDQI48qf1nCoSCe/Zzky3CHtUI6fOl2Ig7XjuaaNHhH
wPnBJSrT/x9A8DcUZUx8KxLpMBMEIiXh/P8gYK8A53usObqcoULZ4f4+vjnG
pxDuRXf/YxHZk0+DIxxOHXZam/lPxeHwZe1UyVkIfqT49osM5yIclK89CmaY
owTnx6hGyJzbIwfnM4CAg6SDuEfAH4nlEQ4PXOMdZ10UdfjGFj/DJxPBbwr0
nNsgh+C3LQ8/ZfQm3CE9DQSk4Py9+TVvZ05VgPPB6guVIeEogHAfuvsBX724
BA==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYCYoHmA6cWpkY5KOxasC+VT9QhY0/JZIkpUQ4m
xiAg6rC+KGPiWyR+wA651tcLEXyRde4Pq9bg5r9ffszb/CHCfBg/RjVC5lyN
GMS8g1EOIW8vf5yxUMzhPwgsj3KYCQI7xRxYwvh0Ny2NcjjYva/JhFkczu+J
6PZnFJCC8zttPHelLVKE818VbxX9na3isP/UQtdt1VEOcxYp7/xzXNWhBehd
VzUE36U75/lvTjT+z0iHF1na36bPhfJfRjo8SVx4zURfFeK+9ZEOZ0BgjjKc
f2LXjl62DaoQ/62MhJsnDnJQE5Tvruqw+UTZvvlRkQ6Bt6RrEj+pOKgZcqyR
MYp02KD6pHneWQT/59vXByyVVRzSQMAPwQfHRw6CLxOVYn0/P9LBY83R5Qw/
lOH8vfk1b2emKsH5sPCC8fvAfHEHIVD850bCwxsUPNuCI+HxcURhQ1GGYSQ8
vmB8WHxGAo3zT42EuFNN1CEQFJ+VkfD4B4dPP4K/Hpg8RJYh+EtmA03chdBv
c9+/d/o7hPkwPsx+/ySBCMszCPf9Wfnxku8mhPth8QHzH4wP8z+Mnw6yT0wJ
zv+waL3CWQ1lB5B1eY8iHUR7vF6xhKg4mHc6JjwViILzy18CY8gFwYflH3D6
U1KG88Hpw0fRAT1/AQDyIYZH
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQvWHu++XHPsc4qH9SeTmrU8IhYIdc6+uXMQ4Hu/c1
mTBLOsjo31Vh2xnjYGIMAuIOBRkT39Ysj3FIA4FjYg6yra8Dd7Qh+C1Arlwo
gj/FuTvnuXaMw45gq4j/6hIOHjxM2u1iMQ7rhXT40uukHJ4snX1EgSPG4b5r
vOMsQRkHEHcDU4xDKtgAWYe3y495mzPGOOzNr3k7U1TBoTZrT8nkAgS/dN98
Kf2lCD5QVoLlWIyD+5qjyxk0FByWgMz7FePgPKFZKC1LwYF9jUxUyu8Yh/8g
sF/BwTdJIMLyT4wDf2zAfaPvCP7Kby8rzjgowvlrQe79p+yw/9RC122HYxzm
LFLe+ee4qkPLAaBAHoKvasixRiYIwQe73xDof4emR8crVB1cgMHxWxAaPs9U
IO65HO0gALL/uLKDOEsYn+6uaIczIOCjBOeLVE4qObtEHs4/AIqfxTIOIO6m
o9EOPRHd/owCUg5/Vn685Hsr2oEBBBwkHFy2ff575Ue0w0wQ2CkKjw+wf+xE
IPGViuADQ6sooxHBF2gGenBuDMS8BSIO64uACWBPjEOMaoTMuRpRh61A4ysu
wtKLGIT/MMYh5O3ljzMWijmIrHN/WPUkxqHm/o9bxq/FHNDTGwB5mhLQ
             
             "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQvV2u9XXgjhgH/tiA+0bfFRxqs/aUTJ4Q41B9/8ct
49cKDi0HTi10rYtxEK6cVHL2iYJDh2PC0wtJCL77wyqRdfYI/hTn7pzn2gj9
S2cfUdjAFOMwEwQ4FeF89zVHlzNoKDk8/73y4yXWGIe1Qjp86euUIObxxziU
H97mOtNXGcKXh+qPVHHomZ4n1OwQ43DqsNPazH8qDi1A18ulIvGh7oXxVQ05
1shMinF4krjwmsl6FQeZqBTr+/NjHLaY/ziUwqXikCAQYbllQ4zDym8vK844
KDsAfS/Bsi3G4T8I9Cs5oIcPAKBAjZQ=
             "]}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4rv+vdPzguIcFHYt2JfKJ+pg2umY8LQhzsHE
GAREHWrsTeN2NSL4sq2vA3f0IfgPqkTWuc/Ezd9TMlmC5RzCfBg/RjVC5lyN
GMS8dXEOIW8vf5yxUMzhDAhMiXOYCQI7xRzOK93+WTcpzuFg974mE2ZxOL8n
otufUUAKzu+08dyVtkgRzn9VvFX0d7aKQ8/0PKHmjDiHOYuUd/45ruoA8q6Q
MILPH2G55cS3WFT+s1iHF1na36bPhfKvxTo8SVx4zURfFeK+ObFQWhnOP7Fr
Ry/bBlWI/6YhzHtyAeigPCjfXdWhfqpzd457rEPgLemaxE8qDl/+Xql4KRfr
sEH1SfO8swj+z7evD1gqq0DC0RrBB8dHJIL/Qs2QY01MrIPHmqPLGX4ow/l7
82vezkxVgvNh4QXj94H54g7g+I+KhYc3OLwcYuHxMeEt0Eage2DxBePD4lMV
aJxMUKxDGgioQdNHWiw8/sHhU4Pg1wCTx8NJCH5BxsS3NcsR+tnXyESl3EaY
D+PD7JfRv6vCthPhvuNl++ZLzUe4HxYfMP/B+DD/w/jpIPvElOD8D4vWK5zV
UHYAWWd9PtZBtMfrFUuIigNLGJ/upr8Ivsu2z3+vGMTB+bD8A05/SspwPthc
H0UH9PwFAHsffPI=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQbW8at8tTIMFB/ZPKy1mdEg79h75qxHAnOBzs3tdk
wizp8Pz3yo+XnsY7mBiDgLiDLUj9lXiHNBA4JubwJnCHXOtmBD8AyH3diOAn
CERYbomId9gRbBXxX13CQfTmue/BzvEO64V0+NLrpBzWF2VMfGsS73DfNd5x
lqCMQwmQW6Mf75AKNkDWYU/JZAkWvXiHvfk1b2eKKjj4mHc6JsxF8F26c57/
vojgdzgmPL3wKd7Bfc3R5QwaCg4WW06U7RNOcHCe0CyUlqXgkA0yUCTB4T8I
7Fdw6J2eJ9QM5PPHBtw3+o7gr/z2suKMgyKcvxbk3n/KDj0g/od4hzmLlHf+
Oa7q4A9SMBvB//L3SsXLOgQf7P44oP8dmh4dr1B14AcGxwk7aPg8U3EAqlYz
ZIh3EADZf1zZ4ckFpds/n8U5nAEBHyU4X6RyUsnZJfJw/gFQ/CyWcTgP5NZ9
inPoiej2ZxSQcjhetm++FHu8AwMIOEg4CDQfOLVQNd5hJgjsFIXHB9g/diKQ
+JqI4E94W2Nvug7Bvwvy4CmoeQtEHGpACeZlvEOMaoTMuRpRhxag8a7/4qHp
RcwBFPxK7AkOIW8vf5yxUMyhwJbr+mKOBIea+z9uGb8Wc0BPbwDZehPi
             
             "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQ3fI6cIfc03gH/tiA+0bfFRx8zDsdE/bGO1Tf/3HL
+LWCg3/v9Dyh1fEOwpWTSs4+UXAI5dPdNLcfwRdZ5/6wKgfBTxCIsNwSgdBf
kjHxbY1+vMNMEOBUhPPd1xxdzqCh5LDlRNm++UbxDmuFdPjS1ylBzLOJdyg/
vM11pq8yhO8D1R+p4hCRYn3fPzfe4dRhp7WZ/1QcAnbItb6eiODD3Avjf/l7
peLlvniHJ4kLr5msV3F4oWbIseZMvMMW8x+HUrhUHHTvqrA13o13WPntZcUZ
B2WHDseEpxcexTv8B4F+JQf08AEAvCuPJQ==
             "]}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYCYn7dTXPfayc4/Hz7+oClsoqDuiHHGhkrBP+y
b5JAhCeCz6jdLnbTK8HBY83R5Qw/lOH8vfk1b2emKsH5PRHd/owCUnB+H5gv
7vBVI6b/ENC8mSCwU8zh9s+6rD02CQ4hby9/nLFQzMEYBIDuiVGNkDlXg+Ar
7FqwL5VP1GHp7CMKG9wSHNJAQE3U4Xvw46WzAxIcTMAKRR3mS+nfVYlC8MH2
JeLmJwtEWG6ZgDAfxofZvx9kYA3CfftPLXTdlg21/5iYw+e/VypeZiU41Nz/
ccv4NYIP8z+Mf9813nGWoiKc/x8E+pUg7q1KcHgAkj+oDLGvB8G3N43b5TkD
jb8gwUHl2qNghhxlh3SQO5YlOHxYtF7h7Aolh3DLLSfK1iH48U8vKN3emOBg
oLVS+EKLqkN3zvPfK9cmOJzYtaOXbYOqQ4djwtMLQP1zFinv/HNc1QGcHuYj
+L3T84SapyD4YPs7oP5PU3U47m3e6diQ4LBB9UnzvLMqcP9VgsLDWhnOh9lX
nDHxbU06wryPl4AJLATKd1d1AKpWM3RIcAi8JV2T+EnFAZY+Yeajp1cA+m03
eA==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1,
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
             1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGCwBmIQ/fdKxUu1ykSHMyAwR9lh6ewjChuaEh0aWY72G05X
cXi//Ji3eWOiAwMIPFBxiN/lycPknegwZ5Hyzj/HVRzMOx0TntokOpw67LQ2
s07VAci7oKQPk1d16J2eJ9Qsg+DvP7XQdRs3gn/cG2jCjwSHwFvSNYlFqg7f
gx8vnf0iAW6fClvjVOfLCQ5T2lujLsuoOICca3giweGBa7zjrI9KcH754W2u
M2sV4XwDYyAolnf4qhHTf+hmgoNI5aSSsyyyDqeB1n/+muBwoHtfk8liGQft
drGb564nOLxpy+022i3p8B8EgPYdBMkzSzqoG3KskbmU4CAM0p8iAecr7Fqw
L3WdOJzvtubocoYIMQeQdV9vJDi0KrCrnpkiCnH/6wQHjU8qL2e9FIGoP5UA
Ce81Qg63f9Zl7TmS4FB9/8ctY28hB/Y1MlEp+xMc0tOAoE0Azp8zEwgk+eD8
F7WPs8/nsDpc9k0SiHgI9F+TzBSDy//s84WaD5wSTITzweq9EXywvRWJDtu8
NljMqeRwgPHPgmgeITg/RjVC5lyNqMMFJaAL0xId1grp8KXfE4eElzeCD4re
A3wI/mdQgvqVAOeDw/8jNL4KJeB8WHjD+NNB/ouUgtj/JQESD/elIOb/g4bX
G2kHUPT9ZUh0UAeFp6aMA9i/jIkOIW8vf5zhKOMwF5RgmROh8S/jcKJs33wp
9kSHVFB4psk4AFN3UQZnItQ+GQdQci/iQfD3z5fSvyuD4HMzAX1sCDNf1iFZ
IMJyi0MiJD0tkXO4cQ6YYgMTIfEnreDwe+XHS75RiQ7hnGLtxvyKcD7IOcbB
SnA+2D9nlBzA+S8SypdRhqSPMER+RM+fABP/sCo=
             "], {{
             136.46099999999998`, 10.4859}, {137.27200000000002`, 10.4859}, {
             137.82000000000002`, 9.817189999999998}, {137.82000000000002`, 
             8.804689999999999}, {137.82000000000002`, 8.02969}, {
             137.31899999999996`, 7.493750000000002}, {136.59199999999998`, 
             7.493750000000002}, {135.79399999999998`, 7.493750000000002}, {
             135.25599999999997`, 8.112499999999997}, {135.25599999999997`, 
             9.031249999999998}, {135.25599999999997`, 9.94844}, {
             135.69799999999998`, 10.4859}, {136.46099999999998`, 
             10.4859}}, {{137.02200000000002`, 5.13281}, {138.369, 5.13281}, {
             138.83299999999997`, 4.859380000000001}, {138.83299999999997`, 
             4.084379999999999}, {138.83299999999997`, 3.05938}, {137.891, 
             2.29531}, {136.63899999999998`, 2.29531}, {135.60299999999998`, 
             2.29531}, {134.888, 2.9046900000000004`}, {134.888, 
             3.7859399999999988`}, {134.888, 4.321879999999999}, {
             135.19699999999997`, 4.8109399999999996`}, {135.67299999999997`, 
             5.014060000000001}, {135.86599999999996`, 5.10938}, {
             136.19799999999998`, 5.13281}, {137.02200000000002`, 5.13281}}}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ5IIaxWaBsBigfRjMjqWHGooZa6kkVp5Z7aO0vXOoB
MK4CWQ==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4gOnFrpu+57ocAYEfCQd5r5ffsz7faJDjGqE
zDkZaYcTZfvmS71OdGhVYFc9YyLjcNzbvNPxSaJDxf0ft4y75Ry028Vunjud
6CAQG3DfyF3ZAajbvPNkokMEp1i78Xplh/8gcDzRYYv5j0MpXCpwvsf+WlkL
dwR/Sntr1OU5Kg5XKl6qGZ5JdNig+qR53lkVB6DrPv+9kugg2uP1iuWKisPP
uqw9JY8TQc5nYHiA4M+YwF9l1q3qEG65BejkRIcdDk2Pjldg8lXYGqc6b0fw
wfavx82P3+XJw9SNMB/Gh9kf//SC0u2JCPexr5GJSpmd6GBmszdo2kEVB37d
TXPfz090OHXYaW1mnYoDcxif7qaliQ4fFq1XOLtCGeKe84kOJsZAcFnK4TTI
wzeh4T1F3OGrRkz/obuJDn0R3f6MBWIO34MfL50NDH+FXQv2pfKJOCwusOW6
fjvRIT0NCNQEHc6DFADNU/+k8nKWJ5fDbVAAHYDG7xlWB+7rQB2bEPzo/kNf
NdYg+JEp1vf9ge4rXF6y4V8/m0OHY8LTC/MSIeHynx3i35kIfrJAhOWWCYkO
X/Z93Jp+jQHi3+mJDi3itayZx/7bm8QBAwyoX6RJZorB5X/2MPNhfEZQAtqH
4MPCY8ZMILjJBPf/ge59TSbK3A6gYDLWTnJ44BrvOOujIiR+rZIg6UcGGr6O
SfDwB5vnnQSPnxvngAEUmgSPPxgfFr/g9GyeBI9/dH53zvPfKw0R/GSgd3q1
cfOBsbO4gBdhPowPsx8U/DHiCPeBw0spyWHOIuWdf45D5dWTHKTmxWmenoDg
X7ga9kbfGk1eQMUBZP10tSSHmeDwU3bgZgL6QDUJEr9zlB3Q8zsATTPXLA==

            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxdk31IU1EYxmd+pAU2xKYbul1379TQUJtapuVLFmIlRoZaaB/nMNcnSkhU
hGUGIsMsorLErCRUmCli/aExJdPKrERWWVqTCkzUdKWUWNg5984d8oX7x++e
e9/3PM95ThDK22lwlclkLuQB8iyROWoXhkafcG9joQpcwkoU77di0LTethju
KyG8uWqyNhZDA13/5AeJMXtbUwQMF7NMaS5yP4i3pZVdVzDu5JqOH3RfxBMI
btDarQR7fyqSf0NgyKUVAKR797YRBPO0bIyl9UAn99IaD/z/+7NqeP0r/cs9
wuL+1BqofEIGkv5ldH6TBl7c2fLwpx3BBW6prteqkfbvhp18ZGSu3u7B2Hh5
4kyikrF70dUkUyTjSE9zwJ4EDCE/hNGbzzWSPxsxTN5t5F56ciD6uXnBLw7i
Wp6dsIRgKE1Iac3t50BPi2eM5VlxLb6M2wqu+Lv5MKZy184imKL9Bzgg3apV
Y4w7Z0Kzy78jGFwVaJ531UKeT3FHzwwCec4O25pkHqicGKLv3Nz6/FehArRX
qyI+yjH0vckYj2gTpHU1hopLK07HLtcBpgcaxji7/PFM6DrGQ7OFhx8RfaLO
YQH4QfJiO4Ym3dfiW6kCDNTkb1iWhmF2YqwjjhdA8CAGpmM4Zfv9Qd/Gw596
koAMx//7eagj8kpzMAhvP6fLjvIwRfUec+y3TgAriUvWAcd8kw7o+ALSv8it
qzzKLxiiqZ/xjI00NlrGYu68MPR0bmo4VKgDGoe/0wjEeOUKQONTOYQkv7W8
xL0IMr0UJfp9QVK+nrJ89WmJ4G4E7SbL+egkNbhmeK9u7mJ5XeBkc1etrCLA
yWJeSlUwR/X3IJi22B8Yr/mD9eRocJQVOe+LeD+GkeQPrATi5ruaaUf+zb7S
+XliJ9PjydYwFv3QY+Do/fVWSOeRiR3zlLD4vv8DJG2umg==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYCYgOONTJRd5Id/oOAvLIDjL9WSIcvXQ/B91hz
dDmDhbKDClvjVOfryQ4fFq1XONuh7LCnZLIEy6ZkB4mpVzgzHqk6zDmisKFo
RbJD/W+rgnMZmnD+j7evD1g668D5pjZ7g6Y16jtYbDlRtm8z1P54Q4j8jWSH
LeY/DqV0GcHtvy70yfH8MgTfvunR8RmrEfzDbcvDT21C8Bff38c357CRg2PC
0wtKt5Md1J80zzt7ysjhim+SQMRNBD89DQiuIfgp1vf9e3cnO/D6r5+SqmHk
cHqh67bPK4Hyb3n3Gfw0cFg6G+jAWckOLSAFT/Uh5k9PdhDp8XrFckUXzof5
F8Zn4eySTz6nBbEPqP8MCPRoOHSAFKxKdvj7rfTBnEI1h2SBCMste5IdQMrS
1FTg7gOHz3sluPthfJj/YHyU+PuH4MPiFwB3VOwU
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ1IGYCYotOx4SnCikOM0HgpKHDBaXbP+v0UhwMtFYK
Xzhi6HBEYUNRhmmKg/jUK5wZhwwdfgQ/XjrbIsXhPwisR/Drf1sVnOtA8GtB
/ApDB0btdrGbZikOpw87rc38Z+Cwp2SyBAuQ38hytN/wuoHDh+XHvM0VUxxq
Pm0IyL6l6QB2jwzUfHsNBwYQkIGar6HhMAfkIIEUh/NXw97oS2s4aBhyrJFh
S3E4AwI8GhDzWFMc3hRvFf3dre4QYbnlRBkfgg/2pybUvzPVHZIEgCpcEPKn
Frpu++yL4HcAnXPBD2G+DtA75+wR9juYxu3yBPrX7+LEmH/KGvDwAoefC4L/
KEJ8+8UFCP7k9taoy3s0HFjC+HQ3AfmPExdeM3mvAQ8fM5u9QdMYNR3OfQcG
qH+Kw+L7+/jmBBtC1AemOICMY1hn6HCibN98qeAUB/W3vPsMdho6pIFAHCK+
eqbnCTVnIOL3ii/Qx5kpDtxuqqVMXEYOM4DSB9LQ+F4pDsYgwGzkAPS90m1X
BL/Aluv6YgcEHxjanY4mKQ7eJ9htZ7MaOYC0n1JEmIeevgBTyQZ/
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4h/Bj5fOPpPi8OPt6wOWzjoOMH4Dy9F+w+26
Dld8kwQiTqY4bHdoenT8h76DRadjwtMdKQ7cbqqlTFyGDjcWF9hyLU9x6A8u
UZmub+RwCaS+N8VB/UnzvLOnjBzSQKALwQeb34Hgc6yRiUppT3Ho9nrFYnIQ
wT/ctjz81CYE3x5o/YzVCP51oU+O55cZOUyRYAnjA9q3US9vMWONkcOflR8v
+a6Cuqff0GHu++XHvHenOOyvlbVIFzGA82H+hfEDbknXJAppOhzzNu903JDi
sMX8x6GUU6oQ+e4Uhweu8Y6zCpXh9nusObqcwQLBXyukw5euh+D/BwF5BN8Y
BJiV4f4Hy79XgocPjA8LPxj/SsVLNcMVKQ6Z+R9aT5qoOOQJNR84tTPFwQhk
3mQ1iP9PQtXP14DH359vpQ/mbNRyQI9fAMMv6bc=
            "]], 
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ1IGYCYh4m7Xaxm8kOxiCwWcLhwKmFrtvuI/h7SiZL
sDxKdqi4/+OWMbe0w8dLvkkCT5IdQt5e/jgjUcZBZ9Pc98ufJTs8cI13nBUo
C9cfoRohc+6OrMNMELia7CC/a8G+VD05h5znv1d+PIXgnwYq/7wXwf8R/Hjp
7BXJDge69zWZPJZxmHNEYUPRDIT9YPmOZIedwVYR/90lIebXJjusFdLhS68T
hfPbFdhVz2wRhPNjQO6p4XH4qhHTf6gz2aFwecmGf+c5HM6AwAIEX/n2z7qs
DQg+9/XFBbb7kh3+g4A9l4OGIccamXNQfj2vA3vjVOfuO8kOs0H2WApA1N+C
ht9nAYcb574HPwb6/8u+j1vTpwk4/L1S8VLtYLLDdd7bYqnbeB0WSOnfVdmG
cB84fNcg+EDTc57PRvBTrO/7905OdpDZKDafKYEfzlf/pPJyVqcQnK8ACs88
MYceUIDPhYWvlAMots+tTob4u0faIeHpBaXbG5MdAkDxqSjjcAfo/T07kh1q
QOGdLePAEsanu+kggr90NjBCziH4sPTzpi2322i3NJy/BhQf96Qc0NMXAHHd
IVA=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4lA+3U1zz6c6pIHAM3aHmP5DXzW2pDrcd413
nGUo4MB1fXGB7apUhzdtud1G1UIODqZxuzwXQNUfE4PwZ6Q6tCuwq54xkXLo
nZ4n1Dwl1aEFxL8iC+ev/Pay4swHBThf+dqjYIY3SnD9U9pboy7PUXFIsb7v
3zs/1SEhJEh9gaaagy3IAStTHfwuToz5p6zhYLHlRNm+zakOv96+PmDprOkA
cz9Yvae2gwHHGpmoE6kO9b+tCs690HZIEoiw3AJ0r8y8OM3TGzQdpkiwhPFN
THUws9kbNC1RwwHo25j+plSHGRP4q8y41RwKQBZWpDoE3pKuSSxScThwaqHr
tmKo+w8oofKB/oHxdwRbRfw/LuPwYfkxb/PaVIcv+z5uTf8mDvFPf6rDGRBY
I+xg0emY8HQOLDwFHHiYtNvFgP6LUY2QOWfDC3c/JD5YHdDjBwASBLx0
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1,
              3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQrXT7Z11WRJpDtGqEzDkZSYcLIIGwNAeFXQv2pfKJ
Osx9v/yYd36ag4kxCGDyj3mbdzqWIPgLpPTvqpQh+AdOLXTdVp/mkAYCaqIO
c44obCiagDAfxo8B2V8j5jATBBrTHFoV2FXPTBGDyFekOYS8vfxxxkIxhy9/
r1S8BJp/sHtfkwmzOJwP1hcpicrnVITzDbRWCl9oUYHw09Ic5ixS3vnnuKqD
ziagj6wQfK7riwtstRD8uF2ePEzSMP2qDr3T84SaedIcdjg0PTr+QwXi/x+p
Dj4n2G1nmyL4HxatVzi7Qslhwtsae1OmNIfyw9tcZ9YqOTgmPL2gxJ7mUHn/
xy1ja2UInx/mfhWHnOe/V34UQrgXbJ8Kgm/AsUYmygPBV2FrnOocnubQaeO5
K22RsgMsPvljA+4blStC/GeECI8ZQOMO/Et1WPntZcWZAgUHYOx8/vsi1UGk
clLJ2SVycP56IR2+9DopOB8cf8fEIO77lerAAAILRBymSLCE8Ummwfl8ukAL
5RF8SLynQcw/IuLAw6TdLqaZ5hAEik9GUQf09AcAJhwXOA==
             "], {{
             178.76299999999998`, 6.778130000000001}, {178.41699999999997`, 
             6.289059999999999}, {177.66599999999997`, 5.835939999999999}, {
             177.2, 5.835939999999999}, {176.72299999999998`, 
             5.835939999999999}, {176.30599999999998`, 6.27813}, {
             176.30599999999998`, 6.790629999999999}, {176.30599999999998`, 
             7.231249999999999}, {176.545, 7.64844}, {176.90300000000002`, 
             7.874999999999999}, {177.2, 8.053130000000001}, {177.856, 
             8.22031}, {178.76299999999998`, 8.35156}, {178.76299999999998`, 
             6.778130000000001}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
            182.378, 6.623440000000001}, {182.01999999999998`, 
            6.623440000000001}, {181.69799999999998`, 6.289059999999999}, {
            181.69799999999998`, 5.9312499999999995`}, {181.69799999999998`, 
            5.57344}, {182.01999999999998`, 5.2406299999999995`}, {
            182.36599999999999`, 5.2406299999999995`}, {182.748, 
            5.2406299999999995`}, {183.08100000000002`, 5.5625}, {
            183.08100000000002`, 5.9312499999999995`}, {183.08100000000002`, 
            6.289059999999999}, {182.748, 6.623440000000001}, {182.378, 
            6.623440000000001}}}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4gJbruuL96Q7nNi1o5dtg6pDxsS3NfY70x3m
LFLe+ee4qkOeUPOBU0uhfHdVh1MLXbd9npjuEHhLuibxk4rDV42Y/kO16Q4b
VJ80zzuL4P98+/qApbKKwxKQBd0I/omyffOlZiP4YPvnpDt4rDm6nOGHMpy/
N7/m7cxUJThfpHJSyVkWWTjfHaxe2mHu++XHvKenOxzo3tdksljK4YLS7Z91
fekO6p9UXs7qlITY35zu0KrArnrGRMLh3Pfgx0vL0x00wPLiDnd+1mXtyUDw
OdbIRKVEI/hJAhGWWwLSHfoiuv0ZBSQcbO779073gtkv4RCZYn3f3zXd4U1b
brfRbkmIvFO6QzvYPmk4X37Xgn2pfrJwPiy8HROeXlCyR4T3AVAAayPCe6pz
d85zcUR4g93PjAhvGB8WnuD4EkTwp0iwhPEpIviHQBGkhAhvGB8W3jD+jmCr
iP/HZeD8B67xjrMKJR2Asad/VyXd4cu+j1vTv4nD3ZsGAsfEHLL2lEyWMEl3
cAOZHyEK9y8DCCwQcTAABXAEEv+uCltjJoIPjo+KdIeq+z9uGXuLOtxYDIxA
YPzFqEbInKsRg8c/zD0wPix+jnmbdzoC+WdAwEccnt4UQOHPJwpRvyXdwcQY
BEQh4bMVwZ8BCsBdCD7YPwdw84Gp40TZLYT5MD7MvR2gCD6V7hDy9vLHGQvF
IPGzN91hJgjshPoHmP8OgtIvszic3wP2j5QDev4EACT/mEU=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
            192.57799999999997`, 6.623440000000001}, {192.22, 
            6.623440000000001}, {191.89800000000002`, 6.289059999999999}, {
            191.89800000000002`, 5.9312499999999995`}, {191.89800000000002`, 
            5.57344}, {192.22, 5.2406299999999995`}, {192.56599999999997`, 
            5.2406299999999995`}, {192.94799999999998`, 
            5.2406299999999995`}, {193.28099999999998`, 5.5625}, {
            193.28099999999998`, 5.9312499999999995`}, {193.28099999999998`, 
            6.289059999999999}, {192.94799999999998`, 6.623440000000001}, {
            192.57799999999997`, 6.623440000000001}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYCYp1Nc98vD8twSAOBZ6wOGjH9h74WZDjMmQkE
kjwOHy/5JgnUZDjEqEbInLPhd1hcYMt1vT3DoVWBXfXMF0EHx4SnF5TmQ/lT
xByAujViVkPVy8jA+dX3f9wyfq0A56/89rLizAEliL3LMhwCb0nXJBapOMw+
orChaE6Gw4wJ/FVm3GoOpxa6bvvcm+Fw/mrYG/1oDYeSyRIsYXUZDtNB8qs1
HWDur/9tVXDuhbYD+xqZqBT/DIeEkCD1BZ7aDipsjVOdszMcJre3Rl220XRY
fszbvLM0w+HUYae1mXIaDifK9s2Xqoeq11RzWApyQFuGwxSQ+jkqDiDn9ndl
OChfexTM8EYJzge7/4MCnN8C8v8VWbj+dhDfRArCr4OG7zExhzMgUJLh8KYt
t9uoWsiBUbtd7GZWhsN913jHWYYCcPdD4oPdAT1+AIksvW8=
            "]]}, 
          Thickness[0.0050238633509168545`], StripOnInput -> False]}, {
        ImageSize -> {398.0929912826899, 39.52181320049813}, 
         ImageSize -> {199.04649564134496`, 19.760906600249065`}, 
         BaselinePosition -> Scaled[0.26821463664500295`], 
         ImageSize -> {200., 20.}, 
         PlotRange -> {{0., 199.05}, {0., 19.759999999999998`}}, AspectRatio -> 
         Automatic}], TraditionalForm], None}, {
      FormBox[
       GraphicsBox[{
         Thickness[0.006683151774376796], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIlIIaxWZDYzATYDFA+A4VqSNVLqpmkupNUe4nRS4ld
AKjmAn0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJfIGYC4hkzQYDHYc4i5Z1/nms6fN33cWv6NX6H7Q5N
j45LaDmApSMFHWTmxWmeNoDyfwrB+Qq7FuxLfScO5z9wjXectVHK4XXxVtHf
3Jpwfguv//oprOpwvmiP1yuWKyoOHmuOLmewEIeIFyo79Ed0+zNuEITzYfbD
+NX3f9wyfi0A558BAR8BiDkVyg7ClZNKzrIIOKwV0uFL11N2UP+k8nJWp4BD
OKdYu/F9JQd5kHvXCTjwxwbcNzqu5BD89vLHGY6CDu5g/UoQ894IOqSnAYGY
EsQeQSGH8sPbXGf+VYSYWyfkcEdTds3/zYoOIiD7XKQdQkDmLBSHmN8n7cAA
Ag7iEHNvSEP03RNz+A8C8jIOGmB3iTl8AYV3mYzDm7bcbiNpMYc1IHX7ZCDu
WCPqAI4fS1lIOPOJQtXLO5gYg4Cow32Q+z4i+MrXHgUz2CjA+d02nrvSinDz
wdRnRbj5MH6MaoTMuRoxiD8MFKH+E4P445yCQw04HqD8OgVIPO0Ud6gCiWuL
QdzxRgni3msSDiu/vaw446AMsVdYChJ+zcoOKaBwXibtIAVKPwIqDgEgexTl
HAJvSdckflKB+/fn29cHLJXV4HxwempVh/OfJC68ZnJeEx6+kPSrDZE3E4Pz
wfYXi8L5YP818EHimw2Tv/zW8seGztxwvl2JY+1pGQ6cfK+t/seT277aw8yH
8c1t9gZNS9RyuPL72PV5kX/tj+/a0csWoOVQuLxkwz9+ZofnWdrfpttqQdMF
M9Q8BH+z+Y9DKVoacD4k/KXg/B3BVhH/1cXh5oG0px0Tg9sHiz9IvH+xh8Uv
jA+L/5ypCYUWxf/twfrVROHmwdJLs3gtayYbB5y/1WuDxZyfPHB+qwK76hkT
AQeYfkh+FIanLxgfZj843e8WgKcv3yeel0yFeeHuh5VPMP/B+DD/o5dfANnI
+aI=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1,
              3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQPWMmEOzUdIhWjZA5JyPpcP5q2Bv92ZoOCrsW7Evl
E3WYs0h55x91bQcTYxDA5LewHO03LEfwfU6w286eiuCzcHbJJ+vpOKSBgJqo
Q82nDQHZVrpw82H8GJD9NWIOZ0DAR8ehVYFd9cwUMYj8Lm2HkLeXP85YKOZg
brM3aNpCbYeD3fuaTJjF4XyQN2ZGSqLyORXhfAOtlcIXWlSgfC2IP46rOrzI
0v42/a46nN8I8s91NTj/19vXBywfq0L1qzpcAIXPbxWHHQ5Nj47/UHEQiA24
b7RdGeJvUwT/w6L1CmdXKDnoKMp/yQlTcSg/vM11Zq2SQwuv//opS1UcKu//
uGVsrQzhq6pC3a/iIDH1CmdGkircvWD7qtXg/O0ge3dowPnu+2tlLZZrOnTa
eO5KW6TsAItPfpA7yhUh/otVh4eH7PIXHnryKg4rv72sOFOg4ACOpsNKDiKV
k0rOLpGD89cL6fCl10nB+eD4Oybm0A2y55GyAwMILBBx8L04MebfYVU4P/CW
dE2ikRqcD7Z3phrE/CMiEHcfUXMIAsUno6gDevoDAAZuBUQ=
             "], {{
             12.862499999999997`, 6.778130000000001}, {12.517199999999997`, 
             6.289059999999999}, {11.7656, 5.835939999999999}, {
             11.299999999999999`, 5.835939999999999}, {10.8234, 
             5.835939999999999}, {10.406300000000002`, 6.27813}, {
             10.406300000000002`, 6.790629999999999}, {10.406300000000002`, 
             7.231249999999999}, {10.645299999999999`, 7.64844}, {11.0031, 
             7.874999999999999}, {11.299999999999999`, 8.053130000000001}, {
             11.956299999999999`, 8.22031}, {12.862499999999997`, 8.35156}, {
             12.862499999999997`, 6.778130000000001}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0,
              1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
             0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQB2IQrfGWd5/BS2MHA62VwhdYVB1OH3Zam2ln7NDIcrTf
cLqqQ/1vq4JzL4wc5ixS3vnnuKpDpPj2iwx1CL5906PjM7QRfPGpVzgzHhk6
/Hz7+oDlYlWH9DQgmGboINrj9YolRNVhJgh0GjhcuBr2Rt9axaEBZM92fYc7
mrJr/jcrO/icYLedfVXPIRWk75ginP8fBOrl4fz+iG5/xg3SDjWfNgRkV+k7
qH9SeTmrU8LhYNvy8FNBBg4hby9/nLFQzGGL+Y9DKbsMHBhAwEHUgdtNtZTJ
yxDCXyDiULCm+3aGgBGcb1sZscLUF8FffH8f35zJRg4PXOMdZ10UcTgMMn+R
kUMQyHxGUYh7vhpD5AslIf59ZuygsGvBvlQ+UQdHUPhUmziAhNPURB1iFBw/
Jq8xcTAxBgFRB1CwmFxE8MHh8xLBP1Ara5EuYorKDzGFmwdWn2nq8KYtt9tI
WtThhtAnx/PL0PjPTOHugfFjVCNkztVAwyfKFB5eh0D++2QCMXenGNw9faDw
FhCH83vAfCk4PyX2jhvzDm2HCFD6OGcCTTfaEHEPE4cHIIkGbYg/Hhs7HN+1
o5ctQNth+QsPvf8fjSDhxobgb9DLW8wYo+VwBgTmGMP5/hcnxvy7jODD0u92
B2BASyD4ZjZ7g6Ylajqgp28AjAE3Kg==
             "], CompressedData["
1:eJxTTMoPSmViYGAQAWIQrfGWd5/BS2OHGNUImXN75B1g/APd+5pMFss4mBgD
wWNjB/VPKi9naco4ODY9Oj5jt7FDT0S3P6OAtMPXnbe6/qYaO4CUGV+WcChY
030744KRg9uao8sZIsQdur1esZg4Ivj7a2Ut0k0MUfklBg7paSAgDefPBIFO
BTi/08ZzV5qSMsR9koYODb+tCs6tUHGwB7lH2wjO7w8uUZk+H8EHmyNpDKEj
VRwOgMxrMXYQiA24b3Rc2cFAa6XwhSPGDg9c4x1nFSrD/Y9i30uo/EclB/Tw
AgAyuIMf
             "]}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
              3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
             3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQvcX8x6GULguHE7t29LJtUHV4krjwmkm+hcOcRco7
/xxXdVhyfx/fnMvmEL67qoOB1krhCybmDoG3pGsSP6k4HGxbHn5qkpnDBtUn
zfPOIvg/374+YKms4uB3cWLMP2ZzOD9SfPtFhjoEn8dNtZSpy9zBY83R5Qw/
lOH8vfk1b2emKsH5PRHd/owCUnB+H5gv7tDj9YrFpNHcYSYI7BRz0HjLu89A
0twh5O3ljzMWijmcAYEeM4cY1QiZczUIvsKuBftS+UQh7tln7mBiDAKYfHD4
cFnA+deFPjmeD8PN/7QhIHtWuyXcfBgfZr9j06PjM35bwN23GBS+ky3g7ofF
B8x/MD7M/+jxBQACjLzO
             "], {{23.9922, 13.4891}, {23.6344, 
             13.4891}, {23.325000000000003`, 13.179699999999997`}, {
             23.325000000000003`, 12.821899999999998`}, {23.325000000000003`, 
             12.4766}, {23.6344, 12.165599999999998`}, {23.981299999999997`, 
             12.165599999999998`}, {24.326599999999996`, 
             12.165599999999998`}, {24.6484, 12.4766}, {24.6484, 
             12.821899999999998`}, {24.6484, 13.1563}, {24.326599999999996`, 
             13.4891}, {23.9922, 13.4891}}}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4qUvPPT+b7R3OLFrRy/bBlWHq0KfHM9Ps3eY
s0h555/jqg5TJ/BXmf22g/DdVR1iFBw/JsfYOQTekq5J/KTioPKked7ZXbYO
G1RBDAT/59vXByyVVRzsmx4dn6FtB+f7nGC3nb0UwYfYb+fgsebocoYfynD+
3vyatzNTleB8kcpJJWdZZOF8d7B6aYd6lqP9hu12Dge69zWZLJZykJgXp3na
wc5B/ZPKy1mdkhD7X9s6tCqwq54xkXDgcFMtZeqyddAAy4s7HGhbHn5KCMFP
ib3jxrzCBs4Xn3qFMyPIxqEvotufUUDC4c+30gdzFG2g9ks4NIDs/27t8KYt
t9totyRE/qG1QzvYPmk4X37Xgn2pfrJwPiy8v+y81fX3qDU8vLeY/ziUomUN
D+8NenmLGXus4OHNA3L/K0t4eMP4sPCcDoqvaCs4/wZQm9FVBL/H6xWLyUMr
eHjD+LDwhvF3BFtF/D8uA+c/cI13nFUo6bDk/j6+OZ+tHL7s+7g1/Zs43L1p
IHBMzOF5lva36bnWDm4g8yNE4f5lAIEFIg79wSUq0/tt4Pza31YF5yRs4Xxw
fEyydai6/+OWsbcoxP1PbR1iVCNkztWIweMf5h4YHxY/JVtFf59eZ+dwBgR8
xOHpTQEU/nyiEPWF9g4mxiAANb8UwT8Csn8Rgv8U5J+zuPnm147mmgQ4wM2H
8WHunQkCgg4OIW8vf5yxUAySn3bbQ8R3wvxj73AQlH6ZxeH8HrB/pBzQ8ycA
wBWfgQ==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYC4vk2Oldm7XNwEKmcVHKWRcYBxn/TlttttFvC
YfkLD73/Ox0czoCAj7iDvOPH5DNroepTRB1uStckGv11cGhVYFc9M0XEwVW1
lGmWhaPDWiEdvnQ7EYfiraK/T9ch+GDz3Zzg/Cnf2OJnXHGC6heH80PeXv44
w1EGzo9RjZA5t0cWYt4xJ4cWkPorcg4X8+PZz610clD/pPJy1kl5h/v7+OYY
Nzk5nAW5t0bB4bim1aTT/k4OqWlAcEzBYSYInIS6R0/RYX+trEW6j6PDfxDo
V3QwBgFlR4g6TiU4v9PGc1eakjKcL9rj9YolRAXi3whHh1OHndZm/lOBhM9W
BH+jXt5iRhknOB/s3kwnh4bfVgXnNBB85wnNQmlcynB++eFtrjNrlSD+n4Lg
R4hvv8gwzcmBAQQeKDt83hCQPWu6k0PgLWBEFKk4tC8PP2U0x8nhSeLCayb6
qhD3ejs5vMjS/jZ9rirEvyJODnMWKe/8c1wV4t6rjnA+OJ5VEHwe//VTUnc4
OKTE3nFjrlCB88HmBivB+bDwBKeXm1B+nIKD+bWjuSYKjtD4k3dIOHxZO9XT
ERJfmtD4muUIiZ80OYh+RieH3ohuf8YNsvD08mXfx63pZrIO9k2Pjs9IhqYX
Exk4Px2sXwrONwG577K4w85bXX9TxZ0cDnbvazJhFnP4HZN79N8qRzjfAaTe
GsEHh88bBweFXQv2pa4Th/N7QO4RkILz0fMLjA8ARH1dVg==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
            4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKH0xP579nKabw5xFyjv/HFd1+BOTe/SflyucX/fb
quDcBhcHYxAIVobzz4BAjzyq/GUJB1fVUqZZFq4Oa4V0+NLtRByEPjmeT/uL
4PP6r5+S+sINzre4djTXZIK7w0wQiJSE8/+DgL0CnO+x5uhyhgplB9UnzfPO
/kK4F939ehMW/DDkc3M4ddhpbeY/FYc3vPsMZs5C8CWmXuHMYHJ3UL72KJhh
jhKcH6MaIXNujxyczwACDpIOU76xxc/Y4ubwwDXecdZFUYeQEpXp/y0Q/BzO
nwvSF7vC+SVbRX+ftnN1SE8DASk4f29+zduZUxXgfLD6QmWIPR2ucPehux8A
KqeyWQ==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIIaxWZDYzFDMAOUz4BEnlU2MOchqSFVPLbcRYyYA
kW8CJQ==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJdIGYCYh7/9VNST3g6/PlW+mDORm0H82tHc01WeDpI
TL3CmfFI2yFCfPtFhmmeDhn5H1pPftF2uL+Pb45xE4Lf4/WKxSQQwa+MWGF6
VtrT4QwI9Gg7iIPM+eUBlddyuJQfz35uoYeDmc3eoGmJmg7eJ9htZ5d6OCTH
3nFjnqEBkU/0cGjhBTqsVR3OD7wlXZP4SRWNr+IAdv8PdwcfkDmmCH4Ep1i7
8XpluHqB2ID7RscR/J6Ibn9GASk4vw/MF3e4CTTWKNbDYSYI7BRz6Ab5T9PD
IeTt5Y8zFoo5/IrJPfrvkbtDjGqEzLkaBF9h14J9qXyiDg5Nj47PqPZwMDEG
AUw+zP8w/n8QOI6b76ZayjQrwRNuPowPsx8cvlKecPelgcAzhPuXv/DQ+/8Q
4T8YH+Z/GB8WPk8SF14zme8J518AuXelp8OMCfxVZtyqcPWw8Ifxd4A8+kMN
zm9gOdpvuF3TQd7xY/KZrx4O5uD41oKkCx9POB+cvsoQ/MTDl7VTJ3pC9JtD
5bd5ws2DpdcNenmLGe8g+LD0CwDgWzYJ
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYCYp8T7Lazr3o7iFROKjm7RdkBxpfftWBf6jpJ
OH9HsFXEf3Uxh+OaVpNOs/s4MIDAAhEHkU+O59NqEXwe//VTUhcg+CyLJ1kx
HvVxWCukw5d+T8RBd8KCH4bnfBxMjEFA1GHHra6/qeK+DjNBYKe4g0PTo+Mz
mH0d1D+pvJzVKQEx/y5Mv7jDXBudK7OO+TiEvL38ccZCcYcZIH0rEXyw+XkI
Ptj9oT4OX/Z93Jo+TQLOr7n/45bxayk4H+b/kBKV6f8lfOH8kq2iv0+r+Tqc
Ouy0NvOfCkL/pw0B2bcQfDObvUHTDqrC+RJTr3BmHFJzuLuPb45xlI/Diyzt
b9PnqjukpoGAj4OB1krhCyqaDu3Lw08Zhfg4zFmkvPNPuqbDF6Cxs/R9HF4X
Ay3m1nS4kB/Pfo7Rx2Fye2vU5T0aDuIgcy95O/wHgXoNhzXdtzMYrns71P22
Kjh3Qt3BRbWUadYNb4eM/A+tJ0MQfIj9anB+4C3pmsRPKpDwS/R2mAIyXwbB
PwMCcxDpARYeAPk58ZA=
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+PjEcakhVT2p5tDTLlLNBADS
cwJB
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYCYnnHj8lnbH0dNujlLWaM0XLI4fy5IH0ygl+y
VfT36XUIfsLhy9qpO30dtjs0PTougeCb2ewNmpaoCef3RHT7MwpIwfl9YL64
wxkQ2OLrMBMEdoo5hJSoTP/f4OsQ8vbyxxkLxRz218papNv4OsSoRsicq0Hw
FXYt2JfKJ+rQujz8lNESX4c0EFATdRD45Hg+7ayvg4kxCIg6zACZ+xPBB/tP
1Q/OX9N9O4PB3w+uH+y/bX5w82F8mP1LX3jo/S/0g7tPZ8KCH4Z2fnD3g+2z
9IP7D8aH+R/GTwfZJ6YE539YtF7hrIayQypIfJ6fg2iP1yuWEBVI+P9G8MHq
E/3hfHD4LfF36LTx3JWmpAzng2kfRTgf5p8X29czP2cIgPt/a0vNhc2MCD7I
us18CP53tvgZPpK4+ZHi2y8y+AXAzYfxYeEFNk8vAB5eYPeIBMDDqznQc26D
UIDDwe59TSbM4nA+LLxgfLD/FinC+a+KgRGTrQJJLxf8HeYsUt7557iqgy4o
PtQQfJ8T7Laz3/qh8s/6ObzI0v42fS6Uv9bP4Uniwmsm+qrw+AC7c44ynJ8S
e8eNeYc2JN3r+DnU/7YqOPdCG0r7OjyIAHq8QRsSf9t8HY7v2tHLFqDtAMtP
4PhmQ/Bh+QcAk4tu3g==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQvab7dgbD8kAH9U8qL2d1Sjjkx7Ofk5wb6HCwe1+T
CbOkQ/vy8FNGOYEOJsYgIO7A+XNB+uaoQIc0EDgm5mCtc2XWM0sEf/EkK0Zf
DgRf3CPgj8T9AIcdwVYR/9UlHLa21FzYfDLAYb2QDl96nZSDv5xYlu/uAIf7
rvGOswRlIOZtDXBIBRsg67C/VtYifUuAw978mrczRRUcKiNWmJ5VDoTzwfIR
CH631ysWk8pAB/c1R5czaCg42IDMWxvo4DyhWSgtS8HhLe8+g5nrAh3+g8B+
BYedt7r+pq4PdOCPDbhv9B3BX/ntZcUZB0U4fy3Ivf+UHSYs+GH4rCzQYc4i
5Z1/jqs61K7bllSviOB/Z4uf4cOK4IPd9wTof4emR8crVCHuOxoACZ9nKg5v
QO5pC3AQANl/XNlB+JPj+bTcAIczIOCjBOeLVE4qObtEHs4/AIqfxTIOL7av
Z35eEeDQE9HtzyggBXFPb4ADAwg4SED8uTrAYSYI7BSFxwfYP3YikPiSCITz
3VVLmWaZIPhgdwQEQsxbIOIg/fqRmVRBoEOMaoTMuRpRhw0PX07d1AJLL2IQ
/pRAh5C3lz/OWCjmEJt79N+m6YEONfd/3DJ+LeaAnt4AIzMVoA==
             
             "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQff1orklDdqADf2zAfaPvCg6VEStMzzoHOlTf/3HL
+LWCQ+26bUn1hoEOwpWTSs4+UXCIEN9+kUEMwe9f8MPw2acAOF/cI+CPxP0A
uH5rnSuznm0NcJgJApyKcL77mqPLGTSUHIJLVKb/3xHgsFZIhy99nRLEvEMB
DuWHt7nO9FWG8C9B9UeqOMTmHv236XOAw6nDTmsz/6k4LJ5kxegrEQjnw9wL
439ni5/h4xro8CRx4TWT9SoQ9wUHOmwx/3EohUvF4bGI7MmnyYEOK7+9rDjj
oOzQ7fWKxSQz0OE/CPQrOaCHDwBOxI/G
             "]}], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1,
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
             1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGCwBmIQ7VndrO8jFOJwBgTmKDsIfXI8n6Ya4tDIcrTfcLqK
QxoIKIU4MIDAAxWHCPHtFxm2BTvMWaS8889xFQcFx4/JZ2YGO5w67LQ2s07V
wRtkXh1MXtUhpERl+v8IBH/nra6/qeYIvrbVpNP1AsEOgbekaxKLVB16vF6x
mHwMgtvXHOg5t+FYkMOU9taoyzIqDvtrZS3SNwQ5PHCNd5z1UQnOLz+8zXVm
rSKcb2AMBMXyDleP5po0XA5yEKmcVHKWRdbhsYjsyafcwQ4Huvc1mSyWcfi8
ISB71vkghzdtud1GuyUd/oPA8SCHgyB5ZkmH9uXhp4yOBDkIg/SnSMD5CrsW
7EtdJw7nu605upwhQszBRufKrGcXgxxaFdhVz0wRhbj/W5CDxieVl7NeikDU
bwmChPcaIYfadduS6lcGOVTf/3HL2FvIQfVJ87yz84Ic0kHh3iYA58+ZCQSS
fHD+i9rH2edzWB04fi5I3/wI6L8mmSkGl//Zg/3jHAzng9VvQ/BBxswUDHHY
5rXBYk4lhwOMfxbkHh4hOD9GNULmXI0oJP7eBDusFdLhS78n7vAFZP52BB/s
flsEXx6UHkQRfHD4MwdD4qtQAs6HhTeMPx1kb6QUxH7OYEg83JeCmC8bDAmv
N9KQ9KcU7KAOCk9NaPwpBzuEvL38cYajjMMb3n0GM9WCofEv43B/H98cY71g
h1RwQpaBhJ8RzD4Zhxfb1zM/t0Dwt7bUXNgcieA/AOlvgpkv6yACyh8LgyHp
aYmcQ2XECtOzh4Mh8Set4OCuWso060qwQzinWLsxvyKcD3KOcbASnA/2zxkl
B3D+uwTlyyhD0seZYHh+RM+fAME7pIM=
             "], {{76.9609, 10.4859}, {
             77.77190000000002, 10.4859}, {78.32030000000002, 
             9.817189999999998}, {78.32030000000002, 8.804689999999999}, {
             78.32030000000002, 8.02969}, {77.81880000000001, 
             7.493750000000002}, {77.09219999999999, 7.493750000000002}, {
             76.29379999999999, 7.493750000000002}, {75.7563, 
             8.112499999999997}, {75.7563, 9.031249999999998}, {75.7563, 
             9.94844}, {76.19839999999999, 10.4859}, {76.9609, 10.4859}}, {{
             77.52190000000002, 5.13281}, {78.86880000000002, 5.13281}, {
             79.3328, 4.859380000000001}, {79.3328, 4.084379999999999}, {
             79.3328, 3.05938}, {78.3906, 2.29531}, {77.13909999999998, 
             2.29531}, {76.10309999999998, 2.29531}, {75.38749999999999, 
             2.9046900000000004`}, {75.38749999999999, 3.7859399999999988`}, {
             75.38749999999999, 4.321879999999999}, {75.69689999999999, 
             4.8109399999999996`}, {76.1734, 5.014060000000001}, {
             76.36559999999999, 5.10938}, {76.69839999999999, 5.13281}, {
             77.52190000000002, 5.13281}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIZIGYCYq/qZn0fuxCHDXp5ixljtBwK4tnPSWYi+KpP
muedLUPwZV4/MpOqCXHY7tD06LgEgm9mszdoWqImnN8T0e3PKCAF5/eB+eIO
NjpXZj2rDHGYCQI7xRyeiMiefBof4hDy9vLHGQvFHM6AgE2IQ4xqhMy5GgRf
YdeCfal8ohD3dYY4mBiDACa/bXn4KaM5CH6AnFiW73rc/GtHc00afiPMh/Fh
9mtaTTpdfwPhvqZAz7kN+xDuB9u3B+E/GB/mfxg/JfaOG/MObQehT47n07aG
ONT/tio490LboTJihenZySEODyLEt19s0HZ4w7vPYGZViMPxXTt62QK0HWDx
k54GBGwIPiw+AMfHsig=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
            4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKL21pebC5oehDnMWKe/8c1zVwbO6Wd+nCMHv8XrF
YqIa6mAMAsHKcP4ZEOiRR5W/LOFQEM9+TjIz1GGtkA5fup2Iw7WjuSYNpxH8
kBKV6f8dwuD8F9vXMz+fEuYwEwQiJeH8/yBgrwDne6w5upyhQtnhwT6+OcZe
YXD3obv/iYjsyaeXQx1OHXZam/lPxeHIZe1USakwOD9SfPtFBr8wB+Vrj4IZ
5ijB+TGqETLn9sjB+Qwg4CDpIOER8EdCPczhgWu846yLog7f2OJn+LwMhfOb
Aj3nNsxD8NuWh58yygl1SE8DASk4f29+zduZUxXgfLD6QmVIOE5AuBfd/QCe
hrZb
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJtIAaxQYAJSjNCxZiR+PjEcakhVT2p5gxm9ww2u4ix
FwCf5QKP
            "], CompressedData["
1:eJx11G1IU1EYB/DrC5ZB0tvmtGnq3ZWswEQJW314RCwTpSnj3rOwTGkahtkH
i6iZkX1Kq2VEOlRUAv0wciiZGi1D7MW3CsNAI1eaoDbKQaJg2s5155wWeOB+
+H05z3n+9zknMq84y+jHcZyP+xPdn6/7u5F5rO56twhLzrmeg7wGhKny+qFR
5oWAnOr038yPqrQ+GYsipFr7mrlFnvp5sclZY4yirkQVx322hFLfkR0MKPjp
B25BhBq8upSgnvt2IPSzCHrnyHx1oxL0JZqHq50iZAtIPWxijuhusBuDFOCw
B9XG+0qQEI+XAvZoqwbK/JkP7/tomQ5h1oUrCzNimVWpumVVsgT5eEUrwPZ1
5kFbiUT3Jyb1jwgXfS16iZ4vcKmhoF0r0fP3lIYlFiRKtD9i0j9xAa6njKL+
1dQaMbSbh2icd6EEisq0WX+9BmJwP9XMT26a3re/ZDbg/L5IMIiXmvd2eiQ1
qU9Mzpdd1LfSNs7OT/Yn/Tk32/fX1LP+iUk+5obFuOlZluf/luutMBfnbBgO
2YrW9XZX0rv8k4juT0zqp10tj03XInq+JjxPEYieX64Xjmh/xF79u03yJyb5
v8D/Q4dovhN4vq4xd43d+mNsZnbZdOcsvYjm72V3/sSkn96RvcYQF+v3Ls7r
H0/uCHv7fZX5/Lbynv5Aw7puq/vZ/CrZQPcnJnmpT5w5NLHLQPN6VnJf5R9g
YPPa35jS4Wdg8+oxnVePHSk5SZb5SGobfhgyPHl8QlDbxHctvxYAx5Jwj1l+
Ty4xy/meRhBafypmwCzARnx/shBM5TaOJsQK0IrvmwpBy8LM5UEzv/Z/OeR5
b4S1+++Q6H7y/bEyy++HmVm+T1ckWu8Cnrciidbzun8tPPWb7s7bATYBSh93
5JXFsf1+4Pnf5PFRAawV42e5SREyx3aacl0aIO+nnM8QM3kv/wKO2DxQ
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQXZ+1p2TygigH9U8qL2d1SjjIt74O3DEtyuFg974m
E2ZJh+e/V368lBrlYGIMAuIO9qZxuzxDohzSQOCYmMObwB1yrcYIfgCQ+5oR
wU8QiLDcciPSYUewVcR/dQkH8ZvnvgcfjnRYL6TDl14n5bC+KGPi2y2RDvdd
4x1nCco4lAC5NesjHVLBBsg6AF0nwbIu0mFvfs3bmaIKDj7mnY4JslFwvkt3
zvPfgQh+h2PC0wtFUQ7ua44uZ9BQcCgAmbc8ysF5QrNQWpaCw5WKl2qGK6Ic
/oPAfgUHGf27Kmwroxz4YwPuG31H8Fd+e1lxxkERzl8Lcu8/ZYee6XlCzQVR
DnMWKe/8c1zVwb8XKCCN4H/5C7ThXyScD3b/PaD/HZoeHa9QdeAHBseJfZGQ
8HmmAnFPQ6SDAMj+48oOTy8o3f6ZFulwBgR8lOB8kcpJJWeXyMP5B0Dxs1jG
AcStK4p06Ino9mcUkHI4UbZvvlR7pAMDCDhIOAg0Hzi1cGmkw0wQ2CkKjw+w
f+xEIPElGAXnT3hbY2+qh+DfB3nQKwpi3gIRhxpQAsiMcohRjZA5VyPq0AI0
3rUOll7EIPy+KIeQt5c/zlgo5vCgSmSd+8Qoh5r7P24ZvxZzQE9vAJHNFYw=

             "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQ3fI6cIdcapQDf2zAfaPvCg4+5p2OCbZRDtX3f9wy
fq3g4N87PU9IO8pBuHJSydknCg7hfLqb5vIj+CLr3B9WvYmE8xMEIiy33IiE
6y/JmPi2Zn2kw0wQ4FSE893XHF3OoKHksOVE2b75myId1grp8KWvU4KYtyfS
ofzwNteZvsoQ/hmo/kgVh4gU6/v+byMdTh12Wpv5T8UhYIdc62vBKDgf5l4Y
/8vfKxUv7aIcniQuvGayXsXhhZohxxqfKIct5j8OpXCpOOjfVWFrjI1yWPnt
ZcUZB2WHDseEpxeSohz+g0C/kgN6+AAAV1WNQg==
             "]}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI1IAaxQYAJSjNCxZjR2DA5dDXI4rjYpKrHpZcY95DK
ppabKTGTVHfiEgcA+NYCcw==
            "], CompressedData["
1:eJxllGlIFVEUx91aMQv1Ta98mvV8u2aZGWHhX8peC6amlDl3zDUlcsFsEyly
ydQ+WEm2mqZhQaSE5kKZRRtpognR8sFcokytrNCkoObO6AzVgfvhx9x77rn/
8z+zMCZlS7y1hYWFJb828cuKX5l+yyObBljYzChYEJtshOub8UO7HAlWrLqz
5XS0Ec65gyENWoKaxckVlsSIx/uaL833JCgpmp3hY5K5OC83ouu2QeILl9WN
vxIMSLydfkrpTrDEeM2ho1KPehc+oZ7Pp+nPLh3Wob9j0ZvxTyx0X90Gzhmc
cMw/6l1HL4u3ATv8z3UyeJvheMPcw+IsjUZG/H6fhZ7uz2cwFNLgklvBwvHg
yfRncQyOlyTbZ5excG0qa463U4jcwmLoaFKhl5NCfF8/C+9lNBTIpOm/yryX
lj+FSHxdFRHnG0SkfFzTBlurWJnD43y7g+KJdD/d3u1HpPoUr9rHQk0EYcNd
I2fKGfF+N4J7hc1Z3tZzJf7ePFKXMCqzg5BPKdajIRDK6VIiNfHEcKaOoIWe
r5gn6plIUE31TNJLfIbqdVCPwJg54St3EyiOb/xo810vvieFwEforwFR/Ofa
VILg106Z0ScN+HVt5HlgmtzPsdC+K+fTCdpo2BpRef6Ba00Bgao00tC6xIhg
Xv7BswTvd5lGS1Ybsd7WypR3Q+bl+XzDvsi8f0C7dLojh3fR5S+8gwwSD+2p
U/ws1Eks+MesEfv3cuL+C2p8rnq0aUW+zGF2HjcvJsg82Q/BL9vVoj9aCeJ3
0nAW+9pHQDThqnaVE9yo3ipO6qfg982c1P/qNF7wMO5vf3AyU3vbRMos6JnI
QbhOO+Gf/XJ+Kg9z5H9ed/1hlUU4g9on/ADFcMh1naZpK2Yw12arnUcEN+EP
RpyntRzMdP8PJcw9/IDUE6wpyrbfOVMNYZ57COZwwd1eZjXc8xjegQRXRwcO
tBWpxTodOPRT/T3dkE795DfJGnF+t3FwqfqwfvFhrcTCuW86iX8LYUBOy9Py
AC2HnFlB1cUak+i7ToJ6ZPU+VprE9+8gSKB6TDXhLr/9VqjMgn7rZBb6P8RK
5//9P/0BW4HvQw==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYCYoHmA6cWusY7pIHAM3YH2dbXgTv44h3uu8Y7
zjIUcKgRWef+8Fecw5u23G6jaiGHJxeUbv98FgdRf0wMwr8W59CuwK56xkTK
oWGqc3fO+TiHFhD/iiycv/Lby4ozHxTgfOVrj4IZ3ijB9U9pb426PEfFQfeu
Clvj0ziHhJAg9QWaag4PqoAO+Bnn4HdxYsw/ZQ2H6+e+Bz/mjXf49fb1AUtn
TQeY+8HqPbUdjpftmy9lHu9Q/9uq4NwLbQeddrGb557HOcjMi9M8vUHToWd6
nlDziTgHM5u9QdMSNRzeBO6Qa10d5zBjAn+VGbeag/tDoIXT4xwCb0nXJBap
ODz9vfLjpV6o+w8oofKB/oHxdwRbRfw/LuPgsu3z3ysL4hy+7Pu4Nf2bOMQ/
R+MczoDAGmGHKxUv1QwfwMJTwKE2a0/J5B9xDjGqETLnbHjh7ofEB6sDevwA
AIiTz1k=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1,
              3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQHcqnu2mudoJDtGqEzDkZSQfmMKCAZoKDwq4F+1L5
RB0uKN3+WeeU4GBiDAKY/J91WXtK3BH8y75JAhGeCP7nv1cqXgYlOKSBgJqo
w/nvwY+XJiPMh/FjQPbXiDmcAYGQBIdWBXbVM1PEIPLeCQ4hby9/nLFQzEHd
kGONjFeCw8HufU0mzOJw/kwQiJRE5XMqwvkGWiuFL7SoQPhWCQ5zFinv/HNc
1SH+KdBHvAh+jcg694e/4uF8FaB3s+7EQ/WrOjRMde7O2R/vsMOh6dHxHyoO
X0D+mxbv4HOC3Xa2KYL/YdF6hbMrlBzaHROeXlgV71B+eJvrzFolhxdqQAds
iXeovP/jlrG1MoR/JB7qfhUHe9O4XZ5n4uHuBdv3HsFPtr7v3yuN8E+45ZYT
ZVoJDp02nrvSFik7wOKTPzbgvlG5IsR/rIjwmAI07vnieIeV315WnClQcFjx
8ZJvUkW8g0jlpJKzS+Tg/PVCOnzpdVJwPjj+jolB3Dcn3oEBBBaIOPRMzxNq
voHgtxw4tdD1GYIPTgefoeYfEXGoBSaXyT/iHYJA8cko6oCe/gBIeg9R
             "], {{
             129.36299999999997`, 6.778130000000001}, {129.01699999999997`, 
             6.289059999999999}, {128.26599999999996`, 5.835939999999999}, {
             127.80000000000001`, 5.835939999999999}, {127.32299999999998`, 
             5.835939999999999}, {126.906, 6.27813}, {126.906, 
             6.790629999999999}, {126.906, 7.231249999999999}, {
             127.14499999999998`, 7.64844}, {127.50299999999999`, 
             7.874999999999999}, {127.80000000000001`, 8.053130000000001}, {
             128.456, 8.22031}, {129.36299999999997`, 8.35156}, {
             129.36299999999997`, 6.778130000000001}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
            132.97799999999998`, 6.623440000000001}, {132.61999999999998`, 
            6.623440000000001}, {132.29799999999997`, 6.289059999999999}, {
            132.29799999999997`, 5.9312499999999995`}, {132.29799999999997`, 
            5.57344}, {132.61999999999998`, 5.2406299999999995`}, {
            132.96599999999998`, 5.2406299999999995`}, {133.34799999999998`, 
            5.2406299999999995`}, {133.681, 5.5625}, {133.681, 
            5.9312499999999995`}, {133.681, 6.289059999999999}, {
            133.34799999999998`, 6.623440000000001}, {132.97799999999998`, 
            6.623440000000001}}}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4sUFtlzX+xMdTuza0cu2QdVh9hGFDUU9iQ5z
Finv/HNc1WGh67bPfyugfHdVh79XKl6qpSY6BN6Srkn8pOKgEdN/6GtAosMG
1SfN884i+D/fvj5gqazicB1kQTyC/3vlx0u+eQg+2P78RAePNUeXM/xQhvP3
5te8nZmqBOeLVE4qOcsiC+e7g9VLO1xQuv2zLivR4UD3viaTxVIOzGF8upsS
Ex3UP6m8nNUpCbE/PNGhVYFd9YyJhAOjdrvYTa9EBw2wvLgDv+6mue+tEXzr
+/690/UQ/KnO3TnPlRMd+iK6/RkFJBzyhZoPnJKF2S/h0DM9T6hZItHhTVtu
t9FuSYi8aKJDO9g+aThffteCfal+snA+LLxLJkuwhAkhwvszKID/JcDD+0TZ
vvlSrxPg4Q12/7UEeHjD+LDwBMfXEwT/uLd5p+MXBP8rOIIS4OEN48PCG8bf
EWwV8f+4DJz/wDXecVahpAMw9pIEfiQ4fNn3cWv6N3G4e9NA4JiYw9z3y495
syc6uIHMjxCF+5cBBBaIOCSDAlgbiS8QYbnFBsEHx4d3okPV/R+3jL1FHbhB
ERiW6BCjGiFzrkYMHv8w98D4sPgBJoY9JUD+GRDwEYenNwVQ+POJQtS3JzqY
GIOAKCR8OhD806AA7EXwwf6ZjJsPTB2/V65FmA/jw9y7GxTB8xIdQt5e/jhj
oRgkfiYkOswEgZ1Q/wDz30FQ+mUWh/N7wP6RckDPnwDifJ9x
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
            143.17799999999997`, 6.623440000000001}, {142.82000000000002`, 
            6.623440000000001}, {142.49800000000002`, 6.289059999999999}, {
            142.49800000000002`, 5.9312499999999995`}, {142.49800000000002`, 
            5.57344}, {142.82000000000002`, 5.2406299999999995`}, {
            143.16599999999997`, 5.2406299999999995`}, {143.54799999999997`, 
            5.2406299999999995`}, {143.88099999999997`, 5.5625}, {
            143.88099999999997`, 5.9312499999999995`}, {143.88099999999997`, 
            6.289059999999999}, {143.54799999999997`, 6.623440000000001}, {
            143.17799999999997`, 6.623440000000001}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYCYp1Nc98vV0tySAOBZ6wOGjH9h746JDnMmQkE
kjwOHy/5Jgn4JDnEqEbInLPhd1hcYMt1PTzJoVWBXfXMF0EHx4SnF5Tyofwp
Yg5A3Rox1VD1MjJwfvX9H7eMXyvA+Su/vaw4c0DJIR1kb1mSQ+At6ZrEIhWH
2UcUNhTlJDnMmMBfZcat5nB6oeu2z7FJDuevhr3Rj9ZwKJkswRLml+QwHSS/
WtMB5v7631YF515oO7CvkYlKkU9ySAgJUl/gqe2gwtY41dk6yWFye2vUZRtN
h+XHvM07XZMcTh12Wpspp+FwomzffCl/qHpNNYelIAeEJTlMAamfo+JwGOjc
/qgkB+Vrj4IZ3ijB+WD3f1CA81tA/r8iC9ffDuKbSEH4ftDwPSbmcAYEXJIc
3rTldhtVCzkwareL3bRKcrjvGu84y1AA7n5IfLA7oMcPAK39t8I=
            "]]}, 
          Thickness[0.006683151774376796], StripOnInput -> False]}, {
        ImageSize -> {299.2508094645081, 32.67741967621419}, 
         ImageSize -> {149.62540473225405`, 16.338709838107096`}, 
         BaselinePosition -> Scaled[0.32439307852814453`], 
         ImageSize -> {150., 17.}, PlotRange -> {{0., 149.63}, {0., 16.34}}, 
         AspectRatio -> Automatic}], TraditionalForm], None}},
   FrameStyle->Directive[
     Thickness[Large], 20],
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{{0}, {0}},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImageMargins->0.,
   ImageSize->Large,
   ImageSizeRaw->Automatic,
   LabelStyle->{FontFamily -> "Times"},
   Method->{
    "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0, 150.}, {-0.023391913368829433`, 0}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.05], 
      Scaled[0.02]}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{}, {{{
          Directive[
           PointSize[0.012833333333333334`], 
           RGBColor[0.9, 0.36, 0.054], 
           CapForm["Butt"], 
           AbsoluteThickness[1.6]], 
          GeometricTransformation[
           Inset[
            Style[
             Graphics[{{
                GrayLevel[1], 
                Disk[{0, 0}, 
                 Offset[{6, 6}]]}, 
               AbsoluteThickness[3.], 
               Dashing[{}], 
               Circle[{0, 0}, 
                Offset[{6, 6}]]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.012833333333333334`], 
                 RGBColor[0.9, 0.36, 0.054], 
                 CapForm["Butt"], 
                 AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
            Scaled[19.5]], {{{0.1, -0.023391913368829433`}}, {{
           0.2, -0.02297901655935025}}, {{0.5, -0.021817116105320795`}}, {{
           1., -0.02010876852270148}}, {{2., -0.01737071560943161}}, {{
           5., -0.012359326069805606`}}, {{10., -0.008436394465178656}}, {{
           20., -0.0052569107832976985`}}, {{50., -0.002546258230602838}}, {{
           100., -0.001399039749842982}}, {{
           150., -0.0009719698383387358}}}]}, {
          Directive[
           PointSize[0.012833333333333334`], 
           RGBColor[0.365248, 0.427802, 0.758297], 
           CapForm["Butt"], 
           AbsoluteThickness[1.6]], 
          GeometricTransformation[
           Inset[
            Style[
             Graphics[{{
                GrayLevel[1], 
                Polygon[{
                  Offset[{0, 8}], 
                  Offset[{(-4) 3^Rational[1, 2], -4}], 
                  Offset[{4 3^Rational[1, 2], -4}]}]}, 
               AbsoluteThickness[3.], 
               Dashing[{}], 
               JoinedCurve[
                Line[{
                  Offset[{0, 8}], 
                  Offset[{(-4) 3^Rational[1, 2], -4}], 
                  Offset[{4 3^Rational[1, 2], -4}], 
                  Offset[{0, 8}]}], CurveClosed -> True]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.012833333333333334`], 
                 RGBColor[0.365248, 0.427802, 0.758297], 
                 CapForm["Butt"], 
                 AbsoluteThickness[1.6]]}], {0., 0.}, Automatic, 
            Scaled[19.5]], {{{0.1, -0.014496797090865628`}}, {{
           0.2, -0.01452285969558331}}, {{0.5, -0.014560532378814613`}}, {{
           1., -0.01451224002718311}}, {{2., -0.01414160309608582}}, {{
           5., -0.01233394674740097}}, {{10., -0.009715546420459952}}, {{
           20., -0.006743807472706599}}, {{50., -0.0035844891474714016`}}, {{
           100., -0.0020591316208532526`}}, {{
           150., -0.0014581624596552599`}}}]}}, {{
          Directive[
           PointSize[0.012833333333333334`], 
           RGBColor[0.9, 0.36, 0.054], 
           CapForm["Butt"], 
           AbsoluteThickness[1.6]]}, {
          Directive[
           PointSize[0.012833333333333334`], 
           RGBColor[0.365248, 0.427802, 0.758297], 
           CapForm["Butt"], 
           AbsoluteThickness[1.6]]}, {}, {}, {}}, {{
          Directive[
           PointSize[0.012833333333333334`], 
           RGBColor[0.9, 0.36, 0.054], 
           CapForm["Butt"], 
           AbsoluteThickness[1.6]]}, {
          Directive[
           PointSize[0.012833333333333334`], 
           RGBColor[0.365248, 0.427802, 0.758297], 
           CapForm["Butt"], 
           AbsoluteThickness[1.6]]}, {}, {}, {}}}, {{}, {}}}, {{{{}, {}, 
         Annotation[{
           Directive[
            Opacity[1.], 
            RGBColor[0.9, 0.36, 0.054], 
            CapForm["Butt"], 
            AbsoluteThickness[1.6], 
            Thickness[Large]], 
           Line[CompressedData["
1:eJwV1Gc8FYofx/FoSzJKZK/IpuiInB/Zjs2hY55DdpnJykq2Y68SKePSxbHq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            "]]}, "Charting`Private`Tag$276202#1"], 
         Annotation[{
           Directive[
            Opacity[1.], 
            RGBColor[0.365248, 0.427802, 0.758297], 
            CapForm["Butt"], 
            AbsoluteThickness[1.6], 
            Thickness[Large]], 
           Line[CompressedData["
1:eJwVynk8lAsbxvFUjshxlIgwFYpS9mWi5rmVbMlJ5YmR7aHFdmwlu4lhssxj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            "]]}, 
          "Charting`Private`Tag$276202#2"]}}, {}}}, {
     DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
      1, Axes -> {False, False}, AxesLabel -> {None, None}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
         Graphics[{
           Thickness[0.0050238633509168545`], 
           Style[{
             FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGIlIIaxWZDYzATYDFA+A4VqSNVLqpmkupNUe4nRS4ld
AKjmAn0=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJfIGYC4hkzQYDHYc4i5Z1/nms6fN33cWv6NX6H7Q5N
j45LaDmApSMFHWTmxWmeNoDyfwrB+Qq7FuxLfScO5z9wjXectVHK4XXxVtHf
3Jpwfguv//oprOpwvmiP1yuWKyoOHmuOLmewEIeIFyo79Ed0+zNuEITzYfbD
+NX3f9wyfi0A558BAR8BiDkVyg7ClZNKzrIIOKwV0uFL11N2UP+k8nJWp4BD
OKdYu/F9JQd5kHvXCTjwxwbcNzqu5BD89vLHGY6CDu5g/UoQ894IOqSnAYGY
EsQeQSGH8sPbXGf+VYSYWyfkcEdTds3/zYoOIiD7XKQdQkDmLBSHmN8n7cAA
Ag7iEHNvSEP03RNz+A8C8jIOGmB3iTl8AYV3mYzDm7bcbiNpMYc1IHX7ZCDu
WCPqAI4fS1lIOPOJQtXLO5gYg4Cow32Q+z4i+MrXHgUz2CjA+d02nrvSinDz
wdRnRbj5MH6MaoTMuRoxiD8MFKH+E4P445yCQw04HqD8OgVIPO0Ud6gCiWuL
QdzxRgni3msSDiu/vaw446AMsVdYChJ+zcoOKaBwXibtIAVKPwIqDgEgexTl
HAJvSdckflKB+/fn29cHLJXV4HxwempVh/OfJC68ZnJeEx6+kPSrDZE3E4Pz
wfYXi8L5YP818EHimw2Tv/zW8seGztxwvl2JY+1pGQ6cfK+t/seT277aw8yH
8c1t9gZNS9RyuPL72PV5kX/tj+/a0csWoOVQuLxkwz9+ZofnWdrfpttqQdMF
M9Q8BH+z+Y9DKVoacD4k/KXg/B3BVhH/1cXh5oG0px0Tg9sHiz9IvH+xh8Uv
jA+L/5ypCYUWxf/twfrVROHmwdJLs3gtayYbB5y/1WuDxZyfPHB+qwK76hkT
AQeYfkh+FIanLxgfZj843e8WgKcv3yeel0yFeeHuh5VPMP/B+DD/o5dfANnI
+aI=
              "]], 
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQPXUCf5VZto6D+ieVl7M6JRw26OUtZpTRcTjYva/J
hFnSISP/Q+vJKVoOJsYgIO5Q/9uq4ByHlkMaCBwTc5CYeoUzg0kTzvc5wW47
u1Qdzn9VvFX0t7aaw45gq4j/6hIOjyLEt19sUHVYL6TDl14n5bBB9UnzPF5V
h/uu8Y6zBGUg5j1ScUgFGyDroKMo/yXnmorD3vyatzNFFRz+fit9MCdQA84H
y3/ThPOntLdGXf6j5eC+5uhyBg0FB3GQeYt0HJwnNAulZSk4zFmkvPPPch2H
/yCwX8GBhbNLPnmdjgN/bMB9o+8I/spvLyvOOCjC+WtB7v2n7LDF/MehlFda
EHOOqzrILX/hoWevAee/yNL+Nj1WHc4Huy8M6H+HpkfHK1Qh7otRhYTPMxUH
D5A7M5QdBED2H1eG2DNPyeEMCPgowfkilZNKzi6Rh/MPgOJnsQzEX7+UHHoi
uv0ZBaQcwjnF2o3nKzswgICDhIMRKNomqzjMBIGdovD4AJtjJwKJr6/qcH5y
7B035hsacP4MsD5NiHkLRBxEerxesWzRcohRjZA5VyPqsB3krwhtaHoRg/Bv
aDuEvL38ccZCYPqYF6d5+oO2Q839H7eMX4s5oKc3AEkxAO8=
               
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQ/SRx4TWTfi0H/tiA+0bfFRz+fit9MCdQ06H6/o9b
xq8VHOSWv/DQ26/hIFw5qeTsEwWHX29fH7B8rA7nbzH/cSjllBqc/6p4q+hv
bTW4fompVzgzHqk4zAQBTkU4333N0eUMGkoOF66GvdH/reKwVkiHL32dEsQ8
L1WH8sPbXGf6KkPNV4Xoj1RxkJoXp3n6gprDqcNOazP/qTj4nGC3nf1VHc6H
uRfGf56l/W16rKYD2J/rVRzegNx3WhNiLpeKg/8t6ZrEIC2Hld9eVpxxUHaY
0t4adblGy+E/CPQrOaCHDwDXJJMI
               "]}], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {
               0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
               0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQB2IQHaPg+DF5jrGDgdZK4Qssqg5/v5U+mPPRyKGR5Wi/
4XRVh416eYsZ5xg5zFmkvPPPcVWHHq9XLCaGCH7xVtHfp+8ZwvneJ9htZ081
dPj59vUBy8WqDjNBwNPQQRSkMUTV4QwI2Bg4XLga9kbfWsXheZb2t+my+g53
NGXX/G9WdtgAss9GzyE1DQiOKcL5/0GgXh7O74/o9mfcIO3wJEJ8+8UHeg7q
n1RezuqUcPiy81bXX1YDh5C3lz/OWCgGMT/XwIEBBBxEHewrI1aY/oXyF4g4
LL6/j2/OYUM4v2BN9+0MBiM4/7rQJ8fzbkYOD1zjHWddFHH4CjI/1MghCGQ+
o6hD/W+rgnMrjCHyhZIQ/840dlDYtWBfKp+oQwkofPRMHEDeSVMTdegLLlGZ
Hm/iYGIMAqIOB2plLdJbEHxw+MxB8D9tCMiedRyNz24KNw+sXsbU4U1bbreR
tKgDl5tqKVMUGn+WKdw9MH6MaoTMuRoxhxeg8OE1hYcX2H9LTSD+2CkGd08f
KLwFxOH8HjBfCs5Pib3jxrxDG5I+Gk0g4fJC22H6BP4qs9/A8AHFU4O2QzrI
3dOMHY7v2tHLFqDtcFu6JtFoqRFEnA3BB8dzjBYkHgKM4XxwumxH8GHpd7tD
06PjEgi+mc3eoGmJmg7o6RsAGf0zeQ==
               "], CompressedData["
1:eJxTTMoPSmViYGAQAWIQHaPg+DF5jrFDjGqEzLk98g4w/oHufU0mi2Uc0tOA
YJqxg/onlZezNGUcSraK/j6dZ+zQE9Htzygg7aDxlnefgaSxgzEIXJZwWHx/
H9+cZiMHtzVHlzNEiDvsr5W1SP9iCOd/3hCQPeu5ASpf3QBiT5o0nD8TBDoV
4PxOG89daUrKDtEg950xcGj4bVVwboWKQzHIPfcM4fyDbcvDTwUZwflnwMAI
Yl6kCsQ8c2MHgdiA+0bHlR1SYu+4MVcYOzxwjXecVagM9z/MPhgfLP9RyQE9
vAB3CYgb
               "]}], 
             FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4pKtor9P/7N2OLFrRy/bBlWHJff38c15bO0w
Z5Hyzj/HVR1SYu+4MXtA+e6qDhpvefcZrLRyCLwlXZP4ScXhw4aA7FnsVg4b
VJ80zzuL4P98+/qApbKKA4//+impFQi++NQrnBmfEHyI/VYOHmuOLmf4oQzn
782veTszVQnOF6mcVHKWRRbOdwerl3bwuTgx5t9lK4cD3fuaTBZLOTzP0v42
vdfKQf2TystZnZIQ+y2sHFoV2FXPmEg4XBf65Hj+mqWDBlhe3KEvuERlejyC
r6+1UvjCFws4/3Hiwmsm8y0c+iK6/RkFJBxOHnZam5lnAbVfwsEPZL+zhcOb
ttxuo92SEHk9C4d2sH3ScL78rgX7Uv1k4XxYeB9sWx5+SsgCHt6NLEf7DcvN
4eFd99uq4NwNM3h43wC538wMHt4wPiw8wfG1AsFf8cJD77+iOZwfIb79IoOe
OTy8YXxYeMP4O4KtIv4fl4HzH7jGO84qlHQoWNN9O8PB3OHLvo9b07+Jw92b
BgLHxBy2mP84lLLL3MENZH6EKNy/DCCwQMQhWsHxY/IdBN/7BLvt7FRLOL8f
FB/3LR2q7v+4Zewt6rAc5H5DK4cY1QiZczVi8PiHuQfGh8WPfdOj4zN+Wzmc
AQEfcXh6UwCFP58oRP0+awcTYxCAmn8QwQfb/x7BB/tHygYn36YyYoXpWxu4
+TA+zL3/QSDfxiHk7eWPMxaKQeKHw8ZhJgjshPnH2uEgKP0yi8P5PWD/SDmg
508AWQKcIg==
              "]], 
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYCYvGpVzgzfjk43NaUXfOfWckBxj8DAjLKDstf
eOj9Z3R00FWU/5IjpuJwXNNq0ml+R4fAW9I1iZ9UHFSfNM87e8nBwUBrpfCF
FlUH4U+O59PmOjjMWaS8889xVYfiraK/T8ch+N4n2G1niyL4/0Gg3t5BtMfr
FUuIqoPGW959BiftHF6BNGarOCy5v49vzmdbBwYQSFCGuK/J1uEOyL2bFeH8
L/s+bk03k4fz00DgmITD3lpZi/Qldg5rhXT40u1EHObb6FyZJecA50eIb7/I
kIfg8/ivn5L6wAGiX00U4t/3UPl7onD/i1ROKjmbIu7grlrKNIvB0eFNW263
kbQExD/HHRx2BFtF/FcXd3iSuPCayXQHh5kgsFPMwfza0VyTBAQ/HGy/PZwP
Vt9v52BiDASXpeD8cE6xduN+BTgfFj9fNgRkz1K3d9hi/uNQSpeKw01gtBjJ
OsD5MPtgfLA9Kx0cpObFaZ4WUHFgWTzJivGog4PHmqPLGSqUHT6DzDuPmR5g
fABe9+7K
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQrfqked7ZW84O6p9UXs7qlHBY0307g+G4s8PB7n1N
JsySDjelaxKNUp0dTIxBQNzhwT6+OcZOzg5pIHBMzMFdtZRpFgOCL/zJ8Xza
XCc4/3dM7tF/Xk4OO4KtIv6rSziYXzuaa6Lg5LBeSIcvvU7KIZvz54J0ZieH
+67xjrMEZRxcQeb9cHRIBRsg6+B9gt129ldHh735NW9niio47K+VtUi/4gTn
+4DkbZ3h/CeJC6+Z1Ds7uK85upxBQwHivhfODs4TmoXSshQclr/w0Pv/0tnh
PwjsV3BwaHp0fMZrZwf+2ID7Rt8R/JXfXlaccVCE89eC3PtP2eEN7z6DmVXO
DnMWKe/8c1zV4bim1aTT553g/J23uv6mTkfwwe4PBfofZFCFKsR94tDweaYC
cc9MRwcBkP3HlR0+bwjInpXu6HAGBHyU4HyRykklZ5fIw/kHQPGzWMZhvo3O
lVl1jg49Ed3+jAJSEPcsd3RgAAEHCYg5TxwdZoLATlF4fID9YycCia+9CH6E
+PaLDN8Q/HSQO/WcIeYtEHFgWTzJijHX2SFGNULmXI2og+6EBT8Mp8HSixiE
v83ZIeTt5Y8zFoo5tC8PP2W0x9mh5v6PW8avxRzQ0xsAg9cT0w==
               
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQXRGxwvRssrMDf2zAfaPvCg77a2Ut0kWcHarv/7hl
/FrB4bim1aTT750chCsnlZx9ouBQ+9uq4NwOBP8N7z6DmUUI/u+Y3KP/vJzg
+l1VS5lm/XB0mAkCnIpwvvuao8sZNJQcireK/j79z9FhrZAOX/o6JYh5Qk4O
5Ye3uc70VYbwjZwg+iNVHNqXh58yKnFyOHXYaW3mPxUH4U+O59P2Ivgw98L4
O291/U0Vd3Z4krjwmsl6FYj7jJwdtpj/OJTCpeIw5Rtb/IwQZ4eV315WnHFQ
hqiLd3b4DwL9Sg7o4QMA2w6PgA==
               "]}], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {
               0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
               0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQB2IQ/Scm9+i/WW4OBlorhS+wqDp4nWC3ne3q5tDIcrTf
cLqqg+qT5nlnpdwc5ixS3vnnuKqD0CfH82lPXeH8tuXhp4z2IPhfNgRkz5ru
6vDz7esDlotVHWaCQKGrg2iP1yuWEFUHE2MgeO3icOFq2Bt9axWI/ikuDnc0
Zdf8b1Z2qIxYYXo22sUhNQ0IjinC+f9BoF4ezu+P6PZn3CDtwLJ4khVjq4uD
+ieVl7M6JRxOaFpNOn3exSHk7eWPMxaKOTg0PTo+g9nVgQEEHEQdcjh/Lkj3
hvIXiDgssNG5Mmsdgg827yyCb3HtaK7JB1eHB67xjrMuikDM/+7qEAQyn1HU
AeQtk4VuEPlCSYh/Z7o5KOxasC+VTxTivyduDiDvpKmJOkz5xhY/448bJByM
RR3WdN/OYOB3h/PBtDSC76payjTLAI0f4A43Dywe7e7wpi2320ha1OFifjz7
uUo0/kx3uHtg/BjVCJlzNdDwCXaHhxfYf/LuEH/sFIO7pw8U3gLicH4PmC8F
56fE3nFj3qHtIAJKH7zuDvW/rQrOvdB2kJh6hTPjFDB8IsS3X2zQhoTrDDeH
47t29LIFaDvsvNX1N1XezSEd5B82BH+DXt5ixhgthzMgUILg8/ivn5I6AcGH
pd/tII9IIPhmNnuDpiVqOqCnbwAwyCph
               "], CompressedData["
1:eJxTTMoPSmViYGAQAWIQ/Scm9+i/WW4OMaoRMuf2yDvA+Ae69zWZLJZxYACB
GW4O6p9UXs7SlHFoWx5+yqjFzaEnotufUUDaIeHwZe3USDcHYxC4LOGwwEbn
yiw+Nwe3NUeXM0SIO6zpvp3BcNwVzndTLWWa5YDGf+DikJ4GAtJw/kwQ6FSA
8zttPHelKSk7/AK5z8jVoeG3VcG5FSoQ9+xB8HUnLPhh+A3BNwE7zA1iXqQK
xLwMNweB2ID7RseVHepA6jrcHB64xjvOKlSG+x9mH4wPlv+o5IAeXgBpwIbD

               "]}], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4vrfVgXnFng73NaUXfOfWckBxj8DAjLKDjz+
66ekrvB20FWU/5IjpuKgP2HBD8Nt3g6Bt6RrEj+pOPR4vWIxqfR2MNBaKXyh
RdWhImKF6Vlnb4c5i5R3/jmu6nADqMyIFcHfope3mHGPF5yfngYCXg6iIINC
VB1+xOQe/cfl5fCqeKvo72wVB/NrR3NNFng6MIBAgrLDpw0B2bPSPR3ugNy7
WRHO/7Lv49Z0M3k4H2zsMQkHF9VSplk/PB3WCunwpduJOLAsnmTFeNQLzt9f
K2uRLuIN55cArT3d5g3RryYK8e80qPw9Ubj/RSonlZxNEXdY0307g2G5t8Ob
ttxuI2kJiH/yvB12BFtF/FcXd/A5wW4729bbYSYI7BRzmG+jc2UWG4Iv8snx
fFqsF5wfIb79IsM7TwcTYyC4LAXnh3OKtRv3K8D5sPi5v49vjrGVl8MW8x+H
UrpUHByaHh2fcRjBh9kH4/8HAX9vB6l5cZqnBVQccjh/LkjP9nbwWHN0OUOF
MsT8Msz0AOMDANTJ7PQ=
              "]], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
              4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKM2yeJIV41xfhzmLlHf+Oa7qoDNhwQ/DfT5w/ga9
vMWMKj4OxiAQrAznnwGBHnlU+csSDuURK0zPrvZxWCukw5duJ+LgqlrKNKvA
F863b3p0fEa0H5yfw/lzQTqzv8NMEIiUhPP/g4C9ApzvsebocoYKZYcI8e0X
GfL84O5Dd3/C4cvaqY2+DqcOO63N/KfioOD4MfkMrx+c73OC3XZ2qZ+D8rVH
wQxzlOD8GNUImXN75OB8BhBwkHQ4rmk16bS6n8MD13jHWRdFHVqXh58yWuML
58+10bkySwzBX/rCQ+//Rh+H9DQQkILz9+bXvJ05VQHOB6svVHYwAYXbbx+4
+9DdDwBFMa3C
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
              0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
              3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYCYt0JC34Yhvk7/Hz7+oClsopDyVbR36f7EPzy
iBWmZ08j+Bfy49nPXfR38FhzdDnDD2U4f29+zduZqUpwfk9Etz+jgBSc3wfm
izsIfHI8n3bW32EmCOwUc0g4fFk7daa/Q8jbyx9nLBRzMDEGgmB/hxjVCJlz
NQi+wq4F+1L5RB16vF6xmBz0d0gDATVRh/rfVgXnXvhD1BmLOlw/mmvSwB4A
53P8XJC+WQw33121lGlWSQDcfBgfZv+L7euZn/sEwN33hnefwUytAIj9x8Qc
gktUpv/XCHCouf/jlvFrBB/mfxj/vmu84yxFRTj/Pwj0K0Hc6x7g8AAkf1AZ
Yl8Ogl8JCv9mNP7kAAeVa4+CGXKUIebMD3D4sGi9wtkVSg7Srx+ZSW1A8EHR
+2xbgIOB1krhCy2qDs2BnnMb1gU4nNi1o5dtg6rDGRBYEOAwZ5Hyzj/HVR3E
PQL+SExG8NuXh58yqkHwwfYnQ/2fpuoQm3v036bgAIcNqk+a551VgfuvEhQe
1spwPsy++/v45hgrIcyba6NzZdY3fwjfXdXhSeLCaybL/R0Cb0nXJH5ScYCl
T5j56OkVAIBiN74=
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
              0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
              3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYC4scisiefXg9w+Pn29QFLZRWH9uXhp4y+IPgc
PxekbxYKhPO3ttRc2Cwa6OCx5uhyhh/KcP7e/Jq3M1OV4PyeiG5/RgEpOL8P
zBd3uHo016RBONBhJgjsFHOoXbctqf5ngEPI28sfZywUc0hPA4JrAQ4xqhEy
52oQfIVdC/al8ok6CH9yPJ/GG+gAEk5TE3Xo8XrFYqIY6GBiDAKiDosnWTH6
miD4YPuccfPB5i0MRDUfyIfZD3Z/ZSDcfTtvdf1NDYfaf0zMQd7xY/KZ0ECH
mvs/bhm/RvBh/ofx77vGO85SVITz/4NAvxLEvSWBDg9A8geh4TkTwXdXLWWa
tQGNfyDQQeXao2CGHGWHM2AQ6PBh0XqFsyuUHF5sX8/8/A6CH5t79N+mx4EO
BlorhS+0qDr4y4ll+d4OdDixa0cv2wZVSDycDXSYs0h555/jqg7g9LAfwQ8u
UZn+fwWCD7Z/AtT/aaoO2laTTtc3BDpsUH3SPO+sCtx/laDwsFaG82H2re6+
ncHgjzBP+vUjMykNKN9d1WF/raxFOkOgQ+At6ZrETyoOsPQJMx89vQIAC3I5
Aw==
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQXRmxwvSscbCD+ieVl7M6JRysda7MeqYZ7HCwe1+T
CbOkQ3CJyvT/P4IcTIxBQNzh+tFck4bnQQ5pIHBMzIHj54L0zccQ/Px49nOS
UxH8xyKyJ59mBznsCLaK+K8u4dAc6Dm3ISzIYb2QDl96nZSD9OtHZlIeQQ73
XeMdZwnKQMxzCnJIBRsg69Dj9YrFxDHIYW9+zduZogoO7qqlTLM2IPjdIPmn
CH6E+PaLDGzBDu5rji5n0FBw4ASZZxXs4DyhWSgtS8Fh962uv6nWwQ7/QWC/
gkP78vBTRjbBDvyxAfeNviP4K7+9rDjjoAjnrwW595+yQ2zu0X+bmIMd5ixS
3vnnuKqDd3Wzvs+6IDj/8GXtVMlJCD7Y/YVA/zs0PTpeoQpxXxA0fJ6pOOwE
uUc4yEEAZP9xZYf7+/jmGP8KdDgDAj5KcL5I5aSSs0vk4fwDoPhZLOOwtaXm
wmbWIIeeiG5/RgEpiHukghwYQMBBAmKORZDDTBDYKQqPD7B/7EQg8bUUwRf+
5Hg+7SCCD9Z3F2reAhGHF9vXMz//E+QQoxohc65G1KF23bakekFYehGD8BWD
HULeXv44Y6GYg7bVpNP1KsEONfd/3DJ+LeaAnt4AoecO6g==
               
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQvXiSFaPvjyAH/tiA+0bfFRzcVUuZZl0Icqi+/+OW
8WsFB+/qZn2ffUEOwpWTSs4+UXBQfdI87+wiBD8m9+i/TfUI/mMR2ZNPsxH6
OX4uSN/sFOQwEwQ4FeF89zVHlzNoKDnIO35MPuMa5LBWSIcvfZ0SxDz/IIfy
w9tcZ/oqQ/jxUP2RKg7aVpNO1zcEOZw67LQ285+KQ348+znJpQg+zL0w/uHL
2qmSl4IcniQuvGayXgXivvtBDlvMfxxK4VJx2PDw5dRNH4IcVn57WXHGQdkh
Qnz7RYZvQQ7/QaBfyQE9fAAhD5BX
               "]}], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
              0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIZIGYC4g0PX07dlBLssEEvbzFjjJbD1aO5Jg39CH6P
1ysWk7kIfnOg59yGRcEO2x2aHh2XQPDNbPYGTUvUhPN7Irr9GQWk4Pw+MF/c
YfEkK0bfBcEOM0Fgp5iDd3Wzvk9bsEPI28sfZywUczAxBoLkYIcY1QiZczUI
vsKuBftS+UQh7lsfDBE3xuS/4d1nMPMQgr+1pebC5qu4+TY6V2Y9UwyBmw/j
w+yfsOCH4bN/CPe92L6e+fkThPvB9j1C+A/Gh/kfxk+JvePGvEPboSJihenZ
28EO9b+tCs690HZ4sI9vjvGuYIcHEeLbLzZoO4SUqEz/Dwyf47t29LIFaDvA
4ic9DQjYEHxYfAAACHC6Og==
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
               0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
               1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQnQYCWqEO0aoRMudkJB3e8O4zmKkW6qCwa8G+VD5R
h47l4aeMIkIdTIxBAJN/5LJ2qmQSgm+jc2XWs1QEP6REZfr/ilAHsD1qog5N
gZ5zG2YhzIfxY0D214g5nAGBmlCHVgV21TNTxCDyWaEOIW8vf5yxUMxh562u
v6npoQ4Hu/c1mTCLw/kzQSBSEpXPqQjnG2itFL7QogLhu4c6zFmkvPPPcVWH
CQt+GD57FwLng/1zDsH/tCEge9b6EKh+VUj4TApx2OHQ9Oj4DxWI+qwQB58T
7LazTRH8D4vWK5xdoeQQKb79IkNdiEP54W2uM2uVHJ6IyJ582h7iUHn/xy1j
a2UIf3oI1P0qDleP5po0zA+Buxds3yEE36u6Wd+HC+EfmdePzKQ0Qh06bTx3
pS1SdoDFJ39swH2jckWI/+6FwMNDwiPgj0R5iMPKby8rzhQoQPznHeIgUjmp
5OwSOTh/vZAOX3qdFJwPNveYGMR9+SEODCCwQMQhJvfov02rEfzadduS6nci
+BB9UPOPiDhURKwwPXs6xCEIFJ+Mog7o6Q8AitMSaw==
               "], {{84.6625, 
               6.778130000000001}, {84.31720000000001, 6.289059999999999}, {
               83.56559999999999, 5.835939999999999}, {83.1, 
               5.835939999999999}, {82.6234, 5.835939999999999}, {82.2063, 
               6.27813}, {82.2063, 6.790629999999999}, {82.2063, 
               7.231249999999999}, {82.44529999999999, 7.64844}, {
               82.80309999999999, 7.874999999999999}, {83.1, 
               8.053130000000001}, {83.75630000000001, 8.22031}, {84.6625, 
               8.35156}, {84.6625, 6.778130000000001}}}], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
              0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4kjx7RcZ/oU6iFROKjm7RdkBxpfftWBf6jpJ
OH9HsFXEf3UxBwmPgD8S4mEODCCwQMTBRufKrGeBCP7OW11/U5MR/K0tNRc2
l4Y5rBXS4Uu/J+LgVd2s71MV5mBiDAKiDhMW/DB8Ni/MYSYI7BR3CClRmf5/
SpiD+ieVl7M6JSDmN8L0izs0BXrObSgLcwh5e/njjIXiEHsyEHyw+V4IPtj9
dmEOX/Z93Jo+TQLOr7n/45bxayk4H+b/mNyj/zbNR/Df8O4zmLkszOHUYae1
mf9UEPo/bQjIvoXgm9nsDZp2UBXOl5h6hTPjkJrDoklWjL4OYQ4vsrS/TZ+r
7pAGAm5hDgZaK4UvqGg6/GCLn+FjG+YwZ5Hyzj/pmg5rum9nMGiHObwu3ir6
m1vTQeb1IzMpkTCHye2tUZf3aDgcqJW1SP8T6vAfBOo1HDh/LkjfDIyfut9W
BedOqDtcPZpr0vA/1CEj/0PryRAEH2K/GpwfeEu6JvGTCiT8joQ6TAGZL4Pg
nwGBOYj0AAsPAHxL7qs=
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
               3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQ3bY8/JSRTbjDiV07etk2qDoIfXI8n2Ya7jBnkfLO
P8dVHZoCPec28EH57qoOqk+a5519FuYQeEu6JvGTioNXdbO+z74whw1gCQT/
59vXByyVVRze8O4zmHkLwS+IZz8n+RPBl3n9yEzqT5iDx5qjyxl+KMP5e/Nr
3s5MVYLzeyK6/RkFpOD8PjBf3MFG58qsZ0DzZoLATjGHJyKyJ5/eD3MIeXv5
44yFYg5nQGBPmEOMaoTMuRoEX2HXgn2pfKIQ93CGO5gYgwAmHxw+Mgh+gJxY
lq8+bv61o7kmDdXhcPNhfJj9mlaTTtdHhMPdBw5fu3C4+2HxAfMfjA/zP3p8
AQBha7vM
               "], {{92.3922, 13.4891}, {92.0344, 13.4891}, {91.725, 
               13.179699999999997`}, {91.725, 12.821899999999998`}, {91.725, 
               12.4766}, {92.0344, 12.165599999999998`}, {92.38130000000001, 
               12.165599999999998`}, {92.72659999999999, 
               12.165599999999998`}, {93.04840000000002, 12.4766}, {
               93.04840000000002, 12.821899999999998`}, {93.04840000000002, 
               13.1563}, {92.72659999999999, 13.4891}, {92.3922, 13.4891}}}], 
             
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
              4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKL21pebC5sQIhzmLlHf+Oa7q4FndrO/zKRzO7/F6
xWKyNNzBGASCleH8MyDQI48qf1nCoSCe/Zzky3CHtUI6fOl2Ig7XjuaaNHhH
wPnBJSrT/x9A8DcUZUx8KxLpMBMEIiXh/P8gYK8A53usObqcoULZ4f4+vjnG
pxDuRXf/YxHZk0+DIxxOHXZam/lPxeHwZe1UyVkIfqT49osM5yIclK89CmaY
owTnx6hGyJzbIwfnM4CAg6SDuEfAH4nlEQ4PXOMdZ10UdfjGFj/DJxPBbwr0
nNsgh+C3LQ8/ZfQm3CE9DQSk4Py9+TVvZ05VgPPB6guVIeEogHAfuvsBX724
BA==
              "]], 
             FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYCYoHmA6cWpkY5KOxasC+VT9QhY0/JZIkpUQ4m
xiAg6rC+KGPiWyR+wA651tcLEXyRde4Pq9bg5r9ffszb/CHCfBg/RjVC5lyN
GMS8g1EOIW8vf5yxUMzhPwgsj3KYCQI7xRxYwvh0Ny2NcjjYva/JhFkczu+J
6PZnFJCC8zttPHelLVKE818VbxX9na3isP/UQtdt1VEOcxYp7/xzXNWhBehd
VzUE36U75/lvTjT+z0iHF1na36bPhfJfRjo8SVx4zURfFeK+9ZEOZ0BgjjKc
f2LXjl62DaoQ/62MhJsnDnJQE5Tvruqw+UTZvvlRkQ6Bt6RrEj+pOKgZcqyR
MYp02KD6pHneWQT/59vXByyVVRzSQMAPwQfHRw6CLxOVYn0/P9LBY83R5Qw/
lOH8vfk1b2emKsH5sPCC8fvAfHEHIVD850bCwxsUPNuCI+HxcURhQ1GGYSQ8
vmB8WHxGAo3zT42EuFNN1CEQFJ+VkfD4B4dPP4K/Hpg8RJYh+EtmA03chdBv
c9+/d/o7hPkwPsx+/ySBCMszCPf9Wfnxku8mhPth8QHzH4wP8z+Mnw6yT0wJ
zv+waL3CWQ1lB5B1eY8iHUR7vF6xhKg4mHc6JjwViILzy18CY8gFwYflH3D6
U1KG88Hpw0fRAT1/AQDyIYZH
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQvWHu++XHPsc4qH9SeTmrU8IhYIdc6+uXMQ4Hu/c1
mTBLOsjo31Vh2xnjYGIMAuIOBRkT39Ysj3FIA4FjYg6yra8Dd7Qh+C1Arlwo
gj/FuTvnuXaMw45gq4j/6hIOHjxM2u1iMQ7rhXT40uukHJ4snX1EgSPG4b5r
vOMsQRkHEHcDU4xDKtgAWYe3y495mzPGOOzNr3k7U1TBoTZrT8nkAgS/dN98
Kf2lCD5QVoLlWIyD+5qjyxk0FByWgMz7FePgPKFZKC1LwYF9jUxUyu8Yh/8g
sF/BwTdJIMLyT4wDf2zAfaPvCP7Kby8rzjgowvlrQe79p+yw/9RC122HYxzm
LFLe+ee4qkPLAaBAHoKvasixRiYIwQe73xDof4emR8crVB1cgMHxWxAaPs9U
IO65HO0gALL/uLKDOEsYn+6uaIczIOCjBOeLVE4qObtEHs4/AIqfxTIOIO6m
o9EOPRHd/owCUg5/Vn685Hsr2oEBBBwkHFy2ff575Ue0w0wQ2CkKjw+wf+xE
IPGViuADQ6sooxHBF2gGenBuDMS8BSIO64uACWBPjEOMaoTMuRpRh61A4ysu
wtKLGIT/MMYh5O3ljzMWijmIrHN/WPUkxqHm/o9bxq/FHNDTGwB5mhLQ
               
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQvV2u9XXgjhgH/tiA+0bfFRxqs/aUTJ4Q41B9/8ct
49cKDi0HTi10rYtxEK6cVHL2iYJDh2PC0wtJCL77wyqRdfYI/hTn7pzn2gj9
S2cfUdjAFOMwEwQ4FeF89zVHlzNoKDk8/73y4yXWGIe1Qjp86euUIObxxziU
H97mOtNXGcKXh+qPVHHomZ4n1OwQ43DqsNPazH8qDi1A18ulIvGh7oXxVQ05
1shMinF4krjwmsl6FQeZqBTr+/NjHLaY/ziUwqXikCAQYbllQ4zDym8vK844
KDsAfS/Bsi3G4T8I9Cs5oIcPAKBAjZQ=
               "]}], 
             FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4rv+vdPzguIcFHYt2JfKJ+pg2umY8LQhzsHE
GAREHWrsTeN2NSL4sq2vA3f0IfgPqkTWuc/Ezd9TMlmC5RzCfBg/RjVC5lyN
GMS8dXEOIW8vf5yxUMzhDAhMiXOYCQI7xRzOK93+WTcpzuFg974mE2ZxOL8n
otufUUAKzu+08dyVtkgRzn9VvFX0d7aKQ8/0PKHmjDiHOYuUd/45ruoA8q6Q
MILPH2G55cS3WFT+s1iHF1na36bPhfKvxTo8SVx4zURfFeK+ObFQWhnOP7Fr
Ry/bBlWI/6YhzHtyAeigPCjfXdWhfqpzd457rEPgLemaxE8qDl/+Xql4KRfr
sEH1SfO8swj+z7evD1gqq0DC0RrBB8dHJIL/Qs2QY01MrIPHmqPLGX4ow/l7
82vezkxVgvNh4QXj94H54g7g+I+KhYc3OLwcYuHxMeEt0Eage2DxBePD4lMV
aJxMUKxDGgioQdNHWiw8/sHhU4Pg1wCTx8NJCH5BxsS3NcsR+tnXyESl3EaY
D+PD7JfRv6vCthPhvuNl++ZLzUe4HxYfMP/B+DD/w/jpIPvElOD8D4vWK5zV
UHYAWWd9PtZBtMfrFUuIigNLGJ/upr8Ivsu2z3+vGMTB+bD8A05/SspwPthc
H0UH9PwFAHsffPI=
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQbW8at8tTIMFB/ZPKy1mdEg79h75qxHAnOBzs3tdk
wizp8Pz3yo+XnsY7mBiDgLiDLUj9lXiHNBA4JubwJnCHXOtmBD8AyH3diOAn
CERYbomId9gRbBXxX13CQfTmue/BzvEO64V0+NLrpBzWF2VMfGsS73DfNd5x
lqCMQwmQW6Mf75AKNkDWYU/JZAkWvXiHvfk1b2eKKjj4mHc6JsxF8F26c57/
vojgdzgmPL3wKd7Bfc3R5QwaCg4WW06U7RNOcHCe0CyUlqXgkA0yUCTB4T8I
7Fdw6J2eJ9QM5PPHBtw3+o7gr/z2suKMgyKcvxbk3n/KDj0g/od4hzmLlHf+
Oa7q4A9SMBvB//L3SsXLOgQf7P44oP8dmh4dr1B14AcGxwk7aPg8U3EAqlYz
ZIh3EADZf1zZ4ckFpds/n8U5nAEBHyU4X6RyUsnZJfJw/gFQ/CyWcTgP5NZ9
inPoiej2ZxSQcjhetm++FHu8AwMIOEg4CDQfOLVQNd5hJgjsFIXHB9g/diKQ
+JqI4E94W2Nvug7Bvwvy4CmoeQtEHGpACeZlvEOMaoTMuRpRhxag8a7/4qHp
RcwBFPxK7AkOIW8vf5yxUMyhwJbr+mKOBIea+z9uGb8Wc0BPbwDZehPi
               
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQ3fI6cIfc03gH/tiA+0bfFRx8zDsdE/bGO1Tf/3HL
+LWCg3/v9Dyh1fEOwpWTSs4+UXAI5dPdNLcfwRdZ5/6wKgfBTxCIsNwSgdBf
kjHxbY1+vMNMEOBUhPPd1xxdzqCh5LDlRNm++UbxDmuFdPjS1ylBzLOJdyg/
vM11pq8yhO8D1R+p4hCRYn3fPzfe4dRhp7WZ/1QcAnbItb6eiODD3Avjf/l7
peLlvniHJ4kLr5msV3F4oWbIseZMvMMW8x+HUrhUHHTvqrA13o13WPntZcUZ
B2WHDseEpxcexTv8B4F+JQf08AEAvCuPJQ==
               "]}], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
              0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
              3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYCYn7dTXPfayc4/Hz7+oClsoqDuiHHGhkrBP+y
b5JAhCeCz6jdLnbTK8HBY83R5Qw/lOH8vfk1b2emKsH5PRHd/owCUnB+H5gv
7vBVI6b/ENC8mSCwU8zh9s+6rD02CQ4hby9/nLFQzMEYBIDuiVGNkDlXg+Ar
7FqwL5VP1GHp7CMKG9wSHNJAQE3U4Xvw46WzAxIcTMAKRR3mS+nfVYlC8MH2
JeLmJwtEWG6ZgDAfxofZvx9kYA3CfftPLXTdlg21/5iYw+e/VypeZiU41Nz/
ccv4NYIP8z+Mf9813nGWoiKc/x8E+pUg7q1KcHgAkj+oDLGvB8G3N43b5TkD
jb8gwUHl2qNghhxlh3SQO5YlOHxYtF7h7Aolh3DLLSfK1iH48U8vKN3emOBg
oLVS+EKLqkN3zvPfK9cmOJzYtaOXbYOqQ4djwtMLQP1zFinv/HNc1QGcHuYj
+L3T84SapyD4YPs7oP5PU3U47m3e6diQ4LBB9UnzvLMqcP9VgsLDWhnOh9lX
nDHxbU06wryPl4AJLATKd1d1AKpWM3RIcAi8JV2T+EnFAZY+Yeajp1cA+m03
eA==
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGCwBmIQ/fdKxUu1ykSHMyAwR9lh6ewjChuaEh0aWY72G05X
cXi//Ji3eWOiAwMIPFBxiN/lycPknegwZ5Hyzj/HVRzMOx0TntokOpw67LQ2
s07VAci7oKQPk1d16J2eJ9Qsg+DvP7XQdRs3gn/cG2jCjwSHwFvSNYlFqg7f
gx8vnf0iAW6fClvjVOfLCQ5T2lujLsuoOICca3giweGBa7zjrI9KcH754W2u
M2sV4XwDYyAolnf4qhHTf+hmgoNI5aSSsyyyDqeB1n/+muBwoHtfk8liGQft
drGb564nOLxpy+022i3p8B8EgPYdBMkzSzqoG3KskbmU4CAM0p8iAecr7Fqw
L3WdOJzvtubocoYIMQeQdV9vJDi0KrCrnpkiCnH/6wQHjU8qL2e9FIGoP5UA
Ce81Qg63f9Zl7TmS4FB9/8ctY28hB/Y1MlEp+xMc0tOAoE0Azp8zEwgk+eD8
F7WPs8/nsDpc9k0SiHgI9F+TzBSDy//s84WaD5wSTITzweq9EXywvRWJDtu8
NljMqeRwgPHPgmgeITg/RjVC5lyNqMMFJaAL0xId1grp8KXfE4eElzeCD4re
A3wI/mdQgvqVAOeDw/8jNL4KJeB8WHjD+NNB/ouUgtj/JQESD/elIOb/g4bX
G2kHUPT9ZUh0UAeFp6aMA9i/jIkOIW8vf5zhKOMwF5RgmROh8S/jcKJs33wp
9kSHVFB4psk4AFN3UQZnItQ+GQdQci/iQfD3z5fSvyuD4HMzAX1sCDNf1iFZ
IMJyi0MiJD0tkXO4cQ6YYgMTIfEnreDwe+XHS75RiQ7hnGLtxvyKcD7IOcbB
SnA+2D9nlBzA+S8SypdRhqSPMER+RM+fABP/sCo=
               "], {{
               136.46099999999998`, 10.4859}, {137.27200000000002`, 
               10.4859}, {137.82000000000002`, 9.817189999999998}, {
               137.82000000000002`, 8.804689999999999}, {137.82000000000002`, 
               8.02969}, {137.31899999999996`, 7.493750000000002}, {
               136.59199999999998`, 7.493750000000002}, {135.79399999999998`, 
               7.493750000000002}, {135.25599999999997`, 8.112499999999997}, {
               135.25599999999997`, 9.031249999999998}, {135.25599999999997`, 
               9.94844}, {135.69799999999998`, 10.4859}, {136.46099999999998`,
                10.4859}}, {{137.02200000000002`, 5.13281}, {138.369, 
               5.13281}, {138.83299999999997`, 4.859380000000001}, {
               138.83299999999997`, 4.084379999999999}, {138.83299999999997`, 
               3.05938}, {137.891, 2.29531}, {136.63899999999998`, 2.29531}, {
               135.60299999999998`, 2.29531}, {134.888, 
               2.9046900000000004`}, {134.888, 3.7859399999999988`}, {134.888,
                4.321879999999999}, {135.19699999999997`, 
               4.8109399999999996`}, {135.67299999999997`, 
               5.014060000000001}, {135.86599999999996`, 5.10938}, {
               136.19799999999998`, 5.13281}, {137.02200000000002`, 
               5.13281}}}], 
             FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGJ5IIaxWaBsBigfRjMjqWHGooZa6kkVp5Z7aO0vXOoB
MK4CWQ==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4gOnFrpu+57ocAYEfCQd5r5ffsz7faJDjGqE
zDkZaYcTZfvmS71OdGhVYFc9YyLjcNzbvNPxSaJDxf0ft4y75Ry028Vunjud
6CAQG3DfyF3ZAajbvPNkokMEp1i78Xplh/8gcDzRYYv5j0MpXCpwvsf+WlkL
dwR/Sntr1OU5Kg5XKl6qGZ5JdNig+qR53lkVB6DrPv+9kugg2uP1iuWKisPP
uqw9JY8TQc5nYHiA4M+YwF9l1q3qEG65BejkRIcdDk2Pjldg8lXYGqc6b0fw
wfavx82P3+XJw9SNMB/Gh9kf//SC0u2JCPexr5GJSpmd6GBmszdo2kEVB37d
TXPfz090OHXYaW1mnYoDcxif7qaliQ4fFq1XOLtCGeKe84kOJsZAcFnK4TTI
wzeh4T1F3OGrRkz/obuJDn0R3f6MBWIO34MfL50NDH+FXQv2pfKJOCwusOW6
fjvRIT0NCNQEHc6DFADNU/+k8nKWJ5fDbVAAHYDG7xlWB+7rQB2bEPzo/kNf
NdYg+JEp1vf9ge4rXF6y4V8/m0OHY8LTC/MSIeHynx3i35kIfrJAhOWWCYkO
X/Z93Jp+jQHi3+mJDi3itayZx/7bm8QBAwyoX6RJZorB5X/2MPNhfEZQAtqH
4MPCY8ZMILjJBPf/ge59TSbK3A6gYDLWTnJ44BrvOOujIiR+rZIg6UcGGr6O
SfDwB5vnnQSPnxvngAEUmgSPPxgfFr/g9GyeBI9/dH53zvPfKw0R/GSgd3q1
cfOBsbO4gBdhPowPsx8U/DHiCPeBw0spyWHOIuWdf45D5dWTHKTmxWmenoDg
X7ga9kbfGk1eQMUBZP10tSSHmeDwU3bgZgL6QDUJEr9zlB3Q8zsATTPXLA==

              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
              0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxdk31IU1EYxmd+pAU2xKYbul1379TQUJtapuVLFmIlRoZaaB/nMNcnSkhU
hGUGIsMsorLErCRUmCli/aExJdPKrERWWVqTCkzUdKWUWNg5984d8oX7x++e
e9/3PM95ThDK22lwlclkLuQB8iyROWoXhkafcG9joQpcwkoU77di0LTethju
KyG8uWqyNhZDA13/5AeJMXtbUwQMF7NMaS5yP4i3pZVdVzDu5JqOH3RfxBMI
btDarQR7fyqSf0NgyKUVAKR797YRBPO0bIyl9UAn99IaD/z/+7NqeP0r/cs9
wuL+1BqofEIGkv5ldH6TBl7c2fLwpx3BBW6prteqkfbvhp18ZGSu3u7B2Hh5
4kyikrF70dUkUyTjSE9zwJ4EDCE/hNGbzzWSPxsxTN5t5F56ciD6uXnBLw7i
Wp6dsIRgKE1Iac3t50BPi2eM5VlxLb6M2wqu+Lv5MKZy184imKL9Bzgg3apV
Y4w7Z0Kzy78jGFwVaJ531UKeT3FHzwwCec4O25pkHqicGKLv3Nz6/FehArRX
qyI+yjH0vckYj2gTpHU1hopLK07HLtcBpgcaxji7/PFM6DrGQ7OFhx8RfaLO
YQH4QfJiO4Ym3dfiW6kCDNTkb1iWhmF2YqwjjhdA8CAGpmM4Zfv9Qd/Gw596
koAMx//7eagj8kpzMAhvP6fLjvIwRfUec+y3TgAriUvWAcd8kw7o+ALSv8it
qzzKLxiiqZ/xjI00NlrGYu68MPR0bmo4VKgDGoe/0wjEeOUKQONTOYQkv7W8
xL0IMr0UJfp9QVK+nrJ89WmJ4G4E7SbL+egkNbhmeK9u7mJ5XeBkc1etrCLA
yWJeSlUwR/X3IJi22B8Yr/mD9eRocJQVOe+LeD+GkeQPrATi5ruaaUf+zb7S
+XliJ9PjydYwFv3QY+Do/fVWSOeRiR3zlLD4vv8DJG2umg==
              "]], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYCYgOONTJRd5Id/oOAvLIDjL9WSIcvXQ/B91hz
dDmDhbKDClvjVOfryQ4fFq1XONuh7LCnZLIEy6ZkB4mpVzgzHqk6zDmisKFo
RbJD/W+rgnMZmnD+j7evD1g668D5pjZ7g6Y16jtYbDlRtm8z1P54Q4j8jWSH
LeY/DqV0GcHtvy70yfH8MgTfvunR8RmrEfzDbcvDT21C8Bff38c357CRg2PC
0wtKt5Md1J80zzt7ysjhim+SQMRNBD89DQiuIfgp1vf9e3cnO/D6r5+SqmHk
cHqh67bPK4Hyb3n3Gfw0cFg6G+jAWckOLSAFT/Uh5k9PdhDp8XrFckUXzof5
F8Zn4eySTz6nBbEPqP8MCPRoOHSAFKxKdvj7rfTBnEI1h2SBCMste5IdQMrS
1FTg7gOHz3sluPthfJj/YHyU+PuH4MPiFwB3VOwU
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
              3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
              3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ1IGYCYotOx4SnCikOM0HgpKHDBaXbP+v0UhwMtFYK
Xzhi6HBEYUNRhmmKg/jUK5wZhwwdfgQ/XjrbIsXhPwisR/Drf1sVnOtA8GtB
/ApDB0btdrGbZikOpw87rc38Z+Cwp2SyBAuQ38hytN/wuoHDh+XHvM0VUxxq
Pm0IyL6l6QB2jwzUfHsNBwYQkIGar6HhMAfkIIEUh/NXw97oS2s4aBhyrJFh
S3E4AwI8GhDzWFMc3hRvFf3dre4QYbnlRBkfgg/2pybUvzPVHZIEgCpcEPKn
Frpu++yL4HcAnXPBD2G+DtA75+wR9juYxu3yBPrX7+LEmH/KGvDwAoefC4L/
KEJ8+8UFCP7k9taoy3s0HFjC+HQ3AfmPExdeM3mvAQ8fM5u9QdMYNR3OfQcG
qH+Kw+L7+/jmBBtC1AemOICMY1hn6HCibN98qeAUB/W3vPsMdho6pIFAHCK+
eqbnCTVnIOL3ii/Qx5kpDtxuqqVMXEYOM4DSB9LQ+F4pDsYgwGzkAPS90m1X
BL/Aluv6YgcEHxjanY4mKQ7eJ9htZ7MaOYC0n1JEmIeevgBTyQZ/
              "]], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4h/Bj5fOPpPi8OPt6wOWzjoOMH4Dy9F+w+26
Dld8kwQiTqY4bHdoenT8h76DRadjwtMdKQ7cbqqlTFyGDjcWF9hyLU9x6A8u
UZmub+RwCaS+N8VB/UnzvLOnjBzSQKALwQeb34Hgc6yRiUppT3Ho9nrFYnIQ
wT/ctjz81CYE3x5o/YzVCP51oU+O55cZOUyRYAnjA9q3US9vMWONkcOflR8v
+a6Cuqff0GHu++XHvHenOOyvlbVIFzGA82H+hfEDbknXJAppOhzzNu903JDi
sMX8x6GUU6oQ+e4Uhweu8Y6zCpXh9nusObqcwQLBXyukw5euh+D/BwF5BN8Y
BJiV4f4Hy79XgocPjA8LPxj/SsVLNcMVKQ6Z+R9aT5qoOOQJNR84tTPFwQhk
3mQ1iP9PQtXP14DH359vpQ/mbNRyQI9fAMMv6bc=
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ1IGYCYh4m7Xaxm8kOxiCwWcLhwKmFrtvuI/h7SiZL
sDxKdqi4/+OWMbe0w8dLvkkCT5IdQt5e/jgjUcZBZ9Pc98ufJTs8cI13nBUo
C9cfoRohc+6OrMNMELia7CC/a8G+VD05h5znv1d+PIXgnwYq/7wXwf8R/Hjp
7BXJDge69zWZPJZxmHNEYUPRDIT9YPmOZIedwVYR/90lIebXJjusFdLhS68T
hfPbFdhVz2wRhPNjQO6p4XH4qhHTf6gz2aFwecmGf+c5HM6AwAIEX/n2z7qs
DQg+9/XFBbb7kh3+g4A9l4OGIccamXNQfj2vA3vjVOfuO8kOs0H2WApA1N+C
ht9nAYcb574HPwb6/8u+j1vTpwk4/L1S8VLtYLLDdd7bYqnbeB0WSOnfVdmG
cB84fNcg+EDTc57PRvBTrO/7905OdpDZKDafKYEfzlf/pPJyVqcQnK8ACs88
MYceUIDPhYWvlAMots+tTob4u0faIeHpBaXbG5MdAkDxqSjjcAfo/T07kh1q
QOGdLePAEsanu+kggr90NjBCziH4sPTzpi2322i3NJy/BhQf96Qc0NMXAHHd
IVA=
              "]], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4lA+3U1zz6c6pIHAM3aHmP5DXzW2pDrcd413
nGUo4MB1fXGB7apUhzdtud1G1UIODqZxuzwXQNUfE4PwZ6Q6tCuwq54xkXLo
nZ4n1Dwl1aEFxL8iC+ev/Pay4swHBThf+dqjYIY3SnD9U9pboy7PUXFIsb7v
3zs/1SEhJEh9gaaagy3IAStTHfwuToz5p6zhYLHlRNm+zakOv96+PmDprOkA
cz9Yvae2gwHHGpmoE6kO9b+tCs690HZIEoiw3AJ0r8y8OM3TGzQdpkiwhPFN
THUws9kbNC1RwwHo25j+plSHGRP4q8y41RwKQBZWpDoE3pKuSSxScThwaqHr
tmKo+w8oofKB/oHxdwRbRfw/LuPwYfkxb/PaVIcv+z5uTf8mDvFPf6rDGRBY
I+xg0emY8HQOLDwFHHiYtNvFgP6LUY2QOWfDC3c/JD5YHdDjBwASBLx0
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
               0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
               1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQrXT7Z11WRJpDtGqEzDkZSYcLIIGwNAeFXQv2pfKJ
Osx9v/yYd36ag4kxCGDyj3mbdzqWIPgLpPTvqpQh+AdOLXTdVp/mkAYCaqIO
c44obCiagDAfxo8B2V8j5jATBBrTHFoV2FXPTBGDyFekOYS8vfxxxkIxhy9/
r1S8BJp/sHtfkwmzOJwP1hcpicrnVITzDbRWCl9oUYHw09Ic5ixS3vnnuKqD
ziagj6wQfK7riwtstRD8uF2ePEzSMP2qDr3T84SaedIcdjg0PTr+QwXi/x+p
Dj4n2G1nmyL4HxatVzi7Qslhwtsae1OmNIfyw9tcZ9YqOTgmPL2gxJ7mUHn/
xy1ja2UInx/mfhWHnOe/V34UQrgXbJ8Kgm/AsUYmygPBV2FrnOocnubQaeO5
K22RsgMsPvljA+4blStC/GeECI8ZQOMO/Et1WPntZcWZAgUHYOx8/vsi1UGk
clLJ2SVycP56IR2+9DopOB8cf8fEIO77lerAAAILRBymSLCE8Ummwfl8ukAL
5RF8SLynQcw/IuLAw6TdLqaZ5hAEik9GUQf09AcAJhwXOA==
               "], {{
               178.76299999999998`, 6.778130000000001}, {178.41699999999997`, 
               6.289059999999999}, {177.66599999999997`, 5.835939999999999}, {
               177.2, 5.835939999999999}, {176.72299999999998`, 
               5.835939999999999}, {176.30599999999998`, 6.27813}, {
               176.30599999999998`, 6.790629999999999}, {176.30599999999998`, 
               7.231249999999999}, {176.545, 7.64844}, {176.90300000000002`, 
               7.874999999999999}, {177.2, 8.053130000000001}, {177.856, 
               8.22031}, {178.76299999999998`, 8.35156}, {178.76299999999998`,
                6.778130000000001}}}], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
              182.378, 6.623440000000001}, {182.01999999999998`, 
              6.623440000000001}, {181.69799999999998`, 6.289059999999999}, {
              181.69799999999998`, 5.9312499999999995`}, {181.69799999999998`,
               5.57344}, {182.01999999999998`, 5.2406299999999995`}, {
              182.36599999999999`, 5.2406299999999995`}, {182.748, 
              5.2406299999999995`}, {183.08100000000002`, 5.5625}, {
              183.08100000000002`, 5.9312499999999995`}, {183.08100000000002`,
               6.289059999999999}, {182.748, 6.623440000000001}, {182.378, 
              6.623440000000001}}}], 
             FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4gJbruuL96Q7nNi1o5dtg6pDxsS3NfY70x3m
LFLe+ee4qkOeUPOBU0uhfHdVh1MLXbd9npjuEHhLuibxk4rDV42Y/kO16Q4b
VJ80zzuL4P98+/qApbKKwxKQBd0I/omyffOlZiP4YPvnpDt4rDm6nOGHMpy/
N7/m7cxUJThfpHJSyVkWWTjfHaxe2mHu++XHvKenOxzo3tdksljK4YLS7Z91
fekO6p9UXs7qlITY35zu0KrArnrGRMLh3Pfgx0vL0x00wPLiDnd+1mXtyUDw
OdbIRKVEI/hJAhGWWwLSHfoiuv0ZBSQcbO779073gtkv4RCZYn3f3zXd4U1b
brfRbkmIvFO6QzvYPmk4X37Xgn2pfrJwPiy8HROeXlCyR4T3AVAAayPCe6pz
d85zcUR4g93PjAhvGB8WnuD4EkTwp0iwhPEpIviHQBGkhAhvGB8W3jD+jmCr
iP/HZeD8B67xjrMKJR2Asad/VyXd4cu+j1vTv4nD3ZsGAsfEHLL2lEyWMEl3
cAOZHyEK9y8DCCwQcTAABXAEEv+uCltjJoIPjo+KdIeq+z9uGXuLOtxYDIxA
YPzFqEbInKsRg8c/zD0wPix+jnmbdzoC+WdAwEccnt4UQOHPJwpRvyXdwcQY
BEQh4bMVwZ8BCsBdCD7YPwdw84Gp40TZLYT5MD7MvR2gCD6V7hDy9vLHGQvF
IPGzN91hJgjshPoHmP8OgtIvszic3wP2j5QDev4EACT/mEU=
              "]], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
              192.57799999999997`, 6.623440000000001}, {192.22, 
              6.623440000000001}, {191.89800000000002`, 6.289059999999999}, {
              191.89800000000002`, 5.9312499999999995`}, {191.89800000000002`,
               5.57344}, {192.22, 5.2406299999999995`}, {192.56599999999997`, 
              5.2406299999999995`}, {192.94799999999998`, 
              5.2406299999999995`}, {193.28099999999998`, 5.5625}, {
              193.28099999999998`, 5.9312499999999995`}, {193.28099999999998`,
               6.289059999999999}, {192.94799999999998`, 6.623440000000001}, {
              192.57799999999997`, 6.623440000000001}}}], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYCYp1Nc98vD8twSAOBZ6wOGjH9h74WZDjMmQkE
kjwOHy/5JgnUZDjEqEbInLPhd1hcYMt1vT3DoVWBXfXMF0EHx4SnF5TmQ/lT
xByAujViVkPVy8jA+dX3f9wyfq0A56/89rLizAEliL3LMhwCb0nXJBapOMw+
orChaE6Gw4wJ/FVm3GoOpxa6bvvcm+Fw/mrYG/1oDYeSyRIsYXUZDtNB8qs1
HWDur/9tVXDuhbYD+xqZqBT/DIeEkCD1BZ7aDipsjVOdszMcJre3Rl220XRY
fszbvLM0w+HUYae1mXIaDifK9s2Xqoeq11RzWApyQFuGwxSQ+jkqDiDn9ndl
OChfexTM8EYJzge7/4MCnN8C8v8VWbj+dhDfRArCr4OG7zExhzMgUJLh8KYt
t9uoWsiBUbtd7GZWhsN913jHWYYCcPdD4oPdAT1+AIksvW8=
              "]]}, 
            Thickness[0.0050238633509168545`]]}, {
          ImageSize -> {398.0929912826899, 39.52181320049813}, 
           ImageSize -> {199.04649564134496`, 19.760906600249065`}, 
           BaselinePosition -> Scaled[0.26821463664500295`], 
           ImageSize -> {200., 20.}, 
           PlotRange -> {{0., 199.05}, {0., 19.759999999999998`}}, 
           AspectRatio -> Automatic}], None}, {
         Graphics[{
           Thickness[0.006683151774376796], 
           Style[{
             FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGIlIIaxWZDYzATYDFA+A4VqSNVLqpmkupNUe4nRS4ld
AKjmAn0=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJfIGYC4hkzQYDHYc4i5Z1/nms6fN33cWv6NX6H7Q5N
j45LaDmApSMFHWTmxWmeNoDyfwrB+Qq7FuxLfScO5z9wjXectVHK4XXxVtHf
3Jpwfguv//oprOpwvmiP1yuWKyoOHmuOLmewEIeIFyo79Ed0+zNuEITzYfbD
+NX3f9wyfi0A558BAR8BiDkVyg7ClZNKzrIIOKwV0uFL11N2UP+k8nJWp4BD
OKdYu/F9JQd5kHvXCTjwxwbcNzqu5BD89vLHGY6CDu5g/UoQ894IOqSnAYGY
EsQeQSGH8sPbXGf+VYSYWyfkcEdTds3/zYoOIiD7XKQdQkDmLBSHmN8n7cAA
Ag7iEHNvSEP03RNz+A8C8jIOGmB3iTl8AYV3mYzDm7bcbiNpMYc1IHX7ZCDu
WCPqAI4fS1lIOPOJQtXLO5gYg4Cow32Q+z4i+MrXHgUz2CjA+d02nrvSinDz
wdRnRbj5MH6MaoTMuRoxiD8MFKH+E4P445yCQw04HqD8OgVIPO0Ud6gCiWuL
QdzxRgni3msSDiu/vaw446AMsVdYChJ+zcoOKaBwXibtIAVKPwIqDgEgexTl
HAJvSdckflKB+/fn29cHLJXV4HxwempVh/OfJC68ZnJeEx6+kPSrDZE3E4Pz
wfYXi8L5YP818EHimw2Tv/zW8seGztxwvl2JY+1pGQ6cfK+t/seT277aw8yH
8c1t9gZNS9RyuPL72PV5kX/tj+/a0csWoOVQuLxkwz9+ZofnWdrfpttqQdMF
M9Q8BH+z+Y9DKVoacD4k/KXg/B3BVhH/1cXh5oG0px0Tg9sHiz9IvH+xh8Uv
jA+L/5ypCYUWxf/twfrVROHmwdJLs3gtayYbB5y/1WuDxZyfPHB+qwK76hkT
AQeYfkh+FIanLxgfZj843e8WgKcv3yeel0yFeeHuh5VPMP/B+DD/o5dfANnI
+aI=
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
               0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
               1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQPWMmEOzUdIhWjZA5JyPpcP5q2Bv92ZoOCrsW7Evl
E3WYs0h55x91bQcTYxDA5LewHO03LEfwfU6w286eiuCzcHbJJ+vpOKSBgJqo
Q82nDQHZVrpw82H8GJD9NWIOZ0DAR8ehVYFd9cwUMYj8Lm2HkLeXP85YKOZg
brM3aNpCbYeD3fuaTJjF4XyQN2ZGSqLyORXhfAOtlcIXWlSgfC2IP46rOrzI
0v42/a46nN8I8s91NTj/19vXBywfq0L1qzpcAIXPbxWHHQ5Nj47/UHEQiA24
b7RdGeJvUwT/w6L1CmdXKDnoKMp/yQlTcSg/vM11Zq2SQwuv//opS1UcKu//
uGVsrQzhq6pC3a/iIDH1CmdGkircvWD7qtXg/O0ge3dowPnu+2tlLZZrOnTa
eO5KW6TsAItPfpA7yhUh/otVh4eH7PIXHnryKg4rv72sOFOg4ACOpsNKDiKV
k0rOLpGD89cL6fCl10nB+eD4Oybm0A2y55GyAwMILBBx8L04MebfYVU4P/CW
dE2ikRqcD7Z3phrE/CMiEHcfUXMIAsUno6gDevoDAAZuBUQ=
               "], {{
               12.862499999999997`, 6.778130000000001}, {12.517199999999997`, 
               6.289059999999999}, {11.7656, 5.835939999999999}, {
               11.299999999999999`, 5.835939999999999}, {10.8234, 
               5.835939999999999}, {10.406300000000002`, 6.27813}, {
               10.406300000000002`, 6.790629999999999}, {10.406300000000002`, 
               7.231249999999999}, {10.645299999999999`, 7.64844}, {11.0031, 
               7.874999999999999}, {11.299999999999999`, 8.053130000000001}, {
               11.956299999999999`, 8.22031}, {12.862499999999997`, 
               8.35156}, {12.862499999999997`, 6.778130000000001}}}], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {
               0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
               0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQB2IQrfGWd5/BS2MHA62VwhdYVB1OH3Zam2ln7NDIcrTf
cLqqQ/1vq4JzL4wc5ixS3vnnuKpDpPj2iwx1CL5906PjM7QRfPGpVzgzHhk6
/Hz7+oDlYlWH9DQgmGboINrj9YolRNVhJgh0GjhcuBr2Rt9axaEBZM92fYc7
mrJr/jcrO/icYLedfVXPIRWk75ginP8fBOrl4fz+iG5/xg3SDjWfNgRkV+k7
qH9SeTmrU8LhYNvy8FNBBg4hby9/nLFQzGGL+Y9DKbsMHBhAwEHUgdtNtZTJ
yxDCXyDiULCm+3aGgBGcb1sZscLUF8FffH8f35zJRg4PXOMdZ10UcTgMMn+R
kUMQyHxGUYh7vhpD5AslIf59ZuygsGvBvlQ+UQdHUPhUmziAhNPURB1iFBw/
Jq8xcTAxBgFRB1CwmFxE8MHh8xLBP1Ara5EuYorKDzGFmwdWn2nq8KYtt9tI
WtThhtAnx/PL0PjPTOHugfFjVCNkztVAwyfKFB5eh0D++2QCMXenGNw9faDw
FhCH83vAfCk4PyX2jhvzDm2HCFD6OGcCTTfaEHEPE4cHIIkGbYg/Hhs7HN+1
o5ctQNth+QsPvf8fjSDhxobgb9DLW8wYo+VwBgTmGMP5/hcnxvy7jODD0u92
B2BASyD4ZjZ7g6Ylajqgp28AjAE3Kg==
               "], CompressedData["
1:eJxTTMoPSmViYGAQAWIQrfGWd5/BS2OHGNUImXN75B1g/APd+5pMFss4mBgD
wWNjB/VPKi9naco4ODY9Oj5jt7FDT0S3P6OAtMPXnbe6/qYaO4CUGV+WcChY
030744KRg9uao8sZIsQdur1esZg4Ivj7a2Ut0k0MUfklBg7paSAgDefPBIFO
BTi/08ZzV5qSMsR9koYODb+tCs6tUHGwB7lH2wjO7w8uUZk+H8EHmyNpDKEj
VRwOgMxrMXYQiA24b3Rc2cFAa6XwhSPGDg9c4x1nFSrD/Y9i30uo/EclB/Tw
AgAyuIMf
               "]}], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
               3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQvcX8x6GULguHE7t29LJtUHV4krjwmkm+hcOcRco7
/xxXdVhyfx/fnMvmEL67qoOB1krhCybmDoG3pGsSP6k4HGxbHn5qkpnDBtUn
zfPOIvg/374+YKms4uB3cWLMP2ZzOD9SfPtFhjoEn8dNtZSpy9zBY83R5Qw/
lOH8vfk1b2emKsH5PRHd/owCUnB+H5gv7tDj9YrFpNHcYSYI7BRz0HjLu89A
0twh5O3ljzMWijmcAYEeM4cY1QiZczUIvsKuBftS+UQh7tln7mBiDAKYfHD4
cFnA+deFPjmeD8PN/7QhIHtWuyXcfBgfZr9j06PjM35bwN23GBS+ky3g7ofF
B8x/MD7M/+jxBQACjLzO
               "], {{23.9922, 13.4891}, {23.6344, 
               13.4891}, {23.325000000000003`, 13.179699999999997`}, {
               23.325000000000003`, 12.821899999999998`}, {
               23.325000000000003`, 12.4766}, {23.6344, 
               12.165599999999998`}, {23.981299999999997`, 
               12.165599999999998`}, {24.326599999999996`, 
               12.165599999999998`}, {24.6484, 12.4766}, {24.6484, 
               12.821899999999998`}, {24.6484, 13.1563}, {24.326599999999996`,
                13.4891}, {23.9922, 13.4891}}}], 
             FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4qUvPPT+b7R3OLFrRy/bBlWHq0KfHM9Ps3eY
s0h555/jqg5TJ/BXmf22g/DdVR1iFBw/JsfYOQTekq5J/KTioPKked7ZXbYO
G1RBDAT/59vXByyVVRzsmx4dn6FtB+f7nGC3nb0UwYfYb+fgsebocoYfynD+
3vyatzNTleB8kcpJJWdZZOF8d7B6aYd6lqP9hu12Dge69zWZLJZykJgXp3na
wc5B/ZPKy1mdkhD7X9s6tCqwq54xkXDgcFMtZeqyddAAy4s7HGhbHn5KCMFP
ib3jxrzCBs4Xn3qFMyPIxqEvotufUUDC4c+30gdzFG2g9ks4NIDs/27t8KYt
t9totyRE/qG1QzvYPmk4X37Xgn2pfrJwPiy8v+y81fX3qDU8vLeY/ziUomUN
D+8NenmLGXus4OHNA3L/K0t4eMP4sPCcDoqvaCs4/wZQm9FVBL/H6xWLyUMr
eHjD+LDwhvF3BFtF/D8uA+c/cI13nFUo6bDk/j6+OZ+tHL7s+7g1/Zs43L1p
IHBMzOF5lva36bnWDm4g8yNE4f5lAIEFIg79wSUq0/tt4Pza31YF5yRs4Xxw
fEyydai6/+OWsbcoxP1PbR1iVCNkztWIweMf5h4YHxY/JVtFf59eZ+dwBgR8
xOHpTQEU/nyiEPWF9g4mxiAANb8UwT8Csn8Rgv8U5J+zuPnm147mmgQ4wM2H
8WHunQkCgg4OIW8vf5yxUAySn3bbQ8R3wvxj73AQlH6ZxeH8HrB/pBzQ8ycA
wBWfgQ==
              "]], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYC4vk2Oldm7XNwEKmcVHKWRcYBxn/TlttttFvC
YfkLD73/Ox0czoCAj7iDvOPH5DNroepTRB1uStckGv11cGhVYFc9M0XEwVW1
lGmWhaPDWiEdvnQ7EYfiraK/T9ch+GDz3Zzg/Cnf2OJnXHGC6heH80PeXv44
w1EGzo9RjZA5t0cWYt4xJ4cWkPorcg4X8+PZz610clD/pPJy1kl5h/v7+OYY
Nzk5nAW5t0bB4bim1aTT/k4OqWlAcEzBYSYInIS6R0/RYX+trEW6j6PDfxDo
V3QwBgFlR4g6TiU4v9PGc1eakjKcL9rj9YolRAXi3whHh1OHndZm/lOBhM9W
BH+jXt5iRhknOB/s3kwnh4bfVgXnNBB85wnNQmlcynB++eFtrjNrlSD+n4Lg
R4hvv8gwzcmBAQQeKDt83hCQPWu6k0PgLWBEFKk4tC8PP2U0x8nhSeLCayb6
qhD3ejs5vMjS/jZ9rirEvyJODnMWKe/8c1wV4t6rjnA+OJ5VEHwe//VTUnc4
OKTE3nFjrlCB88HmBivB+bDwBKeXm1B+nIKD+bWjuSYKjtD4k3dIOHxZO9XT
ERJfmtD4muUIiZ80OYh+RieH3ohuf8YNsvD08mXfx63pZrIO9k2Pjs9IhqYX
Exk4Px2sXwrONwG577K4w85bXX9TxZ0cDnbvazJhFnP4HZN79N8qRzjfAaTe
GsEHh88bBweFXQv2pa4Th/N7QO4RkILz0fMLjA8ARH1dVg==
              "]], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
              4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKH0xP579nKabw5xFyjv/HFd1+BOTe/SflyucX/fb
quDcBhcHYxAIVobzz4BAjzyq/GUJB1fVUqZZFq4Oa4V0+NLtRByEPjmeT/uL
4PP6r5+S+sINzre4djTXZIK7w0wQiJSE8/+DgL0CnO+x5uhyhgplB9UnzfPO
/kK4F939ehMW/DDkc3M4ddhpbeY/FYc3vPsMZs5C8CWmXuHMYHJ3UL72KJhh
jhKcH6MaIXNujxyczwACDpIOU76xxc/Y4ubwwDXecdZFUYeQEpXp/y0Q/BzO
nwvSF7vC+SVbRX+ftnN1SE8DASk4f29+zduZUxXgfLD6QmWIPR2ucPehux8A
KqeyWQ==
              "]], 
             FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIIaxWZDYzFDMAOUz4BEnlU2MOchqSFVPLbcRYyYA
kW8CJQ==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJdIGYCYh7/9VNST3g6/PlW+mDORm0H82tHc01WeDpI
TL3CmfFI2yFCfPtFhmmeDhn5H1pPftF2uL+Pb45xE4Lf4/WKxSQQwa+MWGF6
VtrT4QwI9Gg7iIPM+eUBlddyuJQfz35uoYeDmc3eoGmJmg7eJ9htZ5d6OCTH
3nFjnqEBkU/0cGjhBTqsVR3OD7wlXZP4SRWNr+IAdv8PdwcfkDmmCH4Ep1i7
8XpluHqB2ID7RscR/J6Ibn9GASk4vw/MF3e4CTTWKNbDYSYI7BRz6Ab5T9PD
IeTt5Y8zFoo5/IrJPfrvkbtDjGqEzLkaBF9h14J9qXyiDg5Nj47PqPZwMDEG
AUw+zP8w/n8QOI6b76ZayjQrwRNuPowPsx8cvlKecPelgcAzhPuXv/DQ+/8Q
4T8YH+Z/GB8WPk8SF14zme8J518AuXelp8OMCfxVZtyqcPWw8Ifxd4A8+kMN
zm9gOdpvuF3TQd7xY/KZrx4O5uD41oKkCx9POB+cvsoQ/MTDl7VTJ3pC9JtD
5bd5ws2DpdcNenmLGe8g+LD0CwDgWzYJ
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
              0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYCYp8T7Lazr3o7iFROKjm7RdkBxpfftWBf6jpJ
OH9HsFXEf3Uxh+OaVpNOs/s4MIDAAhEHkU+O59NqEXwe//VTUhcg+CyLJ1kx
HvVxWCukw5d+T8RBd8KCH4bnfBxMjEFA1GHHra6/qeK+DjNBYKe4g0PTo+Mz
mH0d1D+pvJzVKQEx/y5Mv7jDXBudK7OO+TiEvL38ccZCcYcZIH0rEXyw+XkI
Ptj9oT4OX/Z93Jo+TQLOr7n/45bxayk4H+b/kBKV6f8lfOH8kq2iv0+r+Tqc
Ouy0NvOfCkL/pw0B2bcQfDObvUHTDqrC+RJTr3BmHFJzuLuPb45xlI/Diyzt
b9PnqjukpoGAj4OB1krhCyqaDu3Lw08Zhfg4zFmkvPNPuqbDF6Cxs/R9HF4X
Ay3m1nS4kB/Pfo7Rx2Fye2vU5T0aDuIgcy95O/wHgXoNhzXdtzMYrns71P22
Kjh3Qt3BRbWUadYNb4eM/A+tJ0MQfIj9anB+4C3pmsRPKpDwS/R2mAIyXwbB
PwMCcxDpARYeAPk58ZA=
              "]], 
             FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+PjEcakhVT2p5tDTLlLNBADS
cwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYCYnnHj8lnbH0dNujlLWaM0XLI4fy5IH0ygl+y
VfT36XUIfsLhy9qpO30dtjs0PTougeCb2ewNmpaoCef3RHT7MwpIwfl9YL64
wxkQ2OLrMBMEdoo5hJSoTP/f4OsQ8vbyxxkLxRz218papNv4OsSoRsicq0Hw
FXYt2JfKJ+rQujz8lNESX4c0EFATdRD45Hg+7ayvg4kxCIg6zACZ+xPBB/tP
1Q/OX9N9O4PB3w+uH+y/bX5w82F8mP1LX3jo/S/0g7tPZ8KCH4Z2fnD3g+2z
9IP7D8aH+R/GTwfZJ6YE539YtF7hrIayQypIfJ6fg2iP1yuWEBVI+P9G8MHq
E/3hfHD4LfF36LTx3JWmpAzng2kfRTgf5p8X29czP2cIgPt/a0vNhc2MCD7I
us18CP53tvgZPpK4+ZHi2y8y+AXAzYfxYeEFNk8vAB5eYPeIBMDDqznQc26D
UIDDwe59TSbM4nA+LLxgfLD/FinC+a+KgRGTrQJJLxf8HeYsUt7557iqgy4o
PtQQfJ8T7Laz3/qh8s/6ObzI0v42fS6Uv9bP4Uniwmsm+qrw+AC7c44ynJ8S
e8eNeYc2JN3r+DnU/7YqOPdCG0r7OjyIAHq8QRsSf9t8HY7v2tHLFqDtAMtP
4PhmQ/Bh+QcAk4tu3g==
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQvab7dgbD8kAH9U8qL2d1Sjjkx7Ofk5wb6HCwe1+T
CbOkQ/vy8FNGOYEOJsYgIO7A+XNB+uaoQIc0EDgm5mCtc2XWM0sEf/EkK0Zf
DgRf3CPgj8T9AIcdwVYR/9UlHLa21FzYfDLAYb2QDl96nZSDv5xYlu/uAIf7
rvGOswRlIOZtDXBIBRsg67C/VtYifUuAw978mrczRRUcKiNWmJ5VDoTzwfIR
CH631ysWk8pAB/c1R5czaCg42IDMWxvo4DyhWSgtS8HhLe8+g5nrAh3+g8B+
BYedt7r+pq4PdOCPDbhv9B3BX/ntZcUZB0U4fy3Ivf+UHSYs+GH4rCzQYc4i
5Z1/jqs61K7bllSviOB/Z4uf4cOK4IPd9wTof4emR8crVCHuOxoACZ9nKg5v
QO5pC3AQANl/XNlB+JPj+bTcAIczIOCjBOeLVE4qObtEHs4/AIqfxTIOL7av
Z35eEeDQE9HtzyggBXFPb4ADAwg4SED8uTrAYSYI7BSFxwfYP3YikPiSCITz
3VVLmWaZIPhgdwQEQsxbIOIg/fqRmVRBoEOMaoTMuRpRhw0PX07d1AJLL2IQ
/pRAh5C3lz/OWCjmEJt79N+m6YEONfd/3DJ+LeaAnt4AIzMVoA==
               
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQff1orklDdqADf2zAfaPvCg6VEStMzzoHOlTf/3HL
+LWCQ+26bUn1hoEOwpWTSs4+UXCIEN9+kUEMwe9f8MPw2acAOF/cI+CPxP0A
uH5rnSuznm0NcJgJApyKcL77mqPLGTSUHIJLVKb/3xHgsFZIhy99nRLEvEMB
DuWHt7nO9FWG8C9B9UeqOMTmHv236XOAw6nDTmsz/6k4LJ5kxegrEQjnw9wL
439ni5/h4xro8CRx4TWT9SoQ9wUHOmwx/3EohUvF4bGI7MmnyYEOK7+9rDjj
oOzQ7fWKxSQz0OE/CPQrOaCHDwBOxI/G
               "]}], 
             
             FilledCurve[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGCwBmIQ7VndrO8jFOJwBgTmKDsIfXI8n6Ya4tDIcrTfcLqK
QxoIKIU4MIDAAxWHCPHtFxm2BTvMWaS8889xFQcFx4/JZ2YGO5w67LQ2s07V
wRtkXh1MXtUhpERl+v8IBH/nra6/qeYIvrbVpNP1AsEOgbekaxKLVB16vF6x
mHwMgtvXHOg5t+FYkMOU9taoyzIqDvtrZS3SNwQ5PHCNd5z1UQnOLz+8zXVm
rSKcb2AMBMXyDleP5po0XA5yEKmcVHKWRdbhsYjsyafcwQ4Huvc1mSyWcfi8
ISB71vkghzdtud1GuyUd/oPA8SCHgyB5ZkmH9uXhp4yOBDkIg/SnSMD5CrsW
7EtdJw7nu605upwhQszBRufKrGcXgxxaFdhVz0wRhbj/W5CDxieVl7NeikDU
bwmChPcaIYfadduS6lcGOVTf/3HL2FvIQfVJ87yz84Ic0kHh3iYA58+ZCQSS
fHD+i9rH2edzWB04fi5I3/wI6L8mmSkGl//Zg/3jHAzng9VvQ/BBxswUDHHY
5rXBYk4lhwOMfxbkHh4hOD9GNULmXI0oJP7eBDusFdLhS78n7vAFZP52BB/s
flsEXx6UHkQRfHD4MwdD4qtQAs6HhTeMPx1kb6QUxH7OYEg83JeCmC8bDAmv
N9KQ9KcU7KAOCk9NaPwpBzuEvL38cYajjMMb3n0GM9WCofEv43B/H98cY71g
h1RwQpaBhJ8RzD4Zhxfb1zM/t0Dwt7bUXNgcieA/AOlvgpkv6yACyh8LgyHp
aYmcQ2XECtOzh4Mh8Set4OCuWso060qwQzinWLsxvyKcD3KOcbASnA/2zxkl
B3D+uwTlyyhD0seZYHh+RM+fAME7pIM=
               "], {{76.9609, 10.4859}, {
               77.77190000000002, 10.4859}, {78.32030000000002, 
               9.817189999999998}, {78.32030000000002, 8.804689999999999}, {
               78.32030000000002, 8.02969}, {77.81880000000001, 
               7.493750000000002}, {77.09219999999999, 7.493750000000002}, {
               76.29379999999999, 7.493750000000002}, {75.7563, 
               8.112499999999997}, {75.7563, 9.031249999999998}, {75.7563, 
               9.94844}, {76.19839999999999, 10.4859}, {76.9609, 10.4859}}, {{
               77.52190000000002, 5.13281}, {78.86880000000002, 5.13281}, {
               79.3328, 4.859380000000001}, {79.3328, 4.084379999999999}, {
               79.3328, 3.05938}, {78.3906, 2.29531}, {77.13909999999998, 
               2.29531}, {76.10309999999998, 2.29531}, {75.38749999999999, 
               2.9046900000000004`}, {75.38749999999999, 
               3.7859399999999988`}, {75.38749999999999, 4.321879999999999}, {
               75.69689999999999, 4.8109399999999996`}, {76.1734, 
               5.014060000000001}, {76.36559999999999, 5.10938}, {
               76.69839999999999, 5.13281}, {77.52190000000002, 5.13281}}}], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
              0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIZIGYCYq/qZn0fuxCHDXp5ixljtBwK4tnPSWYi+KpP
muedLUPwZV4/MpOqCXHY7tD06LgEgm9mszdoWqImnN8T0e3PKCAF5/eB+eIO
NjpXZj2rDHGYCQI7xRyeiMiefBof4hDy9vLHGQvFHM6AgE2IQ4xqhMy5GgRf
YdeCfal8ohD3dYY4mBiDACa/bXn4KaM5CH6AnFiW73rc/GtHc00afiPMh/Fh
9mtaTTpdfwPhvqZAz7kN+xDuB9u3B+E/GB/mfxg/JfaOG/MObQehT47n07aG
ONT/tio490LboTJihenZySEODyLEt19s0HZ4w7vPYGZViMPxXTt62QK0HWDx
k54GBGwIPiw+AMfHsig=
              "]], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
              4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKL21pebC5oehDnMWKe/8c1zVwbO6Wd+nCMHv8XrF
YqIa6mAMAsHKcP4ZEOiRR5W/LOFQEM9+TjIz1GGtkA5fup2Iw7WjuSYNpxH8
kBKV6f8dwuD8F9vXMz+fEuYwEwQiJeH8/yBgrwDne6w5upyhQtnhwT6+OcZe
YXD3obv/iYjsyaeXQx1OHXZam/lPxeHIZe1USakwOD9SfPtFBr8wB+Vrj4IZ
5ijB+TGqETLn9sjB+Qwg4CDpIOER8EdCPczhgWu846yLog7f2OJn+LwMhfOb
Aj3nNsxD8NuWh58yygl1SE8DASk4f29+zduZUxXgfLD6QmVIOE5AuBfd/QCe
hrZb
              "]], 
             FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGJtIAaxQYAJSjNCxZiR+PjEcakhVT2p5gxm9ww2u4ix
FwCf5QKP
              "], CompressedData["
1:eJx11G1IU1EYB/DrC5ZB0tvmtGnq3ZWswEQJW314RCwTpSnj3rOwTGkahtkH
i6iZkX1Kq2VEOlRUAv0wciiZGi1D7MW3CsNAI1eaoDbKQaJg2s5155wWeOB+
+H05z3n+9zknMq84y+jHcZyP+xPdn6/7u5F5rO56twhLzrmeg7wGhKny+qFR
5oWAnOr038yPqrQ+GYsipFr7mrlFnvp5sclZY4yirkQVx322hFLfkR0MKPjp
B25BhBq8upSgnvt2IPSzCHrnyHx1oxL0JZqHq50iZAtIPWxijuhusBuDFOCw
B9XG+0qQEI+XAvZoqwbK/JkP7/tomQ5h1oUrCzNimVWpumVVsgT5eEUrwPZ1
5kFbiUT3Jyb1jwgXfS16iZ4vcKmhoF0r0fP3lIYlFiRKtD9i0j9xAa6njKL+
1dQaMbSbh2icd6EEisq0WX+9BmJwP9XMT26a3re/ZDbg/L5IMIiXmvd2eiQ1
qU9Mzpdd1LfSNs7OT/Yn/Tk32/fX1LP+iUk+5obFuOlZluf/luutMBfnbBgO
2YrW9XZX0rv8k4juT0zqp10tj03XInq+JjxPEYieX64Xjmh/xF79u03yJyb5
v8D/Q4dovhN4vq4xd43d+mNsZnbZdOcsvYjm72V3/sSkn96RvcYQF+v3Ls7r
H0/uCHv7fZX5/Lbynv5Aw7puq/vZ/CrZQPcnJnmpT5w5NLHLQPN6VnJf5R9g
YPPa35jS4Wdg8+oxnVePHSk5SZb5SGobfhgyPHl8QlDbxHctvxYAx5Jwj1l+
Ty4xy/meRhBafypmwCzARnx/shBM5TaOJsQK0IrvmwpBy8LM5UEzv/Z/OeR5
b4S1+++Q6H7y/bEyy++HmVm+T1ckWu8Cnrciidbzun8tPPWb7s7bATYBSh93
5JXFsf1+4Pnf5PFRAawV42e5SREyx3aacl0aIO+nnM8QM3kv/wKO2DxQ
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQXZ+1p2TygigH9U8qL2d1SjjIt74O3DEtyuFg974m
E2ZJh+e/V368lBrlYGIMAuIO9qZxuzxDohzSQOCYmMObwB1yrcYIfgCQ+5oR
wU8QiLDcciPSYUewVcR/dQkH8ZvnvgcfjnRYL6TDl14n5bC+KGPi2y2RDvdd
4x1nCco4lAC5NesjHVLBBsg6AF0nwbIu0mFvfs3bmaIKDj7mnY4JslFwvkt3
zvPfgQh+h2PC0wtFUQ7ua44uZ9BQcCgAmbc8ysF5QrNQWpaCw5WKl2qGK6Ic
/oPAfgUHGf27Kmwroxz4YwPuG31H8Fd+e1lxxkERzl8Lcu8/ZYee6XlCzQVR
DnMWKe/8c1zVwb8XKCCN4H/5C7ThXyScD3b/PaD/HZoeHa9QdeAHBseJfZGQ
8HmmAnFPQ6SDAMj+48oOTy8o3f6ZFulwBgR8lOB8kcpJJWeXyMP5B0Dxs1jG
AcStK4p06Ino9mcUkHI4UbZvvlR7pAMDCDhIOAg0Hzi1cGmkw0wQ2CkKjw+w
f+xEIPElGAXnT3hbY2+qh+DfB3nQKwpi3gIRhxpQAsiMcohRjZA5VyPq0AI0
3rUOll7EIPy+KIeQt5c/zlgo5vCgSmSd+8Qoh5r7P24ZvxZzQE9vAJHNFYw=

               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQ3fI6cIdcapQDf2zAfaPvCg4+5p2OCbZRDtX3f9wy
fq3g4N87PU9IO8pBuHJSydknCg7hfLqb5vIj+CLr3B9WvYmE8xMEIiy33IiE
6y/JmPi2Zn2kw0wQ4FSE893XHF3OoKHksOVE2b75myId1grp8KWvU4KYtyfS
ofzwNteZvsoQ/hmo/kgVh4gU6/v+byMdTh12Wpv5T8UhYIdc62vBKDgf5l4Y
/8vfKxUv7aIcniQuvGayXsXhhZohxxqfKIct5j8OpXCpOOjfVWFrjI1yWPnt
ZcUZB2WHDseEpxeSohz+g0C/kgN6+AAAV1WNQg==
               "]}], 
             FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGI1IAaxQYAJSjNCxZjR2DA5dDXI4rjYpKrHpZcY95DK
ppabKTGTVHfiEgcA+NYCcw==
              "], CompressedData["
1:eJxllGlIFVEUx91aMQv1Ta98mvV8u2aZGWHhX8peC6amlDl3zDUlcsFsEyly
ydQ+WEm2mqZhQaSE5kKZRRtpognR8sFcokytrNCkoObO6AzVgfvhx9x77rn/
8z+zMCZlS7y1hYWFJb828cuKX5l+yyObBljYzChYEJtshOub8UO7HAlWrLqz
5XS0Ec65gyENWoKaxckVlsSIx/uaL833JCgpmp3hY5K5OC83ouu2QeILl9WN
vxIMSLydfkrpTrDEeM2ho1KPehc+oZ7Pp+nPLh3Wob9j0ZvxTyx0X90Gzhmc
cMw/6l1HL4u3ATv8z3UyeJvheMPcw+IsjUZG/H6fhZ7uz2cwFNLgklvBwvHg
yfRncQyOlyTbZ5excG0qa463U4jcwmLoaFKhl5NCfF8/C+9lNBTIpOm/yryX
lj+FSHxdFRHnG0SkfFzTBlurWJnD43y7g+KJdD/d3u1HpPoUr9rHQk0EYcNd
I2fKGfF+N4J7hc1Z3tZzJf7ePFKXMCqzg5BPKdajIRDK6VIiNfHEcKaOoIWe
r5gn6plIUE31TNJLfIbqdVCPwJg54St3EyiOb/xo810vvieFwEforwFR/Ofa
VILg106Z0ScN+HVt5HlgmtzPsdC+K+fTCdpo2BpRef6Ba00Bgao00tC6xIhg
Xv7BswTvd5lGS1Ybsd7WypR3Q+bl+XzDvsi8f0C7dLojh3fR5S+8gwwSD+2p
U/ws1Eks+MesEfv3cuL+C2p8rnq0aUW+zGF2HjcvJsg82Q/BL9vVoj9aCeJ3
0nAW+9pHQDThqnaVE9yo3ipO6qfg982c1P/qNF7wMO5vf3AyU3vbRMos6JnI
QbhOO+Gf/XJ+Kg9z5H9ed/1hlUU4g9on/ADFcMh1naZpK2Yw12arnUcEN+EP
RpyntRzMdP8PJcw9/IDUE6wpyrbfOVMNYZ57COZwwd1eZjXc8xjegQRXRwcO
tBWpxTodOPRT/T3dkE795DfJGnF+t3FwqfqwfvFhrcTCuW86iX8LYUBOy9Py
AC2HnFlB1cUak+i7ToJ6ZPU+VprE9+8gSKB6TDXhLr/9VqjMgn7rZBb6P8RK
5//9P/0BW4HvQw==
              "]], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYCYoHmA6cWusY7pIHAM3YH2dbXgTv44h3uu8Y7
zjIUcKgRWef+8Fecw5u23G6jaiGHJxeUbv98FgdRf0wMwr8W59CuwK56xkTK
oWGqc3fO+TiHFhD/iiycv/Lby4ozHxTgfOVrj4IZ3ijB9U9pb426PEfFQfeu
Clvj0ziHhJAg9QWaag4PqoAO+Bnn4HdxYsw/ZQ2H6+e+Bz/mjXf49fb1AUtn
TQeY+8HqPbUdjpftmy9lHu9Q/9uq4NwLbQeddrGb557HOcjMi9M8vUHToWd6
nlDziTgHM5u9QdMSNRzeBO6Qa10d5zBjAn+VGbeag/tDoIXT4xwCb0nXJBap
ODz9vfLjpV6o+w8oofKB/oHxdwRbRfw/LuPgsu3z3ysL4hy+7Pu4Nf2bOMQ/
R+MczoDAGmGHKxUv1QwfwMJTwKE2a0/J5B9xDjGqETLnbHjh7ofEB6sDevwA
AIiTz1k=
              "]], 
             
             FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
               0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
               1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQHcqnu2mudoJDtGqEzDkZSQfmMKCAZoKDwq4F+1L5
RB0uKN3+WeeU4GBiDAKY/J91WXtK3BH8y75JAhGeCP7nv1cqXgYlOKSBgJqo
w/nvwY+XJiPMh/FjQPbXiDmcAYGQBIdWBXbVM1PEIPLeCQ4hby9/nLFQzEHd
kGONjFeCw8HufU0mzOJw/kwQiJRE5XMqwvkGWiuFL7SoQPhWCQ5zFinv/HNc
1SH+KdBHvAh+jcg694e/4uF8FaB3s+7EQ/WrOjRMde7O2R/vsMOh6dHxHyoO
X0D+mxbv4HOC3Xa2KYL/YdF6hbMrlBzaHROeXlgV71B+eJvrzFolhxdqQAds
iXeovP/jlrG1MoR/JB7qfhUHe9O4XZ5n4uHuBdv3HsFPtr7v3yuN8E+45ZYT
ZVoJDp02nrvSFik7wOKTPzbgvlG5IsR/rIjwmAI07vnieIeV315WnClQcFjx
8ZJvUkW8g0jlpJKzS+Tg/PVCOnzpdVJwPjj+jolB3Dcn3oEBBBaIOPRMzxNq
voHgtxw4tdD1GYIPTgefoeYfEXGoBSaXyT/iHYJA8cko6oCe/gBIeg9R
               "], {{
               129.36299999999997`, 6.778130000000001}, {129.01699999999997`, 
               6.289059999999999}, {128.26599999999996`, 5.835939999999999}, {
               127.80000000000001`, 5.835939999999999}, {127.32299999999998`, 
               5.835939999999999}, {126.906, 6.27813}, {126.906, 
               6.790629999999999}, {126.906, 7.231249999999999}, {
               127.14499999999998`, 7.64844}, {127.50299999999999`, 
               7.874999999999999}, {127.80000000000001`, 8.053130000000001}, {
               128.456, 8.22031}, {129.36299999999997`, 8.35156}, {
               129.36299999999997`, 6.778130000000001}}}], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
              132.97799999999998`, 6.623440000000001}, {132.61999999999998`, 
              6.623440000000001}, {132.29799999999997`, 6.289059999999999}, {
              132.29799999999997`, 5.9312499999999995`}, {132.29799999999997`,
               5.57344}, {132.61999999999998`, 5.2406299999999995`}, {
              132.96599999999998`, 5.2406299999999995`}, {133.34799999999998`,
               5.2406299999999995`}, {133.681, 5.5625}, {133.681, 
              5.9312499999999995`}, {133.681, 6.289059999999999}, {
              133.34799999999998`, 6.623440000000001}, {132.97799999999998`, 
              6.623440000000001}}}], 
             FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4sUFtlzX+xMdTuza0cu2QdVh9hGFDUU9iQ5z
Finv/HNc1WGh67bPfyugfHdVh79XKl6qpSY6BN6Srkn8pOKgEdN/6GtAosMG
1SfN884i+D/fvj5gqazicB1kQTyC/3vlx0u+eQg+2P78RAePNUeXM/xQhvP3
5te8nZmqBOeLVE4qOcsiC+e7g9VLO1xQuv2zLivR4UD3viaTxVIOzGF8upsS
Ex3UP6m8nNUpCbE/PNGhVYFd9YyJhAOjdrvYTa9EBw2wvLgDv+6mue+tEXzr
+/690/UQ/KnO3TnPlRMd+iK6/RkFJBzyhZoPnJKF2S/h0DM9T6hZItHhTVtu
t9FuSYi8aKJDO9g+aThffteCfal+snA+LLxLJkuwhAkhwvszKID/JcDD+0TZ
vvlSrxPg4Q12/7UEeHjD+LDwBMfXEwT/uLd5p+MXBP8rOIIS4OEN48PCG8bf
EWwV8f+4DJz/wDXecVahpAMw9pIEfiQ4fNn3cWv6N3G4e9NA4JiYw9z3y495
syc6uIHMjxCF+5cBBBaIOCSDAlgbiS8QYbnFBsEHx4d3okPV/R+3jL1FHbhB
ERiW6BCjGiFzrkYMHv8w98D4sPgBJoY9JUD+GRDwEYenNwVQ+POJQtS3JzqY
GIOAKCR8OhD806AA7EXwwf6ZjJsPTB2/V65FmA/jw9y7GxTB8xIdQt5e/jhj
oRgkfiYkOswEgZ1Q/wDz30FQ+mUWh/N7wP6RckDPnwDifJ9x
              "]], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
              143.17799999999997`, 6.623440000000001}, {142.82000000000002`, 
              6.623440000000001}, {142.49800000000002`, 6.289059999999999}, {
              142.49800000000002`, 5.9312499999999995`}, {142.49800000000002`,
               5.57344}, {142.82000000000002`, 5.2406299999999995`}, {
              143.16599999999997`, 5.2406299999999995`}, {143.54799999999997`,
               5.2406299999999995`}, {143.88099999999997`, 5.5625}, {
              143.88099999999997`, 5.9312499999999995`}, {143.88099999999997`,
               6.289059999999999}, {143.54799999999997`, 6.623440000000001}, {
              143.17799999999997`, 6.623440000000001}}}], 
             
             FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYCYp1Nc98vV0tySAOBZ6wOGjH9h746JDnMmQkE
kjwOHy/5Jgn4JDnEqEbInLPhd1hcYMt1PTzJoVWBXfXMF0EHx4SnF5Tyofwp
Yg5A3Rox1VD1MjJwfvX9H7eMXyvA+Su/vaw4c0DJIR1kb1mSQ+At6ZrEIhWH
2UcUNhTlJDnMmMBfZcat5nB6oeu2z7FJDuevhr3Rj9ZwKJkswRLml+QwHSS/
WtMB5v7631YF515oO7CvkYlKkU9ySAgJUl/gqe2gwtY41dk6yWFye2vUZRtN
h+XHvM07XZMcTh12Wpspp+FwomzffCl/qHpNNYelIAeEJTlMAamfo+JwGOjc
/qgkB+Vrj4IZ3ijB+WD3f1CA81tA/r8iC9ffDuKbSEH4ftDwPSbmcAYEXJIc
3rTldhtVCzkwareL3bRKcrjvGu84y1AA7n5IfLA7oMcPAK39t8I=
              "]]}, 
            Thickness[0.006683151774376796]]}, {
          ImageSize -> {299.2508094645081, 32.67741967621419}, 
           ImageSize -> {149.62540473225405`, 16.338709838107096`}, 
           BaselinePosition -> Scaled[0.32439307852814453`], 
           ImageSize -> {150., 17.}, PlotRange -> {{0., 149.63}, {0., 16.34}},
            AspectRatio -> Automatic}], None}}, FrameStyle -> Directive[
        Thickness[Large], 20], 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {{0}, {0}}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], ImageSize -> Large, 
      LabelStyle -> {FontFamily -> "Times"}, 
      Method -> {
       "OptimizePlotMarkers" -> True, 
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& )}}, 
      PlotRange -> {{0, 150.}, {-0.023391913368829433`, 0}}, 
      PlotRangeClipping -> True, PlotRangePadding -> {{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.02]}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      PointLegend[{
        Directive[
         PointSize[0.012833333333333334`], 
         RGBColor[0.9, 0.36, 0.054], 
         CapForm["Butt"], 
         AbsoluteThickness[1.6]], 
        Directive[
         PointSize[0.012833333333333334`], 
         RGBColor[0.365248, 0.427802, 0.758297], 
         CapForm["Butt"], 
         AbsoluteThickness[1.6]]}, {
        Graphics[{
          Thickness[0.009790483649892304], 
          Style[{
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 
             1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1,
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYCYvc1R5czeCg6eOyvlbV4ruawJ7/m7UxWJQz+
qcNOazPlNBycJzQLpWkpOUxub426bKPpEM4p1m5cr+SQngYEbVoOrQrsqme2
yDskhASpL/DUdhCpnFRy1kXW4UGE+PaLDdoQ+RJJOL9gecmGf/5ccL6JMQh8
sW/m9V8/hVUDzq+8/+OW8W4lOL/TxnNXWpCCw5vax9nn1/yynz4TCCJlHGaC
aWaHB67xjrMKJR1egOTfcDrsCLaK+K8u5hCtGiFzTkbIYa2QDl+6nQjEfUvE
4fztIHXs0nA+2JxAOQj/nogDf2zAfaN0JQeFXQv2pa4Tg/N7I7r9GTfIwfl7
QeEmquBw+gwQ5Cg53AeZo6gACb9VSg4zQO60VHCoBvkrWhmir1zBoRvkLydl
SLjyKzqAvasMpZkVIe4RRPDvaMqu+R+sAOenguLBTR7OjwH5948cnP9l38et
6dek4ObD+B8WrVc4G6HgcAYM5BzKD29znamrANUvD3c/2F+mCg4toHi8Ig/n
w/wP4/8HgfuScP6bttxuo90SkPjRVIDGh4TDim8vK84IKEDi9bI4RN1seYca
ULi8FnNYAwr3fTIODCDgIAbRP1MSzoeYIwDng53vw+JQAdLfLQPng9OPtTKc
n5H/ofXkFXVIPMzkg6Y/LQdwfrCQgPPB4b1RCs4Hu+u0jMMGvbzFjDFaUPfK
OQTckq5JFNKCuGODgsMJUH6Zp+kAy18QeQR/s/mPQylaGg7o+Q8AunloPg==

             "]], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
              3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
             3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0,
              1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYCYrnlLzz09qs4/Hz7+oClsoqDqc3eoGkLVeF8
nxPstrOnqsH5G1SfNM9bq+bgsebocoYfynD+3vyatzNTleD8nohuf0YBKTi/
D8wXd9ikl7eYcY6aw0wQ2Cnm8KZ4q+jv06oOIW8vf5yxUMzBxBgINqs4xKhG
yJyrQfAVdi3Yl8on6jBjAn+VWbaaQxoIqIk6JIQEqS/gVIeoMxZ1kJh6hTNj
EYIPtk9GAyd/Csg8bm24+TA+zP71IPef1YS77/zVsDf6uzUg9h8Tc2Dm7JJP
XqfhUHP/xy3j1wg+zP8w/n3XeMdZiopw/n8Q6FdyEAe7V9PhAUj+oDLUPi04
X19rpfCFFm1UPouOg8q1R8EMOcoOqWCH6Dh8WLRe4ewKJQf3/bWyFs8R/OdZ
2t+my+o6GIDNUXWo+bQhIPuWjsOJXTt62TaoOpwBgRwdhzmLlHf+Oa7qIA9K
D/+14Xww7Y7gQ9yjBfF/mqqD/8WJMf+YtSDxfFYF7r9KUHhYK8P5MPuSY++4
MVdowM17FCG+/aKDOtQeVYdfoHTGrOYQeEu6JvGTigMsfcLMR0+vAK9vIzw=

             "]], 
            
            FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 4,
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKG1bGbHC9K2hw5xFyjv/HFd16A8uUZmubwDn6yjK
f8n5putgDALBynD+GRDokUeVvyzhoP6ked5ZLgOHtUI6fOl2Ig77a2Ut0qcY
wvlbzH8cSskyhvO53FRLmXaZOMwEgUhJOP8/CNgrwPkea44uZ6hQdniSuPCa
Sb8x3H3o7v+y81bX362GDqcOO63N/KfiULxV9Pfpc0Zw/mkQPc/YQfnao2CG
OUpwfoxqhMy5PXJwPgMIOEg6HGxbHn6KydjhgWu846yLog4OTY+Oz+A2gvML
1nTfznhgAOc3shztNxQ3cEhPAwEpOH9vfs3bmVMV4Hyw+kJliL9XGsDdh+5+
AGxcs0Q=
             "]], 
            FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
             "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4uUvPPT+G1o7nNi1o5dtg6rDdaFPjufFrB3m
LFLe+ee4qsP0CfxVZtVWEL67qkOMguPH5DuWDoG3pGsSP6k4qD5pnnfWytJh
A5iB4P98+/qApbKKg33To+MzViP4PifYbWerWsH5EPutHDzWHF3O8EMZzt+b
X/N2ZqoSnC9SOankLIssnO8OVi/tUM9ytN+Q3crhQPe+JpPFUg4S8+I0Tx+w
dFD/pPJyVqckxP5sS4dWBXbVMyYSDtxuqqVMXJYOGmB5cYeDbcvDT02ygPOT
Y++4MWsg+BJTr3BmXDJ36Ivo9mcUkHD48630wZyF5lD7JRwaQfaXmzu8acvt
NtotCZFPNHdoB9snDefL71qwL9VPFs6HhfeXnbe6/rqaw8N7i/mPQymrzODh
vVEvbzEjjxk8vLlA7s8yhYc3jA8Lz2mg+LqN4N8BajMKNYPze7xesZgkmsHD
G8aHhTeMvyPYKuL/cRk4/4FrvOOsQkmHJff38c0pNnP4su/j1vRv4nD3poHA
MTGHF1na36a/NXNwA5kfIQr3LwMILBBx6AsuUZnObwHn1/22Kjg3A8EHx4eQ
pUPV/R+3jL1FHUDeNkq1dIhRjZA5VyMGj3+Ye2B8WPyUbBX9fVrPyuEMCPiI
w9ObAij8+UQh6j9aOZgYg4Coww2Q+V8R/CMg+5Ws4fznIP/44ubnr+m+naFg
Azcfxoe5F6xusbVDyNvLH2csFIPkJ2trh5kgsBPmH2uHg6D0yywO5/eA/SPl
gJ4/AXCIjtM=
             "]], 
            FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
             "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4jMgsMTBQWHXgn2pfKIOl/Pj2c8xOjqYGIOA
qEM2588F6cwIvvAnx/Npsgj+G959BjONcPM36uUtZpzjCDcfxo9RjZA5VyMG
MS/W0SHk7eWPMxaKOcwEAU1HCL1TzIFl8SQrRlVHh4Pd+5pMmMXh/J6Ibn9G
ASk4v9PGc1faIkU4/1XxVtHf2SoOwSUq0/9fcHCYs0h555/jqg66Exb8MFRD
8KdO4K8yu22Pyp9t7/AiS/vb9LlQfrS9w5PEhddM9FUh/iq2cwCH2xxlOP/E
rh29bBtUHRJi77gxR9jBzdsC8u8eWwjfXdXhOchcWVuHwFvSNYmfVBzsmx4d
n1Ft47BB9UnzvLMI/s+3rw9YKqtA7HmD4F8VAgWYLZx/oG15+KkiWwePNUeX
M/xQhvP35te8nZmqBOfDwgvG7wPzxR1mgMI50xYe3ktfeOj9Z7SFx0ftb6uC
cxU28PiC8WHxyeO/fkqqh61DGgioiTqAvTHLFh7/YPozgg/2n7cdnB8hvv0i
wzw7uP6noPDJtYebD+PD7Pe5ODHm32M7uPtiFBw/JtfYwd0Piw+Y/2B8mP9h
/HSQfWJKcP6HResVzmooQ8Lbxt5BtMfrFUuIisN1UHh/Q/DB9iQ6wPmw/ANO
f0rKcD6Y9lF0QM9fAJ9larY=
             "]], 
            
            FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {
              0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
              0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1,
               3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQB2IQ/Scm9+g/KRcHA62VwhdYVB28T7Dbzj7q7NDIcrTf
cLqqg+qT5nlnZzk7zFmkvPPPcVUH4U+O59NSEfz25eGnjGwQ/M8bArJniTs7
/Hz7+oDlYlWHmSDw0clBtMfrFUuIqoMxCGQ7OVy4GvZG31oFol/EyeGOpuya
/83KDpURK0zP3nZ0SE0DgmOKcP5/EKiXh/P7I7r9GTdIO7AsnmTFyOrkoP5J
5eWsTgmH45pWk077OzmEvL38ccZCMQf7pkfHZzQ7OTCAgIOoQzbnzwXpp6H8
BSIO8210rszSc4bzweb5IvgW147mmhQ4OzxwjXecdVHE4QTI/HJnhyCQ+Yyi
DiBvmSi6QOQLJSH+lXRxUNi1YF8qn6hDG8h/KS4OIO+kqYk6TPnGFj+jxsXB
BBwQog5rum9nMPQj+GB6NoLvqlrKNGsDGv8Cwjyw+G0Xhzdtud1G0qIOF/Pj
2c/9RONLusLdA+PHqEbInKsRc3AAhc9lF3h4gf033wXij51icPf0gcJbQBzO
7wHzpeD8lNg7bsw7tB1EQOmj18Wh/rdVwbkX2g4SU69wZngBwydCfPvFBm1I
uEq4OBzftaOXLUDbYeetrr+p850d0kH+YUPwN+jlLWaM0XI4AwJfEHwe//VT
UgVc4HxY+t0O8ogEgm9mszdoWqKmA3r6BgAFmSlq
              "], CompressedData["
1:eJxTTMoPSmViYGAQAWIQ/Scm9+g/KReHGNUImXN75B1g/APd+5pMFss4MICA
hIuD+ieVl7M0ZRzaloefMmJxceiJ6PZnFJB2SDh8WTv1prODMQhclnBYYKNz
ZVafs4PbmqPLGSLEHdZ0385gcEfw3VVLmWYdcELlJzg5pKeBgDScPxMEOhXg
/E4bz11pSsoOv0Hu2+Tk0PDbquDcChWHdpB7bJzhfN0JC34YliH4JiB3bXaG
mBepAjHvhbODQGzAfaPjyg51IHUcLg4PXOMdZxUqw/0Psw/GB8t/VHJADy8A
1KeCnA==
              "]}], 
            
            FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYC4hzOnwvSud0dRConlZxlkXGA8d+05XYb7ZZw
KNkq+vs0m7vDGRDwEXd4w7vPYOYvN4j6FFGHZS889P57uju0KrCrnpki4iD0
yfF8Wqu7w1ohHb50OxEHh6ZHx2ecRvCzQeZP9oDzEw9f1k5V9ITqF4fzQ95e
/jjDUQbOj1GNkDm3R9bBHmSesKdDC0j9FTmHeTY6V2Z983BQ/6TyctZJeYc1
3bczGM57OJwFubdGwWHyN7b4GXM8HFLTgOCYggOIShOD2q+n6NDj9YrFZKa7
w38Q6Fd0YACBAneHmSDAqQTnd9p47kpTUobzRUEaQ1Qg/l3q7nDqsNPazH8q
kPBh8oDz635bFZzLQPDB7t3m4dAAEtdA8J0nNAulcSnD+eWHt7nOrFWC+P8h
gq/6pHne2UceEHc8UHbYXytrkf7EwyHwlnRNYpGKQ3CJyvT/LzwcniQuvGai
rwrx13QPhxdZ2t+mz1V16Ab5N9HDYc4i5Z1/jqtC3KuE4IP9XegO598EGmvE
6u6QEnvHjblCBc43BoFgJTgfFp7g9KIG5ccpOLAsnmTFmOsOjT95B90JC34Y
TnOHxJcmNL6eu0PiJ03OoRik38/DoTei259xgyw8vXzZ93FrupmsA4//+imp
Gzwg6cVEBs5PB+uXgvNNQO67LO7Qtjz8lFGKh8PB7n1NJsxiDic0rSad/u4O
5/OC1Hcg+OD0YOnuoLBrwb7UdeJwfg/IPQJScD56foHxAfRPV5M=
             "]], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
              0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4ueJC6+ZvPd0EKmcVHJ2i7IDjC+/a8G+1HWS
cP6OYKuI/+piDgmHL2unKno5MIDAAhGHNd23MximI/jLX3jo/d+J4M+30bky
656Xw1ohHb70eyIOxzWtJp1+7uVgYgwCog4hJSrT/xt4O8wEgZ3iDnekaxKN
ZL0d1D+pvJzVKQEx/ztMv7iD+bWjuSYPvBxC3l7+OGOhOMScwwg+2Px2BB/s
/nwvhy/7Pm5NnyYB59fc/3HL+LUUnA/z/xvefQYzjbzhfB7/9VNSHbwdTh12
Wpv5TwWh/9OGgOxbCL6Zzd6gaQdV4XyJqVc4Mw6pOZRHrDA9W+zl8CJL+9v0
ueoO/0Gg3svBQGul8AUVTQcFx4/JZ3K9HOYsUt75J13TocfrFYuJp5fD6+Kt
or+5NR1yOH8uSJf2cpjc3hp1eY+Gwwa9vMWMbzyh5mg4uKuWMs364OlQ99uq
4NwJdYf7+/jmGH/ydMjI/9B6MgTBh9ivBucH3gIG9CcVB3A0VHs6TAGZL4Pg
nwGBOYj0AAsPAJGB+94=
             "]], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQbWIMBNa+DtGqETLnZCQd7JseHZ9h7OugsGvBvlQ+
UYeSraK/T0/zdQCrM8bkv+HdZzBzFYJ/dx/fHONNCD6P//opqTd8HdJAQE3U
IYfz54J0aT+4+TB+DMj+GjGH/yBw39ehVYFd9cwUMYj8bl+HkLeXP85YKOZw
Q7om0Wirr8PB7n1NJszicP5MEIiUROVzKsL5BlorhS+0qED4pb4OcxYp7/xz
XNWhdXn4KaMjPnD+W5B/mhB8nxPstrNdfaD6VSHhw+3jsMMByPih4vAepH6X
N0SdKYL/YdF6hbMrlBwkpl7hzHjk7VB+eJvrzFolB/0JC34YfvN2qLz/45ax
tbKDLogv5gN1v4qDwCfH82mqPnD3gu3LRvD/xOQe/fcLwZ9ro3NllpmvQ6eN
5660RcoOsPjkjw24b1SuCPHfEh94eEz5xhY/44q3w8pvLyvOFChA3F3r7SBS
Oank7BI5OH+9kA5fep0UnA+Ov2NiEPcd9XZgAIEFIg7yjh+Tz9j6wPkJhy9r
p0Yi+GD3FPtAzD8i4hAuvv0iQ52PQxAoPhlFHdDTHwC6qwcJ
              "], {{
              58.462500000000006`, 6.778130000000001}, {58.1172, 
              6.289059999999999}, {57.3656, 5.835939999999999}, {
              56.900000000000006`, 5.835939999999999}, {56.423399999999994`, 
              5.835939999999999}, {56.00629999999999, 6.27813}, {
              56.00629999999999, 6.790629999999999}, {56.00629999999999, 
              7.231249999999999}, {56.245299999999986`, 7.64844}, {
              56.60309999999998, 7.874999999999999}, {56.900000000000006`, 
              8.053130000000001}, {57.55629999999999, 8.22031}, {
              58.462500000000006`, 8.35156}, {58.462500000000006`, 
              6.778130000000001}}}], 
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
              0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYCYompVzgzHvk5iFROKjm7RdkBxpfftWBf6jpJ
OH9HsFXEf3Uxhynf2OJniPg7MIDAAhGH+/v45hh3Ifg3pGsSjdYi+Bfy49nP
XfR3WCukw5d+T8ThT0zu0X+3/B1MjEFA1OHwZe1USaEAh5kgsFPcoX15+Ckj
jgAH9U8qL2d1SkDMfwXTL+6Qw/lzQfplf4eQt5c/zlgo7pCaBgTbEHyw+VUI
Ptj9Sf4OX/Z93Jo+TQLOr7n/45bxayk4H+b//gU/DJ8B3QPjyzt+TD4jGeBw
6rDT2sx/Kgj9nzYEZN9C8M1s9gZNO6gK54PpQ2oOa7pvZzCk+zu8yNL+Nn2u
OsTfxf4OBlorhS+oaDqElKhM/5/g7zBnkfLOP+maDvtrZS3SbfwdXhdvFf3N
rekw10bnyiw+f4fJ7a1Rl/doODxJXHjN5L6fw38QqNdwqIhYYXr2sZ9D3W+r
gnMn1B0EPjmeT3vq55CR/6H1ZAiCD7FfDc4PvAWMqE8qkPDL83OYAjJfBsE/
AwJzEOkBFh4AlzHz4g==
             "]], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQLfzJ8XxabqCD+ieVl7M6JRyuHs01aUgOdDjYva/J
hFnS4Q3vPoOZRoEOJsYgIO6QH89+TlIx0CENBI6JOSyeZMXoy4Dgc/5ckL75
XACcX7NuW1L90gCHHcFWEf/VJRykXz8yk5oQ4LBeSIcvvU7KYWtLzYXNjQEO
913jHWcJykDMqwlwSAUbIOug/qR53tmqAIe9+TVvZ4oqONzfxzfH+BWCrwqS
lwuE8z9vCMieZR/o4L7m6HIGDQWIeSWBDs4TmoXSshQcgktUpv8H8v+DwH4F
B3nHj8lnSgMd+GMD7ht9R/BXfntZccZBEc5fC3LvP2WH72zxM3xsAx3mLFLe
+ee4qsNjEdmTT58HwPkxuUf/bTqN4IPdvwrof4emR8crVCHu64aGzzMViHt8
AhwEQPYfV3aojFhhetY4wOEMCPgowfkilZNKzi6Rh/MPgOJnsYyDv5xYlq99
gENPRLc/o4AUxD3BAQ4MIOAg4ZAOsqcowGEmCOwUhccH2D92IpD4uofgr+m+
ncHwG8GHRHsgxLwFIg7NgZ5zG8wCHWJUI2TO1Yg6iHsE/JHwhqUXMQg/OtAh
5O3ljzMWijkcvqydKhkX6FBz/8ct49diDujpDQCrngqm
              "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQbaNzZdYzw0AH/tiA+0bfFRzu7+ObY8wV6FB9/8ct
49cKDo9FZE8+/R7gIFw5qeTsEwWH/bWyFul3EPzvbPEzfHYi+DXrtiXVLw2A
6188yYrRtybAYSYIcCrC+e5rji5n0FBy2Hmr629qfYDDWiEdvvR1ShDzOgMc
yg9vc53pqwzhz4Tqj1RxOHxZO1VyV4DDqcNOazP/qThw/lyQvvkegg9zL4wf
k3v03ybuQIcniQuvmaxXcagFuU8y0GGL+Y9DKVwqDt7Vzfo+WoEOK7+9rDjj
oOzweUNA9iz9QIf/INCv5IAePgDes46A
              "]}], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
              0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
             3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0,
              1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ1IGYC4vbl4aeMTgQ5sHB2ySfnaTn8B4HXQQ7mNnuD
piVqOXhXN+v7/Aty2KCXt5gxRsuB4+eC9M1swQ7TJ/BXmWkj+D/evj5geVgT
zt/u0PTo+AxNh/v7+OYYMwU7ZOR/aD0ZouHwWET25NP/QPNUnzTPe6vu8GL7
eubnQPvVP6m8nKUp7VC7bltS/d4gh5r7P24ZvxZzMAaB3UEOCrsW7EtdJ+aw
4eHLqZvmBDlogNR3ijn0eL1iMWkMchCpnFRyNkXMoX/BD8NndVD1fKIOO291
/U2djuCLewT8kbgf5GACNljUAeSMs2rBcHmwuD2CD3aPYzDcfHnHj8lnJIPh
9keIb7/IAPRvyNvLH2csFIOH15d9H7emf0PwIf4Rh/NbFdhVz5hIQNwDDI83
bbndRrsl4OFTDVYv4VAZscL0rHOwQwPL0X5Dc02Hgnj2c5KewQ76WiuFL6ho
QcLPBxr+zloOnKDwzwqGx5fwJ8fzaa3B8PiNzT36b1M7NH4ktB3OgEADgg8O
D7Ngh/Q0IGDThvhXE8GXfv3ITEoGwfeXE8vy/R0EMYdH26E50HNuw6kguHno
6QsAv84Qeg==
             "]], 
            
            FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
             3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 
             3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJ+KL1okhWj74Iwh24bz11pm5Qc2paHnzJag+CbGAPB
bkz+ym8vK84YKMP5DCCwQRmuH8YviGc/J7kQwW8K9JzbcCwEzt91q+tv6m4E
/0CtrEX6Gkw+zD4YH+YemH4YP0BOLMv3OIKP7j+Ye9Q/qbycdVIa7l4YH+Yf
dH56GhAck4HzRSonlZw9IgvXD+PD7IPxYe6B8WHuhfFh/kHnw+yD8WHugemH
8WHhCeOj+w8AEwO/1A==
             "]], 
            
            FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
              98.33439999999999, 13.512500000000001`}, {96.4875, 
              13.512500000000001`}, {95.5453, 12.046899999999999`}, {95.5453, 
              9.1625}, {95.5453, 7.7671899999999985`}, {95.7953, 
              6.564060000000001}, {96.21249999999999, 5.9796900000000015`}, {
              96.6297, 5.395309999999999}, {97.2984, 5.0609399999999996`}, {
              98.0375, 5.0609399999999996`}, {99.83749999999999, 
              5.0609399999999996`}, {100.74399999999999`, 
              6.6109399999999985`}, {100.74399999999999`, 9.6625}, {
              100.74399999999999`, 12.2734}, {99.9688, 13.512500000000001`}, {
              98.33439999999999, 13.512500000000001`}}, {{98.1203, 
              13.095300000000002`}, {99.27659999999999, 
              13.095300000000002`}, {99.74219999999998, 11.9281}, {
              99.74219999999998, 9.067189999999998}, {99.74219999999998, 
              6.528130000000001}, {99.28909999999999, 5.47813}, {
              98.19219999999999, 5.47813}, {97.03589999999998, 5.47813}, {
              96.54689999999998, 6.68281}, {96.54689999999998, 
              9.590629999999999}, {96.54689999999998, 12.1063}, {96.9875, 
              13.095300000000002`}, {98.1203, 13.095300000000002`}}}]}, 
           Thickness[0.009790483649892304]]}, {
         ImageSize -> {204.2692303860523, 32.67741967621419}, 
          ImageSize -> {102.13461519302615`, 16.338709838107096`}, 
          BaselinePosition -> Scaled[0.32439307852814453`], 
          ImageSize -> {103., 17.}, PlotRange -> {{0., 102.14}, {0., 16.34}}, 
          AspectRatio -> Automatic}], 
        Graphics[{
          Thickness[0.007051191651389083], 
          Style[{
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
              0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1,
               3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGBQB2IQLbNRbD7Tg1/2O4KtIv6riznA+Aq7FuxL5RN1+A8C
9RwOJsYggMnviej2Z9zABefzOPJ5zcjkgfN7QfIfeOH89DQgWMbvAKLS1EQd
3NccXc4wQ9gBZh86/2D3viYTZxE4P0Y1QuZcjBScDzFfziHk7eWPMxaKOYCt
UVZ0qLn/45bxa0mHahB9W8lBHqTeT9ZBIDbgvtFzZQfnCc1CaVaKcD6YPq4M
5+sqyn/JMdNwKD28zXXmXAWH7Q5Nj45LaDtUgczTFofz2xTYVc9cEYPzv+z7
uDXdDMF/05bbbRQtCvG/sLbDTBD4KeRwBgR4tCHuey0ACRc2bYj/9vDC+Td4
b4ulmnHB+du8NljM+ckC1w8J1y/2MPtgfHObvUHTErUcxJtkphhc/m1/fNeO
XrYALYg+HyaH51na36bbajk0i9eyZh5jgpqP4G82/3EoRUsDzgf7Y7cknA/2
R6SEAzcovl8yQs0VdzgAiq9kBmj4I9ITLH0BAESa+vo=
              "], CompressedData["
1:eJxTTMoPSmViYGAQB2IQ/X3fx63p17gdRHq8XrF80XQoWF6y4Z8/n0PALema
RCEtB2MQuCzgoK+1UviCipbDF5B6M2E4/4FrvOOsjWJwfsjbyx9nNEo5+Jxg
t519VRPKl3Ews9kbNC1R00F+14J9qX2yDpvNfxxK0dKEmFcm5+AFVq8BMS9Q
3sFjf62sRbqGw1ohHb70cwoOElOvcGY4qTs4T2gWSotSdJgxgb/KrFsVzv+w
aL3CWQ1lOP/sGSCoUXCovv/jlnG3gsN/ELgv49Ab0e3P+EHWASR9xkfKwQTk
P2FpiDu+iTu4rzm6nMFCwmFHsFXEf3Vxh3YFdtUzV4Tg/IPd+5pMFgvA+bDw
YgABB3EHWHhqfFJ5OasTwYeFLwAt8Z2s
              "]}], 
            
            FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 4,
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKL1e9UnzPF5thzmLlHf+Oa7qEHBLuiZxkjqcnxAS
pL5AU9XBGASCleH8MyDQI48qf1nCoe63VcE5D3WHtUI6fOl2Ig4b9PIWM8Zo
wflgc9n14PzF9/fxzQk2cJgJApGScP5/ELBXgPM91hxdzlCh7PDnW+mDOYF6
cPehu19m+QsPvflaDqcOO63N/KfiIDMvTvP0BR04//iuHb1sBXoOytceBTPM
UYLzY1QjZM7tkYPzGUDAQdJhq0PTo+MWug4PXOMdZ10Uddhi/uNQipc2nC/a
4/WK5YsGnG9mszdoWqK6Q3oaCEjB+Xvza97OnKoA54PVFyo7pIKUtWkg3Ivm
fgCtta96
             "]], 
            FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
             "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYCYoemR8dnnDZzOLFrRy/bBlWHwjXdtzM2mDnM
WaS8889xVQcDrZXCF0SgfHdVhy87b3X9LTV1CLwlXZP4ScXhQK2sRfoVE4cN
qk+a551F8H++fX3AUlnF4SZQmZGrKZz/JHHhNZP9CD7EflMHjzVHlzP8UIbz
9+bXvJ2ZqgTni1ROKjnLIgvnu4PVSzvIzIvTPL3A1OFA974mk8VSDlvMfxxK
iTJ1UP+k8nJWpyTEflZTh1YFdtUzJhIOS+7v45uz2MRBAywv7hCj4PgxWQfB
//Ot9MGcg8Zw/ga9vMWMOcYOfRHd/owCEg7TJ/BXmVkbQ+2XcJAG2S9g7PCm
LbfbaLckRP63kUM72D5pOF9+14J9qX6ycD4svPuDS1Sm3zeCh7f/xYkx/5yN
4OHtfYLddvZSQ3h4Lwa5n9kQHt4wPiw89UHxVYLgl2wV/X36HYIP1vbLEB7e
MD4svGH8HcFWEf+Py8D5D1zjHWcVSjrYVkasMOU1cviy7+PW9G/icPemgcAx
MYdGlqP9hu1GDm4g8yNE4f5lAIEFIg4ab3n3Gaw0hvMlpl7hzDAygfPB8bHG
xKHq/o9bxt6iEPf/M3GIUY2QOVcjBo9/mHtgfFj88Pmvn5J6wtThDAj4iMPT
mwIo/PlEIeq7zRxMjEEAan4fgg+2fw+CD/bPc9x8LjfVUqZd5nDzYXyYe8Hu
sDF3CHl7+eOMhWKQ/HTFzGEmCOyE+cfM4SAo/TKLw/k9YP9IOaDnTwD5IZcz

             "]], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
              3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
              3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
              0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGBQAmIQPWMmEJy0dEiJvePGvEPb4cRhp7WZ6ywd6n9bFZx7
oe2QDBLXsHR4ECG+/WKDtoMxCBy2cDi+a0cvW4C2g8TUK5wZl8wd0tOAgA3B
36CXt5gxRsvBrjJihWmtBZzvd3FizL/NCP5MsP0WDtsdmh4dl0DwzWz2Bk1L
1ITz1wrp8KXXycD56p9UXs7qlHQAWZt2zMKBAQQcJByk58Vpnt5g4aABkn8p
4rD8hYfe/4dQ+QUiDhvB9lo6uK05upwhQszh+85bXX+vWjq8acvtNpIWdfAH
uc/ZCq7e5wS77eynCH6MguPH5BhrOB/sjzXWDl/2fdya/g3Kf2PtcAYE1og6
2IL8L2vrEK0aIXNORtJhyf19fHMW2zoc6N7XZLJYChLefHYO7iD3zJCD88H+
5FSE88sPb3OdeVbZQeMt7z4DTVuHOYuUd/45rurwBeT+p9ZwPjgewhB8CVB4
HLByqPm0ISA7StXhz7fSB3MKrRwuXA17o79bxQEW/3vza97OTFV2QE8PABVA
52c=
              "], {{25.787499999999994`, 8.971879999999999}, {
              25.787499999999994`, 9.139059999999999}, {25.907799999999995`, 
              9.353129999999998}, {26.098399999999994`, 9.567189999999998}, {
              26.431299999999993`, 9.9125}, {26.896900000000002`, 10.1156}, {
              27.385900000000007`, 10.1156}, {28.387500000000003`, 10.1156}, {
              29.018799999999995`, 9.304689999999999}, {29.018799999999995`, 
              8.02969}, {29.018799999999995`, 6.695309999999999}, {
              28.30309999999999, 5.76563}, {27.290599999999998`, 5.76563}, {
              26.670299999999994`, 5.76563}, {25.787499999999994`, 
              6.1468799999999995`}, {25.787499999999994`, 
              6.409379999999999}, {25.787499999999994`, 8.971879999999999}}}], 
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
              3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIZIGYC4t7gEpXp9+0cNujlLWaM0XJQedI872yXPZz/
51vpgzkHEfyrQp8cz1+zd9ju0PTouASCb2azN2haoiac3xPR7c8oIAXn94H5
4g4R4tsvMpyzd5gJAjvFHL7svNX1N9XeIeTt5Y8zFoo5zACJ37RziFGNkDlX
g+Ar7FqwL5VP1EEYaFwaq4ODiTEIYPLtgc6aoY3gX8yPZz8XiJt/fx/fHONX
DnDzYXyY/e3Lw08ZLXGAu8/82tFckwIHuPvB9mU7wP0H48P8D+OnxN5xY96h
7RAJ8n+cg0P9b6uCcy+0HVRB4S3l4PAAFDAN2g4y8+I0T1+wdzi+a0cvW4C2
Ayx+0tOAgA3Bh8UHAHOEuq4=
             "]], 
            FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGJ5IIaxWaBsBigfRjMjqWHGooZa6kkVp5Z7aO0vXOoB
MK4CWQ==
             "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4uUvPPT+X3RyOAMCPpIOPP7rp6RucHKIUY2Q
OScj7fB5Q0D2rPlODq0K7KpnTGQc2peHnzJqcXKouP/jlnG3nIP41CucGUpO
DgKxAfeN3JUdEg5f1k6VdHKI4BRrN16v7GAMAsJODlvMfxxK4VKB8z3218pa
uCP4U9pboy7PUXHYqJe3mFHFyWGD6pPmeWdVHJ4kLrxm4u7kINrj9YrliopD
cInK9P8NTiDnMzA8QPBnTOCvMutWdWBZPMmK8a2jww6HpkfHKzD55teO5ppc
QPDB9m/GzX8Msl/eEW4+jA+z/w3vPoOZVo5w99X/tio4l+DoYGazN2jaQRWH
3zG5R/8VOTqcOuy0NrNOxQEc3p2ODh8WrVc4u0IZ4h4DJwcTkL2XpSDqo6Dh
PUXc4f4+vjnGWU4OfRHd/owFYg7eJ9htZ7c6OSjsWrAvlU8EYn+Sk0N6GhCo
CTpczI9nP2fo5KD+SeXlLE8uB90JC34YfnOExO8ZVkj87UHwKyJWmJ5djODz
guK/w9GhcHnJhn/9bBBz8xwd/oMBO8S+KAQ/Qnz7RQYzR4cv+z5uTb/GAHF/
kKNDi3gta+ax//bZnD8XpGc7Oog0yUwxuPzPHmY+jD/fRufKrHcIPiw8ZswE
gptMcP8f6N7XZKLMDQn3Bc4OD1zjHWd9VITE711nSPqRgYbvT2d4+FuAzFNw
gcePGihZebnA4w/Gh8WvBCg9X3KGxz86Hxy+OxH8RFB6X4ibD06fGs5w82F8
mP2uqqVMswKc4e7LAYVXtbPDnEXKO/8ch8pPcHaQmheneXoCgn/hatgbfWs0
eQEVBx9Q+uh1dpgJDj9lSP5td4bE7xxlB/T8DgAqbbGh
             "]], 
            
            FilledCurve[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
             0}, {0, 1, 0}}}, {{{44.060900000000004`, 7.862499999999997}, {
             44.418800000000005`, 8.660939999999998}, {44.359399999999994`, 
             8.721879999999999}, {41.224999999999994`, 8.721879999999999}, {
             40.903099999999995`, 7.921879999999999}, {40.962500000000006`, 
             7.862499999999997}, {44.060900000000004`, 7.862499999999997}}}], 
            
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQvb9W1iL9i4eD+ieVl7M6JRzcVEuZZj3wcDjYva/J
hFnSoXir6O/TdR4OJsYgIO5QGbHC9Gy0h0MaCBwTc7i/j2+OsRSCv6b7dgbD
dnc4f8o3tvgZKe4OO4KtIv6rSzhczI9nP2fp7rBeSIcvvU7KgWXxJCtGWXeH
+67xjrMEZRwegMwTcndIBRsg6/AkceE1E353h735NW9niio4RIhvv8jwDsEH
y4d7wPm1v60Kzs3wcHBfc3Q5g4YCxH1Mng7OE5qF0rIUHOybHh2fwezp8B8E
9is43JSuSTRi9XTgjw24b/QdwV/57WXFGQdFOH8tyL3/lB3aloefMpri4TBn
kfLOP8dVHRIOX9ZOfekO54eUqEz/vwHBB7svH+h/B6DFFaoOdSD3GUDD55mK
A0h4xmY3BwGQ/ceVHXq8XrGYNLo5nAEBHyU4X6RyUsnZJfJw/gFQ/CyWcbC4
djTXZIabQ09Etz+jgJRDIsg9B90cGEDAQQJizz83h5kgsFMUHh9g/9iJQOLr
OoL/aUNA9ix+DzgfHE7uHhDzFog4zLPRuTKrzcMhRjVC5lyNqMNxTatJp9fD
0osYhH/ewyHk7eWPMxaKOcg7fkw+c9XDoeb+j1vGr8Uc0NMbAMSqDZk=
              
              "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQLfTJ8XxarYcDf2zAfaPvCg4R4tsvMuh5OFTf/3HL
+LWCQ8Lhy9qpnB4OwpWTSs4+UXCQmHqFM+OSO5zftjz8lFEPgj/lG1v8jBR3
uP4H+/jmGAu5O8wEAU5FON99zdHlDBpKDjz+66ekSrg7rBXS4UtfpwQxT8fd
ofzwNteZvsoQvg9Uf6SKg4Ljx+Qzve4Opw47rc38p+Kwpvt2BsN1BB/mXhg/
uERl+n8DD4cniQuvmaxXcZgMcp+Ph8MW8x+HUrhUHPQmLPhhmOfhsPLby4oz
DsoOtb+tCs5VeDj8B4F+JQf08AEAIz2Jzg==
              "]}], 
            FilledCurve[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYAJSjNCxZiR+AxksEk1hxj1lJhJLb2UuBMA
8t8CMw==
             "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4je8+wxmvvJycF9zdDnDCgWHHM6fC9IPeztM
aW+NujxHxWF/raxF+hlvhzmLlHf+Oa7icEe6JtHorrcDAwg8UHF4krjwmsl3
BH/KN7b4GTw+GPwZE/irzLpVHfbc6vqb2u8N59/fxzfH+JKXQzinWLtxvKKD
zoQFPwzjvBx+vn19wFJZBaLe3cuh4bdVwbkVKg7zbXSuzDLzctjh0PTo+A8V
B/UnzfPOMnlB3afqcDE/nv1coKfDBlWghK+qQ8Lhy9qpkZ4Qd65XgfArPSHm
L1ZxOAMCUzzh/k1PA4Jtng4eII+7qzj4nGC3nX3U06HbxnNX2idliPoaaHjN
kIeYN9PTwcQYBMQdireK/j7d5+kAMibtmJjD75jco/+qPB1iVCNkztWIOdgD
nT0jG8GHuRedDzFP1IFl8SQrxqsI/ocNAdmz7ns6zASBnaIO70Hx98jTQeOT
ystZL6HqvyLsF/jkeD6N18vhTVtut5G0hIO848fkM6peEH/4SDrw+6+fkmrg
5SC/a8G+1HWSEP8shKqPloPEn4u3Q8jbyx9nLBRz0AfFj5s3xL5OMYcNenmL
GUO8HdYK6fCl3xN1ML92NNckwdtBpHJSydkUUUj6yfF2UACZzycK8f9ub7h/
0Plg+08i+C6qpUyzbuDm/wcBdR+4+TA+LDwvgMKT0Qfu/i+g8HsPdc86MXh6
7ovo9mcUEIend0j4iTug5w8ATSJXnA==
             "]], 
            
            FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
              3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYCYp8T7Laz1/o53NaUXfOfWckBxj8DAjLKDjek
axKNtvo56CrKf8kRU3H4E5N79N8hP4fAW0CJTyoO4eLbLzK0+TkYaK0UvtCi
6uCqWso0K8DPYc4i5Z1/jqs6LH3hofdfEMGv/21VcO6EL5xvYgwExb4Ooj1e
r1hCVB2OalpNOi3u6/CqeKvo72wVB5bFk6wY1/o4MIBAgrLD/lpZi/QSH4c7
IPduVoTzv+z7uDXdTB7OTwOBYxIOAp8cz6ex+jqsFdLhS7cTcbiQH89+7iKC
D7LWRNEPzrdvenR8xmQ/iH41UYh/F0Hl74nC/S9SOankbIq4Q3nECtOzm/0c
3rTldhtJS0D8U+3nsCPYKuK/uriD+NQrnBlefg4zQWCnmEMO588F6cII/v19
fHOMs3zhfNUnzfPO/vKBmHNZCs4P5xRrN+5XgPNh8bOm+3YGg7uvwxbzH4dS
ulQceP3XT0m9gODD7IPxwfpi/Byk5sVpnhZQcTC/djTXpMLPwWPN0eUMFcoQ
85sw0wOMDwD3D+wW
             "]], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
              3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
              3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQHVyiMv0/R4DDiV07etk2qDrc38c3x5gpwGHOIuWd
f46rOsy10bkya5s/hO+u6vAkceE1k3R/h8Bb0jWJn1QcdCcs+GEo5u+wQfVJ
87yzCP7Pt68PWCqrOJRsFf192g/BL49YYXq2G8G/kB/Pfm6iv4PHmqPLGX4o
w/l782vezkxVgvN7Irr9GQWk4Pw+MF/cQeCT4/m0Xn+HmSCwU8wh4fBl7dRI
f4eQt5c/zlgo5mBiDATC/g4xqhEy52oQfIVdC/al8olC3LPaHyJujMlf+sJD
7/9FBN/82tFckx+4+YsnWTH6egTAzYfxYfZ/Z4uf4aMaAHefv5xYli93ANz9
sPiA+Q/Gh/kfPb4AXia1hw==
              "], {{63.592199999999984`, 13.4891}, {
              63.23439999999999, 13.4891}, {62.92499999999999, 
              13.179699999999997`}, {62.92499999999999, 
              12.821899999999998`}, {62.92499999999999, 12.4766}, {
              63.23439999999999, 12.165599999999998`}, {63.58129999999999, 
              12.165599999999998`}, {63.926599999999986`, 
              12.165599999999998`}, {64.24839999999999, 12.4766}, {
              64.24839999999999, 12.821899999999998`}, {64.24839999999999, 
              13.1563}, {63.926599999999986`, 13.4891}, {63.592199999999984`, 
              13.4891}}}], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
              0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4v21shbpSwIcRConlZzdouwA48vvWrAvdZ0k
nL8j2Criv7qYQ+26bUn1ewMcGEBggYjD4klWjL4/EHx5x4/JZzgD4Xzp14/M
pGQCHdYK6fCl3xNx2PDw5dRNCoEOJsYgIOrwnS1+ho9roMNMENgp7rD7Vtff
VOtAB/VPKi9ndUpAzNeA6Rd3eLF9PfNzoHkhby9/nLFQ3CE9DQj4EHyw+R8C
4Hyw+58EOHzZ93Fr+jQJOL/m/o9bxq+l4HyY/w9f1k6VdAuE84NLVKb/9wl0
OHXYaW3mPxWE/k8bArJvIfhmNnuDph1UhfMlpl7hzDik5sDxc0H65mcBDi+y
tL9Nn6vucAYE3gQ4GGitFL6goukQm3v036bHAQ5zFinv/JOu6SD8yfF82sUA
h9fFW0V/c2s6NAd6zm3YFeAwub016vIeDQfVJ83zzi4KcPgPAvUaDvnx7Ock
lwY41P22Kjh3Qt3BWufKrGdAfkb+h9aTIQg+xH41OD/wlnRN4icVSPhlBThM
AZkvg+CD3TkHkR5g4QEA+276nQ==
             "]], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQ7a5ayjRrQZCD+ieVl7M6JRw4fi5I3zwtyOFg974m
E2ZJB3nHj8lnUoMcTIxBQNxh8SQrRt+QIIc0EDgm5nD1aK5JgzGCb6NzZdYz
RgR//cOXUzfdCHTYEWwV8V9dwsFfTizL93Cgw3ohHb70OimHF9vXMz/fEuhw
3zXecZagDMS89YEOqWADZB0ixbdfZFgX6LA3v+btTFEFB+FPjufTZIPg/AiQ
fBCCr/qked7ZoiAH9zVHlzNoKDhcB5m3PMjBeUKzUFqWgkP78vBTRiuCHP6D
wH4Fh+ASlen/gXz+2ID7Rt8R/JXfXlaccVCE89eC3PtP2UHbatLp+oIghzmL
lHf+Oa7qIO4R8EdCGsHvX/DD8Nm/QDgf7P57QP87ND06XqEKcd++QEj4PFOB
uKch0EEAZP9xZYc13bczGNIDHc6AgI8SnC9SOank7BJ5OP8AKH4Wyzg0B3rO
bSgKdOiJ6PZnFJCCuKc90IEBBBwkHGaCwNJACL1TFB4fYP/YiUDiSzAIzr+/
j2+OsR6Cnw5yp1cQxLwFIg5bW2oubM4McohRjZA5VyPq4F3drO9TB0svYhB+
X5BDyNvLH2csFHP4zhY/w2dikEPN/R+3jF+LOaCnNwAnDQ7V
              
              "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQnR/Pfk4yNciBPzbgvtF3BQfhT47n02yDHKrv/7hl
/FrBQdwj4I+EdpCDcOWkkrNPFBw+bwjInsWP4GtaTTpd/yYQzl//8OXUTTcC
4fqvHs01aVgf6DATBDgV4Xz3NUeXM2goObzh3Wcwc1Ogw1ohHb70dUoQ8/YE
OpQf3uY601cZwj8D1R+p4vCdLX6Gz9tAh1OHndZm/lNxsNG5MuuZYBCcD3Mv
jN+/4IfhM7sghyeJC6+ZrFdx2AByn0+QwxbzH4dSuFQcatdtS6qPDXJY+e1l
xRkHZQfVJ83zziYFOfwHgX4lB/TwAQDiI49d
              "]}], 
            
            FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {
              0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
              0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1,
               3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQB2IQ7V3drO/zK9jBQGul8AUWVYfPGwKyZ50PdmhkOdpv
OF3V4cE+vjnGu4Id5ixS3vnnuKrD1aO5Jg3zEfwJC34YPutC8F1VS5lmVQQ7
/Hz7+oDlYlWHmSCQGuwg2uP1iiVE1SE9DQiUgh0uXA17o2+tAtH/Lcjhjqbs
mv/Nyg6cPxekb74V5JAKUndMEc7/DwL18nB+f0S3P+MGaQd/ObEs3/dBDuqf
VF7O6pRw2PDw5dRNIsEOIW8vf5yxUMzhLe8+g5l6wQ4MIOAg6tAc6Dm3IQjK
XyDiIPP6kZlUC4IfADJvMoL/Yvt65udLgh0euMY7zrooAjF/RbBDEMh8RlEH
kU+O59P+QuULJSH+/RnsoLBrwb5UPlGI/+RCHEDeSVMTdZDwCPgjoR3iYGIM
AqIOSyZZMfqaIPhgdVYIfkE8+zlJVzR+KMI8MB0V4vCmLbfbSFrUYWtLzYXN
mWj8yhC4e2D8GNUImXM1Yg5vQOETFgIPL7D/bEIg/tgpBndPHyi8BcTh/B4w
XwrOT4m948a8QxuSPoxDHOp/WxWce6HtECG+/SKDUIjDAxCjQdvhDAj8CHY4
vmtHL1uAtoOm1aTT9XuCIemCDcHfoJe3mDFGC+Lv5wh+SInK9P9fEHxY+t3u
0PTouASCb2azN2haoqYDevoGAGpFNTE=
              "], CompressedData["
1:eJxTTMoPSmViYGAQAWIQ7V3drO/zK9ghRjVC5tweeQcY/0D3viaTxTIOZ0Dg
R7CD+ieVl7M0ZRwmLPhh+OxdsENPRLc/o4C0Q+26bUn1N4MdjEHgsoSDzOtH
ZlJbgh3c1hxdzhAh7rB4khWj7wQEvyCe/ZykL4KfD+LLBjukp4GANJw/EwQ6
FeD8ThvPXWlKyhD3uQU7NPy2Kji3QgXini4E/4mI7MmnyxF8sLnHoOZFqkDs
fxjsIBAbcN/ouLJDj9crFpOPwQ4PXOMdZxUqw/2PYt8vqPxHJQf08AIAx9KF
4g==
              "]}], 
            
            FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYC4qZAz7kNRaEOIpWTSs6yyDjA+G/acruNdks4
tC0PP2VUEOpwBgR8xB2OXNZOlcyCqk8RdVBw/Jh8ZmKoQ6sCu+qZKSIOV4/m
mjSsD3VYK6TDl24n4vCGd5/BzEsIPth8szA4v3bdtqT62jCofnE4P+Tt5Y8z
HGXg/BjVCJlze2Qh5pWFObSA1F+Rc5B5/chMKiPMQf2TystZJ+UdlkyyYvQN
CXM4C3JvjYKDhEfAHwnrMIfUNCA4puDAAAI/oO7RU3QQ+uR4Pm1nqMN/EOhX
hPhzSajDTBDgVILzO208d6UpKcP5oj1er1hCVCD+3R/qcOqw09rMfyqQ8HmH
4IOUmSiGwflg93qEOTT8tio4p4HgO09oFkrjUobzyw9vc51ZqwTxfyyC/2Af
3xzjuDCIPx4oO6zpvp3BEB/mEHhLuiaxSMXhB1v8DJ/EMIcniQuvmeirQtxr
EebwIkv72/S5qg4iIP/KhjnMWaS8889xVYh7/4XC+WB/L0Xwd97q+puaH+qQ
EnvHjblCBc43BoFgJTgfFp7g9NIA5ccpOATIiWX5Lg6Fxp+8wxMR2ZNPt4dC
4ktT3mERKL4ehELiJ00Ool8kzKE3otufcYMsPL182fdxa7qZrENIicr0/y7Q
9GIiA+eng/VLwfkmIPddFneYsOCH4TO5MIeD3fuaTJjFHDY8fDl104tQOB+s
fgOCD04PnaEOCrsW7EtdJw7n94DcIyAF56PnFxgfAPsaZ+0=
             "]], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
              0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4gO1shbpT8IcRConlZzdouwA48vvWrAvdZ0k
nL8j2Criv7qYQ+26bUn1f8McGEBggYjDkklWjL4W4XC+guPH5DOeCL7M60dm
UjHhDmuFdPjS74k4bHj4cuqmhHAHE2MQEHX4xhY/w6c13GEmCOwUd9h1q+tv
anW4g/onlZezOiUg5mfA9Is7vNi+nvk50LyQt5c/zlgo7pAGAn4IPth8AwQf
7H6VcIcv+z5uTZ8mAefX3P9xy/i1FJwP8/+Ry9qpkm0IfkiJyvT/PeEOpw47
rc38p4LQ/2lDQPYtBN/MZm/QtIOqcL7E1CucGYfUHDh+LkjfrBbu8CJL+9v0
ueoOZ0BAJ9zBQGul8AUVTYfY3KP/NimHO8xZpLzzT7qmg8gnx/NpguEOr4u3
iv7m1nRoCvSc2/ArzGFye2vU5T0aDqpPmuedfRTm8B8E6jUcCuLZz0k+DXOo
+21VcO6EuoONzpVZz4D8jPwPrSdDEHyI/WpwfuAt6ZrETyqQ8FsV5jAFZL4M
gg925xxEeoCFBwAqK/hK
             "]], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
              3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQnQYCXREO0aoRMudkJB3e8O4zmNkW4aCwa8G+VD5R
h/bl4aeMdkQ4mBiDACb/8GXtVMlDCL61zpVZz44i+MElKtP/34hwANujJurQ
FOg5t+EXwnwYPwZkf42YwxkQuBPh0KrArnpmihhE/lSEQ8jbyx9nLBRz2Hmr
62/q8QiHg937mkyYxeH8mSAQKYnK51SE8w20VgpfaFGB8JdHOMxZpLzzz3FV
h/4FPwyf+SH4YP/oIfifNgRkz+KH6VeFhM+ncIcdDk2Pjv9QcTgCUn8q3MHn
BLvtbFME/8Oi9QpnVyg5RIpvv8hwL9yh/PA215m1Sg5PRGRPPn0e7lB5/8ct
Y2tlCP97ONT9Kg5Xj+aaNPwPh7sXbJ8Swv1e1c36PlkIvvTrR2ZSHREOnTae
u9IWKTvA4pM/NuC+UbkixH92iPCQ8Aj4I3E93GHlt5cVZwoUIP5bHe4gUjmp
5OwSOTh/vZAOX3qdFJwPNveYGMR958MdGEBggYhDTO7Rf5u4I+D82nXbkuol
EXxIvEdAzD8i4lARscL0rHaEQxAoPhlFHdDTHwAu/RlG
              "], {{98.1625, 
              6.778130000000001}, {97.8172, 6.289059999999999}, {
              97.06559999999999, 5.835939999999999}, {96.6, 
              5.835939999999999}, {96.12339999999999, 5.835939999999999}, {
              95.7063, 6.27813}, {95.7063, 6.790629999999999}, {95.7063, 
              7.231249999999999}, {95.94529999999999, 7.64844}, {
              96.30309999999999, 7.874999999999999}, {96.6, 
              8.053130000000001}, {97.2563, 8.22031}, {98.1625, 8.35156}, {
              98.1625, 6.778130000000001}}}], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
              0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4jA+3U1zwyMdRConlZzdouwA48vvWrAvdZ0k
nL8j2Criv7qYQ5JAhOWWgkgHBhBYIOLwJnCHXOtqBH+B67bPf/cg+HPeLz/m
fT7SYa2QDl/6PRGHKc7dOc8vRzqYGIOAqEPP9Dyh5h+RDjNBYKe4g819/97p
7yId1D+pvJzVKQEx/zZMv7jDk6WzjyhciHQIeXv544yF4g4zQPoOIvhg8xcj
+GD3T490+LLv49b0aRJwfs39H7eMX0vB+TD/P6gSWef+E8G/UvFSzZAhyuHU
Yae1mf9UEPo/bQjIvoXgm9nsDZp2UBXOl5h6hTPjkJpDAND5r2dGOrzI0v42
fa66w38QmB/pYKC1UviCiqbD579AG6ZFOsxZpLzzT7qmw/fgx0tnt0Q6vC7e
KvqbW9OBGWRgbqTD5PbWqMt7NBx2l0yWYAmLhJhTr+GwHWh8YESkQ91vq4Jz
J9QduJm028UiIx0y8j+0ngxB8CH2q8H5gbekaxI/qTgINR84tVA20mEKyHwZ
BP8MCMxBpAdYeAAASWL3RQ==
             "]], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQvWHu++XHgqMd1D+pvJzVKeEQsEOu9bVntMPB7n1N
JsySDjL6d1XYJKMdTIxBQNyhIGPi2xr2aIc0EDgm5iDf+jpwx7MoOL8FyJXb
iuBPce7Oed4d5bAj2Criv7qEgwcPk3Z7WZTDeiEdvvQ6KYcnS2cfUciIcrjv
Gu84S1DGYTmQuyEpyiEVbICsA9B13uaJUQ5782vezhRVcKjP2lMy+QKCX75v
vpQ+azScD5SVYFGLdnBfc3Q5g4aCwxKQeVHRDs4TmoXSshQc2NfIRKVERzv8
B4H9Cg7+SQIRljHRDvyxAfeNviP4K7+9rDjjoAjnrwW595+yw/5TC123KUc7
zFmkvPPPcVWHlgNAgXNRcL66IccamU0IPtj9E4H+d2h6dLxC1cEFGBy/C6Hh
80wF4h7jKAcBkP3HlR3EWcL4dKWiHM6AgI8SnC9SOank7BJ5OP8AKH4WyziA
uJtUoxx6Irr9GQWkHP6s/HjJ1yrKgQEEHCQcXLZ9/nslIsphJgjsFIXHB9g/
diKQ+DqK4ANDqyjjIYIv0Az04F+oeQtEHNYXAROATLRDjGqEzLkaUYftQOMr
DGHpRQzCd4x2CHl7+eOMhWIOIuvcH1a5RDvU3P9xy/i1mAN6egMANsMJsA==

              "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQvV2u9XWgRLQDf2zAfaPvCg71WXtKJn+Icqi+/+OW
8WsFh5YDpxa63otyEK6cVHL2iYJDh2PC0wuHEHz3h1Ui6+Yj+FOcu3OedyP0
L599RGFDUpTDTBDgVITz3dccXc6goeTw/PfKj5dSoxzWCunwpa9TgpiXH+VQ
fnib60xfZQi/Hqo/UsWhZ3qeUPOCKIdTh53WZv5TcWh5HbhD7igSH+peGF/d
kGONzKcohyeJC6+ZrFdxkIlKsb7/P8phi/mPQylcKg4JAhGWWwSiHVZ+e1lx
xkHZAeh7CRaxaIf/INCv5IAePgBlaZCa
              "]}], 
            
            FilledCurve[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
              0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
             3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0,
              1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ1IGYC4gWu2z7/3RLjwMLZJZ+cp+XgAuReuRHjYG6z
N2haopaDf+/0PKHXMQ4b9PIWM8ZoObwJ3CHX+jnGYfoE/iozbQT/x9vXBywP
a8L52x2aHh2foenw5ILS7Z/vYhwy8j+0ngzRcHihZsix5g3QPNUnzfPeqjuw
hPHpbtoa46D+SeXlLE1phz8rP17yXRXjUHP/xy3j12IO/0FgeYyDwq4F+1LX
iTlsBTqvojPGQQOkvlPMYU/JZAmWvBgHkcpJJWdTxBz2n1roui0bqp5P1MEn
SSDCsgXBn+LcnfP8dIyDiTEIiDrcUWFrnCocC5cvfwl0oA6C33IAaKBeLNx8
m/vAEGGLhdvf4Zjw9MKnGIeQt5c/zlgoBg+vL/s+bk3/huBD/CMO57cqsKue
MZGAuAfIf9OW2220WwIePtVg9RIOtVlAHxrEOjSwHO03NNd0uHHue/Bj01gH
fa2VwhdUtBxq7E3jdlnGQsLfWcuhIGPi25rwWHh8iYMCuCgWHr8i69wfVpXE
QuJHQttBoBnowVwEHxweyrEO6WlAwKYN8a8Ygm/aCfQwB4L/ZOnsIwovYhzO
gACPtsOc98uPeW+PgZuHnr4ADEIX3Q==
             "]], 
            
            FilledCurve[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
             3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 
             3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJ+KH34q0ZMv1uCQ7eN5660TUoOvdPzhJp9EPz/IBCM
yV/57WXFGQNlOJ8BBDYow/XD+NnPf6/86Ibgi9489z14cxycf6XipZrhCgT/
/fJj3uYzMfkw+2B8mHtg+mH8jD0lkyW2IPjo/oO5R/2TystZJ6Xh7oXxYf5B
56enAcExGThfpHJSydkjsnD9MD7MPhgf5h4YH+ZeGB/mH3Q+zD4YH+YemH4Y
HxaeMD66/wDlIN9I
             "]], 
            
            FilledCurve[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
             0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
              3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
             3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4pLJEixh3xIcMvI/tJ68ou4wX0r/rsovBJ99
jUxUinaiQwPL0X5Dc00Hiy0nyvYB+ZPbW6Mu22g6RPcf+qqhg+D3Ts8Takbi
dzgmPL2gh+CH8ulumquf6JCaBgRsCL5oj9crlhINOD8dJH9MEs4/AwI+4nD3
pIHlxSDmiyU6hLy9/HHGQjGHIwobijIYEx1iVCNkztUg+Aq7FuxL5ROFuNcm
0cHEGAQw+QYcQAscEPzIFOv7/q4IPnMY0EG+CP7S2UAboqDuURN1UGFrnOoc
n+jwpi2320ha1OF78OOls3MQ/OPe5p2ONQj3wPgw9yrf/lmXlYHwD5C3pyQY
4V9wePgjwgPGRwkvGJ9N2+H3yo+XfL0SHVp4/ddPUdV2AMYuW6NhooPPCXbb
2aFaEHXA8Dtx2Glt5jxNh/2nFrpu+5zgcP5q2Bv92xoO6OkDAGol3jM=
             "]]}, 
           Thickness[0.007051191651389083]]}, {
         ImageSize -> {283.64999252801994`, 32.67741967621419}, 
          ImageSize -> {141.82499626400997`, 16.338709838107096`}, 
          BaselinePosition -> Scaled[0.32439307852814453`], 
          ImageSize -> {142., 17.}, 
          PlotRange -> {{0., 141.82000000000002`}, {0., 16.34}}, AspectRatio -> 
          Automatic}]}, LegendMarkers -> {{
          Graphics[{{
             GrayLevel[1], 
             Disk[{0, 0}, 
              Offset[{6, 6}]]}, 
            AbsoluteThickness[3.], 
            Dashing[{}], 
            Circle[{0, 0}, 
             Offset[{6, 6}]]}], 19.5}, {
          Graphics[{{
             GrayLevel[1], 
             Polygon[{
               Offset[{0, 8}], 
               Offset[{(-4) 3^Rational[1, 2], -4}], 
               Offset[{4 3^Rational[1, 2], -4}]}]}, 
            AbsoluteThickness[3.], 
            Dashing[{}], 
            JoinedCurve[
             Line[{
               Offset[{0, 8}], 
               Offset[{(-4) 3^Rational[1, 2], -4}], 
               Offset[{4 3^Rational[1, 2], -4}], 
               Offset[{0, 8}]}], CurveClosed -> True]}], 19.5}}, 
       Joined -> {False, False}, LabelStyle -> {FontFamily -> "Times"}, 
       LegendLayout -> "Column"]], {Right, Bottom}, Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{
  3.753610163139979*^9, 3.791266774685768*^9, 3.791266812658596*^9, {
   3.7912674565459023`*^9, 3.79126746714496*^9}, 3.7912762548417053`*^9, 
   3.791276316999722*^9, 3.791276421206999*^9, {3.791276494677837*^9, 
   3.79127659166986*^9}, 3.7913027453085003`*^9, 3.791303768260851*^9},
 CellLabel->"Out[74]=",ExpressionUUID->"3814bb40-977e-43cc-93e3-d1f0e33f8853"]
}, Open  ]]
}, Closed]],

Cell["Ground state correlation functional for glomium", "Subsection",
 CellChangeTimes->{{3.782625187684318*^9, 3.782625205187807*^9}, {
  3.7826253413716393`*^9, 3.7826253532482758`*^9}, {3.782625846786179*^9, 
  3.782625848068905*^9}, {3.7826293000392017`*^9, 
  3.7826293054927187`*^9}},ExpressionUUID->"ee1991f0-6627-4afa-871c-\
73710071f6fd"],

Cell[CellGroupData[{

Cell["Singly-excited state correlation functional for glomium", "Subsection",
 CellChangeTimes->{{3.782625187684318*^9, 3.782625205187807*^9}, {
  3.7826253413716393`*^9, 3.7826253532482758`*^9}, {3.782625846786179*^9, 
  3.7826258696716547`*^9}, {3.782629497369335*^9, 3.782629498706218*^9}, {
  3.791197603495945*^9, 
  3.791197604695796*^9}},ExpressionUUID->"c8de2476-91f6-4969-bc63-\
5a0edddc037b"],

Cell[, "Text",ExpressionUUID->"948c535c-78c0-4ae1-af5f-ceb0ef5ab1d8"],

Cell[, "Input",ExpressionUUID->"edc3aa38-1c1d-4d5b-b770-bc52ca77fadc"]
}, Closed]],

Cell[CellGroupData[{

Cell["Doubly-excited state correlation functional for glomium", "Subsection",
 CellChangeTimes->{{3.782625187684318*^9, 3.782625205187807*^9}, {
  3.7826253413716393`*^9, 3.7826253532482758`*^9}, {3.782625846786179*^9, 
  3.7826258696716547`*^9}, {3.782629497369335*^9, 
  3.782629498706218*^9}},ExpressionUUID->"ac951d60-fbce-44ba-8f12-\
9e5545df5beb"],

Cell[, "Text",ExpressionUUID->"dca5790f-2358-43e0-b359-677842457a7d"],

Cell[, "Input",ExpressionUUID->"cce86f90-52f7-41f4-a63d-73a6c518b4c3"]
}, Closed]],

Cell["Weight-dependent exchange functional for glomium", "Subsection",
 CellChangeTimes->{{3.782625187684318*^9, 3.782625205187807*^9}, {
  3.7826253413716393`*^9, 3.7826253532482758`*^9}, {3.782625846786179*^9, 
  3.7826258696716547`*^9}, {3.782626481389626*^9, 
  3.7826264948791018`*^9}},ExpressionUUID->"9f2ce783-2740-403c-974c-\
46a7ef9321fe"],

Cell[CellGroupData[{

Cell["\<\
LDA-centered weight-dependent correlation functional for molecules\
\>", "Subsection",
 CellChangeTimes->{{3.782625187684318*^9, 3.782625205187807*^9}, {
  3.7826253413716393`*^9, 3.7826253532482758`*^9}, {3.782625846786179*^9, 
  3.7826258696716547`*^9}, {3.782626481389626*^9, 3.7826264948791018`*^9}, {
  3.782626761697323*^9, 3.78262677063722*^9}, {3.782629584583153*^9, 
  3.782629586157028*^9}},ExpressionUUID->"ab8ea4d9-6951-44dc-96fc-\
10c74ccd1a4f"],

Cell["\<\
The corresponding LDA-centered weight-dependent correlation functional is then\
\>", "Text",
 CellChangeTimes->{{3.782626772664956*^9, 3.7826268526294622`*^9}, {
  3.782629595887004*^9, 
  3.782629603557575*^9}},ExpressionUUID->"f0dac186-7114-4a5e-b53c-\
f938d8c4fd37"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubsuperscriptBox[
    OverscriptBox["e", "_"], "c", "w"], "[", "\[Rho]", "]"}], "\[Equal]", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "w"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SubsuperscriptBox["e", "c", 
        RowBox[{"(", "0", ")"}]], "[", "\[Rho]", "]"}], "+", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubsuperscriptBox["e", "c", "LDA"], "[", "\[Rho]", "]"}], "-", 
        RowBox[{
         SubsuperscriptBox["e", "c", 
          RowBox[{"(", "0", ")"}]], "[", "\[Rho]", "]"}]}], ")"}]}], ")"}]}], 
   "+", 
   RowBox[{"w", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SubsuperscriptBox["e", "c", 
        RowBox[{"(", "1", ")"}]], "[", "\[Rho]", "]"}], "+", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubsuperscriptBox["e", "c", "LDA"], "[", "\[Rho]", "]"}], "-", 
        RowBox[{
         SubsuperscriptBox["e", "c", 
          RowBox[{"(", "0", ")"}]], "[", "\[Rho]", "]"}]}], ")"}]}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.782627011728672*^9, 3.782627035640417*^9}, {
  3.7826270657535143`*^9, 3.782627143829431*^9}, {3.782627423090889*^9, 
  3.782627582604439*^9}, {3.782629605968178*^9, 
  3.782629619974502*^9}},ExpressionUUID->"2ca8802e-361f-4487-a3f0-\
67d18fc8fe5f"],

Cell["\<\
where we use the VWN5 functional as the LDA correlation functional (cf DFAs \
section)\
\>", "Text",
 CellChangeTimes->{{3.782627269045208*^9, 3.7826272742216253`*^9}, {
  3.7826273182152567`*^9, 3.7826273287284517`*^9}, {3.782629622259294*^9, 
  3.782629656207426*^9}, {3.782629733745845*^9, 
  3.782629760414081*^9}},ExpressionUUID->"00fbe382-6c25-4893-a74d-\
546919a831b8"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubsuperscriptBox["e", "c", "LDA"], "[", "\[Rho]", "]"}], "\[Congruent]", 
  RowBox[{
   SubsuperscriptBox["e", "c", "VWN5"], "[", "\[Rho]", "]"}]}]], "Input",
 CellChangeTimes->{{3.782627279816565*^9, 3.782627314689026*^9}, {
  3.782629630477713*^9, 
  3.7826296413735*^9}},ExpressionUUID->"b7e98868-257f-43e4-b057-ff1cbb083046"],

Cell[TextData[StyleBox["Note that this functional is only valid for \
closed-shell system.\nIf one wants to extend this to open-shell system, one \
needs to take into account spin polarization.\nThere are several ways of \
doing this...\nThe extension to GGAs is also more tricky as the GGA is not \
usual a multiplicative factor compared to the LDA functional.",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.7826266896125298`*^9, 3.782626751796768*^9}, {
  3.782627617737678*^9, 3.7826277263447857`*^9}, {3.782627817686021*^9, 
  3.78262782048987*^9}, {3.782629782084593*^9, 3.782629838089308*^9}, {
  3.782629871341579*^9, 
  3.7826299046888933`*^9}},ExpressionUUID->"336e8167-7e94-4334-9956-\
c0652866375e"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Uniform scaling", "Section",
 CellChangeTimes->{{3.78488690364141*^9, 
  3.784886906701776*^9}},ExpressionUUID->"32a651af-a3d2-413d-9f35-\
7c39c325142c"],

Cell[, "Text",ExpressionUUID->"36150f4f-2e5c-47ee-a5bf-01307e79bf8c"],

Cell[CellGroupData[{

Cell[, "Input",ExpressionUUID->"83381296-964a-478d-9311-55bb4bfa3868"],

Cell[, "Output",ExpressionUUID->"4060d59e-f126-4563-8f66-924798c9a356"]
}, Open  ]],

Cell[CellGroupData[{

Cell[, "Input",ExpressionUUID->"b9647e70-b4d2-4087-8f5e-b33fdef2477f"],

Cell[, "Output",ExpressionUUID->"24dc2015-e906-4b61-85ce-d7c040f0a99f"]
}, Open  ]],

Cell[, "Text",ExpressionUUID->"38868322-9474-42e6-8c64-219d7c4bae84"],

Cell[, "Text",ExpressionUUID->"13c78453-f1c1-4854-92cd-b80d6af14b81"],

Cell[CellGroupData[{

Cell[, "Input",ExpressionUUID->"5d222dbb-a1d4-47ed-91f8-960fb45a6796"],

Cell[, "Output",ExpressionUUID->"89459a83-2c7d-48c6-861a-380e25f1eb9e"]
}, Open  ]],

Cell[, "Text",ExpressionUUID->"201a58be-f2a7-46a3-83f2-0ea3fd86a05c"],

Cell[CellGroupData[{

Cell[, "Input",ExpressionUUID->"9d8cd929-2a73-473b-9f38-5b575f35323f"],

Cell[, "Output",ExpressionUUID->"d7e5146b-7859-447e-8e59-27a8ecc6d109"]
}, Open  ]],

Cell[, "Text",ExpressionUUID->"df0161b1-c572-4c9e-a7dd-915170b4bf06"],

Cell[CellGroupData[{

Cell[, "Input",ExpressionUUID->"34b4a3a0-197b-4fa0-af8e-5feba6af095e"],

Cell[, "Output",ExpressionUUID->"86152b86-44c6-486b-8a24-60adc90b85a2"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Hydrogen molecule", "Title",
 CellChangeTimes->{{3.7850491155949287`*^9, 3.785049118067005*^9}, {
  3.790585065501623*^9, 
  3.790585066350246*^9}},ExpressionUUID->"d8a7ce9c-a1d9-4ac0-b8bf-\
9ca66a94ac58"],

Cell[TextData[StyleBox["Molecular coordinates",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.790585499997554*^9, 
  3.790585503381317*^9}},ExpressionUUID->"d38e2fe6-260d-4638-b639-\
6984dd9d14e4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ZA", "=", "1"}], ";", "\t", 
  RowBox[{"ZB", "=", "1"}], ";", "\t", 
  RowBox[{
   RowBox[{"rA", "[", "R_", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox["R", "2"]}]}], "}"}]}], ";", "\t", 
  RowBox[{
   RowBox[{"rB", "[", "R_", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"+", 
      FractionBox["R", "2"]}]}], "}"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790612571234482*^9, 3.790612583186882*^9}, {
  3.790612652169979*^9, 3.790612655860166*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"36ad5cf0-e243-49da-a4b4-81b7201e79bb"],

Cell[TextData[StyleBox["Basis functions",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.7905855167750597`*^9, 
  3.790585520805128*^9}},ExpressionUUID->"e115f0cc-d9e8-4997-a5a4-\
88b0e9ed97e0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"nG", "=", "3"}], ",", 
      RowBox[{"d", "=", 
       RowBox[{"{", 
        RowBox[{"0.1543289673", ",", "0.5353281423", ",", "0.4446345422"}], 
        "}"}]}], ",", 
      RowBox[{"\[Alpha]", "=", 
       RowBox[{"{", 
        RowBox[{"3.425250914", ",", "0.6239137298", ",", "0.1688554040"}], 
        "}"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["\[Chi]", "A"], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x_", ",", "y_", ",", "z_"}], "}"}], ",", "R_"}], "]"}], "=", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"k", "=", "1"}], "nG"], 
       RowBox[{
        RowBox[{"d", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox[
           RowBox[{"2", 
            RowBox[{
            "\[Alpha]", "\[LeftDoubleBracket]", "k", 
             "\[RightDoubleBracket]"}]}], "\[Pi]"], ")"}], 
         RowBox[{"3", "/", "4"}]], 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{
           "\[Alpha]", "\[LeftDoubleBracket]", "k", 
            "\[RightDoubleBracket]"}]}], 
          SuperscriptBox[
           RowBox[{"Norm", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z"}], "}"}], "-", 
             RowBox[{"rA", "[", "R", "]"}]}], "]"}], "2"]}], "]"}]}]}]}], ";",
      "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[Chi]", "B"], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x_", ",", "y_", ",", "z_"}], "}"}], ",", "R_"}], "]"}], "=", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"k", "=", "1"}], "nG"], 
       RowBox[{
        RowBox[{"d", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox[
           RowBox[{"2", 
            RowBox[{
            "\[Alpha]", "\[LeftDoubleBracket]", "k", 
             "\[RightDoubleBracket]"}]}], "\[Pi]"], ")"}], 
         RowBox[{"3", "/", "4"}]], 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{
           "\[Alpha]", "\[LeftDoubleBracket]", "k", 
            "\[RightDoubleBracket]"}]}], 
          SuperscriptBox[
           RowBox[{"Norm", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z"}], "}"}], "-", 
             RowBox[{"rB", "[", "R", "]"}]}], "]"}], "2"]}], "]"}]}]}]}]}]}], 
   "\[IndentingNewLine]", "]"}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790585522858306*^9, 3.790585573549855*^9}, {
   3.7905858144379053`*^9, 3.790585875501539*^9}, {3.7905859443497963`*^9, 
   3.790585990206952*^9}, {3.790586022013885*^9, 3.790586034909927*^9}, {
   3.790586153134603*^9, 3.790586260399447*^9}, {3.790587429719051*^9, 
   3.790587430109853*^9}, 3.790590184504653*^9, {3.790611134040208*^9, 
   3.790611142811584*^9}, {3.790612085404666*^9, 3.790612086432859*^9}, 
   3.790612188260309*^9, {3.7906126717632303`*^9, 3.79061267734007*^9}, 
   3.790612782078556*^9, {3.790612892956616*^9, 3.790612905674065*^9}, {
   3.790612947951182*^9, 3.790612965035768*^9}, {3.790613311831658*^9, 
   3.790613358728168*^9}, {3.790613507527297*^9, 3.79061350977219*^9}, {
   3.790614141437229*^9, 3.7906141534618187`*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"d0f3a459-5779-4634-b09c-0491b9e771a8"],

Cell[TextData[StyleBox["Integrals over basis functions",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.790586406973572*^9, 3.7905864081493177`*^9}, {
  3.790587204829371*^9, 
  3.7905872084457607`*^9}},ExpressionUUID->"5353bb94-3a0f-4a57-a4c7-\
bf24da4dc996"],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"nG", "=", "3"}], ",", 
     RowBox[{"d", "=", 
      RowBox[{"{", 
       RowBox[{"0.1543289673", ",", "0.5353281423", ",", "0.4446345422"}], 
       "}"}]}], ",", 
     RowBox[{"\[Alpha]", "=", 
      RowBox[{"{", 
       RowBox[{"3.425250914", ",", "0.6239137298", ",", "0.1688554040"}], 
       "}"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["S", "AA"], "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
         RowBox[{"\[ScriptCapitalS]", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
              SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
              SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"rA", "[", "R", "]"}]}], "}"}]}], "]"}]}]}]}], "]"}]}], 
    ";", "\t", 
    RowBox[{
     RowBox[{
      SubscriptBox["S", "BB"], "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
         RowBox[{"\[ScriptCapitalS]", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
              SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
              SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"rB", "[", "R", "]"}]}], "}"}]}], "]"}]}]}]}], "]"}]}], 
    ";", "\t", 
    RowBox[{
     RowBox[{
      SubscriptBox["S", "AB"], "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
         RowBox[{"\[ScriptCapitalS]", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
              SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
              SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"rB", "[", "R", "]"}]}], "}"}]}], "]"}]}]}]}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      SubscriptBox["t", "AA"], "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
         RowBox[{"\[ScriptCapitalT]", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
              SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
              SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"rA", "[", "R", "]"}]}], "}"}]}], "]"}]}]}]}], "]"}]}], 
    ";", "\t", 
    RowBox[{
     RowBox[{
      SubscriptBox["t", "BB"], "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
         RowBox[{"\[ScriptCapitalT]", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
              SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
              SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"rB", "[", "R", "]"}]}], "}"}]}], "]"}]}]}]}], "]"}]}], 
    ";", "\t", 
    RowBox[{
     RowBox[{
      SubscriptBox["t", "AB"], "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
         RowBox[{"\[ScriptCapitalT]", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
              SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
              SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"rB", "[", "R", "]"}]}], "}"}]}], "]"}]}]}]}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      SubscriptBox["v", "AA"], "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[ScriptCapitalV]", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"ZA", ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}]}], "]"}], "+", 
           RowBox[{"\[ScriptCapitalV]", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"ZB", ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}]}], "]"}]}], ")"}]}]}]}],
       "]"}]}], ";", 
    RowBox[{
     RowBox[{
      SubscriptBox["v", "BB"], "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[ScriptCapitalV]", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"ZA", ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}]}], "]"}], "+", 
           RowBox[{"\[ScriptCapitalV]", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"ZB", ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}]}], "]"}]}], ")"}]}]}]}],
       "]"}]}], ";", 
    RowBox[{
     RowBox[{
      SubscriptBox["v", "AB"], "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
         RowBox[{"d", "\[LeftDoubleBracket]", 
          SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[ScriptCapitalV]", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"ZA", ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}]}], "]"}], "+", 
           RowBox[{"\[ScriptCapitalV]", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"ZB", ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}]}], "]"}]}], ")"}]}]}]}],
       "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      SubscriptBox["h", "AA"], "[", "R_", "]"}], "=", 
     RowBox[{
      RowBox[{
       SubscriptBox["t", "AA"], "[", "R", "]"}], "+", 
      RowBox[{
       SubscriptBox["v", "AA"], "[", "R", "]"}]}]}], ";", "\t", 
    RowBox[{
     RowBox[{
      SubscriptBox["h", "BB"], "[", "R_", "]"}], "=", 
     RowBox[{
      RowBox[{
       SubscriptBox["t", "BB"], "[", "R", "]"}], "+", 
      RowBox[{
       SubscriptBox["v", "BB"], "[", "R", "]"}]}]}], ";", "\t", 
    RowBox[{
     RowBox[{
      SubscriptBox["h", "AB"], "[", "R_", "]"}], "=", 
     RowBox[{
      RowBox[{
       SubscriptBox["t", "AB"], "[", "R", "]"}], "+", 
      RowBox[{
       SubscriptBox["v", "AB"], "[", "R", "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"AAAA", "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{
           SubscriptBox["k", "3"], "=", "1"}], "nG"], 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{
            SubscriptBox["k", "4"], "=", "1"}], "nG"], 
          RowBox[{
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "3"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "4"], "\[RightDoubleBracket]"}], 
           RowBox[{"\[ScriptCapitalU]", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "3"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "4"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}]}], "]"}]}]}]}]}]}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"BBBB", "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{
           SubscriptBox["k", "3"], "=", "1"}], "nG"], 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{
            SubscriptBox["k", "4"], "=", "1"}], "nG"], 
          RowBox[{
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "3"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "4"], "\[RightDoubleBracket]"}], 
           RowBox[{"\[ScriptCapitalU]", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "3"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "4"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}]}], "]"}]}]}]}]}]}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ABAB", "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{
           SubscriptBox["k", "3"], "=", "1"}], "nG"], 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{
            SubscriptBox["k", "4"], "=", "1"}], "nG"], 
          RowBox[{
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "3"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "4"], "\[RightDoubleBracket]"}], 
           RowBox[{"\[ScriptCapitalU]", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "3"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "4"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}]}], "]"}]}]}]}]}]}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"AABB", "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{
           SubscriptBox["k", "3"], "=", "1"}], "nG"], 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{
            SubscriptBox["k", "4"], "=", "1"}], "nG"], 
          RowBox[{
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "3"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "4"], "\[RightDoubleBracket]"}], 
           RowBox[{"\[ScriptCapitalU]", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "3"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "4"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}]}], "]"}]}]}]}]}]}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"AAAB", "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{
           SubscriptBox["k", "3"], "=", "1"}], "nG"], 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{
            SubscriptBox["k", "4"], "=", "1"}], "nG"], 
          RowBox[{
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "3"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "4"], "\[RightDoubleBracket]"}], 
           RowBox[{"\[ScriptCapitalU]", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "3"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "4"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}]}], "]"}]}]}]}]}]}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"BBAB", "[", "R_", "]"}], "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{
         SubscriptBox["k", "1"], "=", "1"}], "nG"], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{
          SubscriptBox["k", "2"], "=", "1"}], "nG"], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{
           SubscriptBox["k", "3"], "=", "1"}], "nG"], 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{
            SubscriptBox["k", "4"], "=", "1"}], "nG"], 
          RowBox[{
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "3"], "\[RightDoubleBracket]"}], 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            SubscriptBox["k", "4"], "\[RightDoubleBracket]"}], 
           RowBox[{"\[ScriptCapitalU]", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "1"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "2"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "3"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rA", "[", "R", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Alpha]", "\[LeftDoubleBracket]", 
                SubscriptBox["k", "4"], "\[RightDoubleBracket]"}], ",", 
               RowBox[{"rB", "[", "R", "]"}]}], "}"}]}], "]"}]}]}]}]}]}], 
      "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790586409237515*^9, 3.790586416789282*^9}, {
   3.790586519869673*^9, 3.790586646126953*^9}, {3.790586840542666*^9, 
   3.790586904158124*^9}, {3.7905869574145403`*^9, 3.790586995550918*^9}, {
   3.7905870746701403`*^9, 3.790587132023671*^9}, {3.790587178278302*^9, 
   3.7905871883999863`*^9}, 3.790587412791628*^9, {3.790587490192586*^9, 
   3.790587536264368*^9}, {3.790587610680653*^9, 3.79058765873384*^9}, {
   3.790587918649395*^9, 3.7905879881868057`*^9}, {3.790588031536386*^9, 
   3.790588064809623*^9}, {3.790588116425434*^9, 3.790588122617651*^9}, {
   3.790589958211094*^9, 3.7905899595395327`*^9}, {3.790590017090168*^9, 
   3.7905900647156267`*^9}, {3.790590188107126*^9, 3.790590188443287*^9}, {
   3.790590259300644*^9, 3.79059026249852*^9}, {3.790590572948614*^9, 
   3.790590598010453*^9}, {3.79061268483996*^9, 3.790612743776194*^9}, {
   3.790614708170142*^9, 3.790614712227317*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"edfe8899-5aa6-4573-a2f9-6d5e8138e846"],

Cell[TextData[StyleBox["Spatial orbitals in minimal basis:",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.790585084725306*^9, 
  3.790585104069684*^9}},ExpressionUUID->"5b2593a5-509e-44f9-a6a7-\
5b7dcf896d99"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubscriptBox["\[Phi]", "1"], "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "}"}], ",", "R_"}], "]"}], "=", 
    FractionBox[
     RowBox[{
      RowBox[{
       SubscriptBox["\[Chi]", "A"], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}], "+", 
      RowBox[{
       SubscriptBox["\[Chi]", "B"], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], 
     SqrtBox[
      RowBox[{"2", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          SubscriptBox["S", "AB"], "[", "R", "]"}]}], ")"}]}]]]}], ";", "\t", 
   
   RowBox[{
    RowBox[{
     SubscriptBox["\[Phi]", "2"], "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "}"}], ",", "R_"}], "]"}], "=", 
    FractionBox[
     RowBox[{
      RowBox[{
       SubscriptBox["\[Chi]", "A"], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}], "-", 
      RowBox[{
       SubscriptBox["\[Chi]", "B"], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], 
     SqrtBox[
      RowBox[{"2", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          SubscriptBox["S", "AB"], "[", "R", "]"}]}], ")"}]}]]]}], ";"}], 
  "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7905850270009003`*^9, 3.790585079807232*^9}, {
  3.790585431622954*^9, 3.79058543356772*^9}, {3.7905858844788322`*^9, 
  3.7905859157992983`*^9}, {3.790587433782695*^9, 3.790587438383739*^9}, {
  3.790613976434304*^9, 3.79061399579806*^9}, {3.790614159389223*^9, 
  3.7906141606657143`*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"1f629f77-d334-4620-8d3f-be59496227ae"],

Cell[TextData[StyleBox["One-electron densities",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.790585084725306*^9, 3.790585104069684*^9}, {
  3.790605567798952*^9, 
  3.790605573521681*^9}},ExpressionUUID->"8580055f-686c-403d-8800-\
a4eab889fce4"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubscriptBox["n", "0"], "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "}"}], ",", "R_"}], "]"}], "=", 
    RowBox[{"2", 
     SuperscriptBox[
      RowBox[{
       SubscriptBox["\[Phi]", "1"], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}], 
      "2"]}]}], ";", "\t", 
   RowBox[{
    RowBox[{
     SubscriptBox["n", "1"], "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "}"}], ",", "R_"}], "]"}], "=", 
    RowBox[{
     SuperscriptBox[
      RowBox[{
       SubscriptBox["\[Phi]", "1"], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}], "2"], 
     "+", 
     SuperscriptBox[
      RowBox[{
       SubscriptBox["\[Phi]", "2"], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}], 
      "2"]}]}], ";", "\t", 
   RowBox[{
    RowBox[{
     SubscriptBox["n", "2"], "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "}"}], ",", "R_"}], "]"}], "=", 
    RowBox[{"2", 
     SuperscriptBox[
      RowBox[{
       SubscriptBox["\[Phi]", "2"], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}], 
      "2"]}]}], ";"}], "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7905850270009003`*^9, 3.790585079807232*^9}, {
  3.790585431622954*^9, 3.79058543356772*^9}, {3.7905858844788322`*^9, 
  3.7905859157992983`*^9}, {3.790587433782695*^9, 3.790587438383739*^9}, {
  3.790605575633658*^9, 3.790605631352661*^9}, {3.790611080408037*^9, 
  3.790611083617523*^9}, {3.791200145718028*^9, 3.7912001826915007`*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"518221a1-6d90-4f98-b202-e0a1237c66be"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{"nw", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x_", ",", "y_", ",", "z_"}], "}"}], ",", "R_", ",", "w_"}], 
     "]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
        ")"}], 
      RowBox[{
       SubscriptBox["n", "0"], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
      " ", 
      RowBox[{
       SubscriptBox["n", "1"], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
      " ", 
      RowBox[{
       SubscriptBox["n", "2"], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}]}]}], 
   ";"}], "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7905850270009003`*^9, 3.790585079807232*^9}, {
  3.790585431622954*^9, 3.79058543356772*^9}, {3.7905858844788322`*^9, 
  3.7905859157992983`*^9}, {3.790587433782695*^9, 3.790587438383739*^9}, {
  3.790605575633658*^9, 3.790605631352661*^9}, {3.790611080408037*^9, 
  3.790611083617523*^9}, {3.790619238747375*^9, 3.790619276696437*^9}, {
  3.7912001925165*^9, 3.791200209995207*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"826d1421-eaa2-4927-b8f0-d6e94907b411"],

Cell[TextData[StyleBox["Integrals over orbitals",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.790586406973572*^9, 3.7905864081493177`*^9}, {
  3.790587204829371*^9, 
  3.790587219589327*^9}},ExpressionUUID->"6e302dfa-38b2-43a3-a507-\
71bf2633d8e8"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["h", "1"], "[", "R_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          SubscriptBox["S", "AB"], "[", "R", "]"}]}], ")"}]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SubscriptBox["h", "AA"], "[", "R", "]"}], "+", 
       RowBox[{
        SubscriptBox["h", "BB"], "[", "R", "]"}], "+", 
       RowBox[{"2", 
        RowBox[{
         SubscriptBox["h", "AB"], "[", "R", "]"}]}]}], ")"}]}], "]"}]}], ";", 
  "\t", 
  RowBox[{
   RowBox[{
    SubscriptBox["h", "2"], "[", "R_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          SubscriptBox["S", "AB"], "[", "R", "]"}]}], ")"}]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SubscriptBox["h", "AA"], "[", "R", "]"}], "+", 
       RowBox[{
        SubscriptBox["h", "BB"], "[", "R", "]"}], "-", 
       RowBox[{"2", 
        RowBox[{
         SubscriptBox["h", "AB"], "[", "R", "]"}]}]}], ")"}]}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790587238182136*^9, 3.790587267173367*^9}, {
   3.790587455877968*^9, 3.790587477805868*^9}, {3.7905875469262457`*^9, 
   3.790587604542864*^9}, {3.790587670334567*^9, 3.790587690230748*^9}, {
   3.790590272880838*^9, 3.790590291365608*^9}, 3.7905903766007347`*^9},
 CellLabel->"In[36]:=",ExpressionUUID->"b6dc346e-bb53-455b-8ab0-347df208c4fc"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["J", "11"], "[", "R_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox["1", 
        RowBox[{"2", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{
            SubscriptBox["S", "AB"], "[", "R", "]"}]}], ")"}]}]], ")"}], "2"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"AAAA", "[", "R", "]"}], "+", 
       RowBox[{"BBBB", "[", "R", "]"}], "+", 
       RowBox[{"2", 
        RowBox[{"AABB", "[", "R", "]"}]}], "+", 
       RowBox[{"4", 
        RowBox[{"ABAB", "[", "R", "]"}]}], "+", 
       RowBox[{"4", 
        RowBox[{"AAAB", "[", "R", "]"}]}], "+", 
       RowBox[{"4", 
        RowBox[{"BBAB", "[", "R", "]"}]}]}], ")"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["J", "22"], "[", "R_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox["1", 
        RowBox[{"2", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{
            SubscriptBox["S", "AB"], "[", "R", "]"}]}], ")"}]}]], ")"}], "2"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"AAAA", "[", "R", "]"}], "+", 
       RowBox[{"BBBB", "[", "R", "]"}], "+", 
       RowBox[{"2", 
        RowBox[{"AABB", "[", "R", "]"}]}], "+", 
       RowBox[{"4", 
        RowBox[{"ABAB", "[", "R", "]"}]}], "-", 
       RowBox[{"4", 
        RowBox[{"AAAB", "[", "R", "]"}]}], "-", 
       RowBox[{"4", 
        RowBox[{"BBAB", "[", "R", "]"}]}]}], ")"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["J", "12"], "[", "R_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"(", 
      FractionBox["1", 
       RowBox[{"2", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{
           SubscriptBox["S", "AB"], "[", "R", "]"}]}], ")"}]}]], ")"}], 
     RowBox[{"(", 
      FractionBox["1", 
       RowBox[{"2", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{
           SubscriptBox["S", "AB"], "[", "R", "]"}]}], ")"}]}]], ")"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"AAAA", "[", "R", "]"}], "+", 
       RowBox[{"BBBB", "[", "R", "]"}], "+", 
       RowBox[{"2", 
        RowBox[{"AABB", "[", "R", "]"}]}], "-", 
       RowBox[{"4", 
        RowBox[{"ABAB", "[", "R", "]"}]}]}], ")"}]}], "]"}]}], 
  ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790587701078045*^9, 3.790587721308972*^9}, {
   3.790588079838372*^9, 3.790588105093894*^9}, 3.790588135725808*^9, {
   3.790588310918952*^9, 3.790588322533786*^9}, {3.790588364656127*^9, 
   3.7905883758140497`*^9}, {3.790588409551832*^9, 3.7905884242861843`*^9}, {
   3.790588557126391*^9, 3.7905885830952806`*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"206b163e-f71f-4efa-8317-60df1c6f2d9f"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["K", "11"], "[", "R_", "]"}], "=", 
   RowBox[{
    SubscriptBox["J", "11"], "[", "R", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["K", "22"], "[", "R_", "]"}], "=", 
   RowBox[{
    SubscriptBox["J", "22"], "[", "R", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["K", "12"], "[", "R_", "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"(", 
      FractionBox["1", 
       RowBox[{"2", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{
           SubscriptBox["S", "AB"], "[", "R", "]"}]}], ")"}]}]], ")"}], 
     RowBox[{"(", 
      FractionBox["1", 
       RowBox[{"2", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{
           SubscriptBox["S", "AB"], "[", "R", "]"}]}], ")"}]}]], ")"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"AAAA", "[", "R", "]"}], "+", 
       RowBox[{"BBBB", "[", "R", "]"}], "-", 
       RowBox[{"2", 
        RowBox[{"AABB", "[", "R", "]"}]}]}], ")"}]}], "]"}]}], 
  ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790588642589957*^9, 3.790588682679491*^9}, {
  3.790588776310627*^9, 3.790588778758974*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"efcb09e5-d244-439c-b303-ac091de903d1"],

Cell[TextData[StyleBox["Nuclear energy",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.790587253093514*^9, 3.790587257373096*^9}, {
  3.7906590777707577`*^9, 
  3.790659080098378*^9}},ExpressionUUID->"94763911-d015-4b98-a645-\
b27f631322bf"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["\[CapitalEpsilon]", "NN"], "[", "R_", "]"}], "=", 
   FractionBox[
    RowBox[{"ZA", " ", "ZB"}], 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"rA", "[", "R", "]"}], "-", 
      RowBox[{"rB", "[", "R", "]"}]}], "]"}]]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790585364582788*^9, 3.790585422341731*^9}, {
  3.790588811486704*^9, 3.7905888669431877`*^9}, {3.7906190335224743`*^9, 
  3.7906190337111177`*^9}, {3.790619093049782*^9, 3.790619093357505*^9}, {
  3.7906590832436953`*^9, 3.790659125362174*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"963656e1-185a-42f0-8788-a13dbcb2ba17"],

Cell[TextData[StyleBox["Hartree-Fock energies",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.790587253093514*^9, 
  3.790587257373096*^9}},ExpressionUUID->"04f91dc9-a818-4dc9-a431-\
8d20ab592198"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R_", "]"}], "=", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"2", 
        RowBox[{
         SubscriptBox["h", "1"], "[", "R", "]"}]}], "+", 
       RowBox[{"2", 
        RowBox[{
         SubscriptBox["J", "11"], "[", "R", "]"}]}], "-", 
       RowBox[{
        SubscriptBox["K", "11"], "[", "R", "]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        SubscriptBox["h", "1"], "[", "R", "]"}], "+", 
       RowBox[{
        SubscriptBox["h", "2"], "[", "R", "]"}], "+", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SubscriptBox["J", "11"], "[", "R", "]"}], "+", 
          RowBox[{
           SubscriptBox["J", "22"], "[", "R", "]"}], "+", 
          RowBox[{"2", 
           RowBox[{
            SubscriptBox["J", "12"], "[", "R", "]"}]}]}], ")"}]}], "-", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SubscriptBox["K", "11"], "[", "R", "]"}], "+", 
          RowBox[{
           SubscriptBox["K", "22"], "[", "R", "]"}]}], ")"}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"2", 
        RowBox[{
         SubscriptBox["h", "2"], "[", "R", "]"}]}], "+", 
       RowBox[{"2", 
        RowBox[{
         SubscriptBox["J", "22"], "[", "R", "]"}]}], "-", 
       RowBox[{
        SubscriptBox["K", "22"], "[", "R", "]"}]}]}], "\[IndentingNewLine]", 
     "}"}], "+", 
    RowBox[{
     SubscriptBox["\[CapitalEpsilon]", "NN"], "[", "R", "]"}]}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790585364582788*^9, 3.790585422341731*^9}, {
  3.790588811486704*^9, 3.7905888669431877`*^9}, {3.7906190335224743`*^9, 
  3.7906190337111177`*^9}, {3.790619093049782*^9, 3.790619093357505*^9}, {
  3.79065915742903*^9, 3.790659168377755*^9}, {3.790660617755475*^9, 
  3.790660622626095*^9}, {3.7911998268640203`*^9, 3.791199845711309*^9}, {
  3.791201819941881*^9, 3.791201824310074*^9}, {3.7912829207510347`*^9, 
  3.7912829475488234`*^9}, {3.79459161560315*^9, 3.794591617306189*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"706dddc8-ea42-4d32-a39d-6cda4548386f"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubscriptBox["\[CapitalEpsilon]w", "HF"], "[", 
     RowBox[{"R_", ",", "w_"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
        ")"}], "2", 
      RowBox[{
       SubscriptBox["h", "1"], "[", "R", "]"}]}], "+", 
     RowBox[{
      RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubscriptBox["h", "1"], "[", "R", "]"}], "+", 
        RowBox[{
         SubscriptBox["h", "2"], "[", "R", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
      "2", 
      RowBox[{
       SubscriptBox["h", "2"], "[", "R", "]"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "-", 
         RowBox[{
         "w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ")"}],
        "2"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{
          SubscriptBox["J", "11"], "[", "R", "]"}]}], "-", 
        RowBox[{
         SubscriptBox["K", "11"], "[", "R", "]"}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       "2"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubscriptBox["J", "12"], "[", "R", "]"}], "+", 
        RowBox[{
         SubscriptBox["K", "12"], "[", "R", "]"}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
       "2"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{
          SubscriptBox["J", "22"], "[", "R", "]"}]}], "-", 
        RowBox[{
         SubscriptBox["K", "22"], "[", "R", "]"}]}], ")"}]}], "+", 
     RowBox[{"2", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
        ")"}], 
      RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{
          SubscriptBox["J", "12"], "[", "R", "]"}]}], "-", 
        RowBox[{
         SubscriptBox["K", "12"], "[", "R", "]"}]}], ")"}]}], "+", 
     RowBox[{
      SubscriptBox["\[CapitalEpsilon]", "NN"], "[", "R", "]"}]}]}], ";"}], 
  "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.790659173613167*^9, {3.791199860655905*^9, 3.7911999305330067`*^9}, {
   3.791200307883546*^9, 3.791200345041842*^9}, {3.791200384707233*^9, 
   3.791200389585492*^9}, {3.7912018386633863`*^9, 3.791201844175105*^9}, {
   3.791202056171996*^9, 3.791202065996952*^9}, {3.791203301074733*^9, 
   3.7912033108417263`*^9}, 3.791204383116537*^9},
 CellLabel->"In[45]:=",ExpressionUUID->"5b6bcadc-bebc-485a-ad8a-15c5607cdb5c"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubscriptBox["\[CapitalDelta]\[CapitalEpsilon]w", "HF"], "[", 
     RowBox[{"R_", ",", "w_"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
        ")"}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], "+", 
     RowBox[{
      RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], "+", 
     RowBox[{
      RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], "-", 
     RowBox[{
      SubscriptBox["\[CapitalEpsilon]w", "HF"], "[", 
      RowBox[{"R", ",", "w"}], "]"}]}]}], ";"}], "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790660001969771*^9, 3.790660072444165*^9}, {
  3.7912000484296703`*^9, 3.7912001021713533`*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"3f009055-aba3-4b84-afda-b4550565a952"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["\[Epsilon]w", "HF"], "[", 
    RowBox[{"R_", ",", "w_"}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["h", "1"], "[", "R", "]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "w"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", 
          RowBox[{
           SubscriptBox["J", "11"], "[", "R", "]"}]}], "-", 
         RowBox[{
          SubscriptBox["K", "11"], "[", "R", "]"}]}], ")"}]}], "+", 
      RowBox[{"w", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", 
          RowBox[{
           SubscriptBox["J", "12"], "[", "R", "]"}]}], "-", 
         RowBox[{
          SubscriptBox["K", "12"], "[", "R", "]"}]}], ")"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["h", "2"], "[", "R", "]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "w"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", 
          RowBox[{
           SubscriptBox["J", "12"], "[", "R", "]"}]}], "-", 
         RowBox[{
          SubscriptBox["K", "12"], "[", "R", "]"}]}], ")"}]}], "+", 
      RowBox[{"w", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", 
          RowBox[{
           SubscriptBox["J", "22"], "[", "R", "]"}]}], "-", 
         RowBox[{
          SubscriptBox["K", "22"], "[", "R", "]"}]}], ")"}]}]}]}], "}"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790660423886979*^9, 3.790660530808771*^9}, {
   3.790661586617362*^9, 3.7906615882014847`*^9}, {3.791201941589872*^9, 
   3.791201957380183*^9}, 3.793177640932495*^9, {3.794591593705616*^9, 
   3.794591595458248*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"5ac9021a-5169-4112-a93a-cba8cac2204c"],

Cell[TextData[StyleBox["LDA energies",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.790587253093514*^9, 3.790587257373096*^9}, {
  3.79060545274035*^9, 3.790605453095336*^9}, {3.790605665401697*^9, 
  3.7906056655375757`*^9}},ExpressionUUID->"acf62eaa-9c57-4e21-98ab-\
4e5f44a5d9f7"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubscriptBox["\[CapitalEpsilon]", "LDA"], "[", "R_", "]"}], ":=", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"2", 
         RowBox[{
          SubscriptBox["h", "1"], "[", "R", "]"}]}], "+", 
        RowBox[{"2", 
         RowBox[{
          SubscriptBox["J", "11"], "[", "R", "]"}]}], "+", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Epsilon]xcLDA", "[", 
            RowBox[{
             SubscriptBox["n", "0"], "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}], 
            "]"}], 
           RowBox[{
            SubscriptBox["n", "0"], "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         SubscriptBox["h", "1"], "[", "R", "]"}], "+", 
        RowBox[{
         SubscriptBox["h", "2"], "[", "R", "]"}], "+", 
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SubscriptBox["J", "11"], "[", "R", "]"}], "-", 
           RowBox[{"NIntegrate", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"\[Epsilon]xcLDA", "[", 
               RowBox[{
                SubscriptBox["n", "0"], "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}],
                "]"}], 
              RowBox[{
               SubscriptBox["n", "0"], "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], 
               "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", 
               RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"z", ",", 
               RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
            "]"}]}], ")"}]}], "+", 
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SubscriptBox["J", "22"], "[", "R", "]"}], "-", 
           RowBox[{"NIntegrate", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"\[Epsilon]xcLDA", "[", 
               RowBox[{
                SubscriptBox["n", "2"], "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}],
                "]"}], 
              RowBox[{
               SubscriptBox["n", "2"], "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], 
               "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", 
               RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"z", ",", 
               RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
            "]"}]}], ")"}]}], "+", 
        RowBox[{
         SubscriptBox["J", "12"], "[", "R", "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{
          SubscriptBox["h", "2"], "[", "R", "]"}]}], "+", 
        RowBox[{"2", 
         RowBox[{
          SubscriptBox["J", "22"], "[", "R", "]"}]}], "+", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Epsilon]xcLDA", "[", 
            RowBox[{
             SubscriptBox["n", "2"], "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}], 
            "]"}], 
           RowBox[{
            SubscriptBox["n", "2"], "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}]}]}], "\[IndentingNewLine]", "}"}], "+", 
     RowBox[{
      SubscriptBox["\[CapitalEpsilon]", "NN"], "[", "R", "]"}]}]}], ";"}], 
  "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790605458040031*^9, 3.790605458543043*^9}, {
   3.790605491525733*^9, 3.79060554005932*^9}, {3.7906056671315413`*^9, 
   3.790605692291338*^9}, {3.790610838410942*^9, 3.790610918068091*^9}, {
   3.7906110542128553`*^9, 3.790611062835252*^9}, {3.790618152013009*^9, 
   3.790618153069519*^9}, {3.790618673469589*^9, 3.790618675001255*^9}, 
   3.790659180965103*^9, {3.790660627881838*^9, 3.7906606344245253`*^9}, {
   3.791200126342725*^9, 3.791200136533306*^9}, {3.791200416721519*^9, 
   3.7912004207310658`*^9}, 3.791282521010787*^9, {3.791284031708661*^9, 
   3.7912840765397778`*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"3be982ec-1101-45a8-b5c0-a041ea88edd9"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubscriptBox["\[CapitalEpsilon]w", "LDA"], "[", 
     RowBox[{"R_", ",", "w_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
        ")"}], "2", 
      RowBox[{
       SubscriptBox["h", "1"], "[", "R", "]"}]}], "+", 
     RowBox[{
      RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubscriptBox["h", "1"], "[", "R", "]"}], "+", 
        RowBox[{
         SubscriptBox["h", "2"], "[", "R", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
      " ", "2", 
      RowBox[{
       SubscriptBox["h", "2"], "[", "R", "]"}]}], "+", 
     RowBox[{"2", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "-", 
         RowBox[{
         "w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ")"}],
        "2"], 
      RowBox[{
       SubscriptBox["J", "11"], "[", "R", "]"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       "2"], 
      RowBox[{
       SubscriptBox["J", "12"], "[", "R", "]"}]}], "+", 
     RowBox[{"2", 
      SuperscriptBox[
       RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
       "2"], 
      RowBox[{
       SubscriptBox["J", "22"], "[", "R", "]"}]}], "+", 
     RowBox[{"2", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
        ")"}], 
      RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
      " ", 
      RowBox[{
       SubscriptBox["J", "12"], "[", "R", "]"}]}], "+", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Epsilon]xcLDA", "[", 
         RowBox[{"nw", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", "w"}], 
          "]"}], "]"}], 
        RowBox[{"nw", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", "w"}], 
         "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], "]"}], 
     "+", 
     RowBox[{
      SubscriptBox["\[CapitalEpsilon]", "NN"], "[", "R", "]"}]}]}], ";"}], 
  "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7906191044624767`*^9, 3.7906191773964367`*^9}, {
   3.790619286782889*^9, 3.790619299369211*^9}, {3.790619337303144*^9, 
   3.790619344809649*^9}, {3.790619402147251*^9, 3.790619402226974*^9}, 
   3.790659183868813*^9, {3.791200471586405*^9, 3.791200583640974*^9}, {
   3.791202038909951*^9, 3.791202042771472*^9}, {3.791203315170907*^9, 
   3.7912033164753933`*^9}, 3.7912043756852818`*^9},
 CellLabel->"In[49]:=",ExpressionUUID->"d0a62c85-f71a-491c-97db-c302cc831e5e"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubscriptBox["\[CapitalDelta]\[CapitalEpsilon]w", "LDA"], "[", 
     RowBox[{"R_", ",", "w_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
        ")"}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "LDA"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], "+", 
     RowBox[{
      RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "LDA"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], "+", 
     RowBox[{
      RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "LDA"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], "-", 
     RowBox[{
      SubscriptBox["\[CapitalEpsilon]w", "LDA"], "[", 
      RowBox[{"R", ",", "w"}], "]"}]}]}], ";"}], "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790660001969771*^9, 3.790660091003895*^9}, 
   3.790660542656966*^9, {3.791200446570538*^9, 3.791200465560381*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"199d4133-2756-40fa-b213-5caba9575a52"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubscriptBox["\[Epsilon]w", "LDA"], "[", 
     RowBox[{"R_", ",", "w_"}], "]"}], ":=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["h", "1"], "[", "R", "]"}], "+", 
       RowBox[{"2", 
        RowBox[{"(", 
         RowBox[{"1", "-", "w"}], ")"}], 
        RowBox[{
         SubscriptBox["J", "11"], "[", "R", "]"}]}], "+", 
       RowBox[{"2", "w", " ", 
        RowBox[{
         SubscriptBox["J", "12"], "[", "R", "]"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"d\[Epsilon]xcLDAdn", "[", 
               RowBox[{"nw", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                 "w"}], "]"}], "]"}], 
              RowBox[{"nw", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                "w"}], "]"}]}], "+", 
             RowBox[{"\[Epsilon]xcLDA", "[", 
              RowBox[{"nw", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                "w"}], "]"}], "]"}]}], ")"}], 
           RowBox[{
            SubscriptBox["n", "0"], "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        SubscriptBox["h", "1"], "[", "R", "]"}], "+", 
       RowBox[{
        SubscriptBox["h", "2"], "[", "R", "]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
           "-", 
          RowBox[{
          "w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
         ")"}], 
        RowBox[{
         SubscriptBox["J", "11"], "[", "R", "]"}]}], "+", 
       RowBox[{"2", "w", " ", 
        RowBox[{
         SubscriptBox["J", "12"], "[", "R", "]"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"d\[Epsilon]xcLDAdn", "[", 
               RowBox[{"nw", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                 "w"}], "]"}], "]"}], 
              RowBox[{"nw", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                "w"}], "]"}]}], "+", 
             RowBox[{"\[Epsilon]xcLDA", "[", 
              RowBox[{"nw", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                "w"}], "]"}], "]"}]}], ")"}], 
           RowBox[{
            SubscriptBox["n", "0"], "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        SubscriptBox["h", "2"], "[", "R", "]"}], "+", 
       RowBox[{"2", 
        RowBox[{"(", 
         RowBox[{"1", "-", "w"}], ")"}], 
        RowBox[{
         SubscriptBox["J", "12"], "[", "R", "]"}]}], "+", 
       RowBox[{"2", "w", " ", 
        RowBox[{
         SubscriptBox["J", "22"], "[", "R", "]"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"d\[Epsilon]xcLDAdn", "[", 
               RowBox[{"nw", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                 "w"}], "]"}], "]"}], 
              RowBox[{"nw", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                "w"}], "]"}]}], "+", 
             RowBox[{"\[Epsilon]xcLDA", "[", 
              RowBox[{"nw", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                "w"}], "]"}], "]"}]}], ")"}], 
           RowBox[{
            SubscriptBox["n", "2"], "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}]}]}]}], "\[IndentingNewLine]", "}"}]}], ";"}], "*)"}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.790660423886979*^9, 3.790660614840477*^9}, {
   3.790660673368799*^9, 3.790660734031897*^9}, {3.790661577778819*^9, 
   3.7906615810821047`*^9}, {3.79066238202234*^9, 3.7906624156374083`*^9}, {
   3.791200602481963*^9, 3.791200628768276*^9}, 3.791201965399434*^9, 
   3.793177648767544*^9},
 CellLabel->"In[51]:=",ExpressionUUID->"ca733f68-29b1-4ede-890a-2e209d3bc36f"],

Cell[TextData[StyleBox["eLDA energies",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.790587253093514*^9, 3.790587257373096*^9}, {
   3.79060545274035*^9, 3.790605453095336*^9}, {3.790605665401697*^9, 
   3.7906056655375757`*^9}, 3.790615223845895*^9, 
   3.790615777404924*^9},ExpressionUUID->"1e4ce167-3a3b-4c53-9c2a-\
63a8f4ac6e4e"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubscriptBox["\[CapitalEpsilon]", "eLDA"], "[", "R_", "]"}], ":=", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"2", 
         RowBox[{
          SubscriptBox["h", "1"], "[", "R", "]"}]}], "+", 
        RowBox[{"2", 
         RowBox[{
          SubscriptBox["J", "11"], "[", "R", "]"}]}], "+", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Epsilon]xceLDA", "[", 
            RowBox[{
             RowBox[{
              SubscriptBox["n", "0"], "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}], 
             ",", "0"}], "]"}], 
           RowBox[{
            SubscriptBox["n", "0"], "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         SubscriptBox["h", "1"], "[", "R", "]"}], "+", 
        RowBox[{
         SubscriptBox["h", "2"], "[", "R", "]"}], "+", 
        RowBox[{
         SubscriptBox["J", "12"], "[", "R", "]"}], "+", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Epsilon]xceLDA", "[", 
            RowBox[{
             RowBox[{
              SubscriptBox["n", "1"], "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}], 
             ",", "0"}], "]"}], 
           RowBox[{
            SubscriptBox["n", "1"], "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{
          SubscriptBox["h", "2"], "[", "R", "]"}]}], "+", 
        RowBox[{"2", 
         RowBox[{
          SubscriptBox["J", "22"], "[", "R", "]"}]}], "+", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Epsilon]xceLDA", "[", 
            RowBox[{
             RowBox[{
              SubscriptBox["n", "2"], "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}], 
             ",", "1"}], "]"}], 
           RowBox[{
            SubscriptBox["n", "2"], "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}]}]}], "\[IndentingNewLine]", "}"}], "+", 
     RowBox[{
      SubscriptBox["\[CapitalEpsilon]", "NN"], "[", "R", "]"}]}]}], ";"}], 
  "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790605458040031*^9, 3.790605458543043*^9}, {
   3.790605491525733*^9, 3.79060554005932*^9}, {3.7906056671315413`*^9, 
   3.790605692291338*^9}, {3.790610838410942*^9, 3.790610918068091*^9}, {
   3.7906110542128553`*^9, 3.790611062835252*^9}, {3.790615225694908*^9, 
   3.7906152329132547`*^9}, {3.790618147868698*^9, 3.790618149719122*^9}, {
   3.790618670193342*^9, 3.79061867932382*^9}, 3.790659187972827*^9, {
   3.790660643667115*^9, 3.790660649050318*^9}, {3.7912006670402403`*^9, 
   3.791200683792675*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"1d78f4a6-ed20-4f56-9454-6451173421a8"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    SubscriptBox["\[CapitalEpsilon]w", "eLDA"], "[", 
    RowBox[{"R_", ",", "w_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       "-", 
       RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
      ")"}], "2", 
     RowBox[{
      SubscriptBox["h", "1"], "[", "R", "]"}]}], "+", 
    RowBox[{
     RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SubscriptBox["h", "1"], "[", "R", "]"}], "+", 
       RowBox[{
        SubscriptBox["h", "2"], "[", "R", "]"}]}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], " ",
      "2", 
     RowBox[{
      SubscriptBox["h", "2"], "[", "R", "]"}]}], "+", 
    RowBox[{"2", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
        ")"}], "2"], 
     RowBox[{
      SubscriptBox["J", "11"], "[", "R", "]"}]}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
      "2"], 
     RowBox[{
      SubscriptBox["J", "12"], "[", "R", "]"}]}], "+", 
    RowBox[{"2", 
     SuperscriptBox[
      RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
      "2"], 
     RowBox[{
      SubscriptBox["J", "22"], "[", "R", "]"}]}], "+", 
    RowBox[{"2", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       "-", 
       RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
      ")"}], 
     RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], " ", 
     RowBox[{
      SubscriptBox["J", "12"], "[", "R", "]"}]}], "+", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Epsilon]xceLDA", "[", 
        RowBox[{
         RowBox[{"nw", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", "w"}], 
          "]"}], ",", "w"}], "]"}], 
       RowBox[{"nw", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", "w"}], 
        "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
     "]"}]}]}], "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7906191044624767`*^9, 3.7906191943435097`*^9}, {
   3.790619315024371*^9, 3.79061931729541*^9}, {3.790619349519698*^9, 
   3.790619356926655*^9}, {3.790619407198872*^9, 3.790619409338375*^9}, {
   3.7906194502646437`*^9, 3.790619451317535*^9}, {3.7906195478586807`*^9, 
   3.790619547970214*^9}, 3.790659191412819*^9, 3.791200701890439*^9, {
   3.791202030995595*^9, 3.791202034579583*^9}, {3.791203323380628*^9, 
   3.7912033241311407`*^9}, 3.791204368788007*^9},
 CellLabel->"In[53]:=",ExpressionUUID->"e0df8f2f-e94b-41f6-a1eb-0f9b564c8f35"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubscriptBox["\[CapitalDelta]\[CapitalEpsilon]w", "eLDA"], "[", 
     RowBox[{"R_", ",", "w_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "-", 
        RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
        ")"}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "eLDA"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], "+", 
     RowBox[{
      RowBox[{"w", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "eLDA"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], "+", 
     RowBox[{
      RowBox[{"w", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "eLDA"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], "-", 
     RowBox[{
      SubscriptBox["\[CapitalEpsilon]w", "eLDA"], "[", 
      RowBox[{"R", ",", "w"}], "]"}]}]}], ";"}], "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790660001969771*^9, 3.790660105027638*^9}, 
   3.790660544962287*^9, {3.7912007078886833`*^9, 3.791200724622361*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"6b5c7c1f-450b-46ac-b346-08b59f3c48ff"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubscriptBox["\[Epsilon]w", "eLDA"], "[", 
     RowBox[{"R_", ",", "w_"}], "]"}], ":=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["h", "1"], "[", "R", "]"}], "+", 
       RowBox[{"2", 
        RowBox[{"(", 
         RowBox[{"1", "-", "w"}], ")"}], 
        RowBox[{
         SubscriptBox["J", "11"], "[", "R", "]"}]}], "+", 
       RowBox[{"2", "w", " ", 
        RowBox[{
         SubscriptBox["J", "12"], "[", "R", "]"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"d\[Epsilon]xceLDAdn", "[", 
               RowBox[{
                RowBox[{"nw", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                  "w"}], "]"}], ",", "w"}], "]"}], 
              RowBox[{"nw", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                "w"}], "]"}]}], "+", 
             RowBox[{"\[Epsilon]xceLDA", "[", 
              RowBox[{
               RowBox[{"nw", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                 "w"}], "]"}], ",", "w"}], "]"}]}], ")"}], 
           RowBox[{
            SubscriptBox["n", "1"], "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        SubscriptBox["h", "2"], "[", "R", "]"}], "+", 
       RowBox[{"2", 
        RowBox[{"(", 
         RowBox[{"1", "-", "w"}], ")"}], 
        RowBox[{
         SubscriptBox["J", "12"], "[", "R", "]"}]}], "+", 
       RowBox[{"2", "w", " ", 
        RowBox[{
         SubscriptBox["J", "22"], "[", "R", "]"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"d\[Epsilon]xceLDAdn", "[", 
               RowBox[{
                RowBox[{"nw", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                  "w"}], "]"}], ",", "w"}], "]"}], 
              RowBox[{"nw", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                "w"}], "]"}]}], "+", 
             RowBox[{"\[Epsilon]xceLDA", "[", 
              RowBox[{
               RowBox[{"nw", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R", ",", 
                 "w"}], "]"}], ",", "w"}], "]"}]}], ")"}], 
           RowBox[{
            SubscriptBox["n", "2"], "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "R"}], "]"}]}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}]}]}]}], "\[IndentingNewLine]", "}"}]}], ";"}], "*)"}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.790660423886979*^9, 3.790660614840477*^9}, {
   3.790660673368799*^9, 3.790660753527668*^9}, {3.7906615534098883`*^9, 
   3.790661574889584*^9}, 3.791201969495487*^9, 3.793177654012394*^9},
 CellLabel->"In[55]:=",ExpressionUUID->"89004a84-80b2-4ac8-b3e7-192619b48c85"],

Cell[TextData[StyleBox["CID energies",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.790587253093514*^9, 3.790587257373096*^9}, {
  3.79060545274035*^9, 
  3.790605453095336*^9}},ExpressionUUID->"eeb33af8-ab09-4c5f-98a3-\
684ae529c2b6"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["\[CapitalEpsilon]", "CISD"], "[", "R_", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{
          SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}], 
         "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "+", 
        RowBox[{
         RowBox[{
          SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}], 
         "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], "2"], "-", 
      
      RowBox[{
       FractionBox["1", "2"], 
       SqrtBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{
              SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}], 
             "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "-", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}], 
             "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], ")"}], 
          "2"], "+", 
         RowBox[{"4", 
          SuperscriptBox[
           RowBox[{
            SubscriptBox["K", "12"], "[", "R", "]"}], "2"]}]}]]}]}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["h", "1"], "[", "R", "]"}], "+", 
      RowBox[{
       SubscriptBox["h", "2"], "[", "R", "]"}], "+", 
      RowBox[{
       SubscriptBox["J", "12"], "[", "R", "]"}], "+", 
      RowBox[{
       SubscriptBox["K", "12"], "[", "R", "]"}]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{
          SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}], 
         "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "+", 
        RowBox[{
         RowBox[{
          SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}], 
         "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], "2"], "+", 
      
      RowBox[{
       FractionBox["1", "2"], 
       SqrtBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{
              SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}], 
             "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "-", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}], 
             "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], ")"}], 
          "2"], "+", 
         RowBox[{"4", 
          SuperscriptBox[
           RowBox[{
            SubscriptBox["K", "12"], "[", "R", "]"}], "2"]}]}]]}]}]}], 
    "}"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790605458040031*^9, 3.790605458543043*^9}, {
   3.790605491525733*^9, 3.79060554005932*^9}, {3.790614460047532*^9, 
   3.790614470197546*^9}, 3.7906591751978273`*^9, {3.791203214626651*^9, 
   3.791203219675529*^9}, 3.79120426233991*^9, {3.791204559313012*^9, 
   3.7912045606144743`*^9}, 3.791282429474617*^9, 3.7912829076326513`*^9},
 CellLabel->"In[56]:=",ExpressionUUID->"1d95f279-eea0-4f7b-b541-6b303dfd6eb9"],

Cell[TextData[StyleBox["Data",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.790587253093514*^9, 3.790587257373096*^9}, {
   3.79060545274035*^9, 3.790605453095336*^9}, 3.791202822900754*^9, {
   3.79120430385709*^9, 
   3.7912043045212307`*^9}},ExpressionUUID->"d81923d6-2f61-4e28-9498-\
a6ac201db475"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Rmin", "=", "1.3"}], ",", 
      RowBox[{"Rmax", "=", "1.5"}], ",", 
      RowBox[{"\[CapitalDelta]R", "=", "0.1"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ScanEHF", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"{", 
          RowBox[{"R", ",", 
           RowBox[{
            SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}]}], "}"}],
          "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"R", ",", "Rmin", ",", "Rmax", ",", "\[CapitalDelta]R"}], 
         "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ScanEwHF", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"{", 
          RowBox[{"R", ",", 
           RowBox[{
            SubscriptBox["\[CapitalEpsilon]w", "HF"], "[", 
            RowBox[{"R", ",", 
             RowBox[{"{", 
              RowBox[{
               FractionBox["1", "3"], ",", 
               FractionBox["1", "3"]}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"R", ",", "Rmin", ",", "Rmax", ",", "\[CapitalDelta]R"}], 
         "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ScanECID", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"{", 
          RowBox[{"R", ",", 
           RowBox[{
            SubscriptBox["\[CapitalEpsilon]", "CID"], "[", "R", "]"}]}], 
          "}"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"R", ",", "Rmin", ",", "Rmax", ",", "\[CapitalDelta]R"}], 
         "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ScanELDA", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"{", 
          RowBox[{"R", ",", 
           RowBox[{
            SubscriptBox["\[CapitalEpsilon]", "LDA"], "[", "R", "]"}]}], 
          "}"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"R", ",", "Rmin", ",", "Rmax", ",", "\[CapitalDelta]R"}], 
         "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ScanEwLDA", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"{", 
          RowBox[{"R", ",", 
           RowBox[{
            SubscriptBox["\[CapitalEpsilon]w", "LDA"], "[", 
            RowBox[{"R", ",", 
             RowBox[{"{", 
              RowBox[{
               FractionBox["1", "3"], ",", 
               FractionBox["1", "3"]}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"R", ",", "Rmin", ",", "Rmax", ",", "\[CapitalDelta]R"}], 
         "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ScanEeLDA", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"{", 
          RowBox[{"R", ",", 
           RowBox[{
            SubscriptBox["\[CapitalEpsilon]", "eLDA"], "[", "R", "]"}]}], 
          "}"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"R", ",", "Rmin", ",", "Rmax", ",", "\[CapitalDelta]R"}], 
         "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ScanEweLDA", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"{", 
          RowBox[{"R", ",", 
           RowBox[{
            SubscriptBox["\[CapitalEpsilon]w", "eLDA"], "[", 
            RowBox[{"R", ",", 
             RowBox[{"{", 
              RowBox[{
               FractionBox["1", "3"], ",", 
               FractionBox["1", "3"]}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"R", ",", "Rmin", ",", "Rmax", ",", "\[CapitalDelta]R"}], 
         "}"}]}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], 
  "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790658215232338*^9, 3.790658236824192*^9}, {
  3.7906583897274837`*^9, 3.790658524654791*^9}, {3.790659704040538*^9, 
  3.790659705870874*^9}, {3.790659735886373*^9, 3.790659813232091*^9}, {
  3.791200850944066*^9, 3.791200866071169*^9}, {3.791204325244298*^9, 
  3.7912043285127363`*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"2ada455b-0f69-4044-aa86-e64ea1196ef1"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"R", "=", "1.4"}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", 
       RowBox[{"2", ";;", "3"}], "\[RightDoubleBracket]"}], "-", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"R", "=", "1.4"}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "CISD"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", 
       RowBox[{"2", ";;", "3"}], "\[RightDoubleBracket]"}], "-", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "CISD"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"R", "=", "1.4"}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "LDA"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", 
       RowBox[{"2", ";;", "3"}], "\[RightDoubleBracket]"}], "-", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalEpsilon]", "LDA"], "[", "R", "]"}], 
       "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}], "]"}]}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.791205113215897*^9, 3.791205153700055*^9}, {
  3.791282362947442*^9, 3.791282408665889*^9}, {3.791282440401436*^9, 
  3.791282445082849*^9}},
 CellLabel->
  "In[104]:=",ExpressionUUID->"93e94660-fda2-4395-b4ba-b65011ae95bf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[CapitalEpsilon]", "CISD"], "[", "1.4", "]"}]], "Input",
 CellChangeTimes->{{3.798349704772258*^9, 3.7983497199705687`*^9}, {
  3.798349756168414*^9, 3.7983497567615623`*^9}, {3.798349928344872*^9, 
  3.798349934546998*^9}},
 CellLabel->
  "In[143]:=",ExpressionUUID->"77c353c9-4ae3-45cb-a0db-d1968d07902c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "1.1372759438397708`"}], ",", 
   RowBox[{"-", "0.8835774638050298`"}], ",", "0.4811380652302917`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.7983497131143913`*^9, 3.798349726447447*^9}, 
   3.798349824767119*^9, 3.798349866890108*^9, {3.798349918714076*^9, 
   3.798349935072009*^9}},
 CellLabel->
  "Out[143]=",ExpressionUUID->"7b9e65cf-5f97-4774-9253-54b5b6028c4d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[CapitalEpsilon]", "HF"], "[", "1.4", "]"}]], "Input",
 CellChangeTimes->{{3.7983500183375893`*^9, 3.798350023317491*^9}},
 CellLabel->
  "In[144]:=",ExpressionUUID->"e5c2846e-cd55-4431-8394-16eb3471ef65"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "1.1167143252245468`"}], ",", 
   RowBox[{"-", "0.3505496637077896`"}], ",", "0.4605764466150676`"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7983500237799063`*^9},
 CellLabel->
  "Out[144]=",ExpressionUUID->"9bf80229-ec11-45f1-af7c-da4cc80cd110"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1.1372759438397708"}], "+", "1.1167143252245468"}]], "Input",
 CellChangeTimes->{{3.798350284784295*^9, 3.7983502878756027`*^9}},
 CellLabel->
  "In[145]:=",ExpressionUUID->"5ec81406-9217-47a9-b9b0-e766e9de6704"],

Cell[BoxData[
 RowBox[{"-", "0.020561618615223987`"}]], "Output",
 CellChangeTimes->{3.7983502882230673`*^9},
 CellLabel->
  "Out[145]=",ExpressionUUID->"ed60c0e4-a08d-4ec1-b5a6-378df538d3a2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"2", 
  RowBox[{
   SubscriptBox["K", "12"], "[", "3.0", "]"}]}]], "Input",
 CellChangeTimes->{{3.7983504115143337`*^9, 3.798350451932229*^9}, {
  3.798350494649887*^9, 3.798350494738085*^9}, {3.7984584360042067`*^9, 
  3.798458455678872*^9}, {3.798458519037437*^9, 3.798458566092202*^9}},
 CellLabel->
  "In[133]:=",ExpressionUUID->"de0f98ea-4eea-4510-b1bb-5684b0ce7e23"],

Cell[BoxData["0.47023479108486715`"], "Output",
 CellChangeTimes->{{3.798350414152318*^9, 3.798350452211866*^9}, 
   3.798350495049077*^9, 3.798458477014372*^9, {3.798458520454921*^9, 
   3.798458566590645*^9}},
 CellLabel->
  "Out[133]=",ExpressionUUID->"2a571555-9b49-4f67-8c9d-783d29f10706"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Self-consistent ensemble KS calculation", "Title",
 CellChangeTimes->{{3.791650889133657*^9, 
  3.7916509056170387`*^9}},ExpressionUUID->"17a23e7a-f1a2-46ea-aa7f-\
7bc099f9933e"],

Cell[CellGroupData[{

Cell["Functionals", "Section",
 CellChangeTimes->{{3.793193193434402*^9, 
  3.7931931947236633`*^9}},ExpressionUUID->"ee199b1d-a6a4-4eb3-9e41-\
ea5673045d1a"],

Cell["LDA exchange functionals", "Text",
 CellChangeTimes->{{3.790617745116544*^9, 3.7906177720649967`*^9}},
 FontColor->RGBColor[
  1, 0, 0],ExpressionUUID->"d408aeeb-1654-4525-903e-88994da645ee"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]xLDA", "[", "n_", "]"}], "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"CxLDA", "=", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["3", "4"]}], 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox["3", "\[Pi]"], ")"}], 
         RowBox[{"1", "/", "3"}]]}]}], "}"}], ",", 
     RowBox[{"CxLDA", " ", 
      SuperscriptBox["n", 
       RowBox[{"1", "/", "3"}]]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]x0", "[", "n_", "]"}], "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Cx0", "=", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["4", "3"]}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox["1", "\[Pi]"], ")"}], 
         RowBox[{"1", "/", "3"}]]}]}], "}"}], ",", 
     RowBox[{"Cx0", " ", 
      SuperscriptBox["n", 
       RowBox[{"1", "/", "3"}]]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]x1", "[", "n_", "]"}], "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Cx1", "=", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["16", "10"]}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox["1", "\[Pi]"], ")"}], 
         RowBox[{"1", "/", "3"}]]}]}], "}"}], ",", 
     RowBox[{"Cx1", " ", 
      SuperscriptBox["n", 
       RowBox[{"1", "/", "3"}]]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]x2", "[", "n_", "]"}], "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Cx1", "=", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["176", "105"]}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox["1", "\[Pi]"], ")"}], 
         RowBox[{"1", "/", "3"}]]}]}], "}"}], ",", 
     RowBox[{"Cx1", " ", 
      SuperscriptBox["n", 
       RowBox[{"1", "/", "3"}]]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]xeLDA", "[", 
    RowBox[{"n_", ",", 
     RowBox[{"{", 
      RowBox[{"w1_", ",", "w2_"}], "}"}]}], "]"}], "=", 
   RowBox[{
    RowBox[{"\[Epsilon]xLDA", "[", "n", "]"}], "+", 
    RowBox[{"w1", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Epsilon]x1", "[", "n", "]"}], "-", 
       RowBox[{"\[Epsilon]x0", "[", "n", "]"}]}], ")"}]}], "+", 
    RowBox[{"w2", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Epsilon]x2", "[", "n", "]"}], "-", 
       RowBox[{"\[Epsilon]x0", "[", "n", "]"}]}], ")"}]}]}]}], 
  ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.79059838113128*^9, 3.7905985061910954`*^9}, 
   3.7906057050230303`*^9, {3.7906109479713078`*^9, 3.790610952959711*^9}, {
   3.790617319564548*^9, 3.790617416879177*^9}, {3.790618439965136*^9, 
   3.7906184689663363`*^9}, {3.79066088543036*^9, 3.790660891318091*^9}, {
   3.791197816799444*^9, 3.791197861336274*^9}, {3.793177311138096*^9, 
   3.793177332024592*^9}, {3.793177493398699*^9, 3.793177503854292*^9}, {
   3.7952319708460703`*^9, 3.795231975156331*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"f51f78c8-fe8e-48f3-a562-1209bfc50f71"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]xLDAdn", "[", "n_", "]"}], "=", 
   RowBox[{"Evaluate", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"\[Epsilon]xLDA", "[", "n", "]"}], ",", "n"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]x0dn", "[", "n_", "]"}], "=", 
   RowBox[{"Evaluate", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"\[Epsilon]x0", "[", "n", "]"}], ",", "n"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]x1dn", "[", "n_", "]"}], "=", 
   RowBox[{"Evaluate", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"\[Epsilon]x1", "[", "n", "]"}], ",", "n"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]x2dn", "[", "n_", "]"}], "=", 
   RowBox[{"Evaluate", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"\[Epsilon]x2", "[", "n", "]"}], ",", "n"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]xeLDAdn", "[", 
    RowBox[{"n_", ",", 
     RowBox[{"{", 
      RowBox[{"w1_", ",", "w2_"}], "}"}]}], "]"}], "=", 
   RowBox[{
    RowBox[{"d\[Epsilon]xLDAdn", "[", "n", "]"}], "+", 
    RowBox[{"w1", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"d\[Epsilon]x1dn", "[", "n", "]"}], "-", 
       RowBox[{"d\[Epsilon]x0dn", "[", "n", "]"}]}], ")"}]}], "+", 
    RowBox[{"w2", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"d\[Epsilon]x2dn", "[", "n", "]"}], "-", 
       RowBox[{"d\[Epsilon]x0dn", "[", "n", "]"}]}], ")"}]}]}]}], 
  ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.79059838113128*^9, 3.7905985061910954`*^9}, 
   3.7906057050230303`*^9, {3.7906109479713078`*^9, 3.790610952959711*^9}, {
   3.790617319564548*^9, 3.790617416879177*^9}, {3.790618439965136*^9, 
   3.7906184689663363`*^9}, {3.79066088543036*^9, 3.7906609462132797`*^9}, {
   3.791197871150556*^9, 3.791197891101996*^9}, {3.7916567531973343`*^9, 
   3.791656771133575*^9}, {3.793177319551435*^9, 3.7931773253695717`*^9}, {
   3.793177507511698*^9, 3.7931775158449583`*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"dd062623-5a91-460e-945c-d5f15e24abfb"],

Cell["LDA correlation functionals", "Text",
 CellChangeTimes->{{3.790617745116544*^9, 3.790617768448262*^9}},
 FontColor->RGBColor[
  1, 0, 0],ExpressionUUID->"683219a6-4bcc-4fb8-93b5-7c590bc511b5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Intermediate", " ", "quantities"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"X", "[", 
      RowBox[{"x_", ",", "b_", ",", "c_"}], "]"}], "=", 
     RowBox[{
      SuperscriptBox["x", "2"], "+", 
      RowBox[{"b", " ", "x"}], "+", "c"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "d_", "]"}], "=", 
     SqrtBox["d"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Q", "[", 
      RowBox[{"b_", ",", "c_"}], "]"}], "=", 
     SqrtBox[
      RowBox[{
       RowBox[{"4", "c"}], "-", 
       SuperscriptBox["b", "2"]}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "\[Zeta]_", "]"}], "=", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "\[Zeta]"}], ")"}], 
        RowBox[{"4", "/", "3"}]], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Zeta]"}], ")"}], 
        RowBox[{"4", "/", "3"}]], "-", "2"}], 
      RowBox[{"2", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["2", 
          RowBox[{"1", "/", "3"}]], "-", "1"}], ")"}]}]]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"interpolation", " ", "function"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"vwn", "[", 
      RowBox[{"A_", ",", "a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], "=", 
     
     RowBox[{"A", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox[
           RowBox[{"x", "[", "d", "]"}], "2"], 
          RowBox[{"X", "[", 
           RowBox[{
            RowBox[{"x", "[", "d", "]"}], ",", "b", ",", "c"}], "]"}]], "]"}],
         "+", 
        RowBox[{
         FractionBox[
          RowBox[{"2", "b"}], 
          RowBox[{"Q", "[", 
           RowBox[{"b", ",", "c"}], "]"}]], 
         RowBox[{"ArcTan", "[", 
          FractionBox[
           RowBox[{"Q", "[", 
            RowBox[{"b", ",", "c"}], "]"}], 
           RowBox[{
            RowBox[{"2", 
             RowBox[{"x", "[", "d", "]"}]}], "+", "b"}]], "]"}]}], "-", 
        RowBox[{
         FractionBox[
          RowBox[{"b", "*", "a"}], 
          RowBox[{"X", "[", 
           RowBox[{"a", ",", "b", ",", "c"}], "]"}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Log", "[", 
            FractionBox[
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"x", "[", "d", "]"}], "-", "a"}], ")"}], "2"], 
             RowBox[{"X", "[", 
              RowBox[{
               RowBox[{"x", "[", "d", "]"}], ",", "b", ",", "c"}], "]"}]], 
            "]"}], "+", 
           RowBox[{
            FractionBox[
             RowBox[{"2", 
              RowBox[{"(", 
               RowBox[{"b", "+", 
                RowBox[{"2", "a"}]}], ")"}]}], 
             RowBox[{"Q", "[", 
              RowBox[{"b", ",", "c"}], "]"}]], 
            RowBox[{"ArcTan", "[", 
             FractionBox[
              RowBox[{"Q", "[", 
               RowBox[{"b", ",", "c"}], "]"}], 
              RowBox[{
               RowBox[{"2", 
                RowBox[{"x", "[", "d", "]"}]}], "+", "b"}]], "]"}]}]}], 
          ")"}]}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"VWN5", " ", "correlation", " ", "functional"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Epsilon]cVWN5", "[", 
      RowBox[{"rs_", ",", "\[Zeta]_"}], "]"}], "=", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"f2", "=", 
         FractionBox["4", 
          RowBox[{"9", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["2", 
              RowBox[{"1", "/", "3"}]], "-", "1"}], ")"}]}]]}], "}"}], ",", 
       RowBox[{
        RowBox[{"vwn", "[", 
         RowBox[{
          FractionBox["0.0621814", "2"], ",", 
          RowBox[{"-", "0.10498"}], ",", "3.72744", ",", "12.9352", ",", 
          "rs"}], "]"}], "+", 
        RowBox[{
         RowBox[{"vwn", "[", 
          RowBox[{
           RowBox[{"-", 
            FractionBox["1", 
             RowBox[{"6", 
              SuperscriptBox["\[Pi]", "2"]}]]}], ",", 
           RowBox[{"-", "0.00475840"}], ",", "1.13107", ",", "13.0045", ",", 
           "rs"}], "]"}], 
         RowBox[{"(", 
          FractionBox[
           RowBox[{"f", "[", "\[Zeta]", "]"}], "f2"], ")"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Zeta]"}], ")"}], "4"]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"vwn", "[", 
            RowBox[{
             FractionBox["0.0310907", "2"], ",", 
             RowBox[{"-", "0.32500"}], ",", "7.06042", ",", "18.0578", ",", 
             "rs"}], "]"}], "-", 
           RowBox[{"vwn", "[", 
            RowBox[{
             FractionBox["0.0621814", "2"], ",", 
             RowBox[{"-", "0.10498"}], ",", "3.72744", ",", "12.9352", ",", 
             "rs"}], "]"}]}], ")"}], 
         RowBox[{"f", "[", "\[Zeta]", "]"}], 
         SuperscriptBox["\[Zeta]", "4"]}]}]}], "]"}]}], ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.783426305086109*^9, 3.7834263553520613`*^9}, {
   3.783426480832552*^9, 3.783426485774303*^9}, {3.783426632185308*^9, 
   3.783426658830944*^9}, {3.783427391840214*^9, 3.783427392389812*^9}, 
   3.7834287156166573`*^9, {3.7836773637524137`*^9, 3.7836775311274233`*^9}, {
   3.7906176573902884`*^9, 3.790617676290105*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"c5e15fc2-7ce6-4ed3-bc7f-bcdc9085134d"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]cLDA", "[", "n_", "]"}], "=", 
   RowBox[{"\[Epsilon]cVWN5", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox["3", 
        RowBox[{"4", "\[Pi]", " ", "n"}]], ")"}], 
      RowBox[{"1", "/", "3"}]], ",", "0"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]c0", "[", "n_", "]"}], "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "=", 
        RowBox[{"-", "0.0238184`"}]}], ",", 
       RowBox[{"b", "=", "0.00540994"}], ",", 
       RowBox[{"c", "=", "0.0830766"}]}], "}"}], ",", 
     FractionBox["a", 
      RowBox[{"1", "+", 
       RowBox[{"b", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "6"}]]}], "+", 
       RowBox[{"c", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "3"}]]}]}]]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]c1", "[", "n_", "]"}], "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "=", 
        RowBox[{"-", "0.0282814`"}]}], ",", 
       RowBox[{"b", "=", "0.002739250132910031`"}], ",", 
       RowBox[{"c", "=", "0.06649138204575991`"}]}], "}"}], ",", 
     FractionBox["a", 
      RowBox[{"1", "+", 
       RowBox[{"b", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "6"}]]}], "+", 
       RowBox[{"c", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "3"}]]}]}]]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]c2", "[", "n_", "]"}], "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "=", 
        RowBox[{"-", "0.0144633`"}]}], ",", 
       RowBox[{"b", "=", 
        RowBox[{"-", "0.0506019"}]}], ",", 
       RowBox[{"c", "=", "0.0331417"}]}], "}"}], ",", 
     FractionBox["a", 
      RowBox[{"1", "+", 
       RowBox[{"b", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "6"}]]}], "+", 
       RowBox[{"c", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "3"}]]}]}]]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]ceLDA", "[", 
    RowBox[{"n_", ",", 
     RowBox[{"{", 
      RowBox[{"w1_", ",", "w2_"}], "}"}]}], "]"}], "=", 
   RowBox[{
    RowBox[{"\[Epsilon]cLDA", "[", "n", "]"}], "+", 
    RowBox[{"w1", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Epsilon]c1", "[", "n", "]"}], "-", 
       RowBox[{"\[Epsilon]c0", "[", "n", "]"}]}], ")"}]}], "+", 
    RowBox[{"w2", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Epsilon]c2", "[", "n", "]"}], "-", 
       RowBox[{"\[Epsilon]c0", "[", "n", "]"}]}], ")"}]}]}]}], 
  ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.79059838113128*^9, 3.7905985061910954`*^9}, 
   3.7906057050230303`*^9, {3.7906109479713078`*^9, 3.790610952959711*^9}, {
   3.790617319564548*^9, 3.790617516913457*^9}, {3.790617702215055*^9, 
   3.790617719701961*^9}, {3.7906182605153427`*^9, 3.790618262031168*^9}, {
   3.790618364188952*^9, 3.790618401731085*^9}, {3.791197899150729*^9, 
   3.79119794166324*^9}, {3.791266134226925*^9, 3.791266160344372*^9}, {
   3.791276876530004*^9, 3.791276902864431*^9}, {3.7931773494141073`*^9, 
   3.793177362214679*^9}, {3.793177524467002*^9, 3.793177533663501*^9}, {
   3.7946407768550367`*^9, 3.794640843772748*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"8db93606-ec73-4fe8-9228-51f79c4ef957"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]cLDAdn", "[", "n_", "]"}], "=", 
   RowBox[{"Evaluate", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"\[Epsilon]cLDA", "[", "n", "]"}], ",", "n"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]c0dn", "[", "n_", "]"}], "=", 
   RowBox[{"Evaluate", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"\[Epsilon]c0", "[", "n", "]"}], ",", "n"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]c1dn", "[", "n_", "]"}], "=", 
   RowBox[{"Evaluate", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"\[Epsilon]c1", "[", "n", "]"}], ",", "n"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]c2dn", "[", "n_", "]"}], "=", 
   RowBox[{"Evaluate", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"\[Epsilon]c2", "[", "n", "]"}], ",", "n"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]ceLDAdn", "[", 
    RowBox[{"n_", ",", 
     RowBox[{"{", 
      RowBox[{"w1_", ",", "w2_"}], "}"}]}], "]"}], "=", 
   RowBox[{
    RowBox[{"d\[Epsilon]cLDAdn", "[", "n", "]"}], "+", 
    RowBox[{"w1", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"d\[Epsilon]c1dn", "[", "n", "]"}], "-", 
       RowBox[{"d\[Epsilon]c0dn", "[", "n", "]"}]}], ")"}]}], "+", 
    RowBox[{"w2", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"d\[Epsilon]c2dn", "[", "n", "]"}], "-", 
       RowBox[{"d\[Epsilon]c0dn", "[", "n", "]"}]}], ")"}]}]}]}], 
  ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.79059838113128*^9, 3.7905985061910954`*^9}, 
   3.7906057050230303`*^9, {3.7906109479713078`*^9, 3.790610952959711*^9}, {
   3.790617319564548*^9, 3.790617416879177*^9}, {3.790618439965136*^9, 
   3.7906184689663363`*^9}, {3.79066088543036*^9, 3.790660978615497*^9}, {
   3.791197952974031*^9, 3.791197965261272*^9}, {3.7916566693582706`*^9, 
   3.7916566861849003`*^9}, {3.7931773653514357`*^9, 
   3.7931773697924013`*^9}, {3.793177537261116*^9, 3.793177546546081*^9}},
 CellLabel->"In[79]:=",ExpressionUUID->"3c5be8aa-305f-4c0e-a51a-4bc92cdcf171"],

Cell["LDA exchange-correlation functionals", "Text",
 CellChangeTimes->{{3.790617745116544*^9, 3.790617768448262*^9}, {
  3.790617800705172*^9, 3.790617802097224*^9}},
 FontColor->RGBColor[
  1, 0, 0],ExpressionUUID->"264d5181-32f7-492d-a01f-33c1ad90708e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]xcLDA", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"\[Epsilon]xLDA", "[", "n", "]"}], "+", 
    RowBox[{"\[Epsilon]cLDA", "[", "n", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]xc0", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"\[Epsilon]x0", "[", "n", "]"}], "+", 
    RowBox[{"\[Epsilon]c0", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]xc1", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"\[Epsilon]x1", "[", "n", "]"}], "+", 
    RowBox[{"\[Epsilon]c1", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]xc2", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"\[Epsilon]x2", "[", "n", "]"}], "+", 
    RowBox[{"\[Epsilon]c2", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]xceLDA", "[", 
    RowBox[{"n_", ",", 
     RowBox[{"{", 
      RowBox[{"w1_", ",", "w2_"}], "}"}]}], "]"}], "=", 
   RowBox[{
    RowBox[{"\[Epsilon]xeLDA", "[", 
     RowBox[{"n", ",", 
      RowBox[{"{", 
       RowBox[{"w1", ",", "w2"}], "}"}]}], "]"}], "+", 
    RowBox[{"\[Epsilon]ceLDA", "[", 
     RowBox[{"n", ",", 
      RowBox[{"{", 
       RowBox[{"w1", ",", "w2"}], "}"}]}], "]"}]}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790617806453972*^9, 3.7906178574975023`*^9}, {
   3.791197974030027*^9, 3.791197978149313*^9}, {3.79165585574725*^9, 
   3.791655856305195*^9}, {3.793177372179325*^9, 3.7931773770831003`*^9}, 
   3.793177419186366*^9, {3.793177457575171*^9, 3.793177458141382*^9}, {
   3.7931775512158747`*^9, 3.7931775673336477`*^9}, {3.793178006554833*^9, 
   3.793178013351201*^9}},
 CellLabel->"In[84]:=",ExpressionUUID->"f6517707-c164-4ea9-b57c-8d4d27eafad3"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]xcLDAdn", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"d\[Epsilon]xLDAdn", "[", "n", "]"}], "+", 
    RowBox[{"d\[Epsilon]cLDAdn", "[", "n", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]xc0dn", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"d\[Epsilon]x0dn", "[", "n", "]"}], "+", 
    RowBox[{"d\[Epsilon]c0dn", "[", "n", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]xc1dn", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"d\[Epsilon]x1dn", "[", "n", "]"}], "+", 
    RowBox[{"d\[Epsilon]c1dn", "[", "n", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]xc2dn", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"d\[Epsilon]x2dn", "[", "n", "]"}], "+", 
    RowBox[{"d\[Epsilon]c2dn", "[", "n", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]xceLDAdn", "[", 
    RowBox[{"n_", ",", 
     RowBox[{"{", 
      RowBox[{"w1_", ",", "w2_"}], "}"}]}], "]"}], "=", 
   RowBox[{
    RowBox[{"d\[Epsilon]xeLDAdn", "[", 
     RowBox[{"n", ",", 
      RowBox[{"{", 
       RowBox[{"w1", ",", "w2"}], "}"}]}], "]"}], "+", 
    RowBox[{"d\[Epsilon]ceLDAdn", "[", 
     RowBox[{"n", ",", 
      RowBox[{"{", 
       RowBox[{"w1", ",", "w2"}], "}"}]}], "]"}]}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.790617806453972*^9, 3.7906178574975023`*^9}, {
  3.790660991606427*^9, 3.790661018422545*^9}, {3.7911979815336847`*^9, 
  3.791197986348868*^9}, {3.7931773792972937`*^9, 3.793177382877861*^9}, {
  3.793177569805366*^9, 3.7931775940345783`*^9}},
 CellLabel->"In[89]:=",ExpressionUUID->"33dfcd59-33cc-4f88-bc22-62c17b91dbeb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]xeLDAdw1", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"\[Epsilon]x1", "[", "n", "]"}], "-", 
    RowBox[{"\[Epsilon]x0", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]ceLDAdw1", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"\[Epsilon]c1", "[", "n", "]"}], "-", 
    RowBox[{"\[Epsilon]c0", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]xceLDAdw1", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"\[Epsilon]xc1", "[", "n", "]"}], "-", 
    RowBox[{"\[Epsilon]xc0", "[", "n", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]xeLDAdw2", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"\[Epsilon]x2", "[", "n", "]"}], "-", 
    RowBox[{"\[Epsilon]x0", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]ceLDAdw2", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"\[Epsilon]c2", "[", "n", "]"}], "-", 
    RowBox[{"\[Epsilon]c0", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Epsilon]xceLDAdw2", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"\[Epsilon]xc2", "[", "n", "]"}], "-", 
    RowBox[{"\[Epsilon]xc0", "[", "n", "]"}]}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7906610362852507`*^9, 3.790661042510214*^9}, {
  3.790661095924047*^9, 3.790661108253295*^9}, {3.790661781802154*^9, 
  3.790661784729022*^9}, {3.791197995454302*^9, 3.791198007807596*^9}, {
  3.793177384637517*^9, 3.793177388900116*^9}, {3.793177599283658*^9, 
  3.793177603140668*^9}},
 CellLabel->"In[94]:=",ExpressionUUID->"9663902a-8667-481b-b613-f1c2b56b8e76"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     FractionBox[
      RowBox[{"a", " ", "n"}], 
      RowBox[{"1", "+", 
       RowBox[{"b", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "6"}]]}], "+", 
       RowBox[{"c", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "3"}]]}]}]], ",", "n"}], "]"}], "\[Equal]", 
   RowBox[{
    FractionBox["a", 
     RowBox[{"1", "+", 
      RowBox[{"b", " ", 
       SuperscriptBox["n", 
        RowBox[{
         RowBox[{"-", "1"}], "/", "6"}]]}], "+", 
      RowBox[{"c", " ", 
       SuperscriptBox["n", 
        RowBox[{
         RowBox[{"-", "1"}], "/", "3"}]]}]}]], "+", 
    RowBox[{"n", 
     FractionBox["1", 
      RowBox[{"6", " ", "n"}]], 
     FractionBox["a", 
      RowBox[{"1", "+", 
       RowBox[{"b", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "6"}]]}], "+", 
       RowBox[{"c", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "3"}]]}]}]], 
     FractionBox[
      RowBox[{
       RowBox[{"b", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "6"}]]}], "+", 
       RowBox[{"2", "c", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "3"}]]}]}], 
      RowBox[{"1", "+", 
       RowBox[{"b", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "6"}]]}], "+", 
       RowBox[{"c", " ", 
        SuperscriptBox["n", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "3"}]]}]}]]}]}]}], "//", 
  "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.79464104597891*^9, 3.794641053019307*^9}, {
  3.794641087101942*^9, 3.794641263458016*^9}, {3.7946413069247017`*^9, 
  3.794641351834385*^9}},
 CellLabel->
  "In[147]:=",ExpressionUUID->"9c77e315-84f3-4bb8-b779-5d21ee96f65c"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.7946410485913763`*^9, 3.794641053458202*^9}, 
   3.794641087548443*^9, {3.794641226474444*^9, 3.794641264703529*^9}, 
   3.794641343012505*^9, 3.7946535221009007`*^9},
 CellLabel->
  "Out[147]=",ExpressionUUID->"7775f4e6-2ee1-497c-a9f8-3118f95930d2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     FractionBox[
      RowBox[{"a", " ", "2", "n"}], 
      RowBox[{"1", "+", 
       RowBox[{"b", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"2", "n"}], ")"}], 
         RowBox[{
          RowBox[{"-", "1"}], "/", "6"}]]}], "+", 
       RowBox[{"c", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"2", "n"}], ")"}], 
         RowBox[{
          RowBox[{"-", "1"}], "/", "3"}]]}]}]], ",", "n"}], "]"}], "\[Equal]", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      FractionBox["a", 
       RowBox[{"1", "+", 
        RowBox[{"b", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "n"}], ")"}], 
          RowBox[{
           RowBox[{"-", "1"}], "/", "6"}]]}], "+", 
        RowBox[{"c", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "n"}], ")"}], 
          RowBox[{
           RowBox[{"-", "1"}], "/", "3"}]]}]}]], "+", 
      RowBox[{"2", "n", 
       FractionBox["1", 
        RowBox[{"6", " ", "2", "n"}]], 
       FractionBox["a", 
        RowBox[{"1", "+", 
         RowBox[{"b", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"2", "n"}], ")"}], 
           RowBox[{
            RowBox[{"-", "1"}], "/", "6"}]]}], "+", 
         RowBox[{"c", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"2", "n"}], ")"}], 
           RowBox[{
            RowBox[{"-", "1"}], "/", "3"}]]}]}]], 
       FractionBox[
        RowBox[{
         RowBox[{"b", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"2", "n"}], ")"}], 
           RowBox[{
            RowBox[{"-", "1"}], "/", "6"}]]}], "+", 
         RowBox[{"2", "c", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"2", "n"}], ")"}], 
           RowBox[{
            RowBox[{"-", "1"}], "/", "3"}]]}]}], 
        RowBox[{"1", "+", 
         RowBox[{"b", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"2", "n"}], ")"}], 
           RowBox[{
            RowBox[{"-", "1"}], "/", "6"}]]}], "+", 
         RowBox[{"c", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"2", "n"}], ")"}], 
           RowBox[{
            RowBox[{"-", "1"}], "/", "3"}]]}]}]]}]}], ")"}], "2"}]}], "//", 
  "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.7946537234083433`*^9, 3.794653790206505*^9}},
 CellLabel->
  "In[152]:=",ExpressionUUID->"5723b756-79d9-4c12-ac51-e690c38ba91f"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.794653737853291*^9, 3.79465374240104*^9}, {
  3.794653776212935*^9, 3.794653790622325*^9}},
 CellLabel->
  "Out[152]=",ExpressionUUID->"765ed458-56ac-4e75-a8ca-0144cacbffa3"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["One- and two-electron integrals", "Section",
 CellChangeTimes->{{3.656870379993108*^9, 3.6568703842969103`*^9}, {
   3.704008473603836*^9, 3.704008482123569*^9}, 
   3.7040332369091787`*^9},ExpressionUUID->"4d1b8cb8-9fb8-4b2a-afd6-\
5af66132ddc3"],

Cell[CellGroupData[{

Cell["Overlap", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.656870835727161*^9, 3.656870836742358*^9}, {
  3.710753507385749*^9, 
  3.71075350835212*^9}},ExpressionUUID->"d24bb10a-a08d-4cb4-adc6-\
90eacbbb945e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalS]", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]_", ",", "A_", ",", "LA_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Beta]_", ",", "B_", ",", "LB_"}], "}"}]}], "]"}], ":=", 
   RowBox[{
    RowBox[{"\[ScriptCapitalS]", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Alpha]", ",", "A", ",", "LA"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Beta]", ",", "B", ",", "LB"}], "}"}]}], "]"}], "=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"EAB", ",", "Overlap"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"EAB", "=", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            RowBox[{"\[Alpha]", " ", "\[Beta]"}], 
            RowBox[{"\[Alpha]", "+", "\[Beta]"}]]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"A", "-", "B"}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{"A", "-", "B"}], ")"}]}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"Lazy", " ", "evaluation"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"sRR", "[", 
         RowBox[{"i_", ",", "a_", ",", "b_"}], "]"}], ":=", 
        RowBox[{"sRR", "[", 
         RowBox[{"i", ",", "a", ",", "b"}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"Do", "[", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"Initial", " ", "Conditions"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"sRR", "[", 
            RowBox[{"i_", ",", "0", ",", "0"}], "]"}], ":=", "1"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"sRR", "[", 
            RowBox[{"i_", ",", "1", ",", "0"}], "]"}], ":=", 
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
              "A", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              "-", 
              FractionBox[
               RowBox[{
                RowBox[{"\[Alpha]", " ", 
                 RowBox[{
                 "A", "\[LeftDoubleBracket]", "i", 
                  "\[RightDoubleBracket]"}]}], "+", 
                RowBox[{"\[Beta]", " ", 
                 RowBox[{
                 "B", "\[LeftDoubleBracket]", "i", 
                  "\[RightDoubleBracket]"}]}]}], 
               RowBox[{"\[Alpha]", "+", "\[Beta]"}]]}], ")"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"Recurrence", " ", "Index"}], " ", "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"sRR", "[", 
            RowBox[{"i_", ",", "a_", ",", "0"}], "]"}], ":=", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                "A", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
                "-", " ", 
                FractionBox[
                 RowBox[{
                  RowBox[{"\[Alpha]", " ", 
                   RowBox[{
                   "A", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}]}], "+", 
                  RowBox[{"\[Beta]", " ", 
                   RowBox[{
                   "B", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}]}]}], 
                 RowBox[{"\[Alpha]", "+", "\[Beta]"}]]}], " ", ")"}]}], 
             RowBox[{"sRR", "[", 
              RowBox[{"i", ",", 
               RowBox[{"a", "-", "1"}], ",", "0"}], "]"}]}], "+", 
            RowBox[{
             FractionBox[
              RowBox[{"a", "-", "1"}], 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"\[Alpha]", "+", "\[Beta]"}], ")"}]}]], 
             RowBox[{"sRR", "[", 
              RowBox[{"i", ",", 
               RowBox[{"a", "-", "2"}], ",", "0"}], "]"}]}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"Transfer", " ", "Recurrence", " ", "Relation"}], " ", 
           "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"sRR", "[", 
            RowBox[{"i_", ",", "a_", ",", "b_"}], "]"}], ":=", " ", 
           RowBox[{
            RowBox[{"sRR", "[", 
             RowBox[{"i", ",", 
              RowBox[{"a", "+", "1"}], ",", 
              RowBox[{"b", "-", "1"}]}], "]"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
               "A", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
               "-", 
               RowBox[{
               "B", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
              ")"}], 
             RowBox[{"sRR", "[", 
              RowBox[{"i", ",", "a", ",", 
               RowBox[{"b", "-", "1"}]}], "]"}]}]}]}], ";"}], 
         "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "3"}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"EAB", 
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox["\[Pi]", 
            RowBox[{"\[Alpha]", "+", "\[Beta]"}]], ")"}], 
          RowBox[{"3", "/", "2"}]], 
         RowBox[{
          UnderoverscriptBox["\[Product]", 
           RowBox[{"i", "=", "1"}], "3"], 
          RowBox[{"sRR", "[", 
           RowBox[{"i", ",", 
            RowBox[{
            "LA", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], ",", 
            RowBox[{
            "LB", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
           "]"}]}]}], "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.51137852243522*^9, 3.511378610998904*^9}, {
   3.511378715921279*^9, 3.511378796841989*^9}, {3.5113833626175623`*^9, 
   3.511383373743135*^9}, {3.511620095162156*^9, 3.5116201381319733`*^9}, {
   3.511620207471487*^9, 3.511620270794323*^9}, {3.511620302201069*^9, 
   3.5116203097592487`*^9}, {3.5154210670309668`*^9, 
   3.5154210775070047`*^9}, {3.515421112655953*^9, 3.5154211130035048`*^9}, 
   3.515784364755046*^9, {3.515785378186522*^9, 3.5157854169931507`*^9}, {
   3.515785941197845*^9, 3.515785947259012*^9}, 3.56790450271452*^9, {
   3.5679086174587*^9, 3.5679086372338333`*^9}, {3.568313453050324*^9, 
   3.5683134549898787`*^9}, {3.5683135247523327`*^9, 3.568313537481514*^9}, {
   3.577067799570075*^9, 3.577067801196068*^9}, {3.616887008466625*^9, 
   3.6168870099974327`*^9}, 3.617589082054721*^9, {3.6568703910911007`*^9, 
   3.656870730532868*^9}, {3.656870852080276*^9, 3.656870870333303*^9}, {
   3.656870908432486*^9, 3.656870935539921*^9}, {3.657344802238168*^9, 
   3.657344805074315*^9}, {3.704184186775612*^9, 3.704184195159319*^9}, {
   3.704184555784388*^9, 3.704184557678616*^9}, {3.70418756980822*^9, 
   3.704187581294497*^9}, 3.7041876334253273`*^9, 3.704197864596492*^9, {
   3.704198598107399*^9, 3.704198605134618*^9}, {3.7042133781128597`*^9, 
   3.7042133877119703`*^9}, {3.7048159792998657`*^9, 3.704816007295512*^9}, {
   3.710758847576931*^9, 3.710758849171629*^9}, {3.710758911963599*^9, 
   3.7107589185644293`*^9}, {3.7107589550954723`*^9, 
   3.7107590134434757`*^9}, {3.710819284463393*^9, 3.710819286571446*^9}},
 CellLabel->
  "In[100]:=",ExpressionUUID->"a8bb5ed2-fac9-4aa5-a25c-81e18795f4fd"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalS]c", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]_", ",", "A_", ",", "LA_", ",", "DA_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Beta]_", ",", "B_", ",", "LB_", ",", "DB_"}], "}"}]}], "]"}],
    ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"KA", ",", "KB", ",", "Int"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"Degrees", " ", "of", " ", "contraction"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"KA", "=", 
       RowBox[{"Length", "[", "\[Alpha]", "]"}]}], ";", "\t", 
      RowBox[{"KB", "=", 
       RowBox[{"Length", "[", "\[Beta]", "]"}]}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"(*", " ", 
       RowBox[{"Contracted", " ", "integral"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Int", "=", 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"kA", "=", "1"}], "KA"], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"kB", "=", "1"}], "KB"], 
         RowBox[{
          RowBox[{"NormCoeff", "[", 
           RowBox[{
            RowBox[{
            "\[Alpha]", "\[LeftDoubleBracket]", "kA", 
             "\[RightDoubleBracket]"}], ",", "LA"}], "]"}], 
          RowBox[{"NormCoeff", "[", 
           RowBox[{
            RowBox[{
            "\[Beta]", "\[LeftDoubleBracket]", "kB", 
             "\[RightDoubleBracket]"}], ",", "LB"}], "]"}], 
          RowBox[{
          "DA", "\[LeftDoubleBracket]", "kA", "\[RightDoubleBracket]"}], 
          RowBox[{
          "DB", "\[LeftDoubleBracket]", "kB", "\[RightDoubleBracket]"}], 
          RowBox[{"\[ScriptCapitalS]", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
              "\[Alpha]", "\[LeftDoubleBracket]", "kA", 
               "\[RightDoubleBracket]"}], ",", "A", ",", "LA"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
              "\[Beta]", "\[LeftDoubleBracket]", "kB", 
               "\[RightDoubleBracket]"}], ",", "B", ",", "LB"}], "}"}]}], 
           "]"}]}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "Int", "]"}], ";"}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.704184069575794*^9, 3.704184244596478*^9}, {
  3.704184289582673*^9, 3.7041843584209433`*^9}, {3.704184438389485*^9, 
  3.704184486230136*^9}, {3.704184821981968*^9, 3.7041848701184187`*^9}, {
  3.704207582478797*^9, 3.7042076404283237`*^9}},
 CellLabel->
  "In[101]:=",ExpressionUUID->"a2ccdecb-28b2-4c3c-84ab-5afe89d58a90"]
}, Closed]],

Cell[CellGroupData[{

Cell["ERI", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.656877552019801*^9, 3.656877557066668*^9}, {
  3.657340018671445*^9, 3.6573400199126883`*^9}, {3.711296831119636*^9, 
  3.71129683320216*^9}},ExpressionUUID->"ca17dcd4-e326-4661-a50d-\
7b0ce07059ce"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"G", "[", 
    RowBox[{"m_", ",", "\[Zeta]_", ",", "\[Eta]_", ",", "NPQ_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"G", "[", 
     RowBox[{"m", ",", "\[Zeta]", ",", "\[Eta]", ",", "NPQ"}], "]"}], "=", 
    "\[IndentingNewLine]", 
    RowBox[{"Which", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NPQ", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[Zeta]", " ", "\[Eta]"}], 
           RowBox[{"\[Zeta]", "+", "\[Eta]"}]]}], ")"}], "m"], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"2", " ", "m"}]}], ")"}], " ", 
        FractionBox[
         RowBox[{"\[Zeta]", " ", "\[Eta]"}], 
         RowBox[{"\[Zeta]", "+", "\[Eta]"}]]}]], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["NPQ", "2"], " ", 
        FractionBox[
         RowBox[{"\[Zeta]", " ", "\[Eta]"}], 
         RowBox[{"\[Zeta]", "+", "\[Eta]"}]]}], "<", "0.1"}], ",", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         FractionBox[
          RowBox[{"\[Zeta]", " ", "\[Eta]"}], 
          RowBox[{"\[Zeta]", "+", "\[Eta]"}]]}]], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[Zeta]", " ", "\[Eta]"}], 
           RowBox[{"\[Zeta]", "+", "\[Eta]"}]]}], ")"}], "m"], " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", 
          RowBox[{
           FractionBox["1", "2"], "+", "m"}]], "-", 
         FractionBox[
          RowBox[{
           RowBox[{"(", "\[Zeta]", ")"}], " ", 
           RowBox[{"(", "\[Eta]", ")"}], " ", 
           SuperscriptBox["NPQ", "2"]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FractionBox["3", "2"], "+", "m"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"\[Zeta]", "+", "\[Eta]"}], ")"}]}]], "+", 
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", "\[Zeta]", ")"}], "2"], " ", 
           SuperscriptBox[
            RowBox[{"(", "\[Eta]", ")"}], "2"], " ", 
           SuperscriptBox["NPQ", "4"]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"5", "+", 
             RowBox[{"2", " ", "m"}]}], ")"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"\[Zeta]", "+", "\[Eta]"}], ")"}], "2"]}]], "-", 
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", "\[Zeta]", ")"}], "3"], " ", 
           SuperscriptBox[
            RowBox[{"(", "\[Eta]", ")"}], "3"], " ", 
           SuperscriptBox["NPQ", "6"]}], 
          RowBox[{"6", " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox["7", "2"], "+", "m"}], ")"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"\[Zeta]", "+", "\[Eta]"}], ")"}], "3"]}]], "+", 
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", "\[Zeta]", ")"}], "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", "\[Eta]", ")"}], "4"], " ", 
           SuperscriptBox["NPQ", "8"]}], 
          RowBox[{"24", " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox["9", "2"], "+", "m"}], ")"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"\[Zeta]", "+", "\[Eta]"}], ")"}], "4"]}]], "-", 
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", "\[Zeta]", ")"}], "5"], " ", 
           SuperscriptBox[
            RowBox[{"(", "\[Eta]", ")"}], "5"], " ", 
           SuperscriptBox["NPQ", "10"]}], 
          RowBox[{"120", " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox["11", "2"], "+", "m"}], ")"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"\[Zeta]", "+", "\[Eta]"}], ")"}], "5"]}]], "+", 
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", "\[Zeta]", ")"}], "6"], " ", 
           SuperscriptBox[
            RowBox[{"(", "\[Eta]", ")"}], "6"], " ", 
           SuperscriptBox["NPQ", "12"]}], 
          RowBox[{"720", " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox["13", "2"], "+", "m"}], ")"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"\[Zeta]", "+", "\[Eta]"}], ")"}], "6"]}]]}], ")"}]}], 
      ",", "\[IndentingNewLine]", "True", ",", "\[IndentingNewLine]", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         FractionBox[
          RowBox[{"\[Zeta]", " ", "\[Eta]"}], 
          RowBox[{"\[Zeta]", "+", "\[Eta]"}]]}]], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[Zeta]", " ", "\[Eta]"}], 
           RowBox[{"\[Zeta]", "+", "\[Eta]"}]]}], ")"}], "m"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["NPQ", "2"], " ", 
          FractionBox[
           RowBox[{"\[Zeta]", " ", "\[Eta]"}], 
           RowBox[{"\[Zeta]", "+", "\[Eta]"}]]}], ")"}], 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "2"]}], "-", "m"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[CapitalGamma]", "[", 
          RowBox[{
           FractionBox["1", "2"], "+", "m"}], "]"}], "-", 
         RowBox[{"\[CapitalGamma]", "[", 
          RowBox[{
           RowBox[{
            FractionBox["1", "2"], "+", "m"}], ",", 
           RowBox[{
            SuperscriptBox["NPQ", "2"], " ", 
            FractionBox[
             RowBox[{"\[Zeta]", " ", "\[Eta]"}], 
             RowBox[{"\[Zeta]", "+", "\[Eta]"}]]}]}], "]"}]}], ")"}]}]}], 
     "\[IndentingNewLine]", "]"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.657338992100131*^9, 3.6573390159839277`*^9}, {
  3.657340112751298*^9, 3.657340133900283*^9}, {3.6573443373901463`*^9, 
  3.65734433916085*^9}, {3.657344854374161*^9, 3.6573449071122713`*^9}, {
  3.6573450830016947`*^9, 3.657345101117736*^9}, {3.70421523882183*^9, 
  3.704215241660515*^9}, {3.7076569741115513`*^9, 3.7076569773074703`*^9}, {
  3.707657009539106*^9, 3.707657101068862*^9}, {3.70765713709207*^9, 
  3.707657146775704*^9}},
 CellLabel->
  "In[102]:=",ExpressionUUID->"92967e1f-6355-4b81-ac65-f6c0f4ff666f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalU]", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]_", ",", "A_", ",", "LA_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Beta]_", ",", "B_", ",", "LB_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Gamma]_", ",", "C_", ",", "LC_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Delta]_", ",", "D_", ",", "LD_"}], "}"}]}], "]"}], ":=", 
   RowBox[{
    RowBox[{"\[ScriptCapitalU]", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Alpha]", ",", "A", ",", "LA"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Beta]", ",", "B", ",", "LB"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Gamma]", ",", "C", ",", "LC"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Delta]", ",", "D", ",", "LD"}], "}"}]}], "]"}], "=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "AB", ",", "CD", ",", "P", ",", "Q", ",", "PQ", ",", "NAB", ",", "NCD",
         ",", "NPQ", ",", "\[Zeta]", ",", "\[Eta]", ",", "Gp", ",", "i0", ",",
         "i1", ",", "i2", ",", "i3", ",", "int"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"AB", "=", 
        RowBox[{"A", "-", "B"}]}], ";", "\t", 
       RowBox[{"CD", "=", 
        RowBox[{"C", "-", "D"}]}], ";", "\t", 
       RowBox[{"NAB", "=", 
        RowBox[{"Norm", "[", "AB", "]"}]}], ";", "\t", 
       RowBox[{"NCD", "=", 
        RowBox[{"Norm", "[", "CD", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Zeta]", "=", 
        RowBox[{"\[Alpha]", "+", "\[Beta]"}]}], ";", "\t", 
       RowBox[{"\[Eta]", "=", 
        RowBox[{"\[Gamma]", "+", "\[Delta]"}]}], ";", "\t", 
       RowBox[{"P", "=", 
        FractionBox[
         RowBox[{
          RowBox[{"\[Alpha]", " ", "A"}], "+", 
          RowBox[{"\[Beta]", " ", "B"}]}], "\[Zeta]"]}], ";", "\t", 
       RowBox[{"Q", "=", 
        FractionBox[
         RowBox[{
          RowBox[{"\[Gamma]", " ", "C"}], "+", 
          RowBox[{"\[Delta]", " ", "D"}]}], "\[Eta]"]}], ";", "\t", 
       RowBox[{"PQ", "=", 
        RowBox[{"P", "-", "Q"}]}], ";", "\t", 
       RowBox[{"NPQ", "=", 
        RowBox[{"Norm", "[", "PQ", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Gp", "=", 
        RowBox[{
         FractionBox[
          RowBox[{"2", 
           SuperscriptBox["\[Pi]", 
            RowBox[{"5", "/", "2"}]]}], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"\[Zeta]", "+", "\[Eta]"}], ")"}], 
           RowBox[{"3", "/", "2"}]]], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             FractionBox[
              RowBox[{"\[Alpha]", " ", "\[Beta]"}], "\[Zeta]"]}], 
            SuperscriptBox["NAB", "2"]}], "-", 
           RowBox[{
            FractionBox[
             RowBox[{"\[Gamma]", " ", "\[Delta]"}], "\[Eta]"], 
            SuperscriptBox["NCD", "2"]}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"i0", "=", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ";", "\t", 
       RowBox[{"i1", "=", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], ";", "\t", 
       RowBox[{"i2", "=", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], ";", "\t", 
       RowBox[{"i3", "=", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"Initial", " ", "Conditions"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"G", "[", 
          RowBox[{"m", ",", "\[Zeta]", ",", "\[Eta]", ",", "NPQ"}], "]"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"m", ",", "0", ",", 
           RowBox[{
            UnderoverscriptBox["\[Sum]", 
             RowBox[{"\[Mu]", "=", "1"}], "3"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
              "LA", "\[LeftDoubleBracket]", "\[Mu]", 
               "\[RightDoubleBracket]"}], "+", 
              RowBox[{
              "LB", "\[LeftDoubleBracket]", "\[Mu]", 
               "\[RightDoubleBracket]"}], "+", 
              RowBox[{
              "LC", "\[LeftDoubleBracket]", "\[Mu]", 
               "\[RightDoubleBracket]"}], "+", 
              RowBox[{
              "LD", "\[LeftDoubleBracket]", "\[Mu]", 
               "\[RightDoubleBracket]"}]}], ")"}]}]}], "}"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        SuperscriptBox[
         RowBox[{"[", "0", "]"}], "m"], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"iRR", "[", 
         RowBox[{"m_", ",", "a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
        RowBox[{"iRR", "[", 
         RowBox[{"m", ",", "a", ",", "b", ",", "c", ",", "d"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"iRR", "[", 
         RowBox[{"m_", ",", "a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
        RowBox[{"0", " ", "/;", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
           "a", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "<", 
           "0"}], "||", 
          RowBox[{
           RowBox[{
           "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], " ", 
           "<", "0"}], "||", 
          RowBox[{
           RowBox[{
           "c", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], " ", 
           "<", "0"}], "||", 
          RowBox[{
           RowBox[{
           "d", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], " ", 
           "<", "0"}], "||", 
          RowBox[{
           RowBox[{
           "a", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], "<", 
           "0"}], "||", " ", 
          RowBox[{
           RowBox[{
           "b", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], " ", 
           "<", "0"}], "||", " ", 
          RowBox[{
           RowBox[{
           "c", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], "<", 
           "0"}], "||", " ", 
          RowBox[{
           RowBox[{
           "d", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], "<", 
           "0"}], "||", 
          RowBox[{
           RowBox[{
           "a", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], "<", 
           "0"}], "||", "  ", 
          RowBox[{
           RowBox[{
           "b", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], "<", 
           "0"}], "||", " ", 
          RowBox[{
           RowBox[{
           "c", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], "<", 
           "0"}], "||", " ", 
          RowBox[{
           RowBox[{
           "d", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], "<", 
           "0"}]}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"iRR", "[", 
         RowBox[{"m_", ",", "i0", ",", "i0", ",", "i0", ",", "i0"}], "]"}], ":=",
         " ", 
        RowBox[{"G", "[", 
         RowBox[{"m", ",", "\[Zeta]", ",", "\[Eta]", ",", "NPQ"}], "]"}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"VRR", " ", "[", 
         RowBox[{"00", "|", 
          RowBox[{"0", "d"}]}], "]"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"iRR", "[", 
         RowBox[{"m_", ",", "i0", ",", "i0", ",", "i0", ",", "d_"}], "]"}], ":=", 
        RowBox[{"Which", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{
           "d", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ">", 
           "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"\[Gamma]", " ", 
              RowBox[{
              "CD", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
             "\[Eta]"], 
            RowBox[{"iRR", "[", 
             RowBox[{"m", ",", "i0", ",", "i0", ",", "i0", ",", 
              RowBox[{"d", "-", "i1"}]}], "]"}]}], "-", 
           RowBox[{
            FractionBox[
             RowBox[{
             "PQ", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             "\[Eta]"], 
            RowBox[{"iRR", "[", 
             RowBox[{
              RowBox[{"m", "+", "1"}], ",", "i0", ",", "i0", ",", "i0", ",", 
              RowBox[{"d", "-", "i1"}]}], "]"}]}], "+", 
           RowBox[{
            FractionBox[
             RowBox[{
              RowBox[{
              "d", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
              "-", "1"}], 
             RowBox[{"2", "\[Eta]"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"iRR", "[", 
               RowBox[{"m", ",", "i0", ",", "i0", ",", "i0", ",", 
                RowBox[{"d", "-", 
                 RowBox[{"2", "i1"}]}]}], "]"}], "+", 
              RowBox[{
               FractionBox["1", "\[Eta]"], 
               RowBox[{"iRR", "[", 
                RowBox[{
                 RowBox[{"m", "+", "1"}], ",", "i0", ",", "i0", ",", "i0", 
                 ",", 
                 RowBox[{"d", "-", 
                  RowBox[{"2", " ", "i1"}]}]}], "]"}]}]}], ")"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
           "d", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], ">", 
           "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"\[Gamma]", " ", 
              RowBox[{
              "CD", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
             "\[Eta]"], 
            RowBox[{"iRR", "[", 
             RowBox[{"m", ",", "i0", ",", "i0", ",", "i0", ",", 
              RowBox[{"d", "-", "i2"}]}], "]"}]}], "-", 
           RowBox[{
            FractionBox[
             RowBox[{
             "PQ", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
             "\[Eta]"], 
            RowBox[{"iRR", "[", 
             RowBox[{
              RowBox[{"m", "+", "1"}], ",", "i0", ",", "i0", ",", "i0", ",", 
              RowBox[{"d", "-", "i2"}]}], "]"}]}], "+", 
           RowBox[{
            FractionBox[
             RowBox[{
              RowBox[{
              "d", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
              "-", "1"}], 
             RowBox[{"2", "\[Eta]"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"iRR", "[", 
               RowBox[{"m", ",", "i0", ",", "i0", ",", "i0", ",", 
                RowBox[{"d", "-", 
                 RowBox[{"2", "i2"}]}]}], "]"}], "+", 
              RowBox[{
               FractionBox["1", "\[Eta]"], 
               RowBox[{"iRR", "[", 
                RowBox[{
                 RowBox[{"m", "+", "1"}], ",", "i0", ",", "i0", ",", "i0", 
                 ",", 
                 RowBox[{"d", "-", 
                  RowBox[{"2", " ", "i2"}]}]}], "]"}]}]}], ")"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
           "d", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], ">", 
           "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"\[Gamma]", " ", 
              RowBox[{
              "CD", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
             "\[Eta]"], 
            RowBox[{"iRR", "[", 
             RowBox[{"m", ",", "i0", ",", "i0", ",", "i0", ",", 
              RowBox[{"d", "-", "i3"}]}], "]"}]}], "-", 
           RowBox[{
            FractionBox[
             RowBox[{
             "PQ", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
             "\[Eta]"], 
            RowBox[{"iRR", "[", 
             RowBox[{
              RowBox[{"m", "+", "1"}], ",", "i0", ",", "i0", ",", "i0", ",", 
              RowBox[{"d", "-", "i3"}]}], "]"}]}], "+", 
           RowBox[{
            FractionBox[
             RowBox[{
              RowBox[{
              "d", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
              "-", "1"}], 
             RowBox[{"2", "\[Eta]"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"iRR", "[", 
               RowBox[{"m", ",", "i0", ",", "i0", ",", "i0", ",", 
                RowBox[{"d", "-", 
                 RowBox[{"2", "i3"}]}]}], "]"}], "+", 
              RowBox[{
               FractionBox["1", "\[Eta]"], 
               RowBox[{"iRR", "[", 
                RowBox[{
                 RowBox[{"m", "+", "1"}], ",", "i0", ",", "i0", ",", "i0", 
                 ",", 
                 RowBox[{"d", "-", 
                  RowBox[{"2", " ", "i3"}]}]}], "]"}]}]}], ")"}]}]}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"VRR", " ", "[", 
         RowBox[{
          RowBox[{"0", "b"}], "|", 
          RowBox[{"0", "d"}]}], "]"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"iRR", "[", 
         RowBox[{"m_", ",", "i0", ",", "b_", ",", "i0", ",", "d_"}], "]"}], ":=", 
        RowBox[{"Which", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{
           "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ">", 
           "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"\[Alpha]", " ", 
              RowBox[{
              "AB", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
             "\[Zeta]"], 
            RowBox[{"iRR", "[", 
             RowBox[{"m", ",", "i0", ",", 
              RowBox[{"b", "-", "i1"}], ",", "i0", ",", "d"}], "]"}]}], "+", 
           RowBox[{
            FractionBox[
             RowBox[{
             "PQ", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             "\[Zeta]"], 
            RowBox[{"iRR", "[", 
             RowBox[{
              RowBox[{"m", "+", "1"}], ",", "i0", ",", 
              RowBox[{"b", "-", "i1"}], ",", "i0", ",", "d"}], "]"}]}], "+", 
           RowBox[{
            FractionBox[
             RowBox[{
              RowBox[{
              "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
              "-", "1"}], 
             RowBox[{"2", "\[Zeta]"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"iRR", "[", 
               RowBox[{"m", ",", "i0", ",", 
                RowBox[{"b", "-", 
                 RowBox[{"2", "i1"}]}], ",", "i0", ",", "d"}], "]"}], "+", 
              RowBox[{
               FractionBox["1", "\[Zeta]"], 
               RowBox[{"iRR", "[", 
                RowBox[{
                 RowBox[{"m", "+", "1"}], ",", "i0", ",", 
                 RowBox[{"b", "-", 
                  RowBox[{"2", " ", "i1"}]}], ",", "i0", ",", "d"}], 
                "]"}]}]}], ")"}]}], "-", 
           RowBox[{
            FractionBox[
             RowBox[{
             "d", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             RowBox[{"2", "\[Zeta]", " ", "\[Eta]"}]], 
            RowBox[{"iRR", "[", 
             RowBox[{
              RowBox[{"m", "+", "1"}], ",", "i0", ",", 
              RowBox[{"b", "-", "i1"}], ",", "i0", ",", 
              RowBox[{"d", "-", "i1"}]}], "]"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
           "b", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], ">", 
           "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"\[Alpha]", " ", 
              RowBox[{
              "AB", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
             "\[Zeta]"], 
            RowBox[{"iRR", "[", 
             RowBox[{"m", ",", "i0", ",", 
              RowBox[{"b", "-", "i2"}], ",", "i0", ",", "d"}], "]"}]}], "+", 
           RowBox[{
            FractionBox[
             RowBox[{
             "PQ", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
             "\[Zeta]"], 
            RowBox[{"iRR", "[", 
             RowBox[{
              RowBox[{"m", "+", "1"}], ",", "i0", ",", 
              RowBox[{"b", "-", "i2"}], ",", "i0", ",", "d"}], "]"}]}], "+", 
           RowBox[{
            FractionBox[
             RowBox[{
              RowBox[{
              "b", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
              "-", "1"}], 
             RowBox[{"2", "\[Zeta]"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"iRR", "[", 
               RowBox[{"m", ",", "i0", ",", 
                RowBox[{"b", "-", 
                 RowBox[{"2", "i2"}]}], ",", "i0", ",", "d"}], "]"}], "+", 
              RowBox[{
               FractionBox["1", "\[Zeta]"], 
               RowBox[{"iRR", "[", 
                RowBox[{
                 RowBox[{"m", "+", "1"}], ",", "i0", ",", 
                 RowBox[{"b", "-", 
                  RowBox[{"2", " ", "i2"}]}], ",", "i0", ",", "d"}], 
                "]"}]}]}], ")"}]}], "-", 
           RowBox[{
            FractionBox[
             RowBox[{
             "d", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
             RowBox[{"2", "\[Zeta]", " ", "\[Eta]"}]], 
            RowBox[{"iRR", "[", 
             RowBox[{
              RowBox[{"m", "+", "1"}], ",", "i0", ",", 
              RowBox[{"b", "-", "i2"}], ",", "i0", ",", 
              RowBox[{"d", "-", "i2"}]}], "]"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
           "b", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], ">", 
           "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{"\[Alpha]", " ", 
              RowBox[{
              "AB", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
             "\[Zeta]"], 
            RowBox[{"iRR", "[", 
             RowBox[{"m", ",", "i0", ",", 
              RowBox[{"b", "-", "i3"}], ",", "i0", ",", "d"}], "]"}]}], "+", 
           RowBox[{
            FractionBox[
             RowBox[{
             "PQ", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
             "\[Zeta]"], 
            RowBox[{"iRR", "[", 
             RowBox[{
              RowBox[{"m", "+", "1"}], ",", "i0", ",", 
              RowBox[{"b", "-", "i3"}], ",", "i0", ",", "d"}], "]"}]}], "+", 
           RowBox[{
            FractionBox[
             RowBox[{
              RowBox[{
              "b", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
              "-", "1"}], 
             RowBox[{"2", "\[Zeta]"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"iRR", "[", 
               RowBox[{"m", ",", "i0", ",", 
                RowBox[{"b", "-", 
                 RowBox[{"2", "i3"}]}], ",", "i0", ",", "d"}], "]"}], "+", 
              RowBox[{
               FractionBox["1", "\[Zeta]"], 
               RowBox[{"iRR", "[", 
                RowBox[{
                 RowBox[{"m", "+", "1"}], ",", "i0", ",", 
                 RowBox[{"b", "-", 
                  RowBox[{"2", " ", "i3"}]}], ",", "i0", ",", "d"}], 
                "]"}]}]}], ")"}]}], "-", 
           RowBox[{
            FractionBox[
             RowBox[{
             "d", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
             RowBox[{"2", "\[Zeta]", " ", "\[Eta]"}]], 
            RowBox[{"iRR", "[", 
             RowBox[{
              RowBox[{"m", "+", "1"}], ",", "i0", ",", 
              RowBox[{"b", "-", "i3"}], ",", "i0", ",", 
              RowBox[{"d", "-", "i3"}]}], "]"}]}]}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"TRR", " ", "[", 
         RowBox[{
          RowBox[{"0", "b"}], "|", "cd"}], "]"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"iRR", "[", 
         RowBox[{"m_", ",", "i0", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
        RowBox[{"Which", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{
           "c", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ">", 
           "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"iRR", "[", 
            RowBox[{"m", ",", "i0", ",", "b", ",", 
             RowBox[{"c", "-", "i1"}], ",", 
             RowBox[{"d", "+", "i1"}]}], "]"}], "-", 
           RowBox[{
            RowBox[{
            "CD", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
            RowBox[{"iRR", "[", 
             RowBox[{"m", ",", "i0", ",", "b", ",", 
              RowBox[{"c", "-", "i1"}], ",", "d"}], "]"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
           "c", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], ">", 
           "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"iRR", "[", 
            RowBox[{"m", ",", "i0", ",", "b", ",", 
             RowBox[{"c", "-", "i2"}], ",", 
             RowBox[{"d", "+", "i2"}]}], "]"}], "-", 
           RowBox[{
            RowBox[{
            "CD", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
            RowBox[{"iRR", "[", 
             RowBox[{"m", ",", "i0", ",", "b", ",", 
              RowBox[{"c", "-", "i2"}], ",", "d"}], "]"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
           "c", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], ">", 
           "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"iRR", "[", 
            RowBox[{"m", ",", "i0", ",", "b", ",", 
             RowBox[{"c", "-", "i3"}], ",", 
             RowBox[{"d", "+", "i3"}]}], "]"}], "-", 
           RowBox[{
            RowBox[{
            "CD", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
            RowBox[{"iRR", "[", 
             RowBox[{"m", ",", "i0", ",", "b", ",", 
              RowBox[{"c", "-", "i3"}], ",", "d"}], "]"}]}]}]}], "]"}]}], ";",
        "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"TRR", " ", "[", 
         RowBox[{"ab", "|", "cd"}], "]"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"iRR", "[", 
         RowBox[{"m_", ",", "a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
        RowBox[{"Which", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{
           "a", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ">", 
           "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"iRR", "[", 
            RowBox[{"m", ",", 
             RowBox[{"a", "-", "i1"}], ",", 
             RowBox[{"b", "+", "i1"}], ",", "c", ",", "d"}], "]"}], "-", 
           RowBox[{
            RowBox[{
            "AB", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
            RowBox[{"iRR", "[", 
             RowBox[{"m", ",", 
              RowBox[{"a", "-", "i1"}], ",", "b", ",", "c", ",", "d"}], 
             "]"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
           "a", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], ">", 
           "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"iRR", "[", 
            RowBox[{"m", ",", 
             RowBox[{"a", "-", "i2"}], ",", 
             RowBox[{"b", "+", "i2"}], ",", "c", ",", "d"}], "]"}], "-", 
           RowBox[{
            RowBox[{
            "AB", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
            RowBox[{"iRR", "[", 
             RowBox[{"m", ",", 
              RowBox[{"a", "-", "i2"}], ",", "b", ",", "c", ",", "d"}], 
             "]"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
           "a", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], ">", 
           "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"iRR", "[", 
            RowBox[{"m", ",", 
             RowBox[{"a", "-", "i3"}], ",", 
             RowBox[{"b", "+", "i3"}], ",", "c", ",", "d"}], "]"}], "-", 
           RowBox[{
            RowBox[{
            "AB", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
            RowBox[{"iRR", "[", 
             RowBox[{"m", ",", 
              RowBox[{"a", "-", "i3"}], ",", "b", ",", "c", ",", "d"}], 
             "]"}]}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"N", "[", 
         RowBox[{"Gp", " ", 
          RowBox[{"iRR", "[", 
           RowBox[{"0", ",", "LA", ",", "LB", ",", "LC", ",", "LD"}], "]"}]}],
          "]"}], "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.657309662995257*^9, 3.6573096736568117`*^9}, {
   3.6573097343157997`*^9, 3.657309736202219*^9}, 3.6573369029618673`*^9, 
   3.657337188249486*^9, {3.657337336970283*^9, 3.657337677249769*^9}, {
   3.65733771744779*^9, 3.657337771042282*^9}, {3.6573378504366617`*^9, 
   3.657337861492859*^9}, {3.657337893375626*^9, 3.65733794338673*^9}, {
   3.657338032649558*^9, 3.657338205393962*^9}, {3.657338236405641*^9, 
   3.657338248683468*^9}, {3.657338332660263*^9, 3.657338340993812*^9}, {
   3.6573383917580338`*^9, 3.657338425082098*^9}, {3.657338497115584*^9, 
   3.6573385505030613`*^9}, {3.657338704739649*^9, 3.657338708835187*^9}, {
   3.657338765854294*^9, 3.6573387813308163`*^9}, {3.65733882175981*^9, 
   3.6573388301007357`*^9}, {3.657338895053103*^9, 3.657338918394154*^9}, 
   3.6573390355703506`*^9, {3.6573390984045763`*^9, 3.6573391003859997`*^9}, {
   3.657339142294078*^9, 3.657339160420794*^9}, {3.657339949950774*^9, 
   3.657339968250749*^9}, {3.657340024306114*^9, 3.657340093764621*^9}, {
   3.657340167156*^9, 3.6573403462511463`*^9}, {3.6573404228313837`*^9, 
   3.657340498437438*^9}, {3.657344194538764*^9, 3.657344207609622*^9}, {
   3.657344241846196*^9, 3.657344308194858*^9}, {3.6573443412178297`*^9, 
   3.657344671531887*^9}, {3.657344731198462*^9, 3.6573447773204603`*^9}, {
   3.657344918257175*^9, 3.6573450717516727`*^9}, {3.657345142327964*^9, 
   3.6573451469885397`*^9}, {3.6573451931749773`*^9, 
   3.6573452084720583`*^9}, {3.657345311132543*^9, 3.657345320499196*^9}, {
   3.657345445047307*^9, 3.657345468977375*^9}, {3.657345584193343*^9, 
   3.657345624520781*^9}, {3.657345667623332*^9, 3.657345668802197*^9}, {
   3.657396086518921*^9, 3.657396099965102*^9}, {3.657396815449831*^9, 
   3.657396831727625*^9}, {3.657397066790411*^9, 3.657397119156678*^9}, {
   3.6573978469274187`*^9, 3.657397854639879*^9}, {3.657399060017033*^9, 
   3.657399090046405*^9}, {3.7041845377156563`*^9, 3.70418455073102*^9}, {
   3.7041876437180967`*^9, 3.704187657769619*^9}, 3.704198064008362*^9, {
   3.7042133521010113`*^9, 3.7042133710017147`*^9}, {3.704214144585575*^9, 
   3.704214155663529*^9}, {3.7042151825604353`*^9, 3.7042152284807587`*^9}, {
   3.7048158529104633`*^9, 3.7048159318888597`*^9}, {3.705229692488264*^9, 
   3.705229692713723*^9}, {3.707656953973385*^9, 3.707656955334285*^9}, {
   3.707657525954335*^9, 3.707657526774252*^9}, {3.710173030880103*^9, 
   3.71017304187078*^9}, {3.7101746149996853`*^9, 3.7101746186133537`*^9}},
 CellLabel->
  "In[103]:=",ExpressionUUID->"9abb7cac-1b8f-4b43-a136-4cd9bce3cc62"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalU]c", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]_", ",", "A_", ",", "LA_", ",", "DA_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Beta]_", ",", "B_", ",", "LB_", ",", "DB_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Gamma]_", ",", "C_", ",", "LC_", ",", "DC_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Delta]_", ",", "D_", ",", "LD_", ",", "DD_"}], "}"}]}], 
    "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"KA", ",", "KB", ",", "KC", ",", "KD", ",", "Int"}], "}"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"Degrees", " ", "of", " ", "contraction"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"KA", "=", 
       RowBox[{"Length", "[", "\[Alpha]", "]"}]}], ";", "\t", 
      RowBox[{"KB", "=", 
       RowBox[{"Length", "[", "\[Beta]", "]"}]}], ";", "\t", 
      RowBox[{"KC", "=", 
       RowBox[{"Length", "[", "\[Gamma]", "]"}]}], ";", "\t", 
      RowBox[{"KD", "=", 
       RowBox[{"Length", "[", "\[Delta]", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Contracted", " ", "integral"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Int", "=", 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"kA", "=", "1"}], "KA"], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"kB", "=", "1"}], "KB"], 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{"kC", "=", "1"}], "KC"], 
          RowBox[{
           UnderoverscriptBox["\[Sum]", 
            RowBox[{"kD", "=", "1"}], "KD"], 
           RowBox[{
            RowBox[{"NormCoeff", "[", 
             RowBox[{
              RowBox[{
              "\[Alpha]", "\[LeftDoubleBracket]", "kA", 
               "\[RightDoubleBracket]"}], ",", "LA"}], "]"}], 
            RowBox[{"NormCoeff", "[", 
             RowBox[{
              RowBox[{
              "\[Beta]", "\[LeftDoubleBracket]", "kB", 
               "\[RightDoubleBracket]"}], ",", "LB"}], "]"}], 
            RowBox[{"NormCoeff", "[", 
             RowBox[{
              RowBox[{
              "\[Gamma]", "\[LeftDoubleBracket]", "kC", 
               "\[RightDoubleBracket]"}], ",", "LC"}], "]"}], 
            RowBox[{"NormCoeff", "[", 
             RowBox[{
              RowBox[{
              "\[Delta]", "\[LeftDoubleBracket]", "kD", 
               "\[RightDoubleBracket]"}], ",", "LD"}], "]"}], 
            RowBox[{
            "DA", "\[LeftDoubleBracket]", "kA", "\[RightDoubleBracket]"}], 
            RowBox[{
            "DB", "\[LeftDoubleBracket]", "kB", "\[RightDoubleBracket]"}], 
            RowBox[{
            "DC", "\[LeftDoubleBracket]", "kC", "\[RightDoubleBracket]"}], 
            RowBox[{
            "DD", "\[LeftDoubleBracket]", "kD", "\[RightDoubleBracket]"}], 
            RowBox[{"\[ScriptCapitalU]", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                "\[Alpha]", "\[LeftDoubleBracket]", "kA", 
                 "\[RightDoubleBracket]"}], ",", "A", ",", "LA"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                "\[Beta]", "\[LeftDoubleBracket]", "kB", 
                 "\[RightDoubleBracket]"}], ",", "B", ",", "LB"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                "\[Gamma]", "\[LeftDoubleBracket]", "kC", 
                 "\[RightDoubleBracket]"}], ",", "C", ",", "LC"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                "\[Delta]", "\[LeftDoubleBracket]", "kD", 
                 "\[RightDoubleBracket]"}], ",", "D", ",", "LD"}], "}"}]}], 
             "]"}]}]}]}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "Int", "]"}], ";"}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.704184881381482*^9, 3.704184965428793*^9}, {
   3.704185649157349*^9, 3.704185650141138*^9}, {3.704207673295456*^9, 
   3.704207699861866*^9}, 3.704209109612412*^9},
 CellLabel->
  "In[104]:=",ExpressionUUID->"2dce9a5b-3b5d-4949-b107-05aa1822d60f"]
}, Closed]],

Cell[CellGroupData[{

Cell["F12", "Subsection",
 CellChangeTimes->{{3.709528225095736*^9, 3.7095282272467117`*^9}, 
   3.7095286580876923`*^9, 
   3.7946410204032907`*^9},ExpressionUUID->"232b8dc1-eaeb-49ed-b40b-\
dc263e25682e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"pf12G", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]_", ",", "A_", ",", "LA_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Beta]_", ",", "B_", ",", "LB_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Gamma]_", ",", "C_", ",", "LC_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Delta]_", ",", "D_", ",", "LD_"}], "}"}], ",", 
     "\[Lambda]_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"pf12G", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Alpha]", ",", "A", ",", "LA"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Beta]", ",", "B", ",", "LB"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Gamma]", ",", "C", ",", "LC"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Delta]", ",", "D", ",", "LD"}], "}"}], ",", "\[Lambda]"}], 
     "]"}], "=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\[Zeta]", ",", "\[Eta]", ",", "P", ",", "Q", ",", "GAB", ",", "GCD", 
        ",", "AB", ",", "CD", ",", "PQ", ",", "f\[Zeta]", ",", "f\[Lambda]", 
        ",", "f\[Eta]", ",", "O", ",", "x", ",", "y", ",", "z", ",", 
        "g\[Zeta]", ",", "g\[Lambda]", ",", "g\[Eta]", ",", "RA", ",", "RC"}],
        "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Pre", "-", 
        RowBox[{"computed", " ", "quantities"}]}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Zeta]", "=", 
        RowBox[{"\[Alpha]", "+", "\[Beta]"}]}], ";", "\t", 
       RowBox[{"P", "=", 
        FractionBox[
         RowBox[{
          RowBox[{"\[Alpha]", " ", "A"}], "+", 
          RowBox[{"\[Beta]", " ", "B"}]}], "\[Zeta]"]}], ";", "\t", 
       RowBox[{"AB", "=", 
        RowBox[{"A", "-", "B"}]}], ";", "\t", 
       RowBox[{"GAB", "=", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox["\[Pi]", "\[Zeta]"], ")"}], 
          RowBox[{"3", "/", "2"}]], 
         RowBox[{"Exp", "[", 
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox[
             RowBox[{"Norm", "[", "AB", "]"}], "2"], 
            RowBox[{
             SuperscriptBox["\[Alpha]", 
              RowBox[{"-", "1"}]], "+", 
             SuperscriptBox["\[Beta]", 
              RowBox[{"-", "1"}]]}]]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Eta]", "=", 
        RowBox[{"\[Gamma]", "+", "\[Delta]"}]}], ";", "\t", 
       RowBox[{"Q", "=", 
        FractionBox[
         RowBox[{
          RowBox[{"\[Gamma]", " ", "C"}], "+", 
          RowBox[{"\[Delta]", " ", "D"}]}], "\[Eta]"]}], ";", "\t", 
       RowBox[{"CD", "=", 
        RowBox[{"C", "-", "D"}]}], ";", "\t", 
       RowBox[{"GCD", "=", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox["\[Pi]", "\[Eta]"], ")"}], 
          RowBox[{"3", "/", "2"}]], 
         RowBox[{"Exp", "[", 
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox[
             RowBox[{"Norm", "[", "CD", "]"}], "2"], 
            RowBox[{
             SuperscriptBox["\[Gamma]", 
              RowBox[{"-", "1"}]], "+", 
             SuperscriptBox["\[Delta]", 
              RowBox[{"-", "1"}]]}]]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"PQ", "=", 
        RowBox[{"P", "-", "Q"}]}], ";", "\t", 
       RowBox[{"f\[Zeta]", "=", 
        FractionBox[
         SuperscriptBox["\[Zeta]", 
          RowBox[{"-", "1"}]], 
         RowBox[{
          SuperscriptBox["\[Zeta]", 
           RowBox[{"-", "1"}]], "+", 
          SuperscriptBox["\[Lambda]", 
           RowBox[{"-", "1"}]], "+", 
          SuperscriptBox["\[Eta]", 
           RowBox[{"-", "1"}]]}]]}], ";", "\t", 
       RowBox[{"f\[Lambda]", "=", 
        FractionBox[
         SuperscriptBox["\[Lambda]", 
          RowBox[{"-", "1"}]], 
         RowBox[{
          SuperscriptBox["\[Zeta]", 
           RowBox[{"-", "1"}]], "+", 
          SuperscriptBox["\[Lambda]", 
           RowBox[{"-", "1"}]], "+", 
          SuperscriptBox["\[Eta]", 
           RowBox[{"-", "1"}]]}]]}], ";", "\t", 
       RowBox[{"f\[Eta]", "=", 
        FractionBox[
         SuperscriptBox["\[Eta]", 
          RowBox[{"-", "1"}]], 
         RowBox[{
          SuperscriptBox["\[Zeta]", 
           RowBox[{"-", "1"}]], "+", 
          SuperscriptBox["\[Lambda]", 
           RowBox[{"-", "1"}]], "+", 
          SuperscriptBox["\[Eta]", 
           RowBox[{"-", "1"}]]}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"g\[Zeta]", "=", 
        FractionBox[
         RowBox[{"1", "-", "f\[Zeta]"}], 
         RowBox[{"2", "\[Zeta]"}]]}], ";", "\t", 
       RowBox[{"g\[Lambda]", "=", 
        FractionBox["f\[Zeta]", 
         RowBox[{"2", "\[Eta]"}]]}], ";", "\t", 
       RowBox[{"g\[Eta]", "=", 
        FractionBox[
         RowBox[{"1", "-", "f\[Eta]"}], 
         RowBox[{"2", "\[Eta]"}]]}], ";", "\t", 
       RowBox[{"RA", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"P", "-", "A"}], ")"}], "+", 
         RowBox[{"f\[Zeta]", " ", 
          RowBox[{"(", 
           RowBox[{"Q", "-", "P"}], ")"}]}]}]}], ";", "\t", 
       RowBox[{"RC", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Q", "-", "C"}], ")"}], "+", 
         RowBox[{"f\[Eta]", " ", 
          RowBox[{"(", 
           RowBox[{"P", "-", "Q"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"Lazy", " ", "evaluation"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Gabcd", "[", 
         RowBox[{"i_", ",", "a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
        RowBox[{"Gabcd", "[", 
         RowBox[{"i", ",", "a", ",", "b", ",", "c", ",", "d"}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"Termination", " ", "condition"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Gabcd", "[", 
         RowBox[{"i_", ",", "a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
        RowBox[{"0", " ", "/;", " ", 
         RowBox[{
          RowBox[{"a", "<", "0"}], "||", 
          RowBox[{"b", " ", "<", "0"}], "||", 
          RowBox[{"c", " ", "<", "0"}], "||", 
          RowBox[{"d", " ", "<", "0"}]}]}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"Loop", " ", "over", " ", "cartesian", " ", "directions"}], 
        " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"[", 
          RowBox[{"00", "|", "00"}], "]"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Gabcd", "[", 
            RowBox[{"i", ",", "0", ",", "0", ",", "0", ",", "0"}], "]"}], ":=", 
           RowBox[{
            SuperscriptBox["f\[Lambda]", 
             RowBox[{"1", "/", "2"}]], 
            RowBox[{"Exp", "[", 
             RowBox[{"-", 
              FractionBox[
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                  "P", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
                   "-", 
                  RowBox[{
                  "Q", "\[LeftDoubleBracket]", "i", 
                   "\[RightDoubleBracket]"}]}], ")"}], "2"], 
               RowBox[{
                SuperscriptBox["\[Zeta]", 
                 RowBox[{"-", "1"}]], "+", 
                SuperscriptBox["\[Lambda]", 
                 RowBox[{"-", "1"}]], "+", 
                SuperscriptBox["\[Eta]", 
                 RowBox[{"-", "1"}]]}]]}], "]"}]}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"a", "+", "1"}], ")"}], "0"}], "|", "00"}], "]"}], " ",
            "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Gabcd", "[", 
            RowBox[{"i_", ",", "a_", ",", "0", ",", "0", ",", "0"}], "]"}], ":=", 
           RowBox[{
            RowBox[{
             RowBox[{
             "RA", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
             RowBox[{"Gabcd", "[", 
              RowBox[{"i", ",", 
               RowBox[{"a", "-", "1"}], ",", "0", ",", "0", ",", "0"}], 
              "]"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"a", "-", "1"}], ")"}], "g\[Zeta]", " ", 
             RowBox[{"Gabcd", "[", 
              RowBox[{"i", ",", 
               RowBox[{"a", "-", "2"}], ",", "0", ",", "0", ",", "0"}], 
              "]"}]}]}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          
          RowBox[{"(*", " ", 
           RowBox[{"[", 
            RowBox[{"a0", "|", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"c", "+", "1"}], ")"}], "0"}]}], "]"}], " ", "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Gabcd", "[", 
            RowBox[{"i_", ",", "a_", ",", "0", ",", "c_", ",", "0"}], "]"}], ":=", 
           RowBox[{
            RowBox[{
             RowBox[{
             "RC", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
             RowBox[{"Gabcd", "[", 
              RowBox[{"i", ",", "a", ",", "0", ",", 
               RowBox[{"c", "-", "1"}], ",", "0"}], "]"}]}], "+", 
            RowBox[{"a", " ", "g\[Lambda]", " ", 
             RowBox[{"Gabcd", "[", 
              RowBox[{"i", ",", 
               RowBox[{"a", "-", "1"}], ",", "0", ",", 
               RowBox[{"c", "-", "1"}], ",", "0"}], "]"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"c", "-", "1"}], ")"}], "g\[Eta]", " ", 
             RowBox[{"Gabcd", "[", 
              RowBox[{"i", ",", "a", ",", "0", ",", 
               RowBox[{"c", "-", "2"}], ",", "0"}], "]"}]}]}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"a", 
              RowBox[{"(", 
               RowBox[{"b", "+", "1"}], ")"}]}], "|", "c0"}], "]"}], " ", 
           "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Gabcd", "[", 
            RowBox[{"i_", ",", "a_", ",", "b_", ",", "c_", ",", "0"}], "]"}], 
           ":=", 
           RowBox[{
            RowBox[{"Gabcd", "[", 
             RowBox[{"i", ",", 
              RowBox[{"a", "+", "1"}], ",", 
              RowBox[{"b", "-", "1"}], ",", "c", ",", "0"}], "]"}], "+", 
            RowBox[{
             RowBox[{
             "AB", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
             RowBox[{"Gabcd", "[", 
              RowBox[{"i", ",", "a", ",", 
               RowBox[{"b", "-", "1"}], ",", "c", ",", "0"}], "]"}]}]}]}], 
          ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"[", 
            RowBox[{"ab", "|", 
             RowBox[{"c", 
              RowBox[{"(", 
               RowBox[{"d", "+", "1"}], ")"}]}]}], "]"}], " ", "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Gabcd", "[", 
            RowBox[{"i", ",", "a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], 
           ":=", 
           RowBox[{
            RowBox[{"Gabcd", "[", 
             RowBox[{"i", ",", "a", ",", "b", ",", 
              RowBox[{"c", "+", "1"}], ",", 
              RowBox[{"d", "-", "1"}]}], "]"}], "+", 
            RowBox[{
             RowBox[{
             "CD", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
             RowBox[{"Gabcd", "[", 
              RowBox[{"i", ",", "a", ",", "b", ",", "c", ",", 
               RowBox[{"d", "-", "1"}]}], "]"}]}]}]}], ";"}], 
         "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "3"}], "}"}]}], "]"}], ";", "\[IndentingNewLine]",
        "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"Final", " ", "result"}], " ", "*)"}], "\[IndentingNewLine]", 
       
       RowBox[{"Return", "[", 
        RowBox[{"N", "[", 
         RowBox[{
          RowBox[{"GAB", " ", "GCD", " ", 
           RowBox[{
            UnderoverscriptBox["\[Product]", 
             RowBox[{"i", "=", "1"}], "3"], 
            RowBox[{"Gabcd", "[", 
             RowBox[{"i", ",", 
              RowBox[{
              "LA", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              ",", 
              RowBox[{
              "LB", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              ",", 
              RowBox[{
              "LC", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              ",", 
              RowBox[{
              "LD", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
             "]"}]}]}], ",", "15"}], "]"}], "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.657309662995257*^9, 3.6573096736568117`*^9}, {
   3.6573097343157997`*^9, 3.657309736202219*^9}, 3.6573369029618673`*^9, 
   3.657337188249486*^9, {3.657337336970283*^9, 3.657337677249769*^9}, {
   3.65733771744779*^9, 3.657337771042282*^9}, {3.6573378504366617`*^9, 
   3.657337861492859*^9}, {3.657337893375626*^9, 3.65733794338673*^9}, {
   3.657338032649558*^9, 3.657338205393962*^9}, {3.657338236405641*^9, 
   3.657338248683468*^9}, {3.657338332660263*^9, 3.657338340993812*^9}, {
   3.6573383917580338`*^9, 3.657338425082098*^9}, {3.657338497115584*^9, 
   3.6573385505030613`*^9}, {3.657338704739649*^9, 3.657338708835187*^9}, {
   3.657338765854294*^9, 3.6573387813308163`*^9}, {3.65733882175981*^9, 
   3.6573388301007357`*^9}, {3.657338895053103*^9, 3.657338918394154*^9}, 
   3.6573390355703506`*^9, {3.6573390984045763`*^9, 3.6573391003859997`*^9}, {
   3.657339142294078*^9, 3.657339160420794*^9}, {3.657339949950774*^9, 
   3.657339968250749*^9}, {3.657340024306114*^9, 3.657340093764621*^9}, {
   3.657340167156*^9, 3.6573403462511463`*^9}, {3.6573404228313837`*^9, 
   3.657340498437438*^9}, {3.657344194538764*^9, 3.657344207609622*^9}, {
   3.657344241846196*^9, 3.657344308194858*^9}, {3.6573443412178297`*^9, 
   3.657344671531887*^9}, {3.657344731198462*^9, 3.6573447773204603`*^9}, {
   3.657344918257175*^9, 3.6573450717516727`*^9}, {3.657345142327964*^9, 
   3.6573451469885397`*^9}, {3.6573451931749773`*^9, 
   3.6573452084720583`*^9}, {3.657345311132543*^9, 3.657345320499196*^9}, {
   3.657345445047307*^9, 3.657345468977375*^9}, {3.657345584193343*^9, 
   3.657345624520781*^9}, {3.657345667623332*^9, 3.657345668802197*^9}, {
   3.657396086518921*^9, 3.657396099965102*^9}, {3.657396815449831*^9, 
   3.657396831727625*^9}, {3.657397066790411*^9, 3.657397119156678*^9}, {
   3.6573978469274187`*^9, 3.657397854639879*^9}, {3.657399060017033*^9, 
   3.657399090046405*^9}, {3.7041845377156563`*^9, 3.70418455073102*^9}, {
   3.7041876437180967`*^9, 3.704187657769619*^9}, 3.704198064008362*^9, {
   3.7042133521010113`*^9, 3.7042133710017147`*^9}, {3.704214144585575*^9, 
   3.704214155663529*^9}, {3.7042151825604353`*^9, 3.7042152284807587`*^9}, {
   3.7048158529104633`*^9, 3.7048159318888597`*^9}, {3.705229692488264*^9, 
   3.705229692713723*^9}, {3.707656953973385*^9, 3.707656955334285*^9}, {
   3.707657525954335*^9, 3.707657526774252*^9}, {3.709263255696457*^9, 
   3.7092632586494827`*^9}, {3.7092634989878273`*^9, 
   3.7092637072127542`*^9}, {3.709263737864389*^9, 3.709263838243033*^9}, 
   3.709263902390007*^9, {3.709263999167075*^9, 3.709264019034699*^9}, {
   3.709264085282432*^9, 3.70926415948072*^9}, {3.709264252668399*^9, 
   3.709264329533225*^9}, {3.7092645759297237`*^9, 3.709264631184111*^9}, {
   3.7092646717151527`*^9, 3.709264810443461*^9}, {3.709264891248451*^9, 
   3.709264990835787*^9}, {3.709265311543078*^9, 3.709265398502714*^9}, {
   3.709265480545828*^9, 3.709265538784836*^9}, {3.7092656278091583`*^9, 
   3.709265636035074*^9}, {3.709265674157618*^9, 3.709265705129273*^9}, {
   3.709266108944316*^9, 3.709266214437417*^9}, {3.709266254264413*^9, 
   3.709266441429521*^9}, {3.70926651340031*^9, 3.709266566626752*^9}, {
   3.709266615100635*^9, 3.7092668711203833`*^9}, {3.7092669151511593`*^9, 
   3.709267094607183*^9}, {3.7092671288855457`*^9, 3.7092673702949953`*^9}, {
   3.709267573231401*^9, 3.709267577456197*^9}, {3.7092676408076687`*^9, 
   3.709267646962007*^9}, {3.709267803486865*^9, 3.709267851828373*^9}, {
   3.709268648220593*^9, 3.709268648747587*^9}, 3.709268763919889*^9, {
   3.7092687955799637`*^9, 3.7092688005753727`*^9}, {3.709286970085433*^9, 
   3.709286978725912*^9}, 3.709288046848765*^9, 3.709294657172511*^9, {
   3.7092948257091913`*^9, 3.7092948455808363`*^9}, 3.709295908157309*^9, 
   3.709296067589446*^9, {3.709528484426579*^9, 3.7095285218098927`*^9}, {
   3.70952861355061*^9, 3.7095286283943567`*^9}, {3.709893911230707*^9, 
   3.709893933824689*^9}, {3.709894091698749*^9, 3.709894094737679*^9}, {
   3.709894198441998*^9, 3.709894202319233*^9}, 3.70989425296559*^9, {
   3.7098952514625874`*^9, 3.7098953016348963`*^9}, {3.709896214293751*^9, 
   3.709896224423654*^9}, {3.709912307094784*^9, 3.7099123279954777`*^9}, {
   3.709912503366918*^9, 3.709912629847899*^9}, {3.70991440048323*^9, 
   3.709914400973578*^9}, {3.709914603067762*^9, 3.709914612982849*^9}, 
   3.7099147823685417`*^9, {3.709914956269273*^9, 3.709914991719964*^9}, {
   3.7099150588104687`*^9, 3.709915109449994*^9}, {3.7099151669028893`*^9, 
   3.7099151949217*^9}, {3.7099688871652107`*^9, 3.709969206666504*^9}, {
   3.7099692468649197`*^9, 3.709969518159165*^9}, 3.70996958354417*^9, {
   3.7099698063818197`*^9, 3.709969807250948*^9}, 3.709973430294488*^9, {
   3.710839972410737*^9, 3.71083998954744*^9}},
 CellLabel->
  "In[105]:=",ExpressionUUID->"410c3fa2-cb14-4cc4-9b04-ad072825be35"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"pf12S", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]_", ",", "A_", ",", "LA_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Beta]_", ",", "B_", ",", "LB_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Gamma]_", ",", "C_", ",", "LC_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Delta]_", ",", "D_", ",", "LD_"}], "}"}], ",", 
     "\[Lambda]_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"pf12S", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Alpha]", ",", "A", ",", "LA"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Beta]", ",", "B", ",", "LB"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Gamma]", ",", "C", ",", "LC"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Delta]", ",", "D", ",", "LD"}], "}"}], ",", "\[Lambda]"}], 
     "]"}], "=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Alpha]SG", ",", "cSG", ",", "Int"}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "Exponents", " ", "and", " ", "coefficients", " ", "for", " ", "the", 
        " ", "Slater", " ", "function"}], " ", "*)"}], "\[IndentingNewLine]", 
      
      RowBox[{
       RowBox[{"\[Alpha]SG", "=", 
        RowBox[{"{", 
         RowBox[{
         "0.2209", ",", "1.004", ",", "3.622", ",", "12.16", ",", "45.87", 
          ",", "254.4"}], "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"cSG", "=", 
        RowBox[{"{", 
         RowBox[{
         "0.3144", ",", "0.3037", ",", "0.1681", ",", "0.09811", ",", 
          "0.06024", ",", "0.03726"}], "}"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", "Contraction", " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"Int", "=", 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"k", "=", "1"}], "6"], 
         RowBox[{
          RowBox[{
          "cSG", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
          RowBox[{"pf12G", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"\[Alpha]", ",", "A", ",", "LA"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"\[Beta]", ",", "B", ",", "LB"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"\[Gamma]", ",", "C", ",", "LC"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"\[Delta]", ",", "D", ",", "LD"}], "}"}], ",", 
            RowBox[{
             SuperscriptBox["\[Lambda]", "2"], 
             RowBox[{
             "\[Alpha]SG", "\[LeftDoubleBracket]", "k", 
              "\[RightDoubleBracket]"}]}]}], "]"}]}]}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"Final", " ", "result"}], " ", "*)"}], "\[IndentingNewLine]", 
       
       RowBox[{"Return", "[", 
        RowBox[{"N", "[", 
         RowBox[{"Int", ",", "15"}], "]"}], "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.709269010372917*^9, 3.709269098133045*^9}, {
   3.709269222204193*^9, 3.7092692960131807`*^9}, {3.709269624657858*^9, 
   3.709269662104402*^9}, {3.709270194242702*^9, 3.709270195224072*^9}, 
   3.709270326269393*^9, {3.709294665252358*^9, 3.709294666944251*^9}, {
   3.710840007940028*^9, 3.710840025343927*^9}},
 CellLabel->
  "In[106]:=",ExpressionUUID->"1d5e885a-baac-43eb-9625-c1fa09ad5f06"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"cf12S", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]_", ",", "A_", ",", "LA_", ",", "DA_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Beta]_", ",", "B_", ",", "LB_", ",", "DB_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Gamma]_", ",", "C_", ",", "LC_", ",", "DC_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Delta]_", ",", "D_", ",", "LD_", ",", "DD_"}], "}"}], ",", 
     "\[Lambda]_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"KA", ",", "KB", ",", "KC", ",", "KD", ",", "Int"}], "}"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"Degrees", " ", "of", " ", "contraction"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"KA", "=", 
       RowBox[{"Length", "[", "\[Alpha]", "]"}]}], ";", "\t", 
      RowBox[{"KB", "=", 
       RowBox[{"Length", "[", "\[Beta]", "]"}]}], ";", "\t", 
      RowBox[{"KC", "=", 
       RowBox[{"Length", "[", "\[Gamma]", "]"}]}], ";", "\t", 
      RowBox[{"KD", "=", 
       RowBox[{"Length", "[", "\[Delta]", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Contracted", " ", "integral"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Int", "=", 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"kA", "=", "1"}], "KA"], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"kB", "=", "1"}], "KB"], 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{"kC", "=", "1"}], "KC"], 
          RowBox[{
           UnderoverscriptBox["\[Sum]", 
            RowBox[{"kD", "=", "1"}], "KD"], 
           RowBox[{
            RowBox[{"NormCoeff", "[", 
             RowBox[{
              RowBox[{
              "\[Alpha]", "\[LeftDoubleBracket]", "kA", 
               "\[RightDoubleBracket]"}], ",", "LA"}], "]"}], 
            RowBox[{"NormCoeff", "[", 
             RowBox[{
              RowBox[{
              "\[Beta]", "\[LeftDoubleBracket]", "kB", 
               "\[RightDoubleBracket]"}], ",", "LB"}], "]"}], 
            RowBox[{"NormCoeff", "[", 
             RowBox[{
              RowBox[{
              "\[Gamma]", "\[LeftDoubleBracket]", "kC", 
               "\[RightDoubleBracket]"}], ",", "LC"}], "]"}], 
            RowBox[{"NormCoeff", "[", 
             RowBox[{
              RowBox[{
              "\[Delta]", "\[LeftDoubleBracket]", "kD", 
               "\[RightDoubleBracket]"}], ",", "LD"}], "]"}], 
            RowBox[{
            "DA", "\[LeftDoubleBracket]", "kA", "\[RightDoubleBracket]"}], 
            RowBox[{
            "DB", "\[LeftDoubleBracket]", "kB", "\[RightDoubleBracket]"}], 
            RowBox[{
            "DC", "\[LeftDoubleBracket]", "kC", "\[RightDoubleBracket]"}], 
            RowBox[{
            "DD", "\[LeftDoubleBracket]", "kD", "\[RightDoubleBracket]"}], 
            RowBox[{"pf12S", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                "\[Alpha]", "\[LeftDoubleBracket]", "kA", 
                 "\[RightDoubleBracket]"}], ",", "A", ",", "LA"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                "\[Beta]", "\[LeftDoubleBracket]", "kB", 
                 "\[RightDoubleBracket]"}], ",", "B", ",", "LB"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                "\[Gamma]", "\[LeftDoubleBracket]", "kC", 
                 "\[RightDoubleBracket]"}], ",", "C", ",", "LC"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                "\[Delta]", "\[LeftDoubleBracket]", "kD", 
                 "\[RightDoubleBracket]"}], ",", "D", ",", "LD"}], "}"}], ",",
               "\[Lambda]"}], "]"}]}]}]}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "Int", "]"}], ";"}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.704184881381482*^9, 3.704184965428793*^9}, {
   3.704185649157349*^9, 3.704185650141138*^9}, {3.704207673295456*^9, 
   3.704207699861866*^9}, 3.704209109612412*^9, {3.7092802404188223`*^9, 
   3.709280274317617*^9}, {3.709294678470007*^9, 3.709294680996216*^9}},
 CellLabel->
  "In[107]:=",ExpressionUUID->"e40ddaef-eae7-44d0-8099-fbb4ba4277f8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Alpha]", "=", 
      RowBox[{"1", "/", "2."}]}], ",", 
     RowBox[{"\[Beta]", "=", "2."}], ",", 
     RowBox[{"\[Gamma]", "=", "3."}], ",", 
     RowBox[{"\[Delta]", "=", "1."}], ",", 
     RowBox[{"A", "=", 
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", "0."}], "}"}]}], ",", 
     RowBox[{"B", "=", 
      RowBox[{"{", 
       RowBox[{"1.", ",", "0.", ",", "0."}], "}"}]}], ",", 
     RowBox[{"C", "=", 
      RowBox[{"{", 
       RowBox[{"0.", ",", "0.", ",", 
        RowBox[{"1", "/", "2."}]}], "}"}]}], ",", 
     RowBox[{"D", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "/", "2."}], ",", 
        RowBox[{
         RowBox[{"-", "3"}], "/", "2."}], ",", "0."}], "}"}]}], ",", 
     RowBox[{"LA", "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
     RowBox[{"LB", "=", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], ",", 
     RowBox[{"LC", "=", 
      RowBox[{"{", 
       RowBox[{"2", ",", "1", ",", "1"}], "}"}]}], ",", 
     RowBox[{"LD", "=", 
      RowBox[{"{", 
       RowBox[{"2", ",", "1", ",", "2"}], "}"}]}], ",", 
     RowBox[{"\[Lambda]", "=", "1.4"}], ",", 
     RowBox[{"r1", "=", 
      RowBox[{"{", 
       RowBox[{"x1", ",", "y1", ",", "z1"}], "}"}]}], ",", 
     RowBox[{"r2", "=", 
      RowBox[{"{", 
       RowBox[{"x2", ",", "y2", ",", "z2"}], "}"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"pf12S", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Alpha]", ",", "A", ",", "LA"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Beta]", ",", "B", ",", "LB"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Gamma]", ",", "C", ",", "LC"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Delta]", ",", "D", ",", "LD"}], "}"}], ",", "\[Lambda]"}], 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      UnderoverscriptBox["\[Product]", 
       RowBox[{"k", "=", "1"}], "3"], 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"x1", "-", 
            RowBox[{
            "A", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
           ")"}], 
          RowBox[{
          "LA", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "\[Alpha]"}], " ", 
           SuperscriptBox[
            RowBox[{"Norm", "[", 
             RowBox[{"x1", "-", 
              RowBox[{
              "A", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
             "]"}], "2"]}], "]"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"x1", "-", 
            RowBox[{
            "B", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
           ")"}], 
          RowBox[{
          "LB", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "\[Beta]"}], " ", 
           SuperscriptBox[
            RowBox[{"Norm", "[", 
             RowBox[{"x1", "-", 
              RowBox[{
              "B", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
             "]"}], "2"]}], "]"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "\[Lambda]"}], " ", 
           SuperscriptBox[
            RowBox[{"Norm", "[", 
             RowBox[{"x1", "-", "x2"}], "]"}], "2"]}], "]"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"x2", "-", 
            RowBox[{
            "C", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
           ")"}], 
          RowBox[{
          "LC", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "\[Gamma]"}], " ", 
           SuperscriptBox[
            RowBox[{"Norm", "[", 
             RowBox[{"x2", "-", 
              RowBox[{
              "C", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
             "]"}], "2"]}], "]"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"x2", "-", 
            RowBox[{
            "D", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
           ")"}], 
          RowBox[{
          "LD", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "\[Delta]"}], " ", 
           SuperscriptBox[
            RowBox[{"Norm", "[", 
             RowBox[{"x2", "-", 
              RowBox[{
              "D", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
             "]"}], "2"]}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"x1", ",", 
          RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x2", ",", 
          RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
       "]"}]}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.70989449747532*^9, 3.7098945709529676`*^9}, {
   3.709894656963057*^9, 3.709894975741642*^9}, {3.709895018187739*^9, 
   3.709895079649815*^9}, {3.709895508631754*^9, 3.709895549840971*^9}, {
   3.709895618309659*^9, 3.7098958132529297`*^9}, {3.709895874740326*^9, 
   3.709895908427939*^9}, {3.709911982382264*^9, 3.709911989082355*^9}, {
   3.7099121121722507`*^9, 3.7099121125157213`*^9}, {3.709912158336288*^9, 
   3.70991218199662*^9}, {3.709912217682206*^9, 3.709912276141786*^9}, {
   3.709914730216024*^9, 3.709914744981845*^9}, {3.7099148181859837`*^9, 
   3.709914841058103*^9}, {3.709914872766288*^9, 3.709914904762393*^9}, 
   3.709915015335824*^9, {3.709915138915876*^9, 3.709915151038259*^9}, {
   3.70991522191899*^9, 3.709915289165468*^9}, {3.709915345431699*^9, 
   3.709915362717098*^9}, {3.709995006267025*^9, 3.70999503064025*^9}, {
   3.7099950676845207`*^9, 3.709995116285522*^9}, {3.70999515902421*^9, 
   3.709995161673093*^9}, 3.709998162798183*^9, {3.709998317569397*^9, 
   3.709998344264386*^9}, {3.7099995936786947`*^9, 3.709999603111999*^9}, 
   3.709999655698341*^9, {3.709999728123745*^9, 3.709999729818527*^9}, {
   3.7099997909713917`*^9, 3.709999792886087*^9}, {3.709999830934575*^9, 
   3.709999858573441*^9}, 3.710002576602139*^9, {3.710002625308795*^9, 
   3.7100026388533278`*^9}, {3.710002675424389*^9, 3.71000267637818*^9}, 
   3.710005776314048*^9, {3.7100059740195217`*^9, 3.710005988293151*^9}, {
   3.710006047149907*^9, 3.7100060506842422`*^9}, {3.7100085417567377`*^9, 
   3.7100085588123503`*^9}, 3.7100086750933113`*^9},
 CellLabel->"In[95]:=",ExpressionUUID->"8ba52260-4a02-47d4-a165-72b9af474a77"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "1.424055826158589`*^-7"}], ",", 
   RowBox[{"-", "7.982716523896167`*^-8"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.709912241128008*^9, 3.709912245057386*^9}, 
   3.709912280094088*^9, {3.709912311379465*^9, 3.709912332322124*^9}, {
   3.709912510011957*^9, 3.7099125431049023`*^9}, 3.70991257895543*^9, 
   3.7099126331041594`*^9, 3.7099144280635843`*^9, {3.709914620021224*^9, 
   3.709914624871048*^9}, {3.709914731533195*^9, 3.709914746332491*^9}, 
   3.709914786333087*^9, {3.7099148189842443`*^9, 3.709914841750805*^9}, {
   3.7099148738962593`*^9, 3.7099149055416727`*^9}, {3.709914977682289*^9, 
   3.709915015978951*^9}, {3.7099151195764503`*^9, 3.7099151740178556`*^9}, {
   3.709915212980054*^9, 3.7099152914299383`*^9}, {3.7099153272571707`*^9, 
   3.7099153637945127`*^9}, 3.709916124492508*^9, 3.709920174703556*^9, 
   3.709957652885886*^9, {3.709995059324242*^9, 3.709995068923439*^9}, {
   3.709995107119997*^9, 3.709995117154332*^9}, 3.7099951625089693`*^9, 
   3.709998163941134*^9, {3.709998303219796*^9, 3.709998366402821*^9}, 
   3.7099990310170794`*^9, 3.709999305531592*^9, {3.709999595445126*^9, 
   3.7099996040928383`*^9}, 3.709999656480714*^9, 3.7099997305381308`*^9, 
   3.70999979532415*^9, {3.709999831693026*^9, 3.70999985938922*^9}, 
   3.7100025772506533`*^9, {3.710002626363421*^9, 3.710002639983014*^9}, 
   3.7100026780642767`*^9, 3.710005777118656*^9, {3.710005980970169*^9, 
   3.7100059890771637`*^9}, 3.710006051281571*^9, 3.710008559861024*^9, 
   3.710008676106615*^9, 3.7100608007622213`*^9, 3.7106548122635098`*^9, 
   3.710665007332245*^9, 3.710665322971178*^9, 3.710840086399226*^9, 
   3.791651792284348*^9, 3.791651914147409*^9, 3.793162749619728*^9},
 CellLabel->"Out[95]=",ExpressionUUID->"a9f5f624-3fc9-41ae-ba10-7420b360c0ce"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Potential", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.6568777608330193`*^9, 3.656877804695475*^9}, {
  3.6571764746555557`*^9, 
  3.6571764826087713`*^9}},ExpressionUUID->"96327bf7-70f3-43bb-8490-\
464ddbf6040c"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GEXPV", "[", 
    RowBox[{"\[Alpha]_", ",", "\[Beta]_", ",", "A_", ",", "B_"}], "]"}], ":=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox["\[Pi]", 
       RowBox[{"\[Alpha]", "+", "\[Beta]"}]], ")"}], 
     RowBox[{"3", "/", "2"}]], 
    FractionBox["2", 
     SqrtBox["\[Pi]"]], 
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Beta]"}], 
        RowBox[{"\[Alpha]", "+", "\[Beta]"}]]}], 
      SuperscriptBox[
       RowBox[{"Norm", "[", 
        RowBox[{"A", "-", "B"}], "]"}], "2"]}], "]"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.646863912359667*^9, 3.646863982919775*^9}, {
   3.654210055587659*^9, 3.654210072594285*^9}, 3.654223865003422*^9, 
   3.6542239128948383`*^9},
 CellLabel->
  "In[108]:=",ExpressionUUID->"31b37f25-f703-4a5d-a3f2-706d2a244af3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"GmV", "[", 
   RowBox[{"m_", ",", "\[Zeta]_", ",", "A_", ",", "B_"}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"Norm", "[", 
       RowBox[{"A", "-", "B"}], "]"}], "2"], "\[Equal]", "0"}], ",", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", "\[Zeta]", ")"}], 
      RowBox[{
       FractionBox["1", "2"], "+", "m"}]], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "m"}]}]], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"Norm", "[", 
          RowBox[{"A", "-", "B"}], "]"}], "2"], 
        RowBox[{"(", "\[Zeta]", ")"}]}], "<", "0.1"}], ",", 
      RowBox[{
       FractionBox["1", "2"], 
       SuperscriptBox[
        RowBox[{"(", "\[Zeta]", ")"}], 
        RowBox[{
         FractionBox["1", "2"], "+", "m"}]], 
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", 
          RowBox[{
           FractionBox["1", "2"], "+", "m"}]], "-", 
         FractionBox[
          RowBox[{
           RowBox[{"(", "\[Zeta]", ")"}], " ", 
           SuperscriptBox[
            RowBox[{"Norm", "[", 
             RowBox[{"A", "-", "B"}], "]"}], "2"]}], 
          RowBox[{
           FractionBox["3", "2"], "+", "m"}]], "+", 
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", "\[Zeta]", ")"}], "2"], " ", 
           SuperscriptBox[
            RowBox[{"Norm", "[", 
             RowBox[{"A", "-", "B"}], "]"}], "4"]}], 
          RowBox[{"5", "+", 
           RowBox[{"2", " ", "m"}]}]], "-", 
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", "\[Zeta]", ")"}], "3"], " ", 
           SuperscriptBox[
            RowBox[{"Norm", "[", 
             RowBox[{"A", "-", "B"}], "]"}], "6"]}], 
          RowBox[{"6", " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox["7", "2"], "+", "m"}], ")"}]}]], "+", 
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", "\[Zeta]", ")"}], "4"], " ", 
           SuperscriptBox[
            RowBox[{"Norm", "[", 
             RowBox[{"A", "-", "B"}], "]"}], "8"]}], 
          RowBox[{"24", " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox["9", "2"], "+", "m"}], ")"}]}]], "-", 
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", "\[Zeta]", ")"}], "5"], " ", 
           SuperscriptBox[
            RowBox[{"Norm", "[", 
             RowBox[{"A", "-", "B"}], "]"}], "10"]}], 
          RowBox[{"120", " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox["11", "2"], "+", "m"}], ")"}]}]], "+", 
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", "\[Zeta]", ")"}], "6"], " ", 
           SuperscriptBox[
            RowBox[{"Norm", "[", 
             RowBox[{"A", "-", "B"}], "]"}], "12"]}], 
          RowBox[{"720", " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox["13", "2"], "+", "m"}], ")"}]}]], "-", 
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", "\[Zeta]", ")"}], "7"], " ", 
           SuperscriptBox[
            RowBox[{"Norm", "[", 
             RowBox[{"A", "-", "B"}], "]"}], "14"]}], 
          RowBox[{"5040", " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox["15", "2"], "+", "m"}], ")"}]}]]}], ")"}]}], ",", 
      RowBox[{
       FractionBox["1", "2"], 
       SuperscriptBox[
        RowBox[{"(", "\[Zeta]", ")"}], 
        RowBox[{
         FractionBox["1", "2"], "+", "m"}]], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"Norm", "[", 
            RowBox[{"A", "-", "B"}], "]"}], "2"], 
          RowBox[{"(", "\[Zeta]", ")"}]}], ")"}], 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "2"]}], "-", "m"}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Gamma", "[", 
          RowBox[{
           FractionBox["1", "2"], "+", "m"}], "]"}], "-", 
         RowBox[{"Gamma", "[", 
          RowBox[{
           RowBox[{
            FractionBox["1", "2"], "+", "m"}], ",", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"Norm", "[", 
              RowBox[{"A", "-", "B"}], "]"}], "2"], 
            RowBox[{"(", "\[Zeta]", ")"}]}]}], "]"}]}], ")"}]}]}], "]"}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.6468640060416193`*^9, 3.6468641230746403`*^9}, {
  3.646864226303177*^9, 3.646864298842484*^9}, {3.646867560287077*^9, 
  3.646867595330369*^9}, {3.654210027138339*^9, 3.654210051654991*^9}, {
  3.6574198777618113`*^9, 3.6574199121350393`*^9}, {3.657419945301669*^9, 
  3.657419992732934*^9}},
 CellLabel->
  "In[109]:=",ExpressionUUID->"aefc8b38-3601-4764-834f-0da8de30c104"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"VR", "[", 
    RowBox[{
    "m_", ",", "a_", ",", "b_", ",", "\[Alpha]_", ",", "\[Beta]_", ",", "A_", 
     ",", "B_", ",", "R_"}], "]"}], ":=", "\[IndentingNewLine]", 
   RowBox[{"Which", "[", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Norm", "[", "b", "]"}], ">", "0"}], ",", 
     RowBox[{"Which", "[", 
      RowBox[{
       RowBox[{
        SubscriptBox["b", 
         RowBox[{"\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]], ">",
         "0"}], ",", 
       RowBox[{
        RowBox[{"VR", "[", 
         RowBox[{"m", ",", 
          RowBox[{"a", "+", 
           SubscriptBox["Id", 
            RowBox[{"\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"1", ";;", "3"}], ",", "1"}], 
             "\[RightDoubleBracket]"}]]}], ",", 
          RowBox[{"b", "-", 
           SubscriptBox["Id", 
            RowBox[{"\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"1", ";;", "3"}], ",", "1"}], 
             "\[RightDoubleBracket]"}]]}], ",", "\[Alpha]", ",", "\[Beta]", 
          ",", "A", ",", "B", ",", "R"}], "]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["A", 
            RowBox[{"\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]], 
           "-", 
           SubscriptBox["B", 
            RowBox[{"\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]]}],
           ")"}], 
         RowBox[{"VR", "[", 
          RowBox[{"m", ",", "a", ",", 
           RowBox[{"b", "-", 
            SubscriptBox["Id", 
             RowBox[{"\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"1", ";;", "3"}], ",", "1"}], 
              "\[RightDoubleBracket]"}]]}], ",", "\[Alpha]", ",", "\[Beta]", 
           ",", "A", ",", "B", ",", "R"}], "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        SubscriptBox["b", 
         RowBox[{"\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]], ">",
         "0"}], ",", 
       RowBox[{
        RowBox[{"VR", "[", 
         RowBox[{"m", ",", 
          RowBox[{"a", "+", 
           SubscriptBox["Id", 
            RowBox[{"\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"1", ";;", "3"}], ",", "2"}], 
             "\[RightDoubleBracket]"}]]}], ",", 
          RowBox[{"b", "-", 
           SubscriptBox["Id", 
            RowBox[{"\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"1", ";;", "3"}], ",", "2"}], 
             "\[RightDoubleBracket]"}]]}], ",", "\[Alpha]", ",", "\[Beta]", 
          ",", "A", ",", "B", ",", "R"}], "]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["A", 
            RowBox[{"\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]], 
           "-", 
           SubscriptBox["B", 
            RowBox[{"\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]]}],
           ")"}], 
         RowBox[{"VR", "[", 
          RowBox[{"m", ",", "a", ",", 
           RowBox[{"b", "-", 
            SubscriptBox["Id", 
             RowBox[{"\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"1", ";;", "3"}], ",", "2"}], 
              "\[RightDoubleBracket]"}]]}], ",", "\[Alpha]", ",", "\[Beta]", 
           ",", "A", ",", "B", ",", "R"}], "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        SubscriptBox["b", 
         RowBox[{"\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]], ">",
         "0"}], ",", 
       RowBox[{
        RowBox[{"VR", "[", 
         RowBox[{"m", ",", 
          RowBox[{"a", "+", 
           SubscriptBox["Id", 
            RowBox[{"\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"1", ";;", "3"}], ",", "3"}], 
             "\[RightDoubleBracket]"}]]}], ",", 
          RowBox[{"b", "-", 
           SubscriptBox["Id", 
            RowBox[{"\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"1", ";;", "3"}], ",", "3"}], 
             "\[RightDoubleBracket]"}]]}], ",", "\[Alpha]", ",", "\[Beta]", 
          ",", "A", ",", "B", ",", "R"}], "]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["A", 
            RowBox[{"\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]], 
           "-", 
           SubscriptBox["B", 
            RowBox[{"\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]]}],
           ")"}], 
         RowBox[{"VR", "[", 
          RowBox[{"m", ",", "a", ",", 
           RowBox[{"b", "-", 
            SubscriptBox["Id", 
             RowBox[{"\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"1", ";;", "3"}], ",", "3"}], 
              "\[RightDoubleBracket]"}]]}], ",", "\[Alpha]", ",", "\[Beta]", 
           ",", "A", ",", "B", ",", "R"}], "]"}]}]}]}], "]"}], ",", 
     "\[IndentingNewLine]", " ", 
     RowBox[{
      RowBox[{"Norm", "[", "a", "]"}], ">", "0"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Which", "[", 
      RowBox[{
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]], ">",
         "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{
             RowBox[{"\[Alpha]", " ", 
              SubscriptBox["A", 
               RowBox[{
               "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]]}], "+", 
             RowBox[{"\[Beta]", " ", 
              SubscriptBox["B", 
               RowBox[{
               "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]]}]}], 
            RowBox[{"\[Alpha]", "+", "\[Beta]"}]], "-", 
           SubscriptBox["A", 
            RowBox[{"\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]]}],
           ")"}], 
         RowBox[{"VR", "[", 
          RowBox[{"m", ",", 
           RowBox[{"a", "-", 
            SubscriptBox["Id", 
             RowBox[{"\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"1", ";;", "3"}], ",", "1"}], 
              "\[RightDoubleBracket]"}]]}], ",", "b", ",", "\[Alpha]", ",", 
           "\[Beta]", ",", "A", ",", "B", ",", "R"}], "]"}]}], "+", 
        RowBox[{
         FractionBox[
          RowBox[{
           SubscriptBox["a", 
            RowBox[{"\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]], 
           "-", "1"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"\[Alpha]", "+", "\[Beta]"}], ")"}]}]], 
         RowBox[{"VR", "[", 
          RowBox[{"m", ",", 
           RowBox[{"a", "-", 
            RowBox[{"2", 
             SubscriptBox["Id", 
              RowBox[{"\[LeftDoubleBracket]", 
               RowBox[{
                RowBox[{"1", ";;", "3"}], ",", "1"}], 
               "\[RightDoubleBracket]"}]]}]}], ",", "b", ",", "\[Alpha]", ",",
            "\[Beta]", ",", "A", ",", "B", ",", "R"}], "]"}]}], "-", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"\[Alpha]", "+", "\[Beta]"}]], 
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{
             RowBox[{"\[Alpha]", " ", 
              SubscriptBox["A", 
               RowBox[{
               "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]]}], "+", 
             RowBox[{"\[Beta]", " ", 
              SubscriptBox["B", 
               RowBox[{
               "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]]}]}], 
            RowBox[{"\[Alpha]", "+", "\[Beta]"}]], "-", 
           SubscriptBox["R", 
            RowBox[{"\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]]}],
           ")"}], 
         RowBox[{"VR", "[", 
          RowBox[{
           RowBox[{"m", "+", "1"}], ",", 
           RowBox[{"a", "-", 
            SubscriptBox["Id", 
             RowBox[{"\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"1", ";;", "3"}], ",", "1"}], 
              "\[RightDoubleBracket]"}]]}], ",", "b", ",", "\[Alpha]", ",", 
           "\[Beta]", ",", "A", ",", "B", ",", "R"}], "]"}]}], "-", 
        RowBox[{
         FractionBox[
          RowBox[{
           SubscriptBox["a", 
            RowBox[{"\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]], 
           "-", "1"}], 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"\[Alpha]", "+", "\[Beta]"}], ")"}], "2"]}]], 
         RowBox[{"VR", "[", 
          RowBox[{
           RowBox[{"m", "+", "1"}], ",", 
           RowBox[{"a", "-", 
            RowBox[{"2", 
             SubscriptBox["Id", 
              RowBox[{"\[LeftDoubleBracket]", 
               RowBox[{
                RowBox[{"1", ";;", "3"}], ",", "1"}], 
               "\[RightDoubleBracket]"}]]}]}], ",", "b", ",", "\[Alpha]", ",",
            "\[Beta]", ",", "A", ",", "B", ",", "R"}], "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]], ">",
         "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{
             RowBox[{"\[Alpha]", " ", 
              SubscriptBox["A", 
               RowBox[{
               "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]]}], "+", 
             RowBox[{"\[Beta]", " ", 
              SubscriptBox["B", 
               RowBox[{
               "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]]}]}], 
            RowBox[{"\[Alpha]", "+", "\[Beta]"}]], "-", 
           SubscriptBox["A", 
            RowBox[{"\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]]}],
           ")"}], 
         RowBox[{"VR", "[", 
          RowBox[{"m", ",", 
           RowBox[{"a", "-", 
            SubscriptBox["Id", 
             RowBox[{"\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"1", ";;", "3"}], ",", "2"}], 
              "\[RightDoubleBracket]"}]]}], ",", "b", ",", "\[Alpha]", ",", 
           "\[Beta]", ",", "A", ",", "B", ",", "R"}], "]"}]}], "+", 
        RowBox[{
         FractionBox[
          RowBox[{
           SubscriptBox["a", 
            RowBox[{"\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]], 
           "-", "1"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"\[Alpha]", "+", "\[Beta]"}], ")"}]}]], 
         RowBox[{"VR", "[", 
          RowBox[{"m", ",", 
           RowBox[{"a", "-", 
            RowBox[{"2", 
             SubscriptBox["Id", 
              RowBox[{"\[LeftDoubleBracket]", 
               RowBox[{
                RowBox[{"1", ";;", "3"}], ",", "2"}], 
               "\[RightDoubleBracket]"}]]}]}], ",", "b", ",", "\[Alpha]", ",",
            "\[Beta]", ",", "A", ",", "B", ",", "R"}], "]"}]}], "-", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"\[Alpha]", "+", "\[Beta]"}]], 
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{
             RowBox[{"\[Alpha]", " ", 
              SubscriptBox["A", 
               RowBox[{
               "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]]}], "+", 
             RowBox[{"\[Beta]", " ", 
              SubscriptBox["B", 
               RowBox[{
               "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]]}]}], 
            RowBox[{"\[Alpha]", "+", "\[Beta]"}]], "-", 
           SubscriptBox["R", 
            RowBox[{"\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]]}],
           ")"}], 
         RowBox[{"VR", "[", 
          RowBox[{
           RowBox[{"m", "+", "1"}], ",", 
           RowBox[{"a", "-", 
            SubscriptBox["Id", 
             RowBox[{"\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"1", ";;", "3"}], ",", "2"}], 
              "\[RightDoubleBracket]"}]]}], ",", "b", ",", "\[Alpha]", ",", 
           "\[Beta]", ",", "A", ",", "B", ",", "R"}], "]"}]}], "-", 
        RowBox[{
         FractionBox[
          RowBox[{
           SubscriptBox["a", 
            RowBox[{"\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]], 
           "-", "1"}], 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"\[Alpha]", "+", "\[Beta]"}], ")"}], "2"]}]], 
         RowBox[{"VR", "[", 
          RowBox[{
           RowBox[{"m", "+", "1"}], ",", 
           RowBox[{"a", "-", 
            RowBox[{"2", 
             SubscriptBox["Id", 
              RowBox[{"\[LeftDoubleBracket]", 
               RowBox[{
                RowBox[{"1", ";;", "3"}], ",", "2"}], 
               "\[RightDoubleBracket]"}]]}]}], ",", "b", ",", "\[Alpha]", ",",
            "\[Beta]", ",", "A", ",", "B", ",", "R"}], "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]], ">",
         "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{
             RowBox[{"\[Alpha]", " ", 
              SubscriptBox["A", 
               RowBox[{
               "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]]}], "+", 
             RowBox[{"\[Beta]", " ", 
              SubscriptBox["B", 
               RowBox[{
               "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]]}]}], 
            RowBox[{"\[Alpha]", "+", "\[Beta]"}]], "-", 
           SubscriptBox["A", 
            RowBox[{"\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]]}],
           ")"}], 
         RowBox[{"VR", "[", 
          RowBox[{"m", ",", 
           RowBox[{"a", "-", 
            SubscriptBox["Id", 
             RowBox[{"\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"1", ";;", "3"}], ",", "3"}], 
              "\[RightDoubleBracket]"}]]}], ",", "b", ",", "\[Alpha]", ",", 
           "\[Beta]", ",", "A", ",", "B", ",", "R"}], "]"}]}], "+", 
        RowBox[{
         FractionBox[
          RowBox[{
           SubscriptBox["a", 
            RowBox[{"\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]], 
           "-", "1"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"\[Alpha]", "+", "\[Beta]"}], ")"}]}]], 
         RowBox[{"VR", "[", 
          RowBox[{"m", ",", 
           RowBox[{"a", "-", 
            RowBox[{"2", 
             SubscriptBox["Id", 
              RowBox[{"\[LeftDoubleBracket]", 
               RowBox[{
                RowBox[{"1", ";;", "3"}], ",", "3"}], 
               "\[RightDoubleBracket]"}]]}]}], ",", "b", ",", "\[Alpha]", ",",
            "\[Beta]", ",", "A", ",", "B", ",", "R"}], "]"}]}], "-", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"\[Alpha]", "+", "\[Beta]"}]], 
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{
             RowBox[{"\[Alpha]", " ", 
              SubscriptBox["A", 
               RowBox[{
               "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]]}], "+", 
             RowBox[{"\[Beta]", " ", 
              SubscriptBox["B", 
               RowBox[{
               "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]]}]}], 
            RowBox[{"\[Alpha]", "+", "\[Beta]"}]], "-", 
           SubscriptBox["R", 
            RowBox[{"\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]]}],
           ")"}], 
         RowBox[{"VR", "[", 
          RowBox[{
           RowBox[{"m", "+", "1"}], ",", 
           RowBox[{"a", "-", 
            SubscriptBox["Id", 
             RowBox[{"\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"1", ";;", "3"}], ",", "3"}], 
              "\[RightDoubleBracket]"}]]}], ",", "b", ",", "\[Alpha]", ",", 
           "\[Beta]", ",", "A", ",", "B", ",", "R"}], "]"}]}], "-", 
        RowBox[{
         FractionBox[
          RowBox[{
           SubscriptBox["a", 
            RowBox[{"\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]], 
           "-", "1"}], 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"\[Alpha]", "+", "\[Beta]"}], ")"}], "2"]}]], 
         RowBox[{"VR", "[", 
          RowBox[{
           RowBox[{"m", "+", "1"}], ",", 
           RowBox[{"a", "-", 
            RowBox[{"2", 
             SubscriptBox["Id", 
              RowBox[{"\[LeftDoubleBracket]", 
               RowBox[{
                RowBox[{"1", ";;", "3"}], ",", "3"}], 
               "\[RightDoubleBracket]"}]]}]}], ",", "b", ",", "\[Alpha]", ",",
            "\[Beta]", ",", "A", ",", "B", ",", "R"}], "]"}]}]}]}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a", "\[Equal]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ")"}], "&&", 
      RowBox[{"(", 
       RowBox[{"b", "\[Equal]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"GEXPV", "[", 
       RowBox[{"\[Alpha]", ",", "\[Beta]", ",", "A", ",", "B"}], "]"}], 
      RowBox[{"GmV", "[", 
       RowBox[{"m", ",", 
        RowBox[{"\[Alpha]", "+", "\[Beta]"}], ",", 
        FractionBox[
         RowBox[{
          RowBox[{"\[Alpha]", " ", "A"}], "+", 
          RowBox[{"\[Beta]", " ", "B"}]}], 
         RowBox[{"\[Alpha]", "+", "\[Beta]"}]], ",", "R"}], "]"}]}]}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"VR", "[", 
   RowBox[{
   "m_", ",", "a_", ",", "b_", ",", "\[Alpha]_", ",", "\[Beta]_", ",", "A_", 
    ",", "B_", ",", "R_"}], "]"}], ":=", 
  RowBox[{"0", "/;", 
   RowBox[{
    RowBox[{
     RowBox[{"Norm", "[", "a", "]"}], "<", "0"}], "||", 
    RowBox[{
     RowBox[{"Norm", "[", "b", "]"}], "<", "0"}]}]}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.646861960748904*^9, 3.646862052244747*^9}, {
   3.64686315542901*^9, 3.646863215861906*^9}, {3.646863263682667*^9, 
   3.6468633991396923`*^9}, {3.646863440743354*^9, 3.646863527796153*^9}, {
   3.646863653397488*^9, 3.6468638456007843`*^9}, {3.6468643265168467`*^9, 
   3.646864380472286*^9}, {3.646865233213052*^9, 3.646865265586051*^9}, 
   3.6468653011143227`*^9, {3.64686675943642*^9, 3.646866881522812*^9}, {
   3.646867138219693*^9, 3.646867141805087*^9}, {3.64686894071563*^9, 
   3.646868956867551*^9}, {3.654217602398638*^9, 3.6542176028485823`*^9}, {
   3.654217633669016*^9, 3.65421765323177*^9}, {3.656877835892391*^9, 
   3.656877844561144*^9}, {3.656877876167096*^9, 3.656877880329591*^9}, {
   3.656879039324288*^9, 3.6568790506514673`*^9}, {3.657420011564028*^9, 
   3.65742003266302*^9}, {3.7041876679039383`*^9, 3.704187683407278*^9}, 
   3.704197878191832*^9, 3.7041981164171963`*^9},
 CellLabel->
  "In[110]:=",ExpressionUUID->"45f203b6-e174-40f4-80af-faf5a87fbca8"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalV]", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]_", ",", "A_", ",", "a_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Beta]_", ",", "B_", ",", "b_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"ZC_", ",", "C_"}], "}"}]}], "]"}], ":=", 
   RowBox[{
    RowBox[{"\[ScriptCapitalV]", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Alpha]", ",", "A", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Beta]", ",", "B", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"ZC", ",", "C"}], "}"}]}], "]"}], "=", 
    RowBox[{
     RowBox[{"-", "ZC"}], " ", 
     RowBox[{"VR", "[", 
      RowBox[{
      "0", ",", "a", ",", "b", ",", "\[Alpha]", ",", "\[Beta]", ",", "A", ",",
        "B", ",", "C"}], "]"}]}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.65717678817594*^9, 3.657176811910439*^9}, 
   3.6572623473272552`*^9, {3.657419516015402*^9, 3.657419519173759*^9}, {
   3.657419667066139*^9, 3.657419678584379*^9}, {3.657419715439363*^9, 
   3.657419738253237*^9}, 3.65742003972927*^9, {3.704213402737585*^9, 
   3.704213421661333*^9}},
 CellLabel->
  "In[112]:=",ExpressionUUID->"bd6156e7-a937-4a23-abe0-7f6b0b1ebcc3"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalV]c", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]_", ",", "A_", ",", "LA_", ",", "DA_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Beta]_", ",", "B_", ",", "LB_", ",", "DB_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"ZC_", ",", "C_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"KA", ",", "KB", ",", "Int"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"Degrees", " ", "of", " ", "contraction"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"KA", "=", 
       RowBox[{"Length", "[", "\[Alpha]", "]"}]}], ";", "\t", 
      RowBox[{"KB", "=", 
       RowBox[{"Length", "[", "\[Beta]", "]"}]}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"(*", " ", 
       RowBox[{"Contracted", " ", "integral"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Int", "=", 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"kA", "=", "1"}], "KA"], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"kB", "=", "1"}], "KB"], 
         RowBox[{
          RowBox[{"NormCoeff", "[", 
           RowBox[{
            RowBox[{
            "\[Alpha]", "\[LeftDoubleBracket]", "kA", 
             "\[RightDoubleBracket]"}], ",", "LA"}], "]"}], 
          RowBox[{"NormCoeff", "[", 
           RowBox[{
            RowBox[{
            "\[Beta]", "\[LeftDoubleBracket]", "kB", 
             "\[RightDoubleBracket]"}], ",", "LB"}], "]"}], 
          RowBox[{
          "DA", "\[LeftDoubleBracket]", "kA", "\[RightDoubleBracket]"}], 
          RowBox[{
          "DB", "\[LeftDoubleBracket]", "kB", "\[RightDoubleBracket]"}], 
          RowBox[{"\[ScriptCapitalV]", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
              "\[Alpha]", "\[LeftDoubleBracket]", "kA", 
               "\[RightDoubleBracket]"}], ",", "A", ",", "LA"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
              "\[Beta]", "\[LeftDoubleBracket]", "kB", 
               "\[RightDoubleBracket]"}], ",", "B", ",", "LB"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"ZC", ",", "C"}], "}"}]}], "]"}]}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "Int", "]"}], ";"}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.704184069575794*^9, 3.704184244596478*^9}, {
   3.704184289582673*^9, 3.7041843584209433`*^9}, {3.704184438389485*^9, 
   3.704184486230136*^9}, {3.704184821981968*^9, 3.7041848701184187`*^9}, {
   3.7041849874695063`*^9, 3.704185015636867*^9}, 3.704185696613285*^9, 
   3.704207709232131*^9},
 CellLabel->
  "In[113]:=",ExpressionUUID->"1ececf73-4af0-463c-a3d3-dd6f0bc99cdb"]
}, Closed]],

Cell[CellGroupData[{

Cell["Kinetic", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{
  3.656878023620164*^9, {3.656878262024914*^9, 3.656878268627954*^9}, {
   3.656879125169551*^9, 3.656879125169569*^9}, {3.657176499249601*^9, 
   3.657176502288813*^9}},ExpressionUUID->"5cb94a26-6007-4cf8-a288-\
bab050e9c43c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"DD", "[", 
    RowBox[{
    "dx_", ",", "dy_", ",", "dz_", ",", "a_", ",", "b_", ",", "\[Alpha]_", 
     ",", "\[Beta]_", ",", "A_", ",", "B_"}], "]"}], ":=", 
   RowBox[{"Which", "[", 
    RowBox[{
     RowBox[{"dx", ">", "0"}], ",", 
     RowBox[{
      RowBox[{"2", "\[Beta]", " ", 
       RowBox[{"DD", "[", 
        RowBox[{
         RowBox[{"dx", "-", "1"}], ",", "dy", ",", "dz", ",", "a", ",", 
         RowBox[{"b", "+", " ", 
          RowBox[{"Id", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"1", " ", ";;", " ", "3"}], ",", "1"}], "]"}], "]"}]}], 
         ",", "\[Alpha]", ",", "\[Beta]", ",", "A", ",", "B"}], "]"}]}], "-", 
      
      RowBox[{
       SubscriptBox["b", 
        RowBox[{"\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]], 
       RowBox[{"DD", "[", 
        RowBox[{
         RowBox[{"dx", "-", "1"}], ",", "dy", ",", "dz", ",", "a", ",", 
         RowBox[{"b", "-", " ", 
          RowBox[{"Id", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"1", " ", ";;", " ", "3"}], ",", "1"}], "]"}], "]"}]}], 
         ",", "\[Alpha]", ",", "\[Beta]", ",", "A", ",", "B"}], "]"}]}]}], 
     ",", 
     RowBox[{"dy", ">", "0"}], ",", 
     RowBox[{
      RowBox[{"2", "\[Beta]", " ", 
       RowBox[{"DD", "[", 
        RowBox[{"dx", ",", 
         RowBox[{"dy", "-", "1"}], ",", "dz", ",", "a", ",", 
         RowBox[{"b", "+", " ", 
          RowBox[{"Id", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"1", " ", ";;", " ", "3"}], ",", "2"}], "]"}], "]"}]}], 
         ",", "\[Alpha]", ",", "\[Beta]", ",", "A", ",", "B"}], "]"}]}], "-", 
      
      RowBox[{
       SubscriptBox["b", 
        RowBox[{"\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]], 
       RowBox[{"DD", "[", 
        RowBox[{"dx", ",", 
         RowBox[{"dy", "-", "1"}], ",", "dz", ",", "a", ",", 
         RowBox[{"b", "-", " ", 
          RowBox[{"Id", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"1", " ", ";;", " ", "3"}], ",", "2"}], "]"}], "]"}]}], 
         ",", "\[Alpha]", ",", "\[Beta]", ",", "A", ",", "B"}], "]"}]}]}], 
     ",", 
     RowBox[{"dz", ">", "0"}], ",", 
     RowBox[{
      RowBox[{"2", "\[Beta]", " ", 
       RowBox[{"DD", "[", 
        RowBox[{"dx", ",", "dy", ",", 
         RowBox[{"dz", "-", "1"}], ",", "a", ",", 
         RowBox[{"b", "+", " ", 
          RowBox[{"Id", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"1", " ", ";;", " ", "3"}], ",", "3"}], "]"}], "]"}]}], 
         ",", "\[Alpha]", ",", "\[Beta]", ",", "A", ",", "B"}], "]"}]}], "-", 
      
      RowBox[{
       SubscriptBox["b", 
        RowBox[{"\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]], 
       RowBox[{"DD", "[", 
        RowBox[{"dx", ",", "dy", ",", 
         RowBox[{"dz", "-", "1"}], ",", "a", ",", 
         RowBox[{"b", "-", " ", 
          RowBox[{"Id", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"1", " ", ";;", " ", "3"}], ",", "3"}], "]"}], "]"}]}], 
         ",", "\[Alpha]", ",", "\[Beta]", ",", "A", ",", "B"}], "]"}]}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"DD", "[", 
    RowBox[{
    "dx_", ",", "dy_", ",", "dz_", ",", "a_", ",", "b_", ",", "\[Alpha]_", 
     ",", "\[Beta]_", ",", "A_", ",", "B_"}], "]"}], ":=", 
   RowBox[{"0", "/;", " ", 
    RowBox[{
     RowBox[{"dx", "<", "0"}], "||", 
     RowBox[{"dy", "<", "0"}], "||", 
     RowBox[{"dz", "<", "0"}], "||", 
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]], "<", 
      "0"}], "||", 
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]], "<", 
      "0"}], "||", 
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]], "<", 
      "0"}], "||", 
     RowBox[{
      SubscriptBox["b", 
       RowBox[{"\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]], "<", 
      "0"}], "||", 
     RowBox[{
      SubscriptBox["b", 
       RowBox[{"\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]], "<", 
      "0"}], "||", 
     RowBox[{
      SubscriptBox["b", 
       RowBox[{"\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]], "<", 
      "0"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"DD", "[", 
    RowBox[{
    "dx_", ",", "dy_", ",", "dz_", ",", "a_", ",", "b_", ",", "\[Alpha]_", 
     ",", "\[Beta]_", ",", "A_", ",", "B_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", "2"]}], 
     RowBox[{"\[ScriptCapitalS]", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Alpha]", ",", "A", ",", "a"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Beta]", ",", "B", ",", "b"}], "}"}]}], "]"}]}], "/;", " ", 
    
    RowBox[{
     RowBox[{"dx", "\[Equal]", "0"}], "&&", 
     RowBox[{"dy", "\[Equal]", "0"}], "&&", 
     RowBox[{"dz", "\[Equal]", "0"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptCapitalT]", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Alpha]_", ",", "A_", ",", "a_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Beta]_", ",", "B_", ",", "b_"}], "}"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"\[ScriptCapitalT]", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]", ",", "A", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Beta]", ",", "B", ",", "b"}], "}"}]}], "]"}], "=", 
   RowBox[{
    RowBox[{"DD", "[", 
     RowBox[{
     "2", ",", "0", ",", "0", ",", "a", ",", "b", ",", "\[Alpha]", ",", 
      "\[Beta]", ",", "A", ",", "B"}], "]"}], "+", 
    RowBox[{"DD", "[", 
     RowBox[{
     "0", ",", "2", ",", "0", ",", "a", ",", "b", ",", "\[Alpha]", ",", 
      "\[Beta]", ",", "A", ",", "B"}], "]"}], "+", 
    RowBox[{"DD", "[", 
     RowBox[{
     "0", ",", "0", ",", "2", ",", "a", ",", "b", ",", "\[Alpha]", ",", 
      "\[Beta]", ",", "A", ",", "B"}], "]"}]}]}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.6466148530822573`*^9, 3.6466152501185923`*^9}, {
   3.646624889415599*^9, 3.6466248910938253`*^9}, 3.646624941881864*^9, {
   3.6466250008348*^9, 3.646625023424636*^9}, {3.646625065709391*^9, 
   3.6466251000807877`*^9}, {3.6466252280049067`*^9, 
   3.6466252282357903`*^9}, {3.6466254034861937`*^9, 3.646625431903222*^9}, {
   3.646625760614851*^9, 3.6466257888903713`*^9}, {3.653946357913011*^9, 
   3.6539463666959143`*^9}, 3.653946508246765*^9, {3.654217555385297*^9, 
   3.654217563975417*^9}, {3.654219160879282*^9, 3.6542191656544533`*^9}, {
   3.65422287194075*^9, 3.654222942750051*^9}, {3.6572604356598043`*^9, 
   3.657260436017201*^9}, {3.657262243021803*^9, 3.657262256653657*^9}, {
   3.704187711775399*^9, 3.704187723157239*^9}, 3.704197891430485*^9, {
   3.70421343162591*^9, 3.7042134386940804`*^9}},
 CellLabel->
  "In[114]:=",ExpressionUUID->"e53ceb67-f409-40f4-a11a-700c5912ce09"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalT]c", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]_", ",", "A_", ",", "LA_", ",", "DA_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Beta]_", ",", "B_", ",", "LB_", ",", "DB_"}], "}"}]}], "]"}],
    ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"KA", ",", "KB", ",", "Int"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"Degrees", " ", "of", " ", "contraction"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"KA", "=", 
       RowBox[{"Length", "[", "\[Alpha]", "]"}]}], ";", "\t", 
      RowBox[{"KB", "=", 
       RowBox[{"Length", "[", "\[Beta]", "]"}]}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"(*", " ", 
       RowBox[{"Contracted", " ", "integral"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Int", "=", 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"kA", "=", "1"}], "KA"], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"kB", "=", "1"}], "KB"], 
         RowBox[{
          RowBox[{"NormCoeff", "[", 
           RowBox[{
            RowBox[{
            "\[Alpha]", "\[LeftDoubleBracket]", "kA", 
             "\[RightDoubleBracket]"}], ",", "LA"}], "]"}], 
          RowBox[{"NormCoeff", "[", 
           RowBox[{
            RowBox[{
            "\[Beta]", "\[LeftDoubleBracket]", "kB", 
             "\[RightDoubleBracket]"}], ",", "LB"}], "]"}], 
          RowBox[{
          "DA", "\[LeftDoubleBracket]", "kA", "\[RightDoubleBracket]"}], 
          RowBox[{
          "DB", "\[LeftDoubleBracket]", "kB", "\[RightDoubleBracket]"}], 
          RowBox[{"\[ScriptCapitalT]", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
              "\[Alpha]", "\[LeftDoubleBracket]", "kA", 
               "\[RightDoubleBracket]"}], ",", "A", ",", "LA"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
              "\[Beta]", "\[LeftDoubleBracket]", "kB", 
               "\[RightDoubleBracket]"}], ",", "B", ",", "LB"}], "}"}]}], 
           "]"}]}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "Int", "]"}], ";"}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.704184069575794*^9, 3.704184244596478*^9}, {
   3.704184289582673*^9, 3.7041843584209433`*^9}, {3.704184438389485*^9, 
   3.704184486230136*^9}, {3.704184821981968*^9, 3.7041848701184187`*^9}, {
   3.7041850562300377`*^9, 3.7041850588147173`*^9}, 3.7042077132570753`*^9},
 CellLabel->
  "In[118]:=",ExpressionUUID->"60958193-26e3-45e1-b807-38f510c54d01"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["HF-related modules", "Section",
 CellChangeTimes->{{3.704008335047412*^9, 
  3.704008339864053*^9}},ExpressionUUID->"4d7afddc-b921-44b5-9fa0-\
ac8dc495c621"],

Cell[CellGroupData[{

Cell["Contracted integrals module", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.6560348832900267`*^9, 3.65603488644995*^9}, {
  3.6572681943745937`*^9, 3.657268196339819*^9}, {3.704185155356946*^9, 
  3.704185161124238*^9}, {3.7095475636187477`*^9, 
  3.709547564591549*^9}},ExpressionUUID->"ce385583-ea65-4a06-8936-\
11067ed4d51c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Int", "[", 
   RowBox[{"NAt_", ",", "NB_", ",", "Atoms_", ",", "BF_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "S", ",", "s", ",", "T", ",", "V", ",", "U", ",", "X", ",", "WP", ",", 
      "u", ",", "v", ",", "w", ",", "\[Epsilon]", ",", "Cp", ",", "Ortho", 
      ",", "nLD", ",", "cutoff"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"WP", "=", "15"}], ";", "\t", 
     RowBox[{"cutoff", "=", 
      SuperscriptBox["10", 
       RowBox[{"-", "7"}]]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Ortho", "=", "\"\<SVD\>\""}], ";", "\[IndentingNewLine]", 
     RowBox[{"S", "=", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"\[ScriptCapitalS]c", "[", 
           RowBox[{
            RowBox[{
            "BF", "\[LeftDoubleBracket]", "a", "\[RightDoubleBracket]"}], ",", 
            RowBox[{
            "BF", "\[LeftDoubleBracket]", "b", "\[RightDoubleBracket]"}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", "NB"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "NB"}], "}"}]}], "]"}], ",", "WP"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"T", "=", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"\[ScriptCapitalT]c", "[", 
           RowBox[{
            RowBox[{
            "BF", "\[LeftDoubleBracket]", "a", "\[RightDoubleBracket]"}], ",", 
            RowBox[{
            "BF", "\[LeftDoubleBracket]", "b", "\[RightDoubleBracket]"}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", "NB"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "NB"}], "}"}]}], "]"}], ",", "WP"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"V", "=", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           UnderoverscriptBox["\[Sum]", 
            RowBox[{"c", "=", "1"}], "NAt"], 
           RowBox[{"\[ScriptCapitalV]c", "[", 
            RowBox[{
             RowBox[{
             "BF", "\[LeftDoubleBracket]", "a", "\[RightDoubleBracket]"}], 
             ",", 
             RowBox[{
             "BF", "\[LeftDoubleBracket]", "b", "\[RightDoubleBracket]"}], 
             ",", 
             RowBox[{
             "Atoms", "\[LeftDoubleBracket]", "c", 
              "\[RightDoubleBracket]"}]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", "NB"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "NB"}], "}"}]}], "]"}], ",", "WP"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"U", "=", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"\[ScriptCapitalU]c", "[", 
           RowBox[{
            RowBox[{
            "BF", "\[LeftDoubleBracket]", "a", "\[RightDoubleBracket]"}], ",", 
            RowBox[{
            "BF", "\[LeftDoubleBracket]", "b", "\[RightDoubleBracket]"}], ",", 
            RowBox[{
            "BF", "\[LeftDoubleBracket]", "c", "\[RightDoubleBracket]"}], ",", 
            RowBox[{
            "BF", "\[LeftDoubleBracket]", "d", "\[RightDoubleBracket]"}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", "NB"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", "NB"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "NB"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"d", ",", "NB"}], "}"}]}], "]"}], ",", "WP"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Ortho", "\[Equal]", "\"\<Lowdin\>\""}], ",", 
       RowBox[{"X", "=", 
        RowBox[{"MatrixPower", "[", 
         RowBox[{"S", ",", 
          RowBox[{
           RowBox[{"-", "1"}], "/", "2"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Ortho", "\[Equal]", "\"\<Canonical\>\""}], ",", 
       RowBox[{"X", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"Eigenvectors", "[", "S", "]"}], "\[Transpose]"}], ".", 
         RowBox[{"DiagonalMatrix", "[", 
          SuperscriptBox[
           RowBox[{"Eigenvalues", "[", "S", "]"}], 
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}]], "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Ortho", "\[Equal]", "\"\<SVD\>\""}], ",", 
       RowBox[{"(", "\[IndentingNewLine]", "\t", 
        RowBox[{
         RowBox[{"s", "=", 
          RowBox[{"Sort", "[", 
           RowBox[{"Eigenvalues", "[", "S", "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\t", 
         RowBox[{"Print", "[", 
          RowBox[{"\"\<Overlap eigenvalues in OBS = \>\"", ",", "s"}], "]"}], 
         ";", "\[IndentingNewLine]", "\t", 
         RowBox[{"nLD", "=", "0"}], ";", "\[IndentingNewLine]", "\t", 
         RowBox[{"Do", "[", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
              "s", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              "<", "cutoff"}], " ", ",", 
             RowBox[{"nLD", "++"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "NB"}], "}"}]}], "]"}], ";", 
         "\[IndentingNewLine]", "\t", 
         RowBox[{"Print", "[", 
          RowBox[{
          "\"\<Number of linear dependencies in OBS = \>\"", ",", "nLD"}], 
          "]"}], ";", "\[IndentingNewLine]", "\t", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"u", ",", "w", ",", "v"}], "}"}], "=", 
          RowBox[{"SingularValueDecomposition", "[", 
           RowBox[{"S", ",", 
            RowBox[{"NB", "-", "nLD"}]}], "]"}]}], ";", "\t", 
         "\[IndentingNewLine]", "\t", 
         RowBox[{"X", "=", 
          RowBox[{"u", ".", 
           RowBox[{"DiagonalMatrix", "[", 
            SuperscriptBox[
             RowBox[{"Diagonal", "[", "w", "]"}], 
             RowBox[{
              RowBox[{"-", "1"}], "/", "2"}]], "]"}], ".", 
           RowBox[{"v", "\[Transpose]"}]}]}], ";"}], "\[IndentingNewLine]", 
        ")"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", 
      RowBox[{"{", 
       RowBox[{"S", ",", "T", ",", "V", ",", "U", ",", "X"}], "}"}], "]"}], 
     ";"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.6560348908695498`*^9, 3.656034907385219*^9}, {
   3.656034958753255*^9, 3.656035080866448*^9}, {3.656035144841131*^9, 
   3.6560351635510263`*^9}, {3.656035696779975*^9, 3.656035718001576*^9}, {
   3.656049342720653*^9, 3.6560493492881536`*^9}, 3.6572627814604883`*^9, {
   3.657263685837574*^9, 3.657263699094597*^9}, {3.657268241850234*^9, 
   3.65726825053824*^9}, {3.657419394204205*^9, 3.657419405722589*^9}, 
   3.6574194901610823`*^9, {3.688150962787344*^9, 3.6881509998328733`*^9}, {
   3.70176800945835*^9, 3.701768032223023*^9}, {3.7021852333201323`*^9, 
   3.702185255775565*^9}, {3.703670089360867*^9, 3.7036700894474792`*^9}, 
   3.7041851666288977`*^9, {3.704185511823082*^9, 3.704185515885954*^9}, {
   3.7041855875915537`*^9, 3.704185588198511*^9}, 3.704200142027857*^9, {
   3.706517993756979*^9, 3.706518017284129*^9}, {3.706518088765152*^9, 
   3.706518148580367*^9}, {3.706518178981494*^9, 3.7065182135320807`*^9}, {
   3.7065182466761436`*^9, 3.7065182634290667`*^9}, {3.70651830410111*^9, 
   3.706518330397151*^9}, {3.706518422854545*^9, 3.7065184492124157`*^9}, {
   3.7065184805332003`*^9, 3.706518503956346*^9}, {3.706518535876306*^9, 
   3.706518560254108*^9}, {3.70651864296533*^9, 3.706518648212689*^9}, 
   3.70651868047009*^9, 3.706519987356083*^9, {3.706523066022586*^9, 
   3.706523137708859*^9}, {3.706523189205467*^9, 3.70652318970238*^9}, {
   3.706523224478717*^9, 3.706523259108447*^9}, {3.706523841654505*^9, 
   3.706523842093232*^9}, {3.706934451391943*^9, 3.706934520747944*^9}, {
   3.706934600677518*^9, 3.706934985308588*^9}, {3.706935036645729*^9, 
   3.7069350375938396`*^9}, 3.7069359913662577`*^9, {3.706936066244727*^9, 
   3.706936066620385*^9}, {3.7069361020384893`*^9, 3.706936158252492*^9}, 
   3.7069362958228607`*^9, {3.706936346813496*^9, 3.706936347212529*^9}, {
   3.706936387998255*^9, 3.706936444308611*^9}, {3.706936728422428*^9, 
   3.706936754894032*^9}, {3.706936805373464*^9, 3.70693680760529*^9}, {
   3.7069369064220533`*^9, 3.7069369269004173`*^9}, {3.706937311718253*^9, 
   3.70693731357234*^9}, {3.706937356357704*^9, 3.706937357469445*^9}, {
   3.706938559694448*^9, 3.7069385724548473`*^9}, {3.706938606357588*^9, 
   3.706938675077582*^9}, {3.706938707709746*^9, 3.706938806268527*^9}, {
   3.706938942855282*^9, 3.706938968166173*^9}, 3.70693943911843*^9, {
   3.706941283029924*^9, 3.706941382012501*^9}, {3.706941419381772*^9, 
   3.7069414802377357`*^9}, {3.706941780613988*^9, 3.706941781452691*^9}, {
   3.706942545254249*^9, 3.706942545437128*^9}, 3.70703922470603*^9, {
   3.7070400095717983`*^9, 3.707040039714497*^9}, 3.7070500165703077`*^9, {
   3.707050427116016*^9, 3.707050441043013*^9}, 3.7071084522466993`*^9, 
   3.707127649862205*^9, {3.707127734037571*^9, 3.707127735364257*^9}, {
   3.707127812685461*^9, 3.7071278143005743`*^9}, 3.707127929382641*^9, 
   3.7071281030305634`*^9, 3.707128424951194*^9, {3.707480478931181*^9, 
   3.707480486760105*^9}, 3.707480523622512*^9, {3.70749385605744*^9, 
   3.7074938568698874`*^9}, {3.707494493742175*^9, 3.707494522636216*^9}, 
   3.708240391621459*^9, {3.709484563859914*^9, 3.7094845649202213`*^9}, {
   3.709484635932192*^9, 3.70948465786792*^9}, {3.709485066853056*^9, 
   3.7094850678863497`*^9}, {3.709527931193454*^9, 3.709527933567819*^9}, {
   3.7095280259458523`*^9, 3.709528027143862*^9}, {3.7095309952259693`*^9, 
   3.709530995855968*^9}, {3.709547042882387*^9, 3.7095470627941847`*^9}, {
   3.7095472072332983`*^9, 3.7095474291080112`*^9}, {3.709547461175396*^9, 
   3.709547471811276*^9}, 3.709547565784203*^9, {3.70954774217306*^9, 
   3.709547743891844*^9}, {3.709547892346839*^9, 3.709547994929401*^9}, {
   3.7095485827328587`*^9, 3.7095485876391973`*^9}, {3.70974146552835*^9, 
   3.7097414678184643`*^9}, {3.709879245585239*^9, 3.7098792498137417`*^9}, {
   3.710678371859725*^9, 3.710678377820694*^9}, {3.710678427521555*^9, 
   3.710678428235063*^9}, {3.7106785027298737`*^9, 3.710678502947754*^9}, {
   3.710678725875017*^9, 3.7106787317995577`*^9}, {3.710678825903232*^9, 
   3.7106788271459084`*^9}, {3.710752643473209*^9, 3.710752646334001*^9}, {
   3.710752680256618*^9, 3.710752698339196*^9}, {3.7107529148144083`*^9, 
   3.710752954642728*^9}, {3.710754507545403*^9, 3.710754575808487*^9}, {
   3.7107549549710207`*^9, 3.7107549553184147`*^9}, {3.710755044057693*^9, 
   3.710755093446569*^9}, {3.7107555121693163`*^9, 3.7107555754311333`*^9}, 
   3.7107557896234303`*^9, {3.710755832222144*^9, 3.7107558495554657`*^9}, {
   3.710755909470439*^9, 3.710755922909507*^9}, {3.710756084462163*^9, 
   3.7107561775059347`*^9}, {3.7107562379182053`*^9, 3.710756238178537*^9}, {
   3.710756268621212*^9, 3.710756269342207*^9}, 3.710757575188879*^9, {
   3.7107577059725*^9, 3.710757716763074*^9}, {3.710757797885764*^9, 
   3.710757812036337*^9}, {3.710757916399255*^9, 3.710757917965762*^9}, 
   3.710757974158963*^9, {3.710758069296925*^9, 3.710758117435075*^9}, {
   3.710758158442706*^9, 3.7107581624618*^9}, 3.710758244901844*^9, {
   3.710758299947268*^9, 3.710758340393014*^9}, {3.710866680768387*^9, 
   3.710866685066341*^9}, {3.7111997118113823`*^9, 3.711199723339106*^9}},
 CellLabel->
  "In[119]:=",ExpressionUUID->"048b6e06-91fb-4079-9a96-1c4668badd2a"]
}, Closed]],

Cell[CellGroupData[{

Cell["Restricted  ensemble Hartree-Fock module (RHF)", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.656034563559031*^9, 3.6560345683108187`*^9}, {
   3.656642722629238*^9, 3.656642724099773*^9}, {3.6572679192037783`*^9, 
   3.657267920851452*^9}, 3.70651827635168*^9, {3.706934895651915*^9, 
   3.7069348971791553`*^9}, {3.793163986242676*^9, 
   3.793163991941719*^9}},ExpressionUUID->"561497f7-77d5-45c2-b2c1-\
8ec8688cdef1"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"RHF", "[", 
    RowBox[{
    "n_", ",", "w_", ",", "ENuc_", ",", "N_", ",", "S_", ",", "T_", ",", "V_",
      ",", "U_", ",", "X_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "maxSCF", ",", "thresh", ",", "Fw", ",", "H", ",", "UJ", ",", "UK", ",",
        "C", ",", "Cp", ",", "\[Epsilon]", ",", "\[CapitalGamma]0", ",", 
       "\[CapitalGamma]1", ",", "\[CapitalGamma]w", ",", "nSCF", ",", "Conv", 
       ",", "EwHF", ",", "EwT", ",", "EwV", ",", "EwJ", ",", "EwK", ",", 
       "Gap", ",", "EwGICHF", ",", "EHF", ",", "\[CapitalOmega]HF", ",", 
       "TabRes"}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "Parameters", " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"maxSCF", "=", "128"}], ";", "\t", 
      RowBox[{"thresh", "=", 
       SuperscriptBox["10", 
        RowBox[{"-", "7"}]]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Check", " ", "weight", " ", "conditions"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"!", 
         RowBox[{"0", "\[LessEqual]", "w", "\[LessEqual]", 
          RowBox[{"1", "/", "2"}]}]}], ",", 
        RowBox[{"Print", "[", "\"\<Weights are inconsistent!!\>\"", "]"}]}], 
       "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Generate", " ", "initial", " ", "guess"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"H", "=", 
       RowBox[{"T", "+", "V"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"UJ", "=", 
       RowBox[{"Flatten", "[", 
        RowBox[{"U", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", "1", "}"}], ",", 
           RowBox[{"{", "2", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"3", ",", "4"}], "}"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"UK", "=", 
       RowBox[{"Flatten", "[", 
        RowBox[{"U", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", "1", "}"}], ",", 
           RowBox[{"{", "4", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"3", ",", "2"}], "}"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Epsilon]", ",", "Cp"}], "}"}], "=", 
       RowBox[{"Chop", "[", 
        RowBox[{"SortEigensystem", "[", 
         RowBox[{"Eigensystem", "[", 
          RowBox[{
           RowBox[{"X", "\[Transpose]"}], ".", "H", ".", "X"}], "]"}], "]"}], 
        "]"}]}], ";", "\t", 
      RowBox[{"Cp", "=", 
       RowBox[{"Cp", "\[Transpose]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"C", "=", 
       RowBox[{"X", ".", "Cp"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Main", " ", "SCF", " ", "loop"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Conv", "=", "1"}], ";", "\t", 
      RowBox[{"nSCF", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Conv", ">", "thresh"}], "\[And]", 
         RowBox[{"nSCF", "<", "maxSCF"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"nSCF", "++"}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{"Density", " ", "matrices"}], " ", "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"\[CapitalGamma]0", "=", 
          RowBox[{"2", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"C", "\[Transpose]"}], "\[LeftDoubleBracket]", 
              RowBox[{"1", ";;", 
               FractionBox["n", "2"]}], "\[RightDoubleBracket]"}], 
             "\[Transpose]"}], ".", 
            RowBox[{
             RowBox[{"C", "\[Transpose]"}], "\[LeftDoubleBracket]", 
             RowBox[{"1", ";;", 
              FractionBox["n", "2"]}], "\[RightDoubleBracket]"}]}]}]}], ";", 
         "\t", "\[IndentingNewLine]", 
         RowBox[{"\[CapitalGamma]1", "=", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              FractionBox["n", "2"], ">", "1"}], ",", 
             RowBox[{"2", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"C", "\[Transpose]"}], "\[LeftDoubleBracket]", 
                 RowBox[{"1", ";;", 
                  RowBox[{
                   FractionBox["n", "2"], "-", "1"}]}], 
                 "\[RightDoubleBracket]"}], "\[Transpose]"}], ".", 
               RowBox[{
                RowBox[{"C", "\[Transpose]"}], "\[LeftDoubleBracket]", 
                RowBox[{"1", ";;", 
                 RowBox[{
                  FractionBox["n", "2"], "-", "1"}]}], 
                "\[RightDoubleBracket]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"2", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"C", "\[Transpose]"}], "\[LeftDoubleBracket]", 
               RowBox[{
                RowBox[{
                 FractionBox["n", "2"], "+", "1"}], ";;", 
                RowBox[{
                 FractionBox["n", "2"], "+", "1"}]}], 
               "\[RightDoubleBracket]"}], "\[Transpose]"}], ".", 
             RowBox[{
              RowBox[{"C", "\[Transpose]"}], "\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{
                FractionBox["n", "2"], "+", "1"}], ";;", 
               RowBox[{
                FractionBox["n", "2"], "+", "1"}]}], 
              "\[RightDoubleBracket]"}]}]}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"\[CapitalGamma]w", "=", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "w"}], ")"}], "\[CapitalGamma]0"}], "+", 
           RowBox[{"w", " ", "\[CapitalGamma]1"}]}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{"Weight", "-", 
           RowBox[{"dependent", " ", "Fock", " ", "matrix"}]}], " ", "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"Fw", "=", 
          RowBox[{"H", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"UJ", "-", 
              RowBox[{
               FractionBox["1", "2"], "UK"}]}], ")"}], ".", 
            RowBox[{"Flatten", "[", "\[CapitalGamma]w", "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{"Weight", "-", 
           RowBox[{"dependent", " ", "MOs"}]}], " ", "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\[Epsilon]", ",", "Cp"}], "}"}], "=", 
          RowBox[{"Chop", "[", 
           RowBox[{"SortEigensystem", "[", 
            RowBox[{"Eigensystem", "[", 
             RowBox[{
              RowBox[{"X", "\[Transpose]"}], ".", "Fw", ".", "X"}], "]"}], 
            "]"}], "]"}]}], ";", "\t", 
         RowBox[{"Cp", "=", 
          RowBox[{"Cp", "\[Transpose]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"C", "=", 
          RowBox[{"X", ".", "Cp"}]}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{"Convergence", " ", "criterion"}], " ", "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"Conv", "=", 
          RowBox[{"Max", "[", 
           RowBox[{"Abs", "[", 
            RowBox[{
             RowBox[{"Fw", ".", "\[CapitalGamma]w", ".", "S"}], "-", 
             RowBox[{"S", ".", "\[CapitalGamma]w", ".", "Fw"}]}], "]"}], 
           "]"}]}], ";"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Print", " ", "HF", " ", "information"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<MO energies: \>\"", ",", 
        RowBox[{
         RowBox[{"Chop", "[", 
          RowBox[{"{", "\[Epsilon]", "}"}], "]"}], "//", "TableForm"}]}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<MO coefficients: \>\"", ",", 
        RowBox[{
         RowBox[{"Chop", "[", "C", "]"}], "//", "TableForm"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Gap", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"N", ">", 
          FractionBox["n", "2"]}], ",", 
         RowBox[{
          RowBox[{"\[Epsilon]", "\[LeftDoubleBracket]", 
           RowBox[{
            FractionBox["n", "2"], "+", "1"}], "\[RightDoubleBracket]"}], "-", 
          RowBox[{"\[Epsilon]", "\[LeftDoubleBracket]", 
           FractionBox["n", "2"], "\[RightDoubleBracket]"}]}], ",", "0"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"EwT", "=", " ", 
       RowBox[{"Tr", "[", 
        RowBox[{"\[CapitalGamma]w", ".", "T"}], "]"}]}], ";", "\t", 
      RowBox[{"EwV", "=", " ", 
       RowBox[{"Tr", "[", 
        RowBox[{"\[CapitalGamma]w", ".", "V"}], "]"}]}], ";", "\t", 
      RowBox[{"EwJ", "=", " ", 
       FractionBox[
        RowBox[{"Tr", "[", 
         RowBox[{"\[CapitalGamma]w", ".", "UJ", ".", 
          RowBox[{"Flatten", "[", "\[CapitalGamma]w", "]"}]}], "]"}], "2"]}], 
      ";", "\t", 
      RowBox[{"EwK", "=", " ", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"Tr", "[", 
          RowBox[{"\[CapitalGamma]w", ".", "UK", ".", 
           RowBox[{"Flatten", "[", "\[CapitalGamma]w", "]"}]}], "]"}], 
         "4"]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"EwHF", "=", 
       RowBox[{"EwT", "+", "EwV", "+", "EwJ", "+", "EwK"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"GIC", "-", 
        RowBox[{"HF", " ", "energies"}]}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"EwGICHF", "=", 
       RowBox[{"EwT", "+", "EwV", "+", 
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{"(", 
          RowBox[{"1", "-", "w"}], ")"}], 
         RowBox[{"Tr", "[", 
          RowBox[{"\[CapitalGamma]0", ".", 
           RowBox[{"(", 
            RowBox[{"UJ", "-", 
             RowBox[{
              FractionBox["1", "2"], "UK"}]}], ")"}], ".", 
           RowBox[{"Flatten", "[", "\[CapitalGamma]0", "]"}]}], "]"}]}], "+", 
        
        RowBox[{
         FractionBox["1", "2"], "w", " ", 
         RowBox[{"Tr", "[", 
          RowBox[{"\[CapitalGamma]1", ".", 
           RowBox[{"(", 
            RowBox[{"UJ", "-", 
             RowBox[{
              FractionBox["1", "2"], "UK"}]}], ")"}], ".", 
           RowBox[{"Flatten", "[", "\[CapitalGamma]1", "]"}]}], "]"}]}]}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"TabRes", "=", 
       RowBox[{"TableForm", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"n", ",", "N", ",", "w", ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"ENuc", "+", "EwHF"}], ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"ENuc", ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"EwHF", ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"EwGICHF", ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"EwT", ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"EwV", ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"EwJ", ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"EwK", ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", "nSCF", ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"Conv", ",", 
              RowBox[{"{", 
               RowBox[{"6", ",", "3"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"Gap", ",", 
              RowBox[{"{", 
               RowBox[{"6", ",", "3"}], "}"}]}], "]"}]}], "}"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"TableHeadings", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"None", ",", 
            RowBox[{"{", 
             RowBox[{
             "\"\<n\>\"", ",", 
              "\"\<\!\(\*SubscriptBox[\(N\), \(Basis\)]\)\>\"", ",", 
              "\"\<w\>\"", ",", "\"\<\!\(\*SubscriptBox[\(E\), \(0\)]\)\>\"", 
              ",", "\"\<\!\(\*SubscriptBox[\(E\), \(Nuc\)]\)\>\"", ",", 
              "\"\<\!\(\*SubsuperscriptBox[\(E\), \(HF\), \(w\)]\)\>\"", ",", 
              "\"\<\!\(\*SubsuperscriptBox[\(E\), \(GIC - HF\), \(w\)]\)\>\"",
               ",", "\"\<\!\(\*SubsuperscriptBox[\(T\), \(HF\), \(w\)]\)\>\"",
               ",", "\"\<\!\(\*SubsuperscriptBox[\(V\), \(HF\), \(w\)]\)\>\"",
               ",", "\"\<\!\(\*SubsuperscriptBox[\(J\), \(HF\), \(w\)]\)\>\"",
               ",", "\"\<\!\(\*SubsuperscriptBox[\(K\), \(HF\), \(w\)]\)\>\"",
               ",", "\"\<\!\(\*SubscriptBox[\(N\), \(SCF\)]\)\>\"", ",", 
              "\"\<Conv\>\"", ",", "\"\<HL Gap\>\""}], "}"}]}], "}"}]}], ",", 
         
         RowBox[{"TableAlignments", "\[Rule]", "Center"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "TabRes", "]"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "Compute", " ", "individual", " ", "energies", " ", "for", " ", 
        "ground", " ", "and", " ", "excited", " ", "states"}], " ", "*)"}], 
      " ", "\[IndentingNewLine]", 
      RowBox[{"EHF", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Tr", "[", 
           RowBox[{"\[CapitalGamma]0", ".", "H"}], "]"}], ",", 
          RowBox[{"Tr", "[", 
           RowBox[{"\[CapitalGamma]1", ".", "H"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", "+", 
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Tr", "[", 
            RowBox[{"\[CapitalGamma]0", ".", 
             RowBox[{"(", 
              RowBox[{"UJ", "-", 
               RowBox[{
                FractionBox["1", "2"], "UK"}]}], ")"}], ".", 
             RowBox[{"Flatten", "[", "\[CapitalGamma]0", "]"}]}], "]"}], ",", 
           
           RowBox[{"Tr", "[", 
            RowBox[{"\[CapitalGamma]1", ".", 
             RowBox[{"(", 
              RowBox[{"UJ", "-", 
               RowBox[{
                FractionBox["1", "2"], "UK"}]}], ")"}], ".", 
             RowBox[{"Flatten", "[", "\[CapitalGamma]1", "]"}]}], "]"}]}], 
          "}"}]}]}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Excitation", " ", "energies"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"\[CapitalOmega]HF", "=", 
       RowBox[{
        RowBox[{"EHF", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}],
         "-", 
        RowBox[{
        "EHF", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Print", " ", "results"}], " ", "*)"}], "\[IndentingNewLine]", 
      
      RowBox[{"TabRes", "=", 
       RowBox[{"TableForm", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"ENuc", "+", 
               RowBox[{
               "EHF", "\[LeftDoubleBracket]", "1", 
                "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"ENuc", "+", 
               RowBox[{
               "EHF", "\[LeftDoubleBracket]", "2", 
                "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"\[CapitalOmega]HF", ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"\[CapitalOmega]HF", " ", "HaToeV"}], ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"TableHeadings", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"None", ",", 
            RowBox[{"{", 
             RowBox[{
             "\"\<\!\(\*SubsuperscriptBox[\(E\), \(HF\), \((0)\)]\)\>\"", 
              ",", "\"\<\!\(\*SubsuperscriptBox[\(E\), \(HF\), \
\((1)\)]\)\>\"", ",", 
              "\"\<\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \((1)\
\)]\)\>\"", ",", 
              "\"\<\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \((1)\
\)]\)(eV)\>\""}], "}"}]}], "}"}]}], ",", 
         RowBox[{"TableAlignments", "\[Rule]", "Center"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "TabRes", "]"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", "Done", " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"Return", "[", 
       RowBox[{"{", 
        RowBox[{"\[CapitalGamma]0", ",", "\[CapitalGamma]1"}], "}"}], "]"}], 
      ";"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5996743240598803`*^9, 3.599674350174849*^9}, {
   3.59967467493633*^9, 3.5996748712641773`*^9}, {3.599674994996621*^9, 
   3.59967506624909*^9}, {3.5996751048923397`*^9, 3.599675249518847*^9}, {
   3.599675346767496*^9, 3.599675355436034*^9}, {3.599675538354128*^9, 
   3.599675561225123*^9}, {3.5996756398892403`*^9, 3.599675654768218*^9}, {
   3.599675827845189*^9, 3.5996758371024523`*^9}, {3.599675893583976*^9, 
   3.599675902361661*^9}, {3.599703830428575*^9, 3.599703840411603*^9}, {
   3.5997039346948557`*^9, 3.59970395266945*^9}, {3.599704006973591*^9, 
   3.599704073839077*^9}, {3.5997048110382433`*^9, 3.5997048305086603`*^9}, {
   3.5997048687554293`*^9, 3.599704946883279*^9}, {3.599705181654681*^9, 
   3.599705193539946*^9}, {3.599705303201462*^9, 3.5997053918325167`*^9}, {
   3.5997055277367496`*^9, 3.599705541646998*^9}, {3.5997064277725143`*^9, 
   3.5997064500330544`*^9}, {3.599706502970572*^9, 3.599706509910081*^9}, {
   3.599707221249896*^9, 3.599707226213612*^9}, {3.599707274363901*^9, 
   3.59970728803473*^9}, {3.599707357939251*^9, 3.5997073598586597`*^9}, {
   3.5997079692230453`*^9, 3.599708019627043*^9}, {3.599709324841176*^9, 
   3.599709328068508*^9}, {3.5997115466222887`*^9, 3.599711565785204*^9}, {
   3.599711637160828*^9, 3.599711637267809*^9}, {3.5997116819798594`*^9, 
   3.599711707542296*^9}, {3.5997117873766937`*^9, 3.5997118037833233`*^9}, {
   3.599712195951002*^9, 3.599712199878501*^9}, {3.599712230939046*^9, 
   3.599712248133039*^9}, {3.599712283081573*^9, 3.5997122874633837`*^9}, {
   3.599712326447283*^9, 3.5997123267219543`*^9}, {3.599712767541256*^9, 
   3.5997127774483*^9}, {3.599721894435729*^9, 3.599721913455311*^9}, 
   3.599722267993907*^9, {3.599722508971383*^9, 3.599722607569147*^9}, {
   3.599722639522422*^9, 3.5997226670768003`*^9}, {3.599722974665196*^9, 
   3.599723049163578*^9}, {3.599723163514559*^9, 3.599723247681013*^9}, 
   3.59972360438265*^9, 3.5997236487270184`*^9, {3.599723683984329*^9, 
   3.599723797222679*^9}, {3.599723830165312*^9, 3.5997238315770397`*^9}, {
   3.599723925057034*^9, 3.599723937651902*^9}, {3.599723968578251*^9, 
   3.599724043483491*^9}, {3.599724107483808*^9, 3.599724132024523*^9}, {
   3.599724163695053*^9, 3.599724168701744*^9}, {3.5997242841057997`*^9, 
   3.5997242911382303`*^9}, {3.599724767925832*^9, 3.599724850357373*^9}, {
   3.599724917738247*^9, 3.599724952053957*^9}, {3.599724991628118*^9, 
   3.599725023960332*^9}, {3.59972510807076*^9, 3.59972516814579*^9}, {
   3.5997252422004147`*^9, 3.599725242353497*^9}, {3.5997252877637653`*^9, 
   3.5997253022028103`*^9}, {3.599725351835245*^9, 3.599725430338552*^9}, {
   3.5997258288182487`*^9, 3.599725907863212*^9}, {3.5997259693403807`*^9, 
   3.5997259987617207`*^9}, {3.599726052865563*^9, 3.599726057012609*^9}, {
   3.5997647485739183`*^9, 3.59976477397314*^9}, {3.599764809302349*^9, 
   3.599764849908309*^9}, {3.599764880967044*^9, 3.599764889144937*^9}, {
   3.5997651232985973`*^9, 3.599765266248157*^9}, {3.599765402987811*^9, 
   3.599765447828416*^9}, {3.599765572809801*^9, 3.599765596617186*^9}, {
   3.59976581041928*^9, 3.599765830491496*^9}, {3.5997658808870077`*^9, 
   3.5997659548964043`*^9}, {3.599765985230687*^9, 3.599765985599208*^9}, 
   3.5997660618650618`*^9, {3.5997661158010197`*^9, 3.599766162730505*^9}, 
   3.5997661933744173`*^9, {3.5997662800667353`*^9, 3.599766311583552*^9}, {
   3.599766843690486*^9, 3.599766843818254*^9}, {3.599766895800359*^9, 
   3.5997669292295723`*^9}, {3.599767009593717*^9, 3.599767016497397*^9}, {
   3.599767264424891*^9, 3.5997672763966923`*^9}, {3.599779475531711*^9, 
   3.599779498194182*^9}, {3.599781464332068*^9, 3.59978146623372*^9}, {
   3.599785425489843*^9, 3.5997855246642647`*^9}, {3.599785561613607*^9, 
   3.599785575168672*^9}, {3.599786216533312*^9, 3.5997863571587954`*^9}, {
   3.599786578921587*^9, 3.5997866045273*^9}, {3.5997866516371803`*^9, 
   3.599786739654709*^9}, {3.599786778875812*^9, 3.599786825498818*^9}, {
   3.5997868960233*^9, 3.599786924789708*^9}, {3.59978700463076*^9, 
   3.599787009089107*^9}, {3.599787043579454*^9, 3.5997870473217773`*^9}, {
   3.599787085922016*^9, 3.599787131396208*^9}, {3.5997873275363293`*^9, 
   3.599787339934802*^9}, {3.5997876345029697`*^9, 3.599787724312623*^9}, {
   3.599787792713478*^9, 3.599787838890873*^9}, 3.599787949647202*^9, 
   3.599788466796249*^9, {3.599789996221774*^9, 3.599790051732676*^9}, {
   3.5998058547830048`*^9, 3.5998058712548637`*^9}, {3.59980592131306*^9, 
   3.599806028939292*^9}, {3.599894444502397*^9, 3.599894453832309*^9}, {
   3.615705331000793*^9, 3.615705369045252*^9}, {3.615705434793689*^9, 
   3.6157054696883297`*^9}, {3.615705561431068*^9, 3.615705562389839*^9}, {
   3.615705606281547*^9, 3.615705608472992*^9}, {3.6157056512086773`*^9, 
   3.615705680675967*^9}, {3.615705826375758*^9, 3.615705884288534*^9}, {
   3.615705940646852*^9, 3.6157060838228188`*^9}, {3.6157061437967253`*^9, 
   3.6157061515529413`*^9}, {3.615709914374188*^9, 3.615709914620686*^9}, 
   3.615709982200762*^9, {3.615710068684219*^9, 3.615710071442299*^9}, {
   3.615710132494928*^9, 3.615710165435381*^9}, {3.615710255092642*^9, 
   3.615710259289015*^9}, {3.615712950756505*^9, 3.6157129886758213`*^9}, {
   3.61571302179311*^9, 3.615713029144005*^9}, {3.615713111541214*^9, 
   3.61571311396691*^9}, {3.615713489690222*^9, 3.615713534310381*^9}, {
   3.615794104814777*^9, 3.615794106740704*^9}, {3.6157941493801517`*^9, 
   3.6157941686514263`*^9}, {3.6157942526553993`*^9, 3.615794261237137*^9}, {
   3.615794368620541*^9, 3.615794384670081*^9}, 3.6157944349158297`*^9, {
   3.615794516396944*^9, 3.615794560612705*^9}, {3.615795133218525*^9, 
   3.6157951917298527`*^9}, {3.615795276390777*^9, 3.6157952804211483`*^9}, {
   3.6157954168095407`*^9, 3.61579547305015*^9}, {3.615795600395226*^9, 
   3.615795791030263*^9}, {3.615795830758973*^9, 3.6157958545554667`*^9}, {
   3.615795885703377*^9, 3.61579589363802*^9}, {3.6157959275521517`*^9, 
   3.615795945310856*^9}, {3.6157959934713297`*^9, 3.6157960085988817`*^9}, {
   3.6157964939342833`*^9, 3.615796494573029*^9}, {3.6157965304349203`*^9, 
   3.6157965747891207`*^9}, {3.615796608066369*^9, 3.615796617259715*^9}, {
   3.6174178863158092`*^9, 3.617417895257069*^9}, {3.6174179339074287`*^9, 
   3.6174180384885807`*^9}, {3.617418102517074*^9, 3.617418224628313*^9}, {
   3.617418313433196*^9, 3.617418315309287*^9}, 3.617418378928001*^9, {
   3.6174184518472357`*^9, 3.617418532557417*^9}, {3.617418708134165*^9, 
   3.617418747934637*^9}, {3.617418793168889*^9, 3.617418805401042*^9}, {
   3.617418970423435*^9, 3.617418982350892*^9}, {3.617419248083014*^9, 
   3.617419254138488*^9}, 3.617419289393318*^9, 3.617419417168538*^9, 
   3.6174197698569317`*^9, 3.617419808912921*^9, {3.617419942940206*^9, 
   3.61741996365236*^9}, {3.6174200252587852`*^9, 3.617420025866686*^9}, {
   3.618445078192972*^9, 3.618445078279475*^9}, {3.6184457873931303`*^9, 
   3.6184458359539623`*^9}, {3.618445911452827*^9, 3.618446030274568*^9}, {
   3.618446132719569*^9, 3.618446309185041*^9}, {3.618446401979431*^9, 
   3.618446453947483*^9}, {3.61844651809689*^9, 3.618446522219981*^9}, {
   3.618446626764558*^9, 3.618446627285159*^9}, {3.618446854019382*^9, 
   3.618446856711956*^9}, {3.6184472562297153`*^9, 3.6184472700850763`*^9}, {
   3.61844776691745*^9, 3.618447771493938*^9}, {3.618447839150895*^9, 
   3.618447853267061*^9}, {3.618451253856454*^9, 3.6184513231460533`*^9}, {
   3.6184515404877157`*^9, 3.61845156442106*^9}, {3.618451596269981*^9, 
   3.61845159690585*^9}, {3.618452068354642*^9, 3.618452161432575*^9}, {
   3.618453584046173*^9, 3.618453585714282*^9}, {3.618453627317266*^9, 
   3.618453640315365*^9}, {3.618453676552164*^9, 3.618453697428667*^9}, 
   3.6184537987084703`*^9, {3.618453908312594*^9, 3.6184539091627483`*^9}, {
   3.618455005204348*^9, 3.61845500759859*^9}, 3.6184616583941708`*^9, {
   3.618481786880198*^9, 3.618481791281646*^9}, {3.6184819758200407`*^9, 
   3.618481981307692*^9}, {3.618482014546773*^9, 3.6184820172809563`*^9}, {
   3.618482050972052*^9, 3.6184820609316597`*^9}, 3.6184821464085207`*^9, {
   3.618482231493059*^9, 3.6184822323159027`*^9}, {3.618482266017868*^9, 
   3.618482266640996*^9}, 3.618482375289979*^9, {3.618482475607635*^9, 
   3.618482479344235*^9}, {3.6191144522240677`*^9, 3.619114478646473*^9}, {
   3.619114648703396*^9, 3.6191146636345177`*^9}, {3.619114706620809*^9, 
   3.619114707097988*^9}, {3.6191147391762733`*^9, 3.6191147865365133`*^9}, {
   3.6191231041644917`*^9, 3.619123108107746*^9}, {3.6191232677227373`*^9, 
   3.6191233082643137`*^9}, {3.619123372793065*^9, 3.619123383639041*^9}, {
   3.6191235119737673`*^9, 3.619123514548436*^9}, {3.61912354861314*^9, 
   3.6191236170913353`*^9}, 3.6191236599874887`*^9, {3.6191236903151703`*^9, 
   3.61912382650394*^9}, {3.619123863775096*^9, 3.6191238639744387`*^9}, {
   3.619123943221045*^9, 3.61912395105237*^9}, {3.619124163282092*^9, 
   3.619124227911824*^9}, {3.619124275071755*^9, 3.6191242820241833`*^9}, {
   3.619124369431065*^9, 3.6191243726694403`*^9}, {3.619124406604671*^9, 
   3.6191244262622147`*^9}, {3.619124457990024*^9, 3.6191244582920437`*^9}, 
   3.619124555146296*^9, {3.619124798382682*^9, 3.619124801837945*^9}, {
   3.619125352420793*^9, 3.61912535449189*^9}, {3.6191254190121927`*^9, 
   3.619125423274621*^9}, {3.619125670088183*^9, 3.619125686254547*^9}, {
   3.6191257685104856`*^9, 3.619125778700203*^9}, {3.619125849188424*^9, 
   3.6191259049556417`*^9}, {3.619126474593511*^9, 3.61912647518388*^9}, {
   3.6191265089991713`*^9, 3.619126509254239*^9}, {3.619127177412442*^9, 
   3.619127179707098*^9}, {3.6193157372410173`*^9, 3.619315745169148*^9}, 
   3.652507774431823*^9, 3.652507851638094*^9, {3.6525078839679327`*^9, 
   3.652507908057947*^9}, {3.656032953668433*^9, 3.656032954833926*^9}, {
   3.656032987960635*^9, 3.6560330221744013`*^9}, {3.656034915442993*^9, 
   3.656034926865809*^9}, {3.6560353304664593`*^9, 3.656035437972805*^9}, {
   3.656035543170496*^9, 3.656035545520886*^9}, {3.656036031965267*^9, 
   3.656036032125107*^9}, {3.6560361065635138`*^9, 3.6560361158014183`*^9}, {
   3.656038140145946*^9, 3.656038141657281*^9}, {3.6560441135908947`*^9, 
   3.656044161615404*^9}, {3.656049332039691*^9, 3.6560493629919558`*^9}, {
   3.656049393738501*^9, 3.656049395307475*^9}, {3.65619054479913*^9, 
   3.65619054714391*^9}, {3.656190632444072*^9, 3.6561906327557583`*^9}, {
   3.6566197947073193`*^9, 3.656619912869307*^9}, {3.65662057266782*^9, 
   3.656620590370257*^9}, {3.656620699501693*^9, 3.6566207055100327`*^9}, {
   3.6566262733941193`*^9, 3.656626278042527*^9}, 3.656642736324093*^9, {
   3.656698131374855*^9, 3.6566981398204203`*^9}, {3.6567045851352663`*^9, 
   3.656704590478167*^9}, {3.656705625901655*^9, 3.65670562609332*^9}, {
   3.6567056574445963`*^9, 3.65670566921194*^9}, {3.6567057105321903`*^9, 
   3.656705734721054*^9}, {3.65670578220677*^9, 3.6567057951429787`*^9}, 
   3.656706213344557*^9, {3.656706254093342*^9, 3.6567062545961533`*^9}, {
   3.65731173282717*^9, 3.657311739098983*^9}, {3.703599801560871*^9, 
   3.7035998445719147`*^9}, {3.703599874931233*^9, 3.7035998818173637`*^9}, 
   3.703600105392271*^9, {3.703603675143538*^9, 3.7036036785842333`*^9}, 
   3.703604139148039*^9, {3.703604531939809*^9, 3.703604534245199*^9}, {
   3.703605375547656*^9, 3.70360537875218*^9}, {3.7036057632660007`*^9, 
   3.703605763409575*^9}, {3.7036068360639257`*^9, 3.703606863530847*^9}, {
   3.70360876940584*^9, 3.703608777619317*^9}, {3.7036700156732063`*^9, 
   3.703670039714223*^9}, {3.704085884085993*^9, 3.704085936757351*^9}, {
   3.7040860803919277`*^9, 3.70408608401476*^9}, {3.704207103325405*^9, 
   3.704207103722365*^9}, {3.704780213493911*^9, 3.704780213637528*^9}, {
   3.706518571837511*^9, 3.706518605694086*^9}, {3.70651866729265*^9, 
   3.70651867286864*^9}, {3.706518781781547*^9, 3.7065188147259703`*^9}, {
   3.7069360154766827`*^9, 3.70693607962171*^9}, {3.7074529412760973`*^9, 
   3.707452956164098*^9}, {3.707453038837977*^9, 3.707453039828043*^9}, {
   3.709349758530611*^9, 3.709349761758651*^9}, 3.709350177704323*^9, 
   3.7094784050503407`*^9, {3.709879097024169*^9, 3.709879162940907*^9}, {
   3.710678396949066*^9, 3.710678401355986*^9}, {3.7106785542633657`*^9, 
   3.7106785546846933`*^9}, {3.7107549602099*^9, 3.7107549925730543`*^9}, {
   3.710755655197023*^9, 3.710755660042687*^9}, {3.7107556918411818`*^9, 
   3.710755752328162*^9}, {3.710755803760647*^9, 3.710755812393662*^9}, {
   3.710755873269512*^9, 3.7107558827926903`*^9}, {3.710755998907578*^9, 
   3.710756023357916*^9}, {3.7107560730333843`*^9, 3.710756078080461*^9}, {
   3.710756317719016*^9, 3.7107563181490097`*^9}, {3.710757366182473*^9, 
   3.7107573807509336`*^9}, 3.710757426483863*^9, {3.710757524530539*^9, 
   3.710757541222835*^9}, {3.710757826596764*^9, 3.710757832559861*^9}, 
   3.710835658749648*^9, {3.710836179493178*^9, 3.71083617992293*^9}, {
   3.7108554929773397`*^9, 3.710855498702023*^9}, {3.710915969505823*^9, 
   3.710916069091723*^9}, {3.787074213629903*^9, 3.787074216310966*^9}, {
   3.787074304562972*^9, 3.787074304894969*^9}, {3.791651047877942*^9, 
   3.791651048498252*^9}, {3.791651111614336*^9, 3.7916511505661383`*^9}, {
   3.791651181570231*^9, 3.791651502241601*^9}, {3.7916515442833233`*^9, 
   3.791651578183323*^9}, {3.7916516125506983`*^9, 3.791651767469121*^9}, {
   3.791651937263904*^9, 3.791651943460099*^9}, {3.791651997581004*^9, 
   3.791652048423217*^9}, {3.791652079238003*^9, 3.791652112569928*^9}, {
   3.791652172254532*^9, 3.7916522353572807`*^9}, {3.791652270590966*^9, 
   3.791652274406951*^9}, {3.791652323833868*^9, 3.791652340883211*^9}, {
   3.7916524367219553`*^9, 3.791652620677438*^9}, {3.791652660246788*^9, 
   3.791652675005815*^9}, {3.791652734148131*^9, 3.791652739799635*^9}, {
   3.791655438245041*^9, 3.791655478709456*^9}, {3.791655588381714*^9, 
   3.791655778038199*^9}, {3.7916558739587593`*^9, 3.7916559194976683`*^9}, 
   3.791656013786178*^9, {3.791656094259107*^9, 3.791656105859151*^9}, {
   3.791656144711165*^9, 3.791656204189744*^9}, {3.791656255457724*^9, 
   3.7916562557423973`*^9}, {3.791656352459444*^9, 3.791656362216786*^9}, 
   3.7916566240468483`*^9, {3.7931631508474913`*^9, 3.7931632411406116`*^9}, {
   3.793163273829934*^9, 3.7931633703789167`*^9}, {3.793163427554759*^9, 
   3.7931639419773207`*^9}, {3.793163997111525*^9, 3.7931640331175632`*^9}, {
   3.793175149682212*^9, 3.7931751554100637`*^9}, {3.7931755181277943`*^9, 
   3.7931756085053873`*^9}, {3.7931756437770987`*^9, 3.79317564420123*^9}, {
   3.7931756928275433`*^9, 3.793175743079352*^9}, {3.793175774899455*^9, 
   3.793175850173367*^9}, {3.793176340997053*^9, 3.7931764653296747`*^9}, {
   3.793177774153702*^9, 3.793177810305462*^9}, {3.793177867053081*^9, 
   3.7931778785959063`*^9}, {3.7931779215447206`*^9, 3.793177922900401*^9}, {
   3.7931780499545813`*^9, 3.793178063294693*^9}, {3.7931783542129707`*^9, 
   3.7931783647206182`*^9}, {3.793192694547336*^9, 3.793192746819601*^9}, {
   3.793192903990459*^9, 3.793192944500051*^9}, {3.793202949438846*^9, 
   3.7932029678222437`*^9}, {3.793203040791938*^9, 3.793203097056326*^9}},
 CellLabel->
  "In[120]:=",ExpressionUUID->"97f68742-0353-4bae-8e16-a918addb4907"]
}, Closed]],

Cell[CellGroupData[{

Cell["GOK-DFT module", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.656034563559031*^9, 3.6560345683108187`*^9}, {
   3.656642722629238*^9, 3.656642724099773*^9}, {3.6572679192037783`*^9, 
   3.657267920851452*^9}, 3.70651827635168*^9, {3.706934895651915*^9, 
   3.7069348971791553`*^9}, {3.793163986242676*^9, 3.793163991941719*^9}, {
   3.793202537069104*^9, 
   3.793202556651863*^9}},ExpressionUUID->"02f7b3e0-451f-44d4-9e30-\
af75a871add3"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GOKDFT", "[", 
    RowBox[{
    "w_", ",", "ENuc_", ",", "T_", ",", "V_", ",", "U_", ",", 
     "\[CapitalGamma]0_", ",", "\[CapitalGamma]1_", ",", "\[Chi]\[Mu]_", ",", 
     "Quad_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "H", ",", "UJ", ",", "UK", ",", "\[CapitalGamma]w", ",", "n0", ",", 
       "n1", ",", "nw", ",", "ELDA", ",", "EeLDA", ",", "\[CapitalOmega]LDA", 
       ",", "\[CapitalOmega]eLDA", ",", "\[CapitalDelta]DD", ",", 
       "\[CapitalDelta]\[CapitalDelta]DD", ",", "TabRes"}], "}"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"Generate", " ", "useful", " ", "quantities"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"H", "=", 
       RowBox[{"T", "+", "V"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"UJ", "=", 
       RowBox[{"Flatten", "[", 
        RowBox[{"U", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", "1", "}"}], ",", 
           RowBox[{"{", "2", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"3", ",", "4"}], "}"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"UK", "=", 
       RowBox[{"Flatten", "[", 
        RowBox[{"U", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", "1", "}"}], ",", 
           RowBox[{"{", "4", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"3", ",", "2"}], "}"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[CapitalGamma]w", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "w"}], ")"}], "\[CapitalGamma]0"}], "+", 
        RowBox[{"w", " ", "\[CapitalGamma]1"}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"One", "-", 
        RowBox[{"electron", " ", "density"}]}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"n0", "=", 
       RowBox[{"\[Chi]\[Mu]", ".", "\[CapitalGamma]0", ".", "\[Chi]\[Mu]"}]}],
       ";", "\t", 
      RowBox[{"n1", "=", 
       RowBox[{"\[Chi]\[Mu]", ".", "\[CapitalGamma]1", ".", "\[Chi]\[Mu]"}]}],
       ";", "\t", 
      RowBox[{"nw", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "w"}], ")"}], "n0"}], "+", 
        RowBox[{"w", " ", "n1"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Check", " ", "electron", " ", "number"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
      "Print", "[", "\"\<Integrating one-electron density...\>\"", "]"}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"NInt", "[", 
        RowBox[{"nw", ",", "Quad"}], "]"}], "]"}], ";", "\[IndentingNewLine]",
       "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "Compute", " ", "individual", " ", "energies", " ", "for", " ", 
        "ground", " ", "and", " ", "excited", " ", "states"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"ELDA", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Tr", "[", 
           RowBox[{"\[CapitalGamma]0", ".", "H"}], "]"}], ",", 
          RowBox[{"Tr", "[", 
           RowBox[{"\[CapitalGamma]1", ".", "H"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", "+", 
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Tr", "[", 
            RowBox[{"\[CapitalGamma]0", ".", "UJ", ".", 
             RowBox[{"Flatten", "[", "\[CapitalGamma]0", "]"}]}], "]"}], ",", 
           
           RowBox[{"Tr", "[", 
            RowBox[{"\[CapitalGamma]1", ".", "UJ", ".", 
             RowBox[{"Flatten", "[", "\[CapitalGamma]1", "]"}]}], "]"}]}], 
          "}"}]}], "\[IndentingNewLine]", "+", 
        RowBox[{"Chop", "[", 
         RowBox[{"NInt", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"\[Epsilon]xcLDA", "[", "nw", "]"}], "+", 
               RowBox[{
                RowBox[{"d\[Epsilon]xcLDAdn", "[", "nw", "]"}], "nw"}]}], 
              ")"}], 
             RowBox[{"{", 
              RowBox[{"n0", ",", "n1"}], "}"}]}], "-", 
            RowBox[{
             RowBox[{"d\[Epsilon]xcLDAdn", "[", "nw", "]"}], 
             SuperscriptBox["nw", "2"]}]}], ",", "Quad"}], "]"}], "]"}]}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Excitation", " ", "energies"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"\[CapitalOmega]LDA", "=", 
       RowBox[{
        RowBox[{
        "ELDA", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], "-", 
        RowBox[{
        "ELDA", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Print", " ", "results"}], " ", "*)"}], "\[IndentingNewLine]", 
      
      RowBox[{"TabRes", "=", 
       RowBox[{"TableForm", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"ENuc", "+", 
               RowBox[{
               "ELDA", "\[LeftDoubleBracket]", "1", 
                "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"ENuc", "+", 
               RowBox[{
               "ELDA", "\[LeftDoubleBracket]", "2", 
                "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"\[CapitalOmega]LDA", ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"\[CapitalOmega]LDA", " ", "HaToeV"}], ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"TableHeadings", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"None", ",", 
            RowBox[{"{", 
             RowBox[{
             "\"\<\!\(\*SubsuperscriptBox[\(E\), \(LDA\), \((0)\)]\)\>\"", 
              ",", "\"\<\!\(\*SubsuperscriptBox[\(E\), \(LDA\), \
\((1)\)]\)\>\"", ",", 
              "\"\<\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(LDA\), \
\((1)\)]\)\>\"", ",", 
              "\"\<\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(LDA\), \
\((1)\)]\) (eV)\>\""}], "}"}]}], "}"}]}], ",", 
         RowBox[{"TableAlignments", "\[Rule]", "Center"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "TabRes", "]"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "Compute", " ", "individual", " ", "energies", " ", "for", " ", 
        "ground", " ", "and", " ", "excited", " ", "states"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"EeLDA", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Tr", "[", 
           RowBox[{"\[CapitalGamma]0", ".", "H"}], "]"}], ",", 
          RowBox[{"Tr", "[", 
           RowBox[{"\[CapitalGamma]1", ".", "H"}], "]"}]}], "}"}], 
        "\[IndentingNewLine]", "+", 
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Tr", "[", 
            RowBox[{"\[CapitalGamma]0", ".", "UJ", ".", 
             RowBox[{"Flatten", "[", "\[CapitalGamma]0", "]"}]}], "]"}], ",", 
           
           RowBox[{"Tr", "[", 
            RowBox[{"\[CapitalGamma]1", ".", "UJ", ".", 
             RowBox[{"Flatten", "[", "\[CapitalGamma]1", "]"}]}], "]"}]}], 
          "}"}]}], "\[IndentingNewLine]", "+", 
        RowBox[{"Chop", "[", 
         RowBox[{"NInt", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"\[Epsilon]xceLDA", "[", 
                RowBox[{"nw", ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "w"}], "}"}]}], "]"}], "+", 
               RowBox[{
                RowBox[{"d\[Epsilon]xceLDAdn", "[", 
                 RowBox[{"nw", ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "w"}], "}"}]}], "]"}], "nw"}]}], ")"}], 
             RowBox[{"{", 
              RowBox[{"n0", ",", "n1"}], "}"}]}], "-", 
            RowBox[{
             RowBox[{"d\[Epsilon]xceLDAdn", "[", 
              RowBox[{"nw", ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "w"}], "}"}]}], "]"}], 
             SuperscriptBox["nw", "2"]}]}], ",", "Quad"}], "]"}], "]"}]}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Tr", "[", 
          RowBox[{"\[CapitalGamma]0", ".", "T"}], "]"}], ",", 
         RowBox[{"Tr", "[", 
          RowBox[{"\[CapitalGamma]1", ".", "T"}], "]"}]}], "}"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Tr", "[", 
          RowBox[{"\[CapitalGamma]0", ".", "V"}], "]"}], ",", 
         RowBox[{"Tr", "[", 
          RowBox[{"\[CapitalGamma]1", ".", "V"}], "]"}]}], "}"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Tr", "[", 
           RowBox[{"\[CapitalGamma]0", ".", "UJ", ".", 
            RowBox[{"Flatten", "[", "\[CapitalGamma]0", "]"}]}], "]"}], ",", 
          RowBox[{"Tr", "[", 
           RowBox[{"\[CapitalGamma]1", ".", "UJ", ".", 
            RowBox[{"Flatten", "[", "\[CapitalGamma]1", "]"}]}], "]"}]}], 
         "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"Chop", "[", 
        RowBox[{"NInt", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Epsilon]xeLDA", "[", 
               RowBox[{"nw", ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "w"}], "}"}]}], "]"}], "+", 
              RowBox[{
               RowBox[{"d\[Epsilon]xeLDAdn", "[", 
                RowBox[{"nw", ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "w"}], "}"}]}], "]"}], "nw"}]}], ")"}], 
            RowBox[{"{", 
             RowBox[{"n0", ",", "n1"}], "}"}]}], "-", 
           RowBox[{
            RowBox[{"d\[Epsilon]xeLDAdn", "[", 
             RowBox[{"nw", ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "w"}], "}"}]}], "]"}], 
            SuperscriptBox["nw", "2"]}]}], ",", "Quad"}], "]"}], "]"}], "]"}],
       ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"Chop", "[", 
        RowBox[{"NInt", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Epsilon]ceLDA", "[", 
               RowBox[{"nw", ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "w"}], "}"}]}], "]"}], "+", 
              RowBox[{
               RowBox[{"d\[Epsilon]ceLDAdn", "[", 
                RowBox[{"nw", ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "w"}], "}"}]}], "]"}], "nw"}]}], ")"}], 
            RowBox[{"{", 
             RowBox[{"n0", ",", "n1"}], "}"}]}], "-", 
           RowBox[{
            RowBox[{"d\[Epsilon]ceLDAdn", "[", 
             RowBox[{"nw", ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "w"}], "}"}]}], "]"}], 
            SuperscriptBox["nw", "2"]}]}], ",", "Quad"}], "]"}], "]"}], "]"}],
       ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Derivative", " ", "discontinuities"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"\[CapitalDelta]DD", "=", 
         RowBox[{"Chop", "[", 
          RowBox[{"NInt", "[", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"d\[Epsilon]xeLDAdw2", "[", "nw", "]"}], "nw"}], " ", 
            ",", "Quad"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[CapitalDelta]DD", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "w"}], " ", "\[CapitalDelta]DD"}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "w"}], ")"}], "\[CapitalDelta]DD"}]}], "}"}]}],
         ";", "\[IndentingNewLine]", 
        RowBox[{"\[CapitalDelta]\[CapitalDelta]DD", "=", 
         RowBox[{
          RowBox[{
          "\[CapitalDelta]DD", "\[LeftDoubleBracket]", "2", 
           "\[RightDoubleBracket]"}], "-", 
          RowBox[{
          "\[CapitalDelta]DD", "\[LeftDoubleBracket]", "1", 
           "\[RightDoubleBracket]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<x\>\"", ",", "\[CapitalDelta]DD"}], "]"}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"\[CapitalDelta]DD", "=", 
         RowBox[{"Chop", "[", 
          RowBox[{"NInt", "[", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"d\[Epsilon]ceLDAdw2", "[", "nw", "]"}], "nw"}], " ", 
            ",", "Quad"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[CapitalDelta]DD", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "w"}], " ", "\[CapitalDelta]DD"}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "w"}], ")"}], "\[CapitalDelta]DD"}]}], "}"}]}],
         ";", "\[IndentingNewLine]", 
        RowBox[{"\[CapitalDelta]\[CapitalDelta]DD", "=", 
         RowBox[{
          RowBox[{
          "\[CapitalDelta]DD", "\[LeftDoubleBracket]", "2", 
           "\[RightDoubleBracket]"}], "-", 
          RowBox[{
          "\[CapitalDelta]DD", "\[LeftDoubleBracket]", "1", 
           "\[RightDoubleBracket]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<c\>\"", ",", "\[CapitalDelta]DD"}], "]"}], ";"}], 
       "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"\[CapitalDelta]DD", "=", 
       RowBox[{"Chop", "[", 
        RowBox[{"NInt", "[", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"d\[Epsilon]xceLDAdw2", "[", "nw", "]"}], "nw"}], " ", ",",
           "Quad"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[CapitalDelta]DD", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "w"}], " ", "\[CapitalDelta]DD"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "w"}], ")"}], "\[CapitalDelta]DD"}]}], "}"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"\[CapitalDelta]\[CapitalDelta]DD", "=", 
       RowBox[{
        RowBox[{
        "\[CapitalDelta]DD", "\[LeftDoubleBracket]", "2", 
         "\[RightDoubleBracket]"}], "-", 
        RowBox[{
        "\[CapitalDelta]DD", "\[LeftDoubleBracket]", "1", 
         "\[RightDoubleBracket]"}]}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Individual", " ", "energies"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"EeLDA", "+=", "\[CapitalDelta]DD"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Excitation", " ", "energies"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"\[CapitalOmega]eLDA", "=", 
       RowBox[{
        RowBox[{
        "EeLDA", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], "-", 
        
        RowBox[{
        "EeLDA", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Print", " ", "results"}], " ", "*)"}], "\[IndentingNewLine]", 
      
      RowBox[{"TabRes", "=", 
       RowBox[{"TableForm", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"ENuc", "+", 
               RowBox[{
               "EeLDA", "\[LeftDoubleBracket]", "1", 
                "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{
              "\[CapitalDelta]DD", "\[LeftDoubleBracket]", "1", 
               "\[RightDoubleBracket]"}], ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"ENuc", "+", 
               RowBox[{
               "EeLDA", "\[LeftDoubleBracket]", "2", 
                "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{
              "\[CapitalDelta]DD", "\[LeftDoubleBracket]", "2", 
               "\[RightDoubleBracket]"}], ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"\[CapitalOmega]eLDA", ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"\[CapitalDelta]\[CapitalDelta]DD", ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"\[CapitalOmega]eLDA", " ", "HaToeV"}], ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"\[CapitalDelta]\[CapitalDelta]DD", " ", "HaToeV"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "6"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"TableHeadings", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"None", ",", 
            RowBox[{"{", 
             RowBox[{
             "\"\<\!\(\*SubsuperscriptBox[\(E\), \(eLDA\), \((0)\)]\)\>\"", 
              ",", "\"\<\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\), \(DD\), \
\((0)\)]\)\>\"", ",", 
              "\"\<\!\(\*SubsuperscriptBox[\(E\), \(eLDA\), \((1)\)]\)\>\"", 
              ",", "\"\<\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\), \(DD\), \
\((1)\)]\)\>\"", ",", 
              "\"\<\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(eLDA\), \
\((1)\)]\)\>\"", ",", 
              "\"\<\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\[CapitalDelta]\),\
 \(DD\), \((1)\)]\)\>\"", ",", 
              "\"\<\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(eLDA\), \
\((1)\)]\) (eV)\>\"", ",", 
              "\"\<\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\[CapitalDelta]\),\
 \(DD\), \((1)\)]\)(eV)\>\""}], "}"}]}], "}"}]}], ",", 
         RowBox[{"TableAlignments", "\[Rule]", "Center"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "TabRes", "]"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", "Done", " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5996743240598803`*^9, 3.599674350174849*^9}, {
   3.59967467493633*^9, 3.5996748712641773`*^9}, {3.599674994996621*^9, 
   3.59967506624909*^9}, {3.5996751048923397`*^9, 3.599675249518847*^9}, {
   3.599675346767496*^9, 3.599675355436034*^9}, {3.599675538354128*^9, 
   3.599675561225123*^9}, {3.5996756398892403`*^9, 3.599675654768218*^9}, {
   3.599675827845189*^9, 3.5996758371024523`*^9}, {3.599675893583976*^9, 
   3.599675902361661*^9}, {3.599703830428575*^9, 3.599703840411603*^9}, {
   3.5997039346948557`*^9, 3.59970395266945*^9}, {3.599704006973591*^9, 
   3.599704073839077*^9}, {3.5997048110382433`*^9, 3.5997048305086603`*^9}, {
   3.5997048687554293`*^9, 3.599704946883279*^9}, {3.599705181654681*^9, 
   3.599705193539946*^9}, {3.599705303201462*^9, 3.5997053918325167`*^9}, {
   3.5997055277367496`*^9, 3.599705541646998*^9}, {3.5997064277725143`*^9, 
   3.5997064500330544`*^9}, {3.599706502970572*^9, 3.599706509910081*^9}, {
   3.599707221249896*^9, 3.599707226213612*^9}, {3.599707274363901*^9, 
   3.59970728803473*^9}, {3.599707357939251*^9, 3.5997073598586597`*^9}, {
   3.5997079692230453`*^9, 3.599708019627043*^9}, {3.599709324841176*^9, 
   3.599709328068508*^9}, {3.5997115466222887`*^9, 3.599711565785204*^9}, {
   3.599711637160828*^9, 3.599711637267809*^9}, {3.5997116819798594`*^9, 
   3.599711707542296*^9}, {3.5997117873766937`*^9, 3.5997118037833233`*^9}, {
   3.599712195951002*^9, 3.599712199878501*^9}, {3.599712230939046*^9, 
   3.599712248133039*^9}, {3.599712283081573*^9, 3.5997122874633837`*^9}, {
   3.599712326447283*^9, 3.5997123267219543`*^9}, {3.599712767541256*^9, 
   3.5997127774483*^9}, {3.599721894435729*^9, 3.599721913455311*^9}, 
   3.599722267993907*^9, {3.599722508971383*^9, 3.599722607569147*^9}, {
   3.599722639522422*^9, 3.5997226670768003`*^9}, {3.599722974665196*^9, 
   3.599723049163578*^9}, {3.599723163514559*^9, 3.599723247681013*^9}, 
   3.59972360438265*^9, 3.5997236487270184`*^9, {3.599723683984329*^9, 
   3.599723797222679*^9}, {3.599723830165312*^9, 3.5997238315770397`*^9}, {
   3.599723925057034*^9, 3.599723937651902*^9}, {3.599723968578251*^9, 
   3.599724043483491*^9}, {3.599724107483808*^9, 3.599724132024523*^9}, {
   3.599724163695053*^9, 3.599724168701744*^9}, {3.5997242841057997`*^9, 
   3.5997242911382303`*^9}, {3.599724767925832*^9, 3.599724850357373*^9}, {
   3.599724917738247*^9, 3.599724952053957*^9}, {3.599724991628118*^9, 
   3.599725023960332*^9}, {3.59972510807076*^9, 3.59972516814579*^9}, {
   3.5997252422004147`*^9, 3.599725242353497*^9}, {3.5997252877637653`*^9, 
   3.5997253022028103`*^9}, {3.599725351835245*^9, 3.599725430338552*^9}, {
   3.5997258288182487`*^9, 3.599725907863212*^9}, {3.5997259693403807`*^9, 
   3.5997259987617207`*^9}, {3.599726052865563*^9, 3.599726057012609*^9}, {
   3.5997647485739183`*^9, 3.59976477397314*^9}, {3.599764809302349*^9, 
   3.599764849908309*^9}, {3.599764880967044*^9, 3.599764889144937*^9}, {
   3.5997651232985973`*^9, 3.599765266248157*^9}, {3.599765402987811*^9, 
   3.599765447828416*^9}, {3.599765572809801*^9, 3.599765596617186*^9}, {
   3.59976581041928*^9, 3.599765830491496*^9}, {3.5997658808870077`*^9, 
   3.5997659548964043`*^9}, {3.599765985230687*^9, 3.599765985599208*^9}, 
   3.5997660618650618`*^9, {3.5997661158010197`*^9, 3.599766162730505*^9}, 
   3.5997661933744173`*^9, {3.5997662800667353`*^9, 3.599766311583552*^9}, {
   3.599766843690486*^9, 3.599766843818254*^9}, {3.599766895800359*^9, 
   3.5997669292295723`*^9}, {3.599767009593717*^9, 3.599767016497397*^9}, {
   3.599767264424891*^9, 3.5997672763966923`*^9}, {3.599779475531711*^9, 
   3.599779498194182*^9}, {3.599781464332068*^9, 3.59978146623372*^9}, {
   3.599785425489843*^9, 3.5997855246642647`*^9}, {3.599785561613607*^9, 
   3.599785575168672*^9}, {3.599786216533312*^9, 3.5997863571587954`*^9}, {
   3.599786578921587*^9, 3.5997866045273*^9}, {3.5997866516371803`*^9, 
   3.599786739654709*^9}, {3.599786778875812*^9, 3.599786825498818*^9}, {
   3.5997868960233*^9, 3.599786924789708*^9}, {3.59978700463076*^9, 
   3.599787009089107*^9}, {3.599787043579454*^9, 3.5997870473217773`*^9}, {
   3.599787085922016*^9, 3.599787131396208*^9}, {3.5997873275363293`*^9, 
   3.599787339934802*^9}, {3.5997876345029697`*^9, 3.599787724312623*^9}, {
   3.599787792713478*^9, 3.599787838890873*^9}, 3.599787949647202*^9, 
   3.599788466796249*^9, {3.599789996221774*^9, 3.599790051732676*^9}, {
   3.5998058547830048`*^9, 3.5998058712548637`*^9}, {3.59980592131306*^9, 
   3.599806028939292*^9}, {3.599894444502397*^9, 3.599894453832309*^9}, {
   3.615705331000793*^9, 3.615705369045252*^9}, {3.615705434793689*^9, 
   3.6157054696883297`*^9}, {3.615705561431068*^9, 3.615705562389839*^9}, {
   3.615705606281547*^9, 3.615705608472992*^9}, {3.6157056512086773`*^9, 
   3.615705680675967*^9}, {3.615705826375758*^9, 3.615705884288534*^9}, {
   3.615705940646852*^9, 3.6157060838228188`*^9}, {3.6157061437967253`*^9, 
   3.6157061515529413`*^9}, {3.615709914374188*^9, 3.615709914620686*^9}, 
   3.615709982200762*^9, {3.615710068684219*^9, 3.615710071442299*^9}, {
   3.615710132494928*^9, 3.615710165435381*^9}, {3.615710255092642*^9, 
   3.615710259289015*^9}, {3.615712950756505*^9, 3.6157129886758213`*^9}, {
   3.61571302179311*^9, 3.615713029144005*^9}, {3.615713111541214*^9, 
   3.61571311396691*^9}, {3.615713489690222*^9, 3.615713534310381*^9}, {
   3.615794104814777*^9, 3.615794106740704*^9}, {3.6157941493801517`*^9, 
   3.6157941686514263`*^9}, {3.6157942526553993`*^9, 3.615794261237137*^9}, {
   3.615794368620541*^9, 3.615794384670081*^9}, 3.6157944349158297`*^9, {
   3.615794516396944*^9, 3.615794560612705*^9}, {3.615795133218525*^9, 
   3.6157951917298527`*^9}, {3.615795276390777*^9, 3.6157952804211483`*^9}, {
   3.6157954168095407`*^9, 3.61579547305015*^9}, {3.615795600395226*^9, 
   3.615795791030263*^9}, {3.615795830758973*^9, 3.6157958545554667`*^9}, {
   3.615795885703377*^9, 3.61579589363802*^9}, {3.6157959275521517`*^9, 
   3.615795945310856*^9}, {3.6157959934713297`*^9, 3.6157960085988817`*^9}, {
   3.6157964939342833`*^9, 3.615796494573029*^9}, {3.6157965304349203`*^9, 
   3.6157965747891207`*^9}, {3.615796608066369*^9, 3.615796617259715*^9}, {
   3.6174178863158092`*^9, 3.617417895257069*^9}, {3.6174179339074287`*^9, 
   3.6174180384885807`*^9}, {3.617418102517074*^9, 3.617418224628313*^9}, {
   3.617418313433196*^9, 3.617418315309287*^9}, 3.617418378928001*^9, {
   3.6174184518472357`*^9, 3.617418532557417*^9}, {3.617418708134165*^9, 
   3.617418747934637*^9}, {3.617418793168889*^9, 3.617418805401042*^9}, {
   3.617418970423435*^9, 3.617418982350892*^9}, {3.617419248083014*^9, 
   3.617419254138488*^9}, 3.617419289393318*^9, 3.617419417168538*^9, 
   3.6174197698569317`*^9, 3.617419808912921*^9, {3.617419942940206*^9, 
   3.61741996365236*^9}, {3.6174200252587852`*^9, 3.617420025866686*^9}, {
   3.618445078192972*^9, 3.618445078279475*^9}, {3.6184457873931303`*^9, 
   3.6184458359539623`*^9}, {3.618445911452827*^9, 3.618446030274568*^9}, {
   3.618446132719569*^9, 3.618446309185041*^9}, {3.618446401979431*^9, 
   3.618446453947483*^9}, {3.61844651809689*^9, 3.618446522219981*^9}, {
   3.618446626764558*^9, 3.618446627285159*^9}, {3.618446854019382*^9, 
   3.618446856711956*^9}, {3.6184472562297153`*^9, 3.6184472700850763`*^9}, {
   3.61844776691745*^9, 3.618447771493938*^9}, {3.618447839150895*^9, 
   3.618447853267061*^9}, {3.618451253856454*^9, 3.6184513231460533`*^9}, {
   3.6184515404877157`*^9, 3.61845156442106*^9}, {3.618451596269981*^9, 
   3.61845159690585*^9}, {3.618452068354642*^9, 3.618452161432575*^9}, {
   3.618453584046173*^9, 3.618453585714282*^9}, {3.618453627317266*^9, 
   3.618453640315365*^9}, {3.618453676552164*^9, 3.618453697428667*^9}, 
   3.6184537987084703`*^9, {3.618453908312594*^9, 3.6184539091627483`*^9}, {
   3.618455005204348*^9, 3.61845500759859*^9}, 3.6184616583941708`*^9, {
   3.618481786880198*^9, 3.618481791281646*^9}, {3.6184819758200407`*^9, 
   3.618481981307692*^9}, {3.618482014546773*^9, 3.6184820172809563`*^9}, {
   3.618482050972052*^9, 3.6184820609316597`*^9}, 3.6184821464085207`*^9, {
   3.618482231493059*^9, 3.6184822323159027`*^9}, {3.618482266017868*^9, 
   3.618482266640996*^9}, 3.618482375289979*^9, {3.618482475607635*^9, 
   3.618482479344235*^9}, {3.6191144522240677`*^9, 3.619114478646473*^9}, {
   3.619114648703396*^9, 3.6191146636345177`*^9}, {3.619114706620809*^9, 
   3.619114707097988*^9}, {3.6191147391762733`*^9, 3.6191147865365133`*^9}, {
   3.6191231041644917`*^9, 3.619123108107746*^9}, {3.6191232677227373`*^9, 
   3.6191233082643137`*^9}, {3.619123372793065*^9, 3.619123383639041*^9}, {
   3.6191235119737673`*^9, 3.619123514548436*^9}, {3.61912354861314*^9, 
   3.6191236170913353`*^9}, 3.6191236599874887`*^9, {3.6191236903151703`*^9, 
   3.61912382650394*^9}, {3.619123863775096*^9, 3.6191238639744387`*^9}, {
   3.619123943221045*^9, 3.61912395105237*^9}, {3.619124163282092*^9, 
   3.619124227911824*^9}, {3.619124275071755*^9, 3.6191242820241833`*^9}, {
   3.619124369431065*^9, 3.6191243726694403`*^9}, {3.619124406604671*^9, 
   3.6191244262622147`*^9}, {3.619124457990024*^9, 3.6191244582920437`*^9}, 
   3.619124555146296*^9, {3.619124798382682*^9, 3.619124801837945*^9}, {
   3.619125352420793*^9, 3.61912535449189*^9}, {3.6191254190121927`*^9, 
   3.619125423274621*^9}, {3.619125670088183*^9, 3.619125686254547*^9}, {
   3.6191257685104856`*^9, 3.619125778700203*^9}, {3.619125849188424*^9, 
   3.6191259049556417`*^9}, {3.619126474593511*^9, 3.61912647518388*^9}, {
   3.6191265089991713`*^9, 3.619126509254239*^9}, {3.619127177412442*^9, 
   3.619127179707098*^9}, {3.6193157372410173`*^9, 3.619315745169148*^9}, 
   3.652507774431823*^9, 3.652507851638094*^9, {3.6525078839679327`*^9, 
   3.652507908057947*^9}, {3.656032953668433*^9, 3.656032954833926*^9}, {
   3.656032987960635*^9, 3.6560330221744013`*^9}, {3.656034915442993*^9, 
   3.656034926865809*^9}, {3.6560353304664593`*^9, 3.656035437972805*^9}, {
   3.656035543170496*^9, 3.656035545520886*^9}, {3.656036031965267*^9, 
   3.656036032125107*^9}, {3.6560361065635138`*^9, 3.6560361158014183`*^9}, {
   3.656038140145946*^9, 3.656038141657281*^9}, {3.6560441135908947`*^9, 
   3.656044161615404*^9}, {3.656049332039691*^9, 3.6560493629919558`*^9}, {
   3.656049393738501*^9, 3.656049395307475*^9}, {3.65619054479913*^9, 
   3.65619054714391*^9}, {3.656190632444072*^9, 3.6561906327557583`*^9}, {
   3.6566197947073193`*^9, 3.656619912869307*^9}, {3.65662057266782*^9, 
   3.656620590370257*^9}, {3.656620699501693*^9, 3.6566207055100327`*^9}, {
   3.6566262733941193`*^9, 3.656626278042527*^9}, 3.656642736324093*^9, {
   3.656698131374855*^9, 3.6566981398204203`*^9}, {3.6567045851352663`*^9, 
   3.656704590478167*^9}, {3.656705625901655*^9, 3.65670562609332*^9}, {
   3.6567056574445963`*^9, 3.65670566921194*^9}, {3.6567057105321903`*^9, 
   3.656705734721054*^9}, {3.65670578220677*^9, 3.6567057951429787`*^9}, 
   3.656706213344557*^9, {3.656706254093342*^9, 3.6567062545961533`*^9}, {
   3.65731173282717*^9, 3.657311739098983*^9}, {3.703599801560871*^9, 
   3.7035998445719147`*^9}, {3.703599874931233*^9, 3.7035998818173637`*^9}, 
   3.703600105392271*^9, {3.703603675143538*^9, 3.7036036785842333`*^9}, 
   3.703604139148039*^9, {3.703604531939809*^9, 3.703604534245199*^9}, {
   3.703605375547656*^9, 3.70360537875218*^9}, {3.7036057632660007`*^9, 
   3.703605763409575*^9}, {3.7036068360639257`*^9, 3.703606863530847*^9}, {
   3.70360876940584*^9, 3.703608777619317*^9}, {3.7036700156732063`*^9, 
   3.703670039714223*^9}, {3.704085884085993*^9, 3.704085936757351*^9}, {
   3.7040860803919277`*^9, 3.70408608401476*^9}, {3.704207103325405*^9, 
   3.704207103722365*^9}, {3.704780213493911*^9, 3.704780213637528*^9}, {
   3.706518571837511*^9, 3.706518605694086*^9}, {3.70651866729265*^9, 
   3.70651867286864*^9}, {3.706518781781547*^9, 3.7065188147259703`*^9}, {
   3.7069360154766827`*^9, 3.70693607962171*^9}, {3.7074529412760973`*^9, 
   3.707452956164098*^9}, {3.707453038837977*^9, 3.707453039828043*^9}, {
   3.709349758530611*^9, 3.709349761758651*^9}, 3.709350177704323*^9, 
   3.7094784050503407`*^9, {3.709879097024169*^9, 3.709879162940907*^9}, {
   3.710678396949066*^9, 3.710678401355986*^9}, {3.7106785542633657`*^9, 
   3.7106785546846933`*^9}, {3.7107549602099*^9, 3.7107549925730543`*^9}, {
   3.710755655197023*^9, 3.710755660042687*^9}, {3.7107556918411818`*^9, 
   3.710755752328162*^9}, {3.710755803760647*^9, 3.710755812393662*^9}, {
   3.710755873269512*^9, 3.7107558827926903`*^9}, {3.710755998907578*^9, 
   3.710756023357916*^9}, {3.7107560730333843`*^9, 3.710756078080461*^9}, {
   3.710756317719016*^9, 3.7107563181490097`*^9}, {3.710757366182473*^9, 
   3.7107573807509336`*^9}, 3.710757426483863*^9, {3.710757524530539*^9, 
   3.710757541222835*^9}, {3.710757826596764*^9, 3.710757832559861*^9}, 
   3.710835658749648*^9, {3.710836179493178*^9, 3.71083617992293*^9}, {
   3.7108554929773397`*^9, 3.710855498702023*^9}, {3.710915969505823*^9, 
   3.710916069091723*^9}, {3.787074213629903*^9, 3.787074216310966*^9}, {
   3.787074304562972*^9, 3.787074304894969*^9}, {3.791651047877942*^9, 
   3.791651048498252*^9}, {3.791651111614336*^9, 3.7916511505661383`*^9}, {
   3.791651181570231*^9, 3.791651502241601*^9}, {3.7916515442833233`*^9, 
   3.791651578183323*^9}, {3.7916516125506983`*^9, 3.791651767469121*^9}, {
   3.791651937263904*^9, 3.791651943460099*^9}, {3.791651997581004*^9, 
   3.791652048423217*^9}, {3.791652079238003*^9, 3.791652112569928*^9}, {
   3.791652172254532*^9, 3.7916522353572807`*^9}, {3.791652270590966*^9, 
   3.791652274406951*^9}, {3.791652323833868*^9, 3.791652340883211*^9}, {
   3.7916524367219553`*^9, 3.791652620677438*^9}, {3.791652660246788*^9, 
   3.791652675005815*^9}, {3.791652734148131*^9, 3.791652739799635*^9}, {
   3.791655438245041*^9, 3.791655478709456*^9}, {3.791655588381714*^9, 
   3.791655778038199*^9}, {3.7916558739587593`*^9, 3.7916559194976683`*^9}, 
   3.791656013786178*^9, {3.791656094259107*^9, 3.791656105859151*^9}, {
   3.791656144711165*^9, 3.791656204189744*^9}, {3.791656255457724*^9, 
   3.7916562557423973`*^9}, {3.791656352459444*^9, 3.791656362216786*^9}, 
   3.7916566240468483`*^9, {3.7931631508474913`*^9, 3.7931632411406116`*^9}, {
   3.793163273829934*^9, 3.7931633703789167`*^9}, {3.793163427554759*^9, 
   3.7931639419773207`*^9}, {3.793163997111525*^9, 3.7931640331175632`*^9}, {
   3.793175149682212*^9, 3.7931751554100637`*^9}, {3.7931755181277943`*^9, 
   3.7931756085053873`*^9}, {3.7931756437770987`*^9, 3.79317564420123*^9}, {
   3.7931756928275433`*^9, 3.793175743079352*^9}, {3.793175774899455*^9, 
   3.793175850173367*^9}, {3.793176340997053*^9, 3.7931764653296747`*^9}, {
   3.793177774153702*^9, 3.793177810305462*^9}, {3.793177867053081*^9, 
   3.7931778785959063`*^9}, {3.7931779215447206`*^9, 3.793177922900401*^9}, {
   3.7931780499545813`*^9, 3.793178063294693*^9}, {3.7931783542129707`*^9, 
   3.7931783647206182`*^9}, {3.793192694547336*^9, 3.793192746819601*^9}, {
   3.793192903990459*^9, 3.793192944500051*^9}, {3.793202544931169*^9, 
   3.793202870083516*^9}, {3.7932029773144217`*^9, 3.793203026679647*^9}, 
   3.793203121694297*^9, 3.793203275220275*^9, {3.793203443711693*^9, 
   3.793203456178755*^9}, {3.7932036951979637`*^9, 3.793203772190403*^9}, {
   3.79320385283631*^9, 3.793203885632942*^9}, {3.7932039819409513`*^9, 
   3.793204088831131*^9}, {3.793204267941482*^9, 3.7932042684505653`*^9}, {
   3.793205377756988*^9, 3.793205428380999*^9}, {3.794631721705306*^9, 
   3.7946317502211857`*^9}, {3.79464043098236*^9, 3.7946404615648823`*^9}, {
   3.794640515559123*^9, 3.7946405319928093`*^9}},
 CellLabel->
  "In[121]:=",ExpressionUUID->"78669560-ad83-4d11-a841-008a3eebc66c"]
}, Closed]],

Cell[CellGroupData[{

Cell["Workhorse module", "Subsection",
 CellChangeTimes->{{3.703604227707611*^9, 3.703604234553446*^9}, {
  3.703644770862412*^9, 3.703644771486212*^9}, {3.704008566872375*^9, 
  3.704008597399048*^9}, {3.787073850077504*^9, 3.787073852106358*^9}, {
  3.79316353368509*^9, 
  3.7931635343300858`*^9}},ExpressionUUID->"b4e4480a-c4ce-450d-8a61-\
22daf4862170"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"NInt", "[", 
    RowBox[{"f_", ",", "Quad_"}], "]"}], ":=", 
   RowBox[{"Which", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Quad", "\[Equal]", "\"\<Cartesian\>\""}], ",", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{"f", ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], " ", 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Quad", "\[Equal]", "\"\<Cylindrical\>\""}], ",", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"f", " ", "r"}], ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", "0", ",", "\[Infinity]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Phi]", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Quad", "\[Equal]", "\"\<Spherical\>\""}], ",", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"f", " ", 
        SuperscriptBox["r", "2"], 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", "0", ",", "\[Infinity]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Phi]", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Theta]", ",", "0", ",", "\[Pi]"}], "}"}]}], "]"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7932052409762*^9, 3.79320533859251*^9}},
 CellLabel->
  "In[122]:=",ExpressionUUID->"6b08e0d4-ebe6-4bde-be57-d6a8e3da22a5"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Workhorse", "[", 
    RowBox[{
    "n_", ",", "w_", ",", "XYZ_", ",", "ZNuc_", ",", "Quad_", ",", "FileInt_",
      ",", "Basis_"}], "]"}], ":=", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "xyz", ",", "NB", ",", "NAt", ",", "NShell", ",", "S", ",", "T", ",", 
       "V", ",", "U", ",", "X", ",", "ENuc", ",", "BF", ",", "Atoms", ",", 
       "\[Epsilon]", ",", "ZA", ",", "KA", ",", "\[Alpha]\[Mu]", ",", 
       "A\[Mu]", ",", "a\[Mu]", ",", "D\[Mu]", ",", "\[Chi]\[Mu]", ",", 
       "\[CapitalGamma]0", ",", "\[CapitalGamma]1", ",", "nInt", ",", 
       "TabInt", ",", "tCPU"}], "}"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "Start", " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Print", "[", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Start of calculation\>\"", ",", "Red", ",", "Bold"}], 
        "]"}], "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
      "SetDirectory", "[", "\"\<~/Dropbox/Manuscripts/FarDFT/Data/int\>\"", 
       "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Numerical", " ", "integration"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"xyz", "=", 
       RowBox[{"Which", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Quad", "\[Equal]", "\"\<Cartesian\>\""}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Quad", "\[Equal]", "\"\<Cylindrical\>\""}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"r", " ", 
            RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
           RowBox[{"r", " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", "z"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Quad", "\[Equal]", "\"\<Spherical\>\""}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"r", " ", 
            RowBox[{"Cos", "[", "\[Phi]", "]"}], 
            RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", 
           RowBox[{"r", " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], 
            RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", 
           RowBox[{"r", " ", 
            RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], "}"}]}], 
        "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"General", " ", "information"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"NAt", "=", 
       RowBox[{"Length", "[", "XYZ", "]"}]}], ";", "\t", 
      RowBox[{"NShell", "=", 
       RowBox[{"Length", "[", "Basis", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"BF", "=", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Basis", "\[LeftDoubleBracket]", 
              RowBox[{"i", ",", "3"}], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"XYZ", "\[LeftDoubleBracket]", 
              RowBox[{"Basis", "\[LeftDoubleBracket]", 
               RowBox[{"i", ",", "1"}], "\[RightDoubleBracket]"}], 
              "\[RightDoubleBracket]"}], ",", 
             RowBox[{
              RowBox[{"AngQ", "[", 
               RowBox[{"Basis", "\[LeftDoubleBracket]", 
                RowBox[{"i", ",", "2"}], "\[RightDoubleBracket]"}], "]"}], 
              "\[LeftDoubleBracket]", "l", "\[RightDoubleBracket]"}], ",", 
             RowBox[{"Basis", "\[LeftDoubleBracket]", 
              RowBox[{"i", ",", "4"}], "\[RightDoubleBracket]"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "NShell"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"l", ",", 
             RowBox[{"Length", "[", 
              RowBox[{"AngQ", "[", 
               RowBox[{"Basis", "\[LeftDoubleBracket]", 
                RowBox[{"i", ",", "2"}], "\[RightDoubleBracket]"}], "]"}], 
              "]"}]}], "}"}]}], "]"}], ",", "1"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"NB", "=", 
       RowBox[{"Length", "[", "BF", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Atoms", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
           "ZNuc", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
           ",", 
           RowBox[{
           "XYZ", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "NAt"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ENuc", "=", 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"c", "=", "1"}], "NAt"], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"d", "=", 
           RowBox[{"c", "+", "1"}]}], "NAt"], 
         FractionBox[
          RowBox[{
           RowBox[{
           "ZNuc", "\[LeftDoubleBracket]", "c", "\[RightDoubleBracket]"}], 
           RowBox[{
           "ZNuc", "\[LeftDoubleBracket]", "d", "\[RightDoubleBracket]"}]}], 
          RowBox[{"Norm", "[", 
           RowBox[{
            RowBox[{
            "XYZ", "\[LeftDoubleBracket]", "c", "\[RightDoubleBracket]"}], 
            "-", 
            RowBox[{
            "XYZ", "\[LeftDoubleBracket]", "d", "\[RightDoubleBracket]"}]}], 
           "]"}]]}]}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"Read", " ", "one"}], "-", 
        RowBox[{"electron", " ", "integrals"}]}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
      "Print", "[", "\"\<Reading one-electron integrals...\>\"", "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"tCPU", "=", 
       RowBox[{"Timing", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"TabInt", "=", 
          RowBox[{"ReadList", "[", 
           RowBox[{
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<Ov.\>\"", ",", "FileInt", ",", "\"\<.dat\>\""}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"Number", ",", "Number", ",", "Real"}], "}"}]}], "]"}]}],
          ";", "\t", 
         RowBox[{"nInt", "=", 
          RowBox[{"Length", "[", "TabInt", "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"S", " ", "=", " ", 
          RowBox[{"Normal", "[", 
           RowBox[{"SparseArray", "[", "\[IndentingNewLine]", 
            RowBox[{"Join", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                    RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                   RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                    RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
                  "}"}], "\[Rule]", 
                 RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                  RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                    RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                   RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                    RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                  "}"}], "\[Rule]", 
                 RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                  RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}]}], 
             "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}], 
           "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"TabInt", "=", 
          RowBox[{"ReadList", "[", 
           RowBox[{
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<Kin.\>\"", ",", "FileInt", ",", "\"\<.dat\>\""}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"Number", ",", "Number", ",", "Real"}], "}"}]}], "]"}]}],
          ";", "\t", 
         RowBox[{"nInt", "=", 
          RowBox[{"Length", "[", "TabInt", "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"T", "=", 
          RowBox[{"SparseArray", "[", "\[IndentingNewLine]", 
           RowBox[{"Join", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
                 "}"}], "\[Rule]", 
                RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                 RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                 "}"}], "\[Rule]", 
                RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                 RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}]}], ";",
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"TabInt", "=", 
          RowBox[{"ReadList", "[", 
           RowBox[{
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<Nuc.\>\"", ",", "FileInt", ",", "\"\<.dat\>\""}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"Number", ",", "Number", ",", "Real"}], "}"}]}], "]"}]}],
          ";", "\t", 
         RowBox[{"nInt", "=", 
          RowBox[{"Length", "[", "TabInt", "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"V", "=", 
          RowBox[{"SparseArray", "[", "\[IndentingNewLine]", 
           RowBox[{"Join", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
                 "}"}], "\[Rule]", 
                RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                 RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                 "}"}], "\[Rule]", 
                RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                 RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}]}], 
         ";"}], "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "\"\<Done!\>\"", "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<CPU time = \>\"", ",", 
        RowBox[{
        "tCPU", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
       "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Compute", " ", "orthognalization", " ", "matrix"}], " ", 
       "*)"}], "\[IndentingNewLine]", 
      RowBox[{"X", "=", 
       RowBox[{"MatrixPower", "[", 
        RowBox[{"S", ",", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "2"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"Read", " ", "two"}], "-", 
        RowBox[{"electron", " ", "integrals"}]}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
      "Print", "[", "\"\<Reading two-electron integrals...\>\"", "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"tCPU", "=", 
       RowBox[{"Timing", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"TabInt", "=", 
          RowBox[{"ReadList", "[", 
           RowBox[{
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<ERI.\>\"", ",", "FileInt", ",", "\"\<.dat\>\""}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
             "Number", ",", "Number", ",", "Number", ",", "Number", ",", 
              "Real"}], "}"}]}], "]"}]}], ";", "\t", 
         RowBox[{"nInt", "=", 
          RowBox[{"Length", "[", "TabInt", "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"U", "=", " ", 
          RowBox[{"SparseArray", "[", "\[IndentingNewLine]", 
           RowBox[{"Join", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "4"}], "\[RightDoubleBracket]"}]}], 
                 "}"}], "\[Rule]", 
                RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                 RowBox[{"k", ",", "5"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "4"}], "\[RightDoubleBracket]"}]}], 
                 "}"}], "\[Rule]", 
                RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                 RowBox[{"k", ",", "5"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "4"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
                 "}"}], "\[Rule]", 
                RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                 RowBox[{"k", ",", "5"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "4"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
                 "}"}], "\[Rule]", 
                RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                 RowBox[{"k", ",", "5"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "4"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], 
                 "}"}], "\[Rule]", 
                RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                 RowBox[{"k", ",", "5"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "4"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], 
                 "}"}], "\[Rule]", 
                RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                 RowBox[{"k", ",", "5"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "4"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                 "}"}], "\[Rule]", 
                RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                 RowBox[{"k", ",", "5"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "4"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                   RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                 "}"}], "\[Rule]", 
                RowBox[{"TabInt", "\[LeftDoubleBracket]", 
                 RowBox[{"k", ",", "5"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "nInt"}], "}"}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}]}], 
         ";"}], "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "\"\<Done!\>\"", "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<CPU time = \>\"", ",", 
        RowBox[{
        "tCPU", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
       "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"Compute", " ", "one"}], "-", 
        RowBox[{"electron", " ", "density"}]}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"ZA", "=", "ZNuc"}], ";", "\t", "\[IndentingNewLine]", 
      RowBox[{"\[Alpha]\[Mu]", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"BF", "\[LeftDoubleBracket]", 
          RowBox[{"\[Mu]", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Mu]", ",", "NB"}], "}"}]}], "]"}]}], ";", "\t", 
      RowBox[{"A\[Mu]", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"BF", "\[LeftDoubleBracket]", 
          RowBox[{"\[Mu]", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Mu]", ",", "NB"}], "}"}]}], "]"}]}], ";", "\t", 
      RowBox[{"a\[Mu]", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"BF", "\[LeftDoubleBracket]", 
          RowBox[{"\[Mu]", ",", "3"}], "\[RightDoubleBracket]"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Mu]", ",", "NB"}], "}"}]}], "]"}]}], ";", "\t", 
      RowBox[{"D\[Mu]", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"BF", "\[LeftDoubleBracket]", 
          RowBox[{"\[Mu]", ",", "4"}], "\[RightDoubleBracket]"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Mu]", ",", "NB"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[Chi]\[Mu]", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"KA", "=", 
            RowBox[{"Length", "[", 
             RowBox[{
             "\[Alpha]\[Mu]", "\[LeftDoubleBracket]", "\[Mu]", 
              "\[RightDoubleBracket]"}], "]"}]}], ";", "\t", 
           RowBox[{"Simplify", "[", 
            RowBox[{
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"kA", "=", "1"}], "KA"], 
              RowBox[{
               RowBox[{"NormCoeff", "[", 
                RowBox[{
                 RowBox[{"\[Alpha]\[Mu]", "\[LeftDoubleBracket]", 
                  RowBox[{"\[Mu]", ",", "kA"}], "\[RightDoubleBracket]"}], 
                 ",", 
                 RowBox[{
                 "a\[Mu]", "\[LeftDoubleBracket]", "\[Mu]", 
                  "\[RightDoubleBracket]"}]}], "]"}], 
               RowBox[{"D\[Mu]", "\[LeftDoubleBracket]", 
                RowBox[{"\[Mu]", ",", "kA"}], "\[RightDoubleBracket]"}], 
               RowBox[{"Apply", "[", 
                RowBox[{"Times", ",", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{"xyz", "-", 
                    RowBox[{
                    "A\[Mu]", "\[LeftDoubleBracket]", "\[Mu]", 
                    "\[RightDoubleBracket]"}]}], ")"}], 
                  RowBox[{
                  "a\[Mu]", "\[LeftDoubleBracket]", "\[Mu]", 
                   "\[RightDoubleBracket]"}]]}], "]"}], 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"\[Alpha]\[Mu]", "\[LeftDoubleBracket]", 
                   RowBox[{"\[Mu]", ",", "kA"}], "\[RightDoubleBracket]"}]}], 
                 
                 SuperscriptBox[
                  RowBox[{"Norm", "[", 
                   RowBox[{"xyz", "-", 
                    RowBox[{
                    "A\[Mu]", "\[LeftDoubleBracket]", "\[Mu]", 
                    "\[RightDoubleBracket]"}]}], "]"}], "2"]}], "]"}]}]}], 
             ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
               "x", "|", "y", "|", "z", "|", "r", "|", "\[Theta]", "|", 
                "\[Phi]"}], ")"}], "\[Element]", "Reals"}]}], "]"}]}], ")"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"\[Mu]", ",", "NB"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Perform", " ", "RHF", " ", "calculation"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "\"\<Ensemble RHF calculation...\>\"", "]"}], ";",
       "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"tCPU", ",", 
         RowBox[{"{", 
          RowBox[{"\[CapitalGamma]0", ",", "\[CapitalGamma]1"}], "}"}]}], 
        "}"}], "=", 
       RowBox[{"Timing", "[", 
        RowBox[{"RHF", "[", 
         RowBox[{
         "n", ",", "w", ",", "ENuc", ",", "NB", ",", "S", ",", "T", ",", "V", 
          ",", "U", ",", "X"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "\"\<Done!\>\"", "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<CPU time = \>\"", ",", "tCPU"}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Compute", " ", "eDFT", " ", "energies"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "\"\<Compute GOK-DFT energies...\>\"", "]"}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"tCPU", "=", 
       RowBox[{"Timing", "[", 
        RowBox[{"GOKDFT", "[", 
         RowBox[{
         "w", ",", "ENuc", ",", "T", ",", "V", ",", "U", ",", 
          "\[CapitalGamma]0", ",", "\[CapitalGamma]1", ",", "\[Chi]\[Mu]", 
          ",", "Quad"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", "\"\<Done!\>\"", "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<CPU time = \>\"", ",", 
        RowBox[{
        "tCPU", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
       "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", "End", " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"Return", "[", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<End of calculation\>\"", ",", "Red", ",", "Bold"}], 
        "]"}], "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{
  3.622337748014744*^9, 3.622338382402937*^9, 3.6223384625999603`*^9, {
   3.622338703987903*^9, 3.62233870913844*^9}, {3.622338740962764*^9, 
   3.622338779744877*^9}, 3.622338830656926*^9, {3.622338900727302*^9, 
   3.6223389031343946`*^9}, 3.622338953629731*^9, {3.652507798219733*^9, 
   3.652507810273617*^9}, {3.652507844221879*^9, 3.652507861945943*^9}, {
   3.652507935708323*^9, 3.652507950235849*^9}, 3.6525079946345673`*^9, 
   3.652508043040284*^9, {3.656033043124936*^9, 3.656033144586073*^9}, {
   3.656033544081653*^9, 3.656033942712735*^9}, {3.656034027142761*^9, 
   3.6560342312534847`*^9}, {3.656034327097096*^9, 3.65603448862733*^9}, {
   3.656034620111044*^9, 3.6560346377344103`*^9}, {3.656034671763435*^9, 
   3.656034685716461*^9}, {3.656035092723248*^9, 3.656035135032398*^9}, {
   3.6560351723749847`*^9, 3.656035228460972*^9}, {3.656035264004471*^9, 
   3.656035328962031*^9}, {3.656035424756475*^9, 3.656035429876182*^9}, {
   3.6560356364125338`*^9, 3.656035681235035*^9}, 3.656035756143692*^9, {
   3.656035848644368*^9, 3.656036044996587*^9}, {3.656036133467668*^9, 
   3.6560361494794064`*^9}, {3.6560366237506323`*^9, 3.656036626772419*^9}, 
   3.6560381335940943`*^9, {3.656043784110227*^9, 3.656043971586112*^9}, {
   3.656044008157089*^9, 3.656044063225031*^9}, 3.656044109684104*^9, {
   3.6560441683056*^9, 3.6560442273609037`*^9}, {3.656044528918045*^9, 
   3.656044819940672*^9}, {3.6560450265227127`*^9, 3.656045256863543*^9}, {
   3.6560486045870028`*^9, 3.656048604818214*^9}, {3.65604937094*^9, 
   3.6560493767455473`*^9}, {3.656049411611141*^9, 3.6560494118252373`*^9}, {
   3.656190139088789*^9, 3.656190139823532*^9}, {3.656190524648808*^9, 
   3.656190528520647*^9}, {3.6561905818670397`*^9, 3.656190620076545*^9}, {
   3.656574634968787*^9, 3.656574662672183*^9}, {3.656619920990724*^9, 
   3.656619928925323*^9}, {3.6566199679728394`*^9, 3.656620003626772*^9}, {
   3.656620710102213*^9, 3.656620713765214*^9}, {3.6566240459553537`*^9, 
   3.656624081521227*^9}, {3.656625643045246*^9, 3.6566257444329453`*^9}, {
   3.6566258982108192`*^9, 3.656625906473339*^9}, {3.656626396213722*^9, 
   3.656626403268811*^9}, {3.656638125180751*^9, 3.6566381262445793`*^9}, {
   3.656641675702066*^9, 3.656641679501707*^9}, {3.6566418456667023`*^9, 
   3.656641883597229*^9}, {3.656642350300919*^9, 3.656642380331786*^9}, {
   3.6566424301606483`*^9, 3.65664244276189*^9}, {3.6566432709456663`*^9, 
   3.656643300792108*^9}, {3.656643337524866*^9, 3.6566434558021593`*^9}, {
   3.656649667988854*^9, 3.6566496856181993`*^9}, {3.656650274405559*^9, 
   3.656650319295203*^9}, {3.6566543231218033`*^9, 3.656654391139557*^9}, {
   3.656654482526326*^9, 3.656654530122347*^9}, {3.65665487684797*^9, 
   3.65665491416776*^9}, 3.656654956434023*^9, {3.6566589019622498`*^9, 
   3.656659009566037*^9}, {3.6566591346135063`*^9, 3.656659177728722*^9}, {
   3.6566592478668528`*^9, 3.656659278067226*^9}, {3.6566633655648413`*^9, 
   3.6566633910191*^9}, {3.656698189915071*^9, 3.656698196203445*^9}, {
   3.656698633675066*^9, 3.656698752468315*^9}, {3.6566994983355722`*^9, 
   3.656699618145192*^9}, {3.656699684039163*^9, 3.656699688293908*^9}, {
   3.65670557023326*^9, 3.656705600679351*^9}, {3.656706222168428*^9, 
   3.656706226814168*^9}, {3.657259683268691*^9, 3.657259686636725*^9}, 
   3.657260388018309*^9, 3.6572627859876423`*^9, {3.657268275580645*^9, 
   3.657268275836445*^9}, {3.657268530781042*^9, 3.657268531340172*^9}, {
   3.657268620730277*^9, 3.657268637350831*^9}, {3.65726912613278*^9, 
   3.657269280301248*^9}, {3.657304208909523*^9, 3.65730422091525*^9}, 
   3.657315231117127*^9, {3.657315592786186*^9, 3.6573155977211943`*^9}, {
   3.657315643722299*^9, 3.657315648223743*^9}, {3.6573170687912083`*^9, 
   3.657317104638607*^9}, {3.657317173611909*^9, 3.657317175259665*^9}, {
   3.657346057178998*^9, 3.657346251682536*^9}, 3.657346448822379*^9, {
   3.657346561319252*^9, 3.6573465728571577`*^9}, {3.657347460221838*^9, 
   3.657347462754252*^9}, {3.657391677828059*^9, 3.657391693096146*^9}, {
   3.657404635285709*^9, 3.657404681755166*^9}, {3.6574050092963*^9, 
   3.65740500952686*^9}, {3.6574107241916103`*^9, 3.657410749379191*^9}, {
   3.6574118394177856`*^9, 3.657411849930113*^9}, {3.657419132362722*^9, 
   3.6574191450787067`*^9}, 3.6574194321102533`*^9, {3.6574201084162703`*^9, 
   3.657420156769709*^9}, {3.657424628289784*^9, 3.657424638516941*^9}, 
   3.657432421504591*^9, {3.657432647402882*^9, 3.657432697425441*^9}, {
   3.657432772521346*^9, 3.657432786067762*^9}, {3.6574447519190893`*^9, 
   3.6574447659481688`*^9}, {3.657477013174286*^9, 3.65747704849426*^9}, {
   3.657477087139941*^9, 3.657477088418935*^9}, {3.657477130832934*^9, 
   3.657477133616049*^9}, {3.6574773247708597`*^9, 3.6574773463449*^9}, {
   3.6574840649645*^9, 3.657484079075067*^9}, 3.6574844543894653`*^9, {
   3.6574849212421093`*^9, 3.657484931520076*^9}, {3.6574872887795763`*^9, 
   3.657487294459009*^9}, {3.657505491326532*^9, 3.65750549268423*^9}, {
   3.657506842128557*^9, 3.657506843014936*^9}, {3.657516750633483*^9, 
   3.6575167736802483`*^9}, {3.6575171609585743`*^9, 3.657517162426367*^9}, {
   3.657517810495727*^9, 3.657517821410932*^9}, {3.657518268738956*^9, 
   3.657518269562311*^9}, {3.657518334573614*^9, 3.657518337775037*^9}, {
   3.657518611657195*^9, 3.657518612551025*^9}, {3.657520680374501*^9, 
   3.6575206809893312`*^9}, {3.657520819579722*^9, 3.657520821063725*^9}, {
   3.65752325914679*^9, 3.657523259720977*^9}, {3.65752425761762*^9, 
   3.6575242584860563`*^9}, {3.657524386167376*^9, 3.65752438634947*^9}, {
   3.657524816307616*^9, 3.657524843662431*^9}, {3.657528135786523*^9, 
   3.657528136662731*^9}, {3.657566466809578*^9, 3.657566508455679*^9}, {
   3.6575665527839003`*^9, 3.6575665542623777`*^9}, {3.657567431187937*^9, 
   3.6575674545291967`*^9}, {3.6575691446189823`*^9, 
   3.6575692270737257`*^9}, {3.657575358884675*^9, 3.657575384953369*^9}, {
   3.65757938199754*^9, 3.657579410794434*^9}, {3.657580274162795*^9, 
   3.6575802932721167`*^9}, {3.657849278870657*^9, 3.657849326808507*^9}, {
   3.6578495400149717`*^9, 3.657849562712018*^9}, 3.657849596153562*^9, 
   3.658003746276733*^9, {3.658004647216506*^9, 3.658004647974628*^9}, 
   3.658005075791795*^9, {3.6580121007598667`*^9, 3.658012101230465*^9}, {
   3.6580122541704073`*^9, 3.65801226997756*^9}, {3.658012366716893*^9, 
   3.658012367419813*^9}, {3.6580144724506598`*^9, 3.658014472968542*^9}, {
   3.658015135783929*^9, 3.658015136486808*^9}, {3.658015737088745*^9, 
   3.658015737558804*^9}, {3.658015998198896*^9, 3.6580159989405813`*^9}, {
   3.6580169096904993`*^9, 3.658016910153038*^9}, {3.6580179721528997`*^9, 
   3.6580179728233337`*^9}, {3.658038879966943*^9, 3.658038960383335*^9}, {
   3.658039012979269*^9, 3.6580390186150913`*^9}, 3.6580445328761683`*^9, 
   3.658051033696871*^9, {3.658100125720037*^9, 3.658100126253747*^9}, {
   3.671308221313154*^9, 3.67130828657938*^9}, 3.671308398514942*^9, {
   3.6713084549028273`*^9, 3.671308457154908*^9}, {3.671308495814307*^9, 
   3.6713085216578693`*^9}, {3.6713085703692904`*^9, 3.671308575871949*^9}, {
   3.671308617998376*^9, 3.671308753415039*^9}, 3.671309360452396*^9, {
   3.671309455166602*^9, 3.671309459636932*^9}, {3.672615552229848*^9, 
   3.672615552748486*^9}, {3.672615612944845*^9, 3.672615617508306*^9}, {
   3.672616124938945*^9, 3.672616126380743*^9}, 3.672616179585144*^9, {
   3.672616650936764*^9, 3.6726166519980593`*^9}, {3.672720032502253*^9, 
   3.672720036766513*^9}, {3.672726482999407*^9, 3.672726635043873*^9}, {
   3.672726746892619*^9, 3.6727267527534637`*^9}, {3.6727267842766314`*^9, 
   3.6727268030119743`*^9}, {3.6727269465897017`*^9, 3.6727269623819923`*^9}, 
   3.672727042466711*^9, 3.67272747176009*^9, {3.673152580205131*^9, 
   3.673152582372855*^9}, {3.6738242122519827`*^9, 3.6738242143778133`*^9}, {
   3.673838983769939*^9, 3.673839000626396*^9}, {3.674010247304543*^9, 
   3.674010294374393*^9}, {3.674011794912766*^9, 3.6740118180800333`*^9}, {
   3.674602771546566*^9, 3.6746028069394407`*^9}, {3.6746029174070673`*^9, 
   3.674602928003872*^9}, {3.675047320084445*^9, 3.67504735929119*^9}, {
   3.675315047490426*^9, 3.675315145711832*^9}, {3.6753152817329187`*^9, 
   3.675315306588047*^9}, {3.675317768979783*^9, 3.675317800220229*^9}, 
   3.67538964030414*^9, 3.675456698812418*^9, {3.675487461588004*^9, 
   3.67548748164016*^9}, {3.675487514494265*^9, 3.675487631497987*^9}, {
   3.675557826638091*^9, 3.6755578931594887`*^9}, {3.675560746157238*^9, 
   3.67556081803204*^9}, {3.675581602054249*^9, 3.675581771071231*^9}, {
   3.6755818957501917`*^9, 3.675582063923354*^9}, 3.675582327039257*^9, {
   3.67558665873424*^9, 3.675586659082478*^9}, {3.675586714321538*^9, 
   3.675586729940363*^9}, {3.67558694690939*^9, 3.67558696352693*^9}, {
   3.675587010920473*^9, 3.6755870772618504`*^9}, {3.675587197734119*^9, 
   3.675587218001794*^9}, {3.675589462990904*^9, 3.675589497547722*^9}, {
   3.6755912273945427`*^9, 3.675591528644072*^9}, {3.675901317900676*^9, 
   3.675901318762568*^9}, {3.676895923414699*^9, 3.676895924236845*^9}, {
   3.682891330166573*^9, 3.6828913479480743`*^9}, {3.682891859903213*^9, 
   3.682891862246323*^9}, {3.6828930344085207`*^9, 3.682893084009035*^9}, {
   3.686878636819438*^9, 3.6868788535400047`*^9}, {3.6868793880793333`*^9, 
   3.686879391847*^9}, {3.6868926770270987`*^9, 3.686892723002666*^9}, {
   3.6868927690170116`*^9, 3.686892774703948*^9}, {3.6868939494849358`*^9, 
   3.6868941636753817`*^9}, {3.686894194825859*^9, 3.6868942154070272`*^9}, {
   3.6868942564987593`*^9, 3.686894508345334*^9}, {3.686894587293899*^9, 
   3.686894755024994*^9}, {3.6868948331823797`*^9, 3.686894850199215*^9}, {
   3.686894899938182*^9, 3.686894908942803*^9}, 3.686897945958008*^9, {
   3.686954927999057*^9, 3.686955109420228*^9}, {3.686955168647523*^9, 
   3.686955341797667*^9}, {3.68695540582102*^9, 3.686955409900456*^9}, {
   3.686955464576733*^9, 3.686955500080933*^9}, {3.686955629773666*^9, 
   3.686955734491304*^9}, {3.6869558245146646`*^9, 3.686955859192171*^9}, {
   3.686955923347777*^9, 3.686955932293746*^9}, {3.6869596565811577`*^9, 
   3.686959663703848*^9}, {3.68703582653974*^9, 3.6870358290910482`*^9}, {
   3.6872048078678513`*^9, 3.6872048551769257`*^9}, {3.68728365698195*^9, 
   3.687283660799209*^9}, {3.687927253499452*^9, 3.68792726690135*^9}, {
   3.687927494211227*^9, 3.6879274979230003`*^9}, {3.688071839392643*^9, 
   3.68807184004631*^9}, {3.688071931378941*^9, 3.6880719323373938`*^9}, {
   3.688073408239635*^9, 3.68807341134262*^9}, {3.6880871923444853`*^9, 
   3.688087192829851*^9}, {3.688234421009759*^9, 3.688234421384717*^9}, {
   3.688234523508897*^9, 3.688234528093121*^9}, {3.6882345829568853`*^9, 
   3.688234613760913*^9}, {3.688234644233706*^9, 3.6882346956487923`*^9}, {
   3.688234781859972*^9, 3.6882347828498783`*^9}, {3.688235231600559*^9, 
   3.688235232390851*^9}, {3.70161863749448*^9, 3.701618637852029*^9}, {
   3.701618691805081*^9, 3.701618706859186*^9}, {3.701767293727857*^9, 
   3.701767303952036*^9}, {3.70176734643334*^9, 3.701767346576111*^9}, {
   3.701767421912986*^9, 3.7017674325047207`*^9}, {3.701767532297683*^9, 
   3.701767547000656*^9}, {3.701767608106511*^9, 3.701767609568967*^9}, {
   3.701767676968966*^9, 3.701767683944613*^9}, 3.701767738722128*^9, {
   3.701768114224512*^9, 3.701768116574334*^9}, {3.7017689613255453`*^9, 
   3.701769009991755*^9}, {3.701769200072867*^9, 3.701769236711853*^9}, {
   3.701769509152194*^9, 3.70176950987352*^9}, {3.701769629744906*^9, 
   3.701769632760837*^9}, {3.701769809736849*^9, 3.7017698108957777`*^9}, {
   3.7017714366569023`*^9, 3.701771473656809*^9}, {3.701772684609282*^9, 
   3.701772703176078*^9}, 3.7017736359053097`*^9, 3.701774371774043*^9, {
   3.70178964899629*^9, 3.701789651842634*^9}, {3.7017899417272377`*^9, 
   3.7017899511608343`*^9}, {3.7019690603710623`*^9, 3.701969072269556*^9}, {
   3.701969116019147*^9, 3.701969132735558*^9}, 3.7019691677790947`*^9, {
   3.701969249422372*^9, 3.701969267597643*^9}, {3.701969366413146*^9, 
   3.701969367660565*^9}, {3.70196940102847*^9, 3.701969438166738*^9}, 
   3.701969813003384*^9, {3.701969958584754*^9, 3.701969962990374*^9}, {
   3.70203660428874*^9, 3.7020366099206038`*^9}, {3.702093511312598*^9, 
   3.702093511560184*^9}, 3.702095642868506*^9, {3.70209569973809*^9, 
   3.7020959676570377`*^9}, {3.702096020081204*^9, 3.7020960571365767`*^9}, {
   3.702096088569392*^9, 3.702096156928298*^9}, {3.702118969210372*^9, 
   3.7021189756485243`*^9}, {3.7021190069144077`*^9, 3.702119007045422*^9}, 
   3.702119050643344*^9, {3.702137781000689*^9, 3.702137781260604*^9}, {
   3.702138554844241*^9, 3.702138555057928*^9}, {3.702140462444893*^9, 
   3.702140467460465*^9}, {3.7021410456087646`*^9, 3.702141049354969*^9}, 
   3.702199444043252*^9, {3.702199787453905*^9, 3.702199789771043*^9}, {
   3.702966350672741*^9, 3.7029663626158752`*^9}, {3.702972804449252*^9, 
   3.702972808201665*^9}, 3.702972839505129*^9, {3.703396353378887*^9, 
   3.703396405522888*^9}, {3.703396465522964*^9, 3.703396469840167*^9}, {
   3.7033965259635563`*^9, 3.7033965264641848`*^9}, {3.703403781283478*^9, 
   3.703403781460596*^9}, {3.70340387850439*^9, 3.7034038787252913`*^9}, {
   3.703496279168454*^9, 3.7034962985284567`*^9}, {3.7034963764159727`*^9, 
   3.703496387782919*^9}, {3.7034969948807793`*^9, 3.7034970033042097`*^9}, {
   3.703497202095818*^9, 3.7034972070147448`*^9}, {3.703497808840631*^9, 
   3.7034978685831623`*^9}, {3.703524176131853*^9, 3.7035241904370337`*^9}, {
   3.703524244337468*^9, 3.7035242612574987`*^9}, {3.703524407039186*^9, 
   3.70352441491978*^9}, {3.703524468352377*^9, 3.703524588117388*^9}, {
   3.7035246649120417`*^9, 3.703524681496523*^9}, {3.7035582750688887`*^9, 
   3.703558336739153*^9}, 3.703558897447178*^9, {3.703559314070093*^9, 
   3.703559334164253*^9}, {3.703563629479389*^9, 3.703563631367288*^9}, {
   3.703563663308762*^9, 3.70356366400852*^9}, {3.7035637031692333`*^9, 
   3.703563720872357*^9}, {3.7035637907759123`*^9, 3.703563798215972*^9}, {
   3.703563921272725*^9, 3.7035639219479027`*^9}, {3.7035639810315523`*^9, 
   3.70356398745923*^9}, {3.703564023935865*^9, 3.7035641212879868`*^9}, {
   3.703564215120227*^9, 3.703564287768119*^9}, {3.7035644000969343`*^9, 
   3.703564405136929*^9}, {3.7035644643170147`*^9, 3.703564498488653*^9}, 
   3.703564693681283*^9, {3.7035651164816217`*^9, 3.703565119488714*^9}, {
   3.7035651939035673`*^9, 3.7035651963159227`*^9}, {3.703565226729608*^9, 
   3.7035652563447742`*^9}, {3.7035659093548117`*^9, 3.703565913071808*^9}, {
   3.703566937496037*^9, 3.7035669711940947`*^9}, {3.7035673860896482`*^9, 
   3.703567388416503*^9}, {3.703572369714299*^9, 3.703572381527594*^9}, {
   3.703585923089345*^9, 3.703586010542617*^9}, {3.703586040619483*^9, 
   3.7035860451443577`*^9}, {3.7036042378902683`*^9, 3.70360441136895*^9}, 
   3.70360492693946*^9, 3.7036053245119543`*^9, {3.7036054218504457`*^9, 
   3.703605432250598*^9}, {3.703605525247138*^9, 3.703605536635502*^9}, {
   3.703605753109642*^9, 3.70360575328272*^9}, {3.703606576552844*^9, 
   3.7036065768251953`*^9}, {3.703608311504567*^9, 3.703608358676565*^9}, {
   3.7036083922128143`*^9, 3.703608392509638*^9}, {3.703644396877981*^9, 
   3.703644406590371*^9}, {3.703657610591502*^9, 3.703657640294232*^9}, {
   3.703778476989025*^9, 3.703778483739862*^9}, {3.703827381471237*^9, 
   3.70382742688645*^9}, {3.703827488256447*^9, 3.703827488447131*^9}, {
   3.703829135087214*^9, 3.703829146567741*^9}, {3.7038293677148333`*^9, 
   3.703829369391721*^9}, {3.703831286791258*^9, 3.703831286967017*^9}, {
   3.7039218031677237`*^9, 3.703921819665358*^9}, {3.703921850768057*^9, 
   3.7039218659680367`*^9}, {3.703922016041346*^9, 3.703922020432498*^9}, {
   3.703949880061584*^9, 3.703949923774844*^9}, {3.703950937424624*^9, 
   3.703950938685585*^9}, {3.703952372204885*^9, 3.7039524366942596`*^9}, {
   3.703953350384699*^9, 3.703953371972075*^9}, {3.703953409384594*^9, 
   3.703953422763303*^9}, {3.703953467179432*^9, 3.703953521050027*^9}, {
   3.703953636243739*^9, 3.7039536549241543`*^9}, {3.703954731516498*^9, 
   3.7039547423220673`*^9}, 3.703956123494116*^9, 3.703996321308022*^9, 
   3.703996371468244*^9, 3.703996916222748*^9, {3.70400821981763*^9, 
   3.704008220201782*^9}, {3.704008631090516*^9, 3.704008631565238*^9}, {
   3.704008680163929*^9, 3.7040086804121037`*^9}, 3.704009459441772*^9, {
   3.7040859642564287`*^9, 3.704086000974815*^9}, 3.704098811010648*^9, 
   3.704100739029531*^9, {3.704105011168466*^9, 3.704105011470735*^9}, {
   3.704105090224409*^9, 3.704105090891851*^9}, 3.704106193810738*^9, {
   3.704175115775741*^9, 3.704175174357182*^9}, {3.70417526659293*^9, 
   3.70417527287199*^9}, {3.704175975391864*^9, 3.704175978103101*^9}, {
   3.704176009064186*^9, 3.704176010780572*^9}, 3.70417604768867*^9, {
   3.704176236801474*^9, 3.7041762800092688`*^9}, {3.704185191463744*^9, 
   3.7041851981443663`*^9}, {3.704185270712089*^9, 3.7041852731190434`*^9}, {
   3.704185367474341*^9, 3.704185379167076*^9}, {3.704185428937059*^9, 
   3.704185482553303*^9}, {3.704185556912945*^9, 3.704185571721224*^9}, {
   3.70418561777039*^9, 3.704185625328875*^9}, 3.704185660616646*^9, {
   3.7041860665502977`*^9, 3.704186069333126*^9}, {3.704186110336944*^9, 
   3.704186118943995*^9}, {3.704186186736609*^9, 3.704186232983699*^9}, {
   3.7041878059762297`*^9, 3.704187808647297*^9}, {3.7041878822402077`*^9, 
   3.7041878862239857`*^9}, {3.704188012871665*^9, 3.7041880180398617`*^9}, {
   3.7041880612238903`*^9, 3.704188067648287*^9}, {3.7041881278089657`*^9, 
   3.7041881298819237`*^9}, {3.704188194641268*^9, 3.7041881974794683`*^9}, {
   3.7041883083207273`*^9, 3.7041883394880466`*^9}, 3.704189678883823*^9, 
   3.70419035744247*^9, {3.70419180706402*^9, 3.704191809903201*^9}, 
   3.704200126988048*^9, {3.704207876529499*^9, 3.704207878599568*^9}, {
   3.704209415689199*^9, 3.7042094160453377`*^9}, {3.704557798708828*^9, 
   3.704557801306366*^9}, {3.704557834738997*^9, 3.7045578369692583`*^9}, {
   3.704557990590362*^9, 3.7045579909038057`*^9}, {3.704778974383543*^9, 
   3.704778975622519*^9}, 3.7052035578767347`*^9, {3.70520411759967*^9, 
   3.7052041191829042`*^9}, {3.705210164255987*^9, 3.705210164431332*^9}, {
   3.705227890765408*^9, 3.7052279033494453`*^9}, {3.705227943123642*^9, 
   3.705227954379302*^9}, {3.7052422447693443`*^9, 3.705242261868044*^9}, {
   3.706966005679441*^9, 3.706966025054891*^9}, {3.706966072585977*^9, 
   3.7069661065723267`*^9}, {3.706979299281467*^9, 3.70697931577827*^9}, {
   3.706980908795772*^9, 3.706980909322997*^9}, {3.707202404431189*^9, 
   3.707202463514102*^9}, {3.7072029902233763`*^9, 3.70720299093403*^9}, {
   3.707209201144615*^9, 3.707209231991901*^9}, {3.707209555128397*^9, 
   3.7072095557096987`*^9}, {3.7072104884714317`*^9, 3.707210490705126*^9}, {
   3.707211500752087*^9, 3.7072115113506813`*^9}, {3.707211549031095*^9, 
   3.70721154944665*^9}, {3.7072118193524*^9, 3.7072118200143414`*^9}, {
   3.707212465384088*^9, 3.707212474527853*^9}, {3.707212953616707*^9, 
   3.70721298194241*^9}, {3.707218063767727*^9, 3.707218064344481*^9}, {
   3.707218132415657*^9, 3.707218133182159*^9}, {3.7072181835682383`*^9, 
   3.707218184141739*^9}, {3.707405087172168*^9, 3.707405087891617*^9}, {
   3.707405202403064*^9, 3.707405202925644*^9}, {3.707409318711478*^9, 
   3.707409319719363*^9}, {3.7074101082471952`*^9, 3.707410109141857*^9}, {
   3.7074101723618717`*^9, 3.707410172843545*^9}, {3.707410224551189*^9, 
   3.707410225240176*^9}, {3.707411416475217*^9, 3.707411444282584*^9}, {
   3.707411570743599*^9, 3.7074115754295063`*^9}, 3.70741171398367*^9, 
   3.7074117468770027`*^9, 3.707411819499913*^9, 3.7074119170176373`*^9, {
   3.707413417360922*^9, 3.7074134177722397`*^9}, {3.707413460623642*^9, 
   3.707413556163282*^9}, {3.70741404352103*^9, 3.707414047225689*^9}, 
   3.70741437988673*^9, {3.707414656016799*^9, 3.707414658327631*^9}, {
   3.707415561007249*^9, 3.70741556165196*^9}, 3.707452404577798*^9, {
   3.707452545056085*^9, 3.707452612669743*^9}, {3.707452678879306*^9, 
   3.7074526876125097`*^9}, 3.707454427214695*^9, 3.707454629566641*^9, 
   3.707454731726693*^9, {3.7074548050867*^9, 3.707454828086133*^9}, {
   3.707490661015553*^9, 3.70749066115983*^9}, {3.708348775946097*^9, 
   3.708348847946743*^9}, {3.708348883634343*^9, 3.708348919104978*^9}, {
   3.70834917627481*^9, 3.708349221115224*^9}, {3.708362395781282*^9, 
   3.708362409564179*^9}, {3.708362440913537*^9, 3.70836246523346*^9}, {
   3.7083630621535254`*^9, 3.708363096204967*^9}, {3.7083641415963993`*^9, 
   3.708364141796269*^9}, {3.7083644809882936`*^9, 3.708364483907357*^9}, {
   3.709349780663138*^9, 3.709349792729846*^9}, 3.709350244096004*^9, {
   3.787073692970296*^9, 3.787073729304872*^9}, {3.787073762996867*^9, 
   3.7870738606577168`*^9}, {3.787073906705885*^9, 3.787073960547351*^9}, {
   3.787074006841649*^9, 3.78707405125762*^9}, {3.7870740823197002`*^9, 
   3.7870740938602123`*^9}, {3.7870742698292913`*^9, 
   3.7870742905894527`*^9}, {3.7870743229224987`*^9, 3.787074346175891*^9}, {
   3.787074695336851*^9, 3.7870749720124083`*^9}, {3.787075094856826*^9, 
   3.787075174816636*^9}, {3.791651754421352*^9, 3.7916517607448387`*^9}, {
   3.7916554171531353`*^9, 3.791655431813875*^9}, {3.7916559523226843`*^9, 
   3.7916559525607557`*^9}, {3.793162489890917*^9, 3.7931625938141193`*^9}, {
   3.7931626412264833`*^9, 3.7931626473666363`*^9}, {3.793162720037459*^9, 
   3.793162785937809*^9}, 3.79316395917806*^9, 3.793175168079372*^9, {
   3.793175968263062*^9, 3.793175969230578*^9}, {3.793176075280218*^9, 
   3.793176249994131*^9}, {3.7931782939957857`*^9, 3.793178294893619*^9}, {
   3.793178458703703*^9, 3.793178459184589*^9}, {3.7932016145242147`*^9, 
   3.793201679413306*^9}, {3.793201714630115*^9, 3.793201765514819*^9}, {
   3.793201798805447*^9, 3.793201803588134*^9}, {3.7932019270651073`*^9, 
   3.793202082025021*^9}, {3.793202219846649*^9, 3.793202337790145*^9}, {
   3.793202369309848*^9, 3.7932023760727158`*^9}, {3.7932024550868692`*^9, 
   3.793202508006374*^9}, {3.793202896222026*^9, 3.793202935631399*^9}, {
   3.79320314160747*^9, 3.79320321939011*^9}, {3.7932032578535767`*^9, 
   3.793203321000977*^9}, {3.793203359806425*^9, 3.793203366253058*^9}, {
   3.793203570942163*^9, 3.79320357226795*^9}, {3.793203808251135*^9, 
   3.793203817452999*^9}, 3.793203919728221*^9, 3.793204467859517*^9, {
   3.793204689026887*^9, 3.79320470096139*^9}, {3.7932053486790133`*^9, 
   3.7932053648538637`*^9}, {3.7932063985063047`*^9, 3.79320647796663*^9}},
 CellLabel->
  "In[123]:=",ExpressionUUID->"ec017ba5-094b-4b45-9e78-75bf660db09f"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Examples", "Section",
 CellChangeTimes->{{3.711041297994158*^9, 
  3.7110413000158567`*^9}},ExpressionUUID->"a4a8920c-c244-4cba-a9f4-\
76cb9ee1d017"],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 FormBox[
  SubscriptBox[
   StyleBox["H",
    FontSlant->"Plain"], "2"], 
  TraditionalForm]],ExpressionUUID->"8b12b36c-8824-4958-b617-79776c13c91d"]], \
"Subsection",
 CellChangeTimes->{{3.709471437083359*^9, 3.709471437939172*^9}, {
  3.709740079833404*^9, 
  3.709740080740836*^9}},ExpressionUUID->"df37bd0c-d724-4a87-aa39-\
6a1fb630e7fe"],

Cell[CellGroupData[{

Cell["STO-3G ", "Subsubsection",
 CellChangeTimes->{{3.7094714478623466`*^9, 3.709471450084034*^9}, {
   3.709471718653887*^9, 3.709471777588286*^9}, 
   3.787073885363111*^9},ExpressionUUID->"2112ca8e-f1bd-4577-8021-\
a601835d47cc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Workhorse", "[", 
  RowBox[{"2", ",", 
   RowBox[{"1", "/", "2"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", 
       RowBox[{"-", "0.7"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.7"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   "\"\<Cylindrical\>\"", ",", "\"\<H2_sto-3g\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"3.42525091", ",", "0.62391373", ",", "0.16885540"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0.15432897", ",", "0.53532814", ",", "0.44463454"}], "}"}]}],
       "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"3.42525091", ",", "0.62391373", ",", "0.16885540"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0.15432897", ",", "0.53532814", ",", "0.44463454"}], "}"}]}],
       "}"}]}], "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.709471956082657*^9, 3.709471957568859*^9}, 
   3.787073895459379*^9, {3.787073970769309*^9, 3.787073971477953*^9}, {
   3.791651798531975*^9, 3.79165179885968*^9}, {3.791651957924206*^9, 
   3.791651970671062*^9}, {3.791652011031933*^9, 3.791652015614086*^9}, 
   3.7916521920248632`*^9, {3.791652244975189*^9, 3.791652245542139*^9}, 
   3.7916526341304007`*^9, {3.791652746648543*^9, 3.791652747073348*^9}, {
   3.7945673363303547`*^9, 3.794567342443322*^9}, 3.7945673951916857`*^9, {
   3.794568943547521*^9, 3.794568943826879*^9}, 3.794569835576222*^9, {
   3.7945735444524384`*^9, 3.794573545030683*^9}, 3.794573747072701*^9, {
   3.794573831211351*^9, 3.794573831718833*^9}, 3.79458863024219*^9, {
   3.794588694865322*^9, 3.794588695325992*^9}, 3.794589009980946*^9, {
   3.79459030060684*^9, 3.794590301019143*^9}, {3.794590669472591*^9, 
   3.7945906873685293`*^9}, {3.7945928218221607`*^9, 3.794592822128187*^9}, 
   3.794642987393532*^9, {3.794643053480214*^9, 3.794643079928343*^9}, {
   3.794652645045155*^9, 3.794652645485145*^9}},
 CellLabel->
  "In[131]:=",ExpressionUUID->"3e59d1f3-5efb-4f2f-a753-75930841bd89"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"Start of calculation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0, 0],
  FrontFaceColor->RGBColor[1, 0, 0],
  BackFaceColor->RGBColor[1, 0, 0],
  GraphicsColor->RGBColor[1, 0, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0, 0]]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640851330803*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"98a719be-5a0c-4289-bc28-b2afc2c9e012"],

Cell[BoxData["\<\"Reading one-electron integrals...\"\>"], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640851333075*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"2f57758a-fba9-4b98-9b2d-2eb406f14c94"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.7946408513351803`*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"9c87348c-3799-49e0-9fe5-3a7b1aa41173"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.001408`"}],
  SequenceForm["CPU time = ", 0.001408],
  Editable->False]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.7946408513370667`*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"dbba1cb2-2ffd-436b-bb9f-11dc13794759"],

Cell[BoxData["\<\"Reading two-electron integrals...\"\>"], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640851338716*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"14a63871-780c-4da0-9d45-b43b0c585912"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640851340214*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"6051c33a-1fb9-411d-81d1-4a05d254703e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.000643`"}],
  SequenceForm["CPU time = ", 0.000643],
  Editable->False]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.7946408513421783`*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"efe03c47-f4d7-4339-8bce-4cb7b35c0dc5"],

Cell[BoxData["\<\"Ensemble RHF calculation...\"\>"], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.7946408515364447`*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"eb0ffe00-5256-4311-82d2-9b4f6a77815f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO energies: \"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.34256496936524605`"}], "0.4460803583135612`"}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]]}],
  SequenceForm["MO energies: ", 
   TableForm[{{-0.34256496936524605`, 0.4460803583135612}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640851538143*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"f36183a4-9b2d-4b86-93a5-a375ebbb72e6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO coefficients: \"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.5489340487075702`"}], 
       RowBox[{"-", "1.211464016636719`"}]},
      {
       RowBox[{"-", "0.5489340487075706`"}], "1.211464016636719`"}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]]}],
  SequenceForm["MO coefficients: ", 
   TableForm[{{-0.5489340487075702, -1.211464016636719}, {-0.5489340487075706,
     1.211464016636719}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.7946408515399227`*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"c6c2dc25-e375-489f-99f7-b5d1c39a65e5"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"n\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(Basis\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"w\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(0\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(Nuc\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(GIC - HF\\), \
\\(w\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(T\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(V\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(J\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(K\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(SCF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"Conv\"\>",
       HoldForm], 
      TagBox["\<\"HL Gap\"\>",
       HoldForm]},
     {"2", "2", 
      FractionBox["1", "2"], 
      TagBox[
       InterpretationBox["\<\"-0.098156\"\>",
        -0.09815627248437886,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.714286\"\>",
        0.7142857142857143,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.812442\"\>",
        -0.8124419867700932,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-1.042355\"\>",
        -1.0423546570459612`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"2.137391\"\>",
        2.1373908895677216`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-3.865790\"\>",
        -3.8657902520562226`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.349609\"\>",
        1.3496086873378719`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.433651\"\>",
        -0.43365131161946396`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], "1", 
      TagBox[
       InterpretationBox[
        RowBox[{"\<\"2.776\"\>", "\[Times]", 
         SuperscriptBox["10", "\<\"-16\"\>"]}],
        2.7755575615628914`*^-16,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ], 
      TagBox[
       InterpretationBox["\<\"0.789\"\>",
        0.7886453276788072,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"n", "\!\(\*SubscriptBox[\(N\), \(Basis\)]\)", "w", 
       "\!\(\*SubscriptBox[\(E\), \(0\)]\)", 
       "\!\(\*SubscriptBox[\(E\), \(Nuc\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(GIC - HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(T\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(V\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(J\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(K\), \(HF\), \(w\)]\)", 
       "\!\(\*SubscriptBox[\(N\), \(SCF\)]\)", "Conv", "HL Gap"}}, 
    TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.7946408515419207`*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"345a5be5-3dd6-4219-b17c-29e9e48e8e5b"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\((0)\\)]\\)\
\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\((1)\\)]\\)\
\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \\(HF\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \\(HF\\), \
\\((1)\\)]\\)(eV)\"\>",
       HoldForm]},
     {
      TagBox[
       InterpretationBox["\<\"-1.116714\"\>",
        -1.1167142704390542`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.460576\"\>",
        0.46057638491856046`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.577291\"\>",
        1.5772906553576145`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"42.920265\"\>",
        42.92026488867483,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\!\(\*SubsuperscriptBox[\(E\), \(HF\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(HF\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \
\((1)\)]\)(eV)"}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640851546105*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"4f1c8d0a-932b-47aa-82a2-7045db6b8b9b"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.7946408515484962`*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"ca744b5f-1619-40de-aaed-4fade3c59dba"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.005501`"}],
  SequenceForm["CPU time = ", 0.005501],
  Editable->False]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640851549803*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"9cdb50df-f6d3-4e89-a4e1-2da7f77f3bce"],

Cell[BoxData["\<\"Compute GOK-DFT energies...\"\>"], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640851551257*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"24ab190e-8cb2-4324-b845-6634b9da80f8"],

Cell[BoxData["\<\"Integrating one-electron density...\"\>"], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.7946408515528183`*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"c4b5db40-c5e7-45ce-ace1-aa693d7e49ad"],

Cell[BoxData["1.9999999705429015`"], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640851731229*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"8d45746f-fb4a-47cd-bc3f-7b1a9b8a4df7"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(LDA\\), \
\\((0)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(LDA\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(LDA\\), \\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(LDA\\), \\((1)\\)]\\) (eV)\"\>",
       HoldForm]},
     {
      TagBox[
       InterpretationBox["\<\"-1.101072\"\>",
        -1.1010717558591239`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.404583\"\>",
        0.40458291529858004`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.505655\"\>",
        1.505654671157704,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"40.970950\"\>",
        40.97095046968844,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\!\(\*SubsuperscriptBox[\(E\), \(LDA\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(LDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(LDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(LDA\), \((1)\)]\) \
(eV)"}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640853146352*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"1d8543c2-add4-4c15-8a21-b53be46f5e6a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.2010794855082736`", ",", "3.0737022936271705`"}], "}"}]], "Print",\

 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640854766921*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"05291796-e83a-4928-af1e-3c05bea53ed5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "3.7066735443162053`"}], ",", 
   RowBox[{"-", "4.02490695979624`"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640854768984*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"7d1ccf25-9947-462b-8246-b1b0eeb4ab89"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.3491881481663275`", ",", "1.3949906736038313`"}], "}"}]], "Print",\

 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640854770796*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"ee657ad3-309e-4995-b4c1-dcc030b6db9c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.6532611201550911`"}], ",", 
   RowBox[{"-", "0.7567920581642813`"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.7946408554778852`*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"4a13789a-3f59-4148-a460-38f61701a989"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.09044351646366577`"}], ",", 
   RowBox[{"-", "0.09532543303027174`"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.7946408570497503`*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"89442823-5dd8-4419-a465-1f9a462a1046"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(eLDA\\), \
\\((0)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\\), \\(DD\\), \
\\((0)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(eLDA\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\\), \\(DD\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(eLDA\\), \\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[CapitalDelta]\
\\), \\(DD\\), \\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(eLDA\\), \\((1)\\)]\\) (eV)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[CapitalDelta]\
\\), \\(DD\\), \\((1)\\)]\\)(eV)\"\>",
       HoldForm]},
     {
      TagBox[
       InterpretationBox["\<\"-1.094134\"\>",
        -1.0941339494402995`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.091691\"\>",
        0.09169088105730427,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.214263\"\>",
        0.21426334651155998`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.091691\"\>",
        -0.09169088105730427,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.308397\"\>",
        1.3083972959518597`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.183382\"\>",
        -0.18338176211460855`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"35.603304\"\>",
        35.603303887670236`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-4.990072\"\>",
        -4.990071917928424,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\!\(\*SubsuperscriptBox[\(E\), \(eLDA\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\), \(DD\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(eLDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\), \(DD\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(eLDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\[CapitalDelta]\), \(DD\), \
\((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(eLDA\), \((1)\)]\) \
(eV)", "\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\[CapitalDelta]\), \(DD\), \
\((1)\)]\)(eV)"}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640857325406*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"bc234380-60d3-4715-96d1-f97ec6bfc667"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640857328919*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"5a068aa4-37a3-4766-bb34-d17ea4e5b8c9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "6.520777`"}],
  SequenceForm["CPU time = ", 6.520777],
  Editable->False]], "Print",
 CellChangeTimes->{{3.791652015958428*^9, 3.791652054364016*^9}, 
   3.79165211793039*^9, {3.791652190045474*^9, 3.791652245801404*^9}, 
   3.791652278033745*^9, 3.791652344972904*^9, {3.791652609442134*^9, 
   3.791652634614519*^9}, {3.791652668871975*^9, 3.7916526775047283`*^9}, {
   3.79165274265583*^9, 3.791652747400156*^9}, 3.791656116900351*^9, 
   3.791656207689917*^9, 3.791656261234514*^9, 3.791656385548608*^9, 
   3.791656629422748*^9, 3.791656696354629*^9, 3.791656779540216*^9, 
   3.7945673427487383`*^9, 3.794567395731021*^9, 3.794568944110602*^9, 
   3.794569836008552*^9, 3.794573545250752*^9, 3.794573747522127*^9, 
   3.7945738319882517`*^9, 3.794588570712016*^9, 3.794588630711063*^9, 
   3.794588697291728*^9, 3.794589010399247*^9, 3.794590196678443*^9, 
   3.794590301272751*^9, {3.794590671149124*^9, 3.79459068777946*^9}, 
   3.79459282242554*^9, 3.794631760618947*^9, 3.7946404657879677`*^9, 
   3.794640535005047*^9, 3.794640857330196*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"b95bae56-ba11-478e-b24b-21bb4c73c78c"]
}, Open  ]],

Cell[BoxData[
 StyleBox["\<\"End of calculation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0, 0],
  FrontFaceColor->RGBColor[1, 0, 0],
  BackFaceColor->RGBColor[1, 0, 0],
  GraphicsColor->RGBColor[1, 0, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0, 0]]], "Output",
 CellChangeTimes->{
  3.7945901995351963`*^9, 3.794590305274414*^9, {3.794590673962562*^9, 
   3.794590690745207*^9}, 3.794592826404502*^9, 3.794631764879306*^9, 
   3.7946404718040733`*^9, 3.7946405415078287`*^9, 3.7946408573314734`*^9},
 CellLabel->
  "Out[131]=",ExpressionUUID->"6787be6a-ebe0-46c1-a3de-4e52c7ddea3d"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["4-31G", "Subsubsection",
 CellChangeTimes->{{3.7094714478623466`*^9, 3.709471477424472*^9}, 
   3.709471750917472*^9, {3.7094717832663794`*^9, 3.709471796873364*^9}, 
   3.787074116191793*^9},ExpressionUUID->"916ae58d-fbdb-4d89-a6d8-\
52bed8896a14"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Workhorse", "[", 
  RowBox[{"2", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", 
       RowBox[{"-", "0.7"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.7"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"18.7311370", ",", "2.8253937", ",", "0.6401217"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0.03349460", ",", "0.23472695", ",", "0.81375733"}], "}"}]}],
       "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", "0.1612778", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"18.7311370", ",", "2.8253937", ",", "0.6401217"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0.03349460", ",", "0.23472695", ",", "0.81375733"}], "}"}]}],
       "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", "0.1612778", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.7094546133147173`*^9, 3.709454619452982*^9}, 
   3.709454696678982*^9, {3.709471937660676*^9, 3.709471940484564*^9}, {
   3.787074119466548*^9, 3.787074126258464*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"c62f9fb7-edac-4cb2-a77f-e2f363d45b95"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"Start of calculation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0, 0],
  FrontFaceColor->RGBColor[1, 0, 0],
  BackFaceColor->RGBColor[1, 0, 0],
  GraphicsColor->RGBColor[1, 0, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0, 0]]], "Print",
 CellChangeTimes->{3.787074126650579*^9},
 CellLabel->
  "During evaluation of \
In[52]:=",ExpressionUUID->"18de5ede-2afa-4e95-afc0-dd508da049b4"],

Cell[BoxData["\<\"Start: computing one- and two-electron integrals\"\>"], \
"Print",
 CellChangeTimes->{3.787074126652719*^9},
 CellLabel->
  "During evaluation of \
In[52]:=",ExpressionUUID->"b6833e2b-96fe-46ef-8531-71b4f8a96205"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Overlap eigenvalues in OBS = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.09640314545696581`", ",", "0.4701671611793823`", ",", 
     "0.5952527097460355`", ",", "2.8381770405712654`"}], "}"}]}],
  SequenceForm[
  "Overlap eigenvalues in OBS = ", {0.09640314545696581, 0.4701671611793823, 
   0.5952527097460355, 2.8381770405712654`}],
  Editable->False]], "Print",
 CellChangeTimes->{3.7870741280846167`*^9},
 CellLabel->
  "During evaluation of \
In[52]:=",ExpressionUUID->"bda76ca6-1851-44db-8569-ed5f228cc3bf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of linear dependencies in OBS = \"\>", 
   "\[InvisibleSpace]", "0"}],
  SequenceForm["Number of linear dependencies in OBS = ", 0],
  Editable->False]], "Print",
 CellChangeTimes->{3.787074128086171*^9},
 CellLabel->
  "During evaluation of \
In[52]:=",ExpressionUUID->"d5639e6b-5e49-4be1-af55-5d08362fcbc6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"End: computing one- and two-electron integrals \[LongDash] \
\"\>", "\[InvisibleSpace]", "\<\"CPU time = \"\>", "\[InvisibleSpace]", 
   "1.434301`"}],
  SequenceForm[
  "End: computing one- and two-electron integrals \[LongDash] ", 
   "CPU time = ", 1.434301],
  Editable->False]], "Print",
 CellChangeTimes->{3.78707412808757*^9},
 CellLabel->
  "During evaluation of \
In[52]:=",ExpressionUUID->"b0ec54e4-c836-4242-82b7-0e7018739505"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO energies: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.5955599379039276`"}], ",", "0.23824595264584247`", ",", 
     "0.7751323212336685`", ",", "1.4032929664238123`"}], "}"}]}],
  SequenceForm[
  "MO energies: ", {-0.5955599379039276, 0.23824595264584247`, 
   0.7751323212336685, 1.4032929664238123`}],
  Editable->False]], "Print",
 CellChangeTimes->{3.787074128088831*^9},
 CellLabel->
  "During evaluation of \
In[52]:=",ExpressionUUID->"98faee64-9b3a-4652-8b89-a03ef39b3bf0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO coefficients: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{"-", "0.3267973615776039`"}], 
        RowBox[{"-", "0.12281552168671303`"}], "0.7666912967347046`", 
        RowBox[{"-", "1.1219359723771554`"}]},
       {
        RowBox[{"-", "0.27201816790209`"}], 
        RowBox[{"-", "1.7127499398673542`"}], 
        RowBox[{"-", "0.6863053497204685`"}], "1.3487756670543107`"},
       {
        RowBox[{"-", "0.32679736157760314`"}], "0.12281552168671345`", 
        "0.7666912967346998`", "1.1219359723771596`"},
       {
        RowBox[{"-", "0.27201816790209643`"}], "1.7127499398673525`", 
        RowBox[{"-", "0.6863053497204656`"}], 
        RowBox[{"-", "1.3487756670543145`"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["MO coefficients: ", 
   MatrixForm[{{-0.3267973615776039, -0.12281552168671303`, 
    0.7666912967347046, -1.1219359723771554`}, {-0.27201816790209, \
-1.7127499398673542`, -0.6863053497204685, 
    1.3487756670543107`}, {-0.32679736157760314`, 0.12281552168671345`, 
    0.7666912967346998, 1.1219359723771596`}, {-0.27201816790209643`, 
    1.7127499398673525`, -0.6863053497204656, -1.3487756670543145`}}]],
  Editable->False]], "Print",
 CellChangeTimes->{3.787074128090095*^9},
 CellLabel->
  "During evaluation of \
In[52]:=",ExpressionUUID->"6430ff0d-65f7-4550-91a5-89d3027aa11e"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"n\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(Basis\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(0\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(Nuc\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(HF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(T\\), \\(HF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(V\\), \\(HF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(J\\), \\(HF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(HF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(SCF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"Conv\"\>",
       HoldForm], 
      TagBox["\<\"HL Gap\"\>",
       HoldForm]},
     {"2", "4", 
      TagBox[
       InterpretationBox["\<\"-1.126743\"\>",
        -1.126742704451848,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.714286\"\>",
        0.7142857142857143,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-1.841028\"\>",
        -1.8410284187375625`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.124393\"\>",
        1.1243930680549667`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-3.615330\"\>",
        -3.615330029722233,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.299817\"\>",
        1.299817085859408,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.649909\"\>",
        -0.6499085429297041,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], "9", 
      TagBox[
       InterpretationBox[
        RowBox[{"\<\"5.166\"\>", "\[Times]", 
         SuperscriptBox["10", "\<\"-8\"\>"]}],
        5.165634675563524*^-8,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ], 
      TagBox[
       InterpretationBox["\<\"0.834\"\>",
        0.8338058905497701,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"n", "\!\(\*SubscriptBox[\(N\), \(Basis\)]\)", 
       "\!\(\*SubscriptBox[\(E\), \(0\)]\)", 
       "\!\(\*SubscriptBox[\(E\), \(Nuc\)]\)", 
       "\!\(\*SubscriptBox[\(E\), \(HF\)]\)", 
       "\!\(\*SubscriptBox[\(T\), \(HF\)]\)", 
       "\!\(\*SubscriptBox[\(V\), \(HF\)]\)", 
       "\!\(\*SubscriptBox[\(J\), \(HF\)]\)", 
       "\!\(\*SubscriptBox[\(K\), \(HF\)]\)", 
       "\!\(\*SubscriptBox[\(N\), \(SCF\)]\)", "Conv", "HL Gap"}}, 
    TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{3.787074128092042*^9},
 CellLabel->
  "During evaluation of \
In[52]:=",ExpressionUUID->"4a894436-c741-47ab-9f31-da57cd424df5"]
}, Open  ]],

Cell[BoxData[
 StyleBox["\<\"End of calculation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0, 0],
  FrontFaceColor->RGBColor[1, 0, 0],
  BackFaceColor->RGBColor[1, 0, 0],
  GraphicsColor->RGBColor[1, 0, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0, 0]]], "Output",
 CellChangeTimes->{
  3.709454622412107*^9, 3.709454784212924*^9, 3.70945489365436*^9, 
   3.7094550453329477`*^9, 3.70945546094074*^9, 3.709456116098998*^9, 
   3.709456270860436*^9, 3.709456433964756*^9, 3.709456838996654*^9, 
   3.709456886114249*^9, {3.7094569992539*^9, 3.709457012342782*^9}, 
   3.709457063254498*^9, 3.709457200962902*^9, 3.7094585360805187`*^9, 
   3.709459805571796*^9, 3.709459849616774*^9, 3.709460056395693*^9, 
   3.709460487917914*^9, 3.709460606409706*^9, 3.709462951776649*^9, 
   3.709463813310328*^9, 3.709463850858197*^9, 3.7094714241225452`*^9, 
   3.7094719415797853`*^9, 3.7094839038474894`*^9, 3.709485124395803*^9, 
   3.7097402943608913`*^9, 3.709740376955258*^9, {3.7097404232111464`*^9, 
   3.709740448011704*^9}, 3.7098288648266077`*^9, 3.7098290095844*^9, 
   3.709829053968875*^9, 3.709829191352972*^9, 3.70982928325063*^9, 
   3.709829363365512*^9, 3.709829396004282*^9, 3.709872988582983*^9, 
   3.710656892547968*^9, {3.710662494188354*^9, 3.710662556280579*^9}, 
   3.710662796955542*^9, 3.710662848734429*^9, {3.710662880510573*^9, 
   3.710662897736867*^9}, 3.710663018099793*^9, 3.7106630742356358`*^9, 
   3.7106631802169113`*^9, 3.710663227330721*^9, 3.710663425516583*^9, {
   3.710664019715768*^9, 3.710664055258051*^9}, 3.710664200280106*^9, 
   3.7106643098375673`*^9, 3.7106648924529467`*^9, 3.710665010254525*^9, 
   3.710665325242176*^9, {3.710678807815464*^9, 3.7106788349078493`*^9}, 
   3.7108359100332823`*^9, {3.787074121336694*^9, 3.787074128094615*^9}},
 CellLabel->"Out[52]=",ExpressionUUID->"f4c8dae2-68fa-4e53-bdf6-6bc65a14cf2a"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["6-31G**", "Subsubsection",
 CellChangeTimes->{{3.7094716938503923`*^9, 3.709471695765217*^9}, {
   3.7094718058305817`*^9, 3.709471818432454*^9}, 3.70948391699489*^9, 
   3.787074138451145*^9},ExpressionUUID->"0ee50853-a75f-47cc-b687-\
aea7fad6ed03"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Workhorse", "[", 
  RowBox[{"2", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", 
       RowBox[{"-", "0.7"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.7"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"18.7311370", ",", "2.8253937", ",", "0.6401217"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0.03349460", ",", "0.23472695", ",", "0.81375733"}], "}"}]}],
       "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", "0.1612778", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", "1.1000000", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"18.7311370", ",", "2.8253937", ",", "0.6401217"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0.03349460", ",", "0.23472695", ",", "0.81375733"}], "}"}]}],
       "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", "0.1612778", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", "1.1000000", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.709460159893341*^9, 3.709460183509544*^9}, {
  3.709471890393758*^9, 3.7094718949764214`*^9}, {3.787074141654685*^9, 
  3.787074147347142*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"67a487a6-512e-40f9-a49a-d68ceffe932e"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"Start of calculation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0, 0],
  FrontFaceColor->RGBColor[1, 0, 0],
  BackFaceColor->RGBColor[1, 0, 0],
  GraphicsColor->RGBColor[1, 0, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0, 0]]], "Print",
 CellChangeTimes->{3.7870741479626083`*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"71a7e56c-c20b-48de-bb1a-54d1b03f7eb4"],

Cell[BoxData["\<\"Start: computing one- and two-electron integrals\"\>"], \
"Print",
 CellChangeTimes->{3.787074147964569*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"e2b5bbb6-5304-499c-b3ee-37130807a328"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Overlap eigenvalues in OBS = \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0.09636409595184026`", ",", "0.1059240732792818`", ",", 
     "0.39752684413257616`", ",", "0.659724603659699`", ",", 
     "0.6597246036596999`", ",", "1.0960093278024923`", ",", 
     "1.3402753963403007`", ",", "1.340275396340302`", ",", 
     "1.3499436508566134`", ",", "2.9542320649308467`"}], "}"}]}],
  SequenceForm[
  "Overlap eigenvalues in OBS = ", {0.09636409595184026, 0.1059240732792818, 
   0.39752684413257616`, 0.659724603659699, 0.6597246036596999, 
   1.0960093278024923`, 1.3402753963403007`, 1.340275396340302, 
   1.3499436508566134`, 2.9542320649308467`}],
  Editable->False]], "Print",
 CellChangeTimes->{3.787074177952392*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"06086497-5aef-438c-a7fe-cb4f7ba2de56"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of linear dependencies in OBS = \"\>", 
   "\[InvisibleSpace]", "0"}],
  SequenceForm["Number of linear dependencies in OBS = ", 0],
  Editable->False]], "Print",
 CellChangeTimes->{3.787074177954001*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"ba98b3fa-5b38-4e96-a7c0-0e5ac325e637"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"End: computing one- and two-electron integrals \[LongDash] \
\"\>", "\[InvisibleSpace]", "\<\"CPU time = \"\>", "\[InvisibleSpace]", 
   "29.82255`"}],
  SequenceForm[
  "End: computing one- and two-electron integrals \[LongDash] ", 
   "CPU time = ", 29.82255],
  Editable->False]], "Print",
 CellChangeTimes->{3.787074177955371*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"763682e9-3905-44c5-b453-a72972d8bdcc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO energies: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.5946599561682633`"}], ",", "0.23931839436647906`", ",", 
     "0.7715317671991343`", ",", "1.3098077825470114`", ",", 
     "1.9592171459921808`", ",", "1.9592171459921808`", ",", 
     "2.7045900517421777`", ",", "2.930152021676718`", ",", 
     "2.9301520216767245`", ",", "4.530252870780613`"}], "}"}]}],
  SequenceForm[
  "MO energies: ", {-0.5946599561682633, 0.23931839436647906`, 
   0.7715317671991343, 1.3098077825470114`, 1.9592171459921808`, 
   1.9592171459921808`, 2.7045900517421777`, 2.930152021676718, 
   2.9301520216767245`, 4.530252870780613}],
  Editable->False]], "Print",
 CellChangeTimes->{3.78707417795745*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"3ec57ee6-910f-487c-a096-4470cfc665be"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO coefficients: \"\>", "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{"-", "0.31825895493809353`"}], 
        RowBox[{"-", "0.12041784095254854`"}], 
        RowBox[{"-", "0.7460816348876927`"}], "0.8820100964752734`", "0", "0",
         "0.38611940824507224`", "0", "0", 
        RowBox[{"-", "1.4455359072946234`"}]},
       {
        RowBox[{"-", "0.2753976661088292`"}], 
        RowBox[{"-", "1.7184766370738604`"}], "0.677405734669236`", 
        RowBox[{"-", "1.3924686095869945`"}], "0", "0", 
        RowBox[{"-", "0.18659200827546796`"}], "0", "0", 
        RowBox[{"-", "0.16235542357599692`"}]},
       {"0", "0", "0", "0", 
        RowBox[{"-", "0.11115877767538856`"}], "0.6005842021083275`", "0", 
        RowBox[{"-", "0.7951442975889184`"}], 
        RowBox[{"-", "0.35445387153665564`"}], "0"},
       {"0", "0", "0", "0", "0.6005842021083285`", "0.11115877767538901`", 
        "0", 
        RowBox[{"-", "0.35445387153665536`"}], "0.795144297588918`", "0"},
       {
        RowBox[{"-", "0.018262407824422067`"}], 
        RowBox[{"-", "0.002370880193305891`"}], 
        RowBox[{"-", "0.03578429493057224`"}], 
        RowBox[{"-", "0.28153452757829933`"}], "0", "0", 
        RowBox[{"-", "0.6474901295679976`"}], "0", "0", 
        RowBox[{"-", "1.5765289638126774`"}]},
       {
        RowBox[{"-", "0.31825895493809236`"}], "0.12041784095254769`", 
        RowBox[{"-", "0.7460816348876896`"}], 
        RowBox[{"-", "0.8820100964752704`"}], "0", "0", 
        "0.38611940824509083`", "0", "0", "1.445535907294619`"},
       {
        RowBox[{"-", "0.27539766610882593`"}], "1.7184766370738631`", 
        "0.6774057346692306`", "1.3924686095869931`", "0", "0", 
        RowBox[{"-", "0.18659200827546646`"}], "0", "0", 
        "0.1623554235759977`"},
       {"0", "0", "0", "0", 
        RowBox[{"-", "0.11115877767538918`"}], "0.600584202108329`", "0", 
        "0.7951442975889175`", "0.3544538715366555`", "0"},
       {"0", "0", "0", "0", "0.6005842021083285`", "0.11115877767538948`", 
        "0", "0.3544538715366553`", 
        RowBox[{"-", "0.7951442975889181`"}], "0"},
       {"0.01826240782442115`", 
        RowBox[{"-", "0.0023708801933062795`"}], "0.03578429493057028`", 
        RowBox[{"-", "0.2815345275782977`"}], "0", "0", "0.6474901295679817`",
         "0", "0", 
        RowBox[{"-", "1.576528963812685`"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm["MO coefficients: ", 
   MatrixForm[{{-0.31825895493809353`, -0.12041784095254854`, \
-0.7460816348876927, 0.8820100964752734, 0, 0, 0.38611940824507224`, 0, 
      0, -1.4455359072946234`}, {-0.2753976661088292, -1.7184766370738604`, 
      0.677405734669236, -1.3924686095869945`, 0, 0, -0.18659200827546796`, 0,
       0, -0.16235542357599692`}, {
     0, 0, 0, 0, -0.11115877767538856`, 0.6005842021083275, 
      0, -0.7951442975889184, -0.35445387153665564`, 0}, {
     0, 0, 0, 0, 0.6005842021083285, 0.11115877767538901`, 
      0, -0.35445387153665536`, 0.795144297588918, 
      0}, {-0.018262407824422067`, -0.002370880193305891, \
-0.03578429493057224, -0.28153452757829933`, 0, 0, -0.6474901295679976, 0, 
      0, -1.5765289638126774`}, {-0.31825895493809236`, 
      0.12041784095254769`, -0.7460816348876896, -0.8820100964752704, 0, 0, 
      0.38611940824509083`, 0, 0, 1.445535907294619}, {-0.27539766610882593`, 
      1.7184766370738631`, 0.6774057346692306, 1.3924686095869931`, 0, 
      0, -0.18659200827546646`, 0, 0, 0.1623554235759977}, {
     0, 0, 0, 0, -0.11115877767538918`, 0.600584202108329, 0, 
      0.7951442975889175, 0.3544538715366555, 0}, {
     0, 0, 0, 0, 0.6005842021083285, 0.11115877767538948`, 0, 
      0.3544538715366553, -0.7951442975889181, 0}, {
     0.01826240782442115, -0.0023708801933062795`, 
      0.03578429493057028, -0.2815345275782977, 0, 0, 0.6474901295679817, 0, 
      0, -1.576528963812685}}]],
  Editable->False]], "Print",
 CellChangeTimes->{3.787074177959895*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"c961b348-c348-44a2-98dc-807f0ffe34de"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"n\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(Basis\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(0\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(Nuc\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(HF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(T\\), \\(HF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(V\\), \\(HF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(J\\), \\(HF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(HF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(SCF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"Conv\"\>",
       HoldForm], 
      TagBox["\<\"HL Gap\"\>",
       HoldForm]},
     {"2", "10", 
      TagBox[
       InterpretationBox["\<\"-1.131284\"\>",
        -1.1312843493005689`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.714286\"\>",
        0.7142857142857143,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-1.845570\"\>",
        -1.8455700635862833`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.127538\"\>",
        1.1275380778887663`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-3.629358\"\>",
        -3.62935829272481,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.312500\"\>",
        1.3125003024995205`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.656250\"\>",
        -0.6562501512497603,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], "9", 
      TagBox[
       InterpretationBox[
        RowBox[{"\<\"5.084\"\>", "\[Times]", 
         SuperscriptBox["10", "\<\"-8\"\>"]}],
        5.0841830301351365`*^-8,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ], 
      TagBox[
       InterpretationBox["\<\"0.834\"\>",
        0.8339783505347423,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"n", "\!\(\*SubscriptBox[\(N\), \(Basis\)]\)", 
       "\!\(\*SubscriptBox[\(E\), \(0\)]\)", 
       "\!\(\*SubscriptBox[\(E\), \(Nuc\)]\)", 
       "\!\(\*SubscriptBox[\(E\), \(HF\)]\)", 
       "\!\(\*SubscriptBox[\(T\), \(HF\)]\)", 
       "\!\(\*SubscriptBox[\(V\), \(HF\)]\)", 
       "\!\(\*SubscriptBox[\(J\), \(HF\)]\)", 
       "\!\(\*SubscriptBox[\(K\), \(HF\)]\)", 
       "\!\(\*SubscriptBox[\(N\), \(SCF\)]\)", "Conv", "HL Gap"}}, 
    TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{3.787074177962261*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"99ad0086-556d-49f4-b5f4-253a438f130c"]
}, Open  ]],

Cell[BoxData[
 StyleBox["\<\"End of calculation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0, 0],
  FrontFaceColor->RGBColor[1, 0, 0],
  BackFaceColor->RGBColor[1, 0, 0],
  GraphicsColor->RGBColor[1, 0, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0, 0]]], "Output",
 CellChangeTimes->{
  3.709471898384778*^9, 3.709483918295734*^9, 3.709485142233626*^9, 
   3.7098306715256653`*^9, 3.709873003698473*^9, 3.709877705652544*^9, 
   3.709916103674868*^9, 3.70991616340514*^9, 3.7099203390178423`*^9, 
   3.709920422333671*^9, 3.709957687945655*^9, 3.709958048656145*^9, 
   3.7099581974812727`*^9, 3.709958237200304*^9, 3.709958310840273*^9, 
   3.7099583683371973`*^9, 3.710654881820878*^9, 3.7106549204568777`*^9, 
   3.710655059018141*^9, 3.7106650613015003`*^9, {3.7106653647068233`*^9, 
   3.710665408411544*^9}, {3.710665449116105*^9, 3.710665469828347*^9}, 
   3.710665513181737*^9, 3.710665549070348*^9, 3.710665714084175*^9, 
   3.7106659833832397`*^9, 3.710678447725442*^9, 3.710678906598324*^9, 
   3.7870741429830103`*^9, 3.787074177965514*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"405408f9-86ee-4449-b493-8570f34de569"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["cc-pVDZ", "Subsubsection",
 CellChangeTimes->{{3.7094716938503923`*^9, 3.709471695765217*^9}, {
   3.7094718058305817`*^9, 3.709471818432454*^9}, 3.70948391699489*^9, {
   3.71066648144525*^9, 3.710666489996147*^9}, {3.710666553908922*^9, 
   3.710666561721611*^9}, {3.7106666629125633`*^9, 3.710666663785451*^9}, 
   3.787073881616753*^9},ExpressionUUID->"9fab35af-6cbe-44d1-9ca7-\
015d79f7329a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Workhorse", "[", 
  RowBox[{"2", ",", "0", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", 
       RowBox[{"-", "0.7"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.7"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.", ",", "1."}], "}"}], ",", "\[IndentingNewLine]", 
   "\"\<Cylindrical\>\"", ",", "\"\<H2_cc-pvdz\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"13.0100000", ",", "1.9620000", ",", "0.4446000"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0.0196850", ",", "0.1379770", ",", "0.4781480"}], "}"}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", "0.1220000", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", "0.7270000", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"13.0100000", ",", "1.9620000", ",", "0.4446000"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0.0196850", ",", "0.1379770", ",", "0.4781480"}], "}"}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", "0.1220000", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", "0.7270000", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.709460159893341*^9, 3.709460183509544*^9}, {
   3.709471890393758*^9, 3.7094718949764214`*^9}, {3.710666498834138*^9, 
   3.710666649505588*^9}, {3.710915689581842*^9, 3.710915690104362*^9}, {
   3.710915827354245*^9, 3.71091583820339*^9}, {3.711291371571423*^9, 
   3.711291374578184*^9}, {3.787074158343493*^9, 3.787074167837872*^9}, {
   3.79165685088554*^9, 3.79165685146686*^9}, {3.793162631347823*^9, 
   3.7931626335722637`*^9}, {3.7932033713938026`*^9, 3.793203379083654*^9}, {
   3.793204394394226*^9, 3.79320440237888*^9}, {3.793204861967025*^9, 
   3.793204863764063*^9}, {3.793206052500242*^9, 3.793206054552053*^9}, 
   3.7932072029440203`*^9},
 CellLabel->
  "In[201]:=",ExpressionUUID->"6785214c-a659-429d-b0c8-65145baef6c6"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"Start of calculation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0, 0],
  FrontFaceColor->RGBColor[1, 0, 0],
  BackFaceColor->RGBColor[1, 0, 0],
  GraphicsColor->RGBColor[1, 0, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0, 0]]], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.79320722937175*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"e1ca9bc1-4e35-4999-858e-e32adfa40a6d"],

Cell[BoxData["\<\"Reading one-electron integrals...\"\>"], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.793207229374012*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"0be23692-28cf-47f4-8d57-af248bf736f1"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.793207229379266*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"a5d297b8-ecf6-4bd0-86cc-5c463506aa36"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.002341`"}],
  SequenceForm["CPU time = ", 0.002341],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.793207229381967*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"26bfa0b2-e403-476e-a59d-1ceac44990e5"],

Cell[BoxData["\<\"Reading two-electron integrals...\"\>"], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.7932072293834743`*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"bb133899-d444-469b-afb7-dcd7822cebef"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.793207229384796*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"13b957a7-ea9f-4af4-ab13-c38712093726"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.026036`"}],
  SequenceForm["CPU time = ", 0.026036],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.793207229386084*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"829f77f5-c2db-4cf3-9e6f-45c0015ef361"],

Cell[BoxData["\<\"Ensemble RHF calculation...\"\>"], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.7932072298119383`*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"702ffd12-1a1f-4663-a054-78d30aced16a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO energies: \"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.5921546660138156`"}], "0.19727735817056002`", 
       "0.4795249300982223`", "0.9367130420105503`", "1.2928092893065815`", 
       "1.2928092893065826`", "1.9562034936481885`", "2.0429435904883135`", 
       "2.0429435904883184`", "3.6052652044160287`"}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]]}],
  SequenceForm["MO energies: ", 
   TableForm[{{-0.5921546660138156, 0.19727735817056002`, 0.4795249300982223, 
    0.9367130420105503, 1.2928092893065815`, 1.2928092893065826`, 
    1.9562034936481885`, 2.0429435904883135`, 2.0429435904883184`, 
    3.6052652044160287`}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.79320722981398*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"65a3d129-3c24-4f1f-8c48-fe2127c8aa38"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO coefficients: \"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.6867641502912363`"}], 
       RowBox[{"-", "0.25594305748220364`"}], 
       RowBox[{"-", "1.1918495019458453`"}], 
       RowBox[{"-", "1.2963016050863425`"}], "0", "0", "0.7548612598249234`", 
       "0", "0", "4.556514113666199`"},
      {
       RowBox[{"-", "0.17396169012112578`"}], 
       RowBox[{"-", "1.9561066666170037`"}], "0.726401036188967`", 
       "1.616799400506674`", "0", "0", 
       RowBox[{"-", "0.2209937713466166`"}], "0", "0", "0.05216411074210618`"},
      {"0", "0", "0", "0", 
       RowBox[{"-", "0.380128358649468`"}], 
       RowBox[{"-", "0.4370065139873816`"}], "0", 
       RowBox[{"-", "0.538510946233962`"}], 
       RowBox[{"-", "0.8314068420305101`"}], "0"},
      {"0", "0", "0", "0", 
       RowBox[{"-", "0.43700651398738455`"}], "0.38012835864947014`", "0", 
       RowBox[{"-", "0.831406842030507`"}], "0.5385109462339608`", "0"},
      {
       RowBox[{"-", "0.022485145446448154`"}], 
       RowBox[{"-", "0.01422053371010687`"}], 
       RowBox[{"-", "0.011420537577913212`"}], "0.4094987733568339`", "0", 
       "0", 
       RowBox[{"-", "0.7263638362557417`"}], "0", "0", "2.024414512070513`"},
      {
       RowBox[{"-", "0.6867641502912376`"}], "0.255943057482203`", 
       RowBox[{"-", "1.1918495019458497`"}], "1.2963016050863458`", "0", "0", 
       "0.7548612598249825`", "0", "0", 
       RowBox[{"-", "4.556514113666176`"}]},
      {
       RowBox[{"-", "0.17396169012112006`"}], "1.9561066666170048`", 
       "0.7264010361889608`", 
       RowBox[{"-", "1.616799400506676`"}], "0", "0", 
       RowBox[{"-", "0.22099377134661502`"}], "0", "0", 
       RowBox[{"-", "0.052164110742117534`"}]},
      {"0", "0", "0", "0", 
       RowBox[{"-", "0.38012835864946937`"}], 
       RowBox[{"-", "0.4370065139873807`"}], "0", "0.5385109462339636`", 
       "0.8314068420305089`", "0"},
      {"0", "0", "0", "0", 
       RowBox[{"-", "0.43700651398737733`"}], "0.3801283586494668`", "0", 
       "0.8314068420305112`", 
       RowBox[{"-", "0.5385109462339648`"}], "0"},
      {"0.022485145446449306`", 
       RowBox[{"-", "0.014220533710107841`"}], "0.011420537577918666`", 
       "0.409498773356833`", "0", "0", "0.7263638362557143`", "0", "0", 
       "2.024414512070523`"}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]]}],
  SequenceForm["MO coefficients: ", 
   TableForm[{{-0.6867641502912363, -0.25594305748220364`, \
-1.1918495019458453`, -1.2963016050863425`, 0, 0, 0.7548612598249234, 0, 0, 
      4.556514113666199}, {-0.17396169012112578`, -1.9561066666170037`, 
      0.726401036188967, 1.616799400506674, 0, 0, -0.2209937713466166, 0, 0, 
      0.05216411074210618}, {
     0, 0, 0, 0, -0.380128358649468, -0.4370065139873816, 
      0, -0.538510946233962, -0.8314068420305101, 0}, {
     0, 0, 0, 0, -0.43700651398738455`, 0.38012835864947014`, 
      0, -0.831406842030507, 0.5385109462339608, 
      0}, {-0.022485145446448154`, -0.01422053371010687, \
-0.011420537577913212`, 0.4094987733568339, 0, 0, -0.7263638362557417, 0, 0, 
      2.024414512070513}, {-0.6867641502912376, 
      0.255943057482203, -1.1918495019458497`, 1.2963016050863458`, 0, 0, 
      0.7548612598249825, 0, 0, -4.556514113666176}, {-0.17396169012112006`, 
      1.9561066666170048`, 0.7264010361889608, -1.616799400506676, 0, 
      0, -0.22099377134661502`, 0, 0, -0.052164110742117534`}, {
     0, 0, 0, 0, -0.38012835864946937`, -0.4370065139873807, 0, 
      0.5385109462339636, 0.8314068420305089, 0}, {
     0, 0, 0, 0, -0.43700651398737733`, 0.3801283586494668, 0, 
      0.8314068420305112, -0.5385109462339648, 0}, {
     0.022485145446449306`, -0.014220533710107841`, 0.011420537577918666`, 
      0.409498773356833, 0, 0, 0.7263638362557143, 0, 0, 2.024414512070523}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.793207229816337*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"55df615a-3036-41a2-aded-50602b6aedd3"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"n\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(Basis\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"w\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(0\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(Nuc\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(GIC - HF\\), \
\\(w\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(T\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(V\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(J\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(K\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(SCF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"Conv\"\>",
       HoldForm], 
      TagBox["\<\"HL Gap\"\>",
       HoldForm]},
     {"2", "10", "0", 
      TagBox[
       InterpretationBox["\<\"-1.128709\"\>",
        -1.1287093977996285`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.714286\"\>",
        0.7142857142857143,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-1.842995\"\>",
        -1.842995112085343,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-1.842995\"\>",
        -1.842995112085343,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.096417\"\>",
        1.0964165405446076`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-3.598097\"\>",
        -3.598097432687669,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.317372\"\>",
        1.3173715601154363`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.658686\"\>",
        -0.6586857800577182,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], "10", 
      TagBox[
       InterpretationBox[
        RowBox[{"\<\"3.515\"\>", "\[Times]", 
         SuperscriptBox["10", "\<\"-8\"\>"]}],
        3.514989388442302*^-8,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ], 
      TagBox[
       InterpretationBox["\<\"0.789\"\>",
        0.7894320241843756,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"n", "\!\(\*SubscriptBox[\(N\), \(Basis\)]\)", "w", 
       "\!\(\*SubscriptBox[\(E\), \(0\)]\)", 
       "\!\(\*SubscriptBox[\(E\), \(Nuc\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(GIC - HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(T\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(V\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(J\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(K\), \(HF\), \(w\)]\)", 
       "\!\(\*SubscriptBox[\(N\), \(SCF\)]\)", "Conv", "HL Gap"}}, 
    TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.793207229819322*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"2adebf11-9228-493a-a51c-bc490a2ba81a"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\((0)\\)]\\)\
\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\((1)\\)]\\)\
\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \\(HF\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \\(HF\\), \
\\((1)\\)]\\)(eV)\"\>",
       HoldForm]},
     {
      TagBox[
       InterpretationBox["\<\"-1.128709\"\>",
        -1.1287093977996285`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.017380\"\>",
        0.017379757467487766`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.146089\"\>",
        1.1460891552671164`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"31.186674\"\>",
        31.18667441730922,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\!\(\*SubsuperscriptBox[\(E\), \(HF\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(HF\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \
\((1)\)]\)(eV)"}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.793207229823674*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"887c5e00-4476-4389-bb40-4613021b9efa"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.7932072298312817`*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"89e46027-afa9-4d7f-aee2-5f45a329c866"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.046482`"}],
  SequenceForm["CPU time = ", 0.046482],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.793207229833228*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"c02a2efb-2690-4133-9669-ef51afaa2ef8"],

Cell[BoxData["\<\"Compute GOK-DFT energies...\"\>"], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.793207229835896*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"4893f371-883a-4e95-8d5d-7111dfe15f7d"],

Cell[BoxData["\<\"Integrating one-electron density...\"\>"], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.7932072298383703`*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"041ba7c2-7316-438b-b862-ca02c59c80c5"],

Cell[BoxData["2.0000000296815204`"], "Print",
 CellChangeTimes->{{3.7932072034796143`*^9, 3.793207230261849*^9}},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"4cfc241d-564a-46a4-a045-e981c3be32fb"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(LDA\\), \
\\((0)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(LDA\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(LDA\\), \\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(LDA\\), \\((1)\\)]\\) (eV)\"\>",
       HoldForm]},
     {
      TagBox[
       InterpretationBox["\<\"-1.131040\"\>",
        -1.1310400522734794`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.178556\"\>",
        0.17855608376104282`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.309596\"\>",
        1.309596136034522,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"35.635926\"\>",
        35.63592598793581,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\!\(\*SubsuperscriptBox[\(E\), \(LDA\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(LDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(LDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(LDA\), \((1)\)]\) \
(eV)"}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{3.7932072034796143`*^9, 3.793207235394526*^9},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"eb6a6bdc-b876-456d-8342-868a3b10d877"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(eLDA\\), \
\\((0)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\\), \\(DD\\), \
\\((0)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(eLDA\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\\), \\(DD\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(eLDA\\), \\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[CapitalDelta]\
\\), \\(DD\\), \\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(eLDA\\), \\((1)\\)]\\) (eV)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[CapitalDelta]\
\\), \\(DD\\), \\((1)\\)]\\)(eV)\"\>",
       HoldForm]},
     {
      TagBox[
       InterpretationBox["\<\"-1.131040\"\>",
        -1.1310400522734794`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.000000\"\>",
        0.,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.008308\"\>",
        0.008307628817683876,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.170248\"\>",
        -0.1702484549433589,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.139348\"\>",
        1.1393476810911631`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.170248\"\>",
        -0.1702484549433589,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"31.003230\"\>",
        31.003229561163494`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-4.632696\"\>",
        -4.632696426772316,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\!\(\*SubsuperscriptBox[\(E\), \(eLDA\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\), \(DD\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(eLDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\), \(DD\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(eLDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\[CapitalDelta]\), \(DD\), \
\((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(eLDA\), \((1)\)]\) \
(eV)", "\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\[CapitalDelta]\), \(DD\), \
\((1)\)]\)(eV)"}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{3.7932072034796143`*^9, 3.79320724092537*^9},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"349ec471-3660-487f-b5af-e90eb3b1f0cb"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{3.7932072034796143`*^9, 3.793207240929207*^9},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"0a0f8758-33c1-4cf0-8f8d-21fefc800f5b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "11.670124`"}],
  SequenceForm["CPU time = ", 11.670124],
  Editable->False]], "Print",
 CellChangeTimes->{3.7932072034796143`*^9, 3.7932072409308987`*^9},
 CellLabel->
  "During evaluation of \
In[201]:=",ExpressionUUID->"e228bff6-eff0-497e-a38a-d884968aba10"]
}, Open  ]],

Cell[BoxData[
 StyleBox["\<\"End of calculation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0, 0],
  FrontFaceColor->RGBColor[1, 0, 0],
  BackFaceColor->RGBColor[1, 0, 0],
  GraphicsColor->RGBColor[1, 0, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0, 0]]], "Output",
 CellChangeTimes->{{3.793207216184247*^9, 3.793207240932598*^9}},
 CellLabel->
  "Out[201]=",ExpressionUUID->"6c1199a2-66c6-41e1-8087-8b3ca321744f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Workhorse", "[", 
  RowBox[{"2", ",", "0", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", 
       RowBox[{"-", "0.7"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.7"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.", ",", "1."}], "}"}], ",", "\[IndentingNewLine]", 
   "\"\<Cylindrical\>\"", ",", "\"\<H2_cc-pvdz\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"13.0100000", ",", "1.9620000", ",", "0.4446000"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0.0196850", ",", "0.1379770", ",", "0.4781480"}], "}"}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", "0.1220000", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", "0.7270000", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"13.0100000", ",", "1.9620000", ",", "0.4446000"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0.0196850", ",", "0.1379770", ",", "0.4781480"}], "}"}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", "0.1220000", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", "0.7270000", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.709460159893341*^9, 3.709460183509544*^9}, {
   3.709471890393758*^9, 3.7094718949764214`*^9}, {3.710666498834138*^9, 
   3.710666649505588*^9}, {3.710915689581842*^9, 3.710915690104362*^9}, {
   3.710915827354245*^9, 3.71091583820339*^9}, {3.711291371571423*^9, 
   3.711291374578184*^9}, {3.787074158343493*^9, 3.787074167837872*^9}, {
   3.79165685088554*^9, 3.79165685146686*^9}, {3.793162631347823*^9, 
   3.7931626335722637`*^9}, {3.7932033713938026`*^9, 3.793203379083654*^9}, {
   3.793204394394226*^9, 3.79320440237888*^9}, {3.793204861967025*^9, 
   3.793204863764063*^9}, {3.793206052500242*^9, 3.793206054552053*^9}, 
   3.79459017216499*^9},
 CellLabel->
  "In[312]:=",ExpressionUUID->"b165eb07-394b-422d-86b6-8b350c62f097"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"Start of calculation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0, 0],
  FrontFaceColor->RGBColor[1, 0, 0],
  BackFaceColor->RGBColor[1, 0, 0],
  GraphicsColor->RGBColor[1, 0, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0, 0]]], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590172609573*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"7cd3d7d5-bfd9-4ba8-95eb-8a273007eec3"],

Cell[BoxData["\<\"Reading one-electron integrals...\"\>"], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.7945901726124983`*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"25dd9505-d9d5-4b44-85b4-58b263399dd0"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.7945901726661243`*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"62384b25-74a9-4b98-a53c-e951f2cd7ae6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.040288`"}],
  SequenceForm["CPU time = ", 0.040288],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590172667638*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"2ff77254-17a0-4c73-aae3-e74468ef7923"],

Cell[BoxData["\<\"Reading two-electron integrals...\"\>"], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590172669195*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"60b9da38-3fff-45f9-b0e0-075dd44d4d0f"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590172670837*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"6fee7a81-b149-4bf1-b3e5-4b078c8b5d36"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.003277`"}],
  SequenceForm["CPU time = ", 0.003277],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590172672567*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"668e2e7a-de4f-4973-bd1d-38d87303540a"],

Cell[BoxData["\<\"Ensemble RHF calculation...\"\>"], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590173067637*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"5886f196-9686-498a-bb53-6dfbbb381677"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO energies: \"\>", "\[InvisibleSpace]", 
   TagBox[
    TagBox[GridBox[{
       {"\[Epsilon]$79682"}
      },
      GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.5599999999999999]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     Column],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]]}],
  SequenceForm["MO energies: ", 
   TableForm[{$CellContext`\[Epsilon]$79682}]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590173274534*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"b759df62-f250-4743-be0b-9db7f4052e69"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO coefficients: \"\>", "\[InvisibleSpace]", 
   TagBox["C$79682",
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]]}],
  SequenceForm["MO coefficients: ", 
   TableForm[C$79682]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590173276496*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"e84473ec-4401-4ede-ab1a-e09efd872fad"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"n\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(Basis\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"w\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(0\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(Nuc\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(GIC - HF\\), \
\\(w\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(T\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(V\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(J\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(K\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(SCF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"Conv\"\>",
       HoldForm], 
      TagBox["\<\"HL Gap\"\>",
       HoldForm]},
     {"2", "10", "0", 
      TagBox[
       RowBox[{
        InterpretationBox["\<\"0.714286\"\>",
         0.7142857142857143,
         AutoDelete->True], "+", 
        RowBox[{
         InterpretationBox["\<\"2\"\>",
          2,
          Editable->False], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
           RowBox[{"SparseArray", "[", 
            RowBox[{"{", "}"}], "]"}]}], "]"}]}], "+", 
        RowBox[{
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"2\"\>",
           2,
           Editable->False]], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{"SparseArray", "[", 
              RowBox[{"{", "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                InterpretationBox["\<\"1\"\>",
                 1,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 InterpretationBox["\<\"3\"\>",
                  3,
                  Editable->False], ",", 
                 InterpretationBox["\<\"4\"\>",
                  4,
                  Editable->False]}], "}"}]}], "}"}]}], "]"}], ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], 
          "]"}]}], "-", 
        RowBox[{
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"4\"\>",
           4,
           Editable->False]], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{"SparseArray", "[", 
              RowBox[{"{", "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                InterpretationBox["\<\"1\"\>",
                 1,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                InterpretationBox["\<\"4\"\>",
                 4,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 InterpretationBox["\<\"3\"\>",
                  3,
                  Editable->False], ",", 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]}], "}"}]}], "}"}]}], "]"}], ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], 
          "]"}]}]}],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.714286\"\>",
        0.7142857142857143,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       RowBox[{
        RowBox[{
         InterpretationBox["\<\"2\"\>",
          2,
          Editable->False], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
           RowBox[{"SparseArray", "[", 
            RowBox[{"{", "}"}], "]"}]}], "]"}]}], "+", 
        RowBox[{
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"2\"\>",
           2,
           Editable->False]], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{"SparseArray", "[", 
              RowBox[{"{", "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                InterpretationBox["\<\"1\"\>",
                 1,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 InterpretationBox["\<\"3\"\>",
                  3,
                  Editable->False], ",", 
                 InterpretationBox["\<\"4\"\>",
                  4,
                  Editable->False]}], "}"}]}], "}"}]}], "]"}], ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], 
          "]"}]}], "-", 
        RowBox[{
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"4\"\>",
           4,
           Editable->False]], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{"SparseArray", "[", 
              RowBox[{"{", "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                InterpretationBox["\<\"1\"\>",
                 1,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                InterpretationBox["\<\"4\"\>",
                 4,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 InterpretationBox["\<\"3\"\>",
                  3,
                  Editable->False], ",", 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]}], "}"}]}], "}"}]}], "]"}], ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], 
          "]"}]}]}],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       RowBox[{
        RowBox[{
         InterpretationBox["\<\"2\"\>",
          2,
          Editable->False], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
           RowBox[{"SparseArray", "[", 
            RowBox[{"{", "}"}], "]"}]}], "]"}]}], "+", 
        RowBox[{
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"2\"\>",
           2,
           Editable->False]], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"SparseArray", "[", 
                RowBox[{"{", "}"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  InterpretationBox["\<\"1\"\>",
                   1,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}], "-", 
             RowBox[{
              FractionBox[
               InterpretationBox["\<\"1\"\>",
                1,
                Editable->False], 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False]], " ", 
              RowBox[{"Flatten", "[", 
               RowBox[{
                RowBox[{"SparseArray", "[", 
                 RowBox[{"{", "}"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "}"}], ",", 
                  RowBox[{"{", 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}]}]}], ")"}], 
           ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], 
          "]"}]}]}],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           InterpretationBox["\<\"2\"\>",
            2,
            Editable->False], " ", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
            RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
         RowBox[{"SparseArray", "[", 
          RowBox[{"{", "}"}], "]"}]}], "]"}],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           InterpretationBox["\<\"2\"\>",
            2,
            Editable->False], " ", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
            RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
         RowBox[{"SparseArray", "[", 
          RowBox[{"{", "}"}], "]"}]}], "]"}],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       RowBox[{
        FractionBox[
         InterpretationBox["\<\"1\"\>",
          1,
          Editable->False], 
         InterpretationBox["\<\"2\"\>",
          2,
          Editable->False]], " ", 
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
             RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
          RowBox[{"Flatten", "[", 
           RowBox[{
            RowBox[{"SparseArray", "[", 
             RowBox[{"{", "}"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               InterpretationBox["\<\"1\"\>",
                1,
                Editable->False], "}"}], ",", 
              RowBox[{"{", 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                InterpretationBox["\<\"3\"\>",
                 3,
                 Editable->False], ",", 
                InterpretationBox["\<\"4\"\>",
                 4,
                 Editable->False]}], "}"}]}], "}"}]}], "]"}], ".", 
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
             RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], "]"}]}],
       
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"4\"\>",
           4,
           Editable->False]]}], " ", 
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
             RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
          RowBox[{"Flatten", "[", 
           RowBox[{
            RowBox[{"SparseArray", "[", 
             RowBox[{"{", "}"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               InterpretationBox["\<\"1\"\>",
                1,
                Editable->False], "}"}], ",", 
              RowBox[{"{", 
               InterpretationBox["\<\"4\"\>",
                4,
                Editable->False], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                InterpretationBox["\<\"3\"\>",
                 3,
                 Editable->False], ",", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False]}], "}"}]}], "}"}]}], "]"}], ".", 
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
             RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], "]"}]}],
       
       NumberForm[#, {9, 6}]& ], "1", 
      TagBox[
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{
           RowBox[{"SparseArray", "[", 
            RowBox[{"{", "}"}], "]"}], ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Flatten", "[", 
                 RowBox[{
                  RowBox[{"SparseArray", "[", 
                   RowBox[{"{", "}"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "}"}], ",", 
                    RowBox[{"{", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}], "-", 
                RowBox[{
                 FractionBox[
                  InterpretationBox["\<\"1\"\>",
                   1,
                   Editable->False], 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False]], " ", 
                 RowBox[{"Flatten", "[", 
                  RowBox[{
                   RowBox[{"SparseArray", "[", 
                    RowBox[{"{", "}"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "}"}], ",", 
                    RowBox[{"{", 
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}]}]}], ")"}], 
              ".", 
              RowBox[{"(", 
               RowBox[{
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], " ", 
                RowBox[{
                 RowBox[{"Transpose", "[", 
                  RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                 RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], "+", 
             RowBox[{
              InterpretationBox["\<\"2\"\>",
               2,
               Editable->False], " ", 
              RowBox[{"SparseArray", "[", 
               RowBox[{"{", "}"}], "]"}]}]}], ")"}]}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{
                 RowBox[{"SparseArray", "[", 
                  RowBox[{"{", "}"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "}"}], ",", 
                   RowBox[{"{", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}], "-", 
               RowBox[{
                FractionBox[
                 InterpretationBox["\<\"1\"\>",
                  1,
                  Editable->False], 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]], " ", 
                RowBox[{"Flatten", "[", 
                 RowBox[{
                  RowBox[{"SparseArray", "[", 
                   RowBox[{"{", "}"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "}"}], ",", 
                    RowBox[{"{", 
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}]}]}], ")"}], 
             ".", 
             RowBox[{"(", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], " ", 
               RowBox[{
                RowBox[{"Transpose", "[", 
                 RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], "+", 
            
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{"SparseArray", "[", 
              RowBox[{"{", "}"}], "]"}]}]}], ")"}], ".", 
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
             RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
          RowBox[{"SparseArray", "[", 
           RowBox[{"{", "}"}], "]"}]}]}], "]"}],
       NumberForm[#, {6, 3}]& ], 
      TagBox[
       RowBox[{
        RowBox[{"-", 
         RowBox[{"\[Epsilon]$79682", "\[LeftDoubleBracket]", 
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], "\[RightDoubleBracket]"}]}], "+", 
        RowBox[{"\[Epsilon]$79682", "\[LeftDoubleBracket]", 
         InterpretationBox["\<\"2\"\>",
          2,
          Editable->False], "\[RightDoubleBracket]"}]}],
       NumberForm[#, {6, 3}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"n", "\!\(\*SubscriptBox[\(N\), \(Basis\)]\)", "w", 
       "\!\(\*SubscriptBox[\(E\), \(0\)]\)", 
       "\!\(\*SubscriptBox[\(E\), \(Nuc\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(GIC - HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(T\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(V\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(J\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(K\), \(HF\), \(w\)]\)", 
       "\!\(\*SubscriptBox[\(N\), \(SCF\)]\)", "Conv", "HL Gap"}}, 
    TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590173293728*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"18ad0204-f41d-4fc0-8359-a593c97d5619"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\((0)\\)]\\)\
\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\((1)\\)]\\)\
\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \\(HF\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \\(HF\\), \
\\((1)\\)]\\)(eV)\"\>",
       HoldForm]},
     {
      TagBox[
       RowBox[{
        InterpretationBox["\<\"0.714286\"\>",
         0.7142857142857143,
         AutoDelete->True], "+", 
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
             RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{"SparseArray", "[", 
             RowBox[{"{", "}"}], "]"}]}], ")"}]}], "]"}], "+", 
        RowBox[{
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"2\"\>",
           2,
           Editable->False]], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"SparseArray", "[", 
                RowBox[{"{", "}"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  InterpretationBox["\<\"1\"\>",
                   1,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}], "-", 
             RowBox[{
              FractionBox[
               InterpretationBox["\<\"1\"\>",
                1,
                Editable->False], 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False]], " ", 
              RowBox[{"Flatten", "[", 
               RowBox[{
                RowBox[{"SparseArray", "[", 
                 RowBox[{"{", "}"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "}"}], ",", 
                  RowBox[{"{", 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}]}]}], ")"}], 
           ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], 
          "]"}]}]}],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       RowBox[{
        InterpretationBox["\<\"0.714286\"\>",
         0.7142857142857143,
         AutoDelete->True], "+", 
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Transpose", "[", "C$79682", "]"}], 
               "\[LeftDoubleBracket]", 
               RowBox[{
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], ";;", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
             RowBox[{
              RowBox[{"Transpose", "[", "C$79682", "]"}], 
              "\[LeftDoubleBracket]", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], ";;", 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], ".", 
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{"SparseArray", "[", 
             RowBox[{"{", "}"}], "]"}]}], ")"}]}], "]"}], "+", 
        RowBox[{
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"2\"\>",
           2,
           Editable->False]], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{
                RowBox[{"Transpose", "[", "C$79682", "]"}], 
                "\[LeftDoubleBracket]", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], ";;", 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
              RowBox[{
               RowBox[{"Transpose", "[", "C$79682", "]"}], 
               "\[LeftDoubleBracket]", 
               RowBox[{
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], ";;", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], 
           ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"SparseArray", "[", 
                RowBox[{"{", "}"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  InterpretationBox["\<\"1\"\>",
                   1,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}], "-", 
             RowBox[{
              FractionBox[
               InterpretationBox["\<\"1\"\>",
                1,
                Editable->False], 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False]], " ", 
              RowBox[{"Flatten", "[", 
               RowBox[{
                RowBox[{"SparseArray", "[", 
                 RowBox[{"{", "}"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "}"}], ",", 
                  RowBox[{"{", 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}]}]}], ")"}], 
           ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{
                RowBox[{"Transpose", "[", "C$79682", "]"}], 
                "\[LeftDoubleBracket]", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], ";;", 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
              RowBox[{
               RowBox[{"Transpose", "[", "C$79682", "]"}], 
               "\[LeftDoubleBracket]", 
               RowBox[{
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], ";;", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}]}], 
          "]"}]}]}],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       RowBox[{
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Transpose", "[", "C$79682", "]"}], 
               "\[LeftDoubleBracket]", 
               RowBox[{
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], ";;", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
             RowBox[{
              RowBox[{"Transpose", "[", "C$79682", "]"}], 
              "\[LeftDoubleBracket]", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], ";;", 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], ".", 
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{"SparseArray", "[", 
             RowBox[{"{", "}"}], "]"}]}], ")"}]}], "]"}], "-", 
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
             RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{"SparseArray", "[", 
             RowBox[{"{", "}"}], "]"}]}], ")"}]}], "]"}], "+", 
        RowBox[{
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"2\"\>",
           2,
           Editable->False]], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{
                RowBox[{"Transpose", "[", "C$79682", "]"}], 
                "\[LeftDoubleBracket]", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], ";;", 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
              RowBox[{
               RowBox[{"Transpose", "[", "C$79682", "]"}], 
               "\[LeftDoubleBracket]", 
               RowBox[{
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], ";;", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], 
           ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"SparseArray", "[", 
                RowBox[{"{", "}"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  InterpretationBox["\<\"1\"\>",
                   1,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}], "-", 
             RowBox[{
              FractionBox[
               InterpretationBox["\<\"1\"\>",
                1,
                Editable->False], 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False]], " ", 
              RowBox[{"Flatten", "[", 
               RowBox[{
                RowBox[{"SparseArray", "[", 
                 RowBox[{"{", "}"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "}"}], ",", 
                  RowBox[{"{", 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}]}]}], ")"}], 
           ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{
                RowBox[{"Transpose", "[", "C$79682", "]"}], 
                "\[LeftDoubleBracket]", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], ";;", 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
              RowBox[{
               RowBox[{"Transpose", "[", "C$79682", "]"}], 
               "\[LeftDoubleBracket]", 
               RowBox[{
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], ";;", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}]}], 
          "]"}]}], "-", 
        RowBox[{
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"2\"\>",
           2,
           Editable->False]], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"SparseArray", "[", 
                RowBox[{"{", "}"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  InterpretationBox["\<\"1\"\>",
                   1,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}], "-", 
             RowBox[{
              FractionBox[
               InterpretationBox["\<\"1\"\>",
                1,
                Editable->False], 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False]], " ", 
              RowBox[{"Flatten", "[", 
               RowBox[{
                RowBox[{"SparseArray", "[", 
                 RowBox[{"{", "}"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "}"}], ",", 
                  RowBox[{"{", 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}]}]}], ")"}], 
           ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], 
          "]"}]}]}],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       RowBox[{
        InterpretationBox["\<\"27.211386\"\>",
         27.21138602,
         AutoDelete->True], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Tr", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              InterpretationBox["\<\"2\"\>",
               2,
               Editable->False], " ", 
              RowBox[{
               RowBox[{"Transpose", "[", 
                RowBox[{
                 RowBox[{"Transpose", "[", "C$79682", "]"}], 
                 "\[LeftDoubleBracket]", 
                 RowBox[{
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False], ";;", 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
               
               RowBox[{
                RowBox[{"Transpose", "[", "C$79682", "]"}], 
                "\[LeftDoubleBracket]", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], ";;", 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], 
            ".", 
            RowBox[{"(", 
             RowBox[{
              InterpretationBox["\<\"2\"\>",
               2,
               Editable->False], " ", 
              RowBox[{"SparseArray", "[", 
               RowBox[{"{", "}"}], "]"}]}], ")"}]}], "]"}], "-", 
          RowBox[{"Tr", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              InterpretationBox["\<\"2\"\>",
               2,
               Editable->False], " ", 
              RowBox[{
               RowBox[{"Transpose", "[", 
                RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
               RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
            RowBox[{"(", 
             RowBox[{
              InterpretationBox["\<\"2\"\>",
               2,
               Editable->False], " ", 
              RowBox[{"SparseArray", "[", 
               RowBox[{"{", "}"}], "]"}]}], ")"}]}], "]"}], "+", 
          RowBox[{
           FractionBox[
            InterpretationBox["\<\"1\"\>",
             1,
             Editable->False], 
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False]], " ", 
           RowBox[{"Tr", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], " ", 
               RowBox[{
                RowBox[{"Transpose", "[", 
                 RowBox[{
                  RowBox[{"Transpose", "[", "C$79682", "]"}], 
                  "\[LeftDoubleBracket]", 
                  RowBox[{
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], ";;", 
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
                RowBox[{
                 RowBox[{"Transpose", "[", "C$79682", "]"}], 
                 "\[LeftDoubleBracket]", 
                 RowBox[{
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False], ";;", 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], 
             ".", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{
                 RowBox[{"SparseArray", "[", 
                  RowBox[{"{", "}"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "}"}], ",", 
                   RowBox[{"{", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}], "-", 
               RowBox[{
                FractionBox[
                 InterpretationBox["\<\"1\"\>",
                  1,
                  Editable->False], 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]], " ", 
                RowBox[{"Flatten", "[", 
                 RowBox[{
                  RowBox[{"SparseArray", "[", 
                   RowBox[{"{", "}"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "}"}], ",", 
                    RowBox[{"{", 
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}]}]}], ")"}], 
             ".", 
             RowBox[{"(", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], " ", 
               RowBox[{
                RowBox[{"Transpose", "[", 
                 RowBox[{
                  RowBox[{"Transpose", "[", "C$79682", "]"}], 
                  "\[LeftDoubleBracket]", 
                  RowBox[{
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], ";;", 
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
                RowBox[{
                 RowBox[{"Transpose", "[", "C$79682", "]"}], 
                 "\[LeftDoubleBracket]", 
                 RowBox[{
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False], ";;", 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}]}],
             "]"}]}], "-", 
          RowBox[{
           FractionBox[
            InterpretationBox["\<\"1\"\>",
             1,
             Editable->False], 
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False]], " ", 
           RowBox[{"Tr", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], " ", 
               RowBox[{
                RowBox[{"Transpose", "[", 
                 RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{
                 RowBox[{"SparseArray", "[", 
                  RowBox[{"{", "}"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "}"}], ",", 
                   RowBox[{"{", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}], "-", 
               RowBox[{
                FractionBox[
                 InterpretationBox["\<\"1\"\>",
                  1,
                  Editable->False], 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]], " ", 
                RowBox[{"Flatten", "[", 
                 RowBox[{
                  RowBox[{"SparseArray", "[", 
                   RowBox[{"{", "}"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "}"}], ",", 
                    RowBox[{"{", 
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}]}]}], ")"}], 
             ".", 
             RowBox[{"(", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], " ", 
               RowBox[{
                RowBox[{"Transpose", "[", 
                 RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], 
            "]"}]}]}], ")"}]}],
       NumberForm[#, {9, 6}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\!\(\*SubsuperscriptBox[\(E\), \(HF\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(HF\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \
\((1)\)]\)(eV)"}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590173305152*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"e2a1058e-0be6-4015-adfb-c8b39363ce2d"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590173317258*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"3ccbd586-deed-4e2e-8bfe-9d7bfe9a32fb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.055546`"}],
  SequenceForm["CPU time = ", 0.055546],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.7945901733187304`*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"75a7c5fc-ad65-46a7-8667-73010aa62cfa"],

Cell[BoxData["\<\"Compute GOK-DFT energies...\"\>"], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590173320559*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"3766da05-65c3-43fb-be93-80604e392258"],

Cell[BoxData["\<\"Integrating one-electron density...\"\>"], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590173334214*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"2b832767-ed8d-4857-9a8f-f6f23d6d40ae"],

Cell[BoxData[
 RowBox[{"NIntegrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"0.0001637455819681253`", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "13.009999999999998`"}], " ", 
            SuperscriptBox["r", "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "18.213999999999995`"}], "-", 
              RowBox[{"13.009999999999998`", " ", "z"}]}], ")"}], " ", 
            "z"}]}]]}], "+", 
        RowBox[{"0.062333141241240085`", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1.9619999999999997`"}], " ", 
            SuperscriptBox["r", "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "2.7468000000000004`"}], "-", 
              RowBox[{"1.9619999999999997`", " ", "z"}]}], ")"}], " ", 
            "z"}]}]]}], "+", 
        RowBox[{"0.14922333419393055`", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "0.44459999999999944`"}], " ", 
            SuperscriptBox["r", "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "0.6224399999999974`"}], "-", 
              RowBox[{"0.44459999999999944`", " ", "z"}]}], ")"}], " ", 
            "z"}]}]]}]}], ",", 
       RowBox[{"0.13858551533448696`", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.122`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "0.17079999999999998`"}], "-", 
             RowBox[{"0.122`", " ", "z"}]}], ")"}], " ", "z"}]}]]}], ",", 
       RowBox[{"0.6701150598526169`", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.727`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1.0177999999999998`"}], "-", 
             RowBox[{"0.727`", " ", "z"}]}], ")"}], " ", "z"}]}]], " ", "r", 
        " ", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{"0.6701150598526169`", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.727`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1.0177999999999998`"}], "-", 
             RowBox[{"0.727`", " ", "z"}]}], ")"}], " ", "z"}]}]], " ", "r", 
        " ", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.727`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1.0177999999999998`"}], "-", 
             RowBox[{"0.727`", " ", "z"}]}], ")"}], " ", "z"}]}]], " ", 
        RowBox[{"(", 
         RowBox[{"0.4690805418968318`", "\[VeryThinSpace]", "+", 
          RowBox[{"0.6701150598526169`", " ", "z"}]}], ")"}]}], ",", 
       RowBox[{
        RowBox[{"0.0001637455819681253`", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "13.009999999999998`"}], " ", 
            SuperscriptBox["r", "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"18.213999999999995`", "\[VeryThinSpace]", "-", 
              RowBox[{"13.009999999999998`", " ", "z"}]}], ")"}], " ", 
            "z"}]}]]}], "+", 
        RowBox[{"0.062333141241240085`", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1.9619999999999997`"}], " ", 
            SuperscriptBox["r", "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2.7468000000000004`", "\[VeryThinSpace]", "-", 
              RowBox[{"1.9619999999999997`", " ", "z"}]}], ")"}], " ", 
            "z"}]}]]}], "+", 
        RowBox[{"0.14922333419393055`", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "0.44459999999999944`"}], " ", 
            SuperscriptBox["r", "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"0.6224399999999974`", "\[VeryThinSpace]", "-", 
              RowBox[{"0.44459999999999944`", " ", "z"}]}], ")"}], " ", 
            "z"}]}]]}]}], ",", 
       RowBox[{"0.13858551533448696`", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.122`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"0.17079999999999998`", "\[VeryThinSpace]", "-", 
             RowBox[{"0.122`", " ", "z"}]}], ")"}], " ", "z"}]}]]}], ",", 
       RowBox[{"0.6701150598526169`", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.727`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1.0177999999999998`", "\[VeryThinSpace]", "-", 
             RowBox[{"0.727`", " ", "z"}]}], ")"}], " ", "z"}]}]], " ", "r", 
        " ", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{"0.6701150598526169`", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.727`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1.0177999999999998`", "\[VeryThinSpace]", "-", 
             RowBox[{"0.727`", " ", "z"}]}], ")"}], " ", "z"}]}]], " ", "r", 
        " ", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.727`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1.0177999999999998`", "\[VeryThinSpace]", "-", 
             RowBox[{"0.727`", " ", "z"}]}], ")"}], " ", "z"}]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "0.4690805418968318`"}], "+", 
          RowBox[{"0.6701150598526169`", " ", "z"}]}], ")"}]}]}], "}"}], ".", 
     
     RowBox[{"(", 
      RowBox[{"2", " ", 
       RowBox[{
        RowBox[{"Transpose", "[", 
         RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
        RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"0.0001637455819681253`", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "13.009999999999998`"}], " ", 
            SuperscriptBox["r", "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "18.213999999999995`"}], "-", 
              RowBox[{"13.009999999999998`", " ", "z"}]}], ")"}], " ", 
            "z"}]}]]}], "+", 
        RowBox[{"0.062333141241240085`", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1.9619999999999997`"}], " ", 
            SuperscriptBox["r", "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "2.7468000000000004`"}], "-", 
              RowBox[{"1.9619999999999997`", " ", "z"}]}], ")"}], " ", 
            "z"}]}]]}], "+", 
        RowBox[{"0.14922333419393055`", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "0.44459999999999944`"}], " ", 
            SuperscriptBox["r", "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "0.6224399999999974`"}], "-", 
              RowBox[{"0.44459999999999944`", " ", "z"}]}], ")"}], " ", 
            "z"}]}]]}]}], ",", 
       RowBox[{"0.13858551533448696`", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.122`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "0.17079999999999998`"}], "-", 
             RowBox[{"0.122`", " ", "z"}]}], ")"}], " ", "z"}]}]]}], ",", 
       RowBox[{"0.6701150598526169`", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.727`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1.0177999999999998`"}], "-", 
             RowBox[{"0.727`", " ", "z"}]}], ")"}], " ", "z"}]}]], " ", "r", 
        " ", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{"0.6701150598526169`", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.727`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1.0177999999999998`"}], "-", 
             RowBox[{"0.727`", " ", "z"}]}], ")"}], " ", "z"}]}]], " ", "r", 
        " ", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.727`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1.0177999999999998`"}], "-", 
             RowBox[{"0.727`", " ", "z"}]}], ")"}], " ", "z"}]}]], " ", 
        RowBox[{"(", 
         RowBox[{"0.4690805418968318`", "\[VeryThinSpace]", "+", 
          RowBox[{"0.6701150598526169`", " ", "z"}]}], ")"}]}], ",", 
       RowBox[{
        RowBox[{"0.0001637455819681253`", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "13.009999999999998`"}], " ", 
            SuperscriptBox["r", "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"18.213999999999995`", "\[VeryThinSpace]", "-", 
              RowBox[{"13.009999999999998`", " ", "z"}]}], ")"}], " ", 
            "z"}]}]]}], "+", 
        RowBox[{"0.062333141241240085`", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1.9619999999999997`"}], " ", 
            SuperscriptBox["r", "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2.7468000000000004`", "\[VeryThinSpace]", "-", 
              RowBox[{"1.9619999999999997`", " ", "z"}]}], ")"}], " ", 
            "z"}]}]]}], "+", 
        RowBox[{"0.14922333419393055`", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "0.44459999999999944`"}], " ", 
            SuperscriptBox["r", "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"0.6224399999999974`", "\[VeryThinSpace]", "-", 
              RowBox[{"0.44459999999999944`", " ", "z"}]}], ")"}], " ", 
            "z"}]}]]}]}], ",", 
       RowBox[{"0.13858551533448696`", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.122`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"0.17079999999999998`", "\[VeryThinSpace]", "-", 
             RowBox[{"0.122`", " ", "z"}]}], ")"}], " ", "z"}]}]]}], ",", 
       RowBox[{"0.6701150598526169`", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.727`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1.0177999999999998`", "\[VeryThinSpace]", "-", 
             RowBox[{"0.727`", " ", "z"}]}], ")"}], " ", "z"}]}]], " ", "r", 
        " ", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{"0.6701150598526169`", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.727`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1.0177999999999998`", "\[VeryThinSpace]", "-", 
             RowBox[{"0.727`", " ", "z"}]}], ")"}], " ", "z"}]}]], " ", "r", 
        " ", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.727`"}], " ", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1.0177999999999998`", "\[VeryThinSpace]", "-", 
             RowBox[{"0.727`", " ", "z"}]}], ")"}], " ", "z"}]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "0.4690805418968318`"}], "+", 
          RowBox[{"0.6701150598526169`", " ", "z"}]}], ")"}]}]}], "}"}]}], 
    " ", "r"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "0", ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Phi]", ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
  "]"}]], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590173344285*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"ab11d78b-6256-4991-9b17-41e50e7fce9e"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(LDA\\), \
\\((0)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(LDA\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(LDA\\), \\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(LDA\\), \\((1)\\)]\\) (eV)\"\>",
       HoldForm]},
     {
      TagBox[
       RowBox[{
        InterpretationBox["\<\"0.714286\"\>",
         0.7142857142857143,
         AutoDelete->True], "+", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{"r", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  InterpretationBox["\<\"0.031091\"\>",
                   0.0310907,
                   AutoDelete->True], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"5\"\>",
                    5,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.846966\"\>",
                    1.846966178830659,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox["\[Pi]", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.957212\"\>",
                    1.9572124400481457`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "-", 
                 FractionBox[
                  SuperscriptBox[
                   RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                   RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                  RowBox[{
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                 RowBox[{"(", 
                  RowBox[{
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                   RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                 ".", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                ")"}], 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False]]}], "+", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], " ", 
                 RowBox[{
                  RowBox[{"Transpose", "[", 
                   RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                  RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
               
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], " ", 
              
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", 
                  FractionBox[
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]]}], " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                  RowBox[{
                   InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                   ")"}], 
                  RowBox[{
                   InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    InterpretationBox["\<\"0.031091\"\>",
                    0.0310907,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"5\"\>",
                    5,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.846966\"\>",
                    1.846966178830659,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox["\[Pi]", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.957212\"\>",
                    1.9572124400481457`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "-", 
                   FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                  ".", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]}], 
                "+", 
                RowBox[{
                 InterpretationBox["\<\"0.031091\"\>",
                  0.0310907,
                  AutoDelete->True], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    InterpretationBox["\<\"1.211783\"\>",
                    1.2117833427280607`,
                    AutoDelete->True], " ", 
                    RowBox[{"ArcTan", "[", 
                    FractionBox[
                    InterpretationBox["\<\"6.151991\"\>",
                    6.15199081975908,
                    AutoDelete->True], 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}]], "]"}]}], "+", 
                   RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"1.143526\"\>",
                    1.1435257636284148`,
                    AutoDelete->True], " ", 
                    RowBox[{"ArcTan", "[", 
                    FractionBox[
                    InterpretationBox["\<\"6.151991\"\>",
                    6.15199081975908,
                    AutoDelete->True], 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}]], "]"}]}], "+", 
                    RowBox[{"Log", "[", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}]], "]"}]}], ")"}]}], "+", 
                   RowBox[{"Log", "[", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]], "]"}]}], ")"}]}]}], 
               ")"}]}]}], ")"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"r", ",", 
            InterpretationBox["\<\"0\"\>",
             0,
             Editable->False], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Phi]", ",", 
            InterpretationBox["\<\"0\"\>",
             0,
             Editable->False], ",", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", "\[Pi]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}], "+", 
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
             RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{"SparseArray", "[", 
             RowBox[{"{", "}"}], "]"}]}], ")"}]}], "]"}], "+", 
        RowBox[{
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"2\"\>",
           2,
           Editable->False]], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{"SparseArray", "[", 
              RowBox[{"{", "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                InterpretationBox["\<\"1\"\>",
                 1,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 InterpretationBox["\<\"3\"\>",
                  3,
                  Editable->False], ",", 
                 InterpretationBox["\<\"4\"\>",
                  4,
                  Editable->False]}], "}"}]}], "}"}]}], "]"}], ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], 
          "]"}]}]}],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       RowBox[{
        InterpretationBox["\<\"0.714286\"\>",
         0.7142857142857143,
         AutoDelete->True], "+", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{"r", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  InterpretationBox["\<\"0.031091\"\>",
                   0.0310907,
                   AutoDelete->True], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"5\"\>",
                    5,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.846966\"\>",
                    1.846966178830659,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox["\[Pi]", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.957212\"\>",
                    1.9572124400481457`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "-", 
                 FractionBox[
                  SuperscriptBox[
                   RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                   RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                  RowBox[{
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                 RowBox[{"(", 
                  RowBox[{
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                   RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                 ".", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                ")"}], 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False]]}], "+", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], " ", 
                 RowBox[{
                  RowBox[{"Transpose", "[", 
                   RowBox[{
                    RowBox[{"Transpose", "[", "C$79682", "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], ";;", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
                  RowBox[{
                   RowBox[{"Transpose", "[", "C$79682", "]"}], 
                   "\[LeftDoubleBracket]", 
                   RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], ";;", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], 
               ".", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], " ", 
              
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", 
                  FractionBox[
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]]}], " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                  RowBox[{
                   InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                   ")"}], 
                  RowBox[{
                   InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    InterpretationBox["\<\"0.031091\"\>",
                    0.0310907,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"5\"\>",
                    5,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.846966\"\>",
                    1.846966178830659,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox["\[Pi]", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.957212\"\>",
                    1.9572124400481457`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "-", 
                   FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                  ".", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]}], 
                "+", 
                RowBox[{
                 InterpretationBox["\<\"0.031091\"\>",
                  0.0310907,
                  AutoDelete->True], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    InterpretationBox["\<\"1.211783\"\>",
                    1.2117833427280607`,
                    AutoDelete->True], " ", 
                    RowBox[{"ArcTan", "[", 
                    FractionBox[
                    InterpretationBox["\<\"6.151991\"\>",
                    6.15199081975908,
                    AutoDelete->True], 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}]], "]"}]}], "+", 
                   RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"1.143526\"\>",
                    1.1435257636284148`,
                    AutoDelete->True], " ", 
                    RowBox[{"ArcTan", "[", 
                    FractionBox[
                    InterpretationBox["\<\"6.151991\"\>",
                    6.15199081975908,
                    AutoDelete->True], 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}]], "]"}]}], "+", 
                    RowBox[{"Log", "[", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}]], "]"}]}], ")"}]}], "+", 
                   RowBox[{"Log", "[", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]], "]"}]}], ")"}]}]}], 
               ")"}]}]}], ")"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"r", ",", 
            InterpretationBox["\<\"0\"\>",
             0,
             Editable->False], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Phi]", ",", 
            InterpretationBox["\<\"0\"\>",
             0,
             Editable->False], ",", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", "\[Pi]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}], "+", 
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Transpose", "[", "C$79682", "]"}], 
               "\[LeftDoubleBracket]", 
               RowBox[{
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], ";;", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
             RowBox[{
              RowBox[{"Transpose", "[", "C$79682", "]"}], 
              "\[LeftDoubleBracket]", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], ";;", 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], ".", 
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{"SparseArray", "[", 
             RowBox[{"{", "}"}], "]"}]}], ")"}]}], "]"}], "+", 
        RowBox[{
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"2\"\>",
           2,
           Editable->False]], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{
                RowBox[{"Transpose", "[", "C$79682", "]"}], 
                "\[LeftDoubleBracket]", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], ";;", 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
              RowBox[{
               RowBox[{"Transpose", "[", "C$79682", "]"}], 
               "\[LeftDoubleBracket]", 
               RowBox[{
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], ";;", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], 
           ".", 
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{"SparseArray", "[", 
              RowBox[{"{", "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                InterpretationBox["\<\"1\"\>",
                 1,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 InterpretationBox["\<\"3\"\>",
                  3,
                  Editable->False], ",", 
                 InterpretationBox["\<\"4\"\>",
                  4,
                  Editable->False]}], "}"}]}], "}"}]}], "]"}], ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{
                RowBox[{"Transpose", "[", "C$79682", "]"}], 
                "\[LeftDoubleBracket]", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], ";;", 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
              RowBox[{
               RowBox[{"Transpose", "[", "C$79682", "]"}], 
               "\[LeftDoubleBracket]", 
               RowBox[{
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], ";;", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}]}], 
          "]"}]}]}],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       RowBox[{
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{"r", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  InterpretationBox["\<\"0.031091\"\>",
                   0.0310907,
                   AutoDelete->True], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"5\"\>",
                    5,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.846966\"\>",
                    1.846966178830659,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox["\[Pi]", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.957212\"\>",
                    1.9572124400481457`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "-", 
                 FractionBox[
                  SuperscriptBox[
                   RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                   RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                  RowBox[{
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                 RowBox[{"(", 
                  RowBox[{
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                   RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                 ".", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                ")"}], 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False]]}], "+", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], " ", 
                 RowBox[{
                  RowBox[{"Transpose", "[", 
                   RowBox[{
                    RowBox[{"Transpose", "[", "C$79682", "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], ";;", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
                  RowBox[{
                   RowBox[{"Transpose", "[", "C$79682", "]"}], 
                   "\[LeftDoubleBracket]", 
                   RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], ";;", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], 
               ".", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], " ", 
              
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", 
                  FractionBox[
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]]}], " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                  RowBox[{
                   InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                   ")"}], 
                  RowBox[{
                   InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    InterpretationBox["\<\"0.031091\"\>",
                    0.0310907,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"5\"\>",
                    5,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.846966\"\>",
                    1.846966178830659,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox["\[Pi]", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.957212\"\>",
                    1.9572124400481457`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "-", 
                   FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                  ".", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]}], 
                "+", 
                RowBox[{
                 InterpretationBox["\<\"0.031091\"\>",
                  0.0310907,
                  AutoDelete->True], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    InterpretationBox["\<\"1.211783\"\>",
                    1.2117833427280607`,
                    AutoDelete->True], " ", 
                    RowBox[{"ArcTan", "[", 
                    FractionBox[
                    InterpretationBox["\<\"6.151991\"\>",
                    6.15199081975908,
                    AutoDelete->True], 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}]], "]"}]}], "+", 
                   RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"1.143526\"\>",
                    1.1435257636284148`,
                    AutoDelete->True], " ", 
                    RowBox[{"ArcTan", "[", 
                    FractionBox[
                    InterpretationBox["\<\"6.151991\"\>",
                    6.15199081975908,
                    AutoDelete->True], 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}]], "]"}]}], "+", 
                    RowBox[{"Log", "[", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}]], "]"}]}], ")"}]}], "+", 
                   RowBox[{"Log", "[", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]], "]"}]}], ")"}]}]}], 
               ")"}]}]}], ")"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"r", ",", 
            InterpretationBox["\<\"0\"\>",
             0,
             Editable->False], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Phi]", ",", 
            InterpretationBox["\<\"0\"\>",
             0,
             Editable->False], ",", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", "\[Pi]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}], "-", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{"r", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  InterpretationBox["\<\"0.031091\"\>",
                   0.0310907,
                   AutoDelete->True], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"5\"\>",
                    5,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.846966\"\>",
                    1.846966178830659,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox["\[Pi]", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.957212\"\>",
                    1.9572124400481457`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "-", 
                 FractionBox[
                  SuperscriptBox[
                   RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                   RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                  RowBox[{
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                 RowBox[{"(", 
                  RowBox[{
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                   RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                 ".", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                ")"}], 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False]]}], "+", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
               RowBox[{"(", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], " ", 
                 RowBox[{
                  RowBox[{"Transpose", "[", 
                   RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                  RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
               
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                 RowBox[{
                  RowBox[{
                   InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                  ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.138586\"\>",
                   0.13858551533448696`,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                 ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  InterpretationBox["\<\"0.670115\"\>",
                   0.6701150598526169,
                   AutoDelete->True], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", "r", " ", 
                  RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], " ", 
              
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", 
                  FractionBox[
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]]}], " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                  RowBox[{
                   InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                   ")"}], 
                  RowBox[{
                   InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    InterpretationBox["\<\"0.031091\"\>",
                    0.0310907,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"5\"\>",
                    5,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.846966\"\>",
                    1.846966178830659,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox["\[Pi]", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.957212\"\>",
                    1.9572124400481457`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "-", 
                   FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                  RowBox[{"(", 
                   RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                  ".", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]}], 
                "+", 
                RowBox[{
                 InterpretationBox["\<\"0.031091\"\>",
                  0.0310907,
                  AutoDelete->True], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    InterpretationBox["\<\"1.211783\"\>",
                    1.2117833427280607`,
                    AutoDelete->True], " ", 
                    RowBox[{"ArcTan", "[", 
                    FractionBox[
                    InterpretationBox["\<\"6.151991\"\>",
                    6.15199081975908,
                    AutoDelete->True], 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}]], "]"}]}], "+", 
                   RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"1.143526\"\>",
                    1.1435257636284148`,
                    AutoDelete->True], " ", 
                    RowBox[{"ArcTan", "[", 
                    FractionBox[
                    InterpretationBox["\<\"6.151991\"\>",
                    6.15199081975908,
                    AutoDelete->True], 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}]], "]"}]}], "+", 
                    RowBox[{"Log", "[", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}]], "]"}]}], ")"}]}], "+", 
                   RowBox[{"Log", "[", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]], "]"}]}], ")"}]}]}], 
               ")"}]}]}], ")"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"r", ",", 
            InterpretationBox["\<\"0\"\>",
             0,
             Editable->False], ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Phi]", ",", 
            InterpretationBox["\<\"0\"\>",
             0,
             Editable->False], ",", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", "\[Pi]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z", ",", 
            RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
         "]"}], "+", 
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{
               RowBox[{"Transpose", "[", "C$79682", "]"}], 
               "\[LeftDoubleBracket]", 
               RowBox[{
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], ";;", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
             RowBox[{
              RowBox[{"Transpose", "[", "C$79682", "]"}], 
              "\[LeftDoubleBracket]", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], ";;", 
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], ".", 
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{"SparseArray", "[", 
             RowBox[{"{", "}"}], "]"}]}], ")"}]}], "]"}], "-", 
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
             RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
          RowBox[{"(", 
           RowBox[{
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False], " ", 
            RowBox[{"SparseArray", "[", 
             RowBox[{"{", "}"}], "]"}]}], ")"}]}], "]"}], "+", 
        RowBox[{
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"2\"\>",
           2,
           Editable->False]], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{
                RowBox[{"Transpose", "[", "C$79682", "]"}], 
                "\[LeftDoubleBracket]", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], ";;", 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
              RowBox[{
               RowBox[{"Transpose", "[", "C$79682", "]"}], 
               "\[LeftDoubleBracket]", 
               RowBox[{
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], ";;", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], 
           ".", 
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{"SparseArray", "[", 
              RowBox[{"{", "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                InterpretationBox["\<\"1\"\>",
                 1,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 InterpretationBox["\<\"3\"\>",
                  3,
                  Editable->False], ",", 
                 InterpretationBox["\<\"4\"\>",
                  4,
                  Editable->False]}], "}"}]}], "}"}]}], "]"}], ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{
                RowBox[{"Transpose", "[", "C$79682", "]"}], 
                "\[LeftDoubleBracket]", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], ";;", 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
              RowBox[{
               RowBox[{"Transpose", "[", "C$79682", "]"}], 
               "\[LeftDoubleBracket]", 
               RowBox[{
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], ";;", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}]}], 
          "]"}]}], "-", 
        RowBox[{
         FractionBox[
          InterpretationBox["\<\"1\"\>",
           1,
           Editable->False], 
          InterpretationBox["\<\"2\"\>",
           2,
           Editable->False]], " ", 
         RowBox[{"Tr", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{"SparseArray", "[", 
              RowBox[{"{", "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                InterpretationBox["\<\"1\"\>",
                 1,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                InterpretationBox["\<\"2\"\>",
                 2,
                 Editable->False], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 InterpretationBox["\<\"3\"\>",
                  3,
                  Editable->False], ",", 
                 InterpretationBox["\<\"4\"\>",
                  4,
                  Editable->False]}], "}"}]}], "}"}]}], "]"}], ".", 
           RowBox[{"(", 
            RowBox[{
             InterpretationBox["\<\"2\"\>",
              2,
              Editable->False], " ", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
              RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], 
          "]"}]}]}],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       RowBox[{
        InterpretationBox["\<\"27.211386\"\>",
         27.21138602,
         AutoDelete->True], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"NIntegrate", "[", 
           RowBox[{
            RowBox[{"r", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    InterpretationBox["\<\"0.031091\"\>",
                    0.0310907,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"5\"\>",
                    5,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.846966\"\>",
                    1.846966178830659,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox["\[Pi]", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.957212\"\>",
                    1.9572124400481457`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "-", 
                   FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                   RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                   ".", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                  ")"}], 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]]}], "+", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                 RowBox[{"(", 
                  RowBox[{
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                   RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{
                    RowBox[{"Transpose", "[", "C$79682", "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], ";;", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
                    RowBox[{
                    RowBox[{"Transpose", "[", "C$79682", "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], ";;", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], 
                 ".", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], " ", 
                
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]]}], " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031091\"\>",
                    0.0310907,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"5\"\>",
                    5,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.846966\"\>",
                    1.846966178830659,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox["\[Pi]", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.957212\"\>",
                    1.9572124400481457`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.031091\"\>",
                    0.0310907,
                    AutoDelete->True], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"1.211783\"\>",
                    1.2117833427280607`,
                    AutoDelete->True], " ", 
                    RowBox[{"ArcTan", "[", 
                    FractionBox[
                    InterpretationBox["\<\"6.151991\"\>",
                    6.15199081975908,
                    AutoDelete->True], 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}]], "]"}]}], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"1.143526\"\>",
                    1.1435257636284148`,
                    AutoDelete->True], " ", 
                    RowBox[{"ArcTan", "[", 
                    FractionBox[
                    InterpretationBox["\<\"6.151991\"\>",
                    6.15199081975908,
                    AutoDelete->True], 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}]], "]"}]}], "+", 
                    RowBox[{"Log", "[", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}]], "]"}]}], ")"}]}], "+", 
                    RowBox[{"Log", "[", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]], "]"}]}], ")"}]}]}], 
                 ")"}]}]}], ")"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"r", ",", 
              InterpretationBox["\<\"0\"\>",
               0,
               Editable->False], ",", "\[Infinity]"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"\[Phi]", ",", 
              InterpretationBox["\<\"0\"\>",
               0,
               Editable->False], ",", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], " ", "\[Pi]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
           "]"}], "-", 
          RowBox[{"NIntegrate", "[", 
           RowBox[{
            RowBox[{"r", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    InterpretationBox["\<\"0.031091\"\>",
                    0.0310907,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"5\"\>",
                    5,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.846966\"\>",
                    1.846966178830659,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox["\[Pi]", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.957212\"\>",
                    1.9572124400481457`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "-", 
                   FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                   RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                   ".", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                  ")"}], 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]]}], "+", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                 RowBox[{"(", 
                  RowBox[{
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                   RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                 ".", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                    ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                   ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], " ", 
                
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]]}], " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031091\"\>",
                    0.0310907,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"5\"\>",
                    5,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.846966\"\>",
                    1.846966178830659,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox["\[Pi]", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.489303\"\>",
                    -0.4893031100120365,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]]}], ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]], "+", 
                    FractionBox[
                    RowBox[{
                    InterpretationBox["\<\"1.957212\"\>",
                    1.9572124400481457`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"7\"\>",
                    7,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "+", 
                    FractionBox[
                    InterpretationBox["\<\"37.846991\"\>",
                    37.84699104639999,
                    AutoDelete->True], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}]]}], ")"}]}], "-", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], 
                    RowBox[{
                    InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}]]}], ")"}], " ", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]}], 
                  "+", 
                  RowBox[{
                   InterpretationBox["\<\"0.031091\"\>",
                    0.0310907,
                    AutoDelete->True], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"1.211783\"\>",
                    1.2117833427280607`,
                    AutoDelete->True], " ", 
                    RowBox[{"ArcTan", "[", 
                    FractionBox[
                    InterpretationBox["\<\"6.151991\"\>",
                    6.15199081975908,
                    AutoDelete->True], 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}]], "]"}]}], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.031168\"\>",
                    0.03116760867894378,
                    AutoDelete->True], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"1.143526\"\>",
                    1.1435257636284148`,
                    AutoDelete->True], " ", 
                    RowBox[{"ArcTan", "[", 
                    FractionBox[
                    InterpretationBox["\<\"6.151991\"\>",
                    6.15199081975908,
                    AutoDelete->True], 
                    RowBox[{
                    InterpretationBox["\<\"3.727440\"\>",
                    3.72744,
                    AutoDelete->True], "+", 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}]}]], "]"}]}], "+", 
                    RowBox[{"Log", "[", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.104980\"\>",
                    0.10498,
                    AutoDelete->True], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}], 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]], 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}]], "]"}]}], ")"}]}], "+", 
                    RowBox[{"Log", "[", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    RowBox[{
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"12.935200\"\>",
                    12.9352,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"2.935819\"\>",
                    2.9358186600722194`,
                    AutoDelete->True], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"6\"\>",
                    6,
                    Editable->False]}]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], "\[Pi]"], ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox[
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], " ", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                    RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], 
                    ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-18.214000\"\>",
                    -18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-2.746800\"\>",
                    -2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.622440\"\>",
                    -0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.170800\"\>",
                    -0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-1.017800\"\>",
                    -1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.469081\"\>",
                    0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"0.000164\"\>",
                    0.0001637455819681253,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-13.010000\"\>",
                    -13.009999999999998`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"18.214000\"\>",
                    18.213999999999995`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"13.010000\"\>",
                    13.009999999999998`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.062333\"\>",
                    0.062333141241240085`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-1.962000\"\>",
                    -1.9619999999999997`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"2.746800\"\>",
                    2.7468000000000004`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"1.962000\"\>",
                    1.9619999999999997`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.149223\"\>",
                    0.14922333419393055`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.444600\"\>",
                    -0.44459999999999944`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.622440\"\>",
                    0.6224399999999974,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.444600\"\>",
                    0.44459999999999944`,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}]}],
                     ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.138586\"\>",
                    0.13858551533448696`,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.122000\"\>",
                    -0.122,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"0.170800\"\>",
                    0.17079999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.122000\"\>",
                    0.122,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]]}], 
                    ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", "r", " ", 
                    RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{
                    InterpretationBox["\<\"-0.727000\"\>",
                    -0.727,
                    AutoDelete->True], " ", 
                    SuperscriptBox["r", 
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"1.017800\"\>",
                    1.0177999999999998`,
                    AutoDelete->True], "-", 
                    RowBox[{
                    InterpretationBox["\<\"0.727000\"\>",
                    0.727,
                    AutoDelete->True], " ", "z"}]}], ")"}], " ", "z"}]}]], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    InterpretationBox["\<\"-0.469081\"\>",
                    -0.4690805418968318,
                    AutoDelete->True], "+", 
                    RowBox[{
                    InterpretationBox["\<\"0.670115\"\>",
                    0.6701150598526169,
                    AutoDelete->True], " ", "z"}]}], ")"}]}]}], "}"}]}]], 
                    ")"}], 
                    RowBox[{
                    InterpretationBox["\<\"1\"\>",
                    1,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]}], 
                    SuperscriptBox[
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], 
                    RowBox[{
                    InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], "/", 
                    InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False]}]]]}], ")"}]}]], "]"}]}], ")"}]}]}], 
                 ")"}]}]}], ")"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"r", ",", 
              InterpretationBox["\<\"0\"\>",
               0,
               Editable->False], ",", "\[Infinity]"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"\[Phi]", ",", 
              InterpretationBox["\<\"0\"\>",
               0,
               Editable->False], ",", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], " ", "\[Pi]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
           "]"}], "+", 
          RowBox[{"Tr", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              InterpretationBox["\<\"2\"\>",
               2,
               Editable->False], " ", 
              RowBox[{
               RowBox[{"Transpose", "[", 
                RowBox[{
                 RowBox[{"Transpose", "[", "C$79682", "]"}], 
                 "\[LeftDoubleBracket]", 
                 RowBox[{
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False], ";;", 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
               
               RowBox[{
                RowBox[{"Transpose", "[", "C$79682", "]"}], 
                "\[LeftDoubleBracket]", 
                RowBox[{
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False], ";;", 
                 InterpretationBox["\<\"2\"\>",
                  2,
                  Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], 
            ".", 
            RowBox[{"(", 
             RowBox[{
              InterpretationBox["\<\"2\"\>",
               2,
               Editable->False], " ", 
              RowBox[{"SparseArray", "[", 
               RowBox[{"{", "}"}], "]"}]}], ")"}]}], "]"}], "-", 
          RowBox[{"Tr", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              InterpretationBox["\<\"2\"\>",
               2,
               Editable->False], " ", 
              RowBox[{
               RowBox[{"Transpose", "[", 
                RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
               RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
            RowBox[{"(", 
             RowBox[{
              InterpretationBox["\<\"2\"\>",
               2,
               Editable->False], " ", 
              RowBox[{"SparseArray", "[", 
               RowBox[{"{", "}"}], "]"}]}], ")"}]}], "]"}], "+", 
          RowBox[{
           FractionBox[
            InterpretationBox["\<\"1\"\>",
             1,
             Editable->False], 
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False]], " ", 
           RowBox[{"Tr", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], " ", 
               RowBox[{
                RowBox[{"Transpose", "[", 
                 RowBox[{
                  RowBox[{"Transpose", "[", "C$79682", "]"}], 
                  "\[LeftDoubleBracket]", 
                  RowBox[{
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], ";;", 
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
                RowBox[{
                 RowBox[{"Transpose", "[", "C$79682", "]"}], 
                 "\[LeftDoubleBracket]", 
                 RowBox[{
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False], ";;", 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}], 
             ".", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"SparseArray", "[", 
                RowBox[{"{", "}"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  InterpretationBox["\<\"1\"\>",
                   1,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}], ".", 
             RowBox[{"(", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], " ", 
               RowBox[{
                RowBox[{"Transpose", "[", 
                 RowBox[{
                  RowBox[{"Transpose", "[", "C$79682", "]"}], 
                  "\[LeftDoubleBracket]", 
                  RowBox[{
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False], ";;", 
                   InterpretationBox["\<\"2\"\>",
                    2,
                    Editable->False]}], "\[RightDoubleBracket]"}], "]"}], ".", 
                RowBox[{
                 RowBox[{"Transpose", "[", "C$79682", "]"}], 
                 "\[LeftDoubleBracket]", 
                 RowBox[{
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False], ";;", 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False]}], "\[RightDoubleBracket]"}]}]}], ")"}]}],
             "]"}]}], "-", 
          RowBox[{
           FractionBox[
            InterpretationBox["\<\"1\"\>",
             1,
             Editable->False], 
            InterpretationBox["\<\"2\"\>",
             2,
             Editable->False]], " ", 
           RowBox[{"Tr", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], " ", 
               RowBox[{
                RowBox[{"Transpose", "[", 
                 RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}], ".", 
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"SparseArray", "[", 
                RowBox[{"{", "}"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  InterpretationBox["\<\"1\"\>",
                   1,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  InterpretationBox["\<\"2\"\>",
                   2,
                   Editable->False], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   InterpretationBox["\<\"3\"\>",
                    3,
                    Editable->False], ",", 
                   InterpretationBox["\<\"4\"\>",
                    4,
                    Editable->False]}], "}"}]}], "}"}]}], "]"}], ".", 
             RowBox[{"(", 
              RowBox[{
               InterpretationBox["\<\"2\"\>",
                2,
                Editable->False], " ", 
               RowBox[{
                RowBox[{"Transpose", "[", 
                 RowBox[{"Transpose", "[", "C$79682", "]"}], "]"}], ".", 
                RowBox[{"Transpose", "[", "C$79682", "]"}]}]}], ")"}]}], 
            "]"}]}]}], ")"}]}],
       NumberForm[#, {9, 6}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\!\(\*SubsuperscriptBox[\(E\), \(LDA\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(LDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(LDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(LDA\), \((1)\)]\) \
(eV)"}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{
  3.787074186517267*^9, 3.7916568520755453`*^9, 3.7931627046737013`*^9, 
   3.7931627973148127`*^9, 3.793163969961727*^9, 3.793164036352007*^9, 
   3.793175158175495*^9, 3.793175682328196*^9, {3.793175719279941*^9, 
   3.793175748423036*^9}, {3.793175842464774*^9, 3.793175853675597*^9}, 
   3.7931759516383038`*^9, {3.793176118407647*^9, 3.793176132528296*^9}, 
   3.793176220544262*^9, 3.793176268523859*^9, 3.79317647280672*^9, 
   3.793177668953294*^9, 3.7931777925758553`*^9, 3.793177886997541*^9, 
   3.793178068791174*^9, 3.793178122251966*^9, 3.7931783704100122`*^9, 
   3.793178467702195*^9, 3.793203379711898*^9, 3.793203463309928*^9, 
   3.793203640760964*^9, {3.793203702570435*^9, 3.793203728703361*^9}, {
   3.793203758718935*^9, 3.793203776223791*^9}, 3.793203823392971*^9, {
   3.793203859636351*^9, 3.793203888587576*^9}, {3.793203988844947*^9, 
   3.793204013073483*^9}, 3.7932041057665358`*^9, 3.7932042755913973`*^9, {
   3.793204399233382*^9, 3.7932044031890383`*^9}, 3.7932044773597403`*^9, 
   3.7932048645014963`*^9, 3.79320543667803*^9, 3.793206055103714*^9, 
   3.7932064606698427`*^9, 3.793207177675885*^9, {3.793207218667902*^9, 
   3.7932072410231256`*^9}, 3.794590185201089*^9},
 CellLabel->
  "During evaluation of \
In[312]:=",ExpressionUUID->"1b700a43-47cd-449a-8d48-cfc20871d2c5"]
}, Open  ]],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{
  3.7870742165323277`*^9, 3.791656930323503*^9, 3.793162706679804*^9, 
   3.79316284215628*^9, 3.7931639778101463`*^9, 3.79316634364287*^9, 
   3.7931754809342823`*^9, 3.793175685495309*^9, 3.793175744077312*^9, {
   3.793175838538496*^9, 3.7931758632880297`*^9}, {3.793176113298368*^9, 
   3.793176134813552*^9}, 3.793176226172756*^9, 3.7931762827063217`*^9, 
   3.793177256636279*^9, {3.793177789383275*^9, 3.793177811289648*^9}, 
   3.79317789968642*^9, 3.793178101733444*^9, 3.793178201449481*^9, 
   3.793178442344901*^9, 3.793178538196227*^9, 3.793203379911911*^9, 
   3.793203463379773*^9, 3.7932036408395557`*^9, {3.793203711666211*^9, 
   3.793203729118635*^9}, {3.793203759583829*^9, 3.793203776371735*^9}, 
   3.793203823679648*^9, {3.793203866916902*^9, 3.793203889618997*^9}, 
   3.793203996238414*^9, 3.793204094074959*^9, 3.793204194854146*^9, {
   3.793204379668927*^9, 3.793204399452359*^9}, 3.7932044706826982`*^9, 
   3.793204524438032*^9, 3.7932048736057663`*^9, 3.79320553880659*^9, 
   3.793206105504534*^9, 3.7932064640350227`*^9, {3.793207198717877*^9, 
   3.79320722142105*^9}, 3.793207262973927*^9, 3.794590192157516*^9},
 CellLabel->
  "Out[312]=",ExpressionUUID->"26d14335-f2f0-4b31-9720-697c9ee153f3"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["cc-pVTZ", "Subsubsection",
 CellChangeTimes->{{3.7094716938503923`*^9, 3.709471695765217*^9}, {
   3.7094718058305817`*^9, 3.709471818432454*^9}, 3.70948391699489*^9, {
   3.71066648144525*^9, 3.710666489996147*^9}, {3.710666553908922*^9, 
   3.710666561721611*^9}, {3.7106666629125633`*^9, 3.710666663785451*^9}, 
   3.787073881616753*^9, {3.793175177064392*^9, 
   3.793175177244657*^9}},ExpressionUUID->"fbc9a1ba-4402-4010-8a10-\
c7d928092fc8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Workhorse", "[", 
  RowBox[{"2", ",", 
   RowBox[{"1", "/", "2"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", 
       RowBox[{"-", "0.7"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "0.", ",", "0.7"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.", ",", "1."}], "}"}], ",", "\[IndentingNewLine]", 
   "\"\<Cylindrical\>\"", ",", "\"\<H2_cc-pvtz\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"3.387000", " ", 
          SuperscriptBox["10", "1"]}], ",", 
         RowBox[{"5.095000", " ", 
          SuperscriptBox["10", "0"]}], ",", 
         RowBox[{"1.159000", " ", 
          SuperscriptBox["10", "1"]}], ",", 
         RowBox[{"3.258000", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}], ",", 
         RowBox[{"1.027000", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"6.068000", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "3"}]]}], ",", 
         RowBox[{"4.530800", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}], ",", 
         RowBox[{"2.028220", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}], ",", 
         RowBox[{"5.039030", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}], ",", 
         RowBox[{"3.834210", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}]}], "}"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"3.258000", " ", 
         SuperscriptBox["10", 
          RowBox[{"-", "1"}]]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"1.027000", " ", 
         SuperscriptBox["10", 
          RowBox[{"-", "1"}]]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"1.407000", " ", 
         SuperscriptBox["10", "0"]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"3.880000", " ", 
         SuperscriptBox["10", 
          RowBox[{"-", "1"}]]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<D\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"1.057000", " ", 
         SuperscriptBox["10", "0"]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"3.387000", " ", 
          SuperscriptBox["10", "1"]}], ",", 
         RowBox[{"5.095000", " ", 
          SuperscriptBox["10", "0"]}], ",", 
         RowBox[{"1.159000", " ", 
          SuperscriptBox["10", "1"]}], ",", 
         RowBox[{"3.258000", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}], ",", 
         RowBox[{"1.027000", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"6.068000", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "3"}]]}], ",", 
         RowBox[{"4.530800", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}], ",", 
         RowBox[{"2.028220", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}], ",", 
         RowBox[{"5.039030", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}], ",", 
         RowBox[{"3.834210", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}]}], "}"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"3.258000", " ", 
         SuperscriptBox["10", 
          RowBox[{"-", "1"}]]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"1.027000", " ", 
         SuperscriptBox["10", 
          RowBox[{"-", "1"}]]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"1.407000", " ", 
         SuperscriptBox["10", "0"]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"3.880000", " ", 
         SuperscriptBox["10", 
          RowBox[{"-", "1"}]]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<D\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"1.057000", " ", 
         SuperscriptBox["10", "0"]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.709460159893341*^9, 3.709460183509544*^9}, {
  3.709471890393758*^9, 3.7094718949764214`*^9}, {3.710666498834138*^9, 
  3.710666649505588*^9}, {3.710915689581842*^9, 3.710915690104362*^9}, {
  3.710915827354245*^9, 3.71091583820339*^9}, {3.711291371571423*^9, 
  3.711291374578184*^9}, {3.787074158343493*^9, 3.787074167837872*^9}, {
  3.79165685088554*^9, 3.79165685146686*^9}, {3.793162631347823*^9, 
  3.7931626335722637`*^9}, {3.793175328463023*^9, 3.7931754779906893`*^9}, {
  3.793176062977161*^9, 3.7931760630327253`*^9}, {3.7932071858497953`*^9, 
  3.7932071891601887`*^9}},
 CellLabel->
  "In[203]:=",ExpressionUUID->"af55c487-4651-47bd-8641-cf2a2beef891"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"Start of calculation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0, 0],
  FrontFaceColor->RGBColor[1, 0, 0],
  BackFaceColor->RGBColor[1, 0, 0],
  GraphicsColor->RGBColor[1, 0, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0, 0]]], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.793207322045725*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"5e657d85-888d-4915-8e5a-8dc34ab2c451"],

Cell[BoxData["\<\"Reading one-electron integrals...\"\>"], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.7932073220502977`*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"e9ee23f7-6dc8-4a12-a753-d1502a3c0a01"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.7932073220582647`*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"9d90bf6b-9a29-43be-bb16-411219d9935d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.006946`"}],
  SequenceForm["CPU time = ", 0.006946],
  Editable->False]], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.793207322060481*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"21eb6892-2a46-4d7f-8e57-3b2ba0241565"],

Cell[BoxData["\<\"Reading two-electron integrals...\"\>"], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.793207322062533*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"f2bfbca5-9453-4000-ac35-4a5c3ca43f01"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.793207323131422*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"09864b43-ef7a-4208-b327-d44b6679755a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "1.263305`"}],
  SequenceForm["CPU time = ", 1.263305],
  Editable->False]], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.7932073231332207`*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"3e5c4110-820b-4dd6-84e0-965b4465e8b3"],

Cell[BoxData["\<\"Ensemble RHF calculation...\"\>"], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.7932073241000557`*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"3e75a57d-e616-42a7-84b8-1cc511ec2946"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO energies: \"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.5573553305521942`"}], 
       RowBox[{"-", "0.010310997492364816`"}], "0.22237294792517684`", 
       "0.5050559811114519`", "0.5601436491118476`", "0.5601436491118528`", 
       "0.9875860594796178`", "1.0101100366726345`", "1.0101100366726379`", 
       "1.460434861315305`", "1.4950019515131188`", "1.8723137381038897`", 
       "2.952000982696983`", "2.952000982697171`", "3.143944873699805`", 
       "3.143944873699812`", "3.4344234830999145`", "3.713153268277437`", 
       "3.7131532682774537`", "3.8853717666925944`", "3.8853717666934617`", 
       "3.9195703755800704`", "3.919570375580093`", "4.217145259862436`", 
       "4.286133858759614`", "4.696024314947226`", "5.497875085923013`", 
       "5.497875085923057`", "5.750807051777746`", "8.744057590721058`"}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]]}],
  SequenceForm["MO energies: ", 
   TableForm[{{-0.5573553305521942, -0.010310997492364816`, 
    0.22237294792517684`, 0.5050559811114519, 0.5601436491118476, 
    0.5601436491118528, 0.9875860594796178, 1.0101100366726345`, 
    1.0101100366726379`, 1.460434861315305, 1.4950019515131188`, 
    1.8723137381038897`, 2.952000982696983, 2.952000982697171, 
    3.143944873699805, 3.143944873699812, 3.4344234830999145`, 
    3.713153268277437, 3.7131532682774537`, 3.8853717666925944`, 
    3.8853717666934617`, 3.9195703755800704`, 3.919570375580093, 
    4.217145259862436, 4.286133858759614, 4.696024314947226, 
    5.497875085923013, 5.497875085923057, 5.750807051777746, 
    8.744057590721058}}]],
  Editable->False]], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.793207325180545*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"baa65ee9-8268-4bed-a9c4-2e77c9ccf102"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO coefficients: \"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"0.8433083617176235`", "0.5231757409521186`", "0.0002885864290824073`", 
       RowBox[{"-", "0.03249953423235914`"}], "0", "0", 
       RowBox[{"-", "0.13258676123089772`"}], "0", "0", 
       RowBox[{"-", "0.08204300668133457`"}], "4.203755330306026`", 
       RowBox[{"-", "4.594895922536673`"}], "0", "0", "0", "0", 
       RowBox[{"-", "0.39897547042222326`"}], "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "3.3927665052075215`"}], "0.5496415194439592`", 
       RowBox[{"-", "1.4093649410432258`"}], "0", "0", 
       RowBox[{"-", "4.9667045441795805`"}], 
       RowBox[{"-", "10.917381902200388`"}]},
      {"0.2852989538342443`", "0.11332042111175632`", "0.9560674874884348`", 
       "2.327439038451958`", "0", "0", "0.817628341542799`", "0", "0", 
       RowBox[{"-", "13.012933741710365`"}], 
       RowBox[{"-", "2.167477867815221`"}], "3.2175313805839747`", "0", "0", 
       "0", "0", 
       RowBox[{"-", "0.6204241378607505`"}], "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "3.9173106148647507`"}], 
       RowBox[{"-", "1.800276388612412`"}], 
       RowBox[{"-", "6.677591080878826`"}], "0", "0", 
       RowBox[{"-", "0.19924708655131187`"}], 
       RowBox[{"-", "3.271470641630032`"}]},
      {"0.11735087249862779`", "1.9502958800832022`", 
       RowBox[{"-", "0.9206060449371699`"}], 
       RowBox[{"-", "2.7457805715585852`"}], "0", "0", 
       RowBox[{"-", "0.4119654190960825`"}], "0", "0", "0.3428000942170919`", 
       "0.6209313804072693`", 
       RowBox[{"-", "1.7608979136957652`"}], "0", "0", "0", "0", 
       "0.21127860131447834`", "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "0.870474809154415`"}], "0.33432855399536787`", 
       "0.7534714925815427`", "0", "0", "0.07881683915630157`", 
       RowBox[{"-", "0.6196513984955216`"}]},
      {"0", "0", "0", "0", "0.006918471715589939`", "0.04599598475046382`", 
       "0", "0.026642049453193768`", 
       RowBox[{"-", "0.04628885951730814`"}], "0", "0", "0", "0", "0", 
       "0.053672551871480706`", "0.5860370348782197`", "0", 
       "0.45535263394818437`", 
       RowBox[{"-", "0.29471707603910086`"}], "0", "0", 
       RowBox[{"-", "0.34498164865068404`"}], 
       RowBox[{"-", "0.5555275377432725`"}], "0", "0", "0", 
       RowBox[{"-", "1.0020273598586267`"}], "0.3285974640516146`", "0", 
       "0"},
      {"0", "0", "0", "0", 
       RowBox[{"-", "0.04586991566763147`"}], "0.006023603661430893`", "0", 
       "0.04533561381859588`", "0.02494911148642687`", "0", "0", "0", "0", 
       "0", "0.587996736735295`", 
       RowBox[{"-", "0.07198262975820303`"}], "0", "0.28464571880014927`", 
       "0.4488998235305451`", "0", "0", "0.5571439123428392`", 
       RowBox[{"-", "0.34757852605605827`"}], "0", "0", "0", 
       RowBox[{"-", "0.32281924479274304`"}], 
       RowBox[{"-", "1.0001473898044502`"}], "0", "0"},
      {"0.01624046608418267`", 
       RowBox[{"-", "0.011510563134951652`"}], "0.02375663664737582`", 
       RowBox[{"-", "0.0056851469863741354`"}], "0", "0", 
       "0.08459929718842783`", "0", "0", 
       RowBox[{"-", "0.13980824678001633`"}], "0.039357070758931065`", 
       "0.17426780329595534`", "0", "0", "0", "0", 
       RowBox[{"-", "0.8226283695937247`"}], "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "0.14984522583500948`"}], "0.113638460049132`", 
       "0.18658560858873763`", "0", "0", 
       RowBox[{"-", "0.05241314202784588`"}], 
       RowBox[{"-", "2.9196441786510743`"}]},
      {"0", "0", "0", "0", 
       RowBox[{"-", "0.08510827031136133`"}], 
       RowBox[{"-", "0.5658241970634564`"}], "0", 
       RowBox[{"-", "0.7114804303535404`"}], "1.2361518113615464`", "0", "0", 
       "0", "0", "0", 
       RowBox[{"-", "0.03359864989372637`"}], 
       RowBox[{"-", "0.3668551703444104`"}], "0", 
       RowBox[{"-", "0.9658153996135735`"}], "0.6251029846904337`", "0", "0", 
       "0.13015543469836757`", "0.20959065053081521`", "0", "0", "0", 
       RowBox[{"-", "0.47442285908403675`"}], "0.15557873430236033`", "0", 
       "0"},
      {"0", "0", "0", "0", "0.5642733456585826`", 
       RowBox[{"-", "0.07409996163031382`"}], "0", 
       RowBox[{"-", "1.2106952239791007`"}], 
       RowBox[{"-", "0.6662702360224715`"}], "0", "0", "0", "0", "0", 
       RowBox[{"-", "0.3680819302858664`"}], "0.04506063325378865`", "0", 
       RowBox[{"-", "0.6037413603333925`"}], 
       RowBox[{"-", "0.9521288121042499`"}], "0", "0", 
       RowBox[{"-", "0.21020047989269405`"}], "0.13113519031400273`", "0", 
       "0", "0", 
       RowBox[{"-", "0.15284296139730788`"}], 
       RowBox[{"-", "0.47353276286130624`"}], "0", "0"},
      {"0.020020519157142307`", 
       RowBox[{"-", "0.004060521177834899`"}], 
       RowBox[{"-", "0.006763353903815909`"}], "0.0777506791812527`", "0", 
       "0", 
       RowBox[{"-", "1.0295422974066082`"}], "0", "0", 
       RowBox[{"-", "6.172233853121165`"}], 
       RowBox[{"-", "0.3497801248572091`"}], 
       RowBox[{"-", "0.04284314793695372`"}], "0", "0", "0", "0", 
       "0.820568904956461`", "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "3.196973747875341`"}], 
       RowBox[{"-", "0.4682675850065641`"}], 
       RowBox[{"-", "2.38332842209962`"}], "0", "0", "0.6334889040878597`", 
       RowBox[{"-", "2.692898376178642`"}]},
      {"0.00029578895883415753`", "0.01990071780186484`", 
       RowBox[{"-", "0.08131533419660128`"}], 
       RowBox[{"-", "0.11602242476071221`"}], "0", "0", 
       RowBox[{"-", "0.006222359595817017`"}], "0", "0", 
       "0.13956188679556264`", "0.4924326343426801`", 
       RowBox[{"-", "0.5263842167785673`"}], "0.0006110529745058483`", 
       RowBox[{"-", "0.5260879503057796`"}], "0", "0", "0.02072163710863293`",
        "0", "0", "0.0008594284903985897`", "0.7624455591957071`", "0", "0", 
       RowBox[{"-", "0.3862303742511667`"}], "1.095113943975753`", 
       "1.0409093025836271`", "0", "0", 
       RowBox[{"-", "0.18515837541949426`"}], 
       RowBox[{"-", "0.3495313089138349`"}]},
      {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       "0.6074740463875453`", "0.0007115285140121175`", "0", "0", "0", "0", 
       "0", 
       RowBox[{"-", "0.8803964085253931`"}], "0.0010862709182717536`", "0", 
       "0", "0", "0", "0", "0", "0", "0", "0"},
      {"0", "0", "0", "0", "0.00022498060781405522`", 
       "0.0014957356236412458`", "0", 
       RowBox[{"-", "0.05362325791141711`"}], "0.09316698614657022`", "0", 
       "0", "0", "0", "0", "0.02912651694698047`", "0.3180250804695976`", "0", 
       RowBox[{"-", "0.6680674211459852`"}], "0.4323920897304693`", "0", "0", 
       "0.2973601867285372`", "0.4788422021933474`", "0", "0", "0", 
       RowBox[{"-", "1.3131095139310545`"}], "0.43061145192750017`", "0", "0"},
      {"0.0002957889588267371`", "0.019900717801864733`", 
       RowBox[{"-", "0.08131533419660106`"}], 
       RowBox[{"-", "0.11602242476071266`"}], "0", "0", 
       RowBox[{"-", "0.006222359595821546`"}], "0", "0", 
       "0.13956188679556042`", "0.492432634342671`", 
       RowBox[{"-", "0.5263842167785656`"}], 
       RowBox[{"-", "0.0006110529745114076`"}], "0.5260879503057837`", "0", 
       "0", "0.02072163710863501`", "0", "0", 
       RowBox[{"-", "0.0008594284903885447`"}], 
       RowBox[{"-", "0.7624455591957197`"}], "0", "0", 
       RowBox[{"-", "0.38623037425115514`"}], "1.09511394397575`", 
       "1.0409093025836171`", "0", "0", 
       RowBox[{"-", "0.185158375419501`"}], 
       RowBox[{"-", "0.34953130891383055`"}]},
      {"0", "0", "0", "0", 
       RowBox[{"-", "0.00149163600452781`"}], "0.00019588054539816023`", "0", 
       
       RowBox[{"-", "0.091248359726904`"}], 
       RowBox[{"-", "0.0502158305143821`"}], "0", "0", "0", "0", "0", 
       "0.3190885530894305`", 
       RowBox[{"-", "0.0390628582475574`"}], "0", 
       RowBox[{"-", "0.41761596864003564`"}], 
       RowBox[{"-", "0.6586002256287822`"}], "0", "0", 
       RowBox[{"-", "0.48023545152887903`"}], "0.29959858970792463`", "0", 
       "0", "0", 
       RowBox[{"-", "0.42303936858290364`"}], 
       RowBox[{"-", "1.3106459019949663`"}], "0", "0"},
      {"0.002179620682935258`", "0.017664048400786305`", 
       RowBox[{"-", "0.08283214406710973`"}], 
       RowBox[{"-", "0.10803789378033195`"}], "0", "0", 
       RowBox[{"-", "0.101632558874126`"}], "0", "0", 
       RowBox[{"-", "0.2873699814830703`"}], "0.5198393047903483`", 
       RowBox[{"-", "0.3110473431181953`"}], "0", "0", "0", "0", 
       "0.48533314628554336`", "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "1.7452436754238025`"}], "0.27039602810256225`", 
       "0.16074107145122196`", "0", "0", "1.3489045324101314`", 
       RowBox[{"-", "2.6830574659343687`"}]},
      {"0.8433083617176221`", 
       RowBox[{"-", "0.5231757409521404`"}], "0.0002885864291149263`", 
       "0.03249953423252993`", "0", "0", 
       RowBox[{"-", "0.13258676123081284`"}], "0", "0", "0.0820430066631472`",
        "4.203755330307847`", "4.594895922535387`", "0", "0", "0", "0", 
       RowBox[{"-", "0.39897547042218895`"}], "0", "0", "0", "0", "0", "0", 
       "3.392766505206755`", "0.5496415194515759`", "1.4093649410437785`", 
       "0", "0", 
       RowBox[{"-", "4.966704544181198`"}], "10.917381902197924`"},
      {"0.2852989538343365`", 
       RowBox[{"-", "0.11332042111175974`"}], "0.9560674874890838`", 
       RowBox[{"-", "2.3274390384520767`"}], "0", "0", "0.8176283415434233`", 
       "0", "0", "13.012933741719944`", 
       RowBox[{"-", "2.1674778677516935`"}], 
       RowBox[{"-", "3.2175313805832157`"}], "0", "0", "0", "0", 
       RowBox[{"-", "0.6204241378612589`"}], "0", "0", "0", "0", "0", "0", 
       "3.9173106148691783`", 
       RowBox[{"-", "1.8002763886034485`"}], "6.677591080877946`", "0", "0", 
       RowBox[{"-", "0.19924708655100484`"}], "3.2714706416301778`"},
      {"0.1173508724985637`", 
       RowBox[{"-", "1.9502958800832013`"}], 
       RowBox[{"-", "0.9206060449372135`"}], "2.7457805715586248`", "0", "0", 
       
       RowBox[{"-", "0.4119654190961232`"}], "0", "0", 
       RowBox[{"-", "0.3428000942197809`"}], "0.6209313804060578`", 
       "1.7608979136955343`", "0", "0", "0", "0", "0.21127860131462128`", "0",
        "0", "0", "0", "0", "0", "0.8704748091535738`", "0.334328553997875`", 
       
       RowBox[{"-", "0.7534714925813827`"}], "0", "0", "0.07881683915646968`",
        "0.6196513984954665`"},
      {"0", "0", "0", "0", "0.006918471715589827`", "0.04599598475046676`", 
       "0", 
       RowBox[{"-", "0.026642049453192665`"}], "0.046288859517307504`", "0", 
       "0", "0", "0", "0", "0.053672551871479936`", "0.5860370348782088`", 
       "0", 
       RowBox[{"-", "0.45535263394818504`"}], "0.29471707603913766`", "0", 
       "0", 
       RowBox[{"-", "0.3449816486506832`"}], 
       RowBox[{"-", "0.5555275377432644`"}], "0", "0", "0", 
       "1.0020273598586265`", 
       RowBox[{"-", "0.3285974640516171`"}], "0", "0"},
      {"0", "0", "0", "0", 
       RowBox[{"-", "0.04586991566763255`"}], "0.0060236036614322195`", "0", 
       RowBox[{"-", "0.0453356138185961`"}], 
       RowBox[{"-", "0.024949111486427474`"}], "0", "0", "0", "0", "0", 
       "0.5879967367352963`", 
       RowBox[{"-", "0.07198262975820148`"}], "0", 
       RowBox[{"-", "0.28464571880017625`"}], 
       RowBox[{"-", "0.4488998235305825`"}], "0", "0", "0.5571439123427808`", 
       
       RowBox[{"-", "0.3475785260560504`"}], "0", "0", "0", 
       "0.3228192447927469`", "1.00014738980445`", "0", "0"},
      {
       RowBox[{"-", "0.016240466084179967`"}], 
       RowBox[{"-", "0.011510563134950923`"}], 
       RowBox[{"-", "0.023756636647389945`"}], 
       RowBox[{"-", "0.005685146986384111`"}], "0", "0", 
       RowBox[{"-", "0.08459929718845288`"}], "0", "0", 
       RowBox[{"-", "0.13980824677981724`"}], 
       RowBox[{"-", "0.03935707075961142`"}], "0.17426780329593447`", "0", 
       "0", "0", "0", "0.8226283695937974`", "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "0.14984522583475018`"}], 
       RowBox[{"-", "0.11363846004957348`"}], "0.1865856085886596`", "0", "0",
        "0.05241314202861068`", 
       RowBox[{"-", "2.9196441786510188`"}]},
      {"0", "0", "0", "0", 
       RowBox[{"-", "0.08510827031136434`"}], 
       RowBox[{"-", "0.565824197063473`"}], "0", "0.711480430353537`", 
       RowBox[{"-", "1.2361518113615382`"}], "0", "0", "0", "0", "0", 
       RowBox[{"-", "0.033598649893726636`"}], 
       RowBox[{"-", "0.3668551703443852`"}], "0", "0.9658153996135753`", 
       RowBox[{"-", "0.6251029846904483`"}], "0", "0", "0.1301554346983682`", 
       "0.20959065053080828`", "0", "0", "0", "0.4744228590840366`", 
       RowBox[{"-", "0.15557873430235894`"}], "0", "0"},
      {"0", "0", "0", "0", "0.5642733456585914`", 
       RowBox[{"-", "0.0740999616303109`"}], "0", "1.2106952239791013`", 
       "0.6662702360224722`", "0", "0", "0", "0", "0", 
       RowBox[{"-", "0.3680819302858582`"}], "0.045060633253782095`", "0", 
       "0.6037413603334013`", "0.9521288121042657`", "0", "0", 
       RowBox[{"-", "0.2102004798925843`"}], "0.1311351903139913`", "0", "0", 
       "0", "0.15284296139730671`", "0.4735327628613085`", "0", "0"},
      {
       RowBox[{"-", "0.020020519157177657`"}], 
       RowBox[{"-", "0.00406052117783554`"}], "0.006763353903540778`", 
       "0.07775067918126576`", "0", "0", "1.0295422974062698`", "0", "0", 
       RowBox[{"-", "6.172233853122785`"}], "0.3497801248266111`", 
       RowBox[{"-", "0.04284314793701542`"}], "0", "0", "0", "0", 
       RowBox[{"-", "0.8205689049563121`"}], "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "3.1969737478763713`"}], "0.46826758499851606`", 
       RowBox[{"-", "2.3833284220993063`"}], "0", "0", 
       RowBox[{"-", "0.6334889040880917`"}], 
       RowBox[{"-", "2.6928983761789396`"}]},
      {"0.0002957889588278358`", 
       RowBox[{"-", "0.01990071780186564`"}], 
       RowBox[{"-", "0.08131533419661881`"}], "0.11602242476074634`", "0", 
       "0", 
       RowBox[{"-", "0.006222359595817613`"}], "0", "0", 
       RowBox[{"-", "0.13956188679784842`"}], "0.4924326343421728`", 
       "0.5263842167784353`", "0.0006110529745085756`", 
       RowBox[{"-", "0.5260879503057846`"}], "0", "0", 
       "0.020721637108631764`", "0", "0", 
       RowBox[{"-", "0.0008594284903943208`"}], 
       RowBox[{"-", "0.7624455591957154`"}], "0", "0", "0.3862303742485633`", 
       "1.0951139439772462`", 
       RowBox[{"-", "1.0409093025830614`"}], "0", "0", 
       RowBox[{"-", "0.18515837541952695`"}], "0.34953130891372003`"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       "0.6074740463875402`", "0.0007115285140119871`", "0", "0", "0", "0", 
       "0", "0.8803964085253981`", 
       RowBox[{"-", "0.0010862709182728834`"}], "0", "0", "0", "0", "0", "0", 
       "0", "0", "0"},
      {"0", "0", "0", "0", 
       RowBox[{"-", "0.00022498060781429944`"}], 
       RowBox[{"-", "0.0014957356236432813`"}], "0", 
       RowBox[{"-", "0.05362325791141729`"}], "0.09316698614657137`", "0", 
       "0", "0", "0", "0", 
       RowBox[{"-", "0.02912651694697896`"}], 
       RowBox[{"-", "0.31802508046962`"}], "0", 
       RowBox[{"-", "0.6680674211459678`"}], "0.432392089730485`", "0", "0", 
       RowBox[{"-", "0.29736018672853853`"}], 
       RowBox[{"-", "0.4788422021933454`"}], "0", "0", "0", 
       RowBox[{"-", "1.313109513931052`"}], "0.43061145192749645`", "0", 
       "0"},
      {"0.0002957889588305086`", 
       RowBox[{"-", "0.019900717801865475`"}], 
       RowBox[{"-", "0.0813153341966188`"}], "0.11602242476074645`", "0", "0", 
       RowBox[{"-", "0.006222359595816851`"}], "0", "0", 
       RowBox[{"-", "0.13956188679784637`"}], "0.4924326343421692`", 
       "0.5263842167784383`", 
       RowBox[{"-", "0.0006110529745069319`"}], "0.5260879503057828`", "0", 
       "0", "0.020721637108654715`", "0", "0", "0.0008594284903934606`", 
       "0.762445559195707`", "0", "0", "0.38623037424855333`", 
       "1.0951139439772597`", 
       RowBox[{"-", "1.0409093025830523`"}], "0", "0", 
       RowBox[{"-", "0.18515837541952157`"}], "0.34953130891371886`"},
      {"0", "0", "0", "0", "0.0014916360045296527`", 
       RowBox[{"-", "0.00019588054540048668`"}], "0", 
       RowBox[{"-", "0.09124835972690386`"}], 
       RowBox[{"-", "0.05021583051438229`"}], "0", "0", "0", "0", "0", 
       RowBox[{"-", "0.3190885530894365`"}], "0.03906285824756112`", "0", 
       RowBox[{"-", "0.41761596864006134`"}], 
       RowBox[{"-", "0.6586002256288128`"}], "0", "0", "0.4802354515288134`", 
       
       RowBox[{"-", "0.29959858970791464`"}], "0", "0", "0", 
       RowBox[{"-", "0.4230393685829018`"}], 
       RowBox[{"-", "1.3106459019949623`"}], "0", "0"},
      {"0.002179620682931257`", 
       RowBox[{"-", "0.017664048400785146`"}], 
       RowBox[{"-", "0.08283214406709094`"}], "0.10803789378034905`", "0", 
       "0", 
       RowBox[{"-", "0.10163255887408211`"}], "0", "0", 
       "0.28736998148077925`", "0.5198393047918973`", "0.31104734311794974`", 
       "0", "0", "0", "0", "0.4853331462854943`", "0", "0", "0", "0", "0", 
       "0", "1.7452436754229148`", "0.27039602810715`", 
       RowBox[{"-", "0.1607410714511744`"}], "0", "0", "1.3489045324098128`", 
       "2.68305746593485`"}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]]}],
  SequenceForm["MO coefficients: ", 
   TableForm[{{
     0.8433083617176235, 0.5231757409521186, 
      0.0002885864290824073, -0.03249953423235914, 0, 
      0, -0.13258676123089772`, 0, 0, -0.08204300668133457, 
      4.203755330306026, -4.594895922536673, 0, 0, 0, 
      0, -0.39897547042222326`, 0, 0, 0, 0, 0, 0, -3.3927665052075215`, 
      0.5496415194439592, -1.4093649410432258`, 0, 
      0, -4.9667045441795805`, -10.917381902200388`}, {
     0.2852989538342443, 0.11332042111175632`, 0.9560674874884348, 
      2.327439038451958, 0, 0, 0.817628341542799, 0, 
      0, -13.012933741710365`, -2.167477867815221, 3.2175313805839747`, 0, 0, 
      0, 0, -0.6204241378607505, 0, 0, 0, 0, 0, 
      0, -3.9173106148647507`, -1.800276388612412, -6.677591080878826, 0, 
      0, -0.19924708655131187`, -3.271470641630032}, {
     0.11735087249862779`, 
      1.9502958800832022`, -0.9206060449371699, -2.7457805715585852`, 0, 
      0, -0.4119654190960825, 0, 0, 0.3428000942170919, 
      0.6209313804072693, -1.7608979136957652`, 0, 0, 0, 0, 
      0.21127860131447834`, 0, 0, 0, 0, 0, 0, -0.870474809154415, 
      0.33432855399536787`, 0.7534714925815427, 0, 0, 
      0.07881683915630157, -0.6196513984955216}, {
     0, 0, 0, 0, 0.006918471715589939, 0.04599598475046382, 0, 
      0.026642049453193768`, -0.04628885951730814, 0, 0, 0, 0, 0, 
      0.053672551871480706`, 0.5860370348782197, 0, 
      0.45535263394818437`, -0.29471707603910086`, 0, 
      0, -0.34498164865068404`, -0.5555275377432725, 0, 0, 
      0, -1.0020273598586267`, 0.3285974640516146, 0, 0}, {
     0, 0, 0, 0, -0.04586991566763147, 0.006023603661430893, 0, 
      0.04533561381859588, 0.02494911148642687, 0, 0, 0, 0, 0, 
      0.587996736735295, -0.07198262975820303, 0, 0.28464571880014927`, 
      0.4488998235305451, 0, 0, 0.5571439123428392, -0.34757852605605827`, 0, 
      0, 0, -0.32281924479274304`, -1.0001473898044502`, 0, 0}, {
     0.01624046608418267, -0.011510563134951652`, 
      0.02375663664737582, -0.0056851469863741354`, 0, 0, 0.08459929718842783,
       0, 0, -0.13980824678001633`, 0.039357070758931065`, 
      0.17426780329595534`, 0, 0, 0, 0, -0.8226283695937247, 0, 0, 0, 0, 0, 
      0, -0.14984522583500948`, 0.113638460049132, 0.18658560858873763`, 0, 
      0, -0.05241314202784588, -2.9196441786510743`}, {
     0, 0, 0, 0, -0.08510827031136133, -0.5658241970634564, 
      0, -0.7114804303535404, 1.2361518113615464`, 0, 0, 0, 0, 
      0, -0.03359864989372637, -0.3668551703444104, 0, -0.9658153996135735, 
      0.6251029846904337, 0, 0, 0.13015543469836757`, 0.20959065053081521`, 0,
       0, 0, -0.47442285908403675`, 0.15557873430236033`, 0, 0}, {
     0, 0, 0, 0, 0.5642733456585826, -0.07409996163031382, 
      0, -1.2106952239791007`, -0.6662702360224715, 0, 0, 0, 0, 
      0, -0.3680819302858664, 0.04506063325378865, 
      0, -0.6037413603333925, -0.9521288121042499, 0, 
      0, -0.21020047989269405`, 0.13113519031400273`, 0, 0, 
      0, -0.15284296139730788`, -0.47353276286130624`, 0, 0}, {
     0.020020519157142307`, -0.004060521177834899, -0.006763353903815909, 
      0.0777506791812527, 0, 0, -1.0295422974066082`, 0, 
      0, -6.172233853121165, -0.3497801248572091, -0.04284314793695372, 0, 0, 
      0, 0, 0.820568904956461, 0, 0, 0, 0, 0, 
      0, -3.196973747875341, -0.4682675850065641, -2.38332842209962, 0, 0, 
      0.6334889040878597, -2.692898376178642}, {
     0.00029578895883415753`, 
      0.01990071780186484, -0.08131533419660128, -0.11602242476071221`, 0, 
      0, -0.006222359595817017, 0, 0, 0.13956188679556264`, 
      0.4924326343426801, -0.5263842167785673, 
      0.0006110529745058483, -0.5260879503057796, 0, 0, 0.02072163710863293, 
      0, 0, 0.0008594284903985897, 0.7624455591957071, 0, 
      0, -0.3862303742511667, 1.095113943975753, 1.0409093025836271`, 0, 
      0, -0.18515837541949426`, -0.3495313089138349}, {
     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.6074740463875453, 
      0.0007115285140121175, 0, 0, 0, 0, 0, -0.8803964085253931, 
      0.0010862709182717536`, 0, 0, 0, 0, 0, 0, 0, 0, 0}, {
     0, 0, 0, 0, 0.00022498060781405522`, 0.0014957356236412458`, 
      0, -0.05362325791141711, 0.09316698614657022, 0, 0, 0, 0, 0, 
      0.02912651694698047, 0.3180250804695976, 0, -0.6680674211459852, 
      0.4323920897304693, 0, 0, 0.2973601867285372, 0.4788422021933474, 0, 0, 
      0, -1.3131095139310545`, 0.43061145192750017`, 0, 0}, {
     0.0002957889588267371, 
      0.019900717801864733`, -0.08131533419660106, -0.11602242476071266`, 0, 
      0, -0.006222359595821546, 0, 0, 0.13956188679556042`, 
      0.492432634342671, -0.5263842167785656, -0.0006110529745114076, 
      0.5260879503057837, 0, 0, 0.02072163710863501, 0, 
      0, -0.0008594284903885447, -0.7624455591957197, 0, 
      0, -0.38623037425115514`, 1.09511394397575, 1.0409093025836171`, 0, 
      0, -0.185158375419501, -0.34953130891383055`}, {
     0, 0, 0, 0, -0.00149163600452781, 0.00019588054539816023`, 
      0, -0.091248359726904, -0.0502158305143821, 0, 0, 0, 0, 0, 
      0.3190885530894305, -0.0390628582475574, 
      0, -0.41761596864003564`, -0.6586002256287822, 0, 
      0, -0.48023545152887903`, 0.29959858970792463`, 0, 0, 
      0, -0.42303936858290364`, -1.3106459019949663`, 0, 0}, {
     0.002179620682935258, 
      0.017664048400786305`, -0.08283214406710973, -0.10803789378033195`, 0, 
      0, -0.101632558874126, 0, 0, -0.2873699814830703, 
      0.5198393047903483, -0.3110473431181953, 0, 0, 0, 0, 
      0.48533314628554336`, 0, 0, 0, 0, 0, 0, -1.7452436754238025`, 
      0.27039602810256225`, 0.16074107145122196`, 0, 0, 
      1.3489045324101314`, -2.6830574659343687`}, {
     0.8433083617176221, -0.5231757409521404, 0.0002885864291149263, 
      0.03249953423252993, 0, 0, -0.13258676123081284`, 0, 0, 
      0.0820430066631472, 4.203755330307847, 4.594895922535387, 0, 0, 0, 
      0, -0.39897547042218895`, 0, 0, 0, 0, 0, 0, 3.392766505206755, 
      0.5496415194515759, 1.4093649410437785`, 0, 0, -4.966704544181198, 
      10.917381902197924`}, {
     0.2852989538343365, -0.11332042111175974`, 
      0.9560674874890838, -2.3274390384520767`, 0, 0, 0.8176283415434233, 0, 
      0, 13.012933741719944`, -2.1674778677516935`, -3.2175313805832157`, 0, 
      0, 0, 0, -0.6204241378612589, 0, 0, 0, 0, 0, 0, 
      3.9173106148691783`, -1.8002763886034485`, 6.677591080877946, 0, 
      0, -0.19924708655100484`, 3.2714706416301778`}, {
     0.1173508724985637, -1.9502958800832013`, -0.9206060449372135, 
      2.7457805715586248`, 0, 0, -0.4119654190961232, 0, 
      0, -0.3428000942197809, 0.6209313804060578, 1.7608979136955343`, 0, 0, 
      0, 0, 0.21127860131462128`, 0, 0, 0, 0, 0, 0, 0.8704748091535738, 
      0.334328553997875, -0.7534714925813827, 0, 0, 0.07881683915646968, 
      0.6196513984954665}, {
     0, 0, 0, 0, 0.006918471715589827, 0.04599598475046676, 
      0, -0.026642049453192665`, 0.046288859517307504`, 0, 0, 0, 0, 0, 
      0.053672551871479936`, 0.5860370348782088, 0, -0.45535263394818504`, 
      0.29471707603913766`, 0, 0, -0.3449816486506832, -0.5555275377432644, 0,
       0, 0, 1.0020273598586265`, -0.3285974640516171, 0, 0}, {
     0, 0, 0, 0, -0.04586991566763255, 0.0060236036614322195`, 
      0, -0.0453356138185961, -0.024949111486427474`, 0, 0, 0, 0, 0, 
      0.5879967367352963, -0.07198262975820148, 
      0, -0.28464571880017625`, -0.4488998235305825, 0, 0, 
      0.5571439123427808, -0.3475785260560504, 0, 0, 0, 0.3228192447927469, 
      1.00014738980445, 0, 
      0}, {-0.016240466084179967`, -0.011510563134950923`, \
-0.023756636647389945`, -0.005685146986384111, 0, 0, -0.08459929718845288, 0, 
      0, -0.13980824677981724`, -0.03935707075961142, 0.17426780329593447`, 0,
       0, 0, 0, 0.8226283695937974, 0, 0, 0, 0, 0, 
      0, -0.14984522583475018`, -0.11363846004957348`, 0.1865856085886596, 0, 
      0, 0.05241314202861068, -2.9196441786510188`}, {
     0, 0, 0, 0, -0.08510827031136434, -0.565824197063473, 0, 
      0.711480430353537, -1.2361518113615382`, 0, 0, 0, 0, 
      0, -0.033598649893726636`, -0.3668551703443852, 0, 
      0.9658153996135753, -0.6251029846904483, 0, 0, 0.1301554346983682, 
      0.20959065053080828`, 0, 0, 0, 
      0.4744228590840366, -0.15557873430235894`, 0, 0}, {
     0, 0, 0, 0, 0.5642733456585914, -0.0740999616303109, 0, 
      1.2106952239791013`, 0.6662702360224722, 0, 0, 0, 0, 
      0, -0.3680819302858582, 0.045060633253782095`, 0, 0.6037413603334013, 
      0.9521288121042657, 0, 0, -0.2102004798925843, 0.1311351903139913, 0, 0,
       0, 0.15284296139730671`, 0.4735327628613085, 0, 
      0}, {-0.020020519157177657`, -0.00406052117783554, 0.006763353903540778,
       0.07775067918126576, 0, 0, 1.0295422974062698`, 0, 
      0, -6.172233853122785, 0.3497801248266111, -0.04284314793701542, 0, 0, 
      0, 0, -0.8205689049563121, 0, 0, 0, 0, 0, 0, -3.1969737478763713`, 
      0.46826758499851606`, -2.3833284220993063`, 0, 
      0, -0.6334889040880917, -2.6928983761789396`}, {
     0.0002957889588278358, -0.01990071780186564, -0.08131533419661881, 
      0.11602242476074634`, 0, 0, -0.006222359595817613, 0, 
      0, -0.13956188679784842`, 0.4924326343421728, 0.5263842167784353, 
      0.0006110529745085756, -0.5260879503057846, 0, 0, 0.020721637108631764`,
       0, 0, -0.0008594284903943208, -0.7624455591957154, 0, 0, 
      0.3862303742485633, 1.0951139439772462`, -1.0409093025830614`, 0, 
      0, -0.18515837541952695`, 0.34953130891372003`}, {
     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.6074740463875402, 
      0.0007115285140119871, 0, 0, 0, 0, 0, 
      0.8803964085253981, -0.0010862709182728834`, 0, 0, 0, 0, 0, 0, 0, 0, 
      0}, {0, 0, 0, 0, -0.00022498060781429944`, -0.0014957356236432813`, 
      0, -0.05362325791141729, 0.09316698614657137, 0, 0, 0, 0, 
      0, -0.02912651694697896, -0.31802508046962, 0, -0.6680674211459678, 
      0.432392089730485, 0, 0, -0.29736018672853853`, -0.4788422021933454, 0, 
      0, 0, -1.313109513931052, 0.43061145192749645`, 0, 0}, {
     0.0002957889588305086, -0.019900717801865475`, -0.0813153341966188, 
      0.11602242476074645`, 0, 0, -0.006222359595816851, 0, 
      0, -0.13956188679784637`, 0.4924326343421692, 
      0.5263842167784383, -0.0006110529745069319, 0.5260879503057828, 0, 0, 
      0.020721637108654715`, 0, 0, 0.0008594284903934606, 0.762445559195707, 
      0, 0, 0.38623037424855333`, 1.0951139439772597`, -1.0409093025830523`, 
      0, 0, -0.18515837541952157`, 0.34953130891371886`}, {
     0, 0, 0, 0, 0.0014916360045296527`, -0.00019588054540048668`, 
      0, -0.09124835972690386, -0.05021583051438229, 0, 0, 0, 0, 
      0, -0.3190885530894365, 0.03906285824756112, 
      0, -0.41761596864006134`, -0.6586002256288128, 0, 0, 
      0.4802354515288134, -0.29959858970791464`, 0, 0, 
      0, -0.4230393685829018, -1.3106459019949623`, 0, 0}, {
     0.002179620682931257, -0.017664048400785146`, -0.08283214406709094, 
      0.10803789378034905`, 0, 0, -0.10163255887408211`, 0, 0, 
      0.28736998148077925`, 0.5198393047918973, 0.31104734311794974`, 0, 0, 0,
       0, 0.4853331462854943, 0, 0, 0, 0, 0, 0, 1.7452436754229148`, 
      0.27039602810715, -0.1607410714511744, 0, 0, 1.3489045324098128`, 
      2.68305746593485}}]],
  Editable->False]], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.793207325185535*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"35211a82-36d3-42b6-855c-45137bd74ae3"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"n\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(Basis\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"w\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(0\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(Nuc\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(GIC - HF\\), \
\\(w\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(T\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(V\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(J\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(K\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(SCF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"Conv\"\>",
       HoldForm], 
      TagBox["\<\"HL Gap\"\>",
       HoldForm]},
     {"2", "30", 
      FractionBox["1", "2"], 
      TagBox[
       InterpretationBox["\<\"-0.472037\"\>",
        -0.472036847906285,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.714286\"\>",
        0.7142857142857143,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-1.186323\"\>",
        -1.1863225621919993`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-1.297396\"\>",
        -1.29739620268525,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.979052\"\>",
        0.9790521685125981,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-2.784031\"\>",
        -2.7840309648520423`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.903579\"\>",
        0.9035791719821323,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.284923\"\>",
        -0.2849229378346875,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], "11", 
      TagBox[
       InterpretationBox[
        RowBox[{"\<\"2.816\"\>", "\[Times]", 
         SuperscriptBox["10", "\<\"-8\"\>"]}],
        2.8159338971711634`*^-8,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ], 
      TagBox[
       InterpretationBox["\<\"0.547\"\>",
        0.5470443330598294,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"n", "\!\(\*SubscriptBox[\(N\), \(Basis\)]\)", "w", 
       "\!\(\*SubscriptBox[\(E\), \(0\)]\)", 
       "\!\(\*SubscriptBox[\(E\), \(Nuc\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(GIC - HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(T\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(V\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(J\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(K\), \(HF\), \(w\)]\)", 
       "\!\(\*SubscriptBox[\(N\), \(SCF\)]\)", "Conv", "HL Gap"}}, 
    TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.79320732544177*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"0e840ca0-7aa7-4f62-a567-0dc2120bc3ba"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\((0)\\)]\\)\
\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\((1)\\)]\\)\
\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \\(HF\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \\(HF\\), \
\\((1)\\)]\\)(eV)\"\>",
       HoldForm]},
     {
      TagBox[
       InterpretationBox["\<\"-1.130155\"\>",
        -1.1301548214593615`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.036066\"\>",
        -0.03606615533971069,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"1.094089\"\>",
        1.0940886661196507`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"29.771669\"\>",
        29.77166903388871,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\!\(\*SubsuperscriptBox[\(E\), \(HF\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(HF\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \
\((1)\)]\)(eV)"}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.793207325692192*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"e52b41bb-9387-45f6-9eb6-7a9147133fa8"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.793207325694994*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"d184c217-20ce-4400-833c-3989b229c3d2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "3.161923`"}],
  SequenceForm["CPU time = ", 3.161923],
  Editable->False]], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.793207325696722*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"5bca5581-006c-4652-85f5-7129407de355"],

Cell[BoxData["\<\"Compute GOK-DFT energies...\"\>"], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.7932073256983852`*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"89ab306d-79c5-4274-b614-87357c2415d7"],

Cell[BoxData["\<\"Integrating one-electron density...\"\>"], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.793207325819762*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"19fec9fc-341e-4955-b9de-6aa908e5fbb2"],

Cell[BoxData["7.639708141085445`"], "Print",
 CellChangeTimes->{3.787074186517267*^9, 3.7916568520755453`*^9, 
  3.7931627046737013`*^9, 3.7931627973148127`*^9, 3.793163969961727*^9, 
  3.793164036352007*^9, 3.793175158175495*^9, 3.793176286794467*^9, 
  3.7931791321867447`*^9, 3.793207333738082*^9},
 CellLabel->
  "During evaluation of \
In[203]:=",ExpressionUUID->"74708ff8-638b-47a7-821e-a9ea50328b86"]
}, Open  ]],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.7931762957690697`*^9, 3.7931794958289013`*^9, 
  3.7932073608687363`*^9},
 CellLabel->
  "Out[203]=",ExpressionUUID->"d65e723f-e743-4581-8b62-2854e88b5641"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 FormBox["Be", 
  TraditionalForm]],ExpressionUUID->"8384ec76-573d-45e9-9785-86fb25274f93"]], \
"Subsection",
 CellChangeTimes->{{3.709471437083359*^9, 3.709471437939172*^9}, {
  3.709740079833404*^9, 3.709740080740836*^9}, {3.793176830449918*^9, 
  3.793176830577484*^9}},ExpressionUUID->"491de680-c9e3-454b-b686-\
26f591044928"],

Cell[CellGroupData[{

Cell["STO-3G", "Subsubsection",
 CellChangeTimes->{{3.7094716938503923`*^9, 3.709471695765217*^9}, {
   3.7094718058305817`*^9, 3.709471818432454*^9}, 3.70948391699489*^9, 
   3.787074138451145*^9, {3.79317684077293*^9, 3.793176841626553*^9}, {
   3.793467037658499*^9, 
   3.793467038925294*^9}},ExpressionUUID->"172bd626-9282-4dfe-b851-\
e29fb57597aa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Workhorse", "[", 
  RowBox[{"4", ",", "0", ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "}"}], ",", 
   RowBox[{"{", "4", "}"}], ",", "\[IndentingNewLine]", "\"\<Spherical\>\"", 
   ",", "\"\<Be_sto-3g\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"30.1678710", ",", "5.4951153", ",", "1.4871927"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0.15432897", ",", "0.53532814", ",", "0.44463454"}], "}"}]}],
       "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"1.3148331", ",", "0.3055389", ",", "0.0993707"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "0.0999672"}], ",", "0.3995128", ",", "0.7001155"}], 
        "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"1.3148331", ",", "0.3055389", ",", "0.0993707"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.1559163", ",", "0.6076837", ",", "0.3919574"}], "}"}]}], 
      "}"}]}], "\[IndentingNewLine]", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.709460159893341*^9, 3.709460183509544*^9}, {
   3.709471890393758*^9, 3.7094718949764214`*^9}, {3.787074141654685*^9, 
   3.787074147347142*^9}, {3.793176844397187*^9, 3.793176868084264*^9}, {
   3.793176949718862*^9, 3.793177069756246*^9}, {3.7931771030770597`*^9, 
   3.793177233073007*^9}, {3.7931791090390387`*^9, 3.793179111709474*^9}, {
   3.793179352252171*^9, 3.7931793535175*^9}, 3.793192302921855*^9, {
   3.79320477644419*^9, 3.793204781980667*^9}, {3.7932049687770987`*^9, 
   3.793204986478833*^9}, 3.7932055973254967`*^9, {3.7932063492010202`*^9, 
   3.793206349579636*^9}, 3.793211459257669*^9, {3.793211744062908*^9, 
   3.793211744338751*^9}, 3.793297019944819*^9, {3.793467172702127*^9, 
   3.793467275949216*^9}, 3.793467404147418*^9, {3.79346760453918*^9, 
   3.793467605087921*^9}, 3.7934692750148077`*^9, {3.793470012854385*^9, 
   3.793470013474248*^9}, 3.793529882248021*^9},
 CellLabel->
  "In[120]:=",ExpressionUUID->"b8c06118-4240-483f-9825-6cfed15bddfd"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"Start of calculation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0, 0],
  FrontFaceColor->RGBColor[1, 0, 0],
  BackFaceColor->RGBColor[1, 0, 0],
  GraphicsColor->RGBColor[1, 0, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0, 0]]], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529885699595*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"c6d037c6-a718-48ba-a7a2-13e79e7e2f07"],

Cell[BoxData["\<\"Reading one-electron integrals...\"\>"], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529885702188*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"2d9557dc-ede7-4640-83bb-61f84d0d5ae2"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.7935298857048187`*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"2d316d40-4cb8-4985-9f1a-685f7b1b7e35"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.001955`"}],
  SequenceForm["CPU time = ", 0.001955],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529885706131*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"c73198f3-fd91-4204-93db-dd4e829a50ce"],

Cell[BoxData["\<\"Reading two-electron integrals...\"\>"], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529885812643*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"36d34948-9054-49ae-9735-fd162c41f3a9"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529885816616*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"67be06bd-1ac5-4c64-94d4-55739396d1b0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.002959`"}],
  SequenceForm["CPU time = ", 0.002959],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529885818091*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"b3996d6f-2f75-4686-abe1-5f911cb2c3b8"],

Cell[BoxData["\<\"Ensemble RHF calculation...\"\>"], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529886115314*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"3eb01122-38fe-4123-9825-e8f913b89208"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO energies: \"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "4.48399210738745`"}], 
       RowBox[{"-", "0.254037694742318`"}], "0.2210859596513439`", 
       "0.2210859596513439`", "0.2210859596513439`"}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]]}],
  SequenceForm["MO energies: ", 
   TableForm[{{-4.48399210738745, -0.254037694742318, 0.2210859596513439, 
    0.2210859596513439, 0.2210859596513439}}]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529886132066*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"fb74ae7b-25d8-4f33-937d-3c1a7c1b1bb7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO coefficients: \"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"0.9928981913184911`", 
       RowBox[{"-", "0.29388070244567743`"}], "0", "0", "0"},
      {"0.026137662257781802`", "1.0351470944163537`", "0", "0", "0"},
      {"0", "0", "0", "0", "1.0000000431310527`"},
      {"0", "0", "0", "1.0000000431310527`", "0"},
      {"0", "0", "1.0000000431310527`", "0", "0"}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]]}],
  SequenceForm["MO coefficients: ", 
   TableForm[{{0.9928981913184911, -0.29388070244567743`, 0, 0, 0}, {
     0.026137662257781802`, 1.0351470944163537`, 0, 0, 0}, {
     0, 0, 0, 0, 1.0000000431310527`}, {0, 0, 0, 1.0000000431310527`, 0}, {
     0, 0, 1.0000000431310527`, 0, 0}}]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.7935298861340218`*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"03308377-ff00-427e-a783-db7589a813e2"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"n\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(Basis\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"w\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(0\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(Nuc\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(GIC - HF\\), \
\\(w\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(T\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(V\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(J\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(K\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(SCF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"Conv\"\>",
       HoldForm], 
      TagBox["\<\"HL Gap\"\>",
       HoldForm]},
     {"4", "5", "0", 
      TagBox[
       InterpretationBox["\<\"-14.351880\"\>",
        -14.351880475109942`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0\"\>",
        0,
        Editable->False],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-14.351880\"\>",
        -14.351880475109942`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-14.351880\"\>",
        -14.351880475109942`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"14.844185\"\>",
        14.844184788159657`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-34.071886\"\>",
        -34.07188613412,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"7.643888\"\>",
        7.6438881440514965`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-2.768067\"\>",
        -2.7680672732010976`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], "1", 
      TagBox[
       InterpretationBox[
        RowBox[{"\<\"5.329\"\>", "\[Times]", 
         SuperscriptBox["10", "\<\"-15\"\>"]}],
        5.329070518200751*^-15,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ], 
      TagBox[
       InterpretationBox["\<\"0.475\"\>",
        0.4751236543936619,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"n", "\!\(\*SubscriptBox[\(N\), \(Basis\)]\)", "w", 
       "\!\(\*SubscriptBox[\(E\), \(0\)]\)", 
       "\!\(\*SubscriptBox[\(E\), \(Nuc\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(GIC - HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(T\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(V\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(J\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(K\), \(HF\), \(w\)]\)", 
       "\!\(\*SubscriptBox[\(N\), \(SCF\)]\)", "Conv", "HL Gap"}}, 
    TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529886136235*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"916c2c0c-5ff1-4d1d-ad50-2d5895670eb9"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\((0)\\)]\\)\
\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\((1)\\)]\\)\
\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \\(HF\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \\(HF\\), \
\\((1)\\)]\\)(eV)\"\>",
       HoldForm]},
     {
      TagBox[
       InterpretationBox["\<\"-14.351880\"\>",
        -14.351880475109938`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-13.992589\"\>",
        -13.992589472217787`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.359291\"\>",
        0.3592910028921512,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"9.776806\"\>",
        9.776806173211263,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\!\(\*SubsuperscriptBox[\(E\), \(HF\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(HF\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \
\((1)\)]\)(eV)"}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529886140888*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"e6af6bee-05ac-482e-af87-9383f7fad6e6"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529886143874*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"0dbc4193-e28b-444f-aa27-eff0a1df5112"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.02493`"}],
  SequenceForm["CPU time = ", 0.02493],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529886145763*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"5c9b7ffa-578c-45e4-a5e2-baecabe1e175"],

Cell[BoxData["\<\"Compute GOK-DFT energies...\"\>"], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529886150055*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"b0b69762-b290-4f15-99f1-ea80134db95d"],

Cell[BoxData["\<\"Integrating one-electron density...\"\>"], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.7935298861527147`*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"8ed54b5a-3adb-428a-925f-dea7e71df0f5"],

Cell[BoxData["4.000000063770537`"], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529886221023*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"b82f3934-3350-4bc7-a99e-23ab9e73a9d3"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(LDA\\), \
\\((0)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(LDA\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(LDA\\), \\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(LDA\\), \\((1)\\)]\\) (eV)\"\>",
       HoldForm]},
     {
      TagBox[
       InterpretationBox["\<\"-14.221142\"\>",
        -14.221141791777477`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-13.828430\"\>",
        -13.82843041356961,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.392711\"\>",
        0.39271137820786706`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"10.686221\"\>",
        10.686220906860486`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\!\(\*SubsuperscriptBox[\(E\), \(LDA\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(LDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(LDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(LDA\), \((1)\)]\) \
(eV)"}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529886706297*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"253633b5-dbb8-4704-b4c9-665fdcf982eb"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(eLDA\\), \
\\((0)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\\), \\(DD\\), \
\\((0)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(eLDA\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\\), \\(DD\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(eLDA\\), \\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[CapitalDelta]\
\\), \\(DD\\), \\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \
\\(eLDA\\), \\((1)\\)]\\) (eV)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalDelta]\[CapitalDelta]\
\\), \\(DD\\), \\((1)\\)]\\)(eV)\"\>",
       HoldForm]},
     {
      TagBox[
       InterpretationBox["\<\"-14.221142\"\>",
        -14.221141791777477`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.000000\"\>",
        0.,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-14.569391\"\>",
        -14.569391171392816`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.740961\"\>",
        -0.7409607578232068,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.348249\"\>",
        -0.3482493796153392,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-0.740961\"\>",
        -0.7409607578232068,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-9.476348\"\>",
        -9.476348299938513,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-20.162569\"\>",
        -20.162569206799013`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\!\(\*SubsuperscriptBox[\(E\), \(eLDA\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\), \(DD\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(eLDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\), \(DD\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(eLDA\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\[CapitalDelta]\), \(DD\), \
\((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(eLDA\), \((1)\)]\) \
(eV)", "\!\(\*SubsuperscriptBox[\(\[CapitalDelta]\[CapitalDelta]\), \(DD\), \
\((1)\)]\)(eV)"}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.7935298871783733`*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"09aa33ba-d845-4e78-b6bc-508c8897d991"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.7935298871812983`*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"34111fd7-cd62-4072-a074-f0f6d7faa98f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "1.506651`"}],
  SequenceForm["CPU time = ", 1.506651],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.793206350141287*^9, 3.793206468327423*^9, 3.793211459684613*^9, 
   3.793211744592939*^9, 3.793296372394003*^9, 3.79329702038032*^9, 
   3.793467260848898*^9, 3.793467374206135*^9, 3.7934674045996027`*^9, 
   3.793467605978133*^9, {3.7934692504377527`*^9, 3.793469275459934*^9}, 
   3.793470013812439*^9, 3.793529887182294*^9},
 CellLabel->
  "During evaluation of \
In[120]:=",ExpressionUUID->"40b81c1c-3016-4d08-94fd-0a2d7466dabc"]
}, Open  ]],

Cell[BoxData[
 StyleBox["\<\"End of calculation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0, 0],
  FrontFaceColor->RGBColor[1, 0, 0],
  BackFaceColor->RGBColor[1, 0, 0],
  GraphicsColor->RGBColor[1, 0, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0, 0]]], "Output",
 CellChangeTimes->{
  3.793206365628819*^9, 3.793207090020005*^9, 3.793211462557043*^9, 
   3.793211746507203*^9, 3.79329637510996*^9, 3.7932970218524227`*^9, 
   3.793467266717956*^9, {3.793467377252551*^9, 3.793467405848443*^9}, 
   3.793467608143321*^9, {3.793469252520178*^9, 3.793469276931552*^9}, 
   3.7934700159437923`*^9, 3.793529887183318*^9},
 CellLabel->
  "Out[120]=",ExpressionUUID->"35486405-0b25-4af2-ab43-3dd2013e59da"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["6-31+G*", "Subsubsection",
 CellChangeTimes->{{3.7094716938503923`*^9, 3.709471695765217*^9}, {
   3.7094718058305817`*^9, 3.709471818432454*^9}, 3.70948391699489*^9, 
   3.787074138451145*^9, {3.79317684077293*^9, 
   3.793176841626553*^9}},ExpressionUUID->"3a40b7e4-1dce-4502-b50f-\
97aee4ec77ca"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Workhorse", "[", 
  RowBox[{"4", ",", "0", ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"0.", ",", "0.", ",", "0."}], "}"}], "}"}], ",", 
   RowBox[{"{", "4", "}"}], ",", "\[IndentingNewLine]", "\"\<Spherical\>\"", 
   ",", "\"\<Be_6-31+g_star\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0.1264585690", " ", 
          SuperscriptBox["10", "4"]}], ",", 
         RowBox[{"0.1899368060", " ", 
          SuperscriptBox["10", "3"]}], ",", 
         RowBox[{"0.4315908900", " ", 
          SuperscriptBox["10", "2"]}], ",", 
         RowBox[{"0.1209866270", " ", 
          SuperscriptBox["10", "2"]}], ",", 
         RowBox[{"0.3806323220", " ", 
          SuperscriptBox["10", "1"]}], ",", 
         RowBox[{"0.1272890300", " ", 
          SuperscriptBox["10", "1"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0.1944757590", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "2"}]]}], ",", 
         RowBox[{"0.1483505200", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}], ",", 
         RowBox[{"0.7209054629", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}], ",", "0.2371541500", ",", "0.4691986519", 
         ",", "0.3565202279"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0.3196463098", " ", 
          SuperscriptBox["10", "1"]}], ",", "0.7478133038", ",", 
         "0.2199663302"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "0.1126487285"}], ",", 
         RowBox[{"-", "0.2295064079"}], ",", 
         RowBox[{"0.1186916764", " ", 
          SuperscriptBox["10", "1"]}]}], "}"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0.3196463098", " ", 
          SuperscriptBox["10", "1"]}], ",", "0.7478133038", ",", 
         "0.2199663302"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0.5598019980", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "1"}]]}], ",", "0.2615506110", ",", "0.7939723389"}], 
        "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"0.8230990070", " ", 
         SuperscriptBox["10", 
          RowBox[{"-", "1"}]]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"0.8230990070", " ", 
         SuperscriptBox["10", 
          RowBox[{"-", "1"}]]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<S\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"0.2070000000", " ", 
         SuperscriptBox["10", 
          RowBox[{"-", "1"}]]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<P\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"0.2070000000", " ", 
         SuperscriptBox["10", 
          RowBox[{"-", "1"}]]}], "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<D\>\"", ",", 
       RowBox[{"{", "0.4000000000", "}"}], ",", 
       RowBox[{"{", "1.", "}"}]}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.709460159893341*^9, 3.709460183509544*^9}, {
   3.709471890393758*^9, 3.7094718949764214`*^9}, {3.787074141654685*^9, 
   3.787074147347142*^9}, {3.793176844397187*^9, 3.793176868084264*^9}, {
   3.793176949718862*^9, 3.793177069756246*^9}, {3.7931771030770597`*^9, 
   3.793177233073007*^9}, {3.7931791090390387`*^9, 3.793179111709474*^9}, {
   3.793179352252171*^9, 3.7931793535175*^9}, 3.793192302921855*^9, {
   3.79320477644419*^9, 3.793204781980667*^9}, {3.7932049687770987`*^9, 
   3.793204986478833*^9}, 3.7932055973254967`*^9, {3.7932063492010202`*^9, 
   3.793206349579636*^9}, 3.793211459257669*^9, {3.793211744062908*^9, 
   3.793211744338751*^9}, 3.793297019944819*^9, {3.7934678081142817`*^9, 
   3.7934678083669653`*^9}, 3.7934678952046633`*^9},
 CellLabel->
  "In[126]:=",ExpressionUUID->"41dabfd8-9ba5-45f1-a785-c6ff45efdd28"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"Start of calculation\"\>",
  StripOnInput->False,
  LineColor->RGBColor[1, 0, 0],
  FrontFaceColor->RGBColor[1, 0, 0],
  BackFaceColor->RGBColor[1, 0, 0],
  GraphicsColor->RGBColor[1, 0, 0],
  FontWeight->Bold,
  FontColor->RGBColor[1, 0, 0]]], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.793469226809455*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"4beae4a3-2223-40fc-a085-43b54ecb27d6"],

Cell[BoxData["\<\"Reading one-electron integrals...\"\>"], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.793469226814289*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"28cbc62f-cdd1-483a-8952-4804f7a47909"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.79346922681632*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"ca0fcf66-45f0-4240-8f98-6c9ed8af5395"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.004183`"}],
  SequenceForm["CPU time = ", 0.004183],
  Editable->False]], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.793469226818286*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"dc2777cf-7cdf-41fb-9bc3-c705580cecb2"],

Cell[BoxData["\<\"Reading two-electron integrals...\"\>"], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.793469226820004*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"e16cbec8-aa23-4f55-8492-33c7b948a7d3"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.79346922692796*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"ef7f5fa4-6c4e-48cc-91f2-e4dd8923203c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.113572`"}],
  SequenceForm["CPU time = ", 0.113572],
  Editable->False]], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.7934692269298773`*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"d44c8a51-6300-4785-b6a6-a59268a3101a"],

Cell[BoxData["\<\"Ensemble RHF calculation...\"\>"], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.793469227397806*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"4d522628-1cb4-4518-b400-6cec9a3dcc9a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO energies: \"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "4.723749677189878`"}], 
       RowBox[{"-", "0.30733164014287173`"}], "0.02994810276912644`", 
       "0.02994810276912644`", "0.02994810276912657`", "0.06364266806842132`",
        "0.12120074600078841`", "0.12120074600078859`", 
       "0.12120074600078871`", "0.5078711288508341`", "0.507871128850836`", 
       "0.5078711288508369`", "0.5494686470851997`", "1.0591129838911635`", 
       "1.0591129838911635`", "1.0591129838911644`", "1.0591129838911675`", 
       "1.0591129838911717`", "2.83926562574034`"}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]]}],
  SequenceForm["MO energies: ", 
   TableForm[{{-4.723749677189878, -0.30733164014287173`, 0.02994810276912644,
     0.02994810276912644, 0.02994810276912657, 0.06364266806842132, 
    0.12120074600078841`, 0.12120074600078859`, 0.12120074600078871`, 
    0.5078711288508341, 0.507871128850836, 0.5078711288508369, 
    0.5494686470851997, 1.0591129838911635`, 1.0591129838911635`, 
    1.0591129838911644`, 1.0591129838911675`, 1.0591129838911717`, 
    2.83926562574034}}]],
  Editable->False]], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.793469227539055*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"97d3b9a9-2fd3-4f5b-8787-1422e01d24f9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"MO coefficients: \"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"0.9984987145718319`", 
       RowBox[{"-", "0.21280131134792785`"}], "0", "0", "0", 
       RowBox[{"-", "0.11114370286087896`"}], "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "0.054008986029352994`"}], "0", "0", "0", "0", "0", 
       "0.31178040640302584`"},
      {"0.008763265371854637`", "0.2970506801765004`", "0", "0", "0", 
       RowBox[{"-", "0.09257701551023895`"}], "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "2.5170446113258875`"}], "0", "0", "0", "0", "0", 
       RowBox[{"-", "6.7001347962572355`"}]},
      {"0", "0", "0.16372304280360897`", "0", 
       RowBox[{"-", "0.04006444606560962`"}], "0", "0.021015092403819224`", 
       "0.15832808833120837`", "0.26222356733071295`", 
       RowBox[{"-", "0.18455222396504406`"}], 
       RowBox[{"-", "1.194066344170838`"}], 
       RowBox[{"-", "0.6529017502223691`"}], "0", "0", "0", "0", "0", "0", 
       "0"},
      {"0", "0", 
       RowBox[{"-", "0.006010194274744819`"}], 
       RowBox[{"-", "0.08945580646313225`"}], 
       RowBox[{"-", "0.008024802749666257`"}], "0", "0.2730031754952974`", 
       RowBox[{"-", "0.022131121355958558`"}], "0.010206456343491602`", 
       "1.3512019342285988`", 
       RowBox[{"-", "0.06421636390317652`"}], "0.05585219993180069`", "0", 
       "0", "0", "0", "0", "0", "0"},
      {"0", "0", 
       RowBox[{"-", "0.01727900749346592`"}], 
       RowBox[{"-", "0.0014961972820033503`"}], 
       RowBox[{"-", "0.18296159132072654`"}], "0", "0.01841692491394593`", 
       "0.22305600412330828`", 
       RowBox[{"-", "0.08028810651527432`"}], 
       RowBox[{"-", "0.13279185215901101`"}], 
       RowBox[{"-", "0.6689706202509358`"}], "1.2033452134581841`", "0", "0", 
       "0", "0", "0", "0", "0"},
      {
       RowBox[{"-", "0.0068743325521876735`"}], "0.6440303878808448`", "0", 
       "0", "0", "1.132516008452471`", "0", "0", "0", "0", "0", "0", 
       "2.803129187802209`", "0", "0", "0", "0", "0", "0.4219338722349981`"},
      {"0", "0", "0.10275413515445472`", "0", 
       RowBox[{"-", "0.0251448265034518`"}], "0", "0.07153624905991697`", 
       "0.538955401308792`", "0.8926199353061353`", "0.18859708497904418`", 
       "1.2202368898293903`", "0.6672115037366158`", "0", "0", "0", "0", "0", 
       "0", "0"},
      {"0", "0", 
       RowBox[{"-", "0.0037720549547352374`"}], 
       RowBox[{"-", "0.05614331294031372`"}], 
       RowBox[{"-", "0.00503644234926718`"}], "0", "0.9293141700785773`", 
       RowBox[{"-", "0.07533525805517514`"}], "0.03474320212241737`", 
       RowBox[{"-", "1.3808164460907555`"}], "0.06562380436220763`", 
       RowBox[{"-", "0.057076321652994894`"}], "0", "0", "0", "0", "0", "0", 
       "0"},
      {"0", "0", 
       RowBox[{"-", "0.010844469055270485`"}], 
       RowBox[{"-", "0.0009390276108969869`"}], 
       RowBox[{"-", "0.11482843074933613`"}], "0", "0.06269197880483038`", 
       "0.7592919202379896`", 
       RowBox[{"-", "0.27330405566915367`"}], "0.1357022727122549`", 
       "0.6836325577948354`", 
       RowBox[{"-", "1.2297191255992843`"}], "0", "0", "0", "0", "0", "0", 
       "0"},
      {"0.0015754820889020034`", "0.11713651182243466`", "0", "0", "0", 
       RowBox[{"-", "1.465815863138559`"}], "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "0.8235569291582132`"}], "0", "0", "0", "0", "0", 
       "0.011955523817114198`"},
      {"0", "0", "0.7510845874734655`", "0", 
       RowBox[{"-", "0.18379690134171922`"}], "0", 
       RowBox[{"-", "0.06422959783936831`"}], 
       RowBox[{"-", "0.48390695814125423`"}], 
       RowBox[{"-", "0.8014484994886497`"}], 
       RowBox[{"-", "0.059786876987672204`"}], 
       RowBox[{"-", "0.38682545298171533`"}], 
       RowBox[{"-", "0.21151171081511305`"}], "0", "0", "0", "0", "0", "0", 
       "0"},
      {"0", "0", 
       RowBox[{"-", "0.027571954504271644`"}], 
       RowBox[{"-", "0.4103813143459771`"}], 
       RowBox[{"-", "0.03681403399043284`"}], "0", 
       RowBox[{"-", "0.8343948165437014`"}], "0.06764057930904523`", 
       RowBox[{"-", "0.031194561209179853`"}], "0.43773053551784896`", 
       RowBox[{"-", "0.020803303080227556`"}], "0.018093678499620274`", "0", 
       "0", "0", "0", "0", "0", "0"},
      {"0", "0", 
       RowBox[{"-", "0.0792679881398749`"}], 
       RowBox[{"-", "0.006863851899457445`"}], 
       RowBox[{"-", "0.8393420314418155`"}], "0", 
       RowBox[{"-", "0.05628867377454774`"}], 
       RowBox[{"-", "0.6817384937071671`"}], "0.24538901346079006`", 
       RowBox[{"-", "0.04301877246139074`"}], 
       RowBox[{"-", "0.21671732435413424`"}], "0.3898314022179178`", "0", "0",
        "0", "0", "0", "0", "0"},
      {"0.0034806860274894207`", "0.01291522341663165`", "0", "0", "0", 
       "0.012792814156629653`", "0", "0", "0", "0", "0", "0", 
       "0.06819790554154001`", "0", "0", "0", 
       RowBox[{"-", "0.04982756836592894`"}], 
       RowBox[{"-", "0.999998064006996`"}], "2.8449174969787006`"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "0.9989039956942373`"}], 
       RowBox[{"-", "0.014791168288122918`"}], "0.02768876691612944`", "0", 
       "0", "0"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       "0.027049592817316566`", 
       RowBox[{"-", "0.22277974373174064`"}], "0.9994188274389526`", "0", "0",
        "0"},
      {"0.0034806860274888586`", "0.012915223416631288`", "0", "0", "0", 
       "0.01279281415662989`", "0", "0", "0", "0", "0", "0", 
       "0.06819790554154079`", "0", "0", "0", 
       RowBox[{"-", "0.8400358733538336`"}], "0.49829492324430236`", 
       "2.844917496978699`"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       "0.03819851979467992`", 
       RowBox[{"-", "0.9747565886535431`"}], "0.0198831473165924`", "0", "0", 
       "0"},
      {"0.0034806860274895143`", "0.01291522341663287`", "0", "0", "0", 
       "0.012792814156629972`", "0", "0", "0", "0", "0", "0", 
       "0.06819790554153993`", "0", "0", "0", "0.8898634417197543`", 
       "0.5017031407626877`", "2.8449174969787014`"}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]]}],
  SequenceForm["MO coefficients: ", 
   TableForm[{{
     0.9984987145718319, -0.21280131134792785`, 0, 0, 
      0, -0.11114370286087896`, 0, 0, 0, 0, 0, 0, -0.054008986029352994`, 0, 
      0, 0, 0, 0, 0.31178040640302584`}, {
     0.008763265371854637, 0.2970506801765004, 0, 0, 0, -0.09257701551023895, 
      0, 0, 0, 0, 0, 0, -2.5170446113258875`, 0, 0, 0, 0, 
      0, -6.7001347962572355`}, {
     0, 0, 0.16372304280360897`, 0, -0.04006444606560962, 0, 
      0.021015092403819224`, 0.15832808833120837`, 
      0.26222356733071295`, -0.18455222396504406`, -1.194066344170838, \
-0.6529017502223691, 0, 0, 0, 0, 0, 0, 0}, {
     0, 0, -0.006010194274744819, -0.08945580646313225, -0.008024802749666257,
       0, 0.2730031754952974, -0.022131121355958558`, 0.010206456343491602`, 
      1.3512019342285988`, -0.06421636390317652, 0.05585219993180069, 0, 0, 0,
       0, 0, 0, 0}, {
     0, 0, -0.01727900749346592, -0.0014961972820033503`, \
-0.18296159132072654`, 0, 0.01841692491394593, 
      0.22305600412330828`, -0.08028810651527432, -0.13279185215901101`, \
-0.6689706202509358, 1.2033452134581841`, 0, 0, 0, 0, 0, 0, 
      0}, {-0.0068743325521876735`, 0.6440303878808448, 0, 0, 0, 
      1.132516008452471, 0, 0, 0, 0, 0, 0, 2.803129187802209, 0, 0, 0, 0, 0, 
      0.4219338722349981}, {
     0, 0, 0.10275413515445472`, 0, -0.0251448265034518, 0, 
      0.07153624905991697, 0.538955401308792, 0.8926199353061353, 
      0.18859708497904418`, 1.2202368898293903`, 0.6672115037366158, 0, 0, 0, 
      0, 0, 0, 0}, {
     0, 0, -0.0037720549547352374`, -0.05614331294031372, \
-0.00503644234926718, 0, 0.9293141700785773, -0.07533525805517514, 
      0.03474320212241737, -1.3808164460907555`, 
      0.06562380436220763, -0.057076321652994894`, 0, 0, 0, 0, 0, 0, 0}, {
     0, 0, -0.010844469055270485`, -0.0009390276108969869, \
-0.11482843074933613`, 0, 0.06269197880483038, 
      0.7592919202379896, -0.27330405566915367`, 0.1357022727122549, 
      0.6836325577948354, -1.2297191255992843`, 0, 0, 0, 0, 0, 0, 0}, {
     0.0015754820889020034`, 0.11713651182243466`, 0, 0, 
      0, -1.465815863138559, 0, 0, 0, 0, 0, 0, -0.8235569291582132, 0, 0, 0, 
      0, 0, 0.011955523817114198`}, {
     0, 0, 0.7510845874734655, 0, -0.18379690134171922`, 
      0, -0.06422959783936831, -0.48390695814125423`, -0.8014484994886497, \
-0.059786876987672204`, -0.38682545298171533`, -0.21151171081511305`, 0, 0, 0,
       0, 0, 0, 0}, {
     0, 0, -0.027571954504271644`, -0.4103813143459771, -0.03681403399043284, 
      0, -0.8343948165437014, 0.06764057930904523, -0.031194561209179853`, 
      0.43773053551784896`, -0.020803303080227556`, 0.018093678499620274`, 0, 
      0, 0, 0, 0, 0, 0}, {
     0, 0, -0.0792679881398749, -0.006863851899457445, -0.8393420314418155, 
      0, -0.05628867377454774, -0.6817384937071671, 
      0.24538901346079006`, -0.04301877246139074, -0.21671732435413424`, 
      0.3898314022179178, 0, 0, 0, 0, 0, 0, 0}, {
     0.0034806860274894207`, 0.01291522341663165, 0, 0, 0, 
      0.012792814156629653`, 0, 0, 0, 0, 0, 0, 0.06819790554154001, 0, 0, 
      0, -0.04982756836592894, -0.999998064006996, 2.8449174969787006`}, {
     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
      0, -0.9989039956942373, -0.014791168288122918`, 0.02768876691612944, 0, 
      0, 0}, {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
      0.027049592817316566`, -0.22277974373174064`, 0.9994188274389526, 0, 0, 
      0}, {0.0034806860274888586`, 0.012915223416631288`, 0, 0, 0, 
      0.01279281415662989, 0, 0, 0, 0, 0, 0, 0.06819790554154079, 0, 0, 
      0, -0.8400358733538336, 0.49829492324430236`, 2.844917496978699}, {
     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
      0.03819851979467992, -0.9747565886535431, 0.0198831473165924, 0, 0, 
      0}, {0.0034806860274895143`, 0.01291522341663287, 0, 0, 0, 
      0.012792814156629972`, 0, 0, 0, 0, 0, 0, 0.06819790554153993, 0, 0, 0, 
      0.8898634417197543, 0.5017031407626877, 2.8449174969787014`}}]],
  Editable->False]], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.793469227542246*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"c8cc98a0-6d29-483b-8968-dda3070268bd"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"n\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(Basis\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"w\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(0\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(E\\), \\(Nuc\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(GIC - HF\\), \
\\(w\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(T\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(V\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(J\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(K\\), \\(HF\\), \\(w\\)]\\)\"\
\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubscriptBox[\\(N\\), \\(SCF\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"Conv\"\>",
       HoldForm], 
      TagBox["\<\"HL Gap\"\>",
       HoldForm]},
     {"4", "19", "0", 
      TagBox[
       InterpretationBox["\<\"-14.569732\"\>",
        -14.569731991345071`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0\"\>",
        0,
        Editable->False],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-14.569732\"\>",
        -14.569731991345071`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-14.569732\"\>",
        -14.569731991345073`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"14.636747\"\>",
        14.636747270986195`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-33.714049\"\>",
        -33.71404861901085,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"7.180211\"\>",
        7.180211248014026,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-2.672642\"\>",
        -2.6726418913344387`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], "13", 
      TagBox[
       InterpretationBox[
        RowBox[{"\<\"7.947\"\>", "\[Times]", 
         SuperscriptBox["10", "\<\"-8\"\>"]}],
        7.946707536454767*^-8,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ], 
      TagBox[
       InterpretationBox["\<\"0.337\"\>",
        0.3372797429119982,
        AutoDelete->True],
       NumberForm[#, {6, 3}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"n", "\!\(\*SubscriptBox[\(N\), \(Basis\)]\)", "w", 
       "\!\(\*SubscriptBox[\(E\), \(0\)]\)", 
       "\!\(\*SubscriptBox[\(E\), \(Nuc\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(GIC - HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(T\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(V\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(J\), \(HF\), \(w\)]\)", 
       "\!\(\*SubsuperscriptBox[\(K\), \(HF\), \(w\)]\)", 
       "\!\(\*SubscriptBox[\(N\), \(SCF\)]\)", "Conv", "HL Gap"}}, 
    TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.7934692275500402`*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"a9cbc2de-4f72-4a07-b61e-db34c0221632"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\((0)\\)]\\)\
\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(E\\), \\(HF\\), \\((1)\\)]\\)\
\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \\(HF\\), \
\\((1)\\)]\\)\"\>",
       HoldForm], 
      TagBox["\<\"\\!\\(\\*SubsuperscriptBox[\\(\[CapitalOmega]\\), \\(HF\\), \
\\((1)\\)]\\)(eV)\"\>",
       HoldForm]},
     {
      TagBox[
       InterpretationBox["\<\"-14.569732\"\>",
        -14.56973199134507,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"-14.101187\"\>",
        -14.101186583597627`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"0.468545\"\>",
        0.4685454077474418,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ], 
      TagBox[
       InterpretationBox["\<\"12.749770\"\>",
        12.749769958113937`,
        AutoDelete->True],
       NumberForm[#, {9, 6}]& ]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {None, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {
     None, {"\!\(\*SubsuperscriptBox[\(E\), \(HF\), \((0)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(E\), \(HF\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \((1)\)]\)", 
       "\!\(\*SubsuperscriptBox[\(\[CapitalOmega]\), \(HF\), \
\((1)\)]\)(eV)"}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.793469227681649*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"e9b0ddd7-099c-4c82-b7ec-04862aef720a"],

Cell[BoxData["\<\"Done!\"\>"], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.793469227685728*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"e911fecf-40cb-44b0-af37-3f61a8602649"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"CPU time = \"\>", "\[InvisibleSpace]", "0.371818`"}],
  SequenceForm["CPU time = ", 0.371818],
  Editable->False]], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.793469227687667*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"4efbd4b9-a133-4ba9-95d0-2187909a9fe1"],

Cell[BoxData["\<\"Compute GOK-DFT energies...\"\>"], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.793469227689233*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"820ed9e6-98c0-4921-84c4-6fb18c4316e6"],

Cell[BoxData["\<\"Integrating one-electron density...\"\>"], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.7934692276903687`*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"09cec480-642f-4ac8-9669-6e09585fa95c"],

Cell[BoxData["3.9306970253376825`"], "Print",
 CellChangeTimes->{3.793206350141287*^9, 3.793206468327423*^9, 
  3.793211459684613*^9, 3.793211744592939*^9, 3.793296372394003*^9, 
  3.79329702038032*^9, 3.79346780869788*^9, 3.793467895667222*^9, 
  3.793469228943843*^9},
 CellLabel->
  "During evaluation of \
In[126]:=",ExpressionUUID->"49a8247d-f859-4776-8093-08f9a1df0d1e"]
}, Open  ]],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.793206365628819*^9, 3.793207090020005*^9, 
  3.793211462557043*^9, 3.793211746507203*^9, 3.79329637510996*^9, 
  3.7932970218524227`*^9, 3.793467811514636*^9, 3.793467901739408*^9, 
  3.7934692295411654`*^9},
 CellLabel->
  "Out[126]=",ExpressionUUID->"5d85519f-a96a-4162-98a1-786507cd35ab"]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["GOK-DFT made simple\t", "Title",
 CellChangeTimes->{{3.795577514535224*^9, 3.795577518626693*^9}, 
   3.7955779011312513`*^9},ExpressionUUID->"241eb9ca-79cc-4b1d-9088-\
fb01f2c65187"],

Cell["\<\
With an exchange-only functional (i.e., without correlation), the ensemble \
energy is\
\>", "Text",
 CellChangeTimes->{{3.7955781824525433`*^9, 3.7955782235749826`*^9}, {
  3.795578809335644*^9, 
  3.795578819926897*^9}},ExpressionUUID->"a34330ac-5af3-4a38-a37c-\
0498abda882c"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["E", "w"], "=", 
  RowBox[{
   SubsuperscriptBox["T", "s", "w"], "+", 
   SubsuperscriptBox["E", "H", "w"], "+", 
   SubsuperscriptBox["E", "x", "w"]}]}]], "Input",
 CellChangeTimes->{{3.795577539185522*^9, 3.7955775818996143`*^9}, {
  3.7955779124805813`*^9, 3.795577934329053*^9}, {3.7955779737292747`*^9, 
  3.795578036672875*^9}, {3.7955781030709267`*^9, 
  3.7955781057653027`*^9}},ExpressionUUID->"8ad34083-207a-475d-9246-\
e578c2e73d39"],

Cell["\<\
where, in particular, the Hartree and LDA exchange energy reads\
\>", "Text",
 CellChangeTimes->{{3.795578192946072*^9, 3.795578197347353*^9}, {
  3.7955782280169*^9, 
  3.7955782401288977`*^9}},ExpressionUUID->"e4dc23bf-395f-4a29-b9de-\
6640b6baca1c"],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["E", "H", "w"], "=", 
  RowBox[{
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"\[Integral]", 
     RowBox[{"\[Integral]", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{
          SuperscriptBox["n", "w"], "[", "r", "]"}], 
         RowBox[{
          SuperscriptBox["n", "w"], "[", 
          RowBox[{"r", "'"}], "]"}]}], 
        RowBox[{"\[LeftBracketingBar]", 
         RowBox[{"r", "-", 
          RowBox[{"r", "'"}]}], "\[RightBracketingBar]"}]], 
       RowBox[{"\[DifferentialD]", "r"}], 
       RowBox[{"\[DifferentialD]", 
        RowBox[{"r", "'"}]}], "\t", 
       SubsuperscriptBox["E", "x", "w"]}]}]}]}], "=", 
   RowBox[{
    SubscriptBox["C", "x"], 
    RowBox[{"\[Integral]", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["n", "w"], "[", "r", "]"}], ")"}], 
       RowBox[{"4", "/", "3"}]], 
      RowBox[{"\[DifferentialD]", "r"}]}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.795577822370946*^9, 3.795577850755807*^9}, {
  3.7955778877909307`*^9, 3.7955779326016073`*^9}, {3.79557810944242*^9, 
  3.7955781454801903`*^9}},ExpressionUUID->"7d144384-4fef-4ccc-87c0-\
df2676f9f904"],

Cell[TextData[{
 "and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["n", "w"], "[", "r", "]"}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "12b0869f-64f2-4549-b99f-06ea125bd8cd"],
 " is the ensemble density. This energy is obviously not linear wrt ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "ea71ccb4-a041-4175-8b40-554b95095dc9"],
 " due to the approximate nature of the functionals."
}], "Text",
 CellChangeTimes->{{3.795579207856145*^9, 
  3.795579235225772*^9}},ExpressionUUID->"7a2be485-b34b-487a-a57f-\
4b3baf2f24ee"],

Cell["\<\
Our aim is to define a new (weight-dependent) exchange functional \
\>", "Text",
 CellChangeTimes->{{3.7955783985239267`*^9, 3.795578438262246*^9}, {
  3.795578493816064*^9, 3.79557852161327*^9}, {3.7955786508856173`*^9, 
  3.7955786788861094`*^9}, {3.7955830749908113`*^9, 
  3.795583079856971*^9}},ExpressionUUID->"78537bc7-a4e9-46bf-a52d-\
8b90586718a3"],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox[
   OverscriptBox["E", "~"], "x", "w"], "=", 
  RowBox[{
   SubscriptBox[
    OverscriptBox["C", "~"], "x"], 
   RowBox[{"\[Integral]", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["n", "w"], "[", "r", "]"}], ")"}], 
      RowBox[{"4", "/", "3"}]], 
     RowBox[{"\[DifferentialD]", "r"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.795577728318481*^9, 3.795577741824806*^9}, {
  3.795578442181518*^9, 3.795578485082918*^9}, {3.7955788845020943`*^9, 
  3.795578892690692*^9}, {3.795579154718959*^9, 
  3.795579156453458*^9}},ExpressionUUID->"4be4913d-4f38-4d4d-aba2-\
dc73a726d0d0"],

Cell["such that the ensemble energy", "Text",
 CellChangeTimes->{
  3.7955786812017107`*^9, {3.795578814035961*^9, 3.7955788163183317`*^9}, 
   3.795579278579211*^9},ExpressionUUID->"43e4829b-3a41-4e78-b237-\
4e7889e68a90"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   OverscriptBox["E", "~"], "w"], "=", 
  RowBox[{
   SubsuperscriptBox[
    OverscriptBox["T", "~"], "s", "w"], "+", 
   SubsuperscriptBox[
    OverscriptBox["E", "~"], "H", "w"], "+", 
   SubsuperscriptBox[
    OverscriptBox["E", "~"], "x", "w"]}]}]], "Input",
 CellChangeTimes->{{3.795578706345887*^9, 3.7955787118497953`*^9}, 
   3.795578744899602*^9, {3.795579252494972*^9, 
   3.795579258889649*^9}},ExpressionUUID->"dba444ae-b360-4aa9-9315-\
403a995d2789"],

Cell[TextData[{
 "associated with the ensemble density ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     OverscriptBox["n", "~"], "w"], "[", "r", "]"}], TraditionalForm]],
  ExpressionUUID->"8adc63d0-1d47-4af9-9245-6e916f0df338"],
 " is linear between ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", "=", "0"}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "a1803e0f-6787-4096-8a25-215dbe9a0712"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", "=", "1"}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "86b8aac8-08c4-4246-8837-d57f16e656e7"],
 ", i.e.,"
}], "Text",
 CellChangeTimes->{{3.795579284932827*^9, 3.7955793069726954`*^9}, 
   3.7955809636137943`*^9, {3.79558125663595*^9, 3.7955812569472446`*^9}, {
   3.795582970442295*^9, 
   3.795582980112693*^9}},ExpressionUUID->"13b0bda8-a0c2-4ead-98a8-\
f1bf2b5b1351"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   OverscriptBox["E", "~"], "w"], "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["E", 
       RowBox[{"w", "=", "1"}]], "-", 
      SuperscriptBox["E", 
       RowBox[{"w", "=", "0"}]]}], ")"}], "w"}], "+", 
   SuperscriptBox["E", 
    RowBox[{"w", "=", "0"}]]}]}]], "Input",
 CellChangeTimes->{{3.795578589255211*^9, 3.795578638138113*^9}, {
  3.795580964928926*^9, 3.795580972527501*^9}, {3.795581258865223*^9, 
  3.795581277197288*^9}, {3.795582983554627*^9, 
  3.795582987245389*^9}},ExpressionUUID->"8a03e6f7-0e8f-4b38-9003-\
c166e65ee00f"],

Cell[TextData[{
 "Assuming that the ensemble densities obtained by the minimization of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["E", "w"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "cd181f1c-8daf-4809-b30c-d0be8c9edbb9"],
 " and ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    OverscriptBox["E", "~"], "w"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "322161cd-02eb-4516-85ba-ae9b47d962b6"],
 "are equal (which might be a strong approximation in certain cases), i.e., \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["n", "w"], "[", "r", "]"}], "=", 
    RowBox[{
     SuperscriptBox[
      OverscriptBox["n", "~"], "w"], "[", "r", "]"}]}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "0f321930-9c8c-496d-86d8-e06d212851ad"],
 ", the non-linearity of the energy can be approximated as"
}], "Text",
 CellChangeTimes->{{3.795578975071639*^9, 3.795578984325493*^9}, {
  3.7955790379981194`*^9, 3.7955791271929607`*^9}, {3.795579170328189*^9, 
  3.795579191269717*^9}, {3.795583279843761*^9, 
  3.7955832807763643`*^9}},ExpressionUUID->"26750679-859a-403f-8687-\
61d5d4702b96"],

Cell[BoxData[
 RowBox[{"\[CapitalDelta]", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["E", "w"], "-", 
      SuperscriptBox[
       OverscriptBox["E", "~"], "w"]}], "\[TildeTilde]", 
     RowBox[{
      SubsuperscriptBox["E", "x", "w"], "-", 
      SubsuperscriptBox[
       OverscriptBox["E", "~"], "x", "w"]}]}], "\t", "\[Implies]", "\t", 
    SubsuperscriptBox[
     OverscriptBox["E", "~"], "x", "w"]}], "=", 
   RowBox[{
    SubsuperscriptBox["E", "x", "w"], "+", 
    SuperscriptBox[
     OverscriptBox["E", "~"], "w"], "-", 
    SuperscriptBox["E", "w"]}]}]}]], "Input",
 CellChangeTimes->{{3.7955789945662403`*^9, 3.7955790258285303`*^9}, {
  3.795579142974222*^9, 3.795579150266037*^9}, {3.795580316914448*^9, 
  3.795580334001202*^9}},ExpressionUUID->"bc6cf9f5-1c38-4075-86b2-\
090bfab3626d"],

Cell[TextData[{
 "because the kinetic and Hartree energies depend only on the ensemble \
density (i.e., they are not explicitly weight dependent).\nAssuming a \
linear-in-",
 Cell[BoxData[
  FormBox["w", TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "41c4075c-a5d0-468f-8161-bc8a452cf6b4"],
 " behavior of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["C", "~"], "x"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "3bc1a3aa-fc00-4d59-a48c-434cc4fc1c70"],
 " in the vicinity of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", "=", "0"}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "4e7516a8-c23b-4882-9cc3-aa9d37eed0e1"],
 " (which is actually not an assumption I believe), i.e.,"
}], "Text",
 CellChangeTimes->{{3.795583916465074*^9, 
  3.795583987144175*^9}},ExpressionUUID->"4847019e-9539-4453-ba09-\
899035e688a6"],

Cell[BoxData[
 RowBox[{
  SubscriptBox[
   OverscriptBox["C", "~"], "x"], "=", 
  RowBox[{
   SubscriptBox["C", "x"], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"\[Alpha]", " ", "w"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.795579764510558*^9, 
  3.7955797748338737`*^9}},ExpressionUUID->"0b69ace8-383c-45e1-9e4b-\
425ec9d065eb"],

Cell["we have ", "Text",
 CellChangeTimes->{{3.795580361257601*^9, 
  3.795580362417618*^9}},ExpressionUUID->"19370404-b6f2-4774-ae9d-\
8d8dd50abdee"],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox[
   OverscriptBox["E", "~"], "x", "w"], "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"\[Alpha]", " ", "w"}]}], ")"}], 
   SubsuperscriptBox["E", "x", "w"]}]}]], "Input",
 CellChangeTimes->{{3.795579803337538*^9, 3.795579818420453*^9}, {
  3.795584003472734*^9, 
  3.795584004402182*^9}},ExpressionUUID->"5d7f53a6-56e7-44e0-8cda-\
0d8ac9cc5467"],

Cell[" yielding", "Text",
 CellChangeTimes->{{3.79558037097288*^9, 3.795580373113139*^9}, {
  3.795584011598036*^9, 
  3.795584013384818*^9}},ExpressionUUID->"df4aafbe-4c68-49e1-985b-\
8b01db7c9dfc"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubsuperscriptBox["E", "x", "w"], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"\[Alpha]", " ", "w"}]}], ")"}]}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubsuperscriptBox["E", "x", "w"], "+", 
     SuperscriptBox[
      OverscriptBox["E", "~"], "w"], "-", 
     SuperscriptBox["E", "w"]}], "\t", "\[Implies]", "\t", "\[Alpha]"}], "=", 
   
   FractionBox[
    RowBox[{
     SuperscriptBox[
      OverscriptBox["E", "~"], "w"], "-", 
     SuperscriptBox["E", "w"]}], 
    RowBox[{"w", " ", 
     SubsuperscriptBox["E", "x", "w"]}]]}]}]], "Input",
 CellChangeTimes->{{3.795580390356485*^9, 3.795580414952383*^9}, {
  3.795580463625092*^9, 
  3.795580471587467*^9}},ExpressionUUID->"d98a98c1-6939-4d8e-b34d-\
20628145e83c"],

Cell[TextData[{
 "Now, let\[CloseCurlyQuote]s define an infinitesimal weight ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Epsilon]", ">", "0"}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "b5c24c01-4e50-422f-a6c2-6a7a846231ba"],
 ". Evaluating the latest expression at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", "=", "\[Epsilon]"}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "b6a3c5d7-f350-4a35-992f-303ee61e416e"],
 ", we get"
}], "Text",
 CellChangeTimes->{{3.795578345755261*^9, 3.795578373504217*^9}, {
   3.79558342932677*^9, 3.795583438677984*^9}, 3.795583796485182*^9, {
   3.795584068562727*^9, 
   3.7955840745069227`*^9}},ExpressionUUID->"1e019b3f-0ec6-4996-b433-\
436bfa68249a"],

Cell[BoxData[
 FrameBox[
  RowBox[{"\[Alpha]", "=", 
   RowBox[{
    FractionBox[
     RowBox[{
      SuperscriptBox[
       OverscriptBox["E", "~"], 
       RowBox[{"w", "=", "\[Epsilon]"}]], "-", 
      SuperscriptBox["E", 
       RowBox[{"w", "=", "\[Epsilon]"}]]}], 
     RowBox[{" ", 
      RowBox[{"\[Epsilon]", " ", 
       SubsuperscriptBox["E", "x", 
        RowBox[{"w", "=", "\[Epsilon]"}]]}]}]], "=", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["E", 
           RowBox[{"w", "=", "1"}]], "-", 
          SuperscriptBox["E", 
           RowBox[{"w", "=", "0"}]]}], ")"}], "\[Epsilon]"}], "+", 
       SuperscriptBox["E", 
        RowBox[{"w", "=", "0"}]], "-", 
       SuperscriptBox["E", 
        RowBox[{"w", "=", "\[Epsilon]"}]]}], 
      RowBox[{"\[Epsilon]", " ", 
       SubsuperscriptBox["E", "x", 
        RowBox[{"w", "=", "\[Epsilon]"}]]}]], "=", 
     FractionBox[
      RowBox[{" ", 
       RowBox[{
        RowBox[{"\[Epsilon]", " ", 
         SuperscriptBox["E", 
          RowBox[{"w", "=", "1"}]]}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Epsilon]"}], ")"}], 
         SuperscriptBox["E", 
          RowBox[{"w", "=", "0"}]]}], "-", 
        SuperscriptBox["E", 
         RowBox[{"w", "=", "\[Epsilon]"}]]}]}], 
      RowBox[{"\[Epsilon]", " ", 
       SubsuperscriptBox["E", "x", 
        RowBox[{"w", "=", "\[Epsilon]"}]]}]]}]}]}]]], "Input",
 CellChangeTimes->{{3.795581646812381*^9, 3.7955817523669024`*^9}, {
   3.795582574191654*^9, 3.795582628310651*^9}, {3.795582844800824*^9, 
   3.795582923398822*^9}, 3.795583251664819*^9, {3.795626376488138*^9, 
   3.795626388069489*^9}, {3.795626450273509*^9, 3.795626469339574*^9}, {
   3.795626510746183*^9, 3.795626529707926*^9}, {3.795626780243451*^9, 
   3.7956267854327183`*^9}},ExpressionUUID->"2e469831-9930-4ad2-83c0-\
4e30beb7bfe5"],

Cell["This is our final expression.", "Text",
 CellChangeTimes->{{3.7955841073088713`*^9, 
  3.795584112964857*^9}},ExpressionUUID->"bb9376c5-3710-4f38-a0cd-\
cd2c215d3da3"],

Cell["Because", "Text",
 CellChangeTimes->{{3.7955834753531322`*^9, 3.795583476193413*^9}, {
  3.7956265975208197`*^9, 
  3.7956266067411547`*^9}},ExpressionUUID->"c64cae63-68fa-4104-844c-\
5db4044e531d"],

Cell[BoxData[
 RowBox[{
  SubscriptBox[
   RowBox[{
    FractionBox[
     RowBox[{"\[PartialD]", 
      RowBox[{
       SubsuperscriptBox[
        OverscriptBox["E", "~"], "x", "w"], "[", "n", "]"}]}], 
     RowBox[{"\[PartialD]", "w"}]], "\[RightBracketingBar]"}], 
   RowBox[{"n", "=", 
    SuperscriptBox["n", "w"]}]], "=", 
  RowBox[{
   RowBox[{
    FractionBox["\[PartialD]", 
     RowBox[{"\[PartialD]", "w"}]], 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["C", "x"], 
      RowBox[{"\[Integral]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"\[Alpha]", " ", "w"}]}], ")"}], 
        SuperscriptBox[
         RowBox[{"n", "[", "r", "]"}], 
         RowBox[{"4", "/", "3"}]], 
        RowBox[{"\[DifferentialD]", "r"}]}]}]}], ")"}]}], "=", 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{
     SubsuperscriptBox["E", "x", "w"], "[", "n", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.7956261457479563`*^9, 3.7956262643268843`*^9}, 
   3.7956266082024384`*^9, {3.795626656344692*^9, 3.7956266839445887`*^9}, {
   3.795626724823133*^9, 3.795626754566794*^9}, 
   3.7956711174639*^9},ExpressionUUID->"dc81ecdb-56e7-4c38-b8d7-4b4d99abb54e"],

Cell[BoxData[
 FrameBox[
  RowBox[{
   FractionBox[
    RowBox[{"\[PartialD]", 
     SubsuperscriptBox[
      OverscriptBox["E", "~"], "x", "w"]}], 
    RowBox[{"\[PartialD]", "w"}]], "=", 
   RowBox[{
    RowBox[{"\[Alpha]", " ", 
     SubsuperscriptBox["E", "x", 
      RowBox[{"w", "=", "\[Epsilon]"}]]}], "=", 
    FractionBox[
     RowBox[{
      RowBox[{"\[Epsilon]", " ", 
       SuperscriptBox["E", 
        RowBox[{"w", "=", "1"}]]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Epsilon]"}], ")"}], 
       SuperscriptBox["E", 
        RowBox[{"w", "=", "0"}]]}], "-", 
      SuperscriptBox["E", 
       RowBox[{"w", "=", "\[Epsilon]"}]]}], "\[Epsilon]"]}]}]]], "Input",
 CellChangeTimes->{{3.795583465613015*^9, 3.795583505865527*^9}, {
   3.79562629797093*^9, 3.795626317793302*^9}, {3.7956265567465887`*^9, 
   3.79562659204177*^9}, {3.795626767829042*^9, 3.795626798191485*^9}, 
   3.795671116485127*^9},ExpressionUUID->"efa8df3f-4ea7-4372-9650-\
2183b89661e5"],

Cell[TextData[{
 "the previous expression is an estimate of the exchange part of the ensemble \
derivative at the vicinity of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", "=", "0."}], TraditionalForm]],ExpressionUUID->
  "241fb185-40ea-4bdb-8b9e-65ab5cd1683d"]
}], "Text",
 CellChangeTimes->{{3.79558349098402*^9, 3.795583528656736*^9}, {
  3.795584122322145*^9, 3.795584123312717*^9}, {3.795626618036599*^9, 
  3.7956266308284388`*^9}},ExpressionUUID->"472707cc-c67f-4150-bffb-\
346deebfe911"],

Cell["Summarizing, in practice, one needs to perform:", "Text",
 CellChangeTimes->{{3.7955835324931717`*^9, 3.795583554573839*^9}, {
  3.795584131821254*^9, 
  3.795584135355208*^9}},ExpressionUUID->"33b16062-89ca-4816-bce3-\
188c08586462"],

Cell[CellGroupData[{

Cell[TextData[{
 "a zero-weight (i.e., ground state) calculation to get ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["E", 
    RowBox[{"w", "=", "0"}]], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "fa19a9a4-3fb5-4bce-b930-c94f51a58314"],
 ". Easy."
}], "Item",
 CellChangeTimes->{{3.7955835646032867`*^9, 3.795583632216599*^9}, {
  3.795583676432597*^9, 3.795583681226728*^9}, {3.795583759742305*^9, 
  3.795583761044952*^9}, {3.7955841440139723`*^9, 
  3.795584145624457*^9}},ExpressionUUID->"af84314f-3568-4b2a-86ae-\
79f56f67a074"],

Cell[TextData[{
 "a MOM-style calculation at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", "=", "1"}], TraditionalForm]],ExpressionUUID->
  "ee22702f-91b4-436d-91e6-74d7ec2b66b3"],
 " to get ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["E", 
    RowBox[{"w", "=", "1"}]], TraditionalForm]],ExpressionUUID->
  "2fa89da7-986c-488f-9250-02cb37d26e5e"],
 ". Less easy but doable with the new algorithms developed in Gill\
\[CloseCurlyQuote]s group and Head-Gordon\[CloseCurlyQuote]s group (MOM, SGM, \
etc)."
}], "Item",
 CellChangeTimes->{{3.7955835646032867`*^9, 3.7955836633523397`*^9}, {
  3.795583762585924*^9, 3.7955837819945183`*^9}, {3.795584157782454*^9, 
  3.795584176310916*^9}},ExpressionUUID->"8a822d39-2341-4596-ada7-\
e75d9e6690e9"],

Cell[TextData[{
 "a GOK-DFT calculation at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", "=", "\[Epsilon]"}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "9999f8ce-914f-402d-9fd6-55f4678521c9"],
 " to get ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["E", 
    RowBox[{"w", "=", "\[Epsilon]"}]], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "f72c2cb9-9c03-48f4-85f7-b28b6d915ec5"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["E", "x", 
    RowBox[{"w", "=", "\[Epsilon]"}]], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "93920de6-9927-4bf9-a7af-530961d43aa6"],
 ". Because ",
 Cell[BoxData[
  FormBox["\[Epsilon]", TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "f0dad6c5-1ee2-4393-941b-dadaa8701da1"],
 " is small, in practice, the calculation is going to converge easily, which \
is a very important point, especially if one starts with the converged \
ground-state density matrix."
}], "Item",
 CellChangeTimes->{{3.7955835646032867`*^9, 3.795583705466729*^9}, {
  3.795583798079362*^9, 
  3.7955838291067142`*^9}},ExpressionUUID->"6fce318d-b27e-4732-8652-\
d9af60c9d126"]
}, Open  ]],

Cell[TextData[{
 "In such a way, one can approximate efficiently the ensemble derivative at \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", "=", "0"}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "39cdb037-a197-48f8-805e-9092aacf0854"],
 ", and obtains excitation energies."
}], "Text",
 CellChangeTimes->{{3.795583713553678*^9, 
  3.795583746528973*^9}},ExpressionUUID->"2122a45a-faf8-43b9-ad55-\
a691c6aeb453"],

Cell[TextData[StyleBox["What do you guys think?",
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.795583849579664*^9, 3.7955838536871777`*^9}, 
   3.7955842028615417`*^9},ExpressionUUID->"eb3bf7bb-f510-4acd-af97-\
fa003e171a33"]
}, Closed]],

Cell[CellGroupData[{

Cell["Results", "Title",
 CellChangeTimes->{{3.793967500889427*^9, 3.7939675024169827`*^9}, {
  3.794451756388905*^9, 3.794451757179203*^9}, {3.7970063515111628`*^9, 
  3.797006353126883*^9}},ExpressionUUID->"403ad24b-6148-464c-a5e4-\
e415e314b48d"],

Cell[BoxData[{
 RowBox[{"I", "=", 
  RowBox[{"0", ":", "\t", 
   RowBox[{
    RowBox[{"2", "H", "\t", "1"}], "-", 
    SubscriptBox["w", "1"], "-", 
    SubscriptBox["w", "2"]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"I", "=", 
  RowBox[{"1", ":", "\t", 
   RowBox[{"H", "+", 
    RowBox[{"L", "      ", 
     SubscriptBox["w", "1"]}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"I", "=", 
  RowBox[{"2", ":", "\t", 
   RowBox[{"2", "L", "\t", 
    SubscriptBox["w", "2"]}]}]}]}], "Input",
 CellChangeTimes->{{3.797006263875242*^9, 
  3.797006396152872*^9}},ExpressionUUID->"25f11938-4579-4635-83c0-\
28b3627c6f5a"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SubscriptBox["w", "1"], "-", 
      SubscriptBox["w", "2"]}], ")"}], "2", "H"}], "+", 
   RowBox[{
    SubscriptBox["w", "1"], 
    RowBox[{"(", 
     RowBox[{"H", "+", "L"}], ")"}]}], "+", 
   RowBox[{
    SubscriptBox["w", "2"], 
    RowBox[{"(", 
     RowBox[{"2", "L"}], ")"}]}]}], "\[Equal]", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       SubscriptBox["w", "1"], "2"], "-", 
      SubscriptBox["w", "2"]}], ")"}], "2", "H"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       SubscriptBox["w", "1"], "2"], "+", 
      SubscriptBox["w", "2"]}], ")"}], "2", "L"}]}]}]], "Input",
 CellChangeTimes->{{3.797006406167519*^9, 3.7970064219660053`*^9}, {
  3.797006681791539*^9, 
  3.7970066837972918`*^9}},ExpressionUUID->"5d6e6788-22dd-4397-a680-\
fe605c9feccd"],

Cell[CellGroupData[{

Cell["Hydrogen molecule at equilibrium", "Section",
 CellChangeTimes->{{3.7943052147422457`*^9, 
  3.794305221712576*^9}},ExpressionUUID->"cf8f6c8e-c59a-4828-8c32-\
df4820734500"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SizeLegend", "=", "18"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SizeLabel", "=", "18"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OptionsPlot", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"PlotTheme", "\[Rule]", "\"\<Detailed\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"BaseStyle", "\[Rule]", "18"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Thickness", "[", "0.01", "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"InterpolationOrder", "\[Rule]", "2"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Joined", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"PlotMarkers", "\[Rule]", "\"\<OpenMarkers\>\""}], "*)"}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]}], "Code",
 CellChangeTimes->{{3.794540683050015*^9, 3.7945407337659616`*^9}, {
  3.794540916706895*^9, 3.794540919301409*^9}, {3.7945409833608*^9, 
  3.794541016455935*^9}, {3.794541092492181*^9, 3.794541108916753*^9}, {
  3.794541142013291*^9, 3.7945411530351143`*^9}, {3.795255322861587*^9, 
  3.795255323794676*^9}, {3.795255359258039*^9, 3.795255381222674*^9}, {
  3.7953203692132607`*^9, 3.795320458538566*^9}, {3.797076656848433*^9, 
  3.797076660939084*^9}},
 CellLabel->
  "In[124]:=",ExpressionUUID->"0527fb6c-d312-49f0-a800-b985047134b5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[CapitalDelta]Ew", "[", "tab_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"tab", "\[LeftDoubleBracket]", 
       RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
      RowBox[{
       RowBox[{"tab", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
       RowBox[{
        RowBox[{"(", 
         FractionBox[
          RowBox[{
           RowBox[{"tab", "\[LeftDoubleBracket]", 
            RowBox[{
             RowBox[{"Length", "[", "tab", "]"}], ",", "2"}], 
            "\[RightDoubleBracket]"}], "-", 
           RowBox[{"tab", "\[LeftDoubleBracket]", 
            RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}], 
          RowBox[{
           RowBox[{"tab", "\[LeftDoubleBracket]", 
            RowBox[{
             RowBox[{"Length", "[", "tab", "]"}], ",", "1"}], 
            "\[RightDoubleBracket]"}], "-", 
           RowBox[{"tab", "\[LeftDoubleBracket]", 
            RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}]], ")"}], 
        RowBox[{"tab", "\[LeftDoubleBracket]", 
         RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}]}], "-", 
       RowBox[{"tab", "\[LeftDoubleBracket]", 
        RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", 
      RowBox[{"Length", "[", "tab", "]"}]}], "}"}]}], "]"}]}]], "Code",
 CellChangeTimes->{{3.795254038206369*^9, 3.795254131704221*^9}, {
  3.795254177404931*^9, 3.7952541779313993`*^9}, {3.797151571383792*^9, 
  3.797151581747882*^9}, {3.797155241790772*^9, 3.797155281125733*^9}, {
  3.797155855294799*^9, 3.7971558554213467`*^9}},
 CellLabel->
  "In[127]:=",ExpressionUUID->"3053fc54-a711-42db-bdb9-fe3d0985162c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SVWN5", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/w/H2_aug-cc-pvtz_RS51_RVWN5.dat\>\"\
", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GIC", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/w/H2_aug-cc-pvtz_RCC_H.dat\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GICVWN5", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/w/H2_aug-cc-pvtz_RCC_RVWN5.dat\>\"\
", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GICMFL", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/w/H2_aug-cc-pvtz_RCC_RMFL20.dat\>\"\
", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"S51", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/w/H2_aug-cc-pvtz_RS51_H.dat\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MFL", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/H2_aug-cc-pvtz_RMFL20_H.dat\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MFLVWN5", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/H2_aug-cc-pvtz_RMFL20_RVWN5.dat\>\"\
", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MFLMFL", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/H2_aug-cc-pvtz_RMFL20_RMFL20.dat\>\
\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "4"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]S51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]S51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"S51", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "28.75"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwSVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "SVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]SVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "SVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]SVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "28.75"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "SVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwGIC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GIC", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]GIC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GIC", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]GIC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"GIC", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "28.75"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GIC", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwGICVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]GICVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]GICVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "28.75"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwGICMFL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICMFL", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]GICMFL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICMFL", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]GICMFL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "28.75"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICMFL", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FCI", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "28.75"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "2"}], ",", "28.75"}], "}"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.794501066968334*^9, 3.794501074657475*^9}, {
   3.794503735604389*^9, 3.794503791366263*^9}, {3.79451020762436*^9, 
   3.79451020988175*^9}, {3.794540806783524*^9, 3.794540851124797*^9}, {
   3.7945410397824907`*^9, 3.794541083882888*^9}, {3.7945411227990217`*^9, 
   3.7945411280593863`*^9}, {3.794541165095499*^9, 3.794541166622898*^9}, {
   3.7945472498903913`*^9, 3.7945473807177343`*^9}, {3.7945474272687597`*^9, 
   3.794547461744211*^9}, {3.794900348058032*^9, 3.794900368804553*^9}, {
   3.794900410151533*^9, 3.794900421131607*^9}, {3.794900739402335*^9, 
   3.794900744670704*^9}, {3.79491627348487*^9, 3.7949163563936033`*^9}, {
   3.794916586215969*^9, 3.794916587482777*^9}, {3.794917607064766*^9, 
   3.7949176135972347`*^9}, {3.7949301846680803`*^9, 3.794930195844509*^9}, {
   3.794930417999261*^9, 3.7949304697676907`*^9}, {3.794931503320519*^9, 
   3.794931511816743*^9}, {3.7949316100635023`*^9, 3.794931620263546*^9}, {
   3.794972026273691*^9, 3.794972032798369*^9}, {3.794972178387083*^9, 
   3.794972186081249*^9}, {3.794977487871182*^9, 3.794977515384416*^9}, {
   3.795073823166991*^9, 3.7950738601496477`*^9}, {3.795100458365831*^9, 
   3.795100463907539*^9}, {3.795228154043581*^9, 3.795228276884901*^9}, {
   3.795228422474807*^9, 3.795228459618166*^9}, {3.795228511688449*^9, 
   3.795228518616336*^9}, {3.795229653887946*^9, 3.7952296564818773`*^9}, {
   3.795232846649873*^9, 3.7952328574907637`*^9}, {3.79688817621777*^9, 
   3.796888176649835*^9}, {3.797151468091454*^9, 3.797151475080093*^9}, {
   3.797173714073292*^9, 3.797173714231784*^9}, {3.797177678861887*^9, 
   3.797177683242428*^9}, {3.797182715606992*^9, 3.797182715841434*^9}, {
   3.79732606839904*^9, 3.797326068811661*^9}, {3.797437849489625*^9, 
   3.797437849772789*^9}, {3.797496478674491*^9, 3.79749647921807*^9}, 
   3.7974966029049463`*^9, {3.797497223039905*^9, 3.797497223126565*^9}, {
   3.797497549673986*^9, 3.797497553024785*^9}, {3.797499077366261*^9, 
   3.797499077466276*^9}, {3.797504647375399*^9, 3.797504665233242*^9}},
 CellLabel->
  "In[128]:=",ExpressionUUID->"f9315378-c650-4b01-adc0-3a8dfaf073d2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[CapitalDelta]Ew", "[", "EwS51", "]"}], ",", 
     RowBox[{"\[CapitalDelta]Ew", "[", "EwGIC", "]"}], ",", 
     RowBox[{"\[CapitalDelta]Ew", "[", "EwSVWN5", "]"}], ",", 
     RowBox[{"\[CapitalDelta]Ew", "[", "EwGICVWN5", "]"}], ",", 
     RowBox[{"\[CapitalDelta]Ew", "[", "EwGICMFL", "]"}]}], 
    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"1", "/", "3"}]}], "}"}], ",", "All"}], "}"}]}], ",", 
   "\[IndentingNewLine]", "OptionsPlot", ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{$w$}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{Dev. from linearity (a.u.)}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{S}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{CC-S}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{SVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{CC-SVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{CC-SeVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<~/Dropbox/Manuscripts/FarDFT/Manuscript/Ew_H2.pdf\>\"", ",", "%"}], 
   "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.79454995818198*^9, 3.794550056582102*^9}, {
   3.794550957011647*^9, 3.7945509784674997`*^9}, 3.794892333111104*^9, {
   3.79490037305298*^9, 3.7949003770798197`*^9}, {3.794916592518004*^9, 
   3.794916626048287*^9}, {3.794930476815817*^9, 3.794930480443349*^9}, {
   3.794931518527726*^9, 3.794931519392357*^9}, {3.79493354307712*^9, 
   3.794933553197998*^9}, {3.794972040069544*^9, 3.794972042552458*^9}, {
   3.7949721910558653`*^9, 3.794972192842806*^9}, {3.7949775204673853`*^9, 
   3.7949775312736483`*^9}, {3.794978381473041*^9, 3.7949783970796556`*^9}, {
   3.795073864198514*^9, 3.79507393069709*^9}, {3.795076973455983*^9, 
   3.795076974417272*^9}, {3.795100472598009*^9, 3.795100483237753*^9}, {
   3.795105886424511*^9, 3.795105957955182*^9}, 3.795105995644155*^9, {
   3.7951060547985277`*^9, 3.7951060607916527`*^9}, {3.7951060976578093`*^9, 
   3.795106098222701*^9}, {3.795106200441524*^9, 3.795106266273793*^9}, {
   3.795106502392468*^9, 3.795106503592857*^9}, {3.795107856815571*^9, 
   3.795107857226839*^9}, 3.795110695730279*^9, {3.79517649385334*^9, 
   3.795176494118764*^9}, {3.795176525807382*^9, 3.795176526243072*^9}, {
   3.7951768984943933`*^9, 3.795176905818042*^9}, {3.7951869594189787`*^9, 
   3.79518697430476*^9}, {3.795228294805068*^9, 3.79522836098522*^9}, {
   3.795228400831469*^9, 3.795228404849593*^9}, {3.795232682892654*^9, 
   3.7952326915498323`*^9}, {3.79525413503689*^9, 3.795254158789199*^9}, {
   3.795254198257225*^9, 3.795254278832089*^9}, {3.795254316094252*^9, 
   3.795254351986829*^9}, {3.795255345459456*^9, 3.7952553510781918`*^9}, {
   3.7952553953463383`*^9, 3.795255395811307*^9}, {3.7952554697561197`*^9, 
   3.795255481088748*^9}, {3.795255583992358*^9, 3.795255589634921*^9}, {
   3.795256413140295*^9, 3.795256417747985*^9}, {3.795256523506897*^9, 
   3.7952565636654053`*^9}, {3.795256672114045*^9, 3.795256687957172*^9}, {
   3.795333390250894*^9, 3.795333404579505*^9}, {3.796888183461156*^9, 
   3.7968881858825493`*^9}, 3.796960527218977*^9, {3.7969639434615498`*^9, 
   3.7969639459299498`*^9}, {3.796971205102623*^9, 3.796971222698736*^9}, {
   3.797002530293898*^9, 3.797002533916689*^9}, {3.797008787680743*^9, 
   3.797008790605791*^9}, {3.7970089360106564`*^9, 3.797008942049994*^9}, {
   3.797009272062922*^9, 3.797009293380967*^9}, 3.797009332686686*^9, {
   3.797151486606986*^9, 3.797151501987962*^9}, {3.7971515921543837`*^9, 
   3.797151612479034*^9}, {3.7971552277115*^9, 3.797155228078075*^9}, {
   3.797496518238933*^9, 3.797496533084507*^9}, {3.797504684302253*^9, 
   3.797504735910864*^9}},
 CellLabel->
  "In[327]:=",ExpressionUUID->"abd4eab1-6449-43ab-964f-c00dcb6b555b"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJxdenk4Vl/UNhnLkCSRCikhUsbox0oJRYOpaCASiTJG5nmeH89zNKAyz/M8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         "]]}, {
        Hue[0.9060679774997897, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJxdenk4Vl/UtjHJWDTQpBSlTBWiWFEhY0QZknme53l8PEMUMiVJP0KSecrY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         "]]}, {
        Hue[0.1421359549995791, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJxVunc8V+8bP052S0OFFsmqjGRXrpJQKishDSEke2Zm7/EahyLZoiJbZpe9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         "]]}, {
        Hue[0.37820393249936934`, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJxdenc8ln/0tz1aKopSRqIUqawojpXRICtkZGVlz+z7vi8RFSV8S6KMQvbK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         "]]}, {
        Hue[0.6142719099991583, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJxdenc4Vn/4P5ERUqi0jbIiZYXSHQmRnTLLys7e83meY4WEyqeEsrKyyXbb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         "]]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6], 
         Thickness[
         0.01]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6], 
         Thickness[
         0.01]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {False, False}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, BaseStyle -> 18, 
     DisplayFunction :> Identity, Frame -> {{True, True}, {True, True}}, 
     FrameLabel -> {{
        FormBox[
         GraphicsBox[{
           Thickness[0.005502668794365268], 
           StyleBox[{
             
             FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAGIQLbNRbD7TAzaHvfk1b2c+VXKA8TttPHelBSk48Djy
ec3QZHVwX3N0OcMOeYeAJ56XTCd/sX/TltttFI3g/wcDWYdWBXbVMyWSDjD+
ym8vK848UIDzTW32Bk1bqOKwVkiHL11PwWEmCNxUg/KVHF4VbxX9ra3pMGMC
f5WZt4qD/PIXHnr1Wg4zQOoq1eH8P99KH8z5qAXnx4cEqS/Q1HM4fQYIcjQd
uN1US5mqDBwy8z+0nixRd/A+wW47u9TQITUNCNhUHf6C9G80grhPQdEhHSQe
Zgx1vwScD/MfOv9J4sJrJv+NHL7s+7g1fRqrw2MQ/74RPPy+7LzV9Xcrgm8M
AsmGDujhDQBUna1R
               "], CompressedData["
1:eJxTTMoPSmViYGAQAWIQ/aYtt9tot5DDFvMfh1J+GTrA+Pz+66ekdhg5iFRO
KjnbIuxwBgTWGDmYGANBsRicD1Y/WwbO/w8C8xUcltzfxzcn2cjBfc3R5QwR
Sg7JsXfcmE8YOpja7A2apqjqID0vTvP0BQOHmWCg5sDC2SWf3KcH5//5Vvpg
zkYtOH8GiKpUg+v3AJlboeygfO1RMIONkoPzhGahtFOKEPWZCg4rv72sOHNA
AeouGYdOG89daUEKcPfD+GD3zRCG82H+Fwb5ewmCDzMfPbwATP2R8w==
               "]}], 
             
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQveKFh95/Q1OHF1na36bfVXFIA4EwE4e9+TVvZ6oq
Ofz9VvpgzkRjB+Vrj4IZZBQdohUcPybnGMH5nzcEZM9KN4TzD7ctDz+1yACu
P0J8+0UGOQOHJ4kLr5noqzg0sBztN5yu7zBjAn+VWbeqQz2IHw7kzwSCnWoO
+lorhS+46DvMWaS8889zDYcDtbIW6SqmcP6E4BKV6f9NHM5fDXujb63tsAzk
/osmUH06Dn0g+XgTh/iQIPUFmboOX3fe6vp71djBxBgINus5LL6/j28OM5Rf
rO/gfYLddraoEZwvPS9O87SBIZwPctbMSAMHFs4u+eRzenD3Qvyh61D726rg
3Apdh/8gIK/j8AcUXht1IOZO1YTzPfYDPbJcDc53X3N0OcMORbh/1T+pvJzl
KQuxf4MhnL8E5N5kYzhf9UnzvLO7TBxWfntZceaAgsM0UDhWQ+NvrooDenwC
AA2uzzs=
               "], {{15.670299999999996`, 13.024999999999999`}, {
               15.867199999999997`, 14.420299999999996`}, {
               16.474999999999998`, 15.081299999999997`}, {17.5656, 
               15.081299999999997`}, {18.656299999999998`, 
               15.081299999999997`}, {19.0859, 14.581299999999997`}, {19.3172,
                13.024999999999999`}, {15.670299999999996`, 
               13.024999999999999`}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI1IGYC4g8bArJnsds5pMTecWOW0HeYMoG/yqzbGoPP
wtkln9yn5/A8S/vbdFkbBxNjICjWc5CYeoUzI8nGoYHlaL+hOIIfHxKkviBT
F85fq/qkeR6vroP6W959BpE2DgG3pGsSN+k4XBX65HjezcZBV1H+S06YjsOf
b6UP5jRaOdzRlF3zX1jZoWSr6O/T6ywczl8Ne6NvreMAstZ4MpS/W8fB6wS7
7exWC4cNenmLGW104XyIexF8sHuN9RySQf7aYQF3P5gfYQn3H4wP8/8NkPuu
mWLwYeoNtFYKX2gxc9gCsr8Gyl9i5vAgQnz7RQU9h0+g8C03h/irUMvhDAjM
sXRYK6TDl66n4PBl562uv0stHWR3LdiX+k7eYcn9fXxzNkP5efIQfQctHd60
5XYb3ZaD6L9j6fDANd5x1kRZBx7/9VNSf1g6/AcDGQefixNj/glbwfnPExde
M9FH8J+A+P5WUPtkIeonWznMngkEngoOIGcz3LNx8AeJH9Z2ONK2PPxUki08
/MJB8nW28PCDpR9YeKCnJwDKr/5o
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, {{{31.5344, 9.2875}, {30.998399999999993`, 9.2875}, {
              30.551599999999993`, 8.82344}, {30.551599999999993`, 
              8.268749999999999}, {30.551599999999993`, 7.749999999999999}, {
              30.998399999999993`, 7.3031299999999995`}, {31.5172, 
              7.3031299999999995`}, {32.07189999999999, 
              7.3031299999999995`}, {32.5359, 7.749999999999999}, {32.5359, 
              8.268749999999999}, {32.5359, 8.82344}, {32.07189999999999, 
              9.2875}, {31.5344, 9.2875}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
              0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGINIGYC4pkgkOnmkBJ7x41ZQt/B4trRXJMAVwx+8VbR
36fnGcL5vP7rp6SuMHJwaHp0fEa1q0N6GhCYGTu84d1nMPMSGp/JDZWv5ObA
D9LPYexQEbHC9Ky3m8Pi+/v45jQbOfCAxAvcHM6AAI+Rwwa9vMWMPW4Q++8Z
Oqg+aZ53dhOCv/NW19/U5wj+r5jco/+E3B16vF6xmBgawflbzH8cSpmF4D9J
XHjNxN7YQW/Cgh+G66Du22bswLJ4khWjKoK/pvt2BsN0VzhfwfFj8hlZV4g7
rIwdHgCdbfzIBRIeGUYOJSB3LHOBh9eBWlmL9CkuDtxuqqVMvwwg6ie5wMMX
bO41Zwy+/y3pmsRPunD16Hz3NUeXM+xQgvOVrz0KZpBRcAgpUZn+v8LF4U1b
brdRtLxD+/LwU0ZXnB1MjIFAGMH/DwaykHBQd8Pgw9SD4zfb1UH9k8rLWZ7y
DhJTr3BmBLk6gNMNpwKcD3MPjA9zLyx9ofNh/gUAjxwUyw==
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGItIGYC4jQQ2Obm4H9Luibxk44DmH/NzWGt6pPmeby6
Dn9ico/+e+Xm0MBytN9QXNdhno3OlVls7nD+CU2rSaftEfwDtbIW6SHuDvpa
K4UvtOjA+X++lT6Y81ELzl/57WXFGQYlOJ8/NuC+kbkChO/i7iC7a8G+1Hfy
Dhfz49nPbXRzMDEGAmEE/z8YyDo8SVx4zeS6BwYfpt6h6dHxGdYeDuqfVF7O
8pR3mPKNLX6GiIfDWiEdvnQ9BTjffc3R5QwWSnC+/8WJMf+cteD8+t9WBecy
tB1Wd9/OYCj3cAgAhZeRrsMZENiC4L/h3Wcw8xCCD3MPODxYdB14/NdPSf3g
4VALMm+FjgPr4klWjKKeEL6GjoPehAU/DPU8ofGh7VARscL0rDeCD4qWs00I
/g2QNUs9IfHVqwPns3B2ySf36cL5G/TyFjPu0YPYV+oJCZ9ifYj71NH4xz3g
fLD/WjwcHkSIb7+4QA8eHrqK8l9yxHTg/Ccg+QR9h26vVywmnAj94PTR7+4Q
HxKkvmClnoPQJ8fzabbuEHljPQdY+oOkF10H9PQIALugFEQ=
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{
               1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
               55.6703, 15.725000000000001`}, {53.3453, 
               15.725000000000001`}, {51.718800000000016`, 
               14.007799999999998`}, {51.718800000000016`, 11.5406}, {
               51.718800000000016`, 9.12656}, {53.3813, 7.321879999999999}, {
               55.6344, 7.321879999999999}, {57.88749999999999, 
               7.321879999999999}, {59.60469999999998, 9.21719}, {
               59.60469999999998, 11.6844}, {59.60469999999998, 
               14.026599999999997`}, {57.959399999999995`, 
               15.725000000000001`}, {55.6703, 15.725000000000001`}}, {{
               55.43749999999999, 15.225000000000001`}, {56.93909999999999, 
               15.225000000000001`}, {57.995299999999986`, 
               13.507800000000001`}, {57.995299999999986`, 11.0578}, {
               57.995299999999986`, 9.0375}, {57.19059999999999, 
               7.821879999999999}, {55.8484, 7.821879999999999}, {55.1516, 
               7.821879999999999}, {54.4906, 8.25156}, {54.1141, 
               8.965629999999997}, {53.6141, 9.895310000000002}, {53.3281, 
               11.148400000000002`}, {53.3281, 12.417199999999998`}, {53.3281,
                14.115599999999999`}, {54.168800000000005`, 
               15.225000000000001`}, {55.43749999999999, 
               15.225000000000001`}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJVIIaxWZDYzFDMAOUz4BHHxSbGHFxsetpLiV3U8i8x
9uJSAwDiagJx
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIvIGYCYpbFk6wYXf0cNujlLWa00XVQfdI872ySn0M9
y9F+w3BdhxvSNYlGpX4O/0EgXtchNQ0I+hD8C/nx7OdOosnf83NYCzZIB87X
V5T/kiOmDec7T2gWSuNSgvOVrz0KZpBRgPD3+TmIVE4qOasi76AzYcEPQzs/
BxNjIBBG8MH2/Zd16PZ6xWIiG4DBh6kPKVGZ/v+Av4P7mqPLGSzkHeba6FyZ
Nc8fqh7B35tf83ZmqiKcf/5q2Bv9am04fz3IP73aEPM2+DvU/7YqOPdCG25+
LYivoeNwdx/fHONfUP2/dRy8q5v1ffQCHBpA4Tld1yEd5L8wBH/9w5dTN3Ug
+CDrni0McNAFhVeYDpzvc4LddvZVTTjfGOw/JTi/08ZzV5qQgsN3tvgZPlMD
HN605XYbRcs7SL9+ZCYVgggPGB8WXvtrZS3SQwIx+DD1EHsC4fERIb79IgNT
oMNaIR2+dD0FOB8SfkpwPjh8MrQh5qkEOvjfAiakTzoOhy9rp0p6BcL9C04m
dQg+2Bn7EXx31VKmWVeg7puvA+fPWaS8889yTTj/DAjIKMH5sPDYfavrb+pp
qH8myzuAkqtkJ8J/MD7M/7G5R/9tag7C4MPUW4PCOzUInp4+bwjInuUcBA/v
DaD4NAmC2B+kAOeD1e9QhPO9QfEpqgnng/OLry4kfjig9hXrQ9yxPhDOnwkC
uQg+OH6MAx1aeP3XT2nVcxD+5Hg+7WsAJLyLdCDh8iDAYQsof9foQdy/MwCu
H2xfDYIv7/gx+Ywngr+1pebCZk0o/7MeJB1O9XcIAJm/SQfOfwKK+AR9CL/V
H64fnC8E/CHuO6rn8CcGGKCH/KDq9Rxg5Q+4vLmu64BeHgEAe/77Xg==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {
              0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIJIGYCYpnXj8yk9gQ7LLm/j2/OYiOHNd23MxgOI/if
NwRkzzof7MDrv35K6gojhx9s8TN87gY7nAGBNUYOzYGecxueIfgSHgF/JLhD
4PwmkLwYlJ+D4HufYLedPdUQVV5GCc5fK6TDl66nAOGzhTjI7lqwLzVP3iE9
DQj2BTuYGAOBMIL/HwxkHTStJp2uPxOCwYepP1Ara5HeEuLwpi232yha3oHj
54L0zWUhDjNBgFMBzl/57WXFGQYlON+2MmKF6VpjhyOXtVMli0Ig9m4zdnjD
u89gplkIJHwyjOH+V33SPO+slbEDLHzB/ntj5IAe3gD7ha56
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQzflzQfrmdaEOJsZAUKzv8IMtfobP3xCHLXp5ixlr
dOF8/1vSNYmfdBzSQIAt1OH81bA3+r91HNqWh58yEgl1WKv6pHker66DhEfA
HwnlUIcGlqP9huK6DiKfHM+n6SL4Z0DAA8EHqw8OddDXWil8oUUHzv/zrfTB
nI9acP7e/Jq3M5cqwfmdNp670oQUHGJzj/7b5B7q8KYtt9soWt5hw8OXUzf9
CIH4RxjB/w8Gsg5PRGRPPmUPw+DD1B+olbVI3xPqILtrwb7UPHmI+GaEfTA+
zD0wfkLsHTfmCH0H9PAEADAhlEs=
               "], {{85.88909999999998, 
               19.712500000000002`}, {85.40629999999999, 
               19.712500000000002`}, {84.99529999999999, 
               19.301599999999997`}, {84.99529999999999, 
               18.799999999999997`}, {84.99529999999999, 
               18.299999999999997`}, {85.38749999999999, 17.8891}, {
               85.88909999999998, 17.8891}, {86.40780000000001, 17.8891}, {
               86.81880000000001, 18.282800000000005`}, {86.81880000000001, 
               18.799999999999997`}, {86.81880000000001, 
               19.301599999999997`}, {86.40780000000001, 
               19.712500000000002`}, {85.88909999999998, 
               19.712500000000002`}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4g0PX07dZBHmsEEvbzGjja7Dpw0B2bPswxzq
WY72G4brOqzpvp3B4B3m8B8E4nUdvoDkw9H45Qi+jc6VWc8aofqv68D5+ory
X3LEtOF89zVHlzNYKMH5a4V0+NL1FByEPjmeTysNc3jTltttFC0Psd86zMHE
GAiEEXywff9lHWaCgG44Bh+mHkx/Rph35LJ2quSjMAfla4+CGWQU4Py9+TVv
Z6Yqwvl/vpU+mFOo7RBSojL9v0S4w1rVJ83zeHUdHuzjm2NsFO6wBRReNboO
T0RkTz4NR/AZQGACgn/taK5Jw2qo++J14Hz/ixNj/jFrwfnOE5qF0rqU4PzZ
IH94Kji4qpYyzZoTDnf/zltdf1OTEf6D8WH+FwaFX2AEBh+m/htb/AwfyQgH
2V0L9qXmyUPimzvCQbhyUslZFQU4HxweTxXhfEj8acH5/rekaxKLdCHm3YS6
p1jfwQ3k3hYEHxw+/gi+ptWk0/U64Q4JsXfcmG/oObzl3Wcw814YJHx7deD8
JxHi2y8m6Du8AfGvhcH1g+XnhTmwcHbJJ5/Tg6e/+JAg9QWZeg6w9AxJf7oO
6OkbAPPYSyo=
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQ/aBKZJ27ZZTDiyztb9Pvqjjc9++dnscU5bA3v+bt
TFUlh/fLj3mbX4x0UL72KJhBRtFBJirF+n47gi/X+jpwhxuCr3dXha1RNBKu
f/EkK0bfLxEOTxIXXjPRV3GIyT36b9P9CIcZE/irzLpVHWJB/OtA/kwg2Knm
IPTJ8Xza1QiHOYuUd/55ruFw49z34MemUXD+CzVDjjU6UQ7nr4a90bfWdgC7
XzHKQV9rpfAFFx2IPEuUQ3xIkPqCTF2HPys/XvJ9FOlgYgwEm/UcWML4dDet
hfKL9R3EQQJFCL6UPtADlgg+iDJmjnRg4eySTz6nB3dvA8vRfsPpug42Oldm
PVsY4fAfBOR1HFZ3385gaI5w8D7Bbjt7qiac77G/VtZiuRqc777m6HKGHYpw
/6p/Unk5y1MWYn9kJJwPdu9RBP9N4A65Vukoh5XfXlacOaDgcAcY3FO9ofE3
V8UBPT4BGa7Jaw==
               "], {{99.3703, 13.024999999999999`}, {99.5672,
                14.420299999999996`}, {100.175, 15.081299999999997`}, {
               101.26599999999999`, 15.081299999999997`}, {
               102.35599999999998`, 15.081299999999997`}, {102.786, 
               14.581299999999997`}, {103.017, 13.024999999999999`}, {99.3703,
                13.024999999999999`}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
               1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
               0}}}, {CompressedData["
1:eJxTTMoPSmViYGAwB2IQnSvUfOBUZIyD8rVHwQwxig6paUDgBuXfUXCozdpT
MtkixmGtkA5f+joFh4KMiW9r1BH8lteBO+R40fisUL6eIpz/wDXecdZBJTi/
5tOGgOxdmnC+vqL8l5xp2g4NU527c/5HO/wHgfk6DhPe1tibvot22KKXt5ix
Rhei/mq0Qwuv//opR/UcpgCVP18c7WBiDATF+g7b5VpfByYg+GdA4EsUnP9k
6ewjCguiHAJuSdckbtKF8/98K30wp1AbzpdZ/sJDb76Ww5MLSrd/botymLNI
eeef55oOD6pE1rlfRPDB5r9B47NEw/XD+PW/rQrOZWjD+etVnzTP69V2uKPC
1jiVOdrh/NWwN/q7tR3OA62rY4Lyf2s7XKl4qWbIEO2wFqTeV8fheNm++VL/
oxwaWI72G05H8OtB/OsIPgtnl3zyOV2H/acWum5Tjoaq13PY/vnvlYpANH4n
gr/i4yXfpBXREP19unA+JD604fy/4PDShLjvR5TDjJlAYKnu8ELNkGPNkyiH
Y7t29LJ9UHN4A4yu1s1RDpn5H1pPTlF1uO/fOz1vVpTDiyztb9Pvqjj8WQk0
sCvKIR2U7pYpw/nua44uZ6hQgvP5YwPuG5krQMzfE+Wg/knl5SxPWXh4wfjr
i4AJ1ATB3zD3/fJjyVD+STmIO1dGO6z89rLijIOiwxygtPd6hDw4PR1G6O9w
THh64ROCD0yNcbskY+B8cP4xjHEQqZxUclZFzgGWn9aA0n+eggN6/gIAsLea
CA==
               "], {{110.63099999999997`, 9.700000000000001}, {
               110.63099999999997`, 9.14531}, {110.54200000000002`, 
               8.98438}, {110.16699999999997`, 8.768749999999999}, {109.738, 
               8.518749999999999}, {109.238, 8.357809999999999}, {
               108.86099999999998`, 8.357809999999999}, {108.23599999999998`, 
               8.357809999999999}, {107.73399999999998`, 8.965629999999997}, {
               107.73399999999998`, 9.734380000000002}, {107.73399999999998`, 
               9.806249999999999}, {107.73399999999998`, 10.8609}, {108.469, 
               11.5047}, {110.63099999999997`, 12.2922}, {110.63099999999997`,
                9.700000000000001}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGItIGYC4v8gkB7j4H9Luibxk44DmF8e47BW9UnzPF5d
hz8rP17ybYpxaGA52m8oruvwZOnsIwoTEPwXaoYca9YgyV9Quv1zW4yDvtZK
4QstOnD+n2+lD+Z81ILzV357WXGGQQnO548NuG9krgDhr4txkN21YF/qO3kH
ljA+3U2pMQ4mxkAgjOCD3flf1mEF0HlJFbEYfJj6LSfK9s3XinVQ/6Tycpan
vMNxIFdKPNZhrZAOX7qeApzvvubocgYLJTjf/+LEmH/OWnB+/W+rgnMZ2g7b
5VpfB3rEOgSAwstI12GNTFSKdTqCv9b9YZVIHoIPcw84PFh0HRa4bvv8tyXW
oRZk3godhznvlx/zng7la+g4THHuznm+OBYaH9oOoODesAnBn/C2xt70HILf
MBWo4X4sJL56deB8Fs4u+eQ+XTh/g17eYsY9ehD7jkPDp1gf4r4FaPwCBB/s
P/9YhwcR4tsvLtCDh4euovyXHDEdOP8JSD5B3wHo2qIMQYR+cPq4EuMQHxKk
vmClnsObwB1yrauh8Wms5wBLf5D0ouuAnh4BymMvRQ==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQvV2u9XXgijgHE2MgKNZ3+PL3SsXLb7EOW/TyFjPW
6ML5/rekaxI/6Tj8B4NYh/NXw97o/9ZxePp75cdLvHEOa1WfNM/j1XV4oWbI
sUYmzqGB5Wi/obiuw5MLSrd/qiH4d/17p+c5Ifhg9T5xDvpaK4UvtOjA+X++
lT6Y81ELzt+bX/N25lIlOL/TxnNXmpCCw4MqkXXujnEOb9pyu42i5R3+AJ3j
+ykW4h9hBB/iblmHrZ+BHmKMx+DD1O8pmSzBsi3OQXbXgn2pefIOZ0BgDcI+
GB/mHhg/IfaOG3OEvgN6eAIAaj+o4w==
               "], {{121.78899999999997`, 
               19.712500000000002`}, {121.30599999999998`, 
               19.712500000000002`}, {120.89499999999998`, 
               19.301599999999997`}, {120.89499999999998`, 
               18.799999999999997`}, {120.89499999999998`, 
               18.299999999999997`}, {121.28799999999997`, 17.8891}, {
               121.78899999999997`, 17.8891}, {122.30799999999998`, 
               17.8891}, {122.719, 18.282800000000005`}, {122.719, 
               18.799999999999997`}, {122.719, 19.301599999999997`}, {
               122.30799999999998`, 19.712500000000002`}, {
               121.78899999999997`, 19.712500000000002`}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIVIGYC4hvnvgc/VkxwSIm948Ysoe9wpeKlmuGFeAx+
8VbR36fnGcL5Z8DA0OF42b75UufjHbaY/ziUcgsqfwKNfyDeocfrFYvJRkOH
B1Ui69x3xjskg8zvgPI3xjtwu6mWMkUZOjz/vfLjpdZ4h9OHndZmxhk4AF23
dHZIvEMLr//6Kaz6Dn+A0r5O8Q5PIsS3X3yg58ASxqe7yTTe4QGIv0DP4ctf
oI16UPkEBN/EGAQQ/AaWo/2G4noO/0FAP95BX2ul8AUWPYc3gTvkWo3jHfxv
SdckftJ1eLJ09hGFAkx+OKdYu7G+Mpy/VkiHL11PweGuf+/0vEnxDuqfVF7O
8pR12FMyWYLlGoIfu8uTh4k9Ac6//bMua49MAsQd/+UczoM8rJ/goHztUTBD
jCIk/DQSHFZ+e1lx5gCULwOVv6PgEG655USZEFS+QcEh/ukFpdusCP4RhQ1F
GQ/j4XxY/LmvObqcoUIRzv+waL3C2R3KcD7Mv7D0gc6HpQ8Aw2QPpg==
              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYCJAQEYkWhmKEZmI6uhRD0uvaSqpwWbGLcB
AJivAkM=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4u/Bj5fOtkl0SIm948Ysoe/Qf+irRsz7BAw+
C2eXfHKfnkN3zvPfKxkT4fwOx4SnF7gSHTbo5S1mtEHw40OC1Bes1IXz9bVW
Cl9o0XXgvr64wBbIX6v6pHmer65Dz/Q8oWYOKJ9X12Gh67bPfy8kOIRzirUb
6ys7GINAf4LD+athb/StdRy028VunuuG8nfrOOjfVWFr7ExwCLglXZNopAvn
N7Ac7TecjuDD3KduyLFGZlKCwxYQv0bPYensIwobViH8B+PD/H8GBEww+RDz
9Rz2nwK62DnBwQTkzmI9h8MKG4oyfKHm8ek57C6ZLMESlODgD3JfkS7EP5MT
HNJAYJmKg0YMMISnJDi8yNL+Nj1WBeLeuQkOLhOahdK8lB2WH/M271yb4LDy
28uKMw2KEPdtS3Dgjw24b2SuAOe/acvtNoqWh/PVP6m8nOUpB9G/MsFhR7BV
xP/jkpDwm5/gcLB7X5PJYnEIfzrUPcdEIe4Dhm/V/R+3jLNFIPxmBN9yy4my
ffUIvvV9/97pVQkOCrsW7EvtE3Ew7wRGeEmCQw1I/rUIxP9ZMPWiDvamcbs8
ExIc2hTYVc9sEXU4DExe/WEI/hFQ+Hki+KdBCcIW6j43EThfHmyfEJx/3zXe
cZahAMT8gASHguUlG/6d54HwMxB8nU1z3y/vQ/DB6WEVNLwyhSDp70SCw5d9
H7emb5Nx4GYChpBiIiT+Puk4sDZOde7WSITEv7ieAyMoAPUS4fEPy0+w9ISe
vwCGJm2T
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4pkg0JrkkJ4GBNOMHVTYGqc6Ryc5qD5pnnd2
l5GDuiHHGhmvJIfF9/fxzXE2cjDvdEx4apLk0OP1isWk0NDB3jRulydPkkML
r//6KUf1HY57A1X8SHQIuCVdk2ikA+f/evv6gCWzBpzvsebocoYKZQdbruuL
C3iTHGR3LdiX+k7eQbtd7OY5+ySHg937mkwWS0DcE57kYGIMAqIQ96QlOYS8
vfxxxkJhh6nO3TnPm5McPu/7uDU9TNBhep5Q84GuJIdo1QiZczVCDhox/Ye+
xiQ5rBHS4Uv/Jwbh+yQ5rAXx6yQd9O8CbbBNcnjTltttdFvOwXLLibJ9+kkO
YOsuK0Lcp5nkMGMCf5VZtwqcf+qw09pMOQ04/z8I3NeGhI9BkgMLZ5d88jk9
BwOgc6McoOY1Gzgo3/5ZlxWQ5FC8VfT36XmGDsuPAQMkERG+MPfbVkasMPU1
dkCPHwBySrFw
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
               1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
               0}}}, {CompressedData["
1:eJxTTMoPSmViYGAwB2IQzRLGp7tpZrKD8rVHwQwxig4MIDAByr+j4MDDpN0u
1pnssFZIhy99nYIDa+NU5+4GBH/Coa8aMcVo/HwoX08Rzn/gGu8466ASnF/z
aUNA9i5NOF9fUf5LzjRth97peULNOckO/0Fgvo4D0Lac58nJDlv08hYz1uhC
1IcnO7Tw+q+fclTPYQZQ+QG7ZAcTYyAo1nfQiOk/9FUGwQdRxs+T4Pz986X0
7+5Jcgi4JV2TuEkXzv/zrfTBnEJtOF9m+QsPvflaDvamcbs8TyQ5zFmkvPPP
c00HW67riwuuIvhg8x+j8d8j9MP49b+tCs5laMP561WfNM/r1Xawvu/fO/1d
ksP5q2Fv9HdrO5gAreOB8X9rO5h3OiY8fZPksBak3lfHwYBjjUwUkN/AcrTf
cDqCXw/iX0fwWTi75JPP6TrobJr7fvk/mHo9h+XHvM07RZNR+YYI/kLXbZ//
OiRD9PfpwvmQ+NCG8/+Cw0sT4r4XSQ4zZgKBpboDkHdB6X6Sw7FdO3rZPqg5
HAZGV/+xJIfM/A+tJ6eoOuwumSzBsivJ4UWW9rfpd1UcToMM3JjkkJ4GBMuU
4Xz3NUeXM1Qowfn8sQH3jcwVIOafTnJQ/6TycpanLDy8YHwVNmACZU+G85fO
PqKwQQ7KPynnAHLmTMdkh5XfXlaccVB0mAOULnJByIPTkx9C/8S3NfamaQh+
T87z3ysrEXxw/mlNdhCpnFRyVkXOAZaf1oDSf56CA3r+AgAuW3qa
               "], {{
               154.03099999999998`, 9.700000000000001}, {154.03099999999998`, 
               9.14531}, {153.942, 8.98438}, {153.56699999999998`, 
               8.768749999999999}, {153.138, 8.518749999999999}, {152.638, 
               8.357809999999999}, {152.26099999999997`, 8.357809999999999}, {
               151.63599999999997`, 8.357809999999999}, {151.134, 
               8.965629999999997}, {151.134, 9.734380000000002}, {151.134, 
               9.806249999999999}, {151.134, 10.8609}, {151.869, 11.5047}, {
               154.03099999999998`, 12.2922}, {154.03099999999998`, 
               9.700000000000001}}}], 
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, {{{159.034, 9.2875}, {158.49800000000002`, 9.2875}, {
              158.05200000000002`, 8.82344}, {158.05200000000002`, 
              8.268749999999999}, {158.05200000000002`, 7.749999999999999}, {
              158.49800000000002`, 7.3031299999999995`}, {159.01699999999997`,
               7.3031299999999995`}, {159.572, 7.3031299999999995`}, {
              160.03599999999997`, 7.749999999999999}, {160.03599999999997`, 
              8.268749999999999}, {160.03599999999997`, 8.82344}, {159.572, 
              9.2875}, {159.034, 9.2875}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
              0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
              3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJNIGYC4gOnFrpus051mD0TCE4qOJwBAQsE/4LS7Z91
cgj+lYqXaoYSqQ5rhXT40vUU4XxjELisBOenxN5xY5bQd8gTaj5wam8KBn+L
Xt5ixho9h4yJb2vsH6Y4PIkQ334xQc8hpv/QV40XKQ76WiuFL7Ag+Oevhr3R
t9aB8+9oyq75f1kZzofZH5lifd//KZQfrAQx/26KwxqQe98pQuw/m+KwN7/m
7UxVRYesPSWTJfakOPDHBtw32q7g8OUv0AerEPwfwY+Xzp6C4P9Z+fGSbxPC
PBg/nFOs3ThfGc6H+XcGyEI9TH4Dy9F+w+l6DhOAzjP1QoQHmB+U4uB/S7om
8ZMunL9W9UnzPF8dON9lQrNQmpcynA92X7mCA0sYn+6m3BQH9U8qL2d5yjr8
rAP6cDqCX2DLdX3xGgQ/5/nvlR8PpTjI7lqwLzVPziENBC6lQONXwSFulycP
0+sUB/c1R5cz7FCE8/+DQL0sJLzfpji8acvtNoqWdbhx7nvwY85UiPkn5eDp
xwQUH5PlHVDSm6eCA3r6AwCVoCER
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, {{{172.534, 9.2875}, {171.998, 9.2875}, {
              171.55200000000002`, 8.82344}, {171.55200000000002`, 
              8.268749999999999}, {171.55200000000002`, 7.749999999999999}, {
              171.998, 7.3031299999999995`}, {172.51699999999997`, 
              7.3031299999999995`}, {173.072, 7.3031299999999995`}, {
              173.53599999999997`, 7.749999999999999}, {173.53599999999997`, 
              8.268749999999999}, {173.53599999999997`, 8.82344}, {173.072, 
              9.2875}, {172.534, 9.2875}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4gmHvmrEvE91+Lzv49b0MEEHljA+3U2SaQ5p
IHBMxIFRu13splaaQ8jbyx9nLBRzYAABhzSHMyDwRtKhwJbr+uKMNIdOG89d
aUIKEH5NmkM6SP8yZTjf6wS77eyr6nB+7W+rgnMZOg5FGRPf1qSnOTyJEN9+
8YG+w98rFS/VTNMcFt/fxzfnsCHEPbJpDo8TF14zmW/k0OGY8PQCX5qD/8WJ
Mf+YjR2mSABVfEyF2DfN2GHC2xp701epDraVEStMfY0dgLrnvheHulfHyIFj
jUxUinqaQ7SC48fkHkOHn3VZe0rM0xxuS9ckGpkaQOx3TXPQ11opfIFFDyLv
neawXvVJ8zxfbTh/xkwg2KkO55vZ7A2axqji8PGSb5KAS5oDSHomp6LDj+DH
S2ebpDl8AYXvNlkHtsapzt0qaQ6tCuyqZ0wkIe4RRoQvzP3RqhEy52qEHNDj
BwDol7wM
              "]]}, {
             Thickness[0.005502668794365268]}, StripOnInput -> False]}, {
          ImageSize -> {181.73253300124532`, 23.511820672478205`}, 
           BaselinePosition -> Scaled[0.3169518292168768], 
           ImageSize -> {182., 24.}, PlotRange -> {{0., 181.73}, {0., 23.51}},
            AspectRatio -> Automatic}], TraditionalForm], None}, {
        FormBox[
         GraphicsBox[{
           Thickness[0.07168458781362007], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJZIAaxQYAJSjNCxZjxsGHqyFFPql5qsYmxl1puQzYH
AA56Ank=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIvIGYC4oAnnpdMJ3+x978lXZNYpOtwBgR8fsH5/mB5
BD9nakKhRfFvOF9mo9h8pgd/7Lfo5S1mrNF16I/o9mcsYHJg4eyST+6DyTM7
BIDUG8H4LA76ivJfcq5pO3zZ93Fr+jQ2iL1nNB0Kl5ds+OfP4SAx9QpnBpOa
Q7RqhMy5PRwO4Zxi7cb6ylB5ToeZIMCpAKFncjqof1J5OctTFmo+J8TcbTIO
PI58XjM0ueH8GLB5PHD+i9rH2ed1+B3+g0C9HMQcTSEH9zVHlzPsUHQQqZxU
crZFCOI+GSUHE2Mg+CwM4ccoO3iA1EmIQdzrpAoxt0wG6j8tiHmdcg5v2nK7
jW7LQfStgdJvZBweuMY7zrooB3cPmB8oD+eD7X+C4Jcf3uY601cBoj9H1kEY
JO+iCLHnpLzDWiEdvnQ/RYcIkD/vyDuAnGtcrOigfO1RMIOMggN/bMB9o+mK
DrNBweap4JCZ/6H1ZImaw4ss7W/TZdUcXhVvFf2trekgs/yFh958LTg/PiRI
fcFLHTgfHN9/dB1+vX19wDJZw6GF13/9lKN6Did27ehlC1CH82Hmw/gzJvBX
mb1WhaQPPzQ+ML3A+A0sR/sNxXUddjg0PTouoeawVvVJ87yzOhD51WoO+lor
hS+46DicOuy0NtNO3eH81bA3+ru1ofapO8iD3B+P4P/5VvpgzkctOH/OIuWd
f9I1If62VXOYAQqPSnVI+PUpOuzNr3k7c6kiJH1lKjhsAPnXRg/OfxAhvv3i
Aj1IeIZD5ffoQdKRPIIPiz8YX37Xgn2p6+Qh4blSDx7fT0DmJehB84MgRLxR
GWJevCA8P0DkBRz8L06M+XdYE+Lumfzw8GgRr2XNZOODxE+NHjS988LDHyLP
A+fD8geMD8tPMPdB9LND5Fth6tng7t3qtcFizk4mePh4bPU/nsz2xx4cn3x6
0Pz4C84H++f/d3tY+oGVP5D0heDDyhcAu0QCOw==
              "]]}, {
             Thickness[0.07168458781362007]}, StripOnInput -> False]}, {
          ImageSize -> {13.953673723536737`, 23.511820672478205`}, 
           BaselinePosition -> Scaled[0.3169518292168768], 
           ImageSize -> {14., 24.}, 
           PlotRange -> {{0., 13.950000000000001`}, {0., 23.51}}, AspectRatio -> 
           Automatic}], TraditionalForm], None}}, FrameStyle -> Automatic, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {Automatic, Automatic}, GridLinesStyle -> Directive[
       GrayLevel[0.4, 0.5], 
       AbsoluteThickness[1], 
       AbsoluteDashing[{1, 2}]], ImageSize -> Medium, 
     Method -> {
      "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& )}}, PlotRange -> NCache[{{0, 
         Rational[1, 3]}, All}, {{0, 0.3333333333333333}, All}], 
     PlotRangeClipping -> True, PlotRangePadding -> {{0, 0}, {
        Scaled[0.05], 
        Scaled[0.02]}}, Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
       GraphicsBox[{
         Thickness[0.04192872117400419], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZm41KDLE4MG5f5tGBT4h5S
3YzLfAAUFgJd
            "], CompressedData["
1:eJxlk3tIk1EYxqeG/ZEp6XKkm9u3+8XcRTORwsdCGwVNkmTkrbIpXciCpLRF
oESk3SlSWxddpIGmRWUaLUq6oFmJJWEDowbTyFAz6aLZzs78RvXC+eP3fec9
5z3P+7zM5uJ1liAOhxPgWameFehZbSj/8HSfCstLzY1LFsfjuTdC/2NT76mc
3x8NOCyaK3v+OgJhppYzlmcGtGcmm2fcXFwZdITa7H4uyHWmByn9PNE+UDn9
TY8aEqVcrHk2d/n59XpcD48NLYrhIp5EkB4PqxzlCfZgrGp63MBJEuPt/HeR
lsQ5aCb74kTY3bCn9XdYEMwyM/+FUwjX2uGN08LJFG7p6T09Uj/PeEMAnfpa
xCuXFLN85vChDX18BapPhpUldktxa+n3R1sq5Vh4dPWnOVwZbsbttAc4pVh5
siK8sEuMJnLvFwkk/R8yOU4GTpWgaaZAjPvF1pEaGYP3afmptQsY+q4jIlgK
PZEuYOtVjkuHa4d5LFM9Ilg+Ya4yBejC2fxZ9p5vYVim9fju+REOI9Fnn4Tq
1cnF0DbN5LkLclrPjYWIvpin6tYpMeEYu12UFQlBw5AxLl+FHtLOEB5evsn6
rL2nhrDjssNyfBEO/kre9aJRjSJS/5No8Mn+S2pkjPSNVdfxWbYOfh+I3y78
e/8dEaYmS97bdqtpnVEMtIxwYkekGqP1LaIeIwNbvaR9yq3CfpKfzdD+n/Xz
/vHWjO0/lSx3da5o3pqnZPONDw4IktwK9nzv/xgFfW8vgycdd48Fj8rBIQEp
Wkkfl2khJX2zSeAy89p6N2qpD1LEWEzqy4rF3s47aTUjDP0ujEUa0dUsoPr8
0iCH+MzKZznBa9QomAairZvGNT69eVSPIY1PHz4+bqrrTxAa6Hlv+bCT+agw
+PQU4BuZh7MGX/0ill0kr1j+N7coqE83+Nk7X0Y9y9mi1LGCED1IOwqvKvDV
I2ftUx31u02BeemyksAyHdzEJ7lK6o9dOvw7/38AsH3L8Q==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJZIAaxQYAJSjNCxZjxsGHqyFFPql5qsYmxl1puQzYH
AA56Ank=
            "], CompressedData["
1:eJxFlHtIFEEcx+80etBDqMzA5JAysnN293bntCTjl3+omGEZhYUl5ut6kEb5
Rw+NChGy8IrzkZqUBhUYGRVp5Gkv7tJMxQpRKVEjqYRSk8DHtTNzuzMwLB92
5vf4/n6/CT6Uk5TpazAYjOqOV7ePus9PR+Z+WGiGvsBzaXImhoAr8T/mOTh3
ftr7S6zi7HreeHV+A2esqKvHDAXEjg1DgntBVFVpGNh3n1pXnoOhQTheZxwI
g/dkJWAYPfnUf3oxAr/Eh45MtwIeslIR3B2NEzxGhdl7jCCw5mBou90C1bVr
m2ZcCL4fMU+V50uwo/taytwwAhRsmjxWJkAiCWQcQWxLftCmIsTseRCMpN3+
jBMRuF5HPzi8VdDZYfc7E17M2bqlOanMKDL7s+r/osL9PTMiuMm9LyKUkDz8
JOgn+fp7v3skdr9EYveaJZho2Hm0MtYCdV+dy6onLNC7fHxbZ5YCVN9kmcVl
Epi9VJnlkY4gO4ssWY+HyNNewDlk5FJNRyVn5k8GW87vwncOBHBxyFURqLA6
nRVgmJwzKSyvCwJEnU6+Z0UKoI33V3TdEZi9SAXiiF4uAVrVT/ZKK5QTXaos
7HxQOKvHLkXnNaQeEtZ5w9hSp3QDQ259cb+tywp/m/ouz37DkHFgIMbXxlmz
rzE9P4ghn+jSyFnrF41Xl35cZIvGMDuVN1j9BwOVaT1mfkOt7P+4AqRdcZoV
9gU86zY4FZgkfvK0fDjTcyc4U936ZebXg1ldTDKrY4QCb0mfd4mQTvJxyyyO
R1hnmmcvhmJi96XM4hny9ns9Z61+GtP87LLXP9brTeNowSCSOr0Rmc43Je+8
ifo8zIz9bN2cLkI76c85mc3BKlHX40nEv1cZbQIsiQnJ82nzxvNC0PWnuts4
a/OhsTZPWnw0zwoEo6TvOjCUEl23Iz3eBNLHdWG6PtSe08zyvKW+JySuWs50
vlLMev9o7w+N/zpn7X35D6oUFoc=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYCYtUnzfPO/jJy8Ls4MeZfsqrD32+lD+ZsRPD9
QfRiI4dfb18fsDys4vA8S/vb9FojhwaWo/2G5SoO4lOvcGY4Ifj9wSUq0+UR
/P21shbpTwwdAm5J1yROUnFQf8u7z2ClocMW8x+HUk6pOPD6r5+SqmHo8Kp4
q+hvbVWHzxsCsmctN4Dbnxx7x43ZAsHX11opfMFFH84Hmyuk57AB5JG3Kg5v
wOboOvwEuVdZxWGrQ9Oj4xY6DtX3f9wy9lZ2OH817I3+bm0H/tiA+0bqSnD+
GRDYowDn/wcBeVmHtWBzdRxMjIFAWMphxkwg+KnvsFZIhy/9nhjEvd8NIPrP
iDhEKzh+TF5j6PDANd5x1kQhh8X39/HNYTaCmFcv4HC4bXn4KSUjhy/7Pm5N
n8YPCR8TI4ezIO0+vHB+T0S3P+MGLjg/PQ0EmCF0myHUvj/24PDpMIDzfcDx
pQfnw9wvs1FsPlMCi8MfUPxO1HYAecf4sgCE/1ELzgfH5yFthxe1j7PP63y1
B4dHtA6cLwGST9KBuvenvc8JdtvZW3Ucrvw+dn1e5B/7E4ed1mbK6cL5Uyfw
V5llI/imNnuDpj3UddjutcFiTuVv+xZwAtBzyJmaUGjx+ac9C2eXfHKePiS8
N3+zh6QvA6j8F3tw+juL4EeIb7/IEGcE54PT62RjB/8nnpdMhZkdYPwG8VrW
TDc+OH8mGAhDwveKkcOB7n1NJsriDvW/rQrOcRhC4uu/lIOOovyXHDN9hx3B
VhH/1eXg6S0VFA9uCnA+OD3sU4Tzyw9vc51pqwzXD1GvAgnnYgM4H2wNvyGc
v/yFh97/hdD0c1DZYaNe3mJGGSNIej2uBMkPHUYO7muOLmd4oehQC3LvDiOI
ucaKDoVrum9nfDBy6AWlHwN5SPp0N4bz0fM7ABSBz5U=
            "]]}, {
           Thickness[0.04192872117400419]}, StripOnInput -> False]}, {
        ImageSize -> {23.847033623910335`, 23.511820672478205`}, 
         BaselinePosition -> Scaled[0.3169518292168768], 
         ImageSize -> {24., 24.}, PlotRange -> {{0., 23.85}, {0., 23.51}}, 
         AspectRatio -> Automatic}], 
       GraphicsBox[{
         Thickness[0.022401433691756272`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZm41KDLE4MG5f5tGBT4h5S
3YzLfAAUFgJd
            "], CompressedData["
1:eJxlk3tIk1EYxqeG/ZEp6XKkm9u3+8XcRTORwsdCGwVNkmTkrbIpXciCpLRF
oESk3SlSWxddpIGmRWUaLUq6oFmJJWEDowbTyFAz6aLZzs78RvXC+eP3fec9
5z3P+7zM5uJ1liAOhxPgWameFehZbSj/8HSfCstLzY1LFsfjuTdC/2NT76mc
3x8NOCyaK3v+OgJhppYzlmcGtGcmm2fcXFwZdITa7H4uyHWmByn9PNE+UDn9
TY8aEqVcrHk2d/n59XpcD48NLYrhIp5EkB4PqxzlCfZgrGp63MBJEuPt/HeR
lsQ5aCb74kTY3bCn9XdYEMwyM/+FUwjX2uGN08LJFG7p6T09Uj/PeEMAnfpa
xCuXFLN85vChDX18BapPhpUldktxa+n3R1sq5Vh4dPWnOVwZbsbttAc4pVh5
siK8sEuMJnLvFwkk/R8yOU4GTpWgaaZAjPvF1pEaGYP3afmptQsY+q4jIlgK
PZEuYOtVjkuHa4d5LFM9Ilg+Ya4yBejC2fxZ9p5vYVim9fju+REOI9Fnn4Tq
1cnF0DbN5LkLclrPjYWIvpin6tYpMeEYu12UFQlBw5AxLl+FHtLOEB5evsn6
rL2nhrDjssNyfBEO/kre9aJRjSJS/5No8Mn+S2pkjPSNVdfxWbYOfh+I3y78
e/8dEaYmS97bdqtpnVEMtIxwYkekGqP1LaIeIwNbvaR9yq3CfpKfzdD+n/Xz
/vHWjO0/lSx3da5o3pqnZPONDw4IktwK9nzv/xgFfW8vgycdd48Fj8rBIQEp
Wkkfl2khJX2zSeAy89p6N2qpD1LEWEzqy4rF3s47aTUjDP0ujEUa0dUsoPr8
0iCH+MzKZznBa9QomAairZvGNT69eVSPIY1PHz4+bqrrTxAa6Hlv+bCT+agw
+PQU4BuZh7MGX/0ill0kr1j+N7coqE83+Nk7X0Y9y9mi1LGCED1IOwqvKvDV
I2ftUx31u02BeemyksAyHdzEJ7lK6o9dOvw7/38AsH3L8Q==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJZIAaxQYAJSjNCxZjxsGHqyFFPql5qsYmxl1puQzYH
AA56Ank=
            "], CompressedData["
1:eJxFlHtIFEEcx+80etBDqMzA5JAysnN293bntCTjl3+omGEZhYUl5ut6kEb5
Rw+NChGy8IrzkZqUBhUYGRVp5Gkv7tJMxQpRKVEjqYRSk8DHtTNzuzMwLB92
5vf4/n6/CT6Uk5TpazAYjOqOV7ePus9PR+Z+WGiGvsBzaXImhoAr8T/mOTh3
ftr7S6zi7HreeHV+A2esqKvHDAXEjg1DgntBVFVpGNh3n1pXnoOhQTheZxwI
g/dkJWAYPfnUf3oxAr/Eh45MtwIeslIR3B2NEzxGhdl7jCCw5mBou90C1bVr
m2ZcCL4fMU+V50uwo/taytwwAhRsmjxWJkAiCWQcQWxLftCmIsTseRCMpN3+
jBMRuF5HPzi8VdDZYfc7E17M2bqlOanMKDL7s+r/osL9PTMiuMm9LyKUkDz8
JOgn+fp7v3skdr9EYveaJZho2Hm0MtYCdV+dy6onLNC7fHxbZ5YCVN9kmcVl
Epi9VJnlkY4gO4ssWY+HyNNewDlk5FJNRyVn5k8GW87vwncOBHBxyFURqLA6
nRVgmJwzKSyvCwJEnU6+Z0UKoI33V3TdEZi9SAXiiF4uAVrVT/ZKK5QTXaos
7HxQOKvHLkXnNaQeEtZ5w9hSp3QDQ259cb+tywp/m/ouz37DkHFgIMbXxlmz
rzE9P4ghn+jSyFnrF41Xl35cZIvGMDuVN1j9BwOVaT1mfkOt7P+4AqRdcZoV
9gU86zY4FZgkfvK0fDjTcyc4U936ZebXg1ldTDKrY4QCb0mfd4mQTvJxyyyO
R1hnmmcvhmJi96XM4hny9ns9Z61+GtP87LLXP9brTeNowSCSOr0Rmc43Je+8
ifo8zIz9bN2cLkI76c85mc3BKlHX40nEv1cZbQIsiQnJ82nzxvNC0PWnuts4
a/OhsTZPWnw0zwoEo6TvOjCUEl23Iz3eBNLHdWG6PtSe08zyvKW+JySuWs50
vlLMev9o7w+N/zpn7X35D6oUFoc=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4jvSNYlGoaYOb9pyu42q5Ry+7LzV9dfU1MHv
4sSYf8mqDmdA4I0JnJ8Se8eN+YaJw99vpQ/mXFRxYACBBSYOL7K0v02vVXHY
Yv7jUEoUgj9tAn+VmTWCf0Pok+N5NhOHgFtAiyepOBxsWx5+6pKxw5T21qjL
e1QckkHmaxg7vCreKvpbW9WB2021lKnKCG5/ehoQXDOE82t/WxWc22EA5x/f
taOXzUDf4Q1If7eKw38QqNeF+INH2WG7Q9Oj4zO0IfwYRYj6CVoOFfd/3DJe
LQvnK+xasC91nTicD/GnkMOTCPHtFxO0HfZ372syeczt4A+y97COQ19Etz/j
BlaHFl7/9VNS9RxqXjT9mmb5194YBIoNHHKmJhRafP5iv1EvbzHjGUM4HxL+
xnA+yHiGdSYOW702WMz5+c9eYuoVzowmU4h7fTgg/nQ2hfjLnsthxQsPvf+O
Jg7N4rWsmW1MDjEKjh+TY4wdPLb6H09u+2c/HRz+RnA+WF+8IZwPNneOgUM/
yP0FjA6NLEf7DdkNHAKeeF4ynczq8CRx4TWTfj0HHkc+rxkvuSDxv0PXYSYI
RArB+QdB4ZEsAeevFdLhS5dTdOgPLlGZLm8Adb+KAzh4JIzgfFA0nb6H4IPD
c7KxQyUoPnYrQ+yXN3G4oym75v9iJYcSkPo+E4c9+TVvZx5VhKSfQyYO3Tae
u9KYFB1ugsKTFZGe0dM3AEtLWAQ=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4hvSNYlGoXYOb9pyu42q5Ry+7rzV9dfUzsHv
4sSYf8mqDmdA4I0tnJ8Qe8eN+Yatw99vpQ/mXFRx+A8C820dXmRpf5teq+Kw
xfzHoZQoBH/qBP4qM2sE/6rQJ8fzbLYOAbeAFk9ScTjQtjz81CUbhyntrVGX
96g4pIDM17BxeFW8VfS3tqoDh5tqKVOVNdz+9DQguGYF59f/tio4t8MSzk8G
6Z9h4fAGpL9bxYEBBA6YQ/zBo+wQo+D4MfmMGYQfowixz8PMoeL+j1vGq2Xh
fIVdC/alrhOH88HmLBByKFzTfTtjg5nD/u59TSaPuR1WvPDQ+59o7tAX0e3P
uIHV4RDIP0YWDjUvmn5Ns/xrbwwCxZYOOVMTCi0+f7HfoJe3mPGMFZwPCX8b
OD9cfPtFhnW2Dlu9NljM+fnPXnzqFc6MJjuIe304HHxB/nS2g4S7PZfDUpD9
jrYOzeK1rJltTBD/xdg4eGz1P57c9s9+Ojj8reF8sL54KzgfbO4cS4d+kPsL
GB0aWY72G7JbOgQ88bxkOpnV4dOGgOxZ7hYOPI58XjNecjlsBLn/jrnDTBCI
FILzD4LCI1kCzl8rpMOXLqfo0BdcojJd3hLqfhUHHv/1U1IlrOH8EmA0nb6H
4PuA/DfZxqESFB+7lR2eJC68ZiJv63BHU3bN/8VKEPV9tg578mvezjyq6HAE
FN6HbB26bTx3pTEpOoDDkxWRntHTNwA7l1X7
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
            31.52969999999999, 4.99531}, {31.52969999999999, 4.13906}, {
            34.87659999999999, 4.13906}, {34.87659999999999, 4.99531}, {
            31.52969999999999, 4.99531}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4jXdtzMYrrs4+F2cGPMvWdVBYuoVzoxNCL5D
06PjM1a7OPx6+/qA5WEVBx7/9VNSZ7g4NLAc7TcsV3FQfdI872wVgp9w+LJ2
aiaCXxGxwvSst4tDwC3pmsRJKg56Exb8MNRzcdhi/uNQyikVBwXHj8ln3jo7
vCreKvpbW9VB5JPj+bS1znD7fU6w284uRfDVQfZpIfj6IPPuOTlsADnkrYrD
lG9s8TOWODn8BLlXWcXhuKbVpNPpTg7V93/cMvZWduAFud/DyYE/NuC+kboS
nH8GBPYowPn/QUBe1oF18SQrxqlODibGQCAsBQo2BoYIZ4e1Qjp86ffEIO69
6gzRf0bE4QTIPn0Xhweu8Y6zJgo55HD+XJAe7QIxr17A4U9M7tF/WS4OX/Z9
3Jo+jd+hEhQ+xS4OZ0HafXjh/J6Ibn/GDVxwfnoaCDBD7JFxgdr3xx4cPnOd
4fw3vPsMZjIh+DD3y2wUm8+UwOIQKb79IoOdkwPIO8aXBRwiQHwxBP/+Pr45
xl5ODi9qH2ef1/lqD47vAgQfLF/kBHXvT3tw+ml3crjy+9j1eZF/7Lu9XrGY
LETw99fKWqRvQfCXv/DQ+3/RyWG71waLOZW/7X+DwuOTk0PO1IRCi88/7W8D
k4mRqTMkvDd/s4ekL2eo/BeIew4g+G6qpUyzOlzgfHB6VXZ18H/ieclUmNkB
xm8Qr2XNdOOD82eCgTAkfR52cTjQva/JRFkcEj73nCHx9V/K4Uniwmsm6s4O
O4KtIv6ry8HTWyooOtwU4HxwetinCOeXH97mOtNWGa4fol4F4q/JCD7YGQ8R
fHD8aUHTz0Flh08bArJnpbtA0utxJUh+mOvi4L7m6HKGF4qQ+NvmAok/Y0WH
i/nx7Ocuujj0gtKPgbyDECh9/kXw0fM7AAoNzTU=
            "]]}, {
           Thickness[0.022401433691756272`]}, StripOnInput -> False]}, {
        ImageSize -> {44.640976338729764`, 23.511820672478205`}, 
         BaselinePosition -> Scaled[0.3169518292168768], 
         ImageSize -> {45., 24.}, PlotRange -> {{0., 44.64}, {0., 23.51}}, 
         AspectRatio -> Automatic}], 
       GraphicsBox[{
         Thickness[0.01631853785900783], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZm41KDLE4MG5f5tGBT4h5S
3YzLfAAUFgJd
            "], CompressedData["
1:eJxlk3tIk1EYxqeG/ZEp6XKkm9u3+8XcRTORwsdCGwVNkmTkrbIpXciCpLRF
oESk3SlSWxddpIGmRWUaLUq6oFmJJWEDowbTyFAz6aLZzs78RvXC+eP3fec9
5z3P+7zM5uJ1liAOhxPgWameFehZbSj/8HSfCstLzY1LFsfjuTdC/2NT76mc
3x8NOCyaK3v+OgJhppYzlmcGtGcmm2fcXFwZdITa7H4uyHWmByn9PNE+UDn9
TY8aEqVcrHk2d/n59XpcD48NLYrhIp5EkB4PqxzlCfZgrGp63MBJEuPt/HeR
lsQ5aCb74kTY3bCn9XdYEMwyM/+FUwjX2uGN08LJFG7p6T09Uj/PeEMAnfpa
xCuXFLN85vChDX18BapPhpUldktxa+n3R1sq5Vh4dPWnOVwZbsbttAc4pVh5
siK8sEuMJnLvFwkk/R8yOU4GTpWgaaZAjPvF1pEaGYP3afmptQsY+q4jIlgK
PZEuYOtVjkuHa4d5LFM9Ilg+Ya4yBejC2fxZ9p5vYVim9fju+REOI9Fnn4Tq
1cnF0DbN5LkLclrPjYWIvpin6tYpMeEYu12UFQlBw5AxLl+FHtLOEB5evsn6
rL2nhrDjssNyfBEO/kre9aJRjSJS/5No8Mn+S2pkjPSNVdfxWbYOfh+I3y78
e/8dEaYmS97bdqtpnVEMtIxwYkekGqP1LaIeIwNbvaR9yq3CfpKfzdD+n/Xz
/vHWjO0/lSx3da5o3pqnZPONDw4IktwK9nzv/xgFfW8vgycdd48Fj8rBIQEp
Wkkfl2khJX2zSeAy89p6N2qpD1LEWEzqy4rF3s47aTUjDP0ujEUa0dUsoPr8
0iCH+MzKZznBa9QomAairZvGNT69eVSPIY1PHz4+bqrrTxAa6Hlv+bCT+agw
+PQU4BuZh7MGX/0ill0kr1j+N7coqE83+Nk7X0Y9y9mi1LGCED1IOwqvKvDV
I2ftUx31u02BeemyksAyHdzEJ7lK6o9dOvw7/38AsH3L8Q==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJZIAaxQYAJSjNCxZjxsGHqyFFPql5qsYmxl1puQzYH
AA56Ank=
            "], CompressedData["
1:eJxFlHtIFEEcx+80etBDqMzA5JAysnN293bntCTjl3+omGEZhYUl5ut6kEb5
Rw+NChGy8IrzkZqUBhUYGRVp5Gkv7tJMxQpRKVEjqYRSk8DHtTNzuzMwLB92
5vf4/n6/CT6Uk5TpazAYjOqOV7ePus9PR+Z+WGiGvsBzaXImhoAr8T/mOTh3
ftr7S6zi7HreeHV+A2esqKvHDAXEjg1DgntBVFVpGNh3n1pXnoOhQTheZxwI
g/dkJWAYPfnUf3oxAr/Eh45MtwIeslIR3B2NEzxGhdl7jCCw5mBou90C1bVr
m2ZcCL4fMU+V50uwo/taytwwAhRsmjxWJkAiCWQcQWxLftCmIsTseRCMpN3+
jBMRuF5HPzi8VdDZYfc7E17M2bqlOanMKDL7s+r/osL9PTMiuMm9LyKUkDz8
JOgn+fp7v3skdr9EYveaJZho2Hm0MtYCdV+dy6onLNC7fHxbZ5YCVN9kmcVl
Epi9VJnlkY4gO4ssWY+HyNNewDlk5FJNRyVn5k8GW87vwncOBHBxyFURqLA6
nRVgmJwzKSyvCwJEnU6+Z0UKoI33V3TdEZi9SAXiiF4uAVrVT/ZKK5QTXaos
7HxQOKvHLkXnNaQeEtZ5w9hSp3QDQ259cb+tywp/m/ouz37DkHFgIMbXxlmz
rzE9P4ghn+jSyFnrF41Xl35cZIvGMDuVN1j9BwOVaT1mfkOt7P+4AqRdcZoV
9gU86zY4FZgkfvK0fDjTcyc4U936ZebXg1ldTDKrY4QCb0mfd4mQTvJxyyyO
R1hnmmcvhmJi96XM4hny9ns9Z61+GtP87LLXP9brTeNowSCSOr0Rmc43Je+8
ifo8zIz9bN2cLkI76c85mc3BKlHX40nEv1cZbQIsiQnJ82nzxvNC0PWnuts4
a/OhsTZPWnw0zwoEo6TvOjCUEl23Iz3eBNLHdWG6PtSe08zyvKW+JySuWs50
vlLMev9o7w+N/zpn7X35D6oUFoc=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYCYtUnzfPO/jJyeJGl/W36XxWHv99KH8zZiOD7
X5wY82+xkcOU9taoyzEqDs9B4rVGDlLz4jRPC6g4iE+9wpnhhOD3B5eoTJdH
8PfXylqkPzF0eFW8VfS3toqD+lvefQYrDR38QOYmqzjw+q+fkqph6NACYhxV
cfi8ISB71nIDuP3JsXfcmC0QfH2tlcIXXPTh/IBb0jWJQnoOHiCL2lUc3oDt
0XU4AwJ7lB22OjQ9Om6h4yBcOank7BMlh/NXw97o79Z2WPntZcWZA4pwfnoa
EIQpwPkmxkAQLOOwFhRAb3UcQNJpbpIOM2YCwU99hweu8Y6zBMUg7v1uAApO
IBBxiFZw/Ji8xhBi3xFBh8X39/HNYTZySAUbwO9wuG15+CklI4cI1QiZc394
IeFjYgSxbzM3nP9l38et6WKccD7YP2cYIe5sM3SYCQY/7cHh02EA5/uA40sP
zoe5v1m8ljXzGJPDH1D8ToT6l00Awv+oBeeD4/OQtsNWrw0Wc35+tAeHR7QO
nC8Bkk/ScZgFMl7ym73PCXbb2Vt1HOadmLwkW+2n/YnDTmsz5XTh/KkT+KvM
shF8U5u9QdMe6jo0gdzj9sMeHO+peg4WSbp2rAe+2bNwdskn5+lDwrPhsz0k
fRlA5T/ag9PfWQQ/Qnz7RYY4IzgfnF4nGztsB7m3ktEBxn9e+zj7/BoeOB8S
nkKQ8L0CDe8wMYf631YF5zgMIfFhLOWgoyj/JcdM3+FNW263UbQsPL39/Q8E
++XhfPc1R5czRCjC+fyxAfeNrivB9YP980DZAWxssQGcDzLmP78hnL/8hYfe
/4WGDtX3f9wyjlZ22KiXt5hRxgiSXhOUIPmhwwiS/hoVHWpB7t0BSx8KDoVr
um9nfDByONC9r8kkWQ6SPt2N4Xz0/A4AGNq9fw==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYC4h6vVywmD20dNunlLWaco+LwYUNA9ixxawx+
I8vRfkNxFYd6EH3d2kFi6hXODCYVB58T7LazRW0c9ubXvJ25VRnONwaBz0qo
/GYlB5vKiBWmf60d+GMD7hsdV3RYcn8f35zL1g7paUDwTQHKt3R4Ufs4+/wb
bocvO291/T1q7nD6DBDoKDiYgMwJNnf4sGi9wlkNJYi7zKH8Ewj+A9d4x1mG
ynA+zH0psXfcmDPMHarv/7hl/Bsqf93cISEkSH0Bp4rDLemaRKOnCL5D06Pj
M7gtHKTmxWmeFlBxiFZw/JhsYwEPDxgfFl4R4tsvMswzweDD1Nf9tio452EK
N38mCFSaOnisObqcYYWyw5PEhddM+M0clK89CmawUXT4BAr/dEtI+KR9st8A
NhfBB8ffQhuH/yDQr+jgc3FizD9hW7h/t5j/OJRiZQuPL1h8w9yDHv8AXhDY
FA==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZmI6shRj0xenGZQ6p6WttF
iRsAAbYCOQ==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYCYpbFk6wYa10dNunlLWaco+LQtjz8lJGKCwa/
keVov6G4igNEvYuDSOWkkrNflB0O1MpapM9xcfBYc3Q5wwoEX/nao2CGN0pw
/kwQiFRyWPbCQ+//RBcHYZD+JYoObqqlTLMaXBweuMY7znqo4LCm+3YGw3Jn
hyPd+5pMFvM5dHu9YjE56OTwHwTeKzh4n2C3nb3XyaHTxnNXmpCiQ4T49osM
65wg9q1RdGgHuXeNk8PKby8rzhxQdJj8jS1+xhyo+iAlh/v7+OYYT3Jy4I8N
uG90HcG/oym75r+yMpxfff/HLePTUP4uJwepeXGapwVUHMyvHc01kXCGhweM
Dwuvnbe6/qa6O2LwYerf8O4zmLnKEW7eRpC6PY4Q/19UdniSuPCayXdHePi4
gsLHwMnBxBgILss5pKcBQZmjww3e22Kp3/gcHJoeHZ9R7eDgDgr/H4oQ+/Id
HPbm17ydWarkwOu/fkpqhgM8PmD8D4vWK5y1UIbzYfbX/7YqONfg4CAx9Qpn
BpMKJN5uOsDdD+PD/HfisNPazDg7DD5MfX9wicp0fnt4evG9ODHmn7O9gwAo
/MuVHfS1VgpfOGIPcc8LBQdxkL1GjhB/pn2yB8efD4IPDo8IJ4cY1QiZc3Ok
IeGV7wyXTzh8WTu1E8EX+uR4Pk3WxeEMGAg5lGwV/X1azwUSnsEiDlNA5r9x
gdivoeTgA0pfvK4OIGnjycoOdaDwUHCFhw8sv6DmB0T+AQCdN2GT
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJVIGYCYv0JC34YbvN0SE8DgU/2ML7ytUfBDHMUHGD8
8sPbXGfaKjkc17SadPq4p0MEp1i7sb2yQ/1vq4JzLzwdXCY0C6XNUnbo8XrF
YsLo5cAAAg+UHWbMBAJJL4fq+z9uGf9WdrBvenR8RrSXQyPL0X5DcRU4f5Ne
3mLGOSoOb3j3Gcw85IHBh6k/AwIsng4SU69wZjCpOLAsnmTFKAt1/zNlhyeJ
C6+ZmHs6eKw5upxhhbLDshceev8jPR1SQfJuyg4g58zMhPrPRwmVD/QvjL/0
1vLHhod5HXI4fy5IP+0Gdw9YfqErBh/mvinf2OJnvEHwwe5jdYOHB9g/Xm4O
HxatVzg7QwnOh4Q/F5wvs1FsPlPCP/sH+/jmGBu5OZgn6dqxOvyyh9m3Xnqb
7qk3P+B8cLic+WKv+qR53lkrdww+TD1YeIsbVP6nPTi8psP4/+B8mHtgfGMQ
cFZ0cFUtZZo1AzO9wPgAmB8Gqw==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGITIGYC0cZAsNvbYW9+zduZpUoOvP7rp6QK+ML5rcvD
TxnpIPhg9ca+DmCqWcmBB6Tewtfhjqbsmv+blRze8u4zmFnl68AAAgqqDipP
muedzfJ1kJoXp3k6QNWh9rdVwbkAX4dTh53WZu5Tcdhxq+tvqr2vwya9vMWM
c1QcVEHqpRD8Nd23MxjWe8P5PV6vWEw+ekHcESzjsAek/72Xw5d9H7emmyH4
6p9UXs7SRPDPgAAPgr8j2Cri/3Fph/Q0IPjm5RCjGiFzbo60w/5aWYt0Fm84
fwvIXhsEf8ZMIGiE8m2kHUJKVKb/P+ENMadNCuK+iT4OB7v3NZk0Szj4nGC3
nf3Wx0GkclLJWRVROH/JreWPDZv54fzC5SUb/vGzOuRw/lyQ3uwDce+Zn/b2
TY+Oz/jtDefXg8LvBoIPiz/xJpkpBsG/7Uu2iv4+3eYNNY/B4Xniwmsm/lB+
P5PDExBf3dshFeTeZcwO70HxxYTg/weB815w/nFNq0mnt0PDN4wJzrdI0rVj
dfhvD+Pv8NpgMefnN3tw+HB6Q+QPfLRvB6WfHgQfbK6cD5xfEbHC9OxsH4cn
fi8T/s7/bg9OL598HOxLHGtPxzBC0oOTLyS8nNkg8Zfu63CD97ZYahkPnL9W
SIcvPU4Izt8Jil93MYg/3Hwh6eGkhMNTkP/f+ziEvL38cUajNCS9LvKBqHsm
C02PPg4pIL6avMPyFx56/wuh+UNVwQE9vwAAhZp02w==
            "]]}, {
           Thickness[0.01631853785900783]}, StripOnInput -> False]}, {
        ImageSize -> {61.28173349937733, 23.511820672478205`}, 
         BaselinePosition -> Scaled[0.3169518292168768], 
         ImageSize -> {62., 24.}, PlotRange -> {{0., 61.28}, {0., 23.51}}, 
         AspectRatio -> Automatic}], 
       GraphicsBox[{
         Thickness[0.011904761904761904`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZm41KDLE4MG5f5tGBT4h5S
3YzLfAAUFgJd
            "], CompressedData["
1:eJxlk3tIk1EYxqeG/ZEp6XKkm9u3+8XcRTORwsdCGwVNkmTkrbIpXciCpLRF
oESk3SlSWxddpIGmRWUaLUq6oFmJJWEDowbTyFAz6aLZzs78RvXC+eP3fec9
5z3P+7zM5uJ1liAOhxPgWameFehZbSj/8HSfCstLzY1LFsfjuTdC/2NT76mc
3x8NOCyaK3v+OgJhppYzlmcGtGcmm2fcXFwZdITa7H4uyHWmByn9PNE+UDn9
TY8aEqVcrHk2d/n59XpcD48NLYrhIp5EkB4PqxzlCfZgrGp63MBJEuPt/HeR
lsQ5aCb74kTY3bCn9XdYEMwyM/+FUwjX2uGN08LJFG7p6T09Uj/PeEMAnfpa
xCuXFLN85vChDX18BapPhpUldktxa+n3R1sq5Vh4dPWnOVwZbsbttAc4pVh5
siK8sEuMJnLvFwkk/R8yOU4GTpWgaaZAjPvF1pEaGYP3afmptQsY+q4jIlgK
PZEuYOtVjkuHa4d5LFM9Ilg+Ya4yBejC2fxZ9p5vYVim9fju+REOI9Fnn4Tq
1cnF0DbN5LkLclrPjYWIvpin6tYpMeEYu12UFQlBw5AxLl+FHtLOEB5evsn6
rL2nhrDjssNyfBEO/kre9aJRjSJS/5No8Mn+S2pkjPSNVdfxWbYOfh+I3y78
e/8dEaYmS97bdqtpnVEMtIxwYkekGqP1LaIeIwNbvaR9yq3CfpKfzdD+n/Xz
/vHWjO0/lSx3da5o3pqnZPONDw4IktwK9nzv/xgFfW8vgycdd48Fj8rBIQEp
Wkkfl2khJX2zSeAy89p6N2qpD1LEWEzqy4rF3s47aTUjDP0ujEUa0dUsoPr8
0iCH+MzKZznBa9QomAairZvGNT69eVSPIY1PHz4+bqrrTxAa6Hlv+bCT+agw
+PQU4BuZh7MGX/0ill0kr1j+N7coqE83+Nk7X0Y9y9mi1LGCED1IOwqvKvDV
I2ftUx31u02BeemyksAyHdzEJ7lK6o9dOvw7/38AsH3L8Q==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJZIAaxQYAJSjNCxZjxsGHqyFFPql5qsYmxl1puQzYH
AA56Ank=
            "], CompressedData["
1:eJxFlHtIFEEcx+80etBDqMzA5JAysnN293bntCTjl3+omGEZhYUl5ut6kEb5
Rw+NChGy8IrzkZqUBhUYGRVp5Gkv7tJMxQpRKVEjqYRSk8DHtTNzuzMwLB92
5vf4/n6/CT6Uk5TpazAYjOqOV7ePus9PR+Z+WGiGvsBzaXImhoAr8T/mOTh3
ftr7S6zi7HreeHV+A2esqKvHDAXEjg1DgntBVFVpGNh3n1pXnoOhQTheZxwI
g/dkJWAYPfnUf3oxAr/Eh45MtwIeslIR3B2NEzxGhdl7jCCw5mBou90C1bVr
m2ZcCL4fMU+V50uwo/taytwwAhRsmjxWJkAiCWQcQWxLftCmIsTseRCMpN3+
jBMRuF5HPzi8VdDZYfc7E17M2bqlOanMKDL7s+r/osL9PTMiuMm9LyKUkDz8
JOgn+fp7v3skdr9EYveaJZho2Hm0MtYCdV+dy6onLNC7fHxbZ5YCVN9kmcVl
Epi9VJnlkY4gO4ssWY+HyNNewDlk5FJNRyVn5k8GW87vwncOBHBxyFURqLA6
nRVgmJwzKSyvCwJEnU6+Z0UKoI33V3TdEZi9SAXiiF4uAVrVT/ZKK5QTXaos
7HxQOKvHLkXnNaQeEtZ5w9hSp3QDQ259cb+tywp/m/ouz37DkHFgIMbXxlmz
rzE9P4ghn+jSyFnrF41Xl35cZIvGMDuVN1j9BwOVaT1mfkOt7P+4AqRdcZoV
9gU86zY4FZgkfvK0fDjTcyc4U936ZebXg1ldTDKrY4QCb0mfd4mQTvJxyyyO
R1hnmmcvhmJi96XM4hny9ns9Z61+GtP87LLXP9brTeNowSCSOr0Rmc43Je+8
ifo8zIz9bN2cLkI76c85mc3BKlHX40nEv1cZbQIsiQnJ82nzxvNC0PWnuts4
a/OhsTZPWnw0zwoEo6TvOjCUEl23Iz3eBNLHdWG6PtSe08zyvKW+JySuWs50
vlLMev9o7w+N/zpn7X35D6oUFoc=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4jvSNYlGoaYO8rsW7EtdJ+vwZeetrr+mpg4v
srS/Tf+r4nAGBN6YwPkpsXfcmG+YOMyYwF9llq3iwAACC0wcGlmO9huKqzhs
Mf9xKCUKwZ8GUmeN4N8Q+uR4ns3E4VXxVtHf2ioOB9uWh5+6ZOygoyj/JSdM
xSEZZL6GsUMLr//6KUdVHLjdVEuZqozg9qenAcE1Qzi/9rdVwbkdBnD+8V07
etkM9CH6VVUc/oNAvS5E3zIlh+0OTY+Oz9CG8L8pQNRP0HJYI6TDl35PBs4P
eXv544yHYnC+MQhcFnR4EiG+/WKCtoP6J5WXszy5HPwvToz5d1jH4cu+j1vT
xVgg9qbqObhv9T+ezPbLHqyv2MDBIknXjvXAR/uNenmLGc8YwvmQ8DeG80HG
M6wzcWgRr2XNPPbbXmLqFc6MJlMHE5A5m9kc/ED2OZs6pIH9w+Gw4oWH3n9H
E4eXtY+zz79hcIhRcPyYHGPsIN4kM8Ug+Lf9dHD4G8H54PCIN4TzwfE7Bxh+
IP1r/tuD44ndwGGr1waLOT+ZHZ4kLrxm0q/nULi8ZMM/f05I/O/QhaSLHkE4
H+z/aeJwvvuao8sZdig49AeXqEyXN4CE9zNlB3DwSBjB+aBkcPoegg8Oz8nG
DiKVk0rOhihD7Jc3cSg/vM11pq2SQwlIfZ+JQzinWLtxvCIk/RwycVC+9iiY
YY6Cw01QeLIi0jN6+gYAJgtFhg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4hvSNYlGoXYO8rsW7EtdJ+vwdeetrr+mdg4v
srS/Tf+r4nAGBN7YwvkJsXfcmG/YOsyYwF9llq3i8B8E5ts6NLIc7TcUV3HY
Yv7jUEoUgj8VpM4awb8q9MnxPJutw6viraK/tVUcDrQtDz91ycZBR1H+S06Y
ikMKyHwNG4cWXv/1U46qOHC4qZYyVVnD7U9PA4JrVnB+/W+rgnM7LOH8ZJD+
GRYQ/aoqDgwgcMAcom+ZkkOMguPH5DNmEP43BYh9HmYOa4R0+NLvycD5IW8v
f5zxUAzONwaBy4IOhWu6b2dsMHNQ/6TycpYnl8OKFx56/xPNHb7s+7g1XYzF
4RDIP0YWDu5b/Y8ns/2yB+srtnSwSNK1Yz3w0X6DXt5ixjNWcD4k/G3g/HDx
7RcZ1tk6tIjXsmYe+20vPvUKZ0aTnYMJyJzNbA6+FyfG/HO2c0gD+4fDYSnI
fkdbh5e1j7PPv2GA+C/GxkG8SWaKQfBv++ng8LeG88HxFW8F54Pjdw4w/ED6
1/y3B8cTu6XDVq8NFnN+Mjt82hCQPcvdwqFwecmGf/6cDhtB7r9jDkkXPYJw
Ptj/08ThfPc1R5cz7FBw6AsuUZkubwkJ72fKDjzAaEmVsIbzS4DJ4PQ9BN8H
5L/JNg4ilZNKzoYoOzxJXHjNRN7WofzwNteZtkoQ9X22DuGcYu3G8YoOR0Dh
fcjWQfnao2CGOQoO4PBkRaRn9PQNABZXQ30=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
            31.52969999999999, 4.79531}, {31.52969999999999, 
            3.9390599999999996`}, {34.87659999999999, 3.9390599999999996`}, {
            34.87659999999999, 4.79531}, {31.52969999999999, 4.79531}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4jXdtzMYrrs4vMjS/jb9r4qDxNQrnBmbEHyH
pkfHZ6x2cZjS3hp1OUbFgcd//ZTUGS4OUvPiNE8LqDioPmmed7YKwU84fFk7
NRPBr4hYYXrW28XhVfFW0d/aKg56Exb8MNRzcfC7ODHmX7KKg4Ljx+Qzb50d
WniBBh9VcRD55Hg+ba0z3H6fE+y2s0sRfHWQfVoIvj7IvHtODh77a2Ut2lUc
pnxji5+xxMnhDAjsUXY4rmk16XS6k4Nw5aSSs0+UHEDWpHo4Oaz89rLizAFF
OD89DQjCFOB8E2MgCJZxYF08yYpxqpMDSDrNTRIUbAwMEc4OD1zjHWcJikHc
e9UZIs4g4nACZJ++C8S+I4IOOZw/F6RHuzikgg3gd/gTk3v0X5aLQ4RqhMy5
P7wOlaDwKXaB2LeZG87/su/j1nQxTjgf7J8zjBBaxsVhJhj8tAeHz1xnOP8N
7z6DmUwIPsz9zeK1rJnHmBwixbdfZLCD+pdNwCECxBdD8O/v45tj7OXksNVr
g8Wcnx/twfFdgOCD5YucHGaBjJf8Zg9OP+1ODvNOTF6SrfbTvtvrFYvJQgQf
FC3pWxD85S889P5fdHJoArnH7Yf9b1B4fHJysEjStWM98M3+tnRNopEpNDwb
PttD0pczVB7qngMIvptqKdOsDhc4H5xelV0dtoPcW8noAOM/r32cfX4ND5wP
CU8hSPo8DA3vMDFI+NxzhsSHsZTDk8SF10zUnR3etOV2G0XLwtPb3/9AsF8e
zndfc3Q5Q4QinM8fG3Df6LoSXD/YPw+UIeZORvDB0fQQwQfHn5aLQ/X9H7eM
o5UdPm0IyJ6V7gJJrwlKkPww1wWS/hoVIfG3DZY+FBwu5sezn7vo4nCge1+T
SbKcgxAoff5F8NHzOwAOZrsf
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYC4vv7+OYYe3k5bNLLW8w4R8VB6JPj+bSnHhj8
Rpaj/YbiKg43pWsSjVw9HSSmXuHMYFJx2F8ra5Ge4umwN7/m7cytynC+MQh8
VkLlNys5mF87mmsS4enAHxtw3+i4okM2588F6c6eDulpQPBNAcr3cHhR+zj7
/Btuhynf2OJn2Lg7nD4DBDoKDiYgc5jdHT4sWq9wVkPJ4RbIPV/dIPwTCP4D
13jHWYbKcD7MfT4n2G1n87o7VN//ccv4tzLUP+4OCSFB6gs4VRzaloefMvJB
8Hfe6vqbGu/uIDUvTvO0gIrDCU2rSafL3eHhAePDwstNtZRp1gpXDD5MfaT4
9osM/1zh5oO8nSbm5uCx5uhyhhXKDj1er1hMEt0clK89CmawUXQQBoU/rwck
fNI+2X/aEJA9Sx3BB8ffKk+H/yDQr+jg0PTo+IzHiPgo2Sr6+/Q3RHzB4hvm
HvT4BwBO89gt
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZmI6shRj0xenGZQ6p6WttF
iRsAAbYCOQ==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYCYn85sSzf7ACHTXp5ixnnqDjIO35MPlPrj8Fv
ZDnabyiu4jDXRufKrGv+DiKVk0rOflF2iBDffpHhm7+Dx5qjyxlWIPjK1x4F
M7xRgvNngkCkkoN906PjM177OwiD9C9RdLi7j2+O8S1/hweu8Y6zHio4uKiW
Ms1i8Hc40r2vyWQxn4Pqk+Z5Z6X8HP6DwHsFhyeJC6+ZiPs5dNp47koTUnT4
siEgexa7H8S+NYoQ97L6Oaz89rLizAFFB90JC34YfvOFqA9SciiPWGF69rWv
A39swH2j6wj+HU3ZNf+VleH86vs/bhmfhvKF/Ryk5sVpnhZQcbiQH89+rtAP
Hh4wPiy8QkpUpv9f4IPBh6lvXR5+yojFF26ezwl229mivhD/X1R2qP1tVXAu
wBcePvdB4dPl62BiDASX5SDhcN7H4QbvbbHUb3wON6RrEo2ueju4g8L/hyLE
vhPeDnvza97OLFVyWP7CQ+//QW94fMD4HxatVzhroQznw+wXn3qFM+OWt4ME
iGZSgdhrjHA/jA/zXz3IvR1eGHyY+oTDl7VTH3rB0ws4/n97OQiAwr9c2WEL
SJ8N1D0vFBw2gPg9Pg7paSDwyR4cf8sQfHB62eTrEKMaIXNujjTEvhN+cPk/
MblH/z1C8Nd0385gKPd3OAMGQg48/uunpHb4Q/wRLOIg7hHwR0I5AGK/hpLD
Z1B6Mg5wAHtzsrJDt9crFhPbAHj4wPILzH/o+QcAWs5qWg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJVIGYCYu/qZn2fviCH9DQQ+GQP4ytfexTMMEfBAcYv
P7zNdaatkoO4R8AfielBDhGcYu3G9soOnzcEZM9aHuTgMqFZKG2WskNlxArT
s5uDHBhA4IGyw38Q2B/kUH3/xy3j38oOwSUq0/8/CHJoZDnabyiuAudv0stb
zDhHxUHbatLpehFMPkz9TBAwDXKQmHqFM4NJxWFrS82FzY5Q9z9TdlB90jzv
rF+Qg8eao8sZVig7tC8PP2WUEOSQCpJ3g7onHeo/HyVUPtC/MP7SW8sfGx7m
dXixfT3zc4lAuHvA8s0BGHyY+2rXbUuqX4ngg923NQAeHpog/9wIcPiwaL3C
2RlKcD4k/LngfJmNYvOZEv7ZL55kxeh7JsDBPEnXjtXhlz3MvvXS23RPvfkB
558Bgy/27qqlTLMCAjH4MPXg8OOFyf+0B4fXP5j+f3A+zD0wvjEIOCs6XD2a
a9JQj5leYHwAb+oUqg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGITIGYC4vQ0IOgKdtibX/N2ZqmSQ0iJyvT/JiFw/oQF
PwyfOSH4IOVpbiEOxiDQDFXvEeJwR1N2zf/NSg5HLmunSmaFODCAgIKqw4N9
fHOMk0IcpObFaZ4OUHXo8XrFYhIa4nDqsNPazH0qDppWk07X+4Q4bNLLW8w4
RwWi3grBXzLJitG3JRjOF/7keD5NNdjBBGR/sIyDNki/SrDDl30ft6abIfjq
n1ReztJE8M+AAA+CvyPYKuL/cWmH/yCgHuwQoxohc26OtMPq7tsZDPoIvvqT
5nlnvRD8mSCQC+XbSDv8YIuf4TMx2AEcjm1SEPd9DXY42L2vyaRZwuHThoDs
WcohDiKVk0rOqojC+UtuLX9s2MwP5xcuL9nwj5/VoTnQc27DO6h7z/y0f8O7
z2DmKgQfHH4zEXxY/Ik3yUwxCP5t3748/JRRQTDUPAaHA7WyFukhUH4/E4Tv
EOyQCtK3jNnhMCi+9BB8sLEiCP76hy+nbuKAhm8YE5xvkaRrx+rw3x7G3+G1
wWLOz2/24PAxhMof+GgPTj9FCD44XexB8Dl/Lkjf/CvY4Ynfy4S/87/bg+Nf
LcTBvsSx9nQMIyQ9+EHDy5nNQQsUfwkhDjd4b4ullvHA+WuFdPjS44Tg/J2g
+HUXg6TDgBBIejgpAfG/SohDyNvLH2c0SkPS6z+of5/JQtLjmWCHFBBfTd5B
wfFj8plUaP5QVXBAzy8ADw5lWQ==
            "]]}, {
           Thickness[0.011904761904761904`]}, StripOnInput -> False]}, {
        ImageSize -> {84.00089663760896, 23.511820672478205`}, 
         BaselinePosition -> Scaled[0.3169518292168768], 
         ImageSize -> {84., 24.}, PlotRange -> {{0., 84.}, {0., 23.51}}, 
         AspectRatio -> Automatic}], 
       GraphicsBox[{
         Thickness[0.01110494169905608], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZm41KDLE4MG5f5tGBT4h5S
3YzLfAAUFgJd
            "], CompressedData["
1:eJxlk3tIk1EYxqeG/ZEp6XKkm9u3+8XcRTORwsdCGwVNkmTkrbIpXciCpLRF
oESk3SlSWxddpIGmRWUaLUq6oFmJJWEDowbTyFAz6aLZzs78RvXC+eP3fec9
5z3P+7zM5uJ1liAOhxPgWameFehZbSj/8HSfCstLzY1LFsfjuTdC/2NT76mc
3x8NOCyaK3v+OgJhppYzlmcGtGcmm2fcXFwZdITa7H4uyHWmByn9PNE+UDn9
TY8aEqVcrHk2d/n59XpcD48NLYrhIp5EkB4PqxzlCfZgrGp63MBJEuPt/HeR
lsQ5aCb74kTY3bCn9XdYEMwyM/+FUwjX2uGN08LJFG7p6T09Uj/PeEMAnfpa
xCuXFLN85vChDX18BapPhpUldktxa+n3R1sq5Vh4dPWnOVwZbsbttAc4pVh5
siK8sEuMJnLvFwkk/R8yOU4GTpWgaaZAjPvF1pEaGYP3afmptQsY+q4jIlgK
PZEuYOtVjkuHa4d5LFM9Ilg+Ya4yBejC2fxZ9p5vYVim9fju+REOI9Fnn4Tq
1cnF0DbN5LkLclrPjYWIvpin6tYpMeEYu12UFQlBw5AxLl+FHtLOEB5evsn6
rL2nhrDjssNyfBEO/kre9aJRjSJS/5No8Mn+S2pkjPSNVdfxWbYOfh+I3y78
e/8dEaYmS97bdqtpnVEMtIxwYkekGqP1LaIeIwNbvaR9yq3CfpKfzdD+n/Xz
/vHWjO0/lSx3da5o3pqnZPONDw4IktwK9nzv/xgFfW8vgycdd48Fj8rBIQEp
Wkkfl2khJX2zSeAy89p6N2qpD1LEWEzqy4rF3s47aTUjDP0ujEUa0dUsoPr8
0iCH+MzKZznBa9QomAairZvGNT69eVSPIY1PHz4+bqrrTxAa6Hlv+bCT+agw
+PQU4BuZh7MGX/0ill0kr1j+N7coqE83+Nk7X0Y9y9mi1LGCED1IOwqvKvDV
I2ftUx31u02BeemyksAyHdzEJ7lK6o9dOvw7/38AsH3L8Q==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJZIAaxQYAJSjNCxZjxsGHqyFFPql5qsYmxl1puQzYH
AA56Ank=
            "], CompressedData["
1:eJxFlHtIFEEcx+80etBDqMzA5JAysnN293bntCTjl3+omGEZhYUl5ut6kEb5
Rw+NChGy8IrzkZqUBhUYGRVp5Gkv7tJMxQpRKVEjqYRSk8DHtTNzuzMwLB92
5vf4/n6/CT6Uk5TpazAYjOqOV7ePus9PR+Z+WGiGvsBzaXImhoAr8T/mOTh3
ftr7S6zi7HreeHV+A2esqKvHDAXEjg1DgntBVFVpGNh3n1pXnoOhQTheZxwI
g/dkJWAYPfnUf3oxAr/Eh45MtwIeslIR3B2NEzxGhdl7jCCw5mBou90C1bVr
m2ZcCL4fMU+V50uwo/taytwwAhRsmjxWJkAiCWQcQWxLftCmIsTseRCMpN3+
jBMRuF5HPzi8VdDZYfc7E17M2bqlOanMKDL7s+r/osL9PTMiuMm9LyKUkDz8
JOgn+fp7v3skdr9EYveaJZho2Hm0MtYCdV+dy6onLNC7fHxbZ5YCVN9kmcVl
Epi9VJnlkY4gO4ssWY+HyNNewDlk5FJNRyVn5k8GW87vwncOBHBxyFURqLA6
nRVgmJwzKSyvCwJEnU6+Z0UKoI33V3TdEZi9SAXiiF4uAVrVT/ZKK5QTXaos
7HxQOKvHLkXnNaQeEtZ5w9hSp3QDQ259cb+tywp/m/ouz37DkHFgIMbXxlmz
rzE9P4ghn+jSyFnrF41Xl35cZIvGMDuVN1j9BwOVaT1mfkOt7P+4AqRdcZoV
9gU86zY4FZgkfvK0fDjTcyc4U936ZebXg1ldTDKrY4QCb0mfd4mQTvJxyyyO
R1hnmmcvhmJi96XM4hny9ns9Z61+GtP87LLXP9brTeNowSCSOr0Rmc43Je+8
ifo8zIz9bN2cLkI76c85mc3BKlHX40nEv1cZbQIsiQnJ82nzxvNC0PWnuts4
a/OhsTZPWnw0zwoEo6TvOjCUEl23Iz3eBNLHdWG6PtSe08zyvKW+JySuWs50
vlLMev9o7w+N/zpn7X35D6oUFoc=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4jvSNYlGoaYO8rsW7EtdJ+vwZeetrr+mpg4v
srS/Tf+r4nAGBN6YwPkpsXfcmG+YOMyYwF9llq3iwAACC0wcGlmO9huKqzhs
Mf9xKCUKwZ8GUmeN4N8Q+uR4ns3E4VXxVtHf2ioOB9uWh5+6ZOygoyj/JSdM
xSEZZL6GsUMLr//6KUdVHLjdVEuZqozg9qenAcE1Qzi/9rdVwbkdBnD+8V07
etkM9CH6VVUc/oNAvS5E3zIlh+0OTY+Oz9CG8L8pQNRP0HJYI6TDl35PBs4P
eXv544yHYnC+MQhcFnR4EiG+/WKCtoP6J5WXszy5HPwvToz5d1jH4cu+j1vT
xVgg9qbqObhv9T+ezPbLHqyv2MDBIknXjvXAR/uNenmLGc8YwvmQ8DeG80HG
M6wzcWgRr2XNPPbbXmLqFc6MJlMHE5A5m9kc/ED2OZs6pIH9w+Gw4oWH3n9H
E4eXtY+zz79hcIhRcPyYHGPsIN4kM8Ug+Lf9dHD4G8H54PCIN4TzwfE7Bxh+
IP1r/tuD44ndwGGr1waLOT+ZHZ4kLrxm0q/nULi8ZMM/f05I/O/QhaSLHkE4
H+z/aeJwvvuao8sZdig49AeXqEyXN4CE9zNlB3DwSBjB+aBkcPoegg8Oz8nG
DiKVk0rOhihD7Jc3cSg/vM11pq2SQwlIfZ+JQzinWLtxvCIk/RwycVC+9iiY
YY6Cw01QeLIi0jN6+gYAJgtFhg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4hvSNYlGoXYO8rsW7EtdJ+vwdeetrr+mdg4v
srS/Tf+r4nAGBN7YwvkJsXfcmG/YOsyYwF9llq3i8B8E5ts6NLIc7TcUV3HY
Yv7jUEoUgj8VpM4awb8q9MnxPJutw6viraK/tVUcDrQtDz91ycZBR1H+S06Y
ikMKyHwNG4cWXv/1U46qOHC4qZYyVVnD7U9PA4JrVnB+/W+rgnM7LOH8ZJD+
GRYQ/aoqDgwgcMAcom+ZkkOMguPH5DNmEP43BYh9HmYOa4R0+NLvycD5IW8v
f5zxUAzONwaBy4IOhWu6b2dsMHNQ/6TycpYnl8OKFx56/xPNHb7s+7g1XYzF
4RDIP0YWDu5b/Y8ns/2yB+srtnSwSNK1Yz3w0X6DXt5ixjNWcD4k/G3g/HDx
7RcZ1tk6tIjXsmYe+20vPvUKZ0aTnYMJyJzNbA6+FyfG/HO2c0gD+4fDYSnI
fkdbh5e1j7PPv2GA+C/GxkG8SWaKQfBv++ng8LeG88HxFW8F54Pjdw4w/ED6
1/y3B8cTu6XDVq8NFnN+Mjt82hCQPcvdwqFwecmGf/6cDhtB7r9jDkkXPYJw
Ptj/08ThfPc1R5cz7FBw6AsuUZkubwkJ72fKDjzAaEmVsIbzS4DJ4PQ9BN8H
5L/JNg4ilZNKzoYoOzxJXHjNRN7WofzwNteZtkoQ9X22DuGcYu3G8YoOR0Dh
fcjWQfnao2CGOQoO4PBkRaRn9PQNABZXQ30=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
            31.52969999999999, 4.79531}, {31.52969999999999, 
            3.9390599999999996`}, {34.87659999999999, 3.9390599999999996`}, {
            34.87659999999999, 4.79531}, {31.52969999999999, 4.79531}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4jXdtzMYrrs4vMjS/jb9r4qDxNQrnBmbEHyH
pkfHZ6x2cZjS3hp1OUbFgcd//ZTUGS4OUvPiNE8LqDioPmmed7YKwU84fFk7
NRPBr4hYYXrW28XhVfFW0d/aKg56Exb8MNRzcfC7ODHmX7KKg4Ljx+Qzb50d
WniBBh9VcRD55Hg+ba0z3H6fE+y2s0sRfHWQfVoIvj7IvHtODh77a2Ut2lUc
pnxji5+xxMnhDAjsUXY4rmk16XS6k4Nw5aSSs0+UHEDWpHo4Oaz89rLizAFF
OD89DQjCFOB8E2MgCJZxYF08yYpxqpMDSDrNTRIUbAwMEc4OD1zjHWcJikHc
e9UZIs4g4nACZJ++C8S+I4IOOZw/F6RHuzikgg3gd/gTk3v0X5aLQ4RqhMy5
P7wOlaDwKXaB2LeZG87/su/j1nQxTjgf7J8zjBBaxsVhJhj8tAeHz1xnOP8N
7z6DmUwIPsz9zeK1rJnHmBwixbdfZLCD+pdNwCECxBdD8O/v45tj7OXksNVr
g8Wcnx/twfFdgOCD5YucHGaBjJf8Zg9OP+1ODvNOTF6SrfbTvtvrFYvJQgQf
FC3pWxD85S889P5fdHJoArnH7Yf9b1B4fHJysEjStWM98M3+tnRNopEpNDwb
PttD0pczVB7qngMIvptqKdOsDhc4H5xelV0dtoPcW8noAOM/r32cfX4ND5wP
CU8hSPo8DA3vMDFI+NxzhsSHsZTDk8SF10zUnR3etOV2G0XLwtPb3/9AsF8e
zndfc3Q5Q4QinM8fG3Df6LoSXD/YPw+UIeZORvDB0fQQwQfHn5aLQ/X9H7eM
o5UdPm0IyJ6V7gJJrwlKkPww1wWS/hoVIfG3DZY+FBwu5sezn7vo4nCge1+T
SbKcgxAoff5F8NHzOwAOZrsf
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3,
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQbQwCwR4O/0HAnsfh04aA7Fn/3R22em2wmPOT2WHK
N7b4GVvcHfyfeF4yvczgcFO6JtHIFcFf8cJD7/9DNzj/SeLCaybT3VD1p7g5
vKh9nH1eh8tB6JPj+TRXN4eC5SUb/vnzOfR4vWIxsXRzALvjs4CDzwl229mm
bg4ilZNKzrqIOESIb7/I4OcB50Pc6eGgsGvBvtRz4g7zbXSuzNLzcDjYva/J
JFnS4VdM7tF/TFD/yEs7lGwV/X36nLtDqwK76hkRWQi/zt1hxkwgsJRzaFse
fspIBcEH+++sG5yfw/lzQXq1m8NfsL2ycPemp4GAtMPOW11/U5+7OlTd/3HL
WFvSgcd//ZTUHa4Q9/mJwvnua44uZ7ghAOe/BIXHGia4fx/7vUz4O/+TvYLj
x+QzfxF8E1C4LHaH8+VB8qoeDttB4Vv5335N9+0MhnwPhwjVCJlzNdwO6PEJ
AGvq3O0=
             "], {{44.4469, 5.50313}, {44.596900000000005`, 
             6.564060000000001}, {45.0594, 7.06719}, {45.88909999999999, 
             7.06719}, {46.718799999999995`, 7.06719}, {47.04379999999999, 
             6.685939999999999}, {47.221900000000005`, 5.50313}, {44.4469, 
             5.50313}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYC4jXdtzMYwn0dNunlLWaco+Jwfx/fHONP3hj8
Rpaj/YbiKg5LX3jo/Q/0cZCYeoUzg0nFocfrFYtJoY/D3vyatzO3KsP5xiDw
WQmV36zkwLJ4khVjqo8Df2zAfaPjig7m147mmgT4OKSnAcE3BSjf2+FF7ePs
82+4HRIOX9ZO9fRyOH0GCHQUHP6DAL+Xw4dF6xXOaig5LAe5hxHKP4HgP3CN
d5xlqAznw9wnDnK3lJdD9f0ft4x/Q+UDvRwSQoLUF3CqOISUqEz/H4Hgty8P
P2WU4+UgNS9O87SAisOUb2zxM1q84OEB48PCS/iT4/m0rR4YfJh6tSfN885y
ecLNB4eLsqeDx5qjyxlWKDtEiG+/yJDn6aB87VEwg40iJPylvCHhk/bJfn+t
rEW6CYIPjr/tPpBw6Vd04PVfPyX1AyI+HJoeHZ/B7AuPL1h8w9yDHv8AYK/c
MQ==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZmI6shRj0xenGZQ6p6WttF
iRsAAbYCOQ==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYCYn85sSzf14EOm/TyFjPOUXHoX/DD8JkdJr+R
5Wi/obiKA1h9dqCDSOWkkrNflB3WdN/OYKgOdPBYc3Q5wwoEX/nao2CGN0pw
/kwQiFRykHf8mHymNNBBGKR/iaJDfjz7OcncQIcHrvGOsx4qOCyeZMXoyxDo
cKR7X5PJYj4H4U+O59N6Axz+g8B7BYfPGwKyZ3UHOHTaeO5KE1J0qIxYYXq2
OQBi3xpFiHubAhxWfntZceaAooO4R8AfiWqo+iAlB2udK7OelQY48McG3De6
juDf0ZRd819ZGc6vvv/jlvFpKL8zwEFqXpzmaQEVhxfb1zM/3xEADw8YHxZe
ISUq0/8v8Mfgw9QfvqydKsmEME/9SfO8s1wBEP9fVHbYXytrka4RgBo+rgEO
JsZAcFkOEg7n/R1u8N4WS/3G53BDuibR6Kqfgzso/H8oQuw74eewN7/m7cxS
JYelLzz0/h/0g8cHjP9h0XqFsxbKcD7MfvGpVzgzbvk5SIBoJhWIvcYI98P4
MP/V/7YqONfhi8GHqU8AefihLzy92Dc9Oj7jt6+DACj8y5UdtoD02UDd80LB
YQOI3+PvkJ4GAp/sdScAI3QZgg8Oj8gAhxjVCJlzc6Qh4fUkAC5fu25bUv1H
BP/60VyTButAhzNgIOTQvjz8lJFLIMQfwSKQ9LE4EGK/hhIkfW0OdAB7c7Ky
Q7fXKxaTvYHw8IHlF5T8gJR/AEPqajY=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJVIGYCYq/qZn0fvhCH9DQQ+GQP4ytfexTMMEfBAcYv
P7zNdaatkoOER8AfCfEQhwhOsXZje2WHLxsCsmephzi4TGgWSpul7FAZscL0
rHGIAwMIPFCG0A4hDtX3f9wy/q3sEFKiMv1/QohDI8vRfkNxFTh/k17eYsY5
Kg7aVpNO108JxuDD1M8Ega3BDhJTr3BmMKk4bG2pubD5YDDE/c+UHVSfNM87
ey7YwWPN0eUMK5Qd2peHnzJ6EOyQCpJ3g7rnRTDEfz5KqHygf2H8pbeWPzY8
zOvwYvt65uczguDu+Q8CzJh8mPtq121LqtdE8MHuMw2Ch4cmyD8RQQ4fFq1X
ODtDCc6HhD8XnC+zUWw+U8I/+8WTrBh9fYIczJN07VgdftnD7FsvvU331Jsf
cP4ZMPhi765ayjTrAiYfph4cfr0w+Z/24PCqg/H/wfkw98D4xiDgrOhw9Wiu
ScP/YIz0AuMDAN7J/G8=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGITIGYC4jQQ4Ap12Jtf83ZmqZJDSInK9P9bEPwJC34Y
PjuE4IPVHwt1MAaBZqj6E6EOdzRl1/zfrORw5LJ2quSrUAcGEFBQdXiwj2+O
8aNQB6l5cZqnA1QderxesZhcDXU4ddhpbeY+FQdNq0mn68+EOmzSy1vMOEcF
on4Xgr9kkhWjLwuCL/TJ8Xza0hAHE5D9wTIOWiD9S0Icvuz7uDXdDMFX/6Ty
cpYmgn8GBHgQ/B3BVhH/j0tD3LkixCFGNULm3BxphzXdtzMY1iP4ak+a5509
heDPBIG3UL6NtMMPtvgZPoKhDumgcGmTgrivNNThYPe+JpNmCYdPGwKyZy0O
dRCpnFRyVkUUzl9ya/ljw2Z+OL9wecmGf/ysDk2BnnMb8kIh7j3z0/4N7z6D
mVoIPjj8JBF8WPyJN8lMMQj+bd+2PPyU0YcQqHkMDgdqZS3Sr0D5/UwQ/oEQ
h1SQvmXMkPhah+CDjZ2C4G94+HLqpg5o+IYxwfkWSbp2rA7/7WH8HV4bLOb8
/GYPDp+NUPkDH+3B6ecTgg8Ob5tQOJ/z54L0zVWhDk/8Xib8nf/dHhz/y0Id
7Esca0/HMELSwzloeDmzQeLvQajDDd7bYqllPHD+WiEdvvQ4ITh/Jyh+3cUg
8XshFJIeTkpA/L8k1CHk7eWPMxqlIf6vC4X495ksJD36hDqkgPhq8g4Kjh+T
zzwNgaR/VQUH9PwCAMuMbZk=
            "]]}, {
           Thickness[0.01110494169905608]}, StripOnInput -> False]}, {
        ImageSize -> {90.05207471980074, 23.511820672478205`}, 
         BaselinePosition -> Scaled[0.3169518292168768], 
         ImageSize -> {91., 24.}, PlotRange -> {{0., 90.05}, {0., 23.51}}, 
         AspectRatio -> Automatic}]}, "PointLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #4}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #5}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.6150173333333333, 0.25708400000000003`, 
                    0.13945266666666667`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.922526`", ",", "0.385626`", ",", "0.209179`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.922526, 0.385626, 0.209179]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.922526, 0.385626, 0.209179], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.3523253333333333, 0.3137493333333333, 
                    0.46756733333333333`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.528488`", ",", "0.470624`", ",", "0.701351`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.528488, 0.470624, 0.701351]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.528488, 0.470624, 0.701351], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}]}], "}"}],
            ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               
               RowBox[{
                "True", ",", "True", ",", "True", ",", "True", ",", "True"}], 
               "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.7951869703447523`*^9, 3.795186974840651*^9}, {
   3.7952283157694883`*^9, 3.7952283614531517`*^9}, 3.79522840720371*^9, 
   3.795228468255653*^9, 3.795228522246873*^9, 3.7952286222394342`*^9, {
   3.7952286946076508`*^9, 3.795228697329195*^9}, 3.795228825867494*^9, 
   3.795230731355199*^9, 3.7952326956944447`*^9, 3.795232735633525*^9, 
   3.795232859219963*^9, 3.79525401357961*^9, {3.795254159286933*^9, 
   3.795254179567627*^9}, {3.7952542558161373`*^9, 3.795254279322239*^9}, {
   3.795254324248302*^9, 3.795254330887904*^9}, {3.7952553314059143`*^9, 
   3.7952553638821507`*^9}, {3.79525539442819*^9, 3.7952553974935417`*^9}, 
   3.795255482473854*^9, 3.795255590673718*^9, 3.795256419535687*^9, 
   3.7952565365374527`*^9, 3.795256695851474*^9, {3.795320388330069*^9, 
   3.7953204053092737`*^9}, {3.795320438715073*^9, 3.795320460834072*^9}, 
   3.795333422042973*^9, 3.795374535308962*^9, 3.79688819622933*^9, {
   3.796960523665772*^9, 3.796960541827927*^9}, 3.7969607011626797`*^9, 
   3.796960778382722*^9, 3.796963947285611*^9, 3.7969702288818293`*^9, {
   3.796971196195593*^9, 3.796971223229231*^9}, {3.797002542235165*^9, 
   3.7970025506871023`*^9}, 3.79700879280084*^9, 3.7970089484049807`*^9, 
   3.797009012022215*^9, {3.7970092906758833`*^9, 3.797009294886176*^9}, 
   3.797009334394401*^9, 3.797076673272002*^9, 3.797076712021154*^9, {
   3.797151489646929*^9, 3.7971515024688683`*^9}, 3.797151550505238*^9, {
   3.797151589027349*^9, 3.797151614408441*^9}, 3.7971519477063847`*^9, 
   3.797153190510097*^9, 3.79715399623804*^9, 3.79715415804099*^9, {
   3.7971552285712757`*^9, 3.797155286994371*^9}, {3.7971553697553577`*^9, 
   3.797155376987054*^9}, {3.797155843840138*^9, 3.7971558589331703`*^9}, 
   3.797173725829611*^9, 3.797177686770862*^9, 3.797177756753438*^9, 
   3.797177911881115*^9, 3.797177978984799*^9, 3.7971827191193533`*^9, 
   3.797325680232698*^9, 3.797328129225112*^9, 3.7974378632586193`*^9, 
   3.797496501221438*^9, 3.797496544916484*^9, 3.797497229238236*^9, 
   3.797497557149328*^9, 3.7974990792101297`*^9, {3.797504625033785*^9, 
   3.7975046667127867`*^9}, {3.7975047026889772`*^9, 3.7975047364393587`*^9}, 
   3.797526128351554*^9, 3.797526720681766*^9, 3.7975283446434507`*^9, 
   3.7975297846689253`*^9, 3.797529820194398*^9, 3.797529978291394*^9, 
   3.797532175137426*^9},
 CellLabel->
  "Out[327]=",ExpressionUUID->"ba8d0057-583d-4a73-9ff8-999a76f07c90"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
    "\[CapitalDelta]\[CapitalOmega]S51", ",", 
     "\[CapitalDelta]\[CapitalOmega]GIC", ",", 
     "\[CapitalDelta]\[CapitalOmega]SVWN5", ",", 
     "\[CapitalDelta]\[CapitalOmega]GICVWN5", ",", 
     "\[CapitalDelta]\[CapitalOmega]GICMFL"}], "\[IndentingNewLine]", "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"1", "/", "3"}]}], "}"}], ",", "All"}], "}"}]}], ",", 
   "\[IndentingNewLine]", "OptionsPlot", ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{$w$}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{Error in excitation energy (eV)}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega^{(2)}_\\\\text{S}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega^{(2)}_\\\\text{CC-S}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega^{(2)}_\\\\text{SVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega^{(2)}_\\\\text{CC-SVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega^{(2)}_\\\\text{CC-SeVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<~/Dropbox/Manuscripts/FarDFT/Manuscript/Om_H2.pdf\>\"", ",", "%"}], 
   "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.795228474820265*^9, 3.795228486349724*^9}, {
   3.795232866323328*^9, 3.795232868634223*^9}, {3.7952563831629972`*^9, 
   3.7952564091280003`*^9}, {3.7952564479537888`*^9, 
   3.7952565003041477`*^9}, {3.7952566984164953`*^9, 3.795256707881439*^9}, {
   3.79526000483041*^9, 3.795260020084659*^9}, {3.795260575363516*^9, 
   3.795260578010003*^9}, {3.795260625961279*^9, 3.795260647550274*^9}, 
   3.79526070114189*^9, {3.795333433634823*^9, 3.795333446029772*^9}, {
   3.796888192604545*^9, 3.796888194879608*^9}, 3.796960790212928*^9, {
   3.79700126697307*^9, 3.797001267177865*^9}, {3.7970025573291492`*^9, 
   3.797002559041795*^9}, {3.797076726292001*^9, 3.797076751088139*^9}, {
   3.797151963216337*^9, 3.797151973861504*^9}, {3.797154140746769*^9, 
   3.797154143844322*^9}, {3.797155306046599*^9, 3.7971553065297213`*^9}, {
   3.79717375107717*^9, 3.797173769798648*^9}, {3.797178244963842*^9, 
   3.79717832436782*^9}, {3.797496867776733*^9, 3.797496872224091*^9}, 
   3.797504731221451*^9},
 CellLabel->
  "In[329]:=",ExpressionUUID->"b3f6951d-bf84-466d-8be0-5fa497cd2249"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJw1eHk011/wt33f953PR5ZC0YaKkSShIhLJErKUIlvRZokkJG1fkrIv2bfs
77HvfOyVUghJCVF2P8/z/J77x73ndWbuzGvmnjPnzpDs3E5fpKGiotLY2v7P
+f/XvMrU14JIMr7PZ2W4flAVzr1+c5p5C+/3udBRJagHeIJrn0kEGTsuP3Cj
fXcatmmohUaFk/H5Btt5A4oFBF8RMqx5SMa+MnGzobe2MDGc5z8eRsazF1ny
ElMd4Mhjatn1B2T8HtBecfO9M7y5x3KIaQvf43TwdTx8BVZL22oZQskocd/Z
K3/WHUx3Hi1fCiHjWjVzsNp5T8j85kMeDiajU+6zq3pj3kD1yXa15B4Zzc3Z
VEaCb4AJH+3RoCAytpRdaafRuQnJEVab2oFkvMbnRQ5nvwNP+idaB/zJeKfP
lWWniz/U+PLrSd4lY8XBLmP1lgBQ8pvyEbtNxnG4MDkpGwT9A3ZnO/3IyDBC
blMPvAeVjwKm9t4go7Ak3/rOoWAYTT6qZORNRpGVvbebVO6DjkAuWcqDjNwe
wQa0IaEwMVbVknyVjEsh9M6jgw+gnt2DPHyJjN1qxT0Ocg/h65M2xXZHMsbd
f/owzCscDvq0fr9qR0Zrz6RoEyIC+oqumjVakZFlbWSSYHwEGadKvXvMydjP
ld4wKRsF1bppuk9MyCg176NZ0xwFXLEHW5hOknEiwcra1eUxvDnuvb5bb0su
dV5miikarpwxHePWJuOAq8cT1bRo8K1675dycCu+0DfpZ3WeQG0ATf2vvWTM
uTbhcPzrE9BP7K7+oUTGnu06zWw3nwKXpO7lOFkyOueV9STwPQPeJZsWGkky
3qI/do8p+xmYKkl+EBfc4rv95yctnefQWx0U+4uDjOyiGZ/0Pz6Hx1kR7B4M
ZAwfuh0k6/YCHv49tPvtOgmb0ffXPdr/4IXN0O3qBRLykLL2C/73H4RlFlzs
niahzRqfzWfFGLAdrJ0aGyVhyekix8GaGBCfYGX5+4GEnNvCTtCfjYXKgYhG
xm4S+rg/53X6GQtHMvQkhZtJOKz6oXQt4CVkWR3i20GQ0NTvtEajYBxs/HFO
OVBCwnZVmoS67DjY7drZo59NQmP372MLR16BYaNr3LlkEr6Xpmc49/EVGNDo
0Fx6ScLLp80Z/7jHwy4pUzrfaBIy/9/3eQ1Lkq8S7z8gYbpUYhrGv4ZUasnP
z/xJKG9rmLQi8gbUGz4UJl0nof8vu9EcxzdQcKlDNv8qCc+X8nHfLngDnPPL
+6ovkrAcL+y6uPEGjC1tRlrPkzCeQV/DST8BfFPX5QdNSEgX1nEg6HkChPT2
sY3pk3BW/6dc2WgCXB/9Fj5zmIS2x1PpmHclwslepYxlNRIaBa9SPG4mAktq
7gU6ZRK2bEyH/21KhMxzl0o45EhYW3xd7SlfEijPWaUJSZDwcGZ8r8GFJIhz
CdtL5ifhmcerShw5ScAvyEu/nY2EQlLbBdtXkqDZUBR30JLwgZnco+BjyVDM
knRRbkUKk/f+fXbgaTJ8MspclJiTQrfyZwrTX5PhkKSKO/d3KRydpDd6oZQC
fd6q/RvDUshYpUsLfimQalq1bbJfCgfUzY+ONqZAQUWtdWu7FJpYHxAI4E2F
pcxjQel1Unhzxy9vUdtU8CYbRgeUS6FxvLtDflYq7CRTHp7Jl9qqP/Uj2sup
IJnZ67Ytfcv+7alfXUfTQL/cTHMmXgq/Tg6HmkenQfZpi38Fz6Tw0kpywafh
NDDwHIr1CJfC+KKDl88rpANZ7LO8UpAUBgokFQxeT4fdJ6wTRn2lkEtqKPRk
fTrcYrChe+IuhYbdY7+QKwM2jn0x1nSSwr07qkZ2WmVABfeXB9+spLBlh5PD
fxkZkGdvnRVsKoUsvSPe64sZ8EXDqoxkIIUrZCUBa+1M0HszlFd6WAqfixw/
Wh6ZCT/CPkTrq0nhcNk+Wp6hTGhcN7MZ3CmFvVR/Tl2Uewsfl0wEbGS24leb
qS/xfAv+0g/GxkSlUDXj6SoTvgU+mdx5J54t/iYTfyzZsiB6veHINNMWP9Wx
7FzzLFiyeJk9tCGJBqYPt9OlZEGSY/jZL9OS2Jg57GgxlwXSJJvgkfeSmHng
88VcjWy484BXdbRBEudp78syhGVDzusM15ECSUxg+JRuNZANxfYk2S+vJbFY
+9PPYnLOVr31sx8Kl8TdpffnOdxyQH+xeNuAryQKOA2XOVfkwEBtj0uXoyTa
nfqqXceYCwc0u3c3mUgix7WICAnTXPB2yr9bpSWJ0u3jMX5vciFU09OoQEkS
42ynnAZ/5sK1OoGUFBFJ1BRsvxkrlgcqf1/efsEoiV9FfJNbtPOgeYDm4/0F
CVStWFVads4D9YsG5T4jEnh4yURo+6M8uJPgLeHQKYFr3QH2FsV5EPcwgMGo
QgJd9YI5w4byIErazeNAugRGWFqLVVDnwzkXTTvpZxLowMoe9lMuH6isfvez
BErg9NnH5hIn8+HGRkDH7FUJlDs8fd/IKx9aT/zV67eUQD+b2eHA2HzgCZz3
KtOTQD0Dn23FmA/uPWJ34vdJ4FO62+aTE/kwpuntcI8sgRYP6W4KsxfAlaZV
ucucEhj/hS3cYE8BsLvmNZ9eE0dr6ucPb1sUQK3iE92DU+IYO/vaN/duAUQy
JydsGxBH4+wdZiMpBeBGM/aBo04c76vuJ/G2F4CzoNHv5Vxx3P+o9qPOfAH4
6E2PjMeJo11RV6CPUCHEPivK73kgjixpVsLpmoXQt/HWGn3EcbeTa/wHh0KQ
udf9PcdeHHsXVrlZHxZCqIyMUbyROM6eYvM6lF8ITGOpTyM1xDHsxqv6K4OF
8LLSrOTuDnGMv5pL+3q9EA4X7C2+JiiOyru1VSjSRUBVr/XYgU4cD9WdOUGt
XwT9c3765nNi2ET6cXa3exHUHhz7ajgshu0nNo3snxcBJviaareJ4cljz9Se
VhbBe2nNFLVSMTTkyOJoGC0Culrl3l0pYtiYeKR3kakY9G4ZD8tFi2El3fkQ
2V3F8Ob0m0apu2KovHdR7uyZYuA6Kh4u4iqG0U9G6u/fLIb+Bd/tAhZiaBH8
x6U0oRjUaJ1j+HTFMIhZQXCqqRj2uE8O8e8RQz6p0HbhmWJoObg0Kywlhswt
LGH6fCWwejH2vRS7GNrQFZ66eaAEGmc6onesiKJYj794lm0J7ByIllSdFEWN
3V5/PoWUgJLY1B3dPlGs3hbRzZ5dAi1IyTOvEcW0jLZ3mr0lsFF3vPhKjigu
4K5Ut+US6JIxDQ9+KYopl8ri3ki+A7WJ3/vehIpiQarzy+6j70CLXrygynur
JntrJNK4voPRwCGqYTtRZBhQzd8T/Q7EbBTI1EaieKzlbLND6TuYi2ETkNMQ
xemTryafDb8D2z13P53aIYqLjkycTXSlcEkhyPumoCjac8doLu0oBc5AoZEM
OlHcd/KUz3bjUjBUBcmhORG8JK5Qcu56Kcga/NvF+UUEae4qbjx8VQpxVVq8
uu0iSOVpcrKqrhQyI0Vb7paJ4IXl16kzU6VgUn3fuDJVBGV5eBiluMrguWFw
1uoTETxdleFmvL8MvNX5PmoEiGDZjY6BwPNlIH+R3z3oqgiq1o7tLgosg5lc
F7oOSxGkxPwMGk8vg3ph7hcix0UwYHOyRaCrDN4mssq77hdBvT/9dHqLZZCk
b/GuRlpkKz8le31FyyGTe0VHlFsEpYMfWGQeLoeGf78oNzaEcZf0Kc8hp3KY
Xdtr+XFaGM+fYgxkiywHRVLXGHwQxnjmgmCNonK44VB5KaNRGJeMT925+rEc
BhrXfgsUCaOz/JfLr6kq4KhelGdogjCOhV84SZGtgPbvPovrkcIYcndAhvpE
BVim53lfvyWMQKU5r+JZAZshGgsLLsLIxflfoV1MBeTdE7/mc1YYN95+c3lC
VIBXgtHPVZ0tPCDNXz9eAcc/D1wM3i2MQlFnihdYK2GXWt5nHilhNBz01ZfZ
XQkyBZ9MktmF8XlWVN8Z80pQMjjfrL4qhEucsSYhdypBh3bXwd7vQuhN/byp
JLkS3D6aZrkPCCFjwD3lydZKyKB0iPLUC2F+5MVIwblK+Dse8+BdvhD67FAf
OSZYBcYiZYu2r4UwYX/l3hsaVVB7MzmfI0IIA5+9fZpuXwUGQv0cNX5CKHyM
kfrDgyqY+K3PfsNZCJ0MunyZ86ogloYhe4+ZEDom0m6qD1SBgxHDzJ8jQkgy
TI66tFYFuh8MKKUqQvhYL3/nS3I1HHo1YBIoKYTFL3Z8aNOrBv241BtG7EIY
pc4VtXa1GtwGKjSlVwWRvNPOROlZNWQYCKSufBdEF28paeuKalhZLc4ZGBBE
B06DzciRanCYjDV/Vy/4v/9rAibZG5LiCgTR6+D4p1klAm657Y0KeSOIjztM
h0mmBMizTYl7RwqiY4Hyz9N+BEyPjRo63xLE+akbDPfeEFD7lyRue0kQ93op
KRU3ElCgkxp53lwQdxiftJ34SUBph1uCla4gXsFfXQ+ZEfoe3zljv1cQ4wN+
eCeLITA97sm8Qt7SdxUnV+1CMGq7nHCLSxB5/EP6+rURcrX01aM2BPBMlUzE
zBkE2bkrHuk/BXBBetWA0QWh4NOAYcNHAfxZyMAtdQvBjDa4eaJZAHep0g6o
PUIgMX7gZ38ngNnX3z41TkSQC9tzUS1FAO28Nw0vFSM4hz8tcX4igKbKmxuB
zQhj7GvM8QEC6J+emflyCCGW45LNezcB/PaZ2qhoBiEscrhE0FoAgyh0v9up
a6A4woLrvKEAnvcvvD/OVwOibEOXUw4I4JVf7CIbcjVQwWzf8kdeACsE+VIF
DtbA85A5+WOCAqi12aCw62QNZAWGhL2mF0CqZOm3xy7UwMo6aWbtDz/+oVfa
ZutVA+FLdSY2o/woLzP6/Mb9GjDycK1opPDjM+ojtI9jt/BlUZk9BD9qvDzl
kpFdA2FjlKjkbH6UmGdsqcEa2PgYviESx4/qDK7kj701kGN86urzMH58NHjT
e35ii88xoa8Cvlv6jqq1LCtbfCsnTeKc+PF7fjyTNHstiORXtcia8eN0eb7e
QalaKNgWe7hEhx/lAtwDTfbUQojg7Qr9PfwYTzdUfFm3Fp4/cFT9RuLHU0fn
RoMsamHYz6w4kIsfDxwpZI5zrQW7acN9spt8uLv/unLR3VowsYiu6vzFh6w9
z6zao2thUtvN9NYnPmxUZ3/8LaUWxNPHlne28eFFtuHWtdJaWAr9nT1Rxoej
x5lY+dtrwWM82j0pnQ+15x8aK32pheiqjsMXX/DhPXqX+KPztXCa+w1JMYQP
04Jez1nR10HJV2auJS8+fOu6y8BHqA7KFFjZW+z5MBqF3kYq1MGF+SSh16f5
8NxdS+40zTrI3tu32+8wH9Jm/LtNGNdBzPxLy3PKfHhf49fsoEMdKCuuRoMk
H84fOnRp9nod2I7Mvd/OwYeQ9m2K6WEd7OfxVxJe50W3WxNupPg6yKpOiWL/
yYv+lYfX1PProHHCjoZxiBc9nP5Gnq6vg4Cwd4H0rbyoe5tO/vJgHQxnJHEz
l/Hi6vrlpqAfdfBFRy6XO50Xn0wpXolbr4NAS21LyRe8yKp1TLiYqx6afy3w
7w7hRQfqirYO6XrIW9X8ctybF98ohd6b2F8PB4Kl3jk68GJ1fc6RzeP14BQW
8yrUhBcrG3cyC1nVw37WzOhcbV6UsMrpVHavh2s3Yp4MqWzZy++NOB5UD2Pa
ua/YSLwYVReva/e8HsIvTedpc/Fi4hPOZb+MenD5faLj9iYPPifJpjyprIfb
3QPzVTM86HllVD+rqx6auEJItMM8uOe6zo/60XrQy7a0ONHBg4OahkGfF+th
M/VsbFwlD9rXL/P/ZWqAn+u+32bf8iCF8UQih1gDcBbUquq/5EFZZl15uV0N
4Fyn8jQ9jAetm7+lgXYDLKk0LbP6bfk7up1kfqYB6tYDnb1ceNDHn/epu3MD
1Mhe/DpizoM2vklUD242wHzWlQumejyoqPzBMSGyAcyj4qbbVHnwS3JRY1lC
A/yjzN3Rk9u6P7hPqqeoAdqvXhFtFeDB+abznj+aGmDAhbPGiIEHTXy2I81Q
AwjUDrp9WuTGmNGXDKIzDRB5vVHuyjg31rMV6e6hboRDYUPfafq5sX/hmr8B
XyNIrggUvqrnxtbY/kJ7uUZQbboRolHEjckbw19vHmiE0Dkq+9EkbnSQimR8
eqIR2H1z9cKfcCPu0diZZdsItcmHxA8GcaOvq65lvWcjxFXYNs54cGNoa0bk
p5BGeFUlqpNmx40zJ5yaF2IaoSHzynOH09yY/fcOE3t2I/AEmVXJanNjY/3s
SRlshPu6A6W/VLhxb2nlS43eRiAt/gwtI3HjKmV05sxEI3yLjFUK4+ZGMU57
vavLjdDB+yXVhpobn3popIewNcFQUPmC+hwXOq5e43gt2QScXxQFhUe4MDKD
6ua73U3gKrOfY53C9b/9aRMsmA18GEcuHPVWdPpu3gRxnux+vXlcyPu0ZYLK
dUv/5tBMwxsujB9EV+G7TXDhqpZaVRQX3tXiWVaJboI7hofMyvy5sKKz6qF+
ShMgf5deuTsXngys22Zf2gTyrUucaMuFapbS9TfbmqDUpextqxEX3rL47PJ0
uAmuLnCJfdTiQuHbc/zZc02gf2nTdkaZC9kabZob6JrhZNs9P0YSF1rslQ8Y
FmyGG4IJzjLcXLjepK/1b0czNJ80VdCj5sIV/yZ6Ls1muDV6KPjLKCd+WtVp
kzduhq/Mx5XV6jhxV79L2GGHZvghKagQm8SJC2z7j5y73gyR29K86e9xonxS
xqJHWDN8FFzm9HPgxO4X9QkPXzVDwzLbyj8dTvzxI+RYcl4zGLeO7rkrw4ke
cbMTlXXN4P/Ar4qTgRPds6j9+we25Kp9zzMmOPCTSDnPzFQz1Pb+JgybOLB8
Uvg1w3ozDFh3qC2ncSATL0lGkqsFIt+7UueGcmBLXFeyqnQLjGl1Cl914cDF
ezISRvtb4MeLuYD9+hwY20Z+7Hy8BQI/D6gzKXBgnnvTuv/5FiC47xweY+XA
fV68DjFuLfBq7+R/TT/ZUXGAoT4/sAVEdHm0ijvY8b/nCeKtz1rgkO7m/qwc
dvQoHnMfTW+Btb05t7MesWPV7o6qlYoWcOCR5CtxZ0c/Dms63q4WcB02Xmk2
ZsdMvec6CqMtwBOjqzy+mx2Pj3jfObLYAue014tZ+Njx/Pu1fEumVtD56P1Q
fZENh5UUvniKtkKfbV7etQE27B6hYgjf2QpUA1kyhe/YsF2oRzH5cCsQYteT
1v9jQ8t/8xaVpq2wISg6ZuTHhv637SP6nFqhoum/b1mWbHj4rXTTT79W+Ksw
m8atwYb/+e9hpI9shWwdktJdCTa8tx59QjyhFaa4Fb0WN1mRiawdu6+oFeKf
cN32GmFF6RmtXyeaWqG/pfPYWi0rvr/wSNfxYyuEFjn2hSez4rbbSql3fm35
M3lPlg1hRQYtUbYXVG3gnia9p9mJFe9mmt/I5W2D+Fw9es/jrBhaOf6jSbYN
LFyPxcgqsKKKT639V/U2CP4s+XuUjRU9BmdGlwzbQJm2hyF9hgV1v15y5rZt
A9vPVl+9KSxYELV/YbtnG7C41t00LGDB0u/GIdohbbA7l+aDwlMWNPteKWEZ
0wbvU0WXeH1YMPzR9SrPrDbYOM3xgc6cBS2GA+zCiTZILPx4c0OdBcv7hthT
etqgsdn/K5UYC5Z4BBNV423gFE3FyLbBjLqld64PLLVBGNe535JfmdE9pWnf
b9Z2kD8SEXOolhmVD9iuMEq2w9EdsfR2ycz4Z4WHkNrdDjSDNlRRIcwo6Zp5
W/1oO9w7V2XW6MyMxRGy+0+bt0NdUQETvcEWtrn//dLldmgdBwFDJWYkjbY/
DbrTDg9/Odx9ycmMS3z/DsQ9bgeOdpLOnzkmPLhEP1SU3A6mAT4OJn1MOP5w
2avjXTuYs9t/rShhwrWubqaJ1naQdp98pxjDhLfqI59vfG6HzAza6ZSbTOjs
oiwhONcO/8re+cpZM2FVdcnrXXQdQJ1A65CvxYQ+9SRRPcEOeG89mXFEmgkT
/a5F2e7oAKc/dgbD9Ex4YCRl84ZGBxRb++gFfGfc4lPt/NioA+rfkBIU2xgx
hahsy7DvgP/KHM58zWZEP9XX8rU+HbA9Ay7GRTFiqY3j3Y8POiDQrYBi68mI
Dmo8lPm4DnjBVvVCyYwRb9YkirDmdcAVf5tyGnVGXFkRtJGu6wC6thi1r6KM
+O3btVcHBzrA5udlnsYNBjx0N6/fZKoD/L71HysaYcCVll5G17UOMCscfJ9Z
z4DbGob23OPshHnzaw0ZaQyou8/AJo7cCWym19vywhjw+3Dyo6J9nWAtXZ1O
XGFA5trv9e16nfCj8ajVgBEDZg0LbH6z7IQ8TY6phT0M2LN3l+b61U7IDRM0
FBVkQO96lUD+wE6YzLwQcnyFHl9GSLQpPeuEs69/vrj7mR4PRy0K6aZ3wqZT
qX8V0uOl9pLL1hWdMErXoEWbTI882nZ1Pp2dQOvD897oPj0emPsn+WikE85U
vNFNvUSP3z5cD0hb6ISJPrdw2pP0/zu/7oLS2rsZzir0WHx2v8l7kS54d4/y
qp+PHsd+etXNKnXBrIidi/4SHUZXvFJjPtwFDsF72ZqG6BDr8gpIpl3AUX8s
xICgw2v0OSoHnLpgfuDl4GAiHSb4Pys+7dcF3NXKVK4hdGi6z0nzckQXOPsy
UDFdosNQaen2oDdd8I9JfPDtCTpUN2ixjivsgnpXr+CzKnR4Ncvib1HjFk5m
Y2Xlp0OZY33RHR+6YDNv3KlxiRbNRdX3TvzsAq/Hmy8ffKJFru2hHzc2u0BK
91yaKdLiPVn52ofMFHAVvWMul0yLyypcQkK8FKiw+nObOpQWp/evXU0WowAT
e7ng2GVatNj3s1FZlgLm23tk2k/RorbSV8mqXRTIKjiYXrmHFjMk3vseV6cA
dcbf+CJBWgxj7tvqzyhgxkbLUrRKg1O/epXtDCmQ+8l2qvwLDda2DW71axRg
EeHSaKmjQaGkL9N+NhRwquei/5JGgz88p/UZXSjQOGR3eO0hDe7XXM184kEB
BVuGeSl3Glyj5mSTukWB/4xXBU6Y0uBhQvZqVjAF1nIP5/mr0SCtj3a32iMK
XLz5oapCbEsua7ev4T8KdBbWwgYVDa50BccaJ1JA1WJ9n944Ne7yzKYafkuB
1MsP3sS0UOMI5wenS8UU4Jt2vDufTY0cqUyUv9UUuDf4rOd0NDWW7jukHtRM
gRVlgdhyH2r8VO2ZxNlDgSv/Jvu3W1LjncO5HHFDFPi2gzXkDVBjbNWMn/w4
BS603c2U2EaNu/fs/l40Q4GP748eSWaixuOJvmaHl7bya2JlpPKLCnfyJZZ3
UHdD7jMtbOimQtXoUOZzrN1QveIScKGECu3FlI5M8HWDf+CHJ3QvqbCw4JGT
h0Q3/FN89C/nLhXKnMnz2ZDrBpmVsCxbByqspn3kHqbSDQw/2guEj1Ohb7XC
GYGD3RC3ZsryUYkKzwaHbEvU6YYpFenCBB4qPGf+eljpZDf08LqdG5nZJAJU
fYLKznaDBvO2uYjSTaKVzMp79EI38Olc3HE8cJNQE7GOoFzqhtP1uxl4DTeJ
BnG3eUuvbuAMC783zb9J3FTS1J683Q3kZx4pPV82CJPjbbc87ndD/Pg35+aM
DeLkNYHE9ahuCLs51tnuuUG4pUgWhMZ2w5DZ1cEvGhtEwfhEFm9yNzy9HhxI
zbRBCO92jY7P7oaqz/IUlZ51IiUs1277u27Qf2CO7nHrhOnvPPEi7AZtPz6T
asd1Qs7WvU6ztRuS886HiqisE+Kff5m09HaDl6KKbfDqGqHquL3L5HM3ZP56
/HGjYY3wWiXvG57ohuMLd/6FRK0R/XEfg51nu+Gs1lKJuOUacSDxEfef5W6Y
MIjbViOzRvjbB8jfoe0BocfMhm6zq0Tq19xWZvYemOfUUpKvWCXyhEWXngn0
gMvWl3A6eJWI46jLI0v1wO1yJvFyo1XChUhbyN3eAwcnYhWeiK4SQootdRp7
euCJwd8/PhMrxFtTOYn2Qz0Q8UPE52L+CiGhXktrqdsDKnVMBda3VgjvDzFe
P071gHs/kWZ3bEt/X467n0UPnCJpnb3Gs0LUn9j8x2LfAwOpDzDs8zJRSYpg
iXPtAS7HuLGc9GUiNv9supJPD/Rb38DPnsuE+bp1N3G3B7Qei58VhGViiS4p
+PSDHtBff5hmybJM3GqWbhiP7oGFxLr8zP4l4suxkUe+cVvywHpvuoQlQjZo
aJw9tQf2v4z84+y6RJzy42lKzO2Bpl8khfeqS8Q5pZA9amU9sOx7R+w07RKh
G7dfobO2ByiQ3DTQ+Y/ga5LOcWjvAR14ougY+49ozD5RudrfA5Y3DAyoHP8R
ZkZFZ5586QGB6XbpFJV/RFvOWT+Fqa34XwiWmK7/JWwLth+rne8BK/J8vlDL
X+KUjtiHM2s90K0s3bTy9C8R57BLeYK+F2prMxdXbP8Surz2hp6cvbD3faiG
sNJfwsDondK6UC/suVYVf2Z5kcgVVewLIvdCdoSecF7DIuHmXQOMir2QprQj
Wz56kQi3uu5+f18vyBrbnSOsFwn6vhOOdNALCkuzUl4Ki8Sn9zqkO3q9kEMe
oDq2tEBwuJ5PWDDuhSIK94pqwwIRH/F0wsmyF7RoktmORS8Q/29+0Au278LV
vGwWCMpNR9S52gszv9tuE4oLxHU9qjM513th4+2FT/Irfwi/pPIcvoBeiJ4+
YZrX9If4EP6s43pYL7zNiRo/8+wP8Zzucf7gk144srg9Stj+D5HDkn1u76te
OE8Im64q/yGkX081R6T2wjqbrcrqxjzxt0Z3bSy3F8SH1+SEO+YJWc/6hf1l
vUDsnlU983KeyCuwKwip7YWfLAcu5LrMEzH+pH29bb3w1PFjkpzaPDH8ieq2
WH8vVB/t3qximCf8m6jC7IZ74Wq6hLdH/xzh4DZ9KW+yFwYebeSzJs8RV2gf
7uSe6wWV9SwHI4854mXQl757K71wZ3Z7hJbWHPH793crVro+qHPxVvjEPke4
6KW1JLP3wT/nRyA9NEuwRIgIGQv2gcTM9Rb+9Fmio0r7OBepDzSWd7YUes0S
ZR8lrUZ39IF+WJHmutYs0TKWb9K0tw8ME5h2zLPNEhvvlxQJzT54dMtMQCb/
N2FRvvC9Ra8Pzteq1Vce+00M3U+5P3m6D7j5Sq3efp4h7hxmZRay6oORa32j
sx4zhP6kzBVLpz6wG4owiWCcITR8Fwvzr/VBq9G3XP+XvwjTf76fRW71gVTP
4L/Wnb+I6AuFU89D+sDExlnBteYnsfgu4b3M4z5wX3qm72Dyk7i1opPZ9LIP
bryyPVP4bZpQ3P7K+lZqH1ifbDaw8J4mqHQyF4/k94Eia4eSGf00sazv6iZR
2QdTvVdXM57+IIQ0x9pYm/ogMD27yFT6B2ElzsnK1tMHtA8eWJjlTxGN338r
Sn7ug1veND9yNKcIszfBKke/90HzFSFH67bvhNYR1+caf/rgfeyft/MW34lS
CnxoWt+yJ1MZs/xzkqjQo1oZY+yHTnaPXZ73JomTb7OXHnP3Q44J/xUbqUnC
delYf7dIP+z4l3K6GicIYeWuR0nS/aC3JP310cUJwuT0EXlGxX5YNnvE38cx
QYjaJMev7ekHXd7v82GV44Sb2fx80MF+2Ku080bR1XHCWE1J5pV2P7xLvpBi
JDNO1NCd2ad3vB/6fQP9bL5+I6orXKSDT/VDTFbUv6+vvxG6Vpd/m5zpByqN
cLF++2/E/wB1Q9RU
         "]]}, {
        Hue[0.9060679774997897, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJw1eHc8ll/4/1MIkVEqUjJKRkqZKa6MSmZWEZUioyQhhUh2SSJ8SnZC9t6c
Bw+Px3yWPbI32Xt8/X7f3+/+475f79c1zrnPdd7Xua7D9+Sl7tP9GAxGfu/1
f77//yFhNQgaM9uoI5vpwJurMrDfjmyjeWAHSTs9bio/rgqeH55fFOLbQU3P
P76kKdQFveXj7L3yOyh8h9lEnWgEdg3t7DYmO4hafOpud6op9NOkXmp9t4Pu
PT2YFZ9oDlHRwXacMTto/ENjqWuHFaT8DGiWqt5B3qzmzhaKL4Bh87u62MQO
4vGzcsyes4O8suKxHbZdtFXB6CNr4gBZ/TPxKXK7yDIzzFZ16DVsWUi5iVvs
IkND5ksDPm8hXPur09dvu4hQ/KJxv4oreETsfKmv2kWvOBz5Px9yB9soV+XQ
+V3kTrU5eMHaA5juffAnsWCwpVdbdK4QPoD8KMHVVQCDHYHHY2OCXqD+7r9N
vDQGe2CAv+GKpzfIcE3SF6pisFynObYvdPsAprwyVtUIgz2xIemGv+QHvy15
at9ZYbDs9j7qNL7+IMSFeavnhMGu+dJZDbZ/BF+SRUGjJwZLks0nm58LANxX
3Q/jgRhspF9owCfHz9B3t7oj8T8M9qHDrxA9FAhUgeIy+lgM9uDWwBiiD4Lk
VQkxpiQMtpUtuWZM8CsYkiVEstMwWN4FJ4XKuq8wmluUu56FwY7GPXhoYx0M
upFVhOHcPTmvydkJhhD4HqBjY5+PwbbZ2H+TSQqB8g9Pf8bv4QP+scn3VL5B
hfvO3dd5GGzGq1Hz2/3fIMrzZMxkNgZLFlapY3YNBaNA5LA/A4O1yiomx3GE
wUL0GLUsGYN9R3fLmyE9DKwKQ6u44vfmKzzdc10lHEraaq9xRWCwh7j/9Kh1
hcPklpty6VcM9nO3m5fgy/9gRbikbdcHg63DOs9403yHSTbFtB8uGOxhvjTp
49+/Q4N5h/PVlxjsoy2OR73nf0DEWQ8YMcNgC3TzLNorf8B9PdntcEMMlvXM
J026exFAN4vJvaOJwTrZhR+xnI6A+OVO08NKGGyfTGfR1oefIPKs+kDPXjz1
XXTla49HQoJ6eUK6KAbbKLM/rjo9Epgi8HJ+vBisjt340JJyFJgaDNZZHcVg
OwToDtzvioIEt0Paugcx2Oe6hvSLdtGQdTYkwm9nFzH+3/jEwJywiJ/L+C5K
5o1PwkbHADvDkJkbeRcJmWr82jgRC8zYMvGvZbvIY+bJYIZFLIzrFM7kJO4i
kyIOdrecWIgtJ0eMfN1FJdjHF5/uxMJlGlZZIdddFH1ATd5SLQ4S+G1qXJ7u
ItpPTXJe4XGwwD2p1Ku9i+bUps8VD8YBzz//LO09fpjeTqRlvBgPgpGqLOQz
u+iOzybR3jUemAWETcxZ9/ixM/V5BR8PzV4iEQc2dlBV/hvZUI5fYFuhUVc0
vIMUU6Ip6o9/wTQ5aNSlZQcZBG+KsWT8grhjxxQuluwgTl7h440bv2Cqbx9n
UcIO+nj3XJDPrQSoF9VzPBq0gxIkV8LkQhMAthn1bjnvoJclYaJT/QmgqieY
p2m2gwbH6O78J/YbhsWS/xPS3EH05TdpwOU3HAsM2m6X3kFtVwxvDNb+hh67
nhFj3h2k91Du2IcjiSDb+eVOHuMOchWZec1tmgiCtYnyAwvbSCfazjw7LRFS
Zc6kD3Zv7+Uf3IDSeiLgxOhjinDbiN5tYqblRhLYJ2sfMUvfRv1jff6GIUmQ
m7TNOBi2jZ5tJOT09CXBJ1F2Lyn3bRSdd/W5iWgyLEl8cn9gsY08j/3KaX+T
DMtYqy0jrW3Extvtr4VLhgBy2paI9DbSIA3NYNn+QK7V3ffEU9tIUqR84MKD
P2Dv9dRbjW4bEUQszb//+QM4/i6mH9Nb6CBl4PX28h9IuZl3tIyyhTb4xY49
VEqBs/8W43JLtlD4ids3Sr6kgPTJH1nv47ZQX7EUzeHuFOhp+qXI67+FKJhF
7afnUuEYLYdBmO0W0pGdxRU4pEJh9c+sOf0tJPMndJMBmwo/2Ge4VK5uIU+9
0UVj5jQomKEPDuLbQpIyQ+mZhmnAbjh9lEK/hdT1A4Rpf6dByp2IZJbZTVSb
0mdhNJ8G7u3st5WomyhFrvdppnw6hE7rrr4o2UQLNH6CBz6lw1DQg9zg2E0U
d6An+UFbOthXXnJL991E+Uo90/n8GaDwoUW/0mYTXS7yW2B5mQG3WqTlmnQ3
0THLvmKr0gwITLUUI8luoifa/UrV9JnAfuzJhSaeTcTyKjCQRz8TKCyC8pW0
m0igceSHS2wmkMNyjdInN1Ck6YRl+3QmsKYe9A4mbiCF442uESezwF9LtOxF
wQbqP+GcQFDKguseR/crRW4gmdJNsXWrLJC6TjBg8dxAimt6nMJBWWDx5WYh
2XIDbZE+mBnlZ0Hbs0DBIM0NZKPqw/qpOwu8W6N+KUtsoEDjhydL92WDbfOb
C3OcG8ic6dCn6XPZ8J8BNz50Zx1N3Qs25NHKhu1n/i8uDa+jc4pTfnccsyGW
BfHVEtaRy6O5Ps+IbBgy+aFwN3Mdqao7ncnHZoOQ/TzPSOg6CqV1MxwbzYaX
Wvgqe5d1ZBRA68p1KAdK5k+I7D5aR9F/mT+rS+QAncm0/qcb6+jhvvAAN6Mc
MAi8qswhuo4i5mKcM9/nwG8fhuVItnWkky5yd+B3Dqyr6D07s7KG/GSk+Y40
5sCdBu5fKd1rSDqoqktlIQeSOZ/EXKxcQ0/yWjydOHOBVkzwUW7iGjqY9IAr
WSEXTBmsBqU+r6HLljbRnea5gE05J1z4ag1RljbZmQJy4TTHUwmZe2toTpvZ
8Vp2Lviq8O4ruLaGPr2Nwr1oz4Xpq0YhEvxrKNo2kyZmOxf0N1jHMunXkPhl
pUtEgTzAvlfZFZlZRdeqDTT3qeWBeONKVwJ5FeH5Ju9dtsuD2L+CLqeKVlGj
5u4ds/A8YC+h9oRGrSKtW2GyoWV54GuMoWHyWkUaLGksNYN5sFP9Z/q91Sqq
jVemLDPkg/Mi8cei5ioqozXxFbyYD0sTrw9aSKwiccnlc/cM8sEx6btCO+cq
Cvk2gPNzzYc75q031XZWkJHPonVRXD4MGdZJVA2tIC9G0eMT+HwQ93lFB4QV
xMHr38g1mw/SE8RSbMYKYiQc/KTGUQDL3qN3b4WuoEe0udqucgXw3DCnjey8
gk6SPU6lmRZApJnkVbNHK0j+suNij28BeCbaeK+prKCKM4GkQ+kFcJbPOCdE
ZAUl/WkoVKAUgBtlF3eJbQUtYS8mvlwvgK/l98tal5fR72fFkbGnC8Ho7/Pv
7t3LKCfR6ifpRiEMyEoYna9cRiKv5eP32xQCT33WTl/iMjrQJpMtEVIIR74N
+4d/Xka3CPfqzIsKAX1rXtW1X0ZTWlFjYX2FcKbRVp3DcBktWzCw4mmLQOVa
jVeX/DIyY/+hsCZSBNzDpNjfAstISkvbSVinCJKrQ+NfMy6jZ6dEC+6/KYL5
rkMf1f4tof3vz+8ERBXBkrC8/pnWJYRx0NMqry6CtCx+WprSJfR4PSZxdqII
eF5WfB+NXUKChw/T87IVw+2nbIdbfJeQbvmflzrSxXD+G6ddmc0SKn7b1OZp
Ugx8wXQaWbpLSKZq6HKeZzH4rtJBmuwSIv6Y9hpJLoa7tVy3s3iW0IfdMcKx
lmL4tn39WRntElJdbKVVXS6Ga1Gu8cTJxb31KZB05i4Bnd+E+WniIhLw+WiU
olgCbUdFDdkLF9FFAW2HbssSqJmNaZWPWkQm2vSezF9KgF9c6Jm91yKKZszx
kc8rganO6qOZ1otoTUfb3barBASm7TsWtReRldDf5zGYUqi1kMq5Lr2Ihj4/
1iIKlkL/baZfYScXke/7trP7NEvBJGwpZWH/IgKMwsIlh1JQvT1PuDexgNhY
v+c++VEKUU/3YWpaFtBO6rD1N1QKjyfPaMoV7OE2gaO4kVL41m6cXRi5gDi/
GuQvMZWBuFjieXmvBaTR7qx29nIZXJ2iQfXWCyg87SvVwLAMcthfW5neWUBr
rBF6vu5lEB67LrQjvYBe7wvHFySUweh/wZiEUwuI/oO3+Fh9GSSsXvunQ7uA
sr88/XJ8vgyIaHOJfmoeOYlcGbh1vBws5prYa0nzKE66TPKtfDkkL73kDiya
R55hqaHJZuXQIhM99iBmHnHdot/X+bEceosNnWR955GleoszY1Y5kFxi8Cdf
zCOLeJrdK23lkO5i331Qfx7xaSR8fbZVDi+KSdn7r86jYNXsCz/5K4BDplyN
ln8e5f8n0tmgWgHxi5KJrIzz6OsVtq9bthVw7J8s7szcHOK/8ERPLKwC7IQJ
Ccrtc8j6Na/Aw9IKyIkfuWVTMYfMWdV3vwxUQNf9L+nRv+fQ/9bXCOZ0qlu7
Ps8hx6sjPXNiCIb8vLG8jnMouEm/j08fAXaL9MLOeA5Z5IhP67og8MhK7SUo
zaGFibcHvGMRCP5iZxMTmUOSjmJi+bUI8qk0dBHsc0hER8t0dBqB7idaZ76F
f+gFdqYlgBELDBNcL/gr/6HoD5OvE05iIaDm1qj0139IxOYUf/lFLHSc/jL8
8NE/dNjDl9qqhIWF1WnLiAv/kEH52cBZAyx0a5rbTWzPoiWBTXV6aywE8S1t
qzfNouncA+y877DA7hDJVhU5iy7K0LTJBmEhV1vYXMNmFqW/SQ3ViccCHmeR
N3V1Fj15vavxLB8LOmT9fbFMs0hffHfHsw4L6m8X1ay7Z5BHckrKz24slBUo
Bd9KnUHDvfvu5M1iITpQiSrnOoO8iLT/GvdVwuLWwhFl9Rlk4pHrN8JRCWW0
+ndMuWfQi5lDJ3bOVcJmwtOPIVPTqPQ4R+Kxq5WQ0nsOdZZOo+u7NaIXtSqh
MSNiXurzNMIkCKTeelwJ5pwVvEkm02iRTuyMqWMlvD8RoiEmNo2Ezg6Gv/Xb
85d37HXd9hQK26dMExxRCdNj6hFvm6eQ/E9t6z/plaCde6lMPmYK8SzQEyqx
lSB4vK7ruN0UunLAhr+LUgn2R1hXDihOoaB219cLo5UglnyAhenwnr6FTNXB
jUp42JrBf2ZoEo1nRzMIHKoC2p/0krp5k2iqJFv1Km8VnFhnUwrzmUTnPth5
6klUQeK/eo2Zu5MomrY7//nNPewupX9faBJp35gf9DKqgmOJdwx71ieQnHIu
Y6RNFWw9PWnk0DCBLre+Ec97XwWn1NblT0dNICZy2IPGkCpQ7bs1+9d2AtVe
ORQ8/LsK3vEzPMu/PoGeMvfVbxVVQeExueyYwxNo8DYD09HGKtgs6a2OHh5H
SgsBOmJ/q0CddTEup2AcedNZR99YqILoIy7q3f7jKMkrZv4BXTVs4+2xnMbj
KNXmoroTZzWYnu/FPBcbRyFYztQvotXQcr2Ymbw7hu6/N2ZPUqgGVTr6YU3y
GKL5s+qGdKqhxrnWty9hDPnJz8y1m+/ZR68ueb0ZQwvXrj2be1MN/+wjLiio
jSFIGp5gCKiGT6sZEodOjaGX70Zf8kVXg9B5Kdr5f6PIo0xx60p2NZDZxGIn
qkaRveXKF11cNfj8DqdfDRtFN91ohZ63V8O1yVdyXNajaHP7Od5rshowfytk
71wbRd8mzr+I3K4Ggpfb/kjWUcR0/RZXPhsOYjvS/9saHEHm+0obmgRw4Nqr
vfaqYATFivl7j0rj4GGI2ZmtjyOoApehvHsbBxqr49w/H4ygstoLjJwPcHCd
ub9P69II4nmQ0Sxuh4P6ipW1Y3R7/rIpgbe9cPBuq2t5oWMYfa2OvvkkHAc6
NZ9bB9OGUfw31nWXPzi4zcX8fdRjGIXzCf7+VoaDp2uG8jv6w8jhxaBaWgsO
Ep841AgLDyOJNyqTuEEcMBsai1tvD6F2BQ2v3mUc/NfB5l5GGkJmuPWjKww1
cGP4W4ZA4hAi0mvGs5ysgROuw5XRLkNIkPGm0LmLNcAWtb9ITHsIPawbTgKl
GjivNvuVKDCEHG4I8xka1MB7zyQNv7VB5ORxJNTOqgZGb1yY0mkaRI+cf2E+
utaAbainjXj8IDov3mkR96UGuGwTiPxvBtHfhLza4rgamCR/Oy6ssWffLsVL
zquBoao7isp8g2gBb+Iwia+BbfluzVcrA0jPSRi7v7sG5FQk5HMbBtCPwZ8H
uGdrILbVkJUxbgDhmPNuSuyrBdEFdZy90wBqXXrloc5RC20/mE3m1AdQfURr
rtm5WkhsjGj7wDeAEnb6+l3laiH604rEudV+ZM77hT5UsxYKKKcd+xv7EVZC
/kKaaS3oX9MqTovvR842N41xDrXQaFh8NuBtP/Kv//Olx7cW+IUfF7tq9aNZ
Tcu6pR+1cD/9hqP7mX6UvuLOcCi9Fjrrm9IEl/+iWtyc1llsLZTHf0SOcX+R
ZFHZT3nKnv5gBe+Y5l+0SRycNRjdk398QXTb6EMnWc1Ubddroet7WLNsUh8K
tZdP9mXGQxarDDenfh+y2HzFEnMaD9dndQq49/WhL38wroWX8RAqORqjnNH7
//pTPKDBxfYg4140+Pq85bghHnzWXB5iGHvRkVDCKMYGDyxOrhJhBT0ouh1r
w/UeD1rGy3e1zHvQ++uH1y+F4OFO8nid6OEeVNpcHqD2Gw8MDww+imG7kZZn
9RmzIjy4Ol/9rmfbjWSNBXCuDXjI245YjjrZjd4Z9VqH9uEhfsIhjrmhC3G5
zR9Nn8eDmnztzxjnLsRc+6iuhrYOitaCh+8KdSEjSaEPfcfroIu73fVyeyfa
xqtdXxWpg6rEsMeXfTvRhgeejk2hDkx+NIXdlepEPZsqDUI6dTDkf1khargD
XWy1/qRoXgdfDr71oA3tQEvM0sr339SBGk+0yWflDiT068+y/ac6EMElkCUX
2xHpP1xcQFQd8G4FDG7Ht6PJSd9bCVl1IFar93lMtx3ZR86NllXXwQP+rZb5
/e3ILm2fR2tbHSSw+aSfzG1DPSdKDs9O1AFt8OwZK7M2VDLGFXNguw58fslK
U4+0IYYjfGdPsxGAX9VswBTXigiRLQkyAgQgu9sKsrxuRcveZ3nuSBMAe+s+
Xc/ZVhTRwB9sdZsASfGC7vVtVJRlh9/2MCFAahDla6cfFUk5HjH/8ZIAzSyP
5RmvUNH5tgO4bE8C0PG2eBlNUtD38LhT9WEEuF99yrz+JwXZ5w/ZDSYToG5N
o89Yk4LKLzeVb5QSwBBrsnBol4xcWB7SHmkhAM0Jzdj+LDJKUQ1XER0kQDUd
zzjlCRndHnjtrrxMgGivFsIYBxmZdGxlGzPUQ+i3xzdO4kmoT0z0rwN3PaRK
Ue+/ciYh0gDmwOcL9dBmfe7gmCgJNXKSzyco1sOZkcrTrn1EZLy6YFSmXw8x
JgetRIOJyMPNLJBqWQ/XiZihVWUiUkwVwE+71AODhxpf5UwL+u4hQU/3pR76
7v0bqNdrQd7bIZqn4uqBTWiO/lBJM2LgV4qQyqsHjzmNb368zUhg9vqMJr4e
7mTTecv5NaGOx0E3Lbrq4fGzE11nZxvRGTexRPeZesByB4TdNmhEB65zM/+H
aQDXmnsFv8sa0PsUw7eZRxrAydLjmtyZBuRfNjKJF2wAzH46IfrP9eiSU5VZ
/5UG+BE68pZ5iYDs22cH1zQawPM0/0U1EwK62f/Mit20ASjxJWpYXB3K+Sq9
JOzQAE95MhtsxepQ0biOr5JvA8iF7GYbhOPR3fEyHuMfDfBwJ3XbcbcWfQ56
U+6Q1gDEJ3kZjVa1yKjvw5PPqAFCEGeNCbkGlVC7D/0mN0AGR+f1s9dqUIG9
DyofaQCWJ8t8gok4dLPI/U3bWgPUJb2wesSGQ3a/8VL/mBoBN6LIQXKpRuJy
phv0pxuB5aT9WdeRKrS4cRjxXm6EH5zF343uVKHTNiluV240wuM/pGdWpZUo
P1BQWtewEbSbS38mCe7hR37jz543go/fG9HjIVjEN9gY6uXeCEl/GCVtNxFa
41iViwzewzb4ZhZKBbq6Rtedl9AIDIZC59hSy9FIwLpjU2Ej1D8/L2/vVYa2
WkgMo/V78mQKm5RJKXqH+xK+09sIX5h54g2lSpCVtTjP8flG+PqDab6HpRiV
VxTEXKRtgm6tyO3K8ULkhOPjVj3eBBgxIp6+ugDFu7z6airSBKwSSdoZUflI
buD37lv5JvB4zBeW/zZvbz4VVsF3mkCvSOH7Kf1c9BuVNfwxa4JomV3D0Ys5
yEUmRqjKqQkk/z5pZ2XORkWPLN53fWyCkocUQUlSJjKXPUxciGwCW+1zJw4G
pCPXyvgTTFlNMPq10j/uRira2Dj+SKC6CfgF4u03MH/Q8PCrqKttTaB7gNDO
UZ6Irr3PatWbaIJjctJFc84JaINAobfZaoLGiokjX2Ti0Zmabglv1ma4IIRv
7ZyKQTel1B9F8jeDNMv+/9asf6LxvoSgPKlm+E5Q8L87EY4Yq8ZxjarNcO++
259F6xCU1ndsd9i4GX58cF2OaQ9AZMmLCtu2zeC5trva1uuJXuMueR71bAYk
xZbP2eSAfgbyNIiFNYPp6Lt4GlkFpPh1mfNmcjN4KBd7cO+zg2eNBc8fljbD
7nuC/IM5Dzis9KTaqbkZjuRcNs7o/Qhy86ungwaawf6Uxufr5sEw3PnmQ9JS
M/Azb5c86wiD/72/boF9Z9KKDdQjIP+etF7HiRa4b2Xkv688GoamHavnxFog
9bnnkcLwOAgpjZJlVGwBLdn2es3mX4Ctzsrh028B+xOikyp0ifCKLuOSnGUL
jLO7v4q8mgxxHmH5ui4t4MlDNNV/lQL6UpYKzwNbIOo6X5FNYhr4Cwg0esW2
APPbV29GujLgijrhYWRuC8g8MdV+5JcFtmlGK3m1LXD9G/3xrdhsOHuLGtLU
2QKLWhmHb5fkgCH3FcnR6T39MH2lm5RcYBP279rZbQE5i43fi1N54C0oVBXA
SARLnuQzhrQFsH6JjZPzCBF4Tlj8djlZCFPSW7YJJ4kQuHewGUsWgZHUdK24
IBFieg6nr6sXg5JY/+nyi0S49muf5F2zEvjD0+F8+woRQtMx5XYupfCJkbrX
nxEhYJNV9XZwGUzMUMSfaBDhXODF1r9J5VDV0L7XrxFB+8kjc8mKCuD89XfK
5RERxF1jlm9SEUw6TKnRWxOhc+oNjuk1FqQVNlO+2ROh9aoQK2UXC1v7WJl5
3xHBI73/vvOnSlBEgrZpPkSQVIxL2uGoAhonJZJsEBGyVqyXn8RUgaLgE6ma
70RgaJZTSRSuho0Wnwid+L3x8EdC63Kr4aJDOqYvlQinB5eGCfI4GGDttHyW
T4RJnj7pFDwOWBIZiCsVRPB1a/lorVMDRVLXrnjVEWFiu66Xfq+u66lw+MVK
JoJgbP1lH/NacFfMZInsJoKsOdV/YKYWIspnXYRGiLBfbfTvyTd4uCxxeTxv
lgh5OhhZGUwd3I53vqu4tqfvyh8s/rEOLnDElzTtI0HAz5Rt5sMEkAnxZ7zP
RIJffitBxAgCmJ0UUx7lIME3OKDqKlAPuTlBlvY8JNCr7jx7KK0ezhpkOe2c
IwH18CthX8kGqKAJsvt0iQSXLzTqjpY1gHOFqMGxqyQwOToVJ7aXN+/5+J6J
VyGBWl3TMZOmRrhvGNMnpkUCtluO2a8MmuCDjJNX8T0S/Anue2Xb2wT1/ExH
bjwmwf5kZkPdp80ge+JhIPEZCaQ/7ZidmmmGmlMvF4wdSYCRzQtrcWwBVzEF
pTE3EpCyxWastlpA73bDO3s/EhS5SuUvKRJB69Wx+O2vJDCjLfBN3ovjy9+n
c/wj9vw7cE5pE4iQMzKadiSBBH54k8FJZhJwXbYJiU4nwb99XjbOd0jw+1Pm
E+FCEijxB3zc/EYC/X9Zp/KwJHAXen3lVTsJzpnaVSvUkyCWQ/Fd1wkynOqd
0SNQ9uxGZ3VkHpJBxkK4Ra+XBOHR7iV+cWRw3OSX6hslge21ufyGYTK0Rnb5
WM2RQBirrEIjRAG5+CD2xXUSZJp+PHfhOQU8zD4IudOQoVufxKeRQYHE/sx6
xkNkiIvklngwT4EsLu61sGNk4JK1Mn4sSYVIluosfl4ySJ0rjDB8QwVrlLSU
KUyGBWuGeaUSKnCeJ1TLS5DBGGPykHebCqn653gar5HBejJ7cA5agedKFY3x
TTJwCh10z/NshdedPxwntclgX2wu/rymda+uybBzMSKDXXTlOgdDG+A0d1cP
mpGBrZ23K1utDcr4Ag9G2pDhupknSTGwDSKy7yWLOZFBXHn0L66lDQy3H5LQ
ezJgnTTorh5uhzXaXz66H8mwtZ2nmKDfDu/qBGpGQsjQ23E6DPNfO/y9NRDk
HEmG+/SBu9qd7SDo1T1yKJEMvh+3PEK4O0Db5TA+PnNP/siWq+5BB9wX85WQ
LSYD2X+wbi6mA25GSos2V5Fhis4oiHmwAzjwAhnmjWTIaCPZcJ/phNp0zbLN
1r3/3dR4fMqiE+7eyTP49pcMfA71NoeTO6Eh456L6MRenBTUgjYmOsE0R/hW
1QIZmMOidamiXaCtcrLTYIsMEWk/rke/6IJI84vio3QU8Pe5amSY2QU3j5hp
OLBSgHLaO3L/fBeo3ykU2+akwAtXh4NRl7shk/s81YufAo7fGX+dc+yGl68r
gf48BchONy3i87vh84M3dn5SFPhyTET/0Go30FE1LWiBAvFv8mysZHugp0OF
z12VApwRI5m5zj3AYmMSt6RDgXG38lP/SnogOjB01NKYAuwC1wpObPXA/94f
7O2rj4+dpeV7gehqgVWxpYBFtpilknsvvFHFGGS8oUBKROx7BdQLLr9KMjg+
UEDtRkmVCKYPOj+HNb35RIHr2S7i9Ip9EE4bnN3+jQLf+wbqKB/6IONg+n3J
KAqoN/0L+FrVBwIxE3WBiRS465bgLE/zF1Yqb24NZVIAN7sb3KX8FwQdcEvS
xRT4zLe/1dL7L2TlPMnxraJA8tFUpRHcX/jhwSdFaaBA+FO3F3/290NfD8bt
ZCsF6OLWtDr4+8EDj/n0pI8Cp+XxN3aV+sH85dSzrDEK+KXfLZY364cXNAEX
2Pd40vGUgz3Xqx9+ev2lem9QgM0Co/kooR/+/Rt/wERLhQsZJ14o1fSDtWoS
IeEQFWQUzF6ZjPbDwcATnDrHqXDuWJdROv0ANJUr3Wbjo8KW1HtBKeEBKO46
/WBQhArlUbrti2oDQBjK1sPv8dBCU99mwmYAdjrWziMFKsypeI8cDRoAo5Kl
cYLqHi+9B5Wcsweg2++335guFQhML72PUAf28jsTI+cDKmC6hVOGVwZAbezs
C2NLKogvHM6b5hoEeefl3OxXVLitIxIvKj8I+qvOvSfeUeHm2kvHONNBCHmc
OxHuSwWxsSERLe9BWC6M6zgbTIWdU741l5IH4d2GSgr+JxVyI++qaDQOwnnh
qIfvEqmgb2aQFDU3CBiVlGXlbCp0v/KcPXt0CNbVbF7ylFFBta6Xa+TKEHAq
DDUw4akQa2Ep3P1wCB6cYmViJlOhX+P0KQbvIagd/3f+dC8V9rvSLT//MwR3
Y30u3RinwuF5ruwDLUNwXdkmXH6RCrx1u9I0S0NQtHcU4/fy0HWu+zafjw9D
qSpmY4i+FeyHhXTirwyDVmr6WjB7K5QI24yo3B8Gm7VbraQTrXB0QkDY0XkY
uMRbgn4JtIIn/52T4v8Ng56ushD9+VagbZureJs7DNyPEqK3JFrhJ80Bdq3m
YXh5d2HB62orKKcGHc4aGwYdWbGzUUqtsNsYWB29OwyVtAZSqrdbocUKc+bE
sRGoKLUW8NFuhUz3MQl+0RG4+eD5Pz2DVohlUV4sUBiB/wF3955y
         "]]}, {
        Hue[0.1421359549995791, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJw1eHc412/0N9l7bz6RkayWiNL5GgkNSVYoRUWphCgaSihEWSUiosxs2e9j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         "]]}, {
        Hue[0.37820393249936934`, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJw9eHc0F270v6KUhLa0rLSICC29IklESYpUhJCEUsqoiCiUhnwyy4woe4/n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         "]]}, {
        Hue[0.6142719099991583, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJw1eHc411/4Pp/ISClUUsnIiETKqrgjpCmiKKESKUVZUclOhLKiQWaRvffL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         "]]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6], 
         Thickness[
         0.01]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6], 
         Thickness[
         0.01]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {False, False}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, BaseStyle -> 18, 
     DisplayFunction :> Identity, Frame -> {{True, True}, {True, True}}, 
     FrameLabel -> {{
        FormBox[
         GraphicsBox[{
           Thickness[0.0044742729306487695`], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+OjiuNTgUo9LDS3MJ9VeWpgJ
AMqrAi8=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJDIGYC4pkgEKnuMGMCf5UZt6rDDoemR8cj1OD8p4kL
r5n0qzisFdLhS9dTdNiTX/N2JquyQ6eN5660IAWHB67xjrMuSsP5B7r3NZk8
loTzg95e/jgjUQzOZwCBBGGHld9eVpxpUHD4DwL3hSD8AwoOIpWTSs62CDko
X3sUzHAHKh8PlXdQhPMh8gj+n2+lD+Zs1ILYnywL54P1LVCE850nNAulaSk5
1HzaEJBtBZNXcpCYeoUzw0ndwcQYCIqVMfgsnF3yyX36cPUo/AQlhwaWo/2G
4noQd9nA5HUd3NccXc5wQ9FhreqT5nm8ulD1ig7+t6RrEot0oO5XcKj9bVVw
TkMH7n4YH+Y/dP4ZEOAxQuX3GDnI71qwL/WckAOv//opqSuMHKJUI2TO7RGB
88HhmyIH54P12SjD+alpQMCm4rDk/j6+OclGDqY2e4OmLVRx+AwMrlnHDSDy
bapwPjidZKs6pIPEw4wdNkhv0z2V89kenf8ElI7+Q+3zYXHwvzgx5t9jIwce
Rz6vGZpsEPsWI/igYDdONoTz94LS3VMlOF8Y7A8FKJ8FEs475OH2vWnL7TaK
RvDB4fRf1uFFlva36XtVHWB89PQPAGJ1ZBk=
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGItIGYC4v8gYK/h4H9Luibxk44DmL9fw2Gt6pPmeby6
DgEgcSFNhwaWo/2G4roOjyLEt19sQPBbeP3XT0nVgvNTYu+4Me/QctDXWil8
oUUHzv/zrfTBnI9acP7Kby8rzjAowfn8sQH3jcwVIPwKLQfZXQv2pb6Td1gP
coeuhoOJMRAII/hgd/6XhZibaIDBh6nPyP/QejJEz0H9k8rLWZ7yDlsdmh4d
36HrsFZIhy9dTwHOd19zdDmDhRKc739xYsw/Zy04v/63VcG5DG0H8alXODOc
9CHhYqTrcAYEZAzgfB5QcFgg+DD3gMODBWruZAOHWpB5K3QcbCsjVpjehfI1
dBz6g0tUpvMbQuND20Ed6N2zXgg+WN0OBP95lva36X8NIfHVqwPns3B2ySf3
6cL5G/TyFjPu0YPYN9cQEj7F+hD3MaLxHQ3g/BkzgaBS3+EBKN4X6MHDQ1dR
/kuOmA6c/wQkn6DvMGUCf5VZty5cPzh9LNV2iA8JUl+wUg/ijhgtiLyxngMs
/UHSi64DenoEADdrJzg=
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGItIGYC4vQ0IGAzcvC/JV2T+EnHAcx3M3JYq/qkeR6v
rkN/cInK9HwjhwaWo/2G4roO14U+OZ5fhuBrvOXdZyBpDOdLTL3CmeFk7KCv
tVL4QosOnP/nW+mDOR+14PyV315WnGFQgvP5YwPuG5krOIiD+ErGDrK7FuxL
fSfvYF8ZscL0r6GDiTEQCCP4/8FA1iEl9o4bs4cZBh+mXmZenOZpAVMH9U8q
L2d5yjscbFsefuqQicNaIR2+dD0FON99zdHlDBZKcL7/xYkx/5y14Pz631YF
5zK0HT5tCMie1W7qEAAKLyNdiD3MZnB+yVbR36flEHyYe8DhwaLrsMX8x6GU
KjOHWpB5K3QcltzfxzfnMJSvoePwZeetrr9fzaDxoe3Q4/WKxcTQHM5/krjw
msl8BN8P5M7H5pD46tWB81k4u+ST+3Th/A16eYsZ9+hB7Gs2h7i7WB/ivhdm
qHwNBB9MLzZ1eBAhvv3iAj14eOgqyn/JEdOB85+A5BP0IfasMYHrB6ePncYO
8SFB6gtW6jnsr5W1SBcxhsgb6znA0h8kveg6oKdHAFflDr4=
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{
               1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
               28.3703, 15.725000000000001`}, {26.045299999999994`, 
               15.725000000000001`}, {24.4188, 14.007799999999998`}, {24.4188,
                11.5406}, {24.4188, 9.12656}, {26.081299999999995`, 
               7.321879999999999}, {28.334400000000002`, 7.321879999999999}, {
               30.587499999999995`, 7.321879999999999}, {32.3047, 9.21719}, {
               32.3047, 11.6844}, {32.3047, 14.026599999999997`}, {
               30.659399999999994`, 15.725000000000001`}, {28.3703, 
               15.725000000000001`}}, {{28.137500000000003`, 
               15.225000000000001`}, {29.6391, 15.225000000000001`}, {
               30.695299999999992`, 13.507800000000001`}, {
               30.695299999999992`, 11.0578}, {30.695299999999992`, 9.0375}, {
               29.890599999999992`, 7.821879999999999}, {28.5484, 
               7.821879999999999}, {27.85159999999999, 7.821879999999999}, {
               27.19059999999999, 8.25156}, {26.814099999999996`, 
               8.965629999999997}, {26.314099999999996`, 9.895310000000002}, {
               26.02809999999999, 11.148400000000002`}, {26.02809999999999, 
               12.417199999999998`}, {26.02809999999999, 
               14.115599999999999`}, {26.868799999999993`, 
               15.225000000000001`}, {28.137500000000003`, 
               15.225000000000001`}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGItIGYCYmMQaHZw8L8lXZP4SccBzF/s4LBW9UnzPF5d
h+OaVpNOb3dwaGA52m8oruuQzflzQfplBH/yN7b4GTyOcH631ysWE0VHB32t
lcIXWnTg/D/fSh/M+agF56/89rLiDIMSnM8fG3DfyFzBoQfEF3R0kN21YF/q
O3mH+TY6V2bVOTiYgNwljOD/BwNZh416eYsZlzhh8GHqef3XT0nlcHJQ/6Ty
cpanvEPi4cvaqQ8dHdYK6fCl6ynA+e5rji5nsFCC8/0vToz556wF59f/tio4
l6HtUBGxwvSss5NDACi8jHQdZoJAI4K/81bX39R+BB/mHnB4sOg63AQJ73Vy
qAWZt0LH4XJ+PPu5h1C+ho7D75jco/9+OUHjQ9vBVbWUaZaEM5z/eUNA9ix/
BH/5Cw+9/4XOkPjq1YHzWTi75JP7dOH8DSB37NGD2OfoDAmfYn2I+744ofKn
IPhg/wU6OTyIEN9+cYEePDx0FeW/5IjpwPlPQPIJ+g4giuGaI1w/OH3EODrE
hwSpL1ip53B/H98cYy6ovLGeAyz9QdKLrgN6egQA3dEO4g==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQvab7dgaDubuDiTEQFOs7tC0PP2V0xdVhi17eYsYa
XTjf/5Z0TeInHYc0EHjm6nD+atgb/d86DiteeOj9Z3RzWKv6pHker67DCU2r
Safl3RwaWI72G4rrOhyolbVIN0HwwfZkI/hg9fVuDvpaK4UvtOjA+X++lT6Y
81ELzt+bX/N25lIlOL/TxnNXmpCCQ0iJyvT/GW4Ob9pyu42i5R3+xOQe/XfK
FWKPMIL/HwxkHRIOX9ZOfemOwYepl5h6hTMjyN1BdteCfal58g4MIODgDrcP
xoe5B8ZPiL3jxhyh74AengBnDo9T
               "], {{45.5891, 
               19.712500000000002`}, {45.106300000000005`, 
               19.712500000000002`}, {44.6953, 19.301599999999997`}, {44.6953,
                18.799999999999997`}, {44.6953, 18.299999999999997`}, {
               45.087500000000006`, 17.8891}, {45.5891, 17.8891}, {46.1078, 
               17.8891}, {46.5188, 18.282800000000005`}, {46.5188, 
               18.799999999999997`}, {46.5188, 19.301599999999997`}, {46.1078,
                19.712500000000002`}, {45.5891, 19.712500000000002`}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4t8xuUf/eXk4bNDLW8xoo+tQ+9uq4FyEh0M9
y9F+w3Bdh08bArJn5Xs4/AeBeF2HOpB8Bxr/BIIv9MnxfNpdqP7rOnC+vqL8
lxwxbTjffc3R5QwWSnD+WiEdvnQ9BYf9tbIW6Uc8HN605XYbRctD7Pf3cDAx
BgJhBB9s339ZhzMgYOKFwYepBwvv94SbJ+/4MfnMXE8H5WuPghlkFOD8vfk1
b2emKsL5f76VPphTqO1g3/To+AxuL4e1qk+a5/HqOoSLb7/IYOflsAUUXjW6
DgmHL2undiL4M2YCwU8E3121lGmWgTc0fHTgfP+LE2P+MWvB+c4TmoXSupTg
/NkgczwVHFSA1p4V8oa7n8d//ZTUBQj/wfgw/4PDr8YHgw9T37o8/JQRj4+D
7K4F+1Lz5B3qQfH3wdtBuHJSyVkVBTgfHB5PFeF8SPxpwfn+t6RrEot0HdpB
5vV4Q8wv1ndQB7n3kRecDw6fSgT/De8+g5lGXg4JsXfcmG/oORRvFf19epon
JHx7deD8JxHAgE7Qh/DbPOH6wXwxTwcWzi755HN68PQXHxKkviBTzwGWniHp
T9cBPX0DAHc9UVk=
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQffiydqqkW6DDiyztb9PvqjgYgwB/oMPe/Jq3M1WV
HCLFt19kuBfgoHztUTCDjKLDhocvp26aguBfPZpr0hCM4HtWN+v7KAXA9efH
s5+TZAxweJK48JqJvopDSInK9P83/B1mTOCvMutWhfBPAPkzgWCnmsPeWlmL
9CP+DnMWKe/881zDgePngvTNToFwfu26bUn1loEO56+GvdG31nYAu18v0EFf
a6XwBRcdiLxgoEN8SJD6gkxdB3GPgD8S7wMcTED+2qzn0BzoObdhF5RfrO+w
uvt2BkM9gi/v+DH5jCuC/x8E+AMcWDi75JPP6cHd28BytN9wuq6DyCfH82mx
/hB18joOHzYEZM+S93fwPsFuO3uqJpzvsR/oseVqcL77mqPLGXYowv2r/knl
5SxPWYj9qQFwPti9lxD8xZOsGH01Ah1WfntZceaAggPI2PQIaPzNVXFAj08A
UWrLOA==
               "], {{63.5703, 13.024999999999999`}, {
               63.767199999999995`, 14.420299999999996`}, {64.37499999999999, 
               15.081299999999997`}, {65.46559999999998, 
               15.081299999999997`}, {66.55630000000001, 
               15.081299999999997`}, {66.9859, 14.581299999999997`}, {
               67.21719999999999, 13.024999999999999`}, {63.5703, 
               13.024999999999999`}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJFIAaxQYCJAQEYkWhmJDWMZKrBpR4Xmxj1xNg1UH6h
RD0AVMICSw==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIbIGYC4tjco/82TQ9y+A8Gsg4Kjh+Tz9QGY/BNjIFA
WN7Bu7pZ3ycKwd95q+tvqnOwg/K1R8EMMgoOj0VkTz6VD3ZYK6TDl75O0UH4
k+P5tN4gB+l5cZqnN2g47K+VtUh/E+Rw/mrYG/3fOg739/HNMWYKdvC/JV2T
+EnXQdtq0ul6lWCHFl7/9VNa9RwK4tnPSXoGO7Bwdskn9yH4KbF33Jgl9B0W
T7Ji9J0ShMGHqX/Du89g5rYghy16eYsZa/QcDl/WTpU8FOSgr7VS+IILGv+I
Lpxfz3K03zBcF2LeliCHtapPmuf16jjAwuvPt9IHcwq1HSLEt19kmAT1j7U2
RH0L0DxF+S8507Qg/i8NcpBf/sJD774mhJ+KkP/OFj/DxzXIQRfEF9Nx2PDw
5dRNBlD7fHXhfJj7UPhA93/eEJA9yz4IHl42OldmPUtE+B/Gh4VPPij8SgMx
+DD14PisR/C3ttRc2LwQwQcni82BDg2g8BHXc7h+NNek4XqgQ+1vq4JzGToO
4h4BfyScgxwkpl7hzHBSd3BXLWWadSAQkj5iFCHpZ16gg/onlZezTso7gLx5
dhKU7ykPcU9uIDx9wfiw9Li6+3YGg3AQBh+mvn/BD8NnnxD6u71esZg8DXSQ
3bVgX2oegg9On3oKcL5w5aSSsylQ/ttAhzUg+XcKDtKvH5lJ/Ql02Jtf83bm
UkWH5kDPuQ1hQQ4zJvBXmXGrObwFpa99QQ4zQYBT0QFkrfHhIAh9WcGhZt22
pPqjQRD/z0HwYfbB+GDv1Ms71IL4e4Mc3NccXc5gIQ9PbzD/oOdXAFEkkxQ=

              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ1IGYC4oJ49nOSiaEOoj1er1imqDgcuaydKqkV6mAM
AsJKDi+2r2d+zhDq4L7m6HIGC0WHmNyj/zbtD4Hzv2wIyJ4VjuB7VTfr+/CF
QMwTUYHzpefFaZ420IDz/4PAfW2HH2zxM3x8QxziQ4LUF2TqOUSIb7/IsArB
NwG54zKa/KMQB32tlcIXWPQcatdtS6p/G+IQcEu6JnGTjsOSSVaMvl9CHOp/
WxWce6ENkf8L42tB/CcU6uB/cWLMP2ctuH9h/CcisiefuiP4sPD58630wZyP
CD5Y/rA2nA92zxFdh5ASlen/BUIh7i7WdzgDAhtCUPkVCH4aCNiFOGzQy1vM
uEfP4erRXJMG/hAHf5B/inQdvEHhdS0YHl4P9vHNMd4W7PAX5J5CTTj/RZb2
t+lz1eB8cHz8UHRwUy1lmiUQ4qD+SeXlLE9Zh0+g+OpH8CU8Av5IHEbwwfH9
IcRBdteCfal5cpDwkQp16LTx3JUWpADxn0Wow1ohHb50PUUHzp8L0jf7hTrs
za95O1NVCRIehaEOZjZ7g6Y5qjigpy8A7/kEfQ==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQbaNzZdazxDAHE2MgKNZ30LKadLp+Q6jDFr28xYw1
unC+/y3pmsRPOg4zQWBnqMP5q2Fv9H/rOOy81fU39Xiow1rVJ83zeHUdvKqb
9X2uhTo0sBztNxTXdXBTLWWa9QDBZwCBPwg+WD1bmIO+1krhCy06cP6fb6UP
5nzUgvP35te8nblUCc7vtPHclSak4DBhwQ/DZ79CHd605XYbRcs7PBGRPfl0
dSjEP8II/n8wkHWQ8Aj4I7E7DIMPU/9pQ0D2rPwwB9ldC/al5sk7pIEBwj4Y
H+YeGD8h9o4bc4S+A3p4AgDByJK3
               "], {{88.6891, 
               19.712500000000002`}, {88.2063, 19.712500000000002`}, {87.7953,
                19.301599999999997`}, {87.7953, 18.799999999999997`}, {
               87.7953, 18.299999999999997`}, {88.1875, 17.8891}, {88.6891, 
               17.8891}, {89.20780000000002, 17.8891}, {89.61880000000002, 
               18.282800000000005`}, {89.61880000000002, 
               18.799999999999997`}, {89.61880000000002, 
               19.301599999999997`}, {89.20780000000002, 
               19.712500000000002`}, {88.6891, 19.712500000000002`}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIVIGYCYpFPjufT/oY7pMTecWOW0HdQcPyYfKYTk1+8
VfT36XmGcP4ZMDB02PDw5dRNHeEOW8x/HEq5BZVvRONXhjv0eL1iMdlo6DBh
wQ/DZ0XhDskg8zug/KxwB2431VKmKEOHnbe6/qbahzucPuy0NjPOwOHBPr45
xnzhDi28/uunsOo7PBGRPfn0d5jDkwjx7Rcf6DkEyIll+b4Pc3gA4i/Qc9C0
mnS6/gVUPgHBNzEGAQS/geVov6G4nsNMEHgZ5qCvtVL4AoueQ0E8+znJt2EO
/rekaxI/6Tpsbam5sFkzHIMfzinWbqyvDOevFdLhS9dTcGAAAZ9wB/VPKi9n
eco6fNoQkD2rH8H/AuIfR/AlPAL+SHwOd/gPBnIOL7avZ34uEeGgfO1RMEOM
ogPIGwxcEQ4rv72sOHMAyv8UDpG/o+DQFOg5t+FeOES+QcHhG1v8DJ+jCP6a
7tsZDLMRfFj8ua85upyhQhHO/7BovcLZHcpwPsy/sPSBzoelDwDOSAPd
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
               1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
               0}}}, {CompressedData["
1:eJxTTMoPSmViYGAwB2IQvcB12+e/PFEOytceBTPEKDrMmAkEPyMh/DsKDhvm
vl9+7HWkw1ohHb70dQoOS2YfUdhwC8HfLtf6OvAAGn8HlK+nCOc/cI13nHVQ
Cc6v+bQhIHuXJpyvryj/JWeatsOWE2X75m+KdPgPAvN1HIC2FWUsjHTYope3
mLFGF6K+I9Khhdd//ZSjeg4g5VLhkQ4mxkBQrO8ANEyuVRjBB5uzPALO95cT
y/INjnAIuCVdk7hJF87/8630wZxCbThfZvkLD735Wg739/HNMc6KcJizSHnn
n+eaDlpWk07XtyD4EHei8bcj9MP49b+tCs5laMP561WfNM/r1XYAUWe3RTic
vxr2Rn+3tsPWlpoLm7dC+b+1HXbe6vqbujnCYS1Ioa+Og2d1s77PpgiHBpaj
/YbTEfx6EP86gs/C2SWffE7XYcKCH4bPrsHU6zm8VDPkWMMSicq3QfDvqLA1
To2OhOjv04XzIf7UhvP/gsNL02EXyH2rIyDpxlLd4bGI7Mmn0yMcju3a0cv2
Qc2B4+eC9M1pEQ6Z+R9aT05RdQApm+kb4fAiS/vb9LsqDrXrtiXV20Y4pKcB
wTJlON99zdHlDBVKcD5/bMB9I3MFiPn5EQ7qn1RezvKUhYcXjC/9+pGZ1AsE
/+kFpds/xSIh/JNyDmdAICbSYeW3lxVnHBQdQNJ1SQh5cHoqj4Tr31MyWYJl
GYK/vihj4tszCD44/zyJdBCpnFRyVkXOAZaf1oDSf56CA3r+AgB+OpmN
               "], {{
               101.43099999999998`, 9.700000000000001}, {101.43099999999998`, 
               9.14531}, {101.34199999999998`, 8.98438}, {100.967, 
               8.768749999999999}, {100.538, 8.518749999999999}, {100.038, 
               8.357809999999999}, {99.6609, 8.357809999999999}, {
               99.03589999999998, 8.357809999999999}, {98.53439999999999, 
               8.965629999999997}, {98.53439999999999, 9.734380000000002}, {
               98.53439999999999, 9.806249999999999}, {98.53439999999999, 
               10.8609}, {99.2688, 11.5047}, {101.43099999999998`, 12.2922}, {
               101.43099999999998`, 9.700000000000001}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIVIGYC4icXlG7/NIt2SIm948Ysoe/AvkYmKuVwFAa/
eKvo79PzDOH8M2Bg6PBn5cdLvoeiHLaY/ziUcgsqvxuNvznKocfrFYvJRkMH
kXXuD6vWRDkkg8zvgPKXRDlwu6mWMkUZOsjo31Vhq4xyOH3YaW1mnIGDTrvY
zXPuUQ4tvP7rp7DqO4CkG02jHJ5EiG+/+EDPwbzTMeGpRpTDAxB/gZ6DuiHH
GhklqHwCgm9iDAIIfgPL0X5DcT2IuHKUg77WSuELLHoO8q2vA3eoRTn435Ku
Sfyk6yB+89z34GRMfjinWLuxvjKcv1ZIhy9dT8FBoPnAqYWtUQ7qn1RezvKU
dXi//Ji3+Uk0PmM0nP9CDeggnWiH/2Ag53AeGB11QdEOytceBTPEKDrcAXp3
qnO0w8pvLyvOHIDytaHydxQcniydfURBAirfoODw5e+Vipf/ouD878GPl86+
guDD4s99zdHlDBWKcP6HResVzu5QhvNh/oWlD3Q+LH0AAH7f+BM=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQ/SZwh1yrdIyDiTEQFOs7qBtyrJHJinbYope3mLFG
F873vyVdk/hJB6ou2uH81bA3+r91HCT076qwNUY7rFV90jyPV9dBJirF+n5/
tEMDy9F+Q3FdB3GWMD7dWQi+QPOBUwu3Ivhg9fujHfS1VgpfaNGB8/98K30w
56MWnL83v+btzKVKcH6njeeuNCEFB5F17g+rtkQ7vGnL7TaKlncAOyc1GuJO
YQT/PxjIOrxQA3qoJAaDD1P/fvkxb3PNGAfZXQv2pebJQ9TJx8Dtg/Fh7oHx
E2LvuDFH6DughycAyXOTrg==
               "], {{111.589, 19.712500000000002`}, {
               111.10599999999998`, 19.712500000000002`}, {110.695, 
               19.301599999999997`}, {110.695, 18.799999999999997`}, {110.695,
                18.299999999999997`}, {111.08799999999997`, 17.8891}, {
               111.589, 17.8891}, {112.108, 17.8891}, {112.51899999999996`, 
               18.282800000000005`}, {112.51899999999996`, 
               18.799999999999997`}, {112.51899999999996`, 
               19.301599999999997`}, {112.108, 19.712500000000002`}, {111.589,
                19.712500000000002`}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{
               1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
               118.76999999999998`, 15.725000000000001`}, {116.445, 
               15.725000000000001`}, {114.81899999999996`, 
               14.007799999999998`}, {114.81899999999996`, 11.5406}, {
               114.81899999999996`, 9.12656}, {116.48099999999998`, 
               7.321879999999999}, {118.73399999999998`, 7.321879999999999}, {
               120.988, 7.321879999999999}, {122.70499999999998`, 9.21719}, {
               122.70499999999998`, 11.6844}, {122.70499999999998`, 
               14.026599999999997`}, {121.05899999999997`, 
               15.725000000000001`}, {118.76999999999998`, 
               15.725000000000001`}}, {{118.53799999999997`, 
               15.225000000000001`}, {120.03899999999997`, 
               15.225000000000001`}, {121.09499999999998`, 
               13.507800000000001`}, {121.09499999999998`, 11.0578}, {
               121.09499999999998`, 9.0375}, {120.291, 7.821879999999999}, {
               118.94799999999998`, 7.821879999999999}, {118.25200000000001`, 
               7.821879999999999}, {117.591, 8.25156}, {117.214, 
               8.965629999999997}, {116.714, 9.895310000000002}, {
               116.42799999999998`, 11.148400000000002`}, {
               116.42799999999998`, 12.417199999999998`}, {
               116.42799999999998`, 14.115599999999999`}, {
               117.26899999999996`, 15.225000000000001`}, {
               118.53799999999997`, 15.225000000000001`}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4uNl++ZL3Y9z2KCXt5jRRtdhT8lkCZZncQ71
LEf7DcN1HY4obCjK+Bjn8B8E4qHy/9D4cvFw/na51teBGvEQ/dd14Hx9Rfkv
OWLacL77mqPLGSyU4Py1Qjp86XoKDhvmvl9+TDre4U1bbrdRtDzE/odxDibG
QCCM4IPt+y/rUP5SzZDjSjwGH6Z+xkwQQJjXMz1PqLkj3kH52qNgBhkFOH9v
fs3bmamKcP6fb6UP5hRqOzRMde7O2Q90n+qT5nm8ug61WUAf34h32AIKrxpd
h5YDpxa6/kPwQdYaSyfA+Rox/Ye+aiRAw0cHzve/ODHmH7MWnO88oVkorUsJ
zp8NcrangoP+XRW2RsUEuPvNOx0TnrIkwP0H48P8D3Lu82pMPkz94gJbruvx
CQ6yuxbsS82Td1jouu3z34gEB+HKSSVnVRTgfHB4PFWE8yHxpwXn+9+Srkks
0oWYZw81v1gf4l5RBB8cPt/i4fwakXXuDy/FOyTE3nFjvqHnsABkXgs0fHt1
4PwnEeLbLyboQ/g1CP1gvku8Awtnl3zyOT14+osPCVJfkKnnAEvPkPSn64Ce
vgHP30z6
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQvbjAluv6/0SHF1na36bfVXFQvv2zLutJosPe/Jq3
M1WVHLTbxW6eO53ooHztUTCDjKKDY8LTC0rLEfzDXzVi+tsQ/NMLXbd9zkXo
v+ybJBARm+jwJHHhNRN9FYfrIAuDEx1mTOCvMutWhfD9gfyZQLBTzeHGue/B
j30THeYsUt7557mGw3wp/bsq/xD85ce8zTt/Jjqcvxr2Rt9a2wHs/s+JDvpa
K4UvuOhA5J8mOsSHBKkvyNR1MOBYIxN1JdHBxBgINus5mMTt8uTZBeUX6zvY
mwIF5iD4B04BPVCP4J8BgZREBxbOLvnkc3pw9zawHO03nK7rEN1/6KuGSaLD
fxCQ13FIFoiw3KKS6OB9gt129lRNON9jf62sxXI1ON99zdHlDDsU4f5V/6Ty
cpanLMT+fgQf7N5jCD4wtA99/ZDosPLby4ozBxQcQMH9lyMJEn9zVRzQ4xMA
+2zTdQ==
               "], {{138.47, 13.024999999999999`}, {138.667, 
               14.420299999999996`}, {139.27499999999998`, 
               15.081299999999997`}, {140.36599999999996`, 
               15.081299999999997`}, {141.456, 15.081299999999997`}, {
               141.88599999999997`, 14.581299999999997`}, {
               142.11699999999996`, 13.024999999999999`}, {138.47, 
               13.024999999999999`}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4mTr+/698kkOG/TyFjPa6DrE7/LkYVJOcqhn
OdpvGK7rkCwQYblFI8nhPwjE6zrEguT10fj2CH50/6GvGi5Q/dd14Hx9Rfkv
OWLacL77mqPLGSyU4Py1Qjp86XoKDjfOfQ9+bJvk8KYtt9soWh5iv0KSg4kx
EAgj+GD7/ss67C6ZLMEyC5MPU38GBGoQ5h33Nu90LElyUL72KJhBRgHO35tf
83ZmqiKc/+db6YM5hdoOB04tdN3WD3Sf6pPmeby6Dvamcbs85yQ5bAGFV42u
g2PC0wtK6xF8kLXGpxF8jRigB2/AwkcHzve/ODHmH7MWnO88oVkorUsJzp89
Ewg8FRz076qwNV5EuB/ouoSnWxD+g/Fh/p/q3J3zXDsZgw9Tv7jAlus6f7KD
7K4F+1Lz5B2Avvv8lyPZQbhyUslZFQU4HxweTxXhfEj8acH5/rekaxKLdCHm
vYe6p1gf4t6jCD44fFYj+EDViwtmJjkkxN5xY76h53BB6fbPuiJo+PbqwPlP
IsS3X0zQh/DzEPrB/KAkBxbOLvnkc3rw9BcfEqS+IFPPAZaeIelP1wE9fQMA
YcVFew==
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQXWDLdX2xTIrDiyztb9Pvqjh8WH7M25wxxWFvfs3b
mapKDj+CHy+d/SLZQfnao2AGGUUHft1Nc98fRvAnHPqqEbMYwZ+RJ9R8oCsZ
rn+BlP5dlapkhyeJC6+Z6Ks4LAFZmJ/sMGMCf5VZtyqEnw3kzwSCnWoOS2cf
UdiQlewwZ5Hyzj/PNRxynv9e+VEqBc4vmSzBEiaW4nD+atgbfWttB7D7BVIc
9LVWCl9w0YHIM6U4xIcEqS/I1HX4e6XipdrHZAcTYyDYrOfAqN0udvMalF+s
78DDBBTYieD3Tgd6YA6CD3LWzMZkBxbOLvnkc3pw9zawHO03nK7roBHTf+hr
QLLDfxCQ13EwuKvC1uiY7OB9gt129lRNON9jf62sxXI1ON99zdHlDDsU4f5V
/6TycpanLMT+NQg+2L2PEPyvIAt5UxxWfntZceaAggMouE+pQuNvrooDenwC
APPUyiU=
               "], {{155.37, 13.024999999999999`}, {155.567, 
               14.420299999999996`}, {156.17499999999998`, 
               15.081299999999997`}, {157.26599999999996`, 
               15.081299999999997`}, {158.356, 15.081299999999997`}, {
               158.78599999999997`, 14.581299999999997`}, {
               159.01699999999997`, 13.024999999999999`}, {155.37, 
               13.024999999999999`}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGItIGYCYhNjIDBPcfC/JV2T+EnHAcy3T3FYq/qkeR6v
roMBxxqZKJcUhwaWo/2G4roOKmyNU529EfwVx7zNOyMR/KWzjyhsiEtx0Nda
KXyhRQfO//Ot9MGcj1pw/spvLyvOMCjB+fyxAfeNzBUg/KgUB9ldC/alvpN3
MInb5cljlgJxlzCC/x8MZB1AzkvZj8mHqe+ZnifUPCPFQf2TystZnvIOM4Dc
A31A/wnp8KXrKcD57muOLmewUILz/S9OjPnnrAXn1/+2KjiXoe0w4dBXjZjl
KQ4BoPAy0nXocEx4emEbgs91fXGB7S4EH+YecHiw6DqwhPHpbjqa4lALMm+F
jgOjdrvYzXNQvoaOw98rFS/VrsLiQ9sBFNzddxD8Pys/XvJ9heB/AWn4BI2v
Xh04n4WzSz65TxfO36CXt5hxjx7EvmfQ8CnWh7jvMhp/N4IP9t+qFIcHEeLb
Ly7Qg4eHrqL8lxwxHTj/CUg+Qd8B6Nqc590I/eD0kZviEB8SpL5gpZ6DRkz/
oa8RUHljPQdY+oOkF10H9PQIACJoFjU=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxlkw1IU1EUx4fYl6Rpa03Ej308dU59y6+QUDymq0zCUIsZ05l00oTYMAuD
oRhG0JeVmdgSFZMlzJSKCk2JLDWzabXUKFmYgUZaEGkRaO/63t6DOvB4/O69
5+P+zz3yAmMmuolEoiTmI/9LT36q9D8Qlok5I8DFGnWbeDSVBmp1ZW3KgMDq
M5vf2bv/2b+LMK2TPniVT0ME2bcifCTcRENsDGMWBEN2ZmjTLA3x9wZP9J5D
qPLM6Liq1QDE5XWlmZE9d0wDiR7jLaajAjvKZkOi4gWesC9mffIU6nWxv3Vm
F90YxvNQ3/b2I3mh8HpPgbcuAMG31rGuyC0EmOyNfikIkvO7v7g7KD7+9MHm
sVgNxfpHInwIC7At1yhhVPH+d7kaofAwMSXs84q80yBFGCamV4C+mhHMG6HH
aJ6rb5XzbNsY4VU4L+O5nTAtg4kWU6KHlKu/IoiNTyM4tYbk6z6BkP+ZWVmF
UFfPWI4frKRdOMTGW5LyvMP2zCrSSXgO6mrqxYs+bHwlgsla2rk0sh6eyjpL
inIEXtG7SmAVKbATQXzySunLVG9otTAedoRNKyyGGyTANII+WOdvN0vg8pw5
KW4e2bz9Up47SH3lfjwHkHrmA6Hhm7U//Q3Chty9zuhFGZvvFgJpZ4xYDsnk
wgYEC7lvmpzVFRCUY1NZIr2c1Sea0++2wG0Ls2XDoOB5J9Hjl4K9rxbhIZya
GoingOm2ZjIbYWtCT+a1Sgoeldb4uh/g9ss4zuP6b6Tg8VCz9r5BYDIO1cUI
M8XhC3W53PkS7v1kU+x7PS5wgjPjQt1ZgbdMMhPSzPlPUvy8FBm/n37uCAZV
1Fqbf7+LQ3j90wfXJFokKp6DyPt2hvFc8WebyT6jhptMu8dfIIy83f9V0x3O
ct//8+ziv+yExH4=
               "], {{169.82799999999997`, 7.46406}, {
               170.41899999999998`, 7.33906}, {171.84799999999998`, 
               7.231249999999999}, {172.72500000000002`, 7.231249999999999}, {
               174.35199999999998`, 7.231249999999999}, {174.942, 
               6.999999999999999}, {174.942, 6.35625}, {174.942, 5.31875}, {
               173.58299999999997`, 4.62188}, {171.563, 4.62188}, {
               169.98899999999998`, 4.62188}, {168.952, 5.139060000000001}, {
               168.952, 5.92656}, {168.952, 6.3374999999999995`}, {
               169.07799999999997`, 6.570309999999999}, {169.82799999999997`, 
               7.46406}}, {{169.91699999999997`, 13.543800000000003`}, {
               169.91699999999997`, 14.598399999999998`}, {
               170.41899999999998`, 15.225000000000001`}, {
               171.24099999999999`, 15.225000000000001`}, {171.795, 
               15.225000000000001`}, {172.26099999999997`, 
               14.920299999999996`}, {172.54700000000003`, 
               14.384399999999998`}, {172.86899999999997`, 
               13.757800000000001`}, {173.08299999999997`, 
               12.935900000000002`}, {173.08299999999997`, 
               12.239099999999999`}, {173.08299999999997`, 
               11.237499999999997`}, {172.56399999999996`, 10.6109}, {171.742,
                10.6109}, {170.66899999999998`, 10.6109}, {
               169.91699999999997`, 11.773400000000002`}, {
               169.91699999999997`, 13.490599999999999`}, {
               169.91699999999997`, 13.543800000000003`}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYCJAQEYkWhmKEZmI6uhRD0uvaSqpwWbGLcB
AJivAkM=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4olva+xNxdIdUmLvuDFL6DtoxPQf+noiDYPP
wtkln9yn56DC1jjV+TaCr3T7Z13WkzSHDXp5ixltEPz4kCD1BSt14Xx9rZXC
F1p0HZYU2HJdf5zmsFb1SfM8X10HNUOONTKPoHxeXQeb+/6901elOYRzirUb
6ys7nAGBjDSH81fD3uhb6zgcUdhQlJEK5e/WcThRtm++VHKaQ8At6ZpEI104
v4HlaL/hdAQf5r4Dpxa6bstOc9gC4tfoOTiYxu3ybEH4B8aH+T8NBPgw+RDz
9RwiU6zv+8umOZgYA0GxnkPsLk8eJnWoeXx6DqF8upvmaqc5+IPcV6QL8U9O
GsScZSoOh74CQzgvzeFFlva36bEqEPeWpzm4TGgWSvNSdnBMeHpBqT3NYeW3
lxVnGhQh7puQ5sAfG3DfyFwBzn/TltttFC0P56t/Unk5y1MOor85zWFHsFXE
/+OSkPCrTHM42L2vyWSxOIRfCHXPMVGI+1LSHKru/7hlnC0C4ccg+Fd8kwQi
IpH4FS/VDEPSHBR2LdiX2ificAEU4X5pDjUg+dciEP87w9SLOtw49z34sWWa
Q5sCu+qZLaIOoOSlYYDgx4HCTxnBBwVvrzjUfW4icL482D4hOP++a7zjLEMB
iPmaaQ4Fy0s2/DvPA+E7IvjHvM07HTMQfHB6aIaGV6YQJP0tSnP4su/j1vRt
Mg5LZwND6Bc0/j7pOCyQ0r+rwpQOiX9xPYc5oADkSIfHPyw/wdITev4CACG7
cpc=
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4v8gEJ3hkJ4GBNOMHbpznv9eaZjhoPqked7Z
XUYOPdPzhJoVMhwW39/HN8fZyGHu++XHvLkzHHq8XrGYFBo6LJ19RGHDo3SH
Fl7/9VOO6jvobAKqOJfuEHBLuibRSAfO//X29QFLZg0432PN0eUMFcoOSwps
ua4/TneQ3bVgX+o7eYeJb2vsTcUyHA5272syWSwBcY9uhoOJMQiIOvSC3GOT
4RDy9vLHGQuFHX6v/HjJNyrD4fO+j1vTwwQd/l6peKmWmOEQrRohc65GyKH/
0FeNGOMMhzVCOnzp/8QgfOUMh7Ugfp2kw1RnoA3CGQ5v2nK7jW7LOcyX0r+r
wpbhALbusiLEff/THWZM4K8y61aB808ddlqbKacB54PD8b42JHzYMxxYOLvk
k8/pOYCce0AMal6zgUOHY8LTC2oZDsVbRX+fnmfowKcLDBBzRPjC3G9bGbHC
1NfYAT1+AAsSxpA=
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQXWDLdX1xTKbDiyztb9Pvqji8X37M29wx02Fvfs3b
mapKDt+DHy+drZHpoHztUTCDjKIDn+6mue+ZEfz+Q181Yh5nwPnT84SaD5zK
gOufL6V/V2VXhsOTxIXXTPRVHBaDLFyf4TBjAn+VWbcqhL8ayJ8JBDvVHJbO
PqKwYVWGw5xFyjv/PNdwyHn+e+XHqEw4v2SyBEtYWKbD+athb/SttR3A7g/I
dNDXWil8wUUHIu+U6RAfEqS+IFPX4e+VipdqhpkOJsZAsFnPgVG7XeymGJRf
rO/AzQQU+JkB5/eCPHAHwQc5a+bBDAcWzi755HN6cPc2sBztN5yu66ARAwyB
CRkO/0FAXscB6Fu2xsYMB+8T7Lazp2rC+R77a2UtlqvB+e5rji5n2KEI96/6
J5WXszxlIfa/QfDB7lXKhPO/giz0zXRY+e1lxZkDCg7g4E6Fxt9cFQf0+AQA
Dv/NMw==
               "], {{197.36999999999998`, 13.024999999999999`}, {
               197.56699999999998`, 14.420299999999996`}, {
               198.17499999999998`, 15.081299999999997`}, {
               199.26599999999996`, 15.081299999999997`}, {
               200.35599999999997`, 15.081299999999997`}, {
               200.78599999999997`, 14.581299999999997`}, {
               201.01699999999997`, 13.024999999999999`}, {
               197.36999999999998`, 13.024999999999999`}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
              0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYC4j0lkyVYmLId0tOAIMzYIUUgwnJLTxYG/0ni
wmsm/40crle8VDNck+Xw91vpgzkfjRwuKN3+WbcNKr8fjW+P4H/Zeavr71dD
h/Mg/qYshy3mPw6lVBk6hPPpbpq7OstBel6c5ukPBg4lGRPf1oRnOZjZ7A2a
dlDFgYdJu12MMcthg17eYsYcA4cJb2vsTd9lQvTvMnToyXn+e+XLTIcl9/fx
zVE2gvN5/ddPSc1A8GHuA/M/ZjqcAYE3Rg78QOvfM8PcZ+TAc31xgS0bgs/e
ONW5myfLQfVJ87yzv6B8EUR4wPiw8DLgWCMTVZOJwYepB3k/a0Ym3HwVEH8B
lL/VyGGJ67bPf3dkOhRvFf19Ws7Q4btGTP8hV6B79n3cmm4m6wCKrjA/BP+K
b5JAxNksB+8T7LazQw0djnubdzo+QMTHka9AA54h4gsW3zD3oMc/APcG/hU=

              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4u8aMf2HVLMdPu/7uDU9TNAhZ0/JZImAbIc0
EDgm4pAx8W2NfWK2Q8jbyx9nLBRzSAeJl2U7nAGBN5IO1xcX2HLNz3botPHc
lSakAOFvzoaoW6YM53udYLedfVUdzq/9bVVwLkPH4ca578GP52Y7PIkQ337x
gb5DivV9/97sbIfF9/fxzTls6JABck9ItsPjxIXXTOYbObxffszb3DXbwf/i
xJh/zMYOf+qy9pSoQ+2bZuwANG3pbIVsB9vKiBWmvsYOQN0sYX5Q9+oYOeQL
NR84FZvtEK3g+DG5x9Ah4ekFpdu52Q63pWsSjUwNIPZXZzvoa60UvsCi5xAP
km/Mdliv+qR5nq82nD9jJhDsVIfzzWz2Bk1jVHEIt9xyoqwq2wEkPZNT0SF+
lycPE9A/X0Dhu03WIef575Ufo7IdWhXYVc+YSELc44kIX5j7o1UjZM7VCDmg
xw8AOEXGVA==
              "]]}, {
             Thickness[0.0044742729306487695`]}, StripOnInput -> False]}, {
          ImageSize -> {223.4978929016189, 23.511820672478205`}, 
           BaselinePosition -> Scaled[0.3169518292168768], 
           ImageSize -> {224., 24.}, PlotRange -> {{0., 223.5}, {0., 23.51}}, 
           AspectRatio -> Automatic}], TraditionalForm], None}, {
        FormBox[
         GraphicsBox[{
           Thickness[0.07168458781362007], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJZIAaxQYAJSjNCxZjxsGHqyFFPql5qsYmxl1puQzYH
AA56Ank=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIvIGYC4oAnnpdMJ3+x978lXZNYpOtwBgR8fsH5/mB5
BD9nakKhRfFvOF9mo9h8pgd/7Lfo5S1mrNF16I/o9mcsYHJg4eyST+6DyTM7
BIDUG8H4LA76ivJfcq5pO3zZ93Fr+jQ2iL1nNB0Kl5ds+OfP4SAx9QpnBpOa
Q7RqhMy5PRwO4Zxi7cb6ylB5ToeZIMCpAKFncjqof1J5OctTFmo+J8TcbTIO
PI58XjM0ueH8GLB5PHD+i9rH2ed1+B3+g0C9HMQcTSEH9zVHlzPsUHQQqZxU
crZFCOI+GSUHE2Mg+CwM4ccoO3iA1EmIQdzrpAoxt0wG6j8tiHmdcg5v2nK7
jW7LQfStgdJvZBweuMY7zrooB3cPmB8oD+eD7X+C4Jcf3uY601cBoj9H1kEY
JO+iCLHnpLzDWiEdvnQ/RYcIkD/vyDuAnGtcrOigfO1RMIOMggN/bMB9o+mK
DrNBweap4JCZ/6H1ZImaw4ss7W/TZdUcXhVvFf2trekgs/yFh958LTg/PiRI
fcFLHTgfHN9/dB1+vX19wDJZw6GF13/9lKN6Did27ehlC1CH82Hmw/gzJvBX
mb1WhaQPPzQ+ML3A+A0sR/sNxXUddjg0PTouoeawVvVJ87yzOhD51WoO+lor
hS+46DicOuy0NtNO3eH81bA3+ru1ofapO8iD3B+P4P/5VvpgzkctOH/OIuWd
f9I1If62VXOYAQqPSnVI+PUpOuzNr3k7c6kiJH1lKjhsAPnXRg/OfxAhvv3i
Aj1IeIZD5ffoQdKRPIIPiz8YX37Xgn2p6+Qh4blSDx7fT0DmJehB84MgRLxR
GWJevCA8P0DkBRz8L06M+XdYE+Lumfzw8GgRr2XNZOODxE+NHjS988LDHyLP
A+fD8geMD8tPMPdB9LND5Fth6tng7t3qtcFizk4mePh4bPU/nsz2xx4cn3x6
0Pz4C84H++f/d3tY+oGVP5D0heDDyhcAu0QCOw==
              "]]}, {
             Thickness[0.07168458781362007]}, StripOnInput -> False]}, {
          ImageSize -> {13.953673723536737`, 23.511820672478205`}, 
           BaselinePosition -> Scaled[0.3169518292168768], 
           ImageSize -> {14., 24.}, 
           PlotRange -> {{0., 13.950000000000001`}, {0., 23.51}}, AspectRatio -> 
           Automatic}], TraditionalForm], None}}, FrameStyle -> Automatic, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {Automatic, Automatic}, GridLinesStyle -> Directive[
       GrayLevel[0.4, 0.5], 
       AbsoluteThickness[1], 
       AbsoluteDashing[{1, 2}]], ImageSize -> Medium, 
     Method -> {
      "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& )}}, PlotRange -> NCache[{{0, 
         Rational[1, 3]}, All}, {{0, 0.3333333333333333}, All}], 
     PlotRangeClipping -> True, PlotRangePadding -> {{0, 0}, {
        Scaled[0.05], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
       GraphicsBox[{
         Thickness[0.027510316368638245`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4vXS23RPvfljnwYCy1Qd5p+YvCR72T/7Ke2t
UZdlVBwg8v/shSsnlZxdogjnq39SeTnrpLzDdq8NFnMqmRxg/DMgwMPt8B8M
5B3WCunwpdsJwPkHu/c1mTwWhPMZQMBBHM4Penv544yDEnDzWhTYVc+ESGHw
Z88EAk9Fh/6Ibn/GDZIOytceBTPMUXSIVo2QOTdHwmHlt5cVZw4oOsSA+eIQ
eRklB4VdC/al6olD5B2UHDRA5naKQfUrOZgYA8FlUYe9+TVvZ6oqO4iA/P1E
2EG0x+sVyxQViP90BByk58Vpnt6gAeefvxr2Rv+3NpwfreD4MfmMIVS/qINt
ZcQK07fGDvyxAfeN3BXh/AsgfbPV4XwWzi755Dwth+TYO27MJwzhfJj5MD7M
/oBb0jWJkzTg7oOZB3M/JHzV4f7boPqked5bNbj/dRXlv+RsU4OHD8T9avDw
A/PXqMLDt+bThoDsKFV4+MP4sPjxuzgx5p+yGir/sRo8fiHu1YTzW3j9109J
1YLzzW32Bk07qA3np4LS5TNduHlg/jI9DD4sfR7ftaOXbYOeAyz9uu+vlbV4
rucAS9/bHZoeHf+hC+dvBfF36Dq4TGgWSjulDA1HXaj/laDm6Dq4rzm6nKFC
yeFJ4sJrJvk6cD7YP0EacD44/UzWguiLUXEQn3qFM8NJz+F18VbR390acL6+
1krhCy66cH430FqTQCOoeZoOL7K0v01fawJPLzD+l30ft6aXCcH54HDgZHTw
PsFuOzvUCM6HmQ/jw+xvEa9lzTzGD3cfOH2miMDdDzY/jAPOtytxrD09hxXO
B6enA8zw8OkF5T8DZnj4gfOjARM8fNHLFwAqwvo0
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4gO1shbpJqYONZ82BGT/0nGA8Y/u2tHLJqAL
55847LQ2U07XIQ0EvplA1M/SdegPLlGZrm/s8BnEnW7gMH0Cf5XZbiOHRpaj
/YbuxnC+38WJMf+KTeF828qIFaZvzR28T7DbznY1dkgHG2zlcFO6JtGI1dTB
BiSvawO3v/a3VcG5CAT/PwjEI/iqT5rnnc1C8PeD6BYbBx+Q+aqmDk8SF14z
6bdxYAABAQTfoenR8RmvTeB8f5A7Fxs7JMTecWOeYe3wPEv72/SzRg4zZgLB
SUuIvLCRA4g709LCgdd//ZTUF4YQe5aawfkw/8L4YDrCxKFgTfftDAEjiPvn
G0HEbxg5GGitFL7AYuhwuG15+KlNxg5bzH8cSunSg7vvz7fSB3M26sDdD+PD
/Afjw/zvAQqA4wg+LH4BY9XT8g==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYCYo23vPsMVto4LLm/j2/OYWOHLXp5ixlrbBwM
tFYKX7hi7DB9An+V2W9rh5OHndZm8hk7PM/S/jb9rLXDk8SF10zeGzn0eL1i
MTFE8GXmxWme/mAO53O4qZYyWVk5+F2cGPMv2NShP7hEZXq+tcOXDQHZs6ab
Qejv1g4Fa7pvZywwh/P/g8B6Czh/A8hdPFYQ++9aOfD4r5+SKmHtYAwCxZZw
PtiezRZwfslW0d+n/5k72Dc9Oj7jtJVDpPj2iwx15g75IPscrKD+Moe485Sl
wxbzH4dSbplB6ChLiD/mm0HsSbZw4AWZ+8LMYdkLD73/gRaQcCs2d6hnOdpv
uNwS7v/0NCAQs3LoBoXPQws43+cEu+1sVis4H+yvM1YQ//pbwvlg92pbwPkb
QbSMOYSvY+WQEnvHjfmGqcMnUPiwWzpITL3CmbHIxMEBpG+2GcQ8fiM4H2zf
M0OHGTOB4KU1nI8e/wAqCOnM
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4p23uv6mLndw8Ls4MeZfsakDjM8AAhPMHLI5
fy5In+zgkBx7x43Zw8LhSeLCayb6Dg4mxkDw2NJhf62sRXqLvcORtuXhpxZZ
O0yZwF9l5m0HUddv43BV6JPjeTUEv8frFYuJIIIvPvUKZwaTnYPEvDjN0w0I
vuqT5nlnsxD8/yAQj+DX/rYqOBdh4/BhQ0D2LHc7h3qWo/2G4jYOMQqOH5PX
2DuUbBX9fXqdlYM8kHvG1sEhGiSeYwHnw/wL438BeZzV2OGGdE2i0Vd7B+8T
7LazWw0clr7w0PtvaOegoyj/JadMF27/icNOazPlEPyju3b0sgkg+DWfgA77
pQPns3B2ySef04H7/8+30gdzNurAwwfGh4UfjH8AFK6T7CH+n6/ncAYETBwc
ToPtN3SYCQITHRxOgvjrjODxJwGy18nEAT1+AYB32wA=
            "]], 
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4h6vVywmiWYOW8x/HEo5peKQEnvHjVkCwQfT
XGYOCSFB6gs0VRz8Lk6M+ffY1KH08DbXmXeVHep+WxWcW4Hgf9l5q+tvK4Kv
9qR53lkvU4cPi9YrnP2h7NAXXKIynd/UQWZenOZpAxWHkq2iv0/3mTgE3JKu
SZyk4hAhvv0iA58J3P7Th53WZs4zhvPrQfZxIPj9IPPyjRxEQR4JUXGIVnD8
mPzH0GEmCHQqOxxsWx5+qsnQ4YFrvOOsjUoO/iD3Oxs6lIPc16sI5xuDgLIC
nH8GBN5IO9hWRqwwvWvo8B8E7ks4mIDUJRs7VN3/cct4tSjEvXEmEPtmCkPs
EzJ1WCukw5ceJ+jA5aZaypRl6jADLM/noPGWd59Bp6lDT0S3P6MBr4MqKHxm
mTqkpwHBMy44X/2TystZnhxwPtj+/wxQd5lA+d/tT4LC550xnM/jv35K6g4j
OB/m/q1eGyzm/GR0eJK48JqJviEo+oGJgN/hMYh/3wDO/7whIHuWu6GD9Eax
+UwJH+zB4TEZwQfLT4fqb/hi3w1KPwcNHVj0f3Fd6vlu732C3Xb2VwR/o17e
YkYZIzi/keVov2G4kcOL2sfZ59d8sweHx0wjh3knJi/JVvtq/zxL+9t0WWNo
eHy0B8f3CmOH+WD5D/bg9GdsAucfqJW1SD9iCueD08UvM4eXYPMZHGB8GZD7
H3DD+WDz04Qg4Wtl5tALio8PopDwyTeBhPMZSYc/30ofzGE0dmhVYFc980UG
nt6mg6IzUh7OF66cVHJWRRHOv6Mpu+b/YiW4frBxa5Qh6eQmgg92RpkJnM8H
ij8OUwf3NUeXM2goO0hMvcKZ0WQKSa+6Sg6Q+IamLz9FiHvlzaDpT8HhhtAn
x/NhZg4xqhEy5/7IQtLnOgQfPb8DAJgB11o=
            "]]}, {
           Thickness[0.027510316368638245`]}, StripOnInput -> False]}, {
        ImageSize -> {36.348792029887925`, 29.525858032378583`}, 
         BaselinePosition -> Scaled[0.2705474113409846], 
         ImageSize -> {37., 30.}, 
         PlotRange -> {{0., 36.349999999999994`}, {0., 29.53}}, AspectRatio -> 
         Automatic}], 
       GraphicsBox[{
         Thickness[0.02077274615704196], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4vXS23RPvfljnwYCy1Qd5p+YvCR72T/7Ke2t
UZdlVBwg8v/shSsnlZxdogjnq39SeTnrpLzDdq8NFnMqmRxg/DMgwMPt8B8M
5B3WCunwpdsJwPkHu/c1mTwWhPMZQMBBHM4Penv544yDEnDzWhTYVc+ESGHw
Z88EAk9Fh/6Ibn/GDZIOytceBTPMUXSIVo2QOTdHwmHlt5cVZw4oOsSA+eIQ
eRklB4VdC/al6olD5B2UHDRA5naKQfUrOZgYA8FlUYe9+TVvZ6oqO4iA/P1E
2EG0x+sVyxQViP90BByk58Vpnt6gAeefvxr2Rv+3NpwfreD4MfmMIVS/qINt
ZcQK07fGDvyxAfeN3BXh/AsgfbPV4XwWzi755Dwth+TYO27MJwzhfJj5MD7M
/oBb0jWJkzTg7oOZB3M/JHzV4f7boPqked5bNbj/dRXlv+RsU4OHD8T9avDw
A/PXqMLDt+bThoDsKFV4+MP4sPjxuzgx5p+yGir/sRo8fiHu1YTzW3j9109J
1YLzzW32Bk07qA3np4LS5TNduHlg/jI9DD4sfR7ftaOXbYOeAyz9uu+vlbV4
rucAS9/bHZoeHf+hC+dvBfF36Dq4TGgWSjulDA1HXaj/laDm6Dq4rzm6nKFC
yeFJ4sJrJvk6cD7YP0EacD44/UzWguiLUXEQn3qFM8NJz+F18VbR390acL6+
1krhCy66cH430FqTQCOoeZoOL7K0v01fawJPLzD+l30ft6aXCcH54HDgZHTw
PsFuOzvUCM6HmQ/jw+xvEa9lzTzGD3cfOH2miMDdDzY/jAPOtytxrD09hxXO
B6enA8zw8OkF5T8DZnj4gfOjARM8fNHLFwAqwvo0
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4gO1shbpJqYONZ82BGT/0nGA8Y/u2tHLJqAL
55847LQ2U07XIQ0EvplA1M/SdegPLlGZrm/s8BnEnW7gMH0Cf5XZbiOHRpaj
/YbuxnC+38WJMf+KTeF828qIFaZvzR28T7DbznY1dkgHG2zlcFO6JtGI1dTB
BiSvawO3v/a3VcG5CAT/PwjEI/iqT5rnnc1C8PeD6BYbBx+Q+aqmDk8SF14z
6bdxYAABAQTfoenR8RmvTeB8f5A7Fxs7JMTecWOeYe3wPEv72/SzRg4zZgLB
SUuIvLCRA4g709LCgdd//ZTUF4YQe5aawfkw/8L4YDrCxKFgTfftDAEjiPvn
G0HEbxg5GGitFL7AYuhwuG15+KlNxg5bzH8cSunSg7vvz7fSB3M26sDdD+PD
/Afjw/zvAQqA4wg+LH4BY9XT8g==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYCYo23vPsMVto4LLm/j2/OYWOHLXp5ixlrbBwM
tFYKX7hi7DB9An+V2W9rh5OHndZm8hk7PM/S/jb9rLXDk8SF10zeGzn0eL1i
MTFE8GXmxWme/mAO53O4qZYyWVk5+F2cGPMv2NShP7hEZXq+tcOXDQHZs6ab
Qejv1g4Fa7pvZywwh/P/g8B6Czh/A8hdPFYQ++9aOfD4r5+SKmHtYAwCxZZw
PtiezRZwfslW0d+n/5k72Dc9Oj7jtJVDpPj2iwx15g75IPscrKD+Moe485Sl
wxbzH4dSbplB6ChLiD/mm0HsSbZw4AWZ+8LMYdkLD73/gRaQcCs2d6hnOdpv
uNwS7v/0NCAQs3LoBoXPQws43+cEu+1sVis4H+yvM1YQ//pbwvlg92pbwPkb
QbSMOYSvY+WQEnvHjfmGqcMnUPiwWzpITL3CmbHIxMEBpG+2GcQ8fiM4H2zf
M0OHGTOB4KU1nI8e/wAqCOnM
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4p23uv6mLndw8Ls4MeZfsakDjM8AAhPMHLI5
fy5In+zgkBx7x43Zw8LhSeLCayb6Dg4mxkDw2NJhf62sRXqLvcORtuXhpxZZ
O0yZwF9l5m0HUddv43BV6JPjeTUEv8frFYuJIIIvPvUKZwaTnYPEvDjN0w0I
vuqT5nlnsxD8/yAQj+DX/rYqOBdh4/BhQ0D2LHc7h3qWo/2G4jYOMQqOH5PX
2DuUbBX9fXqdlYM8kHvG1sEhGiSeYwHnw/wL438BeZzV2OGGdE2i0Vd7B+8T
7LazWw0clr7w0PtvaOegoyj/JadMF27/icNOazPlEPyju3b0sgkg+DWfgA77
pQPns3B2ySef04H7/8+30gdzNurAwwfGh4UfjH8AFK6T7CH+n6/ncAYETBwc
ToPtN3SYCQITHRxOgvjrjODxJwGy18nEAT1+AYB32wA=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYCYsemR8dn7LZw2BFsFfHfXdYhWsHxY/IcC4ct
5j8OpZxScTAGgWAE/9Rhp7WZdhYOKbF33JgtVBzSQIDNwuGOpuya/4+VHWTm
xWmePmAO5//5VvpgzkIE37YyYoVprrnDh0XrFc7+UHbQeMu7z8DS3OHn29cH
LJVVHE6CzO8zcwi4JV2TOEnFoWBN9+2MB6Zw+8+AgA2C/yRx4TUTeRM4/zRI
/z8jh24bz11pn5Qd0kHuUzOC+KNYyeFw2/LwU0aGEP5hBYh96wwcXNccXc5Q
IQPnv2nL7TaqFoPzz4LszRF0uC70yfG8mKFDtGqEzLkaTgd+//VTUk8YOmh8
Unk5y5MZ4p+ZRg4bpLfpnsr5YT8TBG4aO8w/MXlJttoHe4mpVzgzjEzhfEj4
m8H5+2tlLdJFLBxe1D7OPq/zy77ut1XBuRcWkHB+xgrx5yoLB4i57A68IPtX
mDvIbBSbz6TA4HAQ5L9DZg41L5p+Tdv50x4S/qZwPticYyZwvgkoHJhNHPyf
eF4yFf5n/yJL+9v0XGOo/cwOEeLbLzKsM3JYcmv5Y8NmDgdxkPudjKDhKgjn
90V0+zMaiMP5wpWTSs62KDh82Xmr62+rsQPYns3KDiVbRX+frjOF828Co9nI
1QzOB/vvl5nDfdd4x1mKyg5eJ9htZ7eaOzhPaBZK41JyACULo6/mDsrXHgUz
6Cg6qIPCW9MCkp4yFBzsQeGZjUjP6OkbANokTrE=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4je8+wxmvnJw2BFsFfHfXdbhd0zu0X+3HBy2
mP84lHJKxSE9DQi2Ifgb9PIWM65xcEiJvePGbKHi8B8E+h0c7mjKrvn/WNnh
pnRNolEugu99gt12diyCn835c0G6s4PDh0XrFc7+UHZIOHxZO1XTweHn29cH
LJVVIOausHcIuAU0aJKKA4ebainTLzu4/akg94Qh+LW/rQrOWdjC+Qkg/RI2
Dt02nrvSPilD3Gdv7WAMAsVKDjEKjh+Tfawg/MMKEPtOWDq4rjm6nKFCBs5/
05bbbVQtBuefPQMEOYIO+Wu6b2cYWDlEq0bInKvhdFj+wkPv/0MrB41PKi9n
eTI7HGhbHn5qk7XDBultuqdyftibgOz5bOMw/8TkJdlqH+zB4edjB+ffAIXX
VXs4fzXQeIbpDg4vah9nn9f5Zd/t9YrFhNHRAeTttGesUPscHGaCwE12h+AS
len/ExwcZDaKzWdSYID47469Q82Lpl/Tdv60nzqBv8pstx2cDw6P+7ZwPshb
Z2RsHfyfeF4yFf5nX89ytN+w3QZqP7PDhw0B2bOOWzssubX8sWEzByT+Y6wh
6UJNEM7vi+j2ZzQQh/OFKyeVnG1RcOgFOXC+jQM4HDYrO/D4r5+SOsMOzi/Z
Kvr7dJw9nA/2H6eDw33XeMdZisoOn0H2+zs4OE9oFkrjUnLYeavrb2q7g4Py
tUfBDDqKDomg9LMQmp4yFBzA6fkQIj2jp28A75FP6A==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
            35.02969999999999, 4.695309999999999}, {35.02969999999999, 
            3.8390599999999995`}, {38.37659999999999, 3.8390599999999995`}, {
            38.37659999999999, 4.695309999999999}, {35.02969999999999, 
            4.695309999999999}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxdk21IU1EYx+/M8i2NNMvYpM3dudaLLackQuyRzj2aRIoZTPC11AlLhNDK
SJCkD6FCLkW3ZGpGBU3U6OVTEookuSlW+MEMJaVUpFR8mSKunXPnvdAD58OP
c+/z/O//+V/FtbKMoj0Mw0g8BzzHx3Pstd9LmGYMb865+gs/sxDR9C2g5KbI
cP/npxYThvzMDHW7hoX9ad2NRQYMFQPvOMsPJahma2zORJHzB76eLNKIfMfw
Mt4ZhGHpabfc6VJCzKN219k/HMhsuZphLQvypOXrji4O0iek9wrMLBxaSRot
LuWE+ZeG/M4/iRc5msxbQALTfjYE4XWpC76ZLDSu78trKURgIfVQCUOaRPOw
GsE0l5dk7Y2CYKLfH8Ftoq9eIbCOlFIusIPUohT2dpoTJVcRuElNRRDbGCaC
g7tTrgndq3BebxPHz7OE8fP+ctAVeirEmHsQbgRsthulGFrofQhsZ5cO7pzA
UGeoTZNog6GS+KPDYCz21K9AgdUr7Lz1or/AdL6b4XVNcl7e0FN/ckReDO7T
WvqRwLv636b2JLRuSiDryPsxZucC/x1wAAyEx0We7gtp1QUikPYebvPJX9LT
fWtFpvexiH++elVP85OMwPfMVuCXug09WUNcgcgfqyITjOUiP59LiXE3IJir
mjGN2tf1W8SP1whsQ4+fmaLX9CQGsWvI68eyns8XB2303qunWmSsqvCxpmCB
aV5nMMzT/gzssozonw4SmPYvDuXzWYOhnuxjKZz3x8bxPjuOwmxBx3jcbwQP
5H4qx6pMyFszWWfWMYHDKs3lTlYh8KQm0u7ujBLep+3sSogjObvCCUxj0SEy
3d8CB8n2wRfMcSWs9KSbrGrM5/V0FP8/5GA+X5cV/P5uYW/+5DBWluc30oAh
W2WQjWxHQijJ5weR///f/wGIlc51
            "]]}, {
           Thickness[0.02077274615704196]}, StripOnInput -> False]}, {
        ImageSize -> {48.137683686176835`, 29.525858032378583`}, 
         BaselinePosition -> Scaled[0.2705474113409846], 
         ImageSize -> {49., 30.}, PlotRange -> {{0., 48.14}, {0., 29.53}}, 
         AspectRatio -> Automatic}], 
       GraphicsBox[{
         Thickness[0.015436863229391787`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4vXS23RPvfljfwYEeNQc5p+YvCR72T/7X29f
H7BsVnGAyP+zr77/45YxtxIq31vBYbvXBos5lUwOMD7EHG6H9DQQUHBYK6TD
l24nAOcf7N7XZPJYEM5nAAEHcTg/6O3ljzMOSsDNa1FgVz0TIoXBB+vboOjQ
H9Htz7hB0qHbxnNXGpOSQ7RqhMy5ORIO/LEB943UlRxiwHxxiHyTkoPCrgX7
UvXEIfLLlRw0Pqm8nNUpBtWv7GBiDASXRR1Urj0KZuhRdhCpnFRy9omwQ82n
DQHZv1Qg/tMRcGhkOdpvKK4J55va7A2alqgD5/cHl6hM/28I1S/qULCm+3aG
ggnEXndFOP/C1bA3+rPV4XwWzi755Dwth+kT+KvMfhvC+TDzYXyY/QG3pGsS
J2nA3QczD+Z+SPiqw/23QfVJ87y3anD/6yrKf8nZpgYPH4j71eDhB+avUYWH
L9ieKFV4+MP4sPjxuzgx5p+yGir/sRo8fiHu1YTzW3j9109J1YLzzUH+PKgN
56eCqGe6cPPA/GV62PnA9Hl8145etg16DrD0676/VtbiuZ4DLH1vd2h6dPyH
Lpy/FcTfoesgMy9O87SBioNoj9crlim6UP8rO0xpb426LKMLScf3lByeJC68
ZpKvA+eD/ROkAeeD089kLYj9h1UcxKde4cxw0nMIBKn7pAHnTwXF72pdOB/k
zPQWI6h5mhD3PECkFxj/y76PW9PLhOB8dVD65WR0qP9tVXCuwwjOh5kP48Ps
bxGvZc08xg93Hzh9pojA3Q82P4wDzrcrcaw9PYcVzgfH+wFmePj0gvKfATM8
/MD50YAJHr7o5QsAhQTQRg==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4gO1shbpJqYOTyLEt19M0HWA8XUU5b/klCH4
+lorhS+06DqkgcA3E4cHIPUMeg79wSUq0/WNHdSfNM87e8rAYfoE/iqz3UYO
W8x/HEqpMobzG1mO9hsuN4XzC9Z0385QsHDwPsFuO9vV2GHGTBCwcrgpXZNo
xGrqkA+ST7CB279BL28xYw+Cb2IMBJMRfLBz5iH4XzYEZM/abuPgAzJf1dRB
fOoVzoxDNg4MICCA4Ds0PTo+47UJnO9/cWLMv8XGDlNA7jxt7fA8S/vb9LNG
DmdA4I8lRF4Yys+xcOD1Xz8l9YWhQ91vq4JzN8zgfJh/YXywPd0mEH8LGDmA
nG982Qgif8PIITn2jhuzhaHD4bbl4ac2GTtIzIvTPP1BD+6+FJC8hC7c/TA+
zH8wPsz/61WBEaKL4MPiFwCFJMZB
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYCYo23vPsMVto43BD65Hj+m7HDFr28xYw1Ng4p
sXfcmDlMHKZP4K8y+23t8Odb6YM5jsYOz7O0v00/a+0gPvUKZ4aSsUOP1ysW
E0MEX2ZenObpD+ZwPoebaimTlZVDI8vRfsN2U4f+4BKV6fnWDmpPmuedPWXm
8GVDQPas79YOS+7v45tz2RzONwaBxxZw/pPEhddM7K0g9t+1crBvenR8hjdU
XbElnO93cWLMv80WcH7JVtHfp/+ZQ2krh0jx7RcZ6swh9hVbOZw87LQ2k8/c
waYyYoXpX0uHLeY/DqXcMoPY02sJsXe+mUMaCEyzcOD1Xz8l9YWZw03pmkSj
VguoOeZQfZZw/8+YCQSeVg7doPB5aAHn+5xgt53NagXnbwCF9xkriD+aLeH8
YpB74yzgfLA7/M0hfB2gflC8cJs5fAKFD7slxNyrJg4OIH/PNoOY52wE54Os
mylpBLH3pTWcjx7/AO/M5nI=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4p23uv6mLndwaGQ52m+43NQBxjcxBoLDZg7Z
nD8XpE92cJg2gb/KrNrC4Uniwmsm+g4O6WlAIGblsL9W1iK9xd7hO0jjVWuH
KSB13nYO4lOvcGYcsnG4KvTJ8bwagt/j9YrFRBDBB9NMdg4+FyfG/NuM4EeI
b7/IMA/BB7tnMoK/QS9vMWOPjcOHDQHZs9ztHLaY/ziU4mXjEKPg+DF5jb3D
8hceev8fWjnIA7lnbB0c+oJLVKbPt4DzYf6F8TXe8u4zsDR2uCFdk2j01d6h
9rdVwbkdBg5LQeYY2jlMaW+NunxHF26/vtZK4QstCL6OovyXnDIE/wnIAwkI
fkb+h9aTJrpw/6fE3nFjltCFhw+MDws/GP9A2/LwU5PsHVJB4c2m73AGBEwc
HP5+K30wJ9DQYSYITHRw+APiPzSCx5/PCXbb2aUmDujxCwB51M4d
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4h6vVywmiWYOW8x/HEo5peKQEnvHjVkCwQfT
XGYOCSFB6gs0VRz8Lk6M+ffY1KH08DbXmXeVHep+WxWcW4Hgf9l5q+tvK4Kv
9qR53lkvU4cPi9YrnP2h7NAXXKIynd/UQWZenOZpAxWHkq2iv0/3mTgE3JKu
SZyk4hAhvv0iA58J3P7Th53WZs4zhvPrQfZxIPj9IPPyjRxEQR4JUXGIVnD8
mPzH0GEmCHQqOxxsWx5+qsnQ4YFrvOOsjUoO/iD3Oxs6lIPc16sI5xuDgLIC
nH8GBN5IO9hWRqwwvWvo8B8E7ks4mIDUJRs7VN3/cct4tSjEvXEmEPtmCkPs
EzJ1WCukw5ceJ+jA5aZaypRl6jADLM/noPGWd59Bp6lDT0S3P6MBr4MqKHxm
mTqkpwHBMy44X/2TystZnhxwPtj+/wxQd5lA+d/tT4LC550xnM/jv35K6g4j
OB/m/q1eGyzm/GR0eJK48JqJviEo+oGJgN/hMYh/3wDO/7whIHuWu6GD9Eax
+UwJH+zB4TEZwQfLT4fqb/hi3w1KPwcNHVj0f3Fd6vlu732C3Xb2VwR/o17e
YkYZIzi/keVov2G4kcOL2sfZ59d8sweHx0wjh3knJi/JVvtq/zxL+9t0WWNo
eHy0B8f3CmOH+WD5D/bg9GdsAucfqJW1SD9iCueD08UvM4eXYPMZHGB8GZD7
H3DD+WDz04Qg4Wtl5tALio8PopDwyTeBhPMZSYc/30ofzGE0dmhVYFc980UG
nt6mg6IzUh7OF66cVHJWRRHOv6Mpu+b/YiW4frBxa5Qh6eQmgg92RpkJnM8H
ij8OUwf3NUeXM2goO0hMvcKZ0WQKSa+6Sg6Q+IamLz9FiHvlzaDpT8HhhtAn
x/NhZg4xqhEy5/7IQtLnOgQfPb8DAJgB11o=
            "]], 
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYCYlfVUqZZGxwcGn5bFZzLUHH4sCEge9Z0Owz+
HU3ZNf8fKzvUsxztNwy3d4jgFGs3Pq/s4HOC3Xb2VHuHbhvPXWlNCP5/ENiv
hMr3V3KwqYxYYVprDzFvsqLDkvv7+OYE2zsYg8BhBSjf1kFmo9h8JgVuhy87
b3X9dbV2MADJf5Z3MAHRl60c9ubXvJ35VdGhAeSe7VD+VCU4f62QDl/6PwQf
5r6U2DtuzC+sHDzWHF3OcALmH2uH9DQguKbscEO6JtEoFcG3b3p0fEa3tUPp
4W2uM+8qO8QoOH5M3mMNDw8YHxZeEeLbLzLIWWDwYerrQOInLODmzwSBnxYO
IpWTSs6WKDs8SVx4zaTf0uH9ovUKZzkUHb6Awv+5jcMZMPhgv0EvbzGjjC2c
D44/AQcIP0bRYfkLD73/ng5w/94E+SfWAR5fsPiGuQc9/gHOkej6
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZmI6shRj0xenGZQ6p6WttF
iRsAAbYCOQ==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYCYpbFk6wYbd0dGn5bFZzLUHFoWx5+yuiJKwb/
jqbsmv+PlR0g6t0cHrjGO846qOxwoFbWIj3GzUGkclLJ2RIE//2i9QpndyjB
+elpQKCm5LDshYfe/0Co/kJFBzfVUqZZDm4Oa4V0+NLXKTis6b6dwZDu6vB1
38et6dd4HXq8XrGYNLo4nAGBPQoOPifYbWfXujiEc4q1G99XcIgQ336RIc8F
Yl+FIsS9OS4O5Ye3uc7sVXSY8o0tfkYMVL28ksODfXxzjINcIP5ZjOCv/Pay
4swHBN9jzdHlDDOUIfwqF4dSkHl3lR0srh3NNbnhAg8PGB8WXjtvdf1NZXfG
4MPUv+HdZzAzyxlu3ka9vMWMNc4Q/89TdniSuPCayXZnePi4gsLngzPE/zly
kHA0c3bgceTzmqHJ5+DQ9Oj4DGsnB2FQ+B9RhNin7+TQbeO5K81JyYHXf/2U
VA0neHzA+Hvya97OZFWG82H214Pc7eDkEAEKr/PKDjPBwAnufhgf5j+we987
YPBh6o9rWk067e4ITy/LQfGf6AiRd1Z2EJ96hTNjkaPDXpB7tipA+J+cIP49
88F+Mij+eJzhfHB4SLg4fAGlDzNpiH36rnD5hMOXtVM9EXyhT47n0+66QsIt
TcihZKvo79PvoPJvhCHpY40bxP6vipD0ddbNgQEEEpQd6kD+euAGDx9YfkHN
D4j8AwAQMXng
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJVIGYCYv0JC34Ylnk7nAGDD/Yw/odF6xXOZig4wPjO
E5qF0riUHI5rWk063e7toHztUTADj7JD/W+rgnMrvB0EYgPuG6UrO/R4vWIx
OQg1b42yw4yZQHDT28FjzdHlDCeUHeybHh2fIe3jcEdTds3/xwh+A8icDBWH
97z7DGY2eWHwYerB5h7xcojgFGs3Pq/swLJ4khXjXS8HE2Mg2Kzs8CRx4TWT
714OIpWTSs6WKDssf+Gh91/S2wEkbSwMdY8m1H8SSqh8oH9h/Bu8t8VSv/E4
ZHP+XJDe7QF3D0h6ZqI7Bh/mvinf2OJnrEHwwe476g4Pjzcg/3B5OOzNr3k7
M1UJzgebM5MTzm8Qr2XNPPbH/sE+vjnGn9wd5p+YvCR72Q97mH1iTTJTDIK/
w/lg/xt/tld90jzv7C8PDD5MPdgdJR6Q8DD+YQ8Or3CY+r9wPsw9MP5/EOBX
dHBRLWWaFYGZXmB8AExEEzk=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGITIGYC0cZAUO3r0G3juSvNScmB13/9lNQLfnB+6/Lw
U0ZvEHyw+s9+Dv9BwF/JgQek/oefw8pvLyvONCg5vOXdZzDTyt/hDAi8UXFQ
edI876yWv8OLLO1v02VVHWp/WxWcE/B3mDGBv8qsW8Vhx62uv6n//RwaQOIZ
Kg6qIPW3EPw13bczGPJ94fwer1csJht9oOZLO+wB6V/v49Af0e3PeAHBP9C9
r8nkMIKfkgYEyxD8kLeXP85IlHZIBYlv83H4su/j1nQzaYe9tbIW6UcQ/C16
eYsZ/yD4M2YCgaMvhH9NyiGkRGX6/w5fSHjIS0HcF+jnEK0aIXNORsLB5wS7
7ey1fg5rhHT40veJwPnXeW+LpW7jg/OX3Fr+2NCZxSGH8+eCdGc/B2Mw+GFv
3/To+IzdvnA+OPxmIPiw+Kt50fRr2s6f9iVbRX+fdvN18Njqfzy57Z/908SF
10z4fSHmH2Z0eALiP/eB+OMmEyS+DiH4YH/0I/hHNa0mnS73cVD/pPJyVicj
nD//xOQl2cv+2sP4shvF5jMlfLUH6zsJlVf7YA9OPz6+cD44vO8h+BURK0zP
Rvs5eIHcy/bNHpxeNvk5FC4v2fCvnwGSHpj8HW6AwquMFRJ/6v4OPI58XjNW
csP57muOLmf4IQjng+P3oSgkftn8HQ6C0kOyhAM4PNb7Obxpy+02kpaG+D8J
mp7rZaHp0dfhL4i/X85h6QsPvf+Gvg4ilZNKzj6Rd0DPLwAdFory
            "]]}, {
           Thickness[0.015436863229391787`]}, StripOnInput -> False]}, {
        ImageSize -> {64.77844084682441, 29.709838107098385`}, 
         BaselinePosition -> Scaled[0.27506459320115684`], 
         ImageSize -> {65., 30.}, PlotRange -> {{0., 64.78}, {0., 29.71}}, 
         AspectRatio -> Automatic}], 
       GraphicsBox[{
         Thickness[0.011428571428571429`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4vXS23RPvfljfwYEeNQc5p+YvCR72T/7X29f
H7BsVnGAyP+zr77/45YxtxIq31vBYbvXBos5lUwOMD7EHG6H9DQQUHBYK6TD
l24nAOcf7N7XZPJYEM5nAAEHcTg/6O3ljzMOSsDNa1FgVz0TIoXBB+vboOjQ
H9Htz7hB0qHbxnNXGpOSQ7RqhMy5ORIO/LEB943UlRxiwHxxiHyTkoPCrgX7
UvXEIfLLlRw0Pqm8nNUpBtWv7GBiDASXRR1Urj0KZuhRdhCpnFRy9omwQ82n
DQHZv1Qg/tMRcGhkOdpvKK4J55va7A2alqgD5/cHl6hM/28I1S/qULCm+3aG
ggnEXndFOP/C1bA3+rPV4XwWzi755Dwth+kT+KvMfhvC+TDzYXyY/QG3pGsS
J2nA3QczD+Z+SPiqw/23QfVJ87y3anD/6yrKf8nZpgYPH4j71eDhB+avUYWH
L9ieKFV4+MP4sPjxuzgx5p+yGir/sRo8fiHu1YTzW3j9109J1YLzzUH+PKgN
56eCqGe6cPPA/GV62PnA9Hl8145etg16DrD0676/VtbiuZ4DLH1vd2h6dPyH
Lpy/FcTfoesgMy9O87SBioNoj9crlim6UP8rO0xpb426LKMLScf3lByeJC68
ZpKvA+eD/ROkAeeD089kLYj9h1UcxKde4cxw0nMIBKn7pAHnTwXF72pdOB/k
zPQWI6h5mhD3PECkFxj/y76PW9PLhOB8dVD65WR0qP9tVXCuwwjOh5kP48Ps
bxGvZc08xg93Hzh9pojA3Q82P4wDzrcrcaw9PYcVzgfH+wFmePj0gvKfATM8
/MD50YAJHr7o5QsAhQTQRg==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4gO1shbpJqYOTyLEt19M0HWA8XUU5b/klCH4
+lorhS+06DqkgcA3E4cHIPUMeg79wSUq0/WNHdSfNM87e8rAYfoE/iqz3UYO
W8x/HEqpMobzG1mO9hsuN4XzC9Z0385QsHDwPsFuO9vV2GHGTBCwcrgpXZNo
xGrqkA+ST7CB279BL28xYw+Cb2IMBJMRfLBz5iH4XzYEZM/abuPgAzJf1dRB
fOoVzoxDNg4MICCA4Ds0PTo+47UJnO9/cWLMv8XGDlNA7jxt7fA8S/vb9LNG
DmdA4I8lRF4Yys+xcOD1Xz8l9YWhQ91vq4JzN8zgfJh/YXywPd0mEH8LGDmA
nG982Qgif8PIITn2jhuzhaHD4bbl4ac2GTtIzIvTPP1BD+6+FJC8hC7c/TA+
zH8wPsz/61WBEaKL4MPiFwCFJMZB
            "]], 
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYCYo23vPsMVto43BD65Hj+m7HDFr28xYw1Ng4p
sXfcmDlMHKZP4K8y+23t8Odb6YM5jsYOz7O0v00/a+0gPvUKZ4aSsUOP1ysW
E0MEX2ZenObpD+ZwPoebaimTlZVDI8vRfsN2U4f+4BKV6fnWDmpPmuedPWXm
8GVDQPas79YOS+7v45tz2RzONwaBxxZw/pPEhddM7K0g9t+1crBvenR8hjdU
XbElnO93cWLMv80WcH7JVtHfp/+ZQ2krh0jx7RcZ6swh9hVbOZw87LQ2k8/c
waYyYoXpX0uHLeY/DqXcMoPY02sJsXe+mUMaCEyzcOD1Xz8l9YWZw03pmkSj
VguoOeZQfZZw/8+YCQSeVg7doPB5aAHn+5xgt53NagXnbwCF9xkriD+aLeH8
YpB74yzgfLA7/M0hfB2gflC8cJs5fAKFD7slxNyrJg4OIH/PNoOY52wE54Os
mylpBLH3pTWcjx7/AO/M5nI=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4p23uv6mLndwaGQ52m+43NQBxjcxBoLDZg7Z
nD8XpE92cJg2gb/KrNrC4Uniwmsm+g4O6WlAIGblsL9W1iK9xd7hO0jjVWuH
KSB13nYO4lOvcGYcsnG4KvTJ8bwagt/j9YrFRBDBB9NMdg4+FyfG/NuM4EeI
b7/IMA/BB7tnMoK/QS9vMWOPjcOHDQHZs9ztHLaY/ziU4mXjEKPg+DF5jb3D
8hceev8fWjnIA7lnbB0c+oJLVKbPt4DzYf6F8TXe8u4zsDR2uCFdk2j01d6h
9rdVwbkdBg5LQeYY2jlMaW+NunxHF26/vtZK4QstCL6OovyXnDIE/wnIAwkI
fkb+h9aTJrpw/6fE3nFjltCFhw+MDws/GP9A2/LwU5PsHVJB4c2m73AGBEwc
HP5+K30wJ9DQYSYITHRw+APiPzSCx5/PCXbb2aUmDujxCwB51M4d
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYCYsemR8dn7LZw2BFsFfHfXdYhWsHxY/IcC4ct
5j8OpZxScTAGgWAE/9Rhp7WZdhYOKbF33JgtVBzSQIDNwuGOpuya/4+VHWTm
xWmePmAO5//5VvpgzkIE37YyYoVprrnDh0XrFc7+UHbQeMu7z8DS3OHn29cH
LJVVHE6CzO8zcwi4JV2TOEnFoWBN9+2MB6Zw+8+AgA2C/yRx4TUTeRM4/zRI
/z8jh24bz11pn5Qd0kHuUzOC+KNYyeFw2/LwU0aGEP5hBYh96wwcXNccXc5Q
IQPnv2nL7TaqFoPzz4LszRF0uC70yfG8mKFDtGqEzLkaTgd+//VTUk8YOmh8
Unk5y5MZ4p+ZRg4bpLfpnsr5YT8TBG4aO8w/MXlJttoHe4mpVzgzjEzhfEj4
m8H5+2tlLdJFLBxe1D7OPq/zy77ut1XBuRcWkHB+xgrx5yoLB4i57A68IPtX
mDvIbBSbz6TA4HAQ5L9DZg41L5p+Tdv50x4S/qZwPticYyZwvgkoHJhNHPyf
eF4yFf5n/yJL+9v0XGOo/cwOEeLbLzKsM3JYcmv5Y8NmDgdxkPudjKDhKgjn
90V0+zMaiMP5wpWTSs62KDh82Xmr62+rsQPYns3KDiVbRX+frjOF828Co9nI
1QzOB/vvl5nDfdd4x1mKyg5eJ9htZ7eaOzhPaBZK41JyACULo6/mDsrXHgUz
6Cg6qIPCW9MCkp4yFBzsQeGZjUjP6OkbANokTrE=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4je8+wxmvnJw2BFsFfHfXdbhd0zu0X+3HBy2
mP84lHJKxSE9DQi2Ifgb9PIWM65xcEiJvePGbKHi8B8E+h0c7mjKrvn/WNnh
pnRNolEugu99gt12diyCn835c0G6s4PDh0XrFc7+UHZIOHxZO1XTweHn29cH
LJVVIOausHcIuAU0aJKKA4ebainTLzu4/akg94Qh+LW/rQrOWdjC+Qkg/RI2
Dt02nrvSPilD3Gdv7WAMAsVKDjEKjh+Tfawg/MMKEPtOWDq4rjm6nKFCBs5/
05bbbVQtBuefPQMEOYIO+Wu6b2cYWDlEq0bInKvhdFj+wkPv/0MrB41PKi9n
eTI7HGhbHn5qk7XDBultuqdyftibgOz5bOMw/8TkJdlqH+zB4edjB+ffAIXX
VXs4fzXQeIbpDg4vah9nn9f5Zd/t9YrFhNHRAeTttGesUPscHGaCwE12h+AS
len/ExwcZDaKzWdSYID47469Q82Lpl/Tdv60nzqBv8pstx2cDw6P+7ZwPshb
Z2RsHfyfeF4yFf5nX89ytN+w3QZqP7PDhw0B2bOOWzssubX8sWEzByT+Y6wh
6UJNEM7vi+j2ZzQQh/OFKyeVnG1RcOgFOXC+jQM4HDYrO/D4r5+SOsMOzi/Z
Kvr7dJw9nA/2H6eDw33XeMdZisoOn0H2+zs4OE9oFkrjUnLYeavrb2q7g4Py
tUfBDDqKDomg9LMQmp4yFBzA6fkQIj2jp28A75FP6A==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
            35.02969999999999, 4.695309999999999}, {35.02969999999999, 
            3.8390599999999995`}, {38.37659999999999, 3.8390599999999995`}, {
            38.37659999999999, 4.695309999999999}, {35.02969999999999, 
            4.695309999999999}}}], 
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxdk21IU1EYx+/M8i2NNMvYpM3dudaLLackQuyRzj2aRIoZTPC11AlLhNDK
SJCkD6FCLkW3ZGpGBU3U6OVTEookuSlW+MEMJaVUpFR8mSKunXPnvdAD58OP
c+/z/O//+V/FtbKMoj0Mw0g8BzzHx3Pstd9LmGYMb865+gs/sxDR9C2g5KbI
cP/npxYThvzMDHW7hoX9ad2NRQYMFQPvOMsPJahma2zORJHzB76eLNKIfMfw
Mt4ZhGHpabfc6VJCzKN219k/HMhsuZphLQvypOXrji4O0iek9wrMLBxaSRot
LuWE+ZeG/M4/iRc5msxbQALTfjYE4XWpC76ZLDSu78trKURgIfVQCUOaRPOw
GsE0l5dk7Y2CYKLfH8Ftoq9eIbCOlFIusIPUohT2dpoTJVcRuElNRRDbGCaC
g7tTrgndq3BebxPHz7OE8fP+ctAVeirEmHsQbgRsthulGFrofQhsZ5cO7pzA
UGeoTZNog6GS+KPDYCz21K9AgdUr7Lz1or/AdL6b4XVNcl7e0FN/ckReDO7T
WvqRwLv636b2JLRuSiDryPsxZucC/x1wAAyEx0We7gtp1QUikPYebvPJX9LT
fWtFpvexiH++elVP85OMwPfMVuCXug09WUNcgcgfqyITjOUiP59LiXE3IJir
mjGN2tf1W8SP1whsQ4+fmaLX9CQGsWvI68eyns8XB2303qunWmSsqvCxpmCB
aV5nMMzT/gzssozonw4SmPYvDuXzWYOhnuxjKZz3x8bxPjuOwmxBx3jcbwQP
5H4qx6pMyFszWWfWMYHDKs3lTlYh8KQm0u7ujBLep+3sSogjObvCCUxj0SEy
3d8CB8n2wRfMcSWs9KSbrGrM5/V0FP8/5GA+X5cV/P5uYW/+5DBWluc30oAh
W2WQjWxHQijJ5weR///f/wGIlc51
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYC4vv7+OYYc/k4NPy2KjiXoeIg8MnxfNpSLwz+
HU3ZNf8fKzvckK5JNGL1dojgFGs3Pq/ssL9W1iJdxduh28ZzV1oTgv8fBPYr
ofL9lRzMrx3NNZHwhpg3WdEhh/PngnRmbwdjEDisAOV7OchsFJvPpMDtMPkb
W/yMPx4OBiD5z/JQdR4Oe/Nr3s78quhwC+SerVD+VCU4f62QDl/6PwQf5j7v
E+y2s896OHisObqc4YSyw02wfzwd0tOA4JqyQ9vy8FNGPAj+zltdf1PlPR1K
D29znXlX2eG4ptWk0+ae8PCA8WHh5aZayjQrwx2DD1MfKb79IsM+d7j5aWDa
3UGkclLJ2RJlh26vVywmih4O7xetVzjLoQgJ/7OeDmfA4IP9lw0B2bOeI/jg
+MvyhvBjFB0cmh4dn7EYER8lW0V/n96GiC9YfMPcgx7/APlb5uQ=
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZmI6shRj0xenGZQ6p6WttF
iRsAAbYCOQ==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYCYn85sSxf70CHht9WBecyVBz6F/wwfDYvAIN/
R1N2zf/Hyg5g9acDHB64xjvOOqjssKb7dgbD7QAHkcpJJWdLEPz3i9YrnN2h
BOenpwGBmpKDvOPH5DNXofoLFR3y49nPSZ4NcFgrpMOXvk7BYfEkK0bfhACH
r/s+bk2/xuug+qR53tlb/g5nQGCPgsOTxIXXTK77O4RzirUb31dw+LIhIHvW
cX+IfRWKEPOP+juUH97mOrNX0UF3AtAD26Dq5ZUcyiNWmJ5d7Q/xz2IEf+W3
lxVnPiD4HmuOLmeYoQzhX/Z3KAWZd1fZ4cX29czPJRDhAePDwiukRGX6/wQ/
DD5Mfevy8FNGR/zg5vmcYLedfdUP4v95yg61IH0C/vDwub+Pb46xF9T/OXIO
/0Gg38+Bx5HPa4Ymn8MN6ZpEo6m+DsKg8D+iCLGvw9eh28ZzV5qTksPSFx56
/xt94fEB4+/Jr3k7k1UZzofZLz71CmfGLF+HCFB4nVd2MDEGgs++cPfD+DD/
1YNoDx8MPkx9wuHL2qkLfeDpxb7p0fEZu6HyzsoOW/TyFjP+8XHYC3LPVgWH
DSC+jx/Ev2c+2IPjLw3BvwsKjyJ/hy+g9GEm7bC/VtYi3SUALl+7bltSfSCC
f/1orknDbGj6SxNyaAeF/xKo/BthB3GPgD8SzIEQ+78qOnwGpSfhQAcGEEhQ
duj2esViIhsIDx9YfkHJD0j5BwAk3IPT
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJVIGYC4icisiefpgc7nAGDD/Yw/odF6xXOZig4wPjO
E5qF0riUHDY8fDl1U0Gwg/K1R8EMPMoOPV6vWEwagx0EYgPuG6UrO4h8cjyf
1gs1b42yw0wwCHbwWHN0OcMJZYc3vPsMZu4KdrijKbvm/2MEv+G3VcG5DBWH
w5e1UyXfBWHwYeqNQYA/2CGCU6zd+Lyyg7+cWJavdLCDCUh8s7LD/lpZi3SN
YAeRykklZ0uUHRQcPyafsQyG6BOGuscR6j8JJVQ+0L8w/g3e22Kp33gcmgM9
5zZ8CoS7Bywfi8mHuU/cI+CPRDOCD3ZffyA8PMD+2RTosDe/5u3MVCU4HxJO
nHB+g3gta+axP/bWOldmPVsa6DD/xOQl2ct+2MPsE2uSmWIQ/B3OB/vf+LP9
/X18c4y1gjD4MPVg4eeBkPAw/mEPDq8bMP1/4XyYe2D8/yDAr+hQEM9+TjIS
M73A+AAUPQjf
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGITIGYC4jQQyApx6Lbx3JXmpOQQUqIy/b9IKJw/YcEP
w2dKCD5YvVqow38Q8Ieq1wh1WPntZcWZBiWHI5e1UyW9Qh3OgMAbFYcH+/jm
GDuFOrzI0v42XVbVocfrFYuJaajDjAn8VWbdKg6aVpNO1+uEOjT8tio4lwFV
L4XgL5lkxeibEgLnC31yPJ/GGgI1X9pBC6SfJcShP6Lbn/ECgn+ge1+TyWEE
PwXk7mUIfsjbyx9nJEo7MIAAR4jDl30ft6abSTus6b6dwcCP4Ks9aZ53VgvB
nwkCvlD+NSmHH2zxM3wKQyDhIS8Fcd/VEIdo1QiZczISDp82BGTPYg51WCOk
w5e+TwTOv857Wyx1Gx+cv+TW8seGziwOTYGecxvOhTgYg8EP+ze8+wxmdiH4
4PCrRPBh8VfzounXtJ0/7duWh58yCghx8Njqfzy57Z/9gVpZi3STEIj5hxkd
wHyFEIcZIH/cZILEFx+CDw7XL8Fw/oaHL6duehHsoP5J5eWsTkY4f/6JyUuy
l/21h/FlN4rNZ0r4ag8OH8EQiLzaB3tw+glC8MHhPQfB5/y5IH3zrRAHL5B7
2b7Zg+OfLdShcHnJhn/9DJD0oBfqcAMUXmWskPhzCHXgceTzmrGSG853X3N0
OcMPQTgfHL8PRSHxaxDqcBCUHpIlIP5nCXV405bbbSQtDfH/PWj81ctC0uOa
EIe/IP5+OQcFx4/JZ1xDHEQqJ5WcfSLvgJ5fANZFc9g=
            "]]}, {
           Thickness[0.011428571428571429`]}, StripOnInput -> False]}, {
        ImageSize -> {87.49761394769614, 29.709838107098385`}, 
         BaselinePosition -> Scaled[0.27506459320115684`], 
         ImageSize -> {88., 30.}, PlotRange -> {{0., 87.5}, {0., 29.71}}, 
         AspectRatio -> Automatic}], 
       GraphicsBox[{
         Thickness[0.010689470871191877`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4vXS23RPvfljfwYEeNQc5p+YvCR72T/7X29f
H7BsVnGAyP+zr77/45YxtxIq31vBYbvXBos5lUwOMD7EHG6H9DQQUHBYK6TD
l24nAOcf7N7XZPJYEM5nAAEHcTg/6O3ljzMOSsDNa1FgVz0TIoXBB+vboOjQ
H9Htz7hB0qHbxnNXGpOSQ7RqhMy5ORIO/LEB943UlRxiwHxxiHyTkoPCrgX7
UvXEIfLLlRw0Pqm8nNUpBtWv7GBiDASXRR1Urj0KZuhRdhCpnFRy9omwQ82n
DQHZv1Qg/tMRcGhkOdpvKK4J55va7A2alqgD5/cHl6hM/28I1S/qULCm+3aG
ggnEXndFOP/C1bA3+rPV4XwWzi755Dwth+kT+KvMfhvC+TDzYXyY/QG3pGsS
J2nA3QczD+Z+SPiqw/23QfVJ87y3anD/6yrKf8nZpgYPH4j71eDhB+avUYWH
L9ieKFV4+MP4sPjxuzgx5p+yGir/sRo8fiHu1YTzW3j9109J1YLzzUH+PKgN
56eCqGe6cPPA/GV62PnA9Hl8145etg16DrD0676/VtbiuZ4DLH1vd2h6dPyH
Lpy/FcTfoesgMy9O87SBioNoj9crlim6UP8rO0xpb426LKMLScf3lByeJC68
ZpKvA+eD/ROkAeeD089kLYj9h1UcxKde4cxw0nMIBKn7pAHnTwXF72pdOB/k
zPQWI6h5mhD3PECkFxj/y76PW9PLhOB8dVD65WR0qP9tVXCuwwjOh5kP48Ps
bxGvZc08xg93Hzh9pojA3Q82P4wDzrcrcaw9PYcVzgfH+wFmePj0gvKfATM8
/MD50YAJHr7o5QsAhQTQRg==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4gO1shbpJqYOTyLEt19M0HWA8XUU5b/klCH4
+lorhS+06DqkgcA3E4cHIPUMeg79wSUq0/WNHdSfNM87e8rAYfoE/iqz3UYO
W8x/HEqpMobzG1mO9hsuN4XzC9Z0385QsHDwPsFuO9vV2GHGTBCwcrgpXZNo
xGrqkA+ST7CB279BL28xYw+Cb2IMBJMRfLBz5iH4XzYEZM/abuPgAzJf1dRB
fOoVzoxDNg4MICCA4Ds0PTo+47UJnO9/cWLMv8XGDlNA7jxt7fA8S/vb9LNG
DmdA4I8lRF4Yys+xcOD1Xz8l9YWhQ91vq4JzN8zgfJh/YXywPd0mEH8LGDmA
nG982Qgif8PIITn2jhuzhaHD4bbl4ac2GTtIzIvTPP1BD+6+FJC8hC7c/TA+
zH8wPsz/61WBEaKL4MPiFwCFJMZB
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYCYo23vPsMVto43BD65Hj+m7HDFr28xYw1Ng4p
sXfcmDlMHKZP4K8y+23t8Odb6YM5jsYOz7O0v00/a+0gPvUKZ4aSsUOP1ysW
E0MEX2ZenObpD+ZwPoebaimTlZVDI8vRfsN2U4f+4BKV6fnWDmpPmuedPWXm
8GVDQPas79YOS+7v45tz2RzONwaBxxZw/pPEhddM7K0g9t+1crBvenR8hjdU
XbElnO93cWLMv80WcH7JVtHfp/+ZQ2krh0jx7RcZ6swh9hVbOZw87LQ2k8/c
waYyYoXpX0uHLeY/DqXcMoPY02sJsXe+mUMaCEyzcOD1Xz8l9YWZw03pmkSj
VguoOeZQfZZw/8+YCQSeVg7doPB5aAHn+5xgt53NagXnbwCF9xkriD+aLeH8
YpB74yzgfLA7/M0hfB2gflC8cJs5fAKFD7slxNyrJg4OIH/PNoOY52wE54Os
mylpBLH3pTWcjx7/AO/M5nI=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ5IGYC4p23uv6mLndwaGQ52m+43NQBxjcxBoLDZg7Z
nD8XpE92cJg2gb/KrNrC4Uniwmsm+g4O6WlAIGblsL9W1iK9xd7hO0jjVWuH
KSB13nYO4lOvcGYcsnG4KvTJ8bwagt/j9YrFRBDBB9NMdg4+FyfG/NuM4EeI
b7/IMA/BB7tnMoK/QS9vMWOPjcOHDQHZs9ztHLaY/ziU4mXjEKPg+DF5jb3D
8hceev8fWjnIA7lnbB0c+oJLVKbPt4DzYf6F8TXe8u4zsDR2uCFdk2j01d6h
9rdVwbkdBg5LQeYY2jlMaW+NunxHF26/vtZK4QstCL6OovyXnDIE/wnIAwkI
fkb+h9aTJrpw/6fE3nFjltCFhw+MDws/GP9A2/LwU5PsHVJB4c2m73AGBEwc
HP5+K30wJ9DQYSYITHRw+APiPzSCx5/PCXbb2aUmDujxCwB51M4d
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYCYsemR8dn7LZw2BFsFfHfXdYhWsHxY/IcC4ct
5j8OpZxScTAGgWAE/9Rhp7WZdhYOKbF33JgtVBzSQIDNwuGOpuya/4+VHWTm
xWmePmAO5//5VvpgzkIE37YyYoVprrnDh0XrFc7+UHbQeMu7z8DS3OHn29cH
LJVVHE6CzO8zcwi4JV2TOEnFoWBN9+2MB6Zw+8+AgA2C/yRx4TUTeRM4/zRI
/z8jh24bz11pn5Qd0kHuUzOC+KNYyeFw2/LwU0aGEP5hBYh96wwcXNccXc5Q
IQPnv2nL7TaqFoPzz4LszRF0uC70yfG8mKFDtGqEzLkaTgd+//VTUk8YOmh8
Unk5y5MZ4p+ZRg4bpLfpnsr5YT8TBG4aO8w/MXlJttoHe4mpVzgzjEzhfEj4
m8H5+2tlLdJFLBxe1D7OPq/zy77ut1XBuRcWkHB+xgrx5yoLB4i57A68IPtX
mDvIbBSbz6TA4HAQ5L9DZg41L5p+Tdv50x4S/qZwPticYyZwvgkoHJhNHPyf
eF4yFf5n/yJL+9v0XGOo/cwOEeLbLzKsM3JYcmv5Y8NmDgdxkPudjKDhKgjn
90V0+zMaiMP5wpWTSs62KDh82Xmr62+rsQPYns3KDiVbRX+frjOF828Co9nI
1QzOB/vvl5nDfdd4x1mKyg5eJ9htZ7eaOzhPaBZK41JyACULo6/mDsrXHgUz
6Cg6qIPCW9MCkp4yFBzsQeGZjUjP6OkbANokTrE=
            "]], 
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4je8+wxmvnJw2BFsFfHfXdbhd0zu0X+3HBy2
mP84lHJKxSE9DQi2Ifgb9PIWM65xcEiJvePGbKHi8B8E+h0c7mjKrvn/WNnh
pnRNolEugu99gt12diyCn835c0G6s4PDh0XrFc7+UHZIOHxZO1XTweHn29cH
LJVVIOausHcIuAU0aJKKA4ebainTLzu4/akg94Qh+LW/rQrOWdjC+Qkg/RI2
Dt02nrvSPilD3Gdv7WAMAsVKDjEKjh+Tfawg/MMKEPtOWDq4rjm6nKFCBs5/
05bbbVQtBuefPQMEOYIO+Wu6b2cYWDlEq0bInKvhdFj+wkPv/0MrB41PKi9n
eTI7HGhbHn5qk7XDBultuqdyftibgOz5bOMw/8TkJdlqH+zB4edjB+ffAIXX
VXs4fzXQeIbpDg4vah9nn9f5Zd/t9YrFhNHRAeTttGesUPscHGaCwE12h+AS
len/ExwcZDaKzWdSYID47469Q82Lpl/Tdv60nzqBv8pstx2cDw6P+7ZwPshb
Z2RsHfyfeF4yFf5nX89ytN+w3QZqP7PDhw0B2bOOWzssubX8sWEzByT+Y6wh
6UJNEM7vi+j2ZzQQh/OFKyeVnG1RcOgFOXC+jQM4HDYrO/D4r5+SOsMOzi/Z
Kvr7dJw9nA/2H6eDw33XeMdZisoOn0H2+zs4OE9oFkrjUnLYeavrb2q7g4Py
tUfBDDqKDomg9LMQmp4yFBzA6fkQIj2jp28A75FP6A==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
            35.02969999999999, 4.695309999999999}, {35.02969999999999, 
            3.8390599999999995`}, {38.37659999999999, 3.8390599999999995`}, {
            38.37659999999999, 4.695309999999999}, {35.02969999999999, 
            4.695309999999999}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxdk21IU1EYx+/M8i2NNMvYpM3dudaLLackQuyRzj2aRIoZTPC11AlLhNDK
SJCkD6FCLkW3ZGpGBU3U6OVTEookuSlW+MEMJaVUpFR8mSKunXPnvdAD58OP
c+/z/O//+V/FtbKMoj0Mw0g8BzzHx3Pstd9LmGYMb865+gs/sxDR9C2g5KbI
cP/npxYThvzMDHW7hoX9ad2NRQYMFQPvOMsPJahma2zORJHzB76eLNKIfMfw
Mt4ZhGHpabfc6VJCzKN219k/HMhsuZphLQvypOXrji4O0iek9wrMLBxaSRot
LuWE+ZeG/M4/iRc5msxbQALTfjYE4XWpC76ZLDSu78trKURgIfVQCUOaRPOw
GsE0l5dk7Y2CYKLfH8Ftoq9eIbCOlFIusIPUohT2dpoTJVcRuElNRRDbGCaC
g7tTrgndq3BebxPHz7OE8fP+ctAVeirEmHsQbgRsthulGFrofQhsZ5cO7pzA
UGeoTZNog6GS+KPDYCz21K9AgdUr7Lz1or/AdL6b4XVNcl7e0FN/ckReDO7T
WvqRwLv636b2JLRuSiDryPsxZucC/x1wAAyEx0We7gtp1QUikPYebvPJX9LT
fWtFpvexiH++elVP85OMwPfMVuCXug09WUNcgcgfqyITjOUiP59LiXE3IJir
mjGN2tf1W8SP1whsQ4+fmaLX9CQGsWvI68eyns8XB2303qunWmSsqvCxpmCB
aV5nMMzT/gzssozonw4SmPYvDuXzWYOhnuxjKZz3x8bxPjuOwmxBx3jcbwQP
5H4qx6pMyFszWWfWMYHDKs3lTlYh8KQm0u7ujBLep+3sSogjObvCCUxj0SEy
3d8CB8n2wRfMcSWs9KSbrGrM5/V0FP8/5GA+X5cV/P5uYW/+5DBWluc30oAh
W2WQjWxHQijJ5weR///f/wGIlc51
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3,
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQbWIMBMJeDmC6mNvhw4aA7Fn7PR1e1D7OPq/D7DDl
G1v8jBJPh2bxWtZMNgaHm9I1iUasCP7yFx56/xd6wPlPEhdeMwn3QNWv4uEg
s1FsPlMCp4PQJ8fzaaweDktuLX9s2Mzr0OP1isXkp7vDGRDoEXDwOcFuO/ur
u8NaIR2+9HvCDhHi2y8y8HnB+f/BwNNhR7BVxP90cYf5NjpXZr3zdIhWjZA5
90fC4U9M7tF/hzwdZswEgp1SDsVbRX+f7vN0kN+1YF/qOhkI384T4t/Lsg5t
y8NPGT3xgPPB/utF8LM5fy5It/ZwmA4y76YM3L0Qd0g57LzV9Td1ubuDcOWk
krNHJBx4/NdPSa1wd9gJct9zETj/gWu846xCATgfHB4PGOH+9dzqfzyZ7aO9
vOPH5DN7PeB8kDOMkz1R5Z96OsiC9f+1X9N9O4NB38uhJ6Lbn3EDlwN6fAIA
LbHIcQ==
             "], {{47.9469, 5.403130000000001}, {48.0969, 6.46406}, {
             48.5594, 6.967189999999999}, {49.38909999999999, 
             6.967189999999999}, {50.218799999999995`, 6.967189999999999}, {
             50.54379999999999, 6.58594}, {50.7219, 5.403130000000001}, {
             47.9469, 5.403130000000001}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYC4jXdtzMYxP0dGn5bFZzLUHG4u49vjvEmXwz+
HU3ZNf8fKzssfeGh91/QzyGCU6zd+LyyQ4/XKxYTQz+HbhvPXWlNCP5/ENiv
hMr3V3JgWTzJilHVD2LeZEUH82tHc00E/ByMQeCwApTv6yCzUWw+kwK3Q8Lh
y9qpnD4OBiD5z/IQc857O+zNr3k786uiw3KQew5C+VOV4Py1Qjp86f8QfJj7
xKde4cy45e3gsebocoYTMP/4OKSnAcE1ZYeQEpXp/yUQ/Nbl4aeMdHwcSg9v
c515V9lhyje2+BkuPvDwgPFh4SXyyfF8WqkXBh+mXuVJ87yzp7zg5puA/PXY
y0GkclLJ2RJlhwjx7RcZ9Lwd3i9ar3CWQxES/rd8HM6AwQf7/bWyFulfEHxw
/JX7Qfgxig68/uunpG5AxIdD06PjMw4j4gsW3zD3oMc/ABWr7uU=
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZmI6shRj0xenGZQ6p6WttF
iRsAAbYCOQ==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYCYn85sSzf00EODb+tCs5lqDj0L/hh+EwOk39H
U3bN/8fKDmD13kEOD1zjHWcdVHZY0307gyE6yEGkclLJ2RIE//2i9QpndyjB
+elpQKCm5CDv+DH5TChUf6GiQ348+zlJ3yCHtUI6fOnrFBwWT7Ji9H0Q6PB1
38et6dd4HYQ/OZ5Pyw10OAMCexQcPm8IyJ6VHegQzinWbnxfwaEyYoXp2eRA
iH0VihD3JgU6lB/e5jqzV9FB3CPgj0Q0VL28koO1zpVZz0IDIf5ZjOCv/Pay
4swHBN9jzdHlDDOUIfzMQIdSkHl3lR1ebF/P/HxGIDw8YHxYeGlbTTpdvyEA
gw9Tf/iydqrkowC4eepPmuedfRUA8f88ZYf9tbIW6RyBqOGjCvV/jpzDfxA4
HuDA48jnNUOTz+EN7z6DmV4BDsKg8D+iCLHPJcCh28ZzV5qTkkNwicr0/w4B
8PiA8ffk17ydyaoM58Ps7/Z6xWLiG+AQAQqv88oOM0GgEuF+GB/mv3oQ7eGP
wYepTwB5eKE/PL3YNz06PmM3VN5Z2WGLXt5ixj/+DntB7tmq4BAhvv0iw7IA
iH/PfLAHx99mBB8cHpaBDl9A6cNMGhJeRwLh8rXrtiXVX0Twrx/NNWmQhqa/
NCGH9uXhp4xUgiDyb4Qh6aM5CGL/V0VI+poc5MAAAgnQ8JgbBA8fWH5ByQ9I
+QcAC0F/8g==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJVIGYCYq/qZn2fdyEOZ8Dggz2M/2HReoWzGQoOML7z
hGahNC4lBwmPgD8S30MclK89CmbgUXb4siEgexZ7qINAbMB9o3Rlh8qIFaZn
hUMh5q1RdmAAAYVQB481R5cznFB2CClRmf7fIdThjqbsmv+PEfyG31YF5zJU
HLSsJp2uLwnB4MPUzwSBqSEOEZxi7cbnlR22ttRc2LwwxMHEGAg2KzuoPmme
d3ZdiINI5aSSsyXKDm3Lw08ZHQhxAEkbC0PdcwLqPwklVD7QvzD+Dd7bYqnf
eBxebF/P/LwiGO6e/yDwOAiDD3Nf7bptSfWcwXA+2H2iwfDw0AT5xyLYYW9+
zduZqUpwPthfMznh/AbxWtbMY3/sF0+yYvTVCXaYf2LykuxlP+xh9ok1yUwx
CP4O54P9b/zZ3l21lGnWhmAMPkw92JrcYEh4GP+wB4dXHEz9Xzgf5h4YH2wP
v6LD1aO5Jg33MdMLjA8A4pYNgg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGITIGYC4jQQeBXq0G3juSvNSckhpERl+v8pYXD+hAU/
DJ8tQvDB6peFOfwHAX+o+hVhDiu/vaw406DkcOSydqrkqTCHMyDwRsXhwT6+
OcaHwhxeZGl/my6r6tDj9YrFZGuYw4wJ/FVm3SoOmlaTTtevCXNo+G1VcC4D
qn4Wgr9kkhWj75NQOF/ok+P5tNZQqPnSDlog/S2hDv0R3f6MFxD8A937mkwO
I/gpYHcj+CFvL3+ckSjtwAACHaEOX/Z93JpuJu2wpvt2BkM/gq/2pHne2VUI
/kwQOAvlX5Ny+MEWP8PnYygkPOSlIO4LDXOIVo2QOScj4fBpQ0D2rOYwhzVC
Onzp+0Tg/Ou8t8VSt/HB+UtuLX9s6Mzi0BToObfBL8zBGAx+2L/h3WcwkwvB
B4ffz1A4HxZ/NS+afk3b+dO+bXn4KaMLoQ4eW/2PJ7f9sz9QK2uRviUUYv5h
Rgcwf0GowwyQP24yQeKrD8EHh2sJgr/h4cupmzJCHdQ/qbyc1ckI588/MXlJ
9rK/9jC+7Eax+UwJX+3B4TMRKq/2wR6cfi4h+ODwlgmD8zl/LkjfHBXm4AVy
L9s3e3D8t4U5FC4v2fCvnwGSHtaFOdwAhVcZKyT+DoQ58Djyec1YyQ3nu685
upzhhyCcD47fh6KQ+N0Q5nAQlB6SJSD+bwlzeNOW220kLQ3xfxw0PdfLQtKj
TpjDXxB/v5yDguPH5DNHQx1EKieVnH0i74CeXwBda4MX
            "]]}, {
           Thickness[0.010689470871191877`]}, StripOnInput -> False]}, {
        ImageSize -> {93.54879202988792, 29.709838107098385`}, 
         BaselinePosition -> Scaled[0.27506459320115684`], 
         ImageSize -> {94., 30.}, PlotRange -> {{0., 93.55}, {0., 29.71}}, 
         AspectRatio -> Automatic}]}, "PointLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #4}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #5}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.6150173333333333, 0.25708400000000003`, 
                    0.13945266666666667`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.922526`", ",", "0.385626`", ",", "0.209179`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.922526, 0.385626, 0.209179]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.922526, 0.385626, 0.209179], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.3523253333333333, 0.3137493333333333, 
                    0.46756733333333333`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.528488`", ",", "0.470624`", ",", "0.701351`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.528488, 0.470624, 0.701351]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.528488, 0.470624, 0.701351], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}]}], "}"}],
            ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               
               RowBox[{
                "True", ",", "True", ",", "True", ",", "True", ",", "True"}], 
               "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.7971783177707653`*^9, 3.797178325201996*^9}, 
   3.7971827252066383`*^9, 3.797328137673478*^9, 3.7974968828875732`*^9, 
   3.797497348912525*^9, 3.79749802511693*^9, 3.797499084579069*^9, {
   3.79750472003246*^9, 3.797504731786365*^9}, 3.79752615061012*^9, 
   3.7975270470465097`*^9, 3.7975283459087057`*^9, 3.7975298478777018`*^9, 
   3.797532178863059*^9},
 CellLabel->
  "Out[329]=",ExpressionUUID->"93e84e14-d627-4cd5-8840-af3a8f7b5296"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "+", 
       RowBox[{"w", 
        RowBox[{"(", 
         RowBox[{"w", "-", "1"}], ")"}], 
        RowBox[{"(", 
         RowBox[{"a", "+", 
          RowBox[{"b", " ", 
           RowBox[{"(", 
            RowBox[{"w", "-", 
             RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
          RowBox[{"c", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"w", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}]}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[Rule]", "1.9125735895875828`"}], ",", 
        RowBox[{"b", "\[Rule]", "2.715266992840757`"}], ",", 
        RowBox[{"c", "\[Rule]", "2.1634223380633086`"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"1", "+", 
       RowBox[{"w", 
        RowBox[{"(", 
         RowBox[{"w", "-", "1"}], ")"}], 
        RowBox[{"(", 
         RowBox[{"a", "+", 
          RowBox[{"b", " ", 
           RowBox[{"(", 
            RowBox[{"w", "-", 
             RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
          RowBox[{"c", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"w", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}]}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[Rule]", "0.5751782560799208`"}], ",", 
        RowBox[{"b", "\[Rule]", 
         RowBox[{"-", "0.021108186591137282`"}]}], ",", 
        RowBox[{"c", "\[Rule]", 
         RowBox[{"-", "0.36718902716347124`"}]}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"1", "+", 
       RowBox[{"w", 
        RowBox[{"(", 
         RowBox[{"w", "-", "1"}], ")"}], 
        RowBox[{"(", 
         RowBox[{"a", "+", 
          RowBox[{"b", " ", 
           RowBox[{"(", 
            RowBox[{"w", "-", 
             RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
          RowBox[{"c", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"w", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}]}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[Rule]", "0.01918229168254928`"}], ",", 
        RowBox[{"b", "\[Rule]", 
         RowBox[{"-", "0.01545313842512261`"}]}], ",", 
        RowBox[{"c", "\[Rule]", 
         RowBox[{"-", "0.012720073519142448`"}]}]}], "}"}]}]}], 
    "\[IndentingNewLine]", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"w", ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.01", "]"}], ",", "Blue"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.01", "]"}], ",", "Red"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
        RowBox[{"Darker", "[", "Green", "]"}]}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotTheme", "\[Rule]", "\"\<Detailed\>\""}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"BaseStyle", "\[Rule]", "16"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", 
    RowBox[{"3", "/", "2"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\ce{He}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{
       "\"\<\\\\text{\\\\ce{H2} with $R_{\\\\ce{H-H}} = 1.4$ bohr}\>\"", ",", 
        
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{
       "\"\<\\\\text{\\\\ce{H2} with $R_{\\\\ce{H-H}} = 3.7$ bohr}\>\"", ",", 
        
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{$w_2$}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<C_\\\\text{x}^{w_2}/C_\\\\text{x}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Export", "[", 
     RowBox[{
     "\"\<~/Dropbox/Manuscripts/FarDFT/Manuscript/Cxw.pdf\>\"", ",", "%"}], 
     "]"}], ";"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.795271185567038*^9, 3.7952711857395077`*^9}, {
   3.795271221072744*^9, 3.79527136918993*^9}, {3.795271403221795*^9, 
   3.795271409324882*^9}, {3.795320473116149*^9, 3.795320494687904*^9}, {
   3.795410458973184*^9, 3.795410466904357*^9}, {3.795410500094428*^9, 
   3.795410504492338*^9}, {3.795410553494276*^9, 3.795410742621518*^9}, {
   3.7969610522756367`*^9, 3.7969611126199713`*^9}, {3.796961155008984*^9, 
   3.79696115789333*^9}, {3.797001388571801*^9, 3.797001420527625*^9}, {
   3.7970019987115383`*^9, 3.7970020501972113`*^9}, 3.797002158956287*^9, {
   3.79700221762789*^9, 3.7970022295242023`*^9}, {3.797002264698098*^9, 
   3.7970023311779118`*^9}, {3.797076614318946*^9, 3.797076632209306*^9}, 
   3.797077983716696*^9, 3.797155392828289*^9, {3.797442308155665*^9, 
   3.7974424058249273`*^9}, {3.797443310956914*^9, 3.797443328236265*^9}, {
   3.79817022104114*^9, 
   3.7981702397864428`*^9}},ExpressionUUID->"480efb8a-9a05-41e0-9e2f-\
f1efa4801aa1"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{{{}, {}, 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          Thickness[0.01], 
          RGBColor[0, 0, 1]], 
         LineBox[CompressedData["
1:eJwV2Hk8VF0YB3DkbaGESmmhRbKlTSLxK5Vkq1SIQtEmSaLyplBIZUtRiYhW
RAqpKFsqRbZQuXfGzL0zYx1SSVne8/41n+/nc+65z9me556Zs+eI7V4pCQmJ
qZISEv//WuwV1Ra3bTdJPzzcNzIihvTa6d4cZT3caJVZgyExliVfT3yqvA5S
e1vLz/wRw7Kq6UmS8jZMeLzVe/iHGPbu/UWxyu74enKurUS7GNSi82sjlX1x
sMtstlyDGClTNoVdVA6Bf2End/MDMYLHPl1wQfkqdByL/3hsEcNhx+3snt47
6Hht2+Z6rRuyI8E7N6hkQ85khot6Zxfmb+kWlV3Kxa7dkU0aZl04UW2I6z+e
Q1mfSXt7pRNTcxVoScnXSNw8eCKyuwP5vLUfP60qxfdnVRNiVnWg1CNpxo7O
cih9m1T6OKodP9WNJz46/BYF2pONtLraIDWQIT9jfiUEhyr9sk3aoD/imr81
6yOe/en55psowscQveoKrU/w0O3tVR0WQjWmY+Bhdw18pAairbYK0dHPoT8v
roNPKFsgkyfAnfaXlXJR9dAbyAiZJCuA3Kz7YoZpwJNlD+yM97GIOJi3L0Wt
EepDkRZl1Qx+rc5gDgQ2od2o6NnphQx8l5bnKpU1I1E7XeCWwAcnq/xS7Zyv
uJKupOU/wsNfj4abmv9+w6Cf/J4iTx6014wZ3veyBQej2y77trViQ+qc/TlT
aexcEzd6yZ5WnJjlMrd1JwcxQfpBwR1c6HRul22y5mJxzRI/k0AuJk3sGVv+
h4uEFw+1pCZzIf36Zva8xFbkr49dae/HwddV68w5t1oRHrSnMtiHg+wXndyE
262Yxokan3WEA8d8Y0XF+61Q40lkyHpwkPOI4yvxpBUCrt/eb84cOCfOW0m9
bYXpmmv/VplzUOCfUR7f1woJ5ZtnJFU4OKT38ss4Sx5eqK7a2FBFo7jmc2aB
NQ8eHqYpAR9oTDncE7h/Mw92LlXv1d/TeH13vvqb7TzkO5+4FlROY9LUGJ8g
Vx4qQjYttXhJ4+WAu2y/H+mPMZDXf0hD9rWcMZPCg/mhugq/MBquTpryV9J4
kJI/JdoRQiOvfy1/zT0ewpZr/sRZGi6L/S8kZ/CgqJJTp3CGxtPb/M+O+TwE
bdPP/ehHwymkwKv2Aw8NRU2vk/fSyNi4J+XVLx56Ts8+WWxGQ09njgkGSP8t
l0NHrafxSo777fVf8vyqMdvM19Koqd81tUSCj8zFV/WbQOPHrh1RZTJ86Mnt
UJMxpGHiszngnQofHuvH6r3RJu0TTBzqzPjInbA5/6oijR2nh37abuRDqsd+
gYICDZ5L4ZV6Sz5cm7d4RU8k/amt/NSwmY+ln0qCLo+noZy93KzJkfTfOK8y
YzSNPWU6ei1efITkMucM/1L42TFdXhDPh+KKc2tesRSuJgnfJt7g45eLvKYT
Q2HZptzArYl8bJaLsv3Do3D0ibW4+DYfzgtqvMCl0HUyqPpmJh92Ko8Y5isF
9h9BxJZSPtbN2BieVEMh5NmTdWPfkPZffvxy/kRh3sHAwVdv+Ygv9M+bW01h
98dpnjpVfDioRM/P+UCBirW0HNPMh+3cY+1tFRQ+q+aMK+oi8c4f8/FDEQXf
2tMlx3rI+3zu3n5SSGHSOQt/rT4+Gs4t+XzzJYUtAr7o2m8+Umbf2uH3nEJV
ptI7n1EMvCff7lmXR+GNYUCYhjIDq5ZEFftHFNw7zE04MxhIZZcYu2dSGJU0
5VecCoMCdvL7YxkU1khk7x2lxmB0RsuChIcUiipa19G6DBr3K6lK36OQt3XD
qKvrGOxLbiuyTqYQblkQOnMDA6XU+yHRtyjsXKs59u5G8ryTnW99EgWpZbIT
8m0YmOf41+5OpGCj+Emp2YFB/IUL167foCCqsdOaeZjBAad3v72uUnj57m3m
nSMMapL236+/QiGq2GDRQh8GAcWfL64k1ns8Xc/kBAOf0ul9crEUgqNpY9dg
BtzKZc510RSm2+zbcieOxDvL26z8Elmv9U31OtcZeNZX3bQiLjY2t8tLYGA6
OLCk6SKFfQu1nCqSGVTPKp3Xd4HC0/Hd7qKHDOS1DJaahVMIk3YRemcyOKu8
KI17noLj4KeDA1kMFKsknE4TS3TmeMnkkufnGacWhVGw+uB3UucVA4Ptu+7s
CKWgWib4k1vMwGHN4d2jib+/sD9tXMYgP9HzUF4IhRvphmdt3jEIOWp2cDqx
Z2q6dFMlg/R7951rzlFYnTDjvEsVg+Ol/9wJJxZcGLrkXUfGe/XtHAni58Fe
cgMNDM4oPnV6fZZChD8nJriJQaF0hiiIeOnBkrjYFjJ/62qHZYj/2b102gwO
WQ/38Av1wRSaHdIS0loZ6CXt8rhFHGgempwrYBDk5bfEiLjO+cDOxW0MYiy/
/J1ArOZnqZzZQdan6/cYfhCFE5d0Gxd0k/g0o+xeEFfeVriS1kPa99qKrhDP
LPixSbWPgZyD5KsjxEeqm8bf/MkgN3JrszXx5L9JYbF/GDSXfaTkifcpBK+V
G2KgU3yg8mcgGd8Cd4mLI2T/nosdbiEeb7Kh6B8pFubN0qcqiJ23af0bLM1i
/MN/Vz8hfuwxYcXQaBa2w1mbUohHBff0nRzHonhk58MYYrtr9Y9/yLKo7IPN
OeIHj/IPe8uxKMUknCT+U3ZDq1OeRfP+2IAjxNZfA4T7J7FQmug/5iBxSo/L
Hf4UFjv7z3Ldib+PXrvbZRoLL0nPsW7E62apq3ybzoLR6Qn839eWjftmN4uF
7vUPG/YRt2/svFanyiIl6IXrIeJVrp+22cxl4W7q/8GHOOr4E4VKNRYBDuXh
AcStEXHV6xew+LjT4UY4sV7ayUslmmS8Y78PxROHPXcyN9ZhUbfE5tl94uZP
Jv8812URU6NZ8YJYWzCnVG8J8cAa7RriM4PSgY+XsfjF3SoUEtcoiox09Fm8
+zLzrySZ/7maH37fN2DB2+64X4XYD1l584xY/Gbf6xgTv9t+2SfZmEWCoaaV
M/F0T99FM1azMFDVrwgm9jxr3xlvymJ6SNbN+8Svr698qLiehavv5qpPxO5v
JObJWLDoLBlnvoDsp/xvfE6oFYtXtUmxdsTjvlckSm5iMbZu26pw4iyVSKWB
rSyidqo//k78+4SyjGgXi3R3Q12G7GeLqMEKN1cWmR1vwtTJeUi6wznH2cPC
8dfhdYeITWvvDjXuJ+21Jn7/SxyhtbT3zVEWNV9itVeS80ivnpK1xpesz9H+
kmjiJfa/PYqOs1jaeKJMSNx47hWTe4qF6clqmWRyvudQFs1poSQ+YftrLZIf
LpYaZW8PZ/FAV6I2kfj7fZ2wMZdYzBwxLFUg+aTUR07vUAwLQfxvc2mSb9zH
1kUvvcmS+l0gNT6Cwseu0n1MEgu1yjGL44iX1z81jk9h4flw5fo5kRRG34rr
GLjLYrh9obZpFNmvy3ZsKHnMIrcyTOJ+DAV5ZQuVY09ZeEvrhm+4TMF/eOVP
tXwWjQlnR9qJLd7PTAt/SfZzx4yS//NnhzN3eFMFi2mUd8ZQHAXdi/vz6W8s
CqxMfiuQ/Bx/xCEyhibjv7C+p5V4ZNtGd9NW8v7CR8Jcks9rVLUV7wlIfJVX
mt1I/j+a1334cC8LkZIbzaZSyOX6zR8cLUDI3RH7U+nk/FfsG3w0ToDu3a2F
p0h9Cc2wr3cZL8D0E1JLAkn9sTtuGFymIIDJLAnL6CwK/bJDLRdnCvCjmru7
4QmFlStCriovFUCjMfDvd1LvGvco6yfpCZBqbblCntTHY1FZTbNXCFA3t05r
8SsKmWzzdI1VAtjOd1h1spiCytWFt/XNBBA4GszWfEPqUW/jo62OAqTss0iT
I/X51kzPTU07BTBYYVFkT+q3kblkr6OLAFkKCxPTakn9TdbW2+MuwEfj9oy1
DST/Wge98PYSwGPosNbdLxQ+pGu+jTwrQOGH3bu6yffDgcZXBxRCBWhuHKXp
LqAgLbVNJu68AEFStRUtQgomO85YJ0YI8HjR2oDGdpKvxtTXp8eT+VLvYDt6
yPeIewD3bboAk2UbjyQPkXqq8mlAsl6AsTlz1ixSpiGn7JP38rMACZYJhhoz
aJRMmnLUr1mAweTAVLVZNNTHOYlElAB6r9n3C+bQEPcJGj+JBODdPhNpr0nj
7Pvhp0nDAiQu9vy2ayWNB766XoZaQuheyloxwYWG45FazT4dIaT9nByP76Yx
wcOXzVwkxK9nvvJ8Nxo+Li92zl4uRMQPe6O3B2gYWZhZjlkthF5ZS/oLHxrV
qs4an7cL4XnUps3mPI2flZE872AheKuOP9Z7SqNF9vOBwXNCmPZaPW3No1Fq
NVN8PkwILSe3vssFNGKq0//euiREQMsf3cEiGlp1bydXxQnh2BrxqP8dTb6r
JDdopguRP+pI/CUOjQqhX0ZrnRCPxz2LXjiRg0yNoiWHPwthnqoqvU6RgysH
pQt+N5H4DfbW75rCgWtHbPlESojJ39eG3ZzBwZ/ubMpYKETsyBl7aHCw6Ffb
xIS/QjRfa/TXNOXgurSzr62aCAGzXbZFneRg2G3q8lp1EYIeTbKUCODAvazm
5yZNEeJbTK/7BXKw+OzaE9a6IhRH3TP0COPg3YjGv+YGIqSqpeScuspB/5++
QBMrEbm/pWN1Dgd2vRcuafmKoGMzombXxcEkOi9VqlwEhUWBkj9WcBE1/vTp
ZxUiKG/UnW+xkgsZo3UOnu9FEGTxdqeu4kLqet2ExmoRKgUFGjvWcPF9i/jk
wy8ivLqQNcix4KLmjcamzWIRTJVSTbc6cxHx6ObfpOltYIpW+TSEcfHP6eBt
hkfJPXCJibQbzUVub+fA62NtyB9rwyi2cuG+zyHZ7Hgb4s7ef17O56J806L2
rafa8N5muZluGxchc6lAr9A2+ATm/Jj2g9yn3hlkpN1oQ5ra+KnWMq2QmtQj
KVfahmkxmX3LDMg96KFzNk+xnczH1+3TElrhk5AdqVjajvnvI5SWXeKhSDt8
rIJXB8I3Ni2MSuFDwcJH56xcJ5hb7TuZ9wxaFtbUk7s1GmbbeA0bkHN0C2qM
cxcosx2h6oVC7MrWV5g13AUZVTYu160NQaG3g1vSu/G1PuGpkVsHHolm3ZSz
EkNjloRR/7EuhCeFutI2YlxMD/t653QX3G275meRe/qV7HkRdue7MLOw8LG1
vRh74pZpViR04WK0U0XEHjFsI3PcGku6cED/Rq+MvxhFZtmpL+W7MTdksvmY
e2JMObYwNjmnG8MGAROaHohRt992Se3Lbnzp4tfdyxBDvWrLyOiKbsTYP91l
liPGHNlA7cCv3RjRsj0WWijGgcrv1O1RYrTURt8aVS9G8bKo4zl2YhSE9bvV
fybxJ+h5q+8W46qRi2ZasxgPjhnfTz4khuVd3VxTWoyS/hm1t4LEeHGy6n1w
mxg1StcX1qSLEb9wefSWTjHa9Snt/XliHOUlbpsjFqPRqs5Lqpj0a+XJKf4h
xooh34r15D3Skg13YvrFiNDob+niiMHNM/Jw/SPGiUN1RgntYhR6pC1aPCTG
O+tevsVPMa6pyv78/3+VNG+Txv9//wPVEw0s
          "]]}, 
        Annotation[#, "Charting`Private`Tag$5343#1"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          Thickness[0.01], 
          RGBColor[1, 0, 0]], 
         LineBox[CompressedData["
1:eJwd2Hk8VVsfBnBCJUWmRJMyNFGSW7eSp2hSFEWiDE2mZJ4qhUII1SXJUIpy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          "]]}, 
        Annotation[#, "Charting`Private`Tag$5343#2"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          Thickness[0.01], 
          RGBColor[0, 
           NCache[
            Rational[2, 3], 0.6666666666666666], 0]], 
         LineBox[CompressedData["
1:eJwd2Hdcje8bB/CGEZEiVJIiJEXflIx0JVGotJQiJVmhpShCadBQIklbk5Y0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          "]]}, 
        Annotation[#, "Charting`Private`Tag$5343#3"]& ]}}, {}}, {
    DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
     AxesOrigin -> {0, 0.4609000761265837}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {Automatic, Automatic}, DisplayFunction -> Identity, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All, 
     DisplayFunction -> Identity, AspectRatio -> NCache[
       Rational[3, 2], 1.5], Axes -> {False, False}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0.4609000761265837}, 
     BaseStyle -> 16, DisplayFunction :> Identity, 
     Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox[
         GraphicsBox[{
           Thickness[0.016556291390728478`], 
           StyleBox[{
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI1IGYCYql5cZqnAzQcHkSIb7+4QN/B5+LEmH+LNR36
g0tUpscbO/x6+/qA5WMNOL/604aA7FkaDl933ur6K2rscOqw09pMOw0H1SfN
887+MnLw2F8ra9GuDudD5BF8sH0X1Bz8QfYwGzuc2LWjl01ADSIvZewg2uP1
iqVExcG2MmKFqa+xQ2oaELApO/D6r5+SmmHssPLby4ozDxThfJB0WpsInC+z
UWw+04Nf9jD/wPgyIHs3qMP57muOLmewUHI40L2vyeQxj8OXfR+3pm+TcTgI
4idLwvlg+xIU4PwzIGCj7BChGiFz7o68Q2b+h9aTJWoOEZxi7cbrlR1mgsBN
VYcniQuvmeirONx3jXectVAJIs6p6LBWSIcvvU/BQXbXgn2p7+Qd/oOAvTSc
rwCi/YTh/Bu8t8VSy3gdwsHmK8H5b4q3iv72Vofz14MCsFfbQf2TystZmkIO
T0D+f6DvsAZk3z5xB2MQSDZ0OA9yv460w+L7+/jmOBs5yIPsWScP4R82gqgz
VoLzX2Rpf5teqwrnQ9KLOiQczhg6vAK5Y7W6w5T21qjLe/Qd0NMTAHkZEiw=

              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJZIAaxQYAJSjNCxZjxsGHqyFFPql5qsYmxl1puQzYH
AA56Ank=
              "], CompressedData["
1:eJxVVGtIFUEUvj4y1Mwo7PbEBE3rendnH7NZJB79IaZRZFIGBplaFuKj9IeS
mb1+WKaQ5o3EigItipSUHsTNDLmmpQVZoYaVVhdLyiiR1Gxn5+4ODgzLtzv7
ne9855wJ2puTmOFhMpnc1B2vbnd1N3LZ19w2WqDBGcfNNGGIe1y8MsLBsKd3
WWBaN8NTo99a1w8xnLFPXV7hsLljbuSlFgwlkxtyuzvCIWVV9FjaIwzDqVff
yP5WuKgtDCvq1R+jrDCw/EiqGIBBltR13gr5LQGTXVtkyvfFCl8PWsZr3ovQ
07vjOz9pheZ1E23pnQIc82yvEMwcpO0eiPWwITjpt/VOVQgHubfO9GcuQJRP
4qCY6HDyMDVe8KE2j2HH05jbB+wMZ+b8PPVM5gGOf3LYEhDlXYKgSfNFgNBR
Pztag4DInkkVqM5s1/cBAUqJnrcIiG37q0SILExuwH4iXB+0z6+9K4O5+rV3
5iERnpOVgihfoUjzm+ZhhqwS0dBD0smwMazxNjNM44n0aUbQT3zEEvWnDNFz
ERLlL0fwbuGv6J5YCYZIHS4jaCV8SRLkEb8aESSb770ycZjm7RTpeUWhedbJ
BnYSvmJs4D8P+sqmP2PwiQ0pcB/B0Ha6fmenqFC/SxnW+XWsnf8rQzzplzkM
6/2iY61vKjDYKv2LFF9XnxzG8ITwxLj6KgpDyPCJuhdFGFaTpw+Gc9vzg2vU
/9K1fGQD7yI67AxrPofJEEbqsRTT+FkSnI0f8ZS3ScCvvbHopSzQfD6K0En6
5h82MCLfgxUav0+kengFEkhe7Qzr9dOxL8nvpuiKrxj11uLPU6juCZ6eGxFc
88Yb82ANCvyddYGnviTIsCcpMfTKJt7wg/YVR+u0WKHvf3CG/9q813Kz65XH
sD5Pur5qEqfLNX/LFOggPhy1GnpLtH4Mn+3PmIXOwSim90Ivw46H98u9Ki1G
/+j3j6ZzkGH9fvkPNkoCog==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYC4ukT+KvMqq0d5ixS3vmnXc/hw4aA7Fnh1g5/
3r4+YLlYz0F86hXOjE9WDlNB6rJ1HUq2iv4+fc7KYcZMILDUdVhyfx/fnGAE
30BrpfCFI+ZwfrfXKxaTiZYOxSB9dQYO+iD5FiuH51na36bXGjr0B5eoTH8P
5fsawfnGIKBsDOffkq5JNDI1cfjzrfTBHEErh5TYO27MHKYQ875YwPmnDjut
zYxD8BlA4IK5w0a9vMWMZ0wctpj/OJSSZQ5VZ+JwsG15+Ckhc4cekDsZTRy4
3FRLmV6ZOYCcP3OlscM0kL93mzk0shztN3xuBPHfF6j8TSMHCVD4JJk7fN15
q+vvU2O4/1+A/GNr4rD8hYfe/0YLOD8Z5K4MSzjf/+LEmH/MVhD7FxrD+eB4
2W0E53ufYLed/dTQ4QvInlZLqHsMHP6DwHwLh9Q0IHim78Djv35K6g4zh/NX
w97o39aG88HxMVMbEl5PrOB89PgHAE/I5vo=
              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJFIAaxQYCJAQEYkWhmJDWMZKrBpR4Xmxj1xNg1UH6h
RD0AVMICSw==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIbIGYC4uTYO27MJwwczoABj4P/xYkx/5qNMfi9Ed3+
jAV8DmD1Egi++NQrnBmXjBy+7Pu4NV1MwCE9DQSMHN605XYbVQs51P+2Kji3
wsBBpHJSyVkVWYeZIHDSEKLumqLDRr28xYw8Rg6dNp670iYpOeyvlbVILzFy
eOAa7ziLUdlhyf19fHMeGzm8X7Re4SwHgr/y28uKMwXKDs+ztL9N32uAwYep
/7rzVtdfVUMH5wnNQmm/lCDu8TB0WAFSfwHBD+cUazfOR/CVrz0KZpBRcnic
uPCaibyhQzfIfU2KDrDwApu3SgHij21Q+xsUIOHWY+BgDALMCg79wSUq0+MN
IOH1Qc6hZKvo79N6CPmaTxsCsmfpO7ivObqcQUMR4n5ZfQdhUHiJKMH5MPfB
+DD3p4DcU6EPDy9w+Kkg/A/jw8LHHSSwXAuDD1Pfwuu/fspTBF9HUf5LzjZt
OD8V5F81HYe1Qjp86euUHE4cdlqb+U8HGu+KUP9D/fNDysH/lnRNYpGOwxqQ
+n+CDuY2e4OmLdR2aBGvZc1s43fYAIr/GG2HJbeWPzY8zAexr0wLnr5gfFh6
nLNIeeefdD0MPky9rtZK4QtLdOH8P99KH8wJ1HXY6rXBYs5PBP8+KLwMBeB8
cPpsEYCk5yZdh8+g9Bwm6DClvTXq8h1dh7Mg63KEIOoZDRzWgfwjJ+lwGuR/
O0OH/yBQL+gQreD4MdnHEOI+HUFIPAcbOswGpfubAnA+zD4YH5J/+B1UnzTP
O2tlCAnnZXzw9IaS/5DyKwDmuZ+Y
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}}}, {{{38.27969999999999, 20.481299999999997`}, {
              37.20779999999999, 20.481299999999997`}, {30.556299999999993`, 
              5.371880000000001}, {31.62809999999999, 5.371880000000001}, {
              38.27969999999999, 20.481299999999997`}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI1IGYCYgXHj8ln1no6PIgQ335xgb7De959BjOZvBz6
g0tUpscbO4hPvcKZcckTzje/djTX5ICnw9edt7r+iho79Hi9YjFZ6emg+qR5
3tlfRg7ZnD8XpFcj+N0g+UwEXx5kn6+ng//FiTH/mI0dvE+w286WhcpLGTvM
s9G5Mmubh4NtZcQKU19jB2MQiPZw4PVfPyU1w9jhYn48+zlBBF8C5D4tNzjf
VbWUaVaBC9w/ML7MvDjN0xvU4Xz3NUeXM1goOZzQtJp0Ot3V4cu+j1vTt8k4
gLQxHHOD88H2bXSH8+t+WxWcy/BwiFCNkDl3R96heKvo79Nmng4RnGLtxuuV
Hf6DAL+nw5PEhddM9FUclr/w0Pvv6OEwEwQ4FR1uStckGu11d5DdtWBf6jt5
iDgjgp8DCj9mNzg/BBjs/wtcHcLB5ivB+W9AFnurw/nrQQHYq+1QAnLPPVeH
JyCPPNB3SDx8WTt1ohskHJMNIe767+aw+P4+vjnORg6gaEztd4fwDxs5pIGA
mgecD4r2/z8QfHD85Xo6nAEDQ4cp39jiZ7R4Okxpb426vEffAT09AQDZrA7Q

              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJFIAaxQYCJAQEYkWhmJDWMZKrBpR4Xmxj1xNg1UH6h
RD0AVMICSw==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIbIGYC4vrfVgXnPng7mBiDgLBDyVbR36f9fDH4IpWT
Ss6yiDjUgtRLIPgR4tsvMnzzcTjYva/J5LGIw38Q2O/jsDPYKuK/u7hDj9cr
FpOH3g7vF61XOPtDwWHGTCAo9HGY0t4addlGxUHlSfO8s5N8HHY4ND06/kPF
YU337QyG4z4OcxYp7/yTruow10bnyqx/Pg5PEhdeM8lH8BtZjvYbXld1sAdq
m/HaG4MPU39c02rSaXkfh0cghyaoQtxj6OPQAFJvjuB7nWC3nX1VBc6XmHqF
M6NJxWF/raxFuoyPwweQ+18oO8DCa8W3lxVnBJQh/n3u7cAfG3Df6LkSJNwu
ezuAvDkzU8lhyje2+Bl7vB3WCunwpd9TdGhfHn7KaAlCPofz54L0Yqh8nzJE
PsTb4cLVsDf61SpwPsx9MD7M/eDwy/KGhxc4/OYj/A/jw8JnPij8zLww+DD1
+hMW/DB0Q/DFQeFQheCnpwHBNC+HzPwPrSdFVCHhc8bL4QwYQMMj3xuSPo7I
OyQcvqydutLLofL+j1vGp8UcbkjXJBqVejn0RXT7M04QcaiIWGF6NtnLQWHX
gn2peiIQ+7S84OkLxkdJj2reGHzU9IjQD0l/Xg4an1RezvJE8NeAwvsfgv/Q
Nd5xVqCog8Anx/Npb70cDoDSs7KYwwa9vMWMLN4Os0DxZSnu4AOKh15vhxqQ
f17LQuR1fCD+9xFz+BOTe/SfkQ8kfn+KOqSCwsvMxyEDRC9D8GH2wfhua44u
Z4gQcbi/j2+OsZaPAwMIKIjA0xvMP+j5FQAcbJwQ
              "]]}, {
             Thickness[0.016556291390728478`]}, StripOnInput -> False]}, {
          ImageSize -> {60.40394520547945, 23.511820672478205`}, 
           BaselinePosition -> Scaled[0.3169518292168768], 
           ImageSize -> {61., 24.}, PlotRange -> {{0., 60.4}, {0., 23.51}}, 
           AspectRatio -> Automatic}], TraditionalForm], None}, {
        FormBox[
         GraphicsBox[{
           Thickness[0.047014574518100614`], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJZIAaxQYAJSjNCxZjxsGHqyFFPql5qsYmxl1puQzYH
AA56Ank=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIvIGYC4oAnnpdMJ3+x978lXZNYpOtwBgR8fsH5/mB5
BD9nakKhRfFvOF9mo9h8pgd/7Lfo5S1mrNF16I/o9mcsYHJg4eyST+6DyTM7
BIDUG8H4LA76ivJfcq5pO3zZ93Fr+jQ2iL1nNB0Kl5ds+OfP4SAx9QpnBpOa
Q7RqhMy5PRwO4Zxi7cb6ylB5ToeZIMCpAKFncjqof1J5OctTFmo+J8TcbTIO
PI58XjM0ueH8GLB5PHD+i9rH2ed1+B3+g0C9HMQcTSEH9zVHlzPsUHQQqZxU
crZFCOI+GSUHE2Mg+CwM4ccoO3iA1EmIQdzrpAoxt0wG6j8tiHmdcg5v2nK7
jW7LQfStgdJvZBweuMY7zrooB3cPmB8oD+eD7X+C4Jcf3uY601cBoj9H1kEY
JO+iCLHnpLzDWiEdvnQ/RYcIkD/vyDuAnGtcrOigfO1RMIOMggN/bMB9o+mK
DrNBweap4JCZ/6H1ZImaw4ss7W/TZdUcXhVvFf2trekgs/yFh958LTg/PiRI
fcFLHTgfHN9/dB1+vX19wDJZw6GF13/9lKN6Did27ehlC1CH82Hmw/gzJvBX
mb1WhaQPPzQ+ML3A+A0sR/sNxXUddjg0PTouoeawVvVJ87yzOhD51WoO+lor
hS+46DicOuy0NtNO3eH81bA3+ru1ofapO8iD3B+P4P/5VvpgzkctOH/OIuWd
f9I1If62VXOYAQqPSnVI+PUpOuzNr3k7c6kiJH1lKjhsAPnXRg/OfxAhvv3i
Aj1IeIZD5ffoQdKRPIIPiz8YX37Xgn2p6+Qh4blSDx7fT0DmJehB84MgRLxR
GWJevCA8P0DkBRz8L06M+XdYE+Lumfzw8GgRr2XNZOODxE+NHjS988LDHyLP
A+fD8geMD8tPMPdB9LND5Fth6tng7t3qtcFizk4mePh4bPU/nsz2xx4cn3x6
0Pz4C84H++f/d3tY+oGVP5D0heDDyhcAu0QCOw==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYC4i87b3X9LTV2CHl7+eMMRymH+t9WBec8jB3S
04CgTcohOfaOG/MJI4ezZ4AgR9xhi/mPQymzjBx6I7r9GT+IOUSKb7/I8M8Q
zj9/NeyNfrUunH9d6JPjeTZDhweu8Y6zHBUcohUcPybbGDl8WLRe4ewJJYf9
tbIW6UeMHGo+bQjIvqUC58+YCQQ/1eD8P99KH8zZqAmxf5UhhD6l7fAfBOwN
4HxTm71B0xj14fwGlqP9htN1HWTmxWmeNtB28DnBbjt7qg7EPiktBx1F+S85
27Qd1qs+aZ6nq+nAwtkln+yn7cAMpjUcEkD+v6HlwAACCWoQc7O0HV5kaX+b
bqvm8CACGAANOg5zFinv/PNcA+5/cPgd03TYoJe3mDFGH84Xn3qFM+OSAZwP
Du8ZhhD/WmrA+WD3flCF88Hhd1HZoRbE/2HgMBuk3lMRwl+h7xCjGiFzbo8s
RN8FLQcTYyAoFobzz4CBEMTebUZwPnr8AwAgBOzI
              "]]}, {
             Thickness[0.047014574518100614`]}, StripOnInput -> False]}, {
          ImageSize -> {21.266201743462016`, 23.511820672478205`}, 
           BaselinePosition -> Scaled[0.3169518292168768], 
           ImageSize -> {22., 24.}, PlotRange -> {{0., 21.27}, {0., 23.51}}, 
           AspectRatio -> Automatic}], TraditionalForm], None}}, FrameStyle -> 
     Automatic, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {Automatic, Automatic}, GridLinesStyle -> Directive[
       GrayLevel[0.4, 0.5], 
       AbsoluteThickness[1], 
       AbsoluteDashing[{1, 2}]], ImageSize -> Medium, 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, 
       "DefaultGraphicsInteraction" -> {
        "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
         "Effects" -> {
          "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
           "Droplines" -> {
            "freeformCursorMode" -> True, 
             "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
       "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None,
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, 
     PlotRange -> {{0, 1}, {0.4609000761265837, 0.9999999998311081}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.02]}}, Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
       GraphicsBox[{
         Thickness[0.04366812227074236], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+Ax42LjUU8scWqunhb0AvosC
Iw==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJdIGYCYmMQ+CzkoK8o/yXnmrYDjA+mkw3h/DMgsMbI
IVo1QubcHmGHx4kLr5ncN3JYK6TDl24n6fAExP+P4KenAUGYscMG6W26p3K+
2qPzYepjwOaxws0D2+PDDrcPxoe5B8Z3mdAslOalDOfPngkEngoOMhvF5jM9
YHVwX3N0OcMOebh9b9pyu42iEfz/YCALdy86H6aeAQQeCDuof1J5OeukPDw8
lK89CmaIUYDz9+bXvJ35VAnO9784Meafs5bDU5C//FUw+DD3w/gw99/RlF3z
/7My3P0g4ZmainD3wPgw99Z82hCQLaWNwYepf1W8VfR3tgbc/Zn5H1pPflGH
ux/Gh7kfxoeFN4wPiw+w/ZEa8PiC2QeLTxgfFt8w96LzYeqdQeHwShluHiw8
YPbB+DD3wPjo6RXGBwBXLkJA
            "]], 
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3,
              3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQveKFh95/Q1OHF1na36bfVXFIA4EwE4e9+TVvZ6oq
Ofz9VvpgzkRjB+Vrj4IZZBQdohUcPybnGMH5nzcEZM9KN4TzD7ctDz+1yACu
P0J8+0UGOQOHJ4kLr5noqzg0sBztN5yu7zBjAn+VWbeqQz2IHw7kzwSCnWoO
+lorhS+46DvMWaS8889zDYcDtbIW6SqmcP6E4BKV6f9NHM5fDXujb63tsAzk
/osmUH06Dn0g+XgTh/iQIPUFmboOX3fe6vp71djBxBgINus5LL6/j28OM5Rf
rO/gfYLddraoEZwvPS9O87SBIZwPctbMSAMHFs4u+eRzenD3Qvyh61D726rg
3Apdh/8gIK/j8AcUXht1IOZO1YTzPfYDPbJcDc53X3N0OcMORbh/1T+pvJzl
KQuxf4MhnL8E5N5kYzhf9UnzvLO7TBxWfntZceaAgsM0UDhWQ+NvrooDenwC
AA2uzzs=
             "], {{15.670299999999996`, 13.024999999999999`}, {
             15.867199999999997`, 14.420299999999996`}, {16.474999999999998`, 
             15.081299999999997`}, {17.5656, 15.081299999999997`}, {
             18.656299999999998`, 15.081299999999997`}, {19.0859, 
             14.581299999999997`}, {19.3172, 13.024999999999999`}, {
             15.670299999999996`, 13.024999999999999`}}}]}, {
           Thickness[0.04366812227074236]}, StripOnInput -> False]}, {
        ImageSize -> {22.90211706102117, 23.511820672478205`}, 
         BaselinePosition -> Scaled[0.3169518292168768], 
         ImageSize -> {23., 24.}, PlotRange -> {{0., 22.9}, {0., 23.51}}, 
         AspectRatio -> Automatic}], 
       GraphicsBox[{
         Thickness[0.005330206278982997], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+Ax42LjUU8scWqunhb0AvosC
Iw==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJdIGYCYmMQ+CzkoK8o/yXnmrYDjA+mkw3h/DMgsMbI
IVo1QubcHmGHx4kLr5ncN3JYK6TDl24n6fAExP+P4KenAUGYscMG6W26p3K+
2qPzYepjwOaxws0D2+PDDrcPxoe5B8Z3mdAslOalDOfPngkEngoOMhvF5jM9
YHVwX3N0OcMOebh9b9pyu42iEfz/YCALdy86H6aeAQQeCDuof1J5OeukPDw8
lK89CmaIUYDz9+bXvJ35VAnO9784Meafs5bDU5C//FUw+DD3w/gw99/RlF3z
/7My3P0g4ZmainD3wPgw99Z82hCQLaWNwYepf1W8VfR3tgbc/Zn5H1pPflGH
ux/Gh7kfxoeFN4wPiw+w/ZEa8PiC2QeLTxgfFt8w96LzYeqdQeHwShluHiw8
YPbB+DD3wPjo6RXGBwBXLkJA
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYC4hgFx4/JMSYOO4KtIv4vl3J4krjwmom+icMZ
EHgj5XDysNPazHXGDibGQHBZ3EFmXpzm6QZjhy/7Pm5NDxN32F8ra5H+xAjO
n7NIeecfd30437YyYoXpW0MH4cpJJWdLFBwOty0PP6Vk7KB87VEwwx8lB9Un
zfPOrjJ22ABi8KrC+WD7ddThfH2tlcIXnmg6SIPsn2Dk8DxL+9v0v9oO6WlA
oGYI5zeyHO03TDeA830vToz5l6zv4A+mtR0kpl7hzEjSc1gPMthXy+HH29cH
LJt1HR5FiG+/mKDpcP5q2Bt9aV0HM5u9QdMaNRx0QfYu0XEwAvl/sppDA8h8
c11IOBSoOawFm6MH1acJ9/+MmUDwUxMSPlMM4Pza31YF53YYwvng8K43cjgN
8m+OBpzvB3KvshqcbwByB4uKw2MQ/76hw1mQ+hpFSPjsMnA40L2vyURZDuLv
uToOs0Hm3xSG88HxZywMCdc5xnA+evwDANdI8cw=
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ5IAaxQYAJSjNCxZjR2DA5BjQ2qeop0Ustu2jtBmLM
AQAnXgJN
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIbIGYC4v21shbpXxwdUmLvuDFL6DvA+CycXfLJfXoO
9/fxzTF2coLw/fQcur1esZhEQvl8CL7/LemaxCJdOD8+JEh9wUsdh2zOnwvS
vZ0c1qo+aZ7HqwMxz8jJQV9R/kuOmLZD+/LwU0Ypjg5782vezlRVdtiol7eY
cYmDQ/1vq4JzGtoON4HGGtU6QPSf1cHJ19daKXzBRRfOh7lPd8KCH4bTHODu
v5wfz36OEeE/GB/mf4mpVzgzkuww+DD1G0Du47GH+C9Tz+FIG9ADTvYQ+1n0
HE4cdlqbOc/eQRfsPx2H4yD+PnuIfzK0IfL37B3OXw17o79by4HDTbWU6Zc9
NDy0HNTf8u4ziLRzcF9zdDnDDyUHn4sTY/5NtoH411fHYekLD73/jTYOtSDz
VuhA6AobqP26cP5/EIhH8B9EiG+/qKDn0B9cojJ9vQ3c/VMm8FeZedvC/Qfj
w/xvYgwEwlYYfJj6MyBQY+WwBRQuNXoOPaD4X2gFt+/Lzltdf1mt4e4Huyvf
1qHTxnNXmpCCw1WhT47nl9lCxP/LOtg3PTo+4zSMLwORf4bgP83S/jb9L4IP
jh8lOwfZXQv2pb6ThYef+ieVl7NOyjuwLJ5kxajr4FD9aUNAdpUGJH38dXCY
CQKcCg7CQOPTZB0h/siRdUhPAwI1R7j54PRpgsZ3QfA/A42d5e/oIFI5qeTs
ElmIfImjw8pvLyvOOCg4mF87mmuywQmifr6OQ8Lhy9qpN53g4QOWf4DIXyBh
Bj5nePjC+Oj5E8YHAOWwlqM=
            "]], 
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
              3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
             3, 3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {
             1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQ/WAf3xzjVy4OJsZAUKzvsPNW19/UdmeHLXp5ixlr
dOF8/1vSNYmfdBxmgoGzw/mrYW/0f+s43AYKG211dlir+qR5Hq+uw++Y3KP/
Ljk7NLAc7TcU13X4vCEge9ZzBD8NBORc4PxfIPVGLg76WiuFL7TowPl/vpU+
mPNRC87fm1/zduZSJTi/08ZzV5qQgkPb8vBTRjIuDm/acruNouUd9Ccs+GFY
5wzxjzCC/x8MZB2mfGOLnzHHFYMPU+91gt12Nqurg+yuBftS8+Qh4p8R9sH4
MPfA+Amxd9yYI/Qd0MMTANAJmnc=
             "], {{40.98909999999999, 
             19.712500000000002`}, {40.506299999999996`, 
             19.712500000000002`}, {40.095299999999995`, 
             19.301599999999997`}, {40.095299999999995`, 
             18.799999999999997`}, {40.095299999999995`, 
             18.299999999999997`}, {40.4875, 17.8891}, {40.98909999999999, 
             17.8891}, {41.5078, 17.8891}, {41.918800000000005`, 
             18.282800000000005`}, {41.918800000000005`, 
             18.799999999999997`}, {41.918800000000005`, 
             19.301599999999997`}, {41.5078, 19.712500000000002`}, {
             40.98909999999999, 19.712500000000002`}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIVIGYC4m6vVywmih4OKbF33Jgl9B2WvfDQ+2/pjsEv
3ir6+/Q8Qzj/DBgYOpzQtJp02tzdYYv5j0Mpt6Dymmh8SXeHHpA9Gw0d2paH
nzLicXdIBpnfAeX/cXPgdlMtZYoydLgpXZNotNTN4fRhp7WZcQYOqk+a5511
cnNo4fVfP4VV30FvwoIfhnJuDk8ixLdffKDnwLJ4khUjq5vDAxB/gZ7Dzltd
f1O/u0LkExB8E2MQQPAbWI72G4rrOcwEgZ+uDvpaK4UvsOg5gJwxi8HNwf8W
0CGfdB0u5sezn6vE5IdzirUb6yvD+WuFdPjS9RQc0kBgn5uD+ieVl7M8ZR28
TrDbznZ1h/N9QPytCP7kb2zxM3g8HP6DgZyD+bWjuSYRHg7K1x4FM8QoOohP
vcKZYeXhsPLby4ozB6B8Lqj8HQWHHM6fC9Ifu0PkGxQcQkpUpv/fgOAfqJW1
SI9B8GHx577m6HKGCkU4/8Oi9QpndyjD+TD/wtIHOh+WPgAG3/mN
            "]], 
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIDIGYC4pASlen/D3g6+F+cGPPPWdsBzFfwcogPCVJf
8FLHQd7xY/KZVC8Hfa2VwhdadB3WdN/OYNiP4McfvqydaugN57/h3WcwM8vb
4fzVsDf61jpwfs2nDQHZuzTh/L35NW9nLlWC8/ljA+4bmSs4lEesMD0b7O3w
HwTq5SH2nfdyMDEGAmEEHyz/X9ahfXn4KaMtPhh8mHoX1VKmWRY+DuqfVF7O
OinvoPKked5ZLR+HtUI6fOl6CnA+zD0wPjg8DmvC+TD/gfmnvCHmF+tD/C+I
4ItPvcKZ0eUF59/fxzfHWMvLoYHlaL/hdD0HeHjfkq5JLNKB8+t/WxWcW2Hs
IPLJ8XzaVk+H9DQg2GbsAAq2WemeDhOCgQrrjR1Awml6ng6qIHdEGTvoTVjw
w3Cdh8Pfb6UP5ggaO/D4r5+SWuDhcAYE3hjB+UtADlls5DATBCo9HHhB4iuM
HNxA4dOA4G/Qy1vM2IPgg+17h6aewdNhMci8ZgS/eKvo79P7DOF8WHjC+MKV
k0rOqig4/IrJPfrvk4eDCIi/RB7i/jwPeHzB+LD4nPKNLX5GjBcGH6b+uKbV
pNPXPeHpBRaesPiF8WHuQU/vAA8RTu8=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
              3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1,
              3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
             0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
             0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBmIQ7S8nluXLH+QgUjmp5KyKvMOL7euZn98JdHjTlttt
FC3vECG+/SLDsUCH2TOBwFPBYfEkK0bfDYEOe/Nr3s5UVXKQd/yYfMY10KH+
t1XBuRdaDpEg9fMCHfwvToz516ztEJt79N+mw4EOviA+sw7E/DeBDvEhQeoL
NHUdOH4uSN8sFORgYgwCeg5g96gHOaTE3nFjnqEP53O7qZYyzTKA8xff38c3
x9nI4Q3vPoOZlwIdbCsjVpjqGjt8Z4uf4WOJ4Neu25ZULxuAwQe777ERhO8b
4MDvv35K6gkjB7AzggMg5h82cuAEuS8uwGEJiL/YyAFkzNn0AIczINADlc8L
cPi681bX31AEH6xeGcEHq39j6BBcojL9f0aAQ/FW0d+n66D8hACIvcyGDjwg
d6zwd3Bfc3Q5g4WSw5PEhddM6v0dlK89CmaQUXB4CuLn+zuof1J5OeukvMOa
7tsZDO/94PEH4/8HA1mI/X0BGHyU+PYIgNi3A8p3CHAARfdMTgU4H+IeRTgf
7N7Jig77a2Ut0l0CHJwnNAulcSlBzPcLcHAB8b2U4faBw/uwlkN+PPs5yZsB
DvqK8l9ypmk5WOtcmfUsNRDuPlh6ROfD3AsAXBMsQQ==
             "], {{67.6078, 
             18.1391}, {67.71409999999999, 18.514099999999996`}, {
             67.94689999999999, 18.6391}, {68.5188, 18.6391}, {70.0031, 
             18.6391}, {70.7359, 17.960899999999995`}, {70.7359, 16.6375}, {
             70.7359, 14.867199999999997`}, {69.59219999999998, 13.9547}, {
             67.35629999999999, 13.9547}, {67.07030000000002, 13.9547}, {
             66.87339999999999, 13.973399999999996`}, {66.44529999999999, 
             14.0438}, {67.6078, 18.1391}}}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+Ax42LjUU8scWqunhb0AvosC
Iw==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJdIGYC4sWTrBh9/wQ5OE9oFkrTUnaA8f9+K30wp1AD
znffXytrka7lYK1zZdYz1mAHE2Mg2Kzl8GL7eubnHsEO/hcnxvx7jODX/7Yq
OJeh7TBhwQ/DZ2FBGHyY+gjx7RcZZgXBzbt6NNekYTHCPhgf5h4Yv02BXfVM
iCScH/T28scZB0Uc1J80zzsLNO9NW263kbQI3L52kPorwnD+GTAQgrsXnQ9T
H5t79N8m9mAHjU8qL2dpisDDY62QDl/6PQQfbN9uCUR4rTm6nOGHooPM60dm
UiwhGHyY+2F8mPt33+r6m/o7GO7+6yD/bUe4B8aHubd23bak+pUhGHyY+o7l
4aeMMkLg7gf7LyYE7n4YH+Z+GB8W3jA+LD6aAj3nNqSFwOMLZh8sPmF8WHzD
3IvOh6lvBpn3C5Ge4OEFtQ/Gh7kHxkdPrzA+AKEvRMU=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
            90.70780000000002, 7.814060000000001}, {90.70780000000002, 
            8.576559999999999}, {83.7438, 8.576559999999999}, {83.7438, 
            7.814060000000001}, {90.70780000000002, 7.814060000000001}}}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+Ax42LjUU8scWqunhb0AvosC
Iw==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJdIGYC4kWTrBh954Q7OE9oFkrTUnaA8f9+K30wp1AD
znffXytrka7lYKNzZdazpeEOJsZAsFnL4cX29czPX4Q7+F+cGPPvMYJf/9uq
4FyGtsOEBT8Mn30Lw+DD1EeIb7/IYIUw7+rRXJMGZ4R9MD7MPTB+mwK76pkQ
STg/6O3ljzMOijioPWmedxZo3pu23G4jaRG4fe0g9VeE4fwzYCAEdy86H6Y+
Nvfov03Lwx00Pqm8nKUpAg+PtUI6fOn3EHywfbslEOG15uhyhh+KDtKvH5lJ
LYnA4MPcD+PD3L/rVtff1NkRcPdfA/kvPALuHhgf5t5tn/9eqfCMxODD1F+t
eKlmyBEJdz/Yf38i4O6H8WHuh/Fh4Q3jw+LDk4dJu50tEh5fMPtg8Qnjw+Ib
5l50Pkx9U6Dn3IZZEXDz4OEFtQ/Gh7kHxkdPrzA+ALi8TDo=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 
            3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJ+KC3OEsan+yvW4c+30gdzDLUdMvaUTJbgiYPzl84+
orBBCZMvMS9O8/QHBP9p4sJrJut14PphfPY1MlEpv2Ph/PosoAKDaDgfKGt9
Xx7Bf7/8mLc5JyYfZh+MD3MPTD+Mny/UfOCUIYKP7j+Ye/bm17yd+VUZ7l4Y
H+YfdH5m/ofWk1tU4HwTYyAoVoXrh/Fh9sH4MPfA+DD3wvgw/6DzYfbB+DD3
wPTD+LDwhPHR/QcAwcTSJw==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4uw9JZMlGhIc0tOAYJqxAzeTdruYZILDl523
uv5+NYTzvU+w287eaujwHwTkExzOgAFQ/vriAlu1BIfiraK/T98zdGBtnOrc
rZHgkBx7x435haEDI1D7TSMon8PI4Xvw46WzbRIctpj/OJQiZeTwe+XHS75O
CD7QNSxhfgj+z7qsPSXBUPuvGsL5xiDgjMYPVoLz9+bXvJ2pqujw+e+VipdA
8zptPHelBSk4fNWI6T/kmgDxx395B5C0mm2Cw5u23G6jaCjfNMFBpHJSyVkV
eYj/ZRMcTEDmCyP4EP2yDiDvc+3G5MPUxz+9oHS7F2FeskCE5ZaWBIcI1QiZ
c3cQfLB7lyrC+baVEStMe40d0OMHAEkAu+g=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
            138.03399999999996`, 9.2875}, {137.49800000000002`, 9.2875}, {
            137.052, 8.82344}, {137.052, 8.268749999999999}, {137.052, 
            7.749999999999999}, {137.49800000000002`, 7.3031299999999995`}, {
            138.01699999999997`, 7.3031299999999995`}, {138.57199999999997`, 
            7.3031299999999995`}, {139.03599999999997`, 7.749999999999999}, {
            139.03599999999997`, 8.268749999999999}, {139.03599999999997`, 
            8.82344}, {138.57199999999997`, 9.2875}, {138.03399999999996`, 
            9.2875}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
              0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 
             1, 0}}, {{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{148.739, 
             11.6297}, {146.91599999999997`, 11.6297}, {146.91599999999997`, 
             19.587500000000002`}, {146.12999999999997`, 
             19.587500000000002`}, {140.51399999999998`, 11.6297}, {
             140.51399999999998`, 10.4859}, {145.53899999999996`, 10.4859}, {
             145.53899999999996`, 7.499999999999999}, {146.91599999999997`, 
             7.499999999999999}, {146.91599999999997`, 10.4859}, {148.739, 
             10.4859}, {148.739, 11.6297}}, {{145.52200000000002`, 11.6297}, {
             141.23, 11.6297}, {145.52200000000002`, 17.764099999999996`}, {
             145.52200000000002`, 11.6297}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
              3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
             0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQBmIQfXqh67bPvckOtpURK0zXGjucKNs3X6o72SE9DQi2
GTvcWFxgy1Wc7PD3W+mDOYXGDqF8upvmJkPV+xo7JAtEWG7xgMoLGjtk7ymZ
LGGR7HAGBN4YwflL7u/jm7PYyCHF+r5/r3WyA6//+impK4wcEp5eULpti8Z3
RPDv/KzL2hOB4N849z34cWyyw5PEhddM6hH84q2iv0/vM4Tz1wjp8KW/U4Dz
RSonlZxdIu8ANP1nXV+yg/onlZezPGUdHEzjdnnuQfB12sVunmNPgfMnvK2x
N3VKcTAGgclKcL7MvDjN0xvU4XxdRfkvOWI6DktnH1HYIJbiYAJSX6zvYHBX
ha3xbjKcf/irRkz/LgQfqLooY2ayQ3xIkPoCTT0HWHzU/rYqOJeh44AePwAo
X78F
             "], {{156.436, 13.257800000000001`}, {156.436, 13.9547}, {
             157.27700000000002`, 14.598399999999998`}, {158.20600000000002`, 
             14.598399999999998`}, {159.60000000000002`, 
             14.598399999999998`}, {160.495, 13.2047}, {160.495, 
             11.021900000000002`}, {160.495, 9.0375}, {159.63599999999997`, 
             7.893750000000001}, {158.17, 7.893750000000001}, {
             157.24099999999999`, 7.893750000000001}, {156.436, 
             8.304689999999999}, {156.436, 8.75156}, {156.436, 
             13.257800000000001`}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
             4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{167.17, 
             15.725000000000001`}, {164.84500000000003`, 
             15.725000000000001`}, {163.21899999999997`, 
             14.007799999999998`}, {163.21899999999997`, 11.5406}, {
             163.21899999999997`, 9.12656}, {164.88099999999997`, 
             7.321879999999999}, {167.13400000000001`, 7.321879999999999}, {
             169.38799999999998`, 7.321879999999999}, {171.10500000000002`, 
             9.21719}, {171.10500000000002`, 11.6844}, {171.10500000000002`, 
             14.026599999999997`}, {169.45899999999997`, 
             15.725000000000001`}, {167.17, 15.725000000000001`}}, {{166.938, 
             15.225000000000001`}, {168.43899999999996`, 
             15.225000000000001`}, {169.495, 13.507800000000001`}, {169.495, 
             11.0578}, {169.495, 9.0375}, {168.69100000000003`, 
             7.821879999999999}, {167.34799999999998`, 7.821879999999999}, {
             166.652, 7.821879999999999}, {165.99099999999999`, 8.25156}, {
             165.61399999999998`, 8.965629999999997}, {165.11399999999998`, 
             9.895310000000002}, {164.82799999999997`, 11.148400000000002`}, {
             164.82799999999997`, 12.417199999999998`}, {164.82799999999997`, 
             14.115599999999999`}, {165.66899999999998`, 
             15.225000000000001`}, {166.938, 15.225000000000001`}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIDIGYC4mPe5p2OF1Id/C9OjPnnrO0A5r9IdYgPCVJf
8FLHwZbr+uKCn6kO+lorhS+06DpYbjlRto8/Dc434FgjE6WD4Otsmvt+uVWa
w/mrYW/0rXXg/JpPGwKyd2nC+Xvza97OXKoE5/PHBtw3Mldw0IjpP/TVJM3h
PwjUyztYgOwTTnMwMQYCYQQfLP9f1mGKBEsYXy8mH6Z+gZT+XZW8NAf1Tyov
Z52Ud1g6+4jChqw0h7VCOnzpegpwPsw9MD44PA5rwvkw/4H5QVDzi/Uh/ldB
8G3u+/dOZ0LwD30F+uhVqkMDy9F+w+l6DvDwviVdk1ikA+fX/7YqOLfC2OGS
b5JAxNlUh/Q0INhm7HDj3PfgxztTHSYEl6hMrzd2COXT3TR3daqD6pPmeWej
jB1SrIEWdqc6/P1W+mCOoLFD1p6SyRI1qQ5nQOCNEZy/5P4+vjmLjRxAxqbV
pTrw+q+fkrrCyAEU3BoNCH7cLk8epmYEH2zfbDT1C1IdFoPMa0bwi7eK/j69
zxDOh4UnjC9cOankrIqCw52fdVl75qQ6iID4S+Qh7q9OhccXjA+LT8eEpxeU
vmPyYepPLXTd9vlqKjy9wMITFr8wPsw96OkdAC6AWT8=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGItIGYCYhNjIJie5uB/S7om8ZOOA5g/P81hreqT5nm8
ug4GHGtkopakOTSwHO03FNd1UGFrnOq8GsFfcczbvHMngr909hGFDfvSHPS1
VgpfaNGB8/98K30w56MWnL/y28uKMwxKcD5/bMB9I3MFCH9XmoPsrgX7Ut/J
O5jE7fLkmZYGcZcwgv8fDGQdQM5LkU/H4MPU90zPE2r+keag/knl5SxPeYcZ
QO6Bd0D/CenwpespwPnua44uZ7BQgvP9L06M+eesBefX/7YqOJeh7TDh0FeN
GPZ0hwBQeBnpOnQ4Jjy9IIbgc11fXGArheDD3AMODxZdB5YwPt1NqukOtSDz
Vug4MGq3i93Ug/I1dBz+Xql4qWaaDo0PbQdQcHfbIPh/Vn685OuF4H8BaQhK
h8RXrw6cz8LZJZ/cpwvnb9DLW8y4Rw9inxs0fIr1Ie4zRuNLI/hg/3GlOzyI
EN9+cYEePDx0FeW/5IjpwPlPQPIJ+g5A1+Y8f50G1w9OH2fTHOJDgtQXrNRz
0IjpP/R1B1TeWM8Blv4g6UXXAT09AgCpchRb
            "]]}, {
           Thickness[0.005330206278982997]}, StripOnInput -> False]}, {
        ImageSize -> {187.61237359900375`, 23.511820672478205`}, 
         BaselinePosition -> Scaled[0.3169518292168768], 
         ImageSize -> {188., 24.}, 
         PlotRange -> {{0., 187.60999999999999`}, {0., 23.51}}, AspectRatio -> 
         Automatic}], 
       GraphicsBox[{
         Thickness[0.005330206278982997], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+Ax42LjUU8scWqunhb0AvosC
Iw==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJdIGYCYmMQ+CzkoK8o/yXnmrYDjA+mkw3h/DMgsMbI
IVo1QubcHmGHx4kLr5ncN3JYK6TDl24n6fAExP+P4KenAUGYscMG6W26p3K+
2qPzYepjwOaxws0D2+PDDrcPxoe5B8Z3mdAslOalDOfPngkEngoOMhvF5jM9
YHVwX3N0OcMOebh9b9pyu42iEfz/YCALdy86H6aeAQQeCDuof1J5OeukPDw8
lK89CmaIUYDz9+bXvJ35VAnO9784Meafs5bDU5C//FUw+DD3w/gw99/RlF3z
/7My3P0g4ZmainD3wPgw99Z82hCQLaWNwYepf1W8VfR3tgbc/Zn5H1pPflGH
ux/Gh7kfxoeFN4wPiw+w/ZEa8PiC2QeLTxgfFt8w96LzYeqdQeHwShluHiw8
YPbB+DD3wPjo6RXGBwBXLkJA
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
            0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYC4hgFx4/JMSYOO4KtIv4vl3J4krjwmom+icMZ
EHgj5XDysNPazHXGDibGQHBZ3EFmXpzm6QZjhy/7Pm5NDxN32F8ra5H+xAjO
n7NIeecfd30437YyYoXpW0MH4cpJJWdLFBwOty0PP6Vk7KB87VEwwx8lB9Un
zfPOrjJ22ABi8KrC+WD7ddThfH2tlcIXnmg6SIPsn2Dk8DxL+9v0v9oO6WlA
oGYI5zeyHO03TDeA830vToz5l6zv4A+mtR0kpl7hzEjSc1gPMthXy+HH29cH
LJt1HR5FiG+/mKDpcP5q2Bt9aV0HM5u9QdMaNRx0QfYu0XEwAvl/sppDA8h8
c11IOBSoOawFm6MH1acJ9/+MmUDwUxMSPlMM4Pza31YF53YYwvng8K43cjgN
8m+OBpzvB3KvshqcbwByB4uKw2MQ/76hw1mQ+hpFSPjsMnA40L2vyURZDuLv
uToOs0Hm3xSG88HxZywMCdc5xnA+evwDANdI8cw=
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ5IAaxQYAJSjNCxZjR2DA5BjQ2qeop0Ustu2jtBmLM
AQAnXgJN
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIbIGYC4v21shbpXxwdUmLvuDFL6DvA+CycXfLJfXoO
9/fxzTF2coLw/fQcur1esZhEQvl8CL7/LemaxCJdOD8+JEh9wUsdh2zOnwvS
vZ0c1qo+aZ7HqwMxz8jJQV9R/kuOmLZD+/LwU0Ypjg5782vezlRVdtiol7eY
cYmDQ/1vq4JzGtoON4HGGtU6QPSf1cHJ19daKXzBRRfOh7lPd8KCH4bTHODu
v5wfz36OEeE/GB/mf4mpVzgzkuww+DD1G0Du47GH+C9Tz+FIG9ADTvYQ+1n0
HE4cdlqbOc/eQRfsPx2H4yD+PnuIfzK0IfL37B3OXw17o79by4HDTbWU6Zc9
NDy0HNTf8u4ziLRzcF9zdDnDDyUHn4sTY/5NtoH411fHYekLD73/jTYOtSDz
VuhA6AobqP26cP5/EIhH8B9EiG+/qKDn0B9cojJ9vQ3c/VMm8FeZedvC/Qfj
w/xvYgwEwlYYfJj6MyBQY+WwBRQuNXoOPaD4X2gFt+/Lzltdf1mt4e4Huyvf
1qHTxnNXmpCCw1WhT47nl9lCxP/LOtg3PTo+4zSMLwORf4bgP83S/jb9L4IP
jh8lOwfZXQv2pb6ThYef+ieVl7NOyjuwLJ5kxajr4FD9aUNAdpUGJH38dXCY
CQKcCg7CQOPTZB0h/siRdUhPAwI1R7j54PRpgsZ3QfA/A42d5e/oIFI5qeTs
ElmIfImjw8pvLyvOOCg4mF87mmuywQmifr6OQ8Lhy9qpN53g4QOWf4DIXyBh
Bj5nePjC+Oj5E8YHAOWwlqM=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
              3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
             3, 3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {
             1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQ/WAf3xzjVy4OJsZAUKzvsPNW19/UdmeHLXp5ixlr
dOF8/1vSNYmfdBxmgoGzw/mrYW/0f+s43AYKG211dlir+qR5Hq+uw++Y3KP/
Ljk7NLAc7TcU13X4vCEge9ZzBD8NBORc4PxfIPVGLg76WiuFL7TowPl/vpU+
mPNRC87fm1/zduZSJTi/08ZzV5qQgkPb8vBTRjIuDm/acruNouUd9Ccs+GFY
5wzxjzCC/x8MZB2mfGOLnzHHFYMPU+91gt12Nqurg+yuBftS8+Qh4p8R9sH4
MPfA+Amxd9yYI/Qd0MMTANAJmnc=
             "], {{40.98909999999999, 
             19.712500000000002`}, {40.506299999999996`, 
             19.712500000000002`}, {40.095299999999995`, 
             19.301599999999997`}, {40.095299999999995`, 
             18.799999999999997`}, {40.095299999999995`, 
             18.299999999999997`}, {40.4875, 17.8891}, {40.98909999999999, 
             17.8891}, {41.5078, 17.8891}, {41.918800000000005`, 
             18.282800000000005`}, {41.918800000000005`, 
             18.799999999999997`}, {41.918800000000005`, 
             19.301599999999997`}, {41.5078, 19.712500000000002`}, {
             40.98909999999999, 19.712500000000002`}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIVIGYC4m6vVywmih4OKbF33Jgl9B2WvfDQ+2/pjsEv
3ir6+/Q8Qzj/DBgYOpzQtJp02tzdYYv5j0Mpt6Dymmh8SXeHHpA9Gw0d2paH
nzLicXdIBpnfAeX/cXPgdlMtZYoydLgpXZNotNTN4fRhp7WZcQYOqk+a5511
cnNo4fVfP4VV30FvwoIfhnJuDk8ixLdffKDnwLJ4khUjq5vDAxB/gZ7Dzltd
f1O/u0LkExB8E2MQQPAbWI72G4rrOcwEgZ+uDvpaK4UvsOg5gJwxi8HNwf8W
0CGfdB0u5sezn6vE5IdzirUb6yvD+WuFdPjS9RQc0kBgn5uD+ieVl7M8ZR28
TrDbznZ1h/N9QPytCP7kb2zxM3g8HP6DgZyD+bWjuSYRHg7K1x4FM8QoOohP
vcKZYeXhsPLby4ozB6B8Lqj8HQWHHM6fC9Ifu0PkGxQcQkpUpv/fgOAfqJW1
SI9B8GHx577m6HKGCkU4/8Oi9QpndyjD+TD/wtIHOh+WPgAG3/mN
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIDIGYC4pASlen/D3g6+F+cGPPPWdsBzFfwcogPCVJf
8FLHQd7xY/KZVC8Hfa2VwhdadB3WdN/OYNiP4McfvqydaugN57/h3WcwM8vb
4fzVsDf61jpwfs2nDQHZuzTh/L35NW9nLlWC8/ljA+4bmSs4lEesMD0b7O3w
HwTq5SH2nfdyMDEGAmEEHyz/X9ahfXn4KaMtPhh8mHoX1VKmWRY+DuqfVF7O
OinvoPKked5ZLR+HtUI6fOl6CnA+zD0wPjg8DmvC+TD/gfmnvCHmF+tD/C+I
4ItPvcKZ0eUF59/fxzfHWMvLoYHlaL/hdD0HeHjfkq5JLNKB8+t/WxWcW2Hs
IPLJ8XzaVk+H9DQg2GbsAAq2WemeDhOCgQrrjR1Awml6ng6qIHdEGTvoTVjw
w3Cdh8Pfb6UP5ggaO/D4r5+SWuDhcAYE3hjB+UtADlls5DATBCo9HHhB4iuM
HNxA4dOA4G/Qy1vM2IPgg+17h6aewdNhMci8ZgS/eKvo79P7DOF8WHjC+MKV
k0rOqig4/IrJPfrvk4eDCIi/RB7i/jwPeHzB+LD4nPKNLX5GjBcGH6b+uKbV
pNPXPeHpBRaesPiF8WHuQU/vAA8RTu8=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
              3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1,
              3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
             0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
             0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBmIQ7S8nluXLH+QgUjmp5KyKvMOL7euZn98JdHjTlttt
FC3vECG+/SLDsUCH2TOBwFPBYfEkK0bfDYEOe/Nr3s5UVXKQd/yYfMY10KH+
t1XBuRdaDpEg9fMCHfwvToz516ztEJt79N+mw4EOviA+sw7E/DeBDvEhQeoL
NHUdOH4uSN8sFORgYgwCeg5g96gHOaTE3nFjnqEP53O7qZYyzTKA8xff38c3
x9nI4Q3vPoOZlwIdbCsjVpjqGjt8Z4uf4WOJ4Neu25ZULxuAwQe777ERhO8b
4MDvv35K6gkjB7AzggMg5h82cuAEuS8uwGEJiL/YyAFkzNn0AIczINADlc8L
cPi681bX31AEH6xeGcEHq39j6BBcojL9f0aAQ/FW0d+n66D8hACIvcyGDjwg
d6zwd3Bfc3Q5g4WSw5PEhddM6v0dlK89CmaQUXB4CuLn+zuof1J5OeukvMOa
7tsZDO/94PEH4/8HA1mI/X0BGHyU+PYIgNi3A8p3CHAARfdMTgU4H+IeRTgf
7N7Jig77a2Ut0l0CHJwnNAulcSlBzPcLcHAB8b2U4faBw/uwlkN+PPs5yZsB
DvqK8l9ypmk5WOtcmfUsNRDuPlh6ROfD3AsAXBMsQQ==
             "], {{67.6078, 
             18.1391}, {67.71409999999999, 18.514099999999996`}, {
             67.94689999999999, 18.6391}, {68.5188, 18.6391}, {70.0031, 
             18.6391}, {70.7359, 17.960899999999995`}, {70.7359, 16.6375}, {
             70.7359, 14.867199999999997`}, {69.59219999999998, 13.9547}, {
             67.35629999999999, 13.9547}, {67.07030000000002, 13.9547}, {
             66.87339999999999, 13.973399999999996`}, {66.44529999999999, 
             14.0438}, {67.6078, 18.1391}}}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+Ax42LjUU8scWqunhb0AvosC
Iw==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJdIGYC4sWTrBh9/wQ5OE9oFkrTUnaA8f9+K30wp1AD
znffXytrka7lYK1zZdYz1mAHE2Mg2Kzl8GL7eubnHsEO/hcnxvx7jODX/7Yq
OJeh7TBhwQ/DZ2FBGHyY+gjx7RcZZgXBzbt6NNekYTHCPhgf5h4Yv02BXfVM
iCScH/T28scZB0Uc1J80zzsLNO9NW263kbQI3L52kPorwnD+GTAQgrsXnQ9T
H5t79N8m9mAHjU8qL2dpisDDY62QDl/6PQQfbN9uCUR4rTm6nOGHooPM60dm
UiwhGHyY+2F8mPt33+r6m/o7GO7+6yD/bUe4B8aHubd23bak+pUhGHyY+o7l
4aeMMkLg7gf7LyYE7n4YH+Z+GB8W3jA+LD6aAj3nNqSFwOMLZh8sPmF8WHzD
3IvOh6lvBpn3C5Ge4OEFtQ/Gh7kHxkdPrzA+AKEvRMU=
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
            90.70780000000002, 7.814060000000001}, {90.70780000000002, 
            8.576559999999999}, {83.7438, 8.576559999999999}, {83.7438, 
            7.814060000000001}, {90.70780000000002, 7.814060000000001}}}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+Ax42LjUU8scWqunhb0AvosC
Iw==
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJdIGYC4kWTrBh954Q7OE9oFkrTUnaA8f9+K30wp1AD
znffXytrka7lYKNzZdazpeEOJsZAsFnL4cX29czPX4Q7+F+cGPPvMYJf/9uq
4FyGtsOEBT8Mn30Lw+DD1EeIb7/IYIUw7+rRXJMGZ4R9MD7MPTB+mwK76pkQ
STg/6O3ljzMOijioPWmedxZo3pu23G4jaRG4fe0g9VeE4fwzYCAEdy86H6Y+
Nvfov03Lwx00Pqm8nKUpAg+PtUI6fOn3EHywfbslEOG15uhyhh+KDtKvH5lJ
LYnA4MPcD+PD3L/rVtff1NkRcPdfA/kvPALuHhgf5t5tn/9eqfCMxODD1F+t
eKlmyBEJdz/Yf38i4O6H8WHuh/Fh4Q3jw+LDk4dJu50tEh5fMPtg8Qnjw+Ib
5l50Pkx9U6Dn3IZZEXDz4OEFtQ/Gh7kHxkdPrzA+ALi8TDo=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 
            3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJ+KC3OEsan+yvW4c+30gdzDLUdMvaUTJbgiYPzl84+
orBBCZMvMS9O8/QHBP9p4sJrJut14PphfPY1MlEpv2Ph/PosoAKDaDgfKGt9
Xx7Bf7/8mLc5JyYfZh+MD3MPTD+Mny/UfOCUIYKP7j+Ye/bm17yd+VUZ7l4Y
H+YfdH5m/ofWk1tU4HwTYyAoVoXrh/Fh9sH4MPfA+DD3wvgw/6DzYfbB+DD3
wPTD+LDwhPHR/QcAwcTSJw==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIbIGYC4r9XKl6qGSY4nAEDLYfPIIEgBP/jJd8kgYQE
h/NXw97o79ZyyBdqPnAqN8Gh/rdVwbkMLYf0iW9r7CcmOMgsf+GhN1/TIZRP
d9Pc5QkOmfkfWk9OUYfzX2Rpf5suqwrng42XUXLIfv575ce2BAcTYyCYLO9Q
YMt1fXEMgv9++TFvc18E/6tGTP8hxwSHmSDAqeDA3jjVuVsnwWFvfs3bmU+B
/DUyUSnSUPlORYfuHKAFggkOzhOahdJOKTrwA61/z47gCwC9s/BrPJyvcPtn
XdaTeIfZIP2eCD7EPAU4H+IeOYcOx4SnF7gSHP6DgYwDo3a72E0jBB8cnnEI
fvaekskSPQkOb9pyu41uyznE7vLkYVqOcP+Nc9+DHx+Ehk+MEoS+kODwJHHh
NZN8FTg/AxS+V9Tg/DmLlHf+Wa7hcB6ofenxBAd9RfkvOWFaDtcXA0N0e4LD
n2+lD+YUakPCfzU0Pq11HJIFIiy3LEhwqAXF5wog3/q+f287MH5ZjvYbhutC
3Lc+waGF13/9FFZ9h8vA5BCxN8Fhg17eYkYdAzgfFBzGyoZw/tedt7r+TjWC
mD8jwSE9DQimGUPSUwqCDwzNPSXuCD4wNVzy1Utw4Adal+ph7MAcBnSwZILD
F5B5W40ceqbnCTVzJDhsMf9xKMXKyAEY29b3/8c7LL6/j2/OYUMH2dbXgTue
xTtIz4vTPL3BACL/Pd7h9GGntZnzDCDpQxgavm8MHcDpXzcBor/ZCJLeAhF8
sLvKEPzo/kNfNSZA7d9lCOdzu6mWMs0yQJV/pQ8PzwcR4tsvLtCD5JdKaPjt
0YWERwYi/MH8CGh6kddxgOVP/4sTY/45azug51cAv77FwA==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
            138.03399999999996`, 9.2875}, {137.49800000000002`, 9.2875}, {
            137.052, 8.82344}, {137.052, 8.268749999999999}, {137.052, 
            7.749999999999999}, {137.49800000000002`, 7.3031299999999995`}, {
            138.01699999999997`, 7.3031299999999995`}, {138.57199999999997`, 
            7.3031299999999995`}, {139.03599999999997`, 7.749999999999999}, {
            139.03599999999997`, 8.268749999999999}, {139.03599999999997`, 
            8.82344}, {138.57199999999997`, 9.2875}, {138.03399999999996`, 
            9.2875}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
            148.32799999999997`, 19.337500000000002`}, {141.71299999999997`, 
            19.337500000000002`}, {140.658, 16.707800000000002`}, {
            140.96099999999998`, 16.5656}, {141.73, 17.781299999999998`}, {
            142.052, 18.014099999999996`}, {143.03599999999997`, 
            18.014099999999996`}, {146.91599999999997`, 
            18.014099999999996`}, {143.37499999999997`, 7.356249999999999}, {
            144.53799999999998`, 7.356249999999999}, {148.32799999999997`, 
            19.051599999999997`}, {148.32799999999997`, 
            19.337500000000002`}}}], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
              3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
             0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQBmIQfXqh67bPvckOtpURK0zXGjucKNs3X6o72SE9DQi2
GTvcWFxgy1Wc7PD3W+mDOYXGDqF8upvmJkPV+xo7JAtEWG7xgMoLGjtk7ymZ
LGGR7HAGBN4YwflL7u/jm7PYyCHF+r5/r3WyA6//+impK4wcEp5eULpti8Z3
RPDv/KzL2hOB4N849z34cWyyw5PEhddM6hH84q2iv0/vM4Tz1wjp8KW/U4Dz
RSonlZxdIu8ANP1nXV+yg/onlZezPGUdHEzjdnnuQfB12sVunmNPgfMnvK2x
N3VKcTAGgclKcL7MvDjN0xvU4XxdRfkvOWI6DktnH1HYIJbiYAJSX6zvYHBX
ha3xbjKcf/irRkz/LgQfqLooY2ayQ3xIkPoCTT0HWHzU/rYqOJeh44AePwAo
X78F
             "], {{156.436, 13.257800000000001`}, {156.436, 13.9547}, {
             157.27700000000002`, 14.598399999999998`}, {158.20600000000002`, 
             14.598399999999998`}, {159.60000000000002`, 
             14.598399999999998`}, {160.495, 13.2047}, {160.495, 
             11.021900000000002`}, {160.495, 9.0375}, {159.63599999999997`, 
             7.893750000000001}, {158.17, 7.893750000000001}, {
             157.24099999999999`, 7.893750000000001}, {156.436, 
             8.304689999999999}, {156.436, 8.75156}, {156.436, 
             13.257800000000001`}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
             4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{167.17, 
             15.725000000000001`}, {164.84500000000003`, 
             15.725000000000001`}, {163.21899999999997`, 
             14.007799999999998`}, {163.21899999999997`, 11.5406}, {
             163.21899999999997`, 9.12656}, {164.88099999999997`, 
             7.321879999999999}, {167.13400000000001`, 7.321879999999999}, {
             169.38799999999998`, 7.321879999999999}, {171.10500000000002`, 
             9.21719}, {171.10500000000002`, 11.6844}, {171.10500000000002`, 
             14.026599999999997`}, {169.45899999999997`, 
             15.725000000000001`}, {167.17, 15.725000000000001`}}, {{166.938, 
             15.225000000000001`}, {168.43899999999996`, 
             15.225000000000001`}, {169.495, 13.507800000000001`}, {169.495, 
             11.0578}, {169.495, 9.0375}, {168.69100000000003`, 
             7.821879999999999}, {167.34799999999998`, 7.821879999999999}, {
             166.652, 7.821879999999999}, {165.99099999999999`, 8.25156}, {
             165.61399999999998`, 8.965629999999997}, {165.11399999999998`, 
             9.895310000000002}, {164.82799999999997`, 11.148400000000002`}, {
             164.82799999999997`, 12.417199999999998`}, {164.82799999999997`, 
             14.115599999999999`}, {165.66899999999998`, 
             15.225000000000001`}, {166.938, 15.225000000000001`}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIDIGYC4mPe5p2OF1Id/C9OjPnnrO0A5r9IdYgPCVJf
8FLHwZbr+uKCn6kO+lorhS+06DpYbjlRto8/Dc434FgjE6WD4Otsmvt+uVWa
w/mrYW/0rXXg/JpPGwKyd2nC+Xvza97OXKoE5/PHBtw3Mldw0IjpP/TVJM3h
PwjUyztYgOwTTnMwMQYCYQQfLP9f1mGKBEsYXy8mH6Z+gZT+XZW8NAf1Tyov
Z52Ud1g6+4jChqw0h7VCOnzpegpwPsw9MD44PA5rwvkw/4H5QVDzi/Uh/ldB
8G3u+/dOZ0LwD30F+uhVqkMDy9F+w+l6DvDwviVdk1ikA+fX/7YqOLfC2OGS
b5JAxNlUh/Q0INhm7HDj3PfgxztTHSYEl6hMrzd2COXT3TR3daqD6pPmeWej
jB1SrIEWdqc6/P1W+mCOoLFD1p6SyRI1qQ5nQOCNEZy/5P4+vjmLjRxAxqbV
pTrw+q+fkrrCyAEU3BoNCH7cLk8epmYEH2zfbDT1C1IdFoPMa0bwi7eK/j69
zxDOh4UnjC9cOankrIqCw52fdVl75qQ6iID4S+Qh7q9OhccXjA+LT8eEpxeU
vmPyYepPLXTd9vlqKjy9wMITFr8wPsw96OkdAC6AWT8=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGItIGYCYhNjIJie5uB/S7om8ZOOA5g/P81hreqT5nm8
ug4GHGtkopakOTSwHO03FNd1UGFrnOq8GsFfcczbvHMngr909hGFDfvSHPS1
VgpfaNGB8/98K30w56MWnL/y28uKMwxKcD5/bMB9I3MFCH9XmoPsrgX7Ut/J
O5jE7fLkmZYGcZcwgv8fDGQdQM5LkU/H4MPU90zPE2r+keag/knl5SxPeYcZ
QO6Bd0D/CenwpespwPnua44uZ7BQgvP9L06M+eesBefX/7YqOJeh7TDh0FeN
GPZ0hwBQeBnpOnQ4Jjy9IIbgc11fXGArheDD3AMODxZdB5YwPt1NqukOtSDz
Vug4MGq3i93Ug/I1dBz+Xql4qWaaDo0PbQdQcHfbIPh/Vn685OuF4H8BaQhK
h8RXrw6cz8LZJZ/cpwvnb9DLW8y4Rw9inxs0fIr1Ie4zRuNLI/hg/3GlOzyI
EN9+cYEePDx0FeW/5IjpwPlPQPIJ+g5A1+Y8f50G1w9OH2fTHOJDgtQXrNRz
0IjpP/R1B1TeWM8Blv4g6UXXAT09AgCpchRb
            "]]}, {
           Thickness[0.005330206278982997]}, StripOnInput -> False]}, {
        ImageSize -> {187.61237359900375`, 23.511820672478205`}, 
         BaselinePosition -> Scaled[0.3169518292168768], 
         ImageSize -> {188., 24.}, 
         PlotRange -> {{0., 187.60999999999999`}, {0., 23.51}}, AspectRatio -> 
         Automatic}]}, "LineLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18], 
                    RGBColor[0, 0, 1]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18], 
                    RGBColor[0, 0, 1]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18], 
                    RGBColor[1, 0, 0]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18], 
                    RGBColor[1, 0, 0]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18], 
                    RGBColor[0, 
                    NCache[
                    Rational[2, 3], 0.6666666666666666], 0]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18], 
                    RGBColor[0, 
                    NCache[
                    Rational[2, 3], 0.6666666666666666], 0]], {}}}, 
                    AspectRatio -> Full, ImageSize -> {20, 10}, 
                    PlotRangePadding -> None, ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0, 0, 1], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0., 0., 0.6666666666666666], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "1"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0, 0, 1]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0, 0, 1], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0.6666666666666666, 0., 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0, 0], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0, 
                    Rational[2, 3], 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0., 0.4444444444444444, 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", 
                    FractionBox["2", "3"], ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0, 
                    Rational[2, 3], 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0, 
                    Rational[2, 3], 0], Editable -> False, Selectable -> 
                    False]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.795271186187059*^9, 3.79527122750694*^9, 3.795271258408072*^9, {
   3.795271313958558*^9, 3.7952713706693087`*^9}, 3.795271410179556*^9, {
   3.7953204865681677`*^9, 3.795320495074655*^9}, 3.795374539097513*^9, 
   3.795410509841799*^9, {3.7954105583706217`*^9, 3.795410623199259*^9}, {
   3.795410699730356*^9, 3.7954107444825583`*^9}, {3.79696110042951*^9, 
   3.796961113144022*^9}, 3.796961158525247*^9, 3.797001425844735*^9, {
   3.797001999585578*^9, 3.797002050610894*^9}, 3.797002160061145*^9, {
   3.797002232316641*^9, 3.797002235202795*^9}, {3.797002278973998*^9, 
   3.79700233265626*^9}, {3.79707662443594*^9, 3.79707663418239*^9}, 
   3.7970767652781467`*^9, 3.797077985572648*^9, 3.7971553936032248`*^9, 
   3.7971737063400784`*^9, 3.797177983694274*^9, 3.7974423322716713`*^9, {
   3.797442362656077*^9, 3.7974424065831823`*^9}, 3.7974432669479733`*^9, {
   3.797443311887266*^9, 3.797443328869635*^9}, 3.798170234785695*^9},
 CellLabel->
  "Out[153]=",ExpressionUUID->"05a90f35-9e7d-4d82-bf9e-5c4c3d762410"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"EwGICS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"w", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          FractionBox[
           RowBox[{
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"Length", "[", "S51", "]"}], ",", "2"}], 
             "\[RightDoubleBracket]"}], "-", 
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}], 
           RowBox[{
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"Length", "[", "S51", "]"}], ",", "1"}], 
             "\[RightDoubleBracket]"}], "-", 
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}]], ")"}], 
         "w"}], "+", 
        RowBox[{"S51", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "0", ",", "1", ",", "0.025"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"FindFit", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"EwS51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       FractionBox[
        RowBox[{
         RowBox[{"EwGICS51", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
         RowBox[{"EwS51", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
        RowBox[{"ExS51", "\[LeftDoubleBracket]", 
         RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"-", "w"}], 
    RowBox[{"(", 
     RowBox[{"1", "-", "w"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"a", "+", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"w", "-", 
         FractionBox["1", "2"]}], ")"}]}], "+", 
      RowBox[{"c", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"w", "-", 
          FractionBox["1", "2"]}], ")"}], "2"]}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", "w", ",", 
   RowBox[{"MaxIterations", "\[Rule]", "1000"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.794972349954073*^9, 3.7949723548082647`*^9}, {
   3.794972398737747*^9, 3.794972405442884*^9}, {3.7949735538736134`*^9, 
   3.794973553988997*^9}, {3.794973610975874*^9, 3.7949736317376328`*^9}, {
   3.794978349851636*^9, 3.794978356745721*^9}, {3.7949786098317823`*^9, 
   3.79497862237997*^9}, 3.795186684749942*^9, {3.795186714971677*^9, 
   3.795186719931954*^9}, {3.795186820912775*^9, 3.7951868219027643`*^9}, {
   3.796960856495716*^9, 3.796960897036413*^9}, {3.7969658353503113`*^9, 
   3.796965844804584*^9}, {3.796966992527972*^9, 3.7969669925994062`*^9}, {
   3.7971530005732317`*^9, 3.7971530150085793`*^9}, {3.797153121625874*^9, 
   3.797153125237859*^9}, {3.7971532091824217`*^9, 3.797153212417316*^9}, {
   3.7971532443887787`*^9, 3.797153256949741*^9}, {3.797154079409487*^9, 
   3.797154089065996*^9}, {3.79715590598278*^9, 3.797155906136916*^9}, {
   3.797156022107486*^9, 3.7971560224449*^9}, {3.797173794957734*^9, 
   3.797173828422369*^9}, {3.797173874959502*^9, 3.7971738949350986`*^9}, 
   3.7973551441912823`*^9, 3.797355215530098*^9, {3.797436639719204*^9, 
   3.797436730215201*^9}, {3.797437881152383*^9, 3.7974378930803223`*^9}},
 CellLabel->
  "In[151]:=",ExpressionUUID->"4ced83df-82fb-479a-80ad-f54999d07ac1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "\[Rule]", "0.4997782096050425`"}], ",", 
   RowBox[{"b", "\[Rule]", 
    RowBox[{"-", "0.03580667554984308`"}]}], ",", 
   RowBox[{"c", "\[Rule]", 
    RowBox[{"-", "0.3763091614555421`"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.797496549771679*^9},
 CellLabel->
  "Out[152]=",ExpressionUUID->"e761cef7-ba89-40f0-af81-9f25b144f7d8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "\[Rule]", "0.5751782560799208`"}], ",", 
   RowBox[{"b", "\[Rule]", 
    RowBox[{"-", "0.021108186591137282`"}]}], ",", 
   RowBox[{"c", "\[Rule]", 
    RowBox[{"-", "0.36718902716347124`"}]}]}], "}"}]], "Input",
 CellChangeTimes->{3.7974378958230247`*^9},
 CellLabel->
  "In[194]:=",ExpressionUUID->"435d8ce4-d7ff-48f6-a36d-eeae80173fe5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "\[Rule]", "0.5751782560799208`"}], ",", 
   RowBox[{"b", "\[Rule]", 
    RowBox[{"-", "0.021108186591137282`"}]}], ",", 
   RowBox[{"c", "\[Rule]", 
    RowBox[{"-", "0.36718902716347124`"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.797437895880715*^9},
 CellLabel->
  "Out[194]=",ExpressionUUID->"768775f5-78ab-4c99-8cde-2d755074e776"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ListPlot", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"EwS51", "\[LeftDoubleBracket]", 
            RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
           FractionBox[
            RowBox[{
             RowBox[{"EwGICS51", "\[LeftDoubleBracket]", 
              RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
             RowBox[{"EwS51", "\[LeftDoubleBracket]", 
              RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
            RowBox[{"ExS51", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]]}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{
            RowBox[{"\[LeftFloor]", 
             FractionBox[
              RowBox[{"Length", "[", "S51", "]"}], "2"], "\[RightFloor]"}], 
            "+", "1"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", "}"}], 
      "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"1", "/", "3"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"-", "0.1"}]}], "}"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"MaTeX", "[", 
          RowBox[{"\"\<\\\\text{Weight $w$}\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"MaTeX", "[", 
          RowBox[{"\"\<\\\\text{Excitation energy (eV)}\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotLegends", "\[Rule]", "Automatic"}]}], 
     "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "w"}], 
        RowBox[{"(", 
         RowBox[{"1", "-", "w"}], ")"}], 
        RowBox[{"(", 
         RowBox[{"a", "+", 
          RowBox[{"b", " ", "w"}], "+", 
          RowBox[{"c", " ", 
           SuperscriptBox["w", "2"]}]}], ")"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a", "\[Rule]", "0.4287634155963178`"}], ",", 
         RowBox[{"b", "\[Rule]", "0.362874512113072`"}], ",", 
         RowBox[{"c", "\[Rule]", 
          RowBox[{"-", "0.5520160251910754`"}]}]}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"w", ",", "0", ",", "1"}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}]}], 
   "\[IndentingNewLine]", "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.794935354904318*^9, 3.7949353697005653`*^9}, {
   3.794936088567958*^9, 3.794936113022936*^9}, {3.794936144429874*^9, 
   3.794936337776998*^9}, {3.794936391029435*^9, 3.794936435138995*^9}, {
   3.794936478816742*^9, 3.794936491177528*^9}, {3.794972228989231*^9, 
   3.79497224723491*^9}, {3.7949722942821302`*^9, 3.794972313743471*^9}, {
   3.794972361724415*^9, 3.7949724163308496`*^9}, {3.7949735692321*^9, 
   3.7949736225484343`*^9}, {3.794979441159519*^9, 3.7949794610845413`*^9}, {
   3.795103557050374*^9, 3.795103563311448*^9}, {3.7951058191292257`*^9, 
   3.795105819603261*^9}, 3.7951058755165052`*^9, {3.795106135194106*^9, 
   3.795106135806675*^9}, {3.795175778987041*^9, 3.7951757898837233`*^9}, {
   3.795230674508573*^9, 3.7952307464315357`*^9}, {3.7969609079661093`*^9, 
   3.796960931288765*^9}, {3.796961028485944*^9, 3.796961033134243*^9}, {
   3.796965884367483*^9, 3.796965918889474*^9}, {3.796966974670188*^9, 
   3.796966999607914*^9}, {3.797152990146471*^9, 3.797152991358026*^9}, {
   3.797153021912283*^9, 3.7971530528313303`*^9}, {3.7971531158434134`*^9, 
   3.7971531385121813`*^9}, {3.7971532177962513`*^9, 
   3.7971532639095573`*^9}, {3.797154095877022*^9, 3.797154103959312*^9}, 
   3.797155421646998*^9, {3.7971560287599707`*^9, 3.797156042399417*^9}, {
   3.797173850198811*^9, 3.7971738672299013`*^9}, {3.797173906751746*^9, 
   3.797173936708325*^9}, 3.7971779408957453`*^9, {3.797177994933633*^9, 
   3.797177997067803*^9}, {3.79717803174692*^9, 3.7971780345112753`*^9}, {
   3.7971805316861258`*^9, 3.7971805318847027`*^9}, {3.797182770396946*^9, 
   3.79718280122358*^9}, {3.797183757315462*^9, 3.7971837625474443`*^9}, {
   3.797326087487767*^9, 3.7973260986982613`*^9}, {3.7973512853956633`*^9, 
   3.7973513083102818`*^9}, {3.7973551575319843`*^9, 3.797355185907378*^9}, {
   3.797355227744759*^9, 3.797355261437545*^9}},
 CellLabel->
  "In[370]:=",ExpressionUUID->"3e1d531d-968b-4347-a125-72660d1219b5"],

Cell[BoxData[
 GraphicsBox[{{{}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.009166666666666668],
       AbsoluteThickness[1.6], 
      PointBox[{{0., 0.}, {0.025, -0.010537500416727023`}, {
       0.05, -0.021116632756545045`}, {0.075, -0.031448804122897245`}, {
       0.1, -0.04142071866829137}, {0.125, -0.05096499138895241}, {
       0.15, -0.06003553779805292}, {0.175, -0.06859810474444594}, {
       0.2, -0.07662554464413976}, {0.225, -0.08409513214055282}, {
       0.25, -0.09098695007161373}}]}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.009166666666666668], AbsoluteThickness[1.6]}, {}}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.009166666666666668], AbsoluteThickness[
       1.6]}, {}}}, {{}, {}}}, {{{}, {}, 
     TagBox[
      {RGBColor[1, 0, 0], AbsoluteThickness[1.6], Opacity[1.], 
       LineBox[CompressedData["
1:eJwV1nk8VV0XB3BTTyJzkqRSKCmpDBmyFEKGkKLBTaYQZUpJHimplDRIEqJI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        "]]},
      Annotation[#, "Charting`Private`Tag$9899#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{
     FormBox[
      GraphicsBox[{
        Thickness[0.005427997611681051], 
        StyleBox[{
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+OjiuNTgUo9LDS3MJ9VeWpgJ
AMqrAi8=
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJDIGYC4u0OTY+O79B0eJGl/W26rLrDJr28xYxzNOB8
2eUvPPTmqzkYg8BlJYeEkCD1BS9VHNYK6fCl31N0+LLv49b0Mjk4/4FrvOOs
QBk4/+wZIMiRQFUvJgpRJ6jksDPYKuJ/u4jDh0XrFc5GKDmEvL38cYaiiAN/
bMB9o3Ilh5kg8FMYwn+O4N/RlF3zf7IynK+vtVL4QoquQ/X9H7eMpRXg/NLD
21xnxirD+Xvza97O/Krs8CRCfPvFBzoONZ82BGRXqTiI9ni9Ypmi6eB3cWLM
v2RVDP7Xnbe6/qYawtXD+CbggFFx8D7Bbjt7qoHDFvMfh1K4VBw03vLuM/A0
cHCZ0CyUNkvZARSM/xkNHNLTgEBM2aGe5Wi/Ybi+w3uQv38oOrTw+q+fwqoP
dz+MD/MfOn8DKJ7eGMP5YHurTCDuKRZxqPttVXBuhomD25qjyxlmiMH5YPUr
FeB8j/21shbqqnB+Ksh9bGoOoGg742MCCYctag4H25aHn2oycvj7rfTBnI3q
cL4RyL7J6g5cbqqlTFGmDhJNMlMMLn+2R+dD3Gni8LL2cfb5NawO0ybwV5nd
NnGIUY2QObeHHRLOkxH8/uASlen6xnD+hathb/R3q8D54GD/rOiw5Nbyx4bN
rA7OoHCOUoTb5w7ytwaCDw73NAWHJ4kLr5m8V3eA8dHTPwDCdk81
           "]], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJFIAaxQYCJAQEYkWhmJDWMZKrBpR4Xmxj1xNg1UH6h
RD0AVMICSw==
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIbIGYCYvW3vPsMdho5pKeBgILDpw0B2bO2m2HwwznF
2o3/KzjMBAFJBN/v4sSYf5tNHe67xjvOWqjoANYmZurwAMRPVHaYPoG/yqzb
CEJrazv8/Vb6YI6hicPxXTt62T7oOyx74aH3f6KJQ7fXKxaTRgMH1SfN885q
mTqIT73CmXHJwOFFlva36WdNHT6D3HEdwfcH2ats6MDtplrKtMoIgw9TLwEy
x8nY4TlYn4HDbemaRKNSY4eSraK/T69D8MHq0xF8iDsMHHj8109JtTB28DnB
bju7VN8BFl41oICx0nPoDy5RmT7fCGL+X12Hw23Lw08lGTmkgsLBTdehYE33
7QwFqPoqHQcNkP6bhnB5dZA9XoYOf0Dh8lHP4Uniwmsm7w0cvEH2qRrA+TD3
wfgw90PC0xAeXmD/nzKE+x/Gh4UP2B1R2hh8mHodRfkvOdsQfPf9tbIWz3Xg
/ISQIPUFnboQ9001cGjhBQbQUT2HMyDgo+8gPS9O87SDoYNoDzBCp2g6zACl
l5+6Dnvya97OZFV2qP9tVXDuhI6DcOWkkrMpig5/3r4+YJms41B6eJvrTFlF
BxNjIBDWhqcvGB+WHsHpKNsAgw9TD7Zvpz6cL7McmMDs9SHp0VARzgfr34bg
g6wx/qwIiZc2fQfla4+CGXqUIP5kNXAQiA24bxSu7NDIcrTfcLqhQzU4/jUc
vu681fU31djBeUKzUNoqJYct5j8OpVQZO5wGhUeOksMBYPCltxg7MICAAYIP
sw/GB9tnA3QPKPwSoPLCivD0BvMPen4FAGrBi7s=
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ1IGYC4qUvPPT+M9o7zAQDNYenWdrfpvPaOTxwjXec
dVHZ4arQJ8fzYbYOZ0DgjpKDvtZK4QsmNnD+l523uv6mWsH5BWu6b2coWDrM
mMBfZcatBudPaW+NujxHC84X6fF6xbJFzyEl9o4bs4WVgzEIHDZw8Lk4Mebf
ZWs4fwrInG4bON+mMmKF6Vkbh+lgcQOH/2Bg43DisNPazHn6DiVbRX+flrN1
OA7i79NzqGc52m/obutgarM3aNpCXYcjbcvDTy2yddhi/uNQyisduH9hfHB4
TETjA8PnTTHQ4NW6cL7PCXbb2VP14PzPGwKyZ6UbOESIb7/IMM/W4To43Awd
xKde4cz4ZA3nq7/l3Wfw0wrO/w4Kv6+WDqDgMPlo4OANMlfV0oHbTbWUycrA
oRHkfnULeHjV/bYqODfD3OEB2CIdOH8yKHzvaMD53Taeu9I2KUP8oWXpsPLb
y4ozDAoOTxIXXjOJt4bzfUHh7WwD5/cHl6hM57eFhPdiBYfUNCA4ZuuwVkiH
L/2eIiS8/e0g8peVHPJB8bnBzmFvfs3bmU+VHTRA/vO0d3gBCldbNQf09AUA
mQsbLg==
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
            3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
            3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQzbJ4khXjXkeH60KfHM+HGTqoPmmed9bIweFJ4sJr
JvYGcH4Lr//6KU/1IeLuDg7Hd+3oZfug7yDv+DH5TKqDw/IXHnr/GQ0cireK
/j7d5uDQyHK035DdwMH7BLvt7LkIPti8Wwj+TBD46OAwdQJ/lVm2Ppz/BmTQ
al04X7TH6xVLiQqczx8bcN9ouqKD+bWjuSY3HBzc1xxdzqCh6OCuWso0S8PB
IZxTrN34vwKcn54GAgoO2Zw/F6Q3O2HwYeodmh4dn3Hb0eGBa7zjLENFiH+P
O8Ltg/Fh7oHxP28IyJ7lbuiAHp4Ad82WeQ==
            "], {{34.5438, 21.7688}, {
            34.0063, 21.7688}, {33.550000000000004`, 21.3125}, {
            33.550000000000004`, 20.756299999999996`}, {33.550000000000004`, 
            20.200000000000003`}, {33.987500000000004`, 
            19.743800000000004`}, {34.5438, 19.743800000000004`}, {
            35.11879999999999, 19.743800000000004`}, {35.57659999999999, 
            20.179699999999997`}, {35.57659999999999, 20.756299999999996`}, {
            35.57659999999999, 21.3125}, {35.11879999999999, 21.7688}, {
            34.5438, 21.7688}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
           0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIVIGYCYl7/9VNSPVwd/C9OjPmnbOjwaUNA9ix3Fwz+
ihceev8LjeF8A62VwheWGDuwLJ5kxegKVb/Z2EHB8WPyGVMEf6Ne3mJGFReH
9DQgaDN2OAMCIi4OYHsjjB1+xeQe/cfk4uB9gt12tqqxg8TUK5wZi5wdIsS3
X2TgM3JgBZlv6uwwEwQkDR3al4efMuJxhqhnNXTgAZnzwclhOch9Dw0cgktU
pv9/4ORw+rDT2sx9CD7EvQg+WP9UAwf7pkfHZzx2cpg+gb/KrNvAwRgEXjs5
dHu9YjFpNICYW+iMwQf7g0cVzgf7b5sihN7n7LDy28uKMwwKDgdqZS3SQ1zg
/BCQ/RcQfLC/DF0dhCsnlZz9ouDgBXJXq6vDnvyatzNZlSH6U1wd9oL4pcoO
a7pvZzDouzrwxwbcNypXcqiIWGF6ltnV4YFrvOMsQSj/tAucD46PXAQfFn93
NGXX/FdWRotPVTgf5l9Y+kDnw9IHAKAD9Pw=
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 
            3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGAwB2IQXf/bquDcB0+HPfk1b2eyKjv4nGC3nX3U04E/NuC+
UbmSw5ru2xkMyz0dhCsnlZx1UXIILlGZ/r8BwU8DATcEf8o3tvgZJp4OxiBw
GcEPuCVdkzhJBc73B/GDdOD8P29fH7BM1nP4DwLqng4JIUHqCzr1HS7lx7Of
Y/R0eJK48JqJvYHDRRD/pIfDl523uv5+NXDYXytrkR7j4XBd6JPj+TBDiHuO
ucP5IGWp193gfBOQu6TdHJ5naX+bHmsA59d82hCQbaUH5x/dtaOXLUDXIUJ8
+0UGPzcHfa2VwhdadBzcVEuZZnUg+F7g8ELw/8TkHv33C6Efxj8O4hvowflb
HZoeHY/Qc+DxXz8l9Yebw4viraK/u/Ug9n1zg7jjsp5DHTh+3BxYOLvkk/X0
HfQmLPhh+M4NEk71CL4HKCCOI/hnQCDHwAHkrVn27hD+HQMHUDCkLUXwl7/w
0Puv6AHnz7PRuTIrzcNB4y3vPgNPBB9inh6c/wDsUB1I+rjv5hAPji9Nh8qI
FaZnN7s5bAf5z0ITmj7cHHQV5b/kbFOH8PncHLaY/ziU8krNQe1J87yzr1wd
pObFaZ6eoArnPwKZ76AC54P9u1/RQRXEj3JzWPntZcUZBgV4eMH4Co4fk8+k
uqPKn3N3SAfZe03BodvrFYtJpgckfT9XgsiXecDl7YHOnrHYA65/g17eYkYe
TzhffOoVzowkBP+4ptWk09M9HZwnNAulVSk4wPJT+eFtrjP/Kjqg5y8AWxaO
Wg==
            "], {{48.80159999999999, 10.643799999999999`}, {
            48.80159999999999, 10.028100000000002`}, {48.70309999999999, 
            9.848440000000002}, {48.2859, 9.61094}, {47.80779999999999, 
            9.33281}, {47.251599999999996`, 9.153129999999999}, {46.8344, 
            9.153129999999999}, {46.13909999999999, 9.153129999999999}, {
            45.58279999999999, 9.82969}, {45.58279999999999, 10.6828}, {
            45.58279999999999, 10.762499999999998`}, {45.58279999999999, 
            11.9344}, {46.398399999999995`, 12.649999999999999`}, {
            48.80159999999999, 13.524999999999999`}, {48.80159999999999, 
            10.643799999999999`}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
           0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIVIGYCYvumR8dnVPs4+F+cGPNP2dBB/UnzvLNV3hj8
FS889P4XGsP5BlorhS8sMXYwv3Y016QCqn6zsUNIicr0/xkI/pPEhddMwr0d
0tOAoM3Y4T8IuHs78Pqvn5IaYeygP2HBD0MzbwfvE+y2s1WNHXxA9FUvhwjx
7RcZ+Iwg5md4OcwEAUlDhx23uv6m2ntB1LMaOjiA3K/s5bAc5L6HBg7ty8NP
GYl4OZw+7LQ2cx+CD3Evgg/WP9XAoWSr6O/TYl4O0yfwV5l1G0DcKefl0O31
isWk0cDhhnRNotFSTP4ZEOBRhfPB+rYpOswAufOjl8PKby8rzjAoOHzZEJA9
q90bzm8F2c/iA+eDzUnxcRCunFRy9ouCQ+1vq4JzO3wc9uTXvJ3JquzwAaR/
uo/DXhC/VNnh/j6+OcZJPg78sQH3jcqVHNZ0385gMPdxeOAa7zhLEMr/7w3n
g+NjAYIPi787mrJr/isro8WnKpwP8y8sfaDzYekDAA8BATc=
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
            3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
            3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQbX7taK5JgZ/DdaFPjufDDB3CxbdfZHjm4/AkceE1
E3sDOL+F13/9lKf6DuJTr3Bm/PJxOL5rRy/bB32HkBKV6f8lfB2Wv/DQ+89o
4LAURFv6OjSyHO03ZDdwqP1tVXAuAMGPAJnXh+CfAYElvg5TJ/BXmWXrw/lv
ireK/l6tC+eL9ni9YilRgfP5YwPuG01XdMjh/LkgvdvXwX3N0eUMGooOFREr
TM/e9nEI5xRrN/6vAOenp4GAgsNcG50rs8z8Mfgw9SVAa0/3+Tk8cI13nGWo
CPFvlR/cPhgf5h4Y//OGgOxZ7oYO6OEJAKZsl+0=
            "], {{59.94379999999999, 
            21.7688}, {59.40629999999999, 21.7688}, {58.94999999999999, 
            21.3125}, {58.94999999999999, 20.756299999999996`}, {
            58.94999999999999, 20.200000000000003`}, {59.38749999999999, 
            19.743800000000004`}, {59.94379999999999, 19.743800000000004`}, {
            60.5188, 19.743800000000004`}, {60.97659999999999, 
            20.179699999999997`}, {60.97659999999999, 20.756299999999996`}, {
            60.97659999999999, 21.3125}, {60.5188, 21.7688}, {
            59.94379999999999, 21.7688}}}], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
            4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
            67.96719999999999, 17.3391}, {65.38439999999999, 17.3391}, {
            63.576599999999985`, 15.4313}, {63.576599999999985`, 12.6906}, {
            63.576599999999985`, 10.007799999999998`}, {65.4234, 8.00156}, {
            67.9266, 8.00156}, {70.42970000000001, 8.00156}, {
            72.33749999999999, 10.107799999999997`}, {72.33749999999999, 
            12.848399999999998`}, {72.33749999999999, 15.451599999999997`}, {
            70.50940000000001, 17.3391}, {67.96719999999999, 17.3391}}, {{
            67.7078, 16.782800000000005`}, {69.3781, 16.782800000000005`}, {
            70.55, 14.874999999999998`}, {70.55, 12.1531}, {70.55, 
            9.909379999999999}, {69.65629999999999, 8.557809999999998}, {
            68.16559999999998, 8.557809999999998}, {67.39059999999999, 
            8.557809999999998}, {66.65629999999999, 9.034379999999999}, {
            66.2391, 9.82969}, {65.68279999999999, 10.862499999999997`}, {
            65.3641, 12.2531}, {65.3641, 13.664099999999998`}, {65.3641, 
            15.5516}, {66.2984, 16.782800000000005`}, {67.7078, 
            16.782800000000005`}}}], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYCYhudK7Oe+QY5ODQ9Oj5D2sBhJgiEBjmoPmme
d1bLwMGzulnfJynIoT+4RGW6voHD4klWjL4FCP5jEdmTTycj+P5yYlm+84Mc
PPbXyloc14fzM/I/tJ68ogvnzwDZ81MZzk9PA4Jtig7f2eJn+EwMcnBfc3Q5
g4aig7bVpNP1AUEO4Zxi7cb/FeB8sPo0BYdI8e0XGeKCMfgw9d1er1hMZIPh
5h2+rJ0qyRXscN813nHWQgT/PwjwK8P5NZ82BGRb6TmYGAOBe7DD8hceev8Z
DRwkPAL+SCQHOzxJXHjNxN7AoSCe/ZxkL4K/+1bX39TTCD44fF8GO4hPvcKZ
4aQP5/95+/qA5WIdON/rBLvt7FAVOF+4clLJ2SuKDsKfHM+n3US4X8HxY/KZ
mQj/wfgw/4Pja1EIBh+mngEEUkIcHoD8b6josOHhy6mbQkIclK89CmZYg+Cv
FdLhS5+nDOenxN5xY96hA+dzu6mWMlkZOJwBAZkQh+tCQIeGGTpw/lyQvnlf
MJzfvjz8lFELgg9WHxPsULCm+3YGg6GDN8h9bMEOPiD/l+rD+WB1PoYQ//8N
gusXB4X//iCH6RP4q8x+I9IfKJqMD0PDG5iewfFViODD0jcAtrw5lg==
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQvb9W1iKdIcJhi/mPQymv1BwC5MSyfA+HO+zNr3k7
86myw4aHL6du6gl3WCukw5e+Twkib43gqz5pnnf2UxicL/P6kZnUnjC4frD6
6WEOCSFB6gs01RwOgOxrCHN4VbxV9PdqdYdrR3NNGsrDHM5fDXuj/1vD4cX2
9czPS8Ic5ixS3vknXdvBVbWUadafcDg/DQQ+hTs8z9L+Nv2vrsPWlpoLm5+G
O/hcnBjzT1nfwUbnyqxnR8Md9LVWCl8wMXCIyT36b9P8cIcNenmLGd8YOHxj
i5/hkxrucF3ok+P5MEMHCY+APxLKCP6nDQHZsx6HwfmVEStMzy4Pc5g+gb/K
7LcB3L0nDzutzfSDmm8Nc7+eA0hbmmSYQzzYvzpwvgcooJ9rwPnV93/cMs5W
hvt35beXFWcYFBxMjIGAPRzOZwCBBgQfHJ73wx0+LFqvcDZCCRI/IhEOP9++
PmC5WM0BPT4BgvvWcA==
            "], {{89.8672, 14.3391}, {90.08589999999998, 
            15.8891}, {90.76089999999999, 16.6234}, {91.9734, 16.6234}, {
            93.18439999999998, 16.6234}, {93.6609, 16.067199999999996`}, {
            93.9203, 14.3391}, {89.8672, 14.3391}}}], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4vx49nOSjhEODk2Pjs+QNnA4AwIeEQ6qT5rn
ndUycKhZty2pPjTCoT+4RGW6voHD1aO5Jg3JCL64R8AfiXYEvynQc27DpAgH
j/21shbH9eH8jPwPrSev6ML5M2YCwU9lOD89DQi2KTpoWU06Xd8S4eC+5uhy
Bg1Fh9jco/82OUc4hHOKtRv/V4DzwerTFBzeLz/mbR4YicGHqV/58ZJvkkAk
3LzvbPEzfP5GONx3jXectRDB/w8C/Mpwfs2nDQHZVnoO9/17p+dZRTosf+Gh
95/RwKH5wKmFrmGRDk8SF14zsTdw2C7X+jqwAcG3AWnYh+C3vA7cIXc30kF8
6hXODCd9OP/P29cHLBfrwPleJ9htZ4eqwPnClZNKzl4Bui/48dLZZxDuX+i6
7fPfHoT/YHyY//XvqrA1To3C4MPUr5GJSrEOj3J4APK/oaIDiHvfPcpB+dqj
YIY1CP5aIR2+9HnKcH5K7B035h06cD63m2opk5UBNNyiHK4LfXI8H2boELAD
GCAbI+H8hqnO3TnlCD5YvX+kQ8Ga7tsZDIYOtaD09TPCwQfk/1J9OB+cDn0M
HUDWzPoQAdfvWd2s77MpwmH6BP4qs9+I9GcMAocNHGDpGRxfhQg+LH0DALOC
Rpg=
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQfUeFrXHq5hiHLeY/DqW8UnPw4GHSbi+LcdibX/N2
5lNlB5moFOv79jEOa4V0+NL3KUHk30XD+XtKJkuwLEPw57xffsw7Pxqu/7zS
7Z91XtEOCSFB6gs01RzA9hlHO7wq3ir6e7W6w5LZRxQ2aEU7nL8a9kb/t4bD
k6VAAY1ohzmLlHf+Sdd20GkXu3lufQycL9B84NTCpTEOz7O0v03/q+tg2umY
8HRGjIPPxYkx/5T1HUDOE6uMcdDXWil8wcTAoUZknfvDoBiHDXp5ixnfGDj0
TM8TapaIcbgu9MnxfJihQwvQONdr0XA+f4TllhPTEPz4XZ48TNHRDtMn8FeZ
/TaAu/fkYae1mX4GDl/+Xql4+S4K6n49h+/Bj5fOPhPlEA/2rw6c77G/Vtbi
uQacX33/xy3jbGW4f1d+e1lxhkHB4b5/7/S8XQi+iTEIxMD54PCcFOPwYdF6
hbMRSpD4OR7j8PPt6wOWi6HhixSfAEdA2+s=
            "], {{108.66699999999997`, 
            14.3391}, {108.88599999999997`, 15.8891}, {109.56099999999998`, 
            16.6234}, {110.77300000000001`, 16.6234}, {111.98399999999998`, 
            16.6234}, {112.46099999999997`, 16.067199999999996`}, {
            112.71999999999998`, 14.3391}, {108.66699999999997`, 14.3391}}}], 
          
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
           0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGItIGYCYtNOx4SnL2IcWnj91095qu+wZPYRhQ2/YhyW
v/DQ+89o4LDW/WGVCFusQyPL0X5DdgMHH3OgBlEEv3TffCl9UwS/NmtPyWSH
WIepE/irzLL14fw3xVtFf6/WhfPPgMAeZTj/PwjsV3QAWbfOPNbh/aL1Cmcr
FB1S04DgWYxDOKdYu/F/BTg/HUSnKTgUZEx8WyMeh8GHqedh0m4XOxjrUHp4
m+tMWUUH9jUyUSmrYyHqtyH4M2YCwU9lOH+L+Y9DKa904Pzju3b0shnoOaga
cqyReQTVL2bgoHD7Z10WSxycnwH0jgQPgg9zD8R8fQfduypsjapxDqI9Xq9Y
pug7BOyQa31tGQcJf1Z9B512sZvn3OMc6n9bFZw7oeew4uMl36QIBP/L3ysV
L8sQfJfunOe/O+McfE6w284u1YfzNd7y7jPwNIDzQdaZfDRwmPN++THv/DiH
60KfHM+HGTqUv1Qz5HBB8G3u+/dO50Pwa+xN43a9jIWkh4cG8PD48630wZyP
enA+OD59DB1aXgfukFsai6o/Ecp/ZuAwxRnoIONYBwOtlcIXlhg4wNKf/8WJ
Mf+cEXxYegQAzDMkvg==
           "]], 
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
            3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
            0, 1, 0}}}, {CompressedData["
1:eJxlk3tIU2EYxpehqUTptDSbpXMendrcnMNKw3ellkRkm9QQO+cYastCxYSy
lmUqFjNSyltXJcSEZWamJl6G3USFzRQDK7wlXmKISqaIrfN15jl/9MLH4cf3
nYfnvXmeSVMkWXE4nHDqoK/X15XslEQSeE9wYa8xENY588221d46MVDUlill
uSyVm6vHWJ6r+Xg0xJ2E3ncHX5zrEEMheuBAQs30EZF5TAxGPiVoRUJjyHJX
or0Eqh++96gfJyA8S/VcdkACzbvyf57QE/CFuyA3nJTAIyT4lGVe4HeBjZBl
jXPd4bEenPG7zsFSFAEMxwzv1CQ0CEGVGDpy3ITDp9aWOzZiXzAhv3ICxlUu
zf2jGKNPxip8KoUYeEtsdTwuAfcL8uMGNN5gQP7tLffR3nCNKse9URxcSwbt
1HwBmFEYcHA4HTMSdMqLYa+hcSWnkM/w2WQqmjzp/EYs92GesEnHi0t0IqB2
aeZyX7oHbLbyL9j+Foc19F8nD7aq9jV2l+K0zm43hj1aKzuSRC4MV6BY4UKE
9sLU6oqlHotb4JacnDRmEAz/y+8zywENj+dq3EjIGlkelmodobOnKrIplIRY
08B8+ZgzlByiBJUkROk+1HBULnT/cBL02o6bwRM7GG5R7leZp3gMHyrK5SbP
ekAfCiChPU1jqijhwy/f+LtdjiR8E7rrzK/5kKkuNmmuEzAaScgfzPNBTZXX
NYyANvTe2gvCZXhrNM9yn8Dysf7i+D8bBQxPJlQNBRsEkKenEoiy5CfF6H6p
CRD71ToZ8zC4NINJbDMJ0CzUx5y/gsHLDGSAoOcpHYOIpsW1wRssy25TBSwn
oEGU+mxDPAZUdhnqWoKeLwVG9+sVyz9QAUZZRuOVY2eZ/1mM2ZfpFP+lsjUf
KDJpwmVBJFxFftyETP270T5l+zFM+w1gWBbWriit2gPWOVSH9lJ6F6mF1IrA
8Fs5UR34/z6v81/Le8N3
            "], {{124.71999999999998`, 
            8.160939999999998}, {125.37700000000001`, 8.021880000000001}, {
            126.96599999999997`, 7.90156}, {127.93899999999996`, 7.90156}, {
            129.74699999999999`, 7.90156}, {130.403, 7.643750000000001}, {
            130.403, 6.9281299999999995`}, {130.403, 5.77656}, {
            128.89200000000002`, 5.00156}, {126.64699999999999`, 5.00156}, {
            124.89999999999998`, 5.00156}, {123.74700000000001`, 5.57813}, {
            123.74700000000001`, 6.45156}, {123.74700000000001`, 
            6.909379999999999}, {123.88599999999997`, 7.167189999999998}, {
            124.71999999999998`, 8.160939999999998}}, {{124.82, 
            14.915599999999998`}, {124.82, 16.087500000000002`}, {
            125.37700000000001`, 16.782800000000005`}, {126.291, 
            16.782800000000005`}, {126.906, 16.782800000000005`}, {
            127.42199999999998`, 16.4453}, {127.74099999999999`, 
            15.848399999999998`}, {128.09799999999998`, 
            15.153100000000002`}, {128.33599999999998`, 14.2391}, {
            128.33599999999998`, 13.465600000000002`}, {128.33599999999998`, 
            12.3516}, {127.76099999999997`, 11.656300000000002`}, {
            126.84699999999998`, 11.656300000000002`}, {125.65499999999997`, 
            11.656300000000002`}, {124.82, 12.9484}, {124.82, 
            14.856299999999997`}, {124.82, 14.915599999999998`}}}], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYCJAQEYkWhmKEZmI6uhRD0uvaSqpwWbGLcB
AJivAkM=
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4lA+3U1zlyc6+F+cGPNP2dDhq0ZM/6FATP7n
DQHZs64bOKgbcqyRSUPwj3ubdzoWJDpwu6mWMq1C8Hn9109JjUDwweY5Gzic
/x78eGl+ooP3CXbb2aoGEPNzEx2Wv/DQ+89o4PDxkm+SgEGiwxkQ4FF1yH7+
e+XHZwkONZ+AFkrpOzgmPL2g9DjBofa3VcG5FfoOIONmP0hwSE8DAjEDOP/k
Yae1mX4IPsx986X076q8SnB4nqX9bfpZAwdbruuLC1gR/oHxYf6/oHT7Z11T
AgYf7L47Bg5A1bZckxMc+EH+PWHgEA903u25CQ4Fa7pvZ0wwcPj890rFy0VQ
+60MHNjXyESlvE5w2KD6pHneWjWHyBTr+/5vExw26eUtZoxRc2DUbhe7+S3B
YcYE/iozbVWHApCDOBId1grp8KXrKTt0gAJAKNHhPwjsV4Tz3dccXc6ggeCH
c4q1G/crOABtVzNkSXSIUY2QOScj43BEYUNRxk+g+TOBYKekQ8/0PKHmDwkO
Gp9UXs5aKQ7x36MEB1BwpqmJOYCUzbyJ4OcLNR84dRXBB8fXhQSHvohuf8YA
MQfmMGCCOpng0KbArnpmi5hDdw4wAvcmOBzs3tdk4iwOcd+mBIdWkPwUcYg/
liP4YPfNRPDB/u9JcFgD8v8/UTj/y76PW9PFRFD5ZYIOC123ff67IMHBxBgI
PvM57D8FFNmN4ANT0yXfZ0jyoATBAk1vb4Qh6UsdGt5x8g6TJVjC+DoTHVpA
CfqpvsNloHcjJkLT71QDBwNgdoiakQiPf1h+gqUn9PwFAJfuhJg=
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4tMLXbd9Fkx26PF6xWKy0NTh898rFS8fJTnY
VkasMF1r4rC4wJbr+vkkB423vPsMNE0c7E3jdnnuSHJ4krjwmom9sYNjwtML
St1JDvtrZS3SWwwdzDuBIiVJDkd37ehlE9CH8+NDgtQXZGrB+S+ytL9Nj1V1
mH1EYUNRT5LD+0XrFc5WKDoo3/5Zl3UkyeHLvo9b069JOYRbbjlRdi/JISMN
CNjEHWJ3efIwvU9yAHHT3EQdPl7yTRIQSHZ405bbbbRbyOH89+DHS8WTHYLe
Xv44g1HE4QwIPElyONi9r8mEWdIhHqT/cpJDzf0ft4xPSzvEA51/+2CSw8pv
LyvOPFBwsL7v3zt9U5LDTBDoVHYI5dPdNHd1ksNTkH/71eD8OYuUd/5p14Lz
RUABuEUPEl6bkxymT+CvMvtt4AAK3r9A/6SD3Gtm5NABCrBrSQ4rXnjo/S80
drhxDujgl4jwhbmfAQQCTB3Q4wcAKxjF8w==
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQfaXipZqhQYrDFvMfh1JeqTn05Dz/vVIwxWFvfs3b
mU+VHUomS7CEfUt2WCukw5e+TwkifxbBP6KwoShjJYJvErfLk6cvGa7//Pfg
x0urkx0SQoLUF2iqOYDtK0h2eFW8VfT3anUHiy0nyvZlJzucvxr2Rv+3hkOE
JVAgK9lhziLlnX/StR3+rPx4yVcvBc7/sPyYt7lmisPzLO1v0//qOjBqt4vd
VEpx8Lk4Meafsr4DyHkfhVIc9LVWCl8wMXBYUmDLdf1/ssMGvbzFjG8MHHQ2
zX2//FGyw3WhT47nwwwdVgCN6zyI4OcLNR84tRDBn+rcnfO8Odlh+gT+KrPf
BnD3njzstDbTz8Ah4ekFpdu+MPfrOSQLAH1gk+wQD/avDpzvsb9W1uK5Bpxf
ff/HLeNsZbh/V357WXGGQcEhlE9309zNCD4DCHxA8M+BwlM+xeHDovUKZyOU
IPFjleLw8+3rA5aLoeGLFJ8ACvrcig==
            "], {{155.36699999999996`, 
            14.3391}, {155.586, 15.8891}, {156.26099999999997`, 16.6234}, {
            157.47299999999998`, 16.6234}, {158.68399999999997`, 16.6234}, {
            159.16099999999997`, 16.067199999999996`}, {159.42, 14.3391}, {
            155.36699999999996`, 14.3391}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
           0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYCYoO7KmyNjGkOXG6qpUxRpg4mxkBQn4rBnwkC
P00cFkjp31VZlOqwxfzHoZRXJhDxtakOElOvcGZsQvD9Lk6M+aeMJn/J2OHv
lYqXaitTHTTe8u4z8DR2ANu/MNVBel6c5ukNRg4fL/kmCbikOrwp3ir6+7Qa
hP8kxcG2MmKFqayRw4myffOlzqc4FKzpvp0xwdhhT8lkCZZTKQ5eJ9htZ7Oa
wPl/v5U+mBOI4MPc9wXkgEspDrekaxKNnpo4AG2f6vw8xeFJ4sJrJu9NHPKE
mg+ceongnwGBDykOB2plLdK/mDiwhPHpbvqZAg8PGB8WXqxA47oDMPkw9QdO
LXTdlo8w/0fw46WzK1IcUmLvuDGvMHEAmjb3/eQUhyX39/HNeWzkYMCxRibK
IBXijjfyDjfOfQ9+bInEX1xgy3U8FRIeCsYODCBwBxEfcbs8eZgeI+ILFt8w
96DHPwA7refE
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4gmHvmrEaKc5vGnL7TbaLeSQBgJRaQ5nQKBH
zMHgrgpbY26aQ7RqhMy5ORIOC123ff7bkuYgUjmp5KyLjMMCKf27KpvSHPhj
A+4bTVd0ULr9sy7rRJqD1Lw4zdMTVOH8Bpaj/YbmWnA+2HwffYd984EGbEhz
8L84MebfZEMHi07HhKcVaQ5bzH8cSpll7MCo3S52My7NoWSr6O/TfSYOJZMl
WML8oPx/Jg4ZE9/W2OumOfR4vWIxWWjq0JPz/PdK1TQHBhAIAPKn5wk1R6Q5
9AWXqEznN4HIZ6Y5vMjS/jY91tgB6Jo9JdVpDv9B4L6hw9LZRxQ2dKU5TJ/A
X2XWbeDAEsanu2limsOfb6UP5gjqwfkpsXfcmCW04HxdRfkvOd9UHWy5ri8u
6ExzcJ7QLJS2SsnBwTRulyfQP+WHt7nOtFVwuAAKgLQ0hxkzgaBS2oFjjUxU
SjAifGHuD3p7+eMMRhEH9PgBAKplvl8=
           "]]}, {
          Thickness[0.005427997611681051]}, StripOnInput -> False]}, {
       ImageSize -> {184.2291706102117, 25.902864259028643`}, 
        BaselinePosition -> Scaled[0.31538730769230766`], 
        ImageSize -> {185., 26.}, PlotRange -> {{0., 184.23}, {0., 25.9}}, 
        AspectRatio -> Automatic}], TraditionalForm], None}, {
     FormBox[
      GraphicsBox[{
        Thickness[0.0129315918789603], 
        StyleBox[{
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZmI6shRj0xenGZQ6p6WttF
iRsAAbYCOQ==
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYC4gO1shbpLcYOXG6qpUxRpg5bzX8cStHSx+DP
BIGfJg68/uunpM4wcGAAgQcmDv4XJ8b8+2zgkBJ7x415BYJfslX092k5BB9M
bzZ28D7Bbjv7qoFDf3CJynR9Y4fDbcvDTy0ycOj2esVistDIYa3qk+Z5vjoO
W0D2nlJ3eJq48JoJv7qDfdOj4zNWGzlcuBr2Rv+3moOB1krhC0eMHGSXv/DQ
mw/lmxg7ZOZ/aD05RQ1in7OxwwyQuy3VIO5ZZ+wwpb016vIfVYc+kP38JnD+
pw0B2bPcEfw/30ofzDlo4pAGAs/UHMDh9MXE4XUx0CBuTXh4wPiw8PoPAvdl
MPgw9Xc0Zdf836wANw8sLqnocEPok+P5YyYOxiBQrAQPHxMQ/7CyA8ia032G
DiKVk0rOssg7NPy2Kjj3Qh0iP1nY4QwI5Bg7CIPlhR34QfF0whhi3mYheHzA
+GD7wtD4QPv7I7r9GS8IQ8L/lYnDWiEdvvR74nD3w/gw/4HFZ360R+fD1KeD
w48Bnl40Pqm8nOXJDPF/i4kDtyOf1wxNToi6ZUYONfd/3DJ+LQ3xzxt5hxjV
CJlzMrJwPpheowJJN0kGDvWgcODQhss/iBDffnEBgm9qszdoGqO+gw8o3YVq
ObjvB1ms7+B/S7omsUjbAaSc4Z6hQ8Ga7tsZE4wh4Wxn5FAHMneGicN1ULiU
GcHDB5ZfYP5Dzz8AEBhyuw==
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQfeKw09pMPyuHLeY/DqW8UnPgclMtZYqydNibX/N2
5lNlh/7gEpXp9RYOa4V0+NL3KUHkrczh/JTYO27MEmZwvl1lxApTW1O4frD6
VSYOCSFB6gs01RxOgu0zcXhVvFX092p1B9UnzfPOapk4nL8a9kb/t4ZDwZru
2xkKJg5zFinv/JOu7fAkceE1E3srOD89DQjErByeZ2l/m/5X12HJ/X18cx5b
OvhcnBjzT1nfYX+trEV6iqWDvtZK4QsmBg4OTY+Ozzht4bBBL28x4xsDhxUv
PPT+PzR3uC70yfF8mKGDxlvefQY3zeD8aRP4q8xum8L5EH0mDtNB4r8N4O6F
+MPAwRFkvrUx1P16DuJTr3BmbDJyiAf7VwfO9wA57LkGnF99/8ct42xluH9X
fntZcYZBwWEmCGSawflnQMDHAs7nAIXnKUuHD4vWK5yNUILEz3wrh59vXx+w
XKzmgB6fADlF0oE=
            "], {{20.167199999999998`, 14.3391}, {20.3859, 
            15.8891}, {21.060899999999997`, 16.6234}, {22.273399999999995`, 
            16.6234}, {23.484399999999997`, 16.6234}, {23.960899999999995`, 
            16.067199999999996`}, {24.220299999999995`, 14.3391}, {
            20.167199999999998`, 14.3391}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
            3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
            3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQveT+Pr45k+0crgt9cjwfZujwJHHhNZN6awhtbwDn
t/D6r5/yVN8hJfaOG/MKa4fju3b0sn3Qd7ghXZNo9NTaYfkLD73/jAYO9SxH
+w3VbRwaQTS7gYO+1krhCyEIPti88wj+GRD4Y+MwdQJ/lVm2Ppz/pnir6O/V
unC+aI/XK5YSFTifPzbgvtF0RQcON9VSplM2Du5rji5n0FB0UH/SPO9slrVD
OKdYu/F/BTg/PQ0EFBzMrx3NNRFwwODD1MvMi9M8fcHO4YFrvOMsQ0Wof+3g
9sH4MPfA+J83BGTPcjd0QA9PAPnPl4o=
            "], {{29.643799999999988`, 
            21.7688}, {29.106299999999994`, 21.7688}, {28.649999999999995`, 
            21.3125}, {28.649999999999995`, 20.756299999999996`}, {
            28.649999999999995`, 20.200000000000003`}, {29.087499999999995`, 
            19.743800000000004`}, {29.643799999999988`, 
            19.743800000000004`}, {30.2188, 19.743800000000004`}, {
            30.676599999999993`, 20.179699999999997`}, {30.676599999999993`, 
            20.756299999999996`}, {30.676599999999993`, 21.3125}, {30.2188, 
            21.7688}, {29.643799999999988`, 21.7688}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
            3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
            0, 1, 0}}}, {CompressedData["
1:eJxlk38slHEcx4/UxtIKTYnF4dEhzjnTTPN+nudIrR+GYqZyrXNkclvayFVb
v2wdWzXC/RFmDYuSSrLIMstSYUxFy49qZPkDmzFxPd97zvf+6LM9+z6vfZ4f
78/78/l4ncmJ19hKJJIo4SKnOZZUcH9wStbbH4x1zn2xfaX3sRy3apPeK5RW
VncNBmhsrKwMFWKUR28X15jZIYfjsSclmjoetdOxQaYJOTYT1vF4Hr709qxD
CPKS68I+BvCIyhdu9oegwTCaIZni8Nlpnu07EQK7mnsRNg+tbH6/laVcSPT8
BdW7zmYdoYGU40Z26dXNMiTk+pSZwOJdW2vxJvkeXF2J0H2aZjGZ7PpyYJyh
309LjPerkjH449ghr7jNoqTwZsqg3hdZ9stV2gJL/qAvFprisox+LHaUDtln
SH2gTRdiE4utJ+PGFEnelL2HJxMkRVLK5rPFS6zP15KP9MJXQaaimEX94u+8
DzpPRPtetDV+AVZNQrxxx9Og8zU2JQBB0243yp5tVR2aIFfKFSSWneBKdKWw
oh8LW9BE8oc5yub6HHjKicSffh75Y0sjoYZtILYpjquQODs4Vz7hAmKTpEWF
mIbuWkmyK4oOzdgpJ1ToNHRcU/7YSbk1ISLZNOVOmb9z3Sl9xlPUlalCe45+
tqJUChehjemNPL7JPBpMz6RwJqzhMB59mjXOSVEZGThk/M7iNXl+ozcekfmo
ZMW82spHBu6mrm3wofxLXT2s7PPBSmp299q8pf5QRuxXOAe5f71z/w1G7MNR
Dvp5IXGJQfhwd7YyjRPnSceIPmutbM6Xc2gmPqYyMJD6XnHifMUzOED61WNl
s36Gp9x52WOftsgy/zMM3ZfpcwGLZat++El0B6tQQPS4yaj/PWSfrvhTFvUG
Ug6LbI+/X70XMeT/sSpMXxAW0hBkma//93md/wHsj6Mp
            "], {{
            35.52029999999999, 8.160939999999998}, {36.1766, 
            8.021880000000001}, {37.7656, 7.90156}, {38.7391, 7.90156}, {
            40.546899999999994`, 7.90156}, {41.20309999999999, 
            7.643750000000001}, {41.20309999999999, 6.9281299999999995`}, {
            41.20309999999999, 5.77656}, {39.69219999999999, 5.00156}, {
            37.44689999999999, 5.00156}, {35.699999999999996`, 5.00156}, {
            34.546899999999994`, 5.57813}, {34.546899999999994`, 6.45156}, {
            34.546899999999994`, 6.909379999999999}, {34.6859, 
            7.167189999999998}, {35.52029999999999, 8.160939999999998}}, {{
            35.62029999999999, 14.915599999999998`}, {35.62029999999999, 
            16.087500000000002`}, {36.1766, 16.782800000000005`}, {
            37.09059999999999, 16.782800000000005`}, {37.70629999999999, 
            16.782800000000005`}, {38.2219, 16.4453}, {38.54059999999999, 
            15.848399999999998`}, {38.8984, 15.153100000000002`}, {39.1359, 
            14.2391}, {39.1359, 13.465600000000002`}, {39.1359, 12.3516}, {
            38.560900000000004`, 11.656300000000002`}, {37.646899999999995`, 
            11.656300000000002`}, {36.454699999999995`, 
            11.656300000000002`}, {35.62029999999999, 12.9484}, {
            35.62029999999999, 14.856299999999997`}, {35.62029999999999, 
            14.915599999999998`}}}], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
           0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIDIGYC4o16eYsZ77g5uO+vlbVg13Mo2Sr6+7Sbu8P5
q2Fv9G/rO5gYA8Fkdwf/ixNj/jkbOKSBwDcEX/iT4/m0Ug84n3XxJCvGrR4O
NZ82BGRL6cP5/rekaxKDdOB80R6vVywlKnD+fxDYr+jg0PTo+IzZHg7K1x4F
M9goOlhcO5prwuHhEM4p1m78XwHOTwc7RAHiPmUvDD5M/fIXHnr/Z3o6CFdO
KjmboujwhnefwcwuT4j6bQg+zD0w/gZQuMTowPkw/x3XtJp0Wt7T4boQ0ONh
hg4X8+PZzwV6wPmVEStMz+52h/NDSlSm/w9wdzgDAncMHGDhXc9ytN8wXB/O
9znBbjt7q6nDzltdf1PPuzkYaK0UvnDE1KH2t1XBuQo3h5TYO27MHaYOCYcv
a6daujk8SVx4zSTe1EHtSfO8s6tcHSLEt19k4DN10J2w4IdhmqsDKLiNnprA
+X4g9082ceDxXz8ltcDVoQ5k7gwTBwYQqEDwwe5sQfCXgcLvI4IPDmY2N4fC
Nd23MwoQfLD7pxrD+bDwhPHB8blGEeLu766Q+PaHxneyKzy+YHxYfILDr8Md
gw9TLwJKf1/d4OkFFp6w+IXxYe5BT+8AThpAsw==
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
           0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIVIGYCYh7/9VNST/g4+F+cGPNP2dDhy4aA7FnHvTH4
K1546P0vNIbzDbRWCl9YYuzAsniSFeNRqPrNxg4Kjh+Tz2xF8Dfo5S1mXOLt
kJ4GBG3GDmdAYIq3Ay/I3ghjhz8xuUf/NXk7eJ9gt52tauwgMfUKZ4aSt0OE
+PaLDHxGEPO3ejnMBAFJQ4f25eGnjHq8IOpZDR34QeYUeDksB7nvoYFDSInK
9P8JXg6nDzutzdyH4EPci+CD9U81cHBoenR8RrKXw/QJ/FVm3QYOJsZAkO3l
0O31isWk0QBi7kdMPtgfPKpwPth/2xQhtJ23w8pvLyvOMCg47K+VtUi/guCD
7Q/wgfNngPy10cdBuHJSydkvCg4+YH/5OuzJr3k7k1XZYS9I/xMfh70gfqmy
w5ru2xkM630c+GMD7huVKzlURKwwPdvs4/DANd5xlqCSQzmI743gg+PjrTec
D4u/O5qya/4rK6PFpyqcD/MvLH2g82HpAwDrsP0Q
           "]], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJZIAaxQYAJSjNCxZjxsGHqyFFPql5qsYmxl1puQzYH
AA56Ank=
           "], CompressedData["
1:eJxFlHsslWEcx4/LmBVrElM4zo6zmMN5Xbqsy/y0tEKd531rucxluR2RNGkx
rERsJDQNJ1NqjeSEjCKpMbNCiLI5GxJCpz+YsFV0nvOc932f7dn7fp7L7/ld
vs8jikpmYo0EAoGBtvtru6G2+0muGSrr5LDthPbnEAU+t2b6KtQ8B9m8GhFM
8iz0XY4emOPZ5v6YWfyKHGYv1Hz19qFgADc7BM6/zLuoUxRkvWiLuuGCQBGn
bdYU+XoiaD2w0R1T7w6tuZnDLb4IYvF4nBTOpjqVbyEEfR2vi0woZ2LvHCLf
7RI4LB1TzocguN7T5ldZJIJ3WfYHFWEInq0tpg0IHKH40YbHfAQClaXUQhEh
JOcl8Kxbn8ZzCI7vrt6eyhHSguv2Db5BkDG1MeGVKIaeUddY2249q8Uw3pvk
fVONwKF24aS7j4T4b0BD5koTSgzdS85PoUElmc2pLnKD8KTezZflNPFv2hEC
MnJkgUoaNHlJhZ4PhCSuKprzR2fvKc/frew/zDXyrKtXJw070++lDlrp453U
c4wI8muDPnpO0xBkZp3vlSyCdZPIisA5Gqb8In2VNSKSjyX9+jERyB2sE06X
M2BkViCMPuNMzltnoBfnH7lxPPTlvEamlnGss5NHwRZuagZW2ycK/v3W66OV
Z9Y+yzr/chmQj5SGbbbwzOqF5Wzj3mIPUwo02uHKAgbK8m+HjnbKSLzVDATi
/WIZsd/CwMLV1l1/Ct2hBM93MJBrLm8sk/CswfPP3TiWioSrl9ZcIQzXp5gB
u+oIl/5hF0iONP1ku0jDjnA05RkkJnp5TxO911Mc4/JvfaPgCNbjWxru+C8Z
ey9TMNVlUeXVxjNbP5b3/JzZv7uBhnHLFd+heYqrd3/PMdXFLgoqcWtGUPVY
3P5XISH5VPH3QafPhwia3C8/MQiTgiOeL0VcPtLxfA6CHwmua+WDFKl/NuLy
H4z1nsIzez9YZu8T65/O/wBE7vlnfbxHEecv3hYrRFx+nLSyH1ySw5WGQnV8
CQXHsV6neda9E31yTj/s+9OM48nkmX1f/gMrHRDB
           "]]}, {
          Thickness[0.0129315918789603]}, StripOnInput -> False]}, {
       ImageSize -> {77.33001245330013, 25.902864259028643`}, 
        BaselinePosition -> Scaled[0.31538730769230766`], 
        ImageSize -> {78., 26.}, PlotRange -> {{0., 77.33}, {0., 25.9}}, 
        AspectRatio -> Automatic}], TraditionalForm], None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->NCache[{{0, 
      Rational[1, 3]}, {-0.1, 0}}, {{0, 0.3333333333333333}, {-0.1, 0}}],
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.7973552441463346`*^9, 3.7973552622240353`*^9}},
 CellLabel->
  "Out[370]=",ExpressionUUID->"b79b5882-ebd6-4e5c-bf2f-22c76bb87f38"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "w"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", "w"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"a", "+", 
        RowBox[{"b", " ", "w"}], "+", 
        RowBox[{"c", " ", 
         SuperscriptBox["w", "2"]}]}], ")"}]}], ",", "w"}], "]"}], "==", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"2", "w"}]}], ")"}]}], 
     RowBox[{"(", 
      RowBox[{"a", "+", 
       RowBox[{"b", " ", "w"}], "+", 
       RowBox[{"c", " ", 
        SuperscriptBox["w", "2"]}]}], ")"}]}], "-", 
    RowBox[{"w", 
     RowBox[{"(", 
      RowBox[{"1", "-", "w"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"b", " ", "+", 
       RowBox[{"2", "c", " ", "w"}]}], ")"}]}]}]}], "//", 
  "Simplify"}]], "Input",
 CellChangeTimes->{{3.797355425689311*^9, 3.797355459530143*^9}},
 CellLabel->
  "In[373]:=",ExpressionUUID->"ed4f0a44-6146-4637-aef9-adbd4d2214f4"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.797355445059889*^9, 3.797355460015235*^9}},
 CellLabel->
  "Out[373]=",ExpressionUUID->"8834c727-28ee-4177-9c26-b5e90ee0942b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "w"}], 
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "3"], "-", "w"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"a", "+", 
       RowBox[{"b", " ", "w"}], "+", 
       RowBox[{"c", " ", 
        SuperscriptBox["w", "2"]}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "\[Rule]", "1.5180630893976597`"}], ",", 
      RowBox[{"b", "\[Rule]", "2.047946578330868`"}], ",", 
      RowBox[{"c", "\[Rule]", 
       RowBox[{"-", "1.6249152468610886`"}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"w", ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.795274451688439*^9, 3.7952744574357033`*^9}, 
   3.797153281372631*^9, 3.797156064576405*^9},
 CellLabel->
  "In[574]:=",ExpressionUUID->"827a1054-eda5-4739-83bf-0386aaca1ac7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", 
    RowBox[{"0.5060210297992198`", " ", "w"}]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "w", "]"}], "2"],
    SeriesData[$CellContext`w, 0, {}, 1, 2, 1],
    Editable->False]}],
  SeriesData[$CellContext`w, 0, {-0.5060210297992198}, 1, 2, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.795274457844681*^9, 3.797153282286676*^9, 
  3.79715606488109*^9},
 CellLabel->
  "Out[574]=",ExpressionUUID->"60b9cb12-eca4-44cc-85c0-c21c1c2ccac5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "w"}], 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "3"], "-", "w"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"a", "+", 
        RowBox[{"b", " ", "w"}], "+", 
        RowBox[{"c", " ", 
         SuperscriptBox["w", "2"]}]}], ")"}]}], ",", "w"}], "]"}], "==", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "3"], "-", 
        RowBox[{"2", "w"}]}], ")"}]}], 
     RowBox[{"(", 
      RowBox[{"a", "+", 
       RowBox[{"b", " ", "w"}], "+", 
       RowBox[{"c", " ", 
        SuperscriptBox["w", "2"]}]}], ")"}]}], "-", 
    RowBox[{"w", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "3"], "-", "w"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"b", " ", "+", 
       RowBox[{"2", "c", " ", "w"}]}], ")"}]}]}]}], "//", 
  "Simplify"}]], "Input",
 CellChangeTimes->{{3.797156211237515*^9, 3.797156260090982*^9}},
 CellLabel->
  "In[579]:=",ExpressionUUID->"cdad1fe6-ff9f-408c-a306-2a11ba6ebd87"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.797156215338482*^9, 3.7971562604172163`*^9}},
 CellLabel->
  "Out[579]=",ExpressionUUID->"c8179154-92d6-479f-ba30-b6df072b5d55"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TableForm", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\"\<HF\>\"", ",", "\"\<\>\"", ",", "\"\<aug-cc-pVDZ\>\"", ",", "38.52",
        ",", "35.04", ",", "30.86", ",", "34.55", ",", "28.65"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<HF\>\"", ",", "\"\<\>\"", ",", "\"\<aug-cc-pVTZ\>\"", ",", "38.58",
        ",", "35.77", ",", "35.82", ",", "35.68", ",", "28.65"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<HF\>\"", ",", "\"\<\>\"", ",", "\"\<aug-cc-pVQZ\>\"", ",", "39.12",
        ",", "37.70", ",", "35.94", ",", "35.64", ",", "28.65"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<HF\>\"", ",", "\"\<VWN5\>\"", ",", "\"\<aug-cc-pVDZ\>\"", ",", 
       "40.12", ",", "37.97", ",", "31.19", ",", "35.66", ",", "29.17"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<HF\>\"", ",", "\"\<VWN5\>\"", ",", "\"\<aug-cc-pVTZ\>\"", ",", 
       "40.84", ",", "38.88", ",", "36.98", ",", "37.23", ",", "29.17"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<HF\>\"", ",", "\"\<VWN5\>\"", ",", "\"\<aug-cc-pVQZ\>\"", ",", 
       "41.39", ",", ",", "37.07", ",", "37.21", ",", "29.17"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<HF\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<aug-cc-pVDZ\>\"", ",", 
       "40.37", ",", ",", "31.19", ",", "36.98", ",", "30.51"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<HF\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<aug-cc-pVTZ\>\"", ",", 
       "41.09", ",", ",", "36.56", ",", "38.35", ",", "30.51"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<HF\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<aug-cc-pVQZ\>\"", ",", 
       "41.64", ",", ",", "36.66", ",", "38.33", ",", "30.51"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<S\>\"", ",", "\"\<\>\"", ",", "\"\<aug-cc-pVDZ\>\"", ",", "38.40", 
       ",", ",", "27.35", ",", "23.54", ",", "26.60"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<S\>\"", ",", "\"\<\>\"", ",", "\"\<aug-cc-pVTZ\>\"", ",", "39.21", 
       ",", ",", "27.42", ",", "23.62", ",", "26.67"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<S\>\"", ",", "\"\<\>\"", ",", "\"\<aug-cc-pVQZ\>\"", ",", "39.78", 
       ",", ",", "27.42", ",", "23.62", ",", "26.67"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<S\>\"", ",", "\"\<WN5\>\"", ",", "\"\<aug-cc-pVDZ\>\"", ",", 
       "38.10", ",", "32.52", ",", "27.76", ",", "24.40", ",", "27.10"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<S\>\"", ",", "\"\<WN5\>\"", ",", "\"\<aug-cc-pVTZ\>\"", ",", 
       "38.54", ",", "32.68", ",", "27.81", ",", "24.46", ",", "27.17"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<S\>\"", ",", "\"\<WN5\>\"", ",", "\"\<aug-cc-pVQZ\>\"", ",", 
       "38.81", ",", ",", "27.81", ",", "24.46", ",", "27.17"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<S\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<aug-cc-pVDZ\>\"", ",", 
       "38.34", ",", ",", "27.74", ",", "25.80", ",", "28.42"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<S\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<aug-cc-pVTZ\>\"", ",", 
       "38.79", ",", "32.85", ",", "27.80", ",", "25.87", ",", "28.49"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<S\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<aug-cc-pVQZ\>\"", ",", 
       "39.06", ",", ",", "27.80", ",", "25.87", ",", "28.49"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MFL20\>\"", ",", "\"\<\>\"", ",", "\"\<aug-cc-pVDZ\>\"", ",", 
       "33.65", ",", ",", "24.69", ",", "20.12", ",", "23.45"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MFL20\>\"", ",", "\"\<\>\"", ",", "\"\<aug-cc-pVTZ\>\"", ",", 
       "34.46", ",", ",", "24.73", ",", "20.17", ",", "23.52"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MFL20\>\"", ",", "\"\<\>\"", ",", "\"\<aug-cc-pVQZ\>\"", ",", 
       "35.02", ",", ",", "24.72", ",", "20.17", ",", "23.52"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MFL20\>\"", ",", "\"\<VWN5\>\"", ",", "\"\<aug-cc-pVDZ\>\"", ",", 
       "33.28", ",", ",", "24.97", ",", "20.87", ",", "23.85"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MFL20\>\"", ",", "\"\<VWN5\>\"", ",", "\"\<aug-cc-pVTZ\>\"", ",", 
       "33.72", ",", "28.93", ",", "25.00", ",", "20.91", ",", "23.91"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MFL20\>\"", ",", "\"\<VWN5\>\"", ",", "\"\<aug-cc-pVQZ\>\"", ",", 
       "33.99", ",", ",", "24.99", ",", "20.90", ",", "23.91"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MFL20\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<aug-cc-pVDZ\>\"", ",", 
       "16.47", ",", "21.34", ",", "25.14", ",", "20.96", ",", "24.04"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MFL20\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<aug-cc-pVTZ\>\"", ",", 
       ",", ",", ",", ","}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MFL20\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<aug-cc-pVQZ\>\"", ",", 
       ",", ",", ",", ","}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<B88\>\"", ",", "\"\<LYP\>\"", ",", "\"\<aug-mcc-pV8Z\>\"", ",", 
       "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
       "28.42"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<B3\>\"", ",", "\"\<LYP\>\"", ",", "\"\<aug-mcc-pV8Z\>\"", ",", 
       "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
       "27.77"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<HF\>\"", ",", "\"\<LYP\>\"", ",", "\"\<aug-mcc-pV8Z\>\"", ",", 
       "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
       "29.18"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<HF\>\"", ",", "\"\<\>\"", ",", "\"\<aug-mcc-pV8Z\>\"", ",", 
       "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
       "28.65"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<HF\>\"", ",", "\"\<FCI\>\"", ",", "\"\<aug-mcc-pV8Z\>\"", ",", 
       "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
       "28.75"}], "}"}]}], "\[IndentingNewLine]", "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
       "\"\<x\>\"", ",", "\"\<c\>\"", ",", "\"\<Basis\>\"", ",", 
        "\[IndentingNewLine]", "\"\<GOK(w=0)\>\"", ",", "\"\<GOK(w=1/4)\>\"", 
        ",", "\"\<GOK(w=1/2)\>\"", ",", "\"\<LIM\>\"", ",", "\"\<MOM\>\""}], 
       "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.793967714991887*^9, 3.793967740323563*^9}, {
   3.793967833898061*^9, 3.793968037124404*^9}, {3.793968081557967*^9, 
   3.7939681295767403`*^9}, {3.7939684544461308`*^9, 3.793968497522215*^9}, {
   3.794287037704361*^9, 3.794287052483135*^9}, {3.7942870851091747`*^9, 
   3.794287096654664*^9}, {3.794287149166671*^9, 3.794287378978908*^9}, {
   3.794287439074847*^9, 3.794287475580206*^9}, {3.794287532747241*^9, 
   3.7942875939158363`*^9}, {3.794287650465475*^9, 3.794287673042836*^9}, {
   3.794287711792424*^9, 3.79428774170557*^9}, {3.794287772712161*^9, 
   3.794287886441332*^9}, {3.794287958916027*^9, 3.7942880209197493`*^9}, {
   3.7942881334358807`*^9, 3.794288283095339*^9}, {3.794288323481475*^9, 
   3.794288325787307*^9}, {3.794288455852805*^9, 3.79428849326499*^9}, {
   3.794289134525687*^9, 3.794289140733912*^9}, {3.794289314728262*^9, 
   3.7942893314372063`*^9}, {3.794289436643463*^9, 3.7942894646982737`*^9}, {
   3.79428979244737*^9, 3.7942899499774113`*^9}, {3.794290076113633*^9, 
   3.794290265724866*^9}, {3.7942902979442387`*^9, 3.794290311629928*^9}, {
   3.794290359748296*^9, 3.794290371661384*^9}, {3.794290424454526*^9, 
   3.794290496855555*^9}, {3.79429059482502*^9, 3.794290686384737*^9}, {
   3.79429072438013*^9, 3.794290880741972*^9}, {3.794290911378435*^9, 
   3.794290981196474*^9}, {3.794291053253768*^9, 3.794291228857566*^9}, {
   3.794291283814272*^9, 3.794291381995516*^9}, {3.794291502115584*^9, 
   3.7942915382957573`*^9}, {3.7942918362035103`*^9, 3.794291880497139*^9}, {
   3.794291911186822*^9, 3.794292089846367*^9}, {3.7942922055296793`*^9, 
   3.7942923384862833`*^9}, 3.794292434928871*^9, 3.7942924732711887`*^9, {
   3.794292555116528*^9, 3.7942925738882017`*^9}, {3.794292627812543*^9, 
   3.7942926598026867`*^9}, {3.794292696806446*^9, 3.794292698490055*^9}, {
   3.794292736624587*^9, 3.794292755300973*^9}, 3.79429297766226*^9, {
   3.79430045905509*^9, 3.794300475745638*^9}, 3.794300827506579*^9, {
   3.794300872401041*^9, 3.794300902723946*^9}, {3.794300937549226*^9, 
   3.794300937757593*^9}, {3.7943014041051826`*^9, 3.7943014070528803`*^9}, {
   3.79430226337249*^9, 3.7943022816895638`*^9}, {3.794304457756937*^9, 
   3.79430446005523*^9}, {3.794414824769219*^9, 3.794414854581101*^9}, {
   3.794414912685759*^9, 3.7944149631128273`*^9}, {3.794415020904635*^9, 
   3.794415041576466*^9}, {3.794415803302369*^9, 3.794415809747555*^9}, {
   3.794415985302146*^9, 3.7944159969947567`*^9}, {3.794416434572867*^9, 
   3.794416434740024*^9}, {3.794416658735551*^9, 3.794416672410651*^9}, {
   3.794416829918701*^9, 3.794416832994916*^9}, {3.7944169567694693`*^9, 
   3.794416960120716*^9}, {3.7944175777006483`*^9, 3.7944175962345047`*^9}, {
   3.794418032324607*^9, 3.794418032800762*^9}, {3.794418119110154*^9, 
   3.794418119355371*^9}, {3.7944182588445883`*^9, 3.794418263875819*^9}, {
   3.794419321511052*^9, 3.794419325059867*^9}, {3.794419405240511*^9, 
   3.794419408780264*^9}, {3.794419459647484*^9, 3.794419503411186*^9}, {
   3.794419634757546*^9, 3.79441963715854*^9}, {3.794420757150756*^9, 
   3.794420775753337*^9}, {3.7944214271151123`*^9, 3.79442146847374*^9}, {
   3.794547641842902*^9, 3.7945476693365927`*^9}, {3.7945477308145723`*^9, 
   3.794547752526873*^9}, {3.794547792689972*^9, 3.794547861590811*^9}, {
   3.794547936294441*^9, 3.794547956556808*^9}, {3.7945482681037903`*^9, 
   3.7945482726921988`*^9}, {3.7945484716761503`*^9, 
   3.7945484783091507`*^9}, {3.794548578350774*^9, 3.7945485814986477`*^9}, {
   3.794677432440001*^9, 3.7946774960715113`*^9}, {3.794713125115466*^9, 
   3.79471323812536*^9}, {3.7947133036700783`*^9, 3.794713320652541*^9}, {
   3.794713495367399*^9, 3.7947134975215673`*^9}, {3.794717410597465*^9, 
   3.794717432420871*^9}, {3.794717462732877*^9, 3.794717507140205*^9}, {
   3.794717539073687*^9, 3.7947175819411497`*^9}},
 CellLabel->
  "In[131]:=",ExpressionUUID->"0a7923af-71ee-45df-8b56-0e8b12a0a6d1"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {"\<\"x\"\>", "\<\"c\"\>", "\<\"Basis\"\>", "\<\"GOK(w=0)\"\>", \
"\<\"GOK(w=1/4)\"\>", "\<\"GOK(w=1/2)\"\>", "\<\"LIM\"\>", "\<\"MOM\"\>"},
    {"\<\"HF\"\>", "\<\"\"\>", "\<\"aug-cc-pVDZ\"\>", "38.52`", "35.04`", 
     "30.86`", "34.55`", "28.65`"},
    {"\<\"HF\"\>", "\<\"\"\>", "\<\"aug-cc-pVTZ\"\>", "38.58`", "35.77`", 
     "35.82`", "35.68`", "28.65`"},
    {"\<\"HF\"\>", "\<\"\"\>", "\<\"aug-cc-pVQZ\"\>", "39.12`", "37.7`", 
     "35.94`", "35.64`", "28.65`"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>"},
    {"\<\"HF\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVDZ\"\>", "40.12`", "37.97`", 
     "31.19`", "35.66`", "29.17`"},
    {"\<\"HF\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVTZ\"\>", "40.84`", "38.88`", 
     "36.98`", "37.23`", "29.17`"},
    {"\<\"HF\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVQZ\"\>", "41.39`", "Null", 
     "37.07`", "37.21`", "29.17`"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>"},
    {"\<\"HF\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVDZ\"\>", "40.37`", "Null", 
     "31.19`", "36.98`", "30.51`"},
    {"\<\"HF\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVTZ\"\>", "41.09`", "Null", 
     "36.56`", "38.35`", "30.51`"},
    {"\<\"HF\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVQZ\"\>", "41.64`", "Null", 
     "36.66`", "38.33`", "30.51`"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>"},
    {"\<\"S\"\>", "\<\"\"\>", "\<\"aug-cc-pVDZ\"\>", "38.4`", "Null", 
     "27.35`", "23.54`", "26.6`"},
    {"\<\"S\"\>", "\<\"\"\>", "\<\"aug-cc-pVTZ\"\>", "39.21`", "Null", 
     "27.42`", "23.62`", "26.67`"},
    {"\<\"S\"\>", "\<\"\"\>", "\<\"aug-cc-pVQZ\"\>", "39.78`", "Null", 
     "27.42`", "23.62`", "26.67`"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>"},
    {"\<\"S\"\>", "\<\"WN5\"\>", "\<\"aug-cc-pVDZ\"\>", "38.1`", "32.52`", 
     "27.76`", "24.4`", "27.1`"},
    {"\<\"S\"\>", "\<\"WN5\"\>", "\<\"aug-cc-pVTZ\"\>", "38.54`", "32.68`", 
     "27.81`", "24.46`", "27.17`"},
    {"\<\"S\"\>", "\<\"WN5\"\>", "\<\"aug-cc-pVQZ\"\>", "38.81`", "Null", 
     "27.81`", "24.46`", "27.17`"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>"},
    {"\<\"S\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVDZ\"\>", "38.34`", "Null", 
     "27.74`", "25.8`", "28.42`"},
    {"\<\"S\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVTZ\"\>", "38.79`", "32.85`", 
     "27.8`", "25.87`", "28.49`"},
    {"\<\"S\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVQZ\"\>", "39.06`", "Null", 
     "27.8`", "25.87`", "28.49`"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>"},
    {"\<\"MFL20\"\>", "\<\"\"\>", "\<\"aug-cc-pVDZ\"\>", "33.65`", "Null", 
     "24.69`", "20.12`", "23.45`"},
    {"\<\"MFL20\"\>", "\<\"\"\>", "\<\"aug-cc-pVTZ\"\>", "34.46`", "Null", 
     "24.73`", "20.17`", "23.52`"},
    {"\<\"MFL20\"\>", "\<\"\"\>", "\<\"aug-cc-pVQZ\"\>", "35.02`", "Null", 
     "24.72`", "20.17`", "23.52`"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>"},
    {"\<\"MFL20\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVDZ\"\>", "33.28`", "Null",
      "24.97`", "20.87`", "23.85`"},
    {"\<\"MFL20\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVTZ\"\>", "33.72`", 
     "28.93`", "25.`", "20.91`", "23.91`"},
    {"\<\"MFL20\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVQZ\"\>", "33.99`", "Null",
      "24.99`", "20.9`", "23.91`"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>"},
    {"\<\"MFL20\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVDZ\"\>", "16.47`", 
     "21.34`", "25.14`", "20.96`", "24.04`"},
    {"\<\"MFL20\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVTZ\"\>", "Null", "Null", 
     "Null", "Null", "Null"},
    {"\<\"MFL20\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVQZ\"\>", "Null", "Null", 
     "Null", "Null", "Null"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>"},
    {"\<\"B88\"\>", "\<\"LYP\"\>", "\<\"aug-mcc-pV8Z\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "28.42`"},
    {"\<\"B3\"\>", "\<\"LYP\"\>", "\<\"aug-mcc-pV8Z\"\>", "\<\"\"\>", "\<\"\"\
\>", "\<\"\"\>", "\<\"\"\>", "27.77`"},
    {"\<\"HF\"\>", "\<\"LYP\"\>", "\<\"aug-mcc-pV8Z\"\>", "\<\"\"\>", "\<\"\"\
\>", "\<\"\"\>", "\<\"\"\>", "29.18`"},
    {"\<\"HF\"\>", "\<\"\"\>", "\<\"aug-mcc-pV8Z\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "28.65`"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>"},
    {"\<\"HF\"\>", "\<\"FCI\"\>", "\<\"aug-mcc-pV8Z\"\>", "\<\"\"\>", "\<\"\"\
\>", "\<\"\"\>", "\<\"\"\>", "28.75`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  TableForm[{{"HF", "", "aug-cc-pVDZ", 38.52, 35.04, 30.86, 34.55, 28.65}, {
    "HF", "", "aug-cc-pVTZ", 38.58, 35.77, 35.82, 35.68, 28.65}, {
    "HF", "", "aug-cc-pVQZ", 39.12, 37.7, 35.94, 35.64, 28.65}, {}, {
    "HF", "VWN5", "aug-cc-pVDZ", 40.12, 37.97, 31.19, 35.66, 29.17}, {
    "HF", "VWN5", "aug-cc-pVTZ", 40.84, 38.88, 36.98, 37.23, 29.17}, {
    "HF", "VWN5", "aug-cc-pVQZ", 41.39, Null, 37.07, 37.21, 29.17}, {}, {
    "HF", "MFL20", "aug-cc-pVDZ", 40.37, Null, 31.19, 36.98, 30.51}, {
    "HF", "MFL20", "aug-cc-pVTZ", 41.09, Null, 36.56, 38.35, 30.51}, {
    "HF", "MFL20", "aug-cc-pVQZ", 41.64, Null, 36.66, 38.33, 30.51}, {}, {
    "S", "", "aug-cc-pVDZ", 38.4, Null, 27.35, 23.54, 26.6}, {
    "S", "", "aug-cc-pVTZ", 39.21, Null, 27.42, 23.62, 26.67}, {
    "S", "", "aug-cc-pVQZ", 39.78, Null, 27.42, 23.62, 26.67}, {}, {
    "S", "WN5", "aug-cc-pVDZ", 38.1, 32.52, 27.76, 24.4, 27.1}, {
    "S", "WN5", "aug-cc-pVTZ", 38.54, 32.68, 27.81, 24.46, 27.17}, {
    "S", "WN5", "aug-cc-pVQZ", 38.81, Null, 27.81, 24.46, 27.17}, {}, {
    "S", "MFL20", "aug-cc-pVDZ", 38.34, Null, 27.74, 25.8, 28.42}, {
    "S", "MFL20", "aug-cc-pVTZ", 38.79, 32.85, 27.8, 25.87, 28.49}, {
    "S", "MFL20", "aug-cc-pVQZ", 39.06, Null, 27.8, 25.87, 28.49}, {}, {
    "MFL20", "", "aug-cc-pVDZ", 33.65, Null, 24.69, 20.12, 23.45}, {
    "MFL20", "", "aug-cc-pVTZ", 34.46, Null, 24.73, 20.17, 23.52}, {
    "MFL20", "", "aug-cc-pVQZ", 35.02, Null, 24.72, 20.17, 23.52}, {}, {
    "MFL20", "VWN5", "aug-cc-pVDZ", 33.28, Null, 24.97, 20.87, 23.85}, {
    "MFL20", "VWN5", "aug-cc-pVTZ", 33.72, 28.93, 25., 20.91, 23.91}, {
    "MFL20", "VWN5", "aug-cc-pVQZ", 33.99, Null, 24.99, 20.9, 23.91}, {}, {
    "MFL20", "MFL20", "aug-cc-pVDZ", 16.47, 21.34, 25.14, 20.96, 24.04}, {
    "MFL20", "MFL20", "aug-cc-pVTZ", Null, Null, Null, Null, Null}, {
    "MFL20", "MFL20", "aug-cc-pVQZ", Null, Null, Null, Null, Null}, {}, {
    "B88", "LYP", "aug-mcc-pV8Z", "", "", "", "", 28.42}, {
    "B3", "LYP", "aug-mcc-pV8Z", "", "", "", "", 27.77}, {
    "HF", "LYP", "aug-mcc-pV8Z", "", "", "", "", 29.18}, {
    "HF", "", "aug-mcc-pV8Z", "", "", "", "", 28.65}, {}, {
    "HF", "FCI", "aug-mcc-pV8Z", "", "", "", "", 28.75}}, 
   TableHeadings -> {
    None, {"x", "c", "Basis", "GOK(w=0)", "GOK(w=1/4)", "GOK(w=1/2)", "LIM", 
      "MOM"}}]]], "Output",
 CellChangeTimes->{{3.794291533685317*^9, 3.7942915387480583`*^9}, {
   3.794291947029811*^9, 3.7942919764662943`*^9}, {3.794292034208982*^9, 
   3.794292052742679*^9}, 3.794292092661478*^9, 3.794292190721507*^9, 
   3.79429223288247*^9, 3.7942923390105257`*^9, 3.794292473903322*^9, 
   3.794292574739512*^9, 3.7942926605158997`*^9, {3.7942927566004257`*^9, 
   3.794292765338859*^9}, 3.7943004344030247`*^9, 3.79430047730258*^9, 
   3.794300908006627*^9, 3.7943009384350977`*^9, 3.79430140805236*^9, 
   3.794302282375531*^9, {3.794304452759013*^9, 3.7943044603815813`*^9}, {
   3.794414847810049*^9, 3.79441485512913*^9}, 3.794416673315612*^9, 
   3.794417329647476*^9, 3.794417618274975*^9, 3.7944182642911367`*^9, 
   3.794419357476025*^9, 3.7944194410245113`*^9, 3.794419508179792*^9, 
   3.794419637625177*^9, 3.794420776968876*^9, 3.794421470699999*^9, 
   3.79447495377286*^9, 3.794500384250197*^9, 3.794547670005571*^9, 
   3.794547862654736*^9, 3.7945482739891157`*^9, 3.794548604295116*^9, 
   3.7946774387219143`*^9, {3.794677490343975*^9, 3.79467749647548*^9}, 
   3.794713089824545*^9, {3.79471319152365*^9, 3.794713240503646*^9}, {
   3.794713294081395*^9, 3.7947133213614187`*^9}, 3.794713498176022*^9, 
   3.7947175835844584`*^9},
 CellLabel->
  "Out[131]//TableForm=",ExpressionUUID->"5db96a25-79a9-4efe-8b1f-\
76b5aa8f7756"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Hydrogen molecule stretched", "Section",
 CellChangeTimes->{{3.7943052147422457`*^9, 3.794305221712576*^9}, {
  3.7953688172990932`*^9, 
  3.795368818896274*^9}},ExpressionUUID->"f52c481b-2327-47bd-b23f-\
929a336b5740"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SizeLegend", "=", "16"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SizeLabel", "=", "16"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OptionsPlot", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"PlotTheme", "\[Rule]", "\"\<Detailed\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"BaseStyle", "\[Rule]", "16"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Thickness", "[", "0.01", "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"InterpolationOrder", "\[Rule]", "2"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Joined", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"PlotMarkers", "\[Rule]", "\"\<OpenMarkers\>\""}], "*)"}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.794540683050015*^9, 3.7945407337659616`*^9}, {
  3.794540916706895*^9, 3.794540919301409*^9}, {3.7945409833608*^9, 
  3.794541016455935*^9}, {3.794541092492181*^9, 3.794541108916753*^9}, {
  3.794541142013291*^9, 3.7945411530351143`*^9}, {3.795255322861587*^9, 
  3.795255323794676*^9}, {3.795255359258039*^9, 3.795255381222674*^9}, {
  3.7953203692132607`*^9, 3.795320458538566*^9}, {3.7970020860014*^9, 
  3.797002086424625*^9}},
 CellLabel->
  "In[298]:=",ExpressionUUID->"7ba6b269-e860-40b6-aa38-f199d4dfc390"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SVWN5", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/H2_aug-cc-pvtz_RS51_RVWN5.dat\>\"",
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GIC", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/H2st_aug-cc-pvtz_RGIC_H.dat\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GICVWN5", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/H2_aug-cc-pvtz_RGIC_RVWN5.dat\>\"",
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GICMFL", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/H2_aug-cc-pvtz_RGIC_RMFL20.dat\>\"\
", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"S51", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/H2st_aug-cc-pvtz_RS51_H.dat\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MFL", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/H2st_aug-cc-pvtz_RMFL20_H.dat\>\"",
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MFLVWN5", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/H2_aug-cc-pvtz_RMFL20_RVWN5.dat\>\"\
", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MFLMFL", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/H2_aug-cc-pvtz_RMFL20_RMFL20.dat\>\
\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "4"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]S51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]S51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"S51", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "8.69"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwSVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "SVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]SVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "SVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]SVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "8.69"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "SVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwGIC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GIC", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]GIC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GIC", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]GIC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"GIC", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "8.69"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GIC", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwGICVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]GICVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]GICVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "8.69"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwGICMFL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICMFL", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]GICMFL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICMFL", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]GICMFL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "8.69"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICMFL", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FCI", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "8.69"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "2"}], ",", "8.69"}], "}"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzl1Ik3EYBfAlY7WFU0SNxUJNED/AaRcWptS7dJo6pMzNwRLRJqumw4pd
ZEiiWMhAxTEmqCh67dQEtwiDVxQjKHErEC+c1Qa6F4mm5scUn/O/OPxuDpyT
1mh9aIoRiUTpFOiK1nutpQInldV+hJn6iKSNbPGEYyF/HFG9IqtuFuXB8YT1
1C5Sd9aUAbNlR8Vw9O6be9A5YCiHHaEL9+Ej+YQWruz6mMkdRZoecuq/U8cc
MhuhY3W+ATZvdLpvaAQutKCYhcb1knmYWjDpgbublgA025K2oLxbZSskm132
t/DWtmYEbr+wMvsTfilvk3blh2twpyGJ49CTtKvhv6M79VDo9zyBM9xOEPLX
j0Ow4JI6Ag9b3+/BRL7cXUsW2xXTMNpYxUPXkHoRegMnhjoyXWt5DM/0waZ3
2P3SbYa/5ypNDrJPdsoUm7jPa6TywfA3OJr/PQDFKy+DcPniQRhKvD4Byp99
eu0je5/HtUP+q1/6g9TNqS7D3sFZ65UygRtb8jAd1TlRBZloyWWm6ONjrpLO
vGxm1rRNCp/+9cdCIfwny19Bf9QR5s+9mn1pJfUXDMxzIEUQeA==
  "],
 CellLabel->
  "In[275]:=",ExpressionUUID->"c7746a17-1add-47d6-9260-6df14430c1a3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[CapitalDelta]Ew", "[", "tab_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"tab", "\[LeftDoubleBracket]", 
       RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
      RowBox[{
       RowBox[{"tab", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"tab", "\[LeftDoubleBracket]", 
           RowBox[{
            RowBox[{"Length", "[", "tab", "]"}], ",", "2"}], 
           "\[RightDoubleBracket]"}], "-", 
          RowBox[{"tab", "\[LeftDoubleBracket]", 
           RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}], ")"}], 
        RowBox[{"tab", "\[LeftDoubleBracket]", 
         RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}]}], "-", 
       RowBox[{"tab", "\[LeftDoubleBracket]", 
        RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", 
      RowBox[{"Length", "[", "tab", "]"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.795254038206369*^9, 3.795254131704221*^9}, {
  3.795254177404931*^9, 3.7952541779313993`*^9}},
 CellLabel->
  "In[326]:=",ExpressionUUID->"07e73e2b-48a5-4642-9417-f48c2b3cf550"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[CapitalDelta]Ew", "[", "EwS51", "]"}], ",", 
     RowBox[{"\[CapitalDelta]Ew", "[", "EwGIC", "]"}]}], 
    RowBox[{"(*", 
     RowBox[{",", 
      RowBox[{"\[CapitalDelta]Ew", "[", "EwSVWN5", "]"}], ",", 
      RowBox[{"\[CapitalDelta]Ew", "[", "EwGICVWN5", "]"}], ",", 
      RowBox[{"\[CapitalDelta]Ew", "[", "EwGICMFL", "]"}]}], "*)"}], 
    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", "OptionsPlot", 
   ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{$w$}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{Dev. from linearity (a.u.)}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{S}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{GIC-S}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{SVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{GIC-SVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{GIC-SeVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",\

 CellChangeTimes->{{3.79454995818198*^9, 3.794550056582102*^9}, {
   3.794550957011647*^9, 3.7945509784674997`*^9}, 3.794892333111104*^9, {
   3.79490037305298*^9, 3.7949003770798197`*^9}, {3.794916592518004*^9, 
   3.794916626048287*^9}, {3.794930476815817*^9, 3.794930480443349*^9}, {
   3.794931518527726*^9, 3.794931519392357*^9}, {3.79493354307712*^9, 
   3.794933553197998*^9}, {3.794972040069544*^9, 3.794972042552458*^9}, {
   3.7949721910558653`*^9, 3.794972192842806*^9}, {3.7949775204673853`*^9, 
   3.7949775312736483`*^9}, {3.794978381473041*^9, 3.7949783970796556`*^9}, {
   3.795073864198514*^9, 3.79507393069709*^9}, {3.795076973455983*^9, 
   3.795076974417272*^9}, {3.795100472598009*^9, 3.795100483237753*^9}, {
   3.795105886424511*^9, 3.795105957955182*^9}, 3.795105995644155*^9, {
   3.7951060547985277`*^9, 3.7951060607916527`*^9}, {3.7951060976578093`*^9, 
   3.795106098222701*^9}, {3.795106200441524*^9, 3.795106266273793*^9}, {
   3.795106502392468*^9, 3.795106503592857*^9}, {3.795107856815571*^9, 
   3.795107857226839*^9}, 3.795110695730279*^9, {3.79517649385334*^9, 
   3.795176494118764*^9}, {3.795176525807382*^9, 3.795176526243072*^9}, {
   3.7951768984943933`*^9, 3.795176905818042*^9}, {3.7951869594189787`*^9, 
   3.79518697430476*^9}, {3.795228294805068*^9, 3.79522836098522*^9}, {
   3.795228400831469*^9, 3.795228404849593*^9}, {3.795232682892654*^9, 
   3.7952326915498323`*^9}, {3.79525413503689*^9, 3.795254158789199*^9}, {
   3.795254198257225*^9, 3.795254278832089*^9}, {3.795254316094252*^9, 
   3.795254351986829*^9}, {3.795255345459456*^9, 3.7952553510781918`*^9}, {
   3.7952553953463383`*^9, 3.795255395811307*^9}, {3.7952554697561197`*^9, 
   3.795255481088748*^9}, {3.795255583992358*^9, 3.795255589634921*^9}, {
   3.795256413140295*^9, 3.795256417747985*^9}, {3.795256523506897*^9, 
   3.7952565636654053`*^9}, {3.795256672114045*^9, 3.795256687957172*^9}, {
   3.795333390250894*^9, 3.795333404579505*^9}, {3.795368859603147*^9, 
   3.795368873501582*^9}, {3.795374058196526*^9, 3.7953740775889397`*^9}},
 CellLabel->
  "In[327]:=",ExpressionUUID->"602f0900-7f7d-4d52-a070-f83c0ac6ed77"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJxdnHk8lO/3/9GiqBRKpVL2qCwJRU4kOzH2YWZKu0pSWlSW3ohCqUQLJVsJ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         "]]}, {
        Hue[0.9060679774997897, 0.6, 0.6], 
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJxdmmlcTd8XxptUxihkjooiVEiZ9iIhoTKFJGQOSUiFVERJKDKEKInm0kCp
rTRIk+Z5uLc7z7fploT/Ocfv1f++6XM+99x91t7reb5r7X2a43RuxzEFOTm5
CUpycuTf//8c2vmbFbtgPTxN/vnJZm4obqiusDtK2wldh7T0Haqj8HKPswaL
6Y6g+pzTNWN1IvaqdDFr3nIMFhU4K1+an441Zt9/OOh7GjxD+mroo7Lx8aag
h14jz4P+i4DTC+bkYeu1Nz1PXL8IDfsPjeScKMCN31J+fdX2gLrb8gUxzcV4
xLkJ04J7r4DR7DNPT7mX4g8mMXVF3dchT/d1oCGqxKr3PoZljvOD5lLrLVen
VOO+8cvvr1t1E5xXfDjopFeLk99UNtzwvgXzHIfkS7fU4zOxkazFZQGwYcaX
BIVLjfiY/49lfRpBMGHP05b9oc04xHRvYe3eYPAcdyuo/k0r7v2y6lHFs/sQ
YB7w5VxsO96stqbGVfAAoDfCfcGbTvwhNnBIRTUUtow/1uRXQsPLkxXXJ2g/
BEuW0kefLDqu14qPP7DqETwdXNx4L7oLP/51fdmMHWGArBhmiYEMfMbcr51z
/DEsaZnT1nqSiY/3pcbkeT4B7/f8vGnmLOwyQe1BzJ2noJGxhnNqEhuHP6M+
ICc33eZ7FxvT7m4veBYTDqsD/QbN4jh4o2D52Hepz6Ha9iLj02kuLkjffDk/
+wWk2UnVNuvxsAMvUJ6X/xK44bJrvDYeVg8ciJ/5LQJcZ95eFH6Xj7sehrof
LH0FmzsiZ+1fLsCcm4lGjcdew6X2jdsXtgjw6Uv6y/1Zr6FnmnvRWA8h9p6e
XbbiaCQUPja88ldNhGdeduruo0cC2/aCm3yUCG8JmPMu0zEKHDavi9dYLMbK
NgNC75Yo0PZ5Nnd5uhhblzG+btv9Blb1X6GfXCbBOVC3MePHG9CaeL/WI0WC
6eKMx5usokErerXH1ElSXNgU8EGpKBp+WM58UWYrxY6/t4YL4S1oeZyq3xEk
xWkOCtZ/s9/CuCVzdJMLiftl7ytWL4+BCHeLANqwFN8rWzv1bWoMlG+olecs
7cYard+NzBa9g/BXFQ++nurGO+ZaTJS9fweqN5eaXIjoxlZxyQUduu9hcq+S
ZLC6G/8+NQZ6Xr+HQuE6vFOpBzsftb9lNDMWxp/nR90w6fkvP7Eg5/PnRcCx
Hnx1ZKnHoslxEDzVO8HpUQ+emi7QEYbGwac1p6onfO3BZ5/9Ca9Xi4cbwi+j
H4t78PUshQ7e3XiQzPXbL5nai60mDgr1RyXAEC85b6ZFL66M7fgWejsB3pht
XjXnbC8e45XpojciEYQTrMt+PurFI/yv09l+idBwCbu++9yLs0tXzK6WS4JD
R8MNFtB7sf4W1gK2dxIEtNN/+Y7ow9uV/eTn/U4CW/ojepJ+H142rBb94Eoy
ZJ1La0ux6sPlC++rzxtKhi8Ba0S3T/dhzsDDl8dXp8D9qzVNpkF9+IK1/K3M
Kylg+3zCscLYPjwq/P5Xhc8poMgaCln0rQ/Ht6CdW4ZSIHbfvYMXGH14z3g1
swcrUmHtz7KKsD99eNwqufPVHqlQWpDW9mhKP/5hr/5n3KdU2JC14a6rcT9+
dm5Dp+VAKqQ2+7bpb+7Hrp7PJl5f/gHGzz1ZkXuwH2/3GBeReukDHHk+6Gh4
qR+vORN9hZb+Ad6uXhpyLbAfL9m9P3F03wdoUZ1y9P2LfryU+qSBvNy7xuSk
foyUF47d45YGU7Vpgodf+vGuyg2rLqemgc65gte7fvTji0E+uQ+laTCLYyvr
bu/Hr9e0PUwwTIdxdwKEpwX9uI65F+e7pIN4j/ONrwP9eJKvbHVtYjrk2cqy
+xVk+JB6hhpdmA43Li58OGKsDGc+fbRcYJABZgVjxvRMkuGJE8NSu50zgLb6
ydzPM2X4+s1Mn77YDPCkl3Ue0pXhft7gm15uBoxIjVvJmC/DFy0cpkv0MsEv
fuly88Uy/Pchjc0+ngk9VcdrrhnL8DqjyYva32bCxFd6tTlLZZjlGjyxjpkJ
cQ/3Dc81kWHJ7o0vy3Q+QnrS8LYs4npv59pvBU4fYYl0fIk7ca039lpoTuRH
0N372NlxmQzbdw79yaB9hDvsuyauS8jfZ49J0foER5/36ScYyjDb9fPnOMdP
kOJeYaG+UIYtjP6Mjnn5Cdw8NAOj9GRY4ZHf78i2TxD7uqbfQVuG572wfBAx
PQt2SP7cWTdDhhMsbQuf22eB69EXlrbEevzzTxbBt/jFgcR6ce7pjn/alAVK
XxesESrJ8BP9br0nmtlwPW76Rc9f/Tjh+F/aY7tsOJN1rdaoux9rb7ZZ9SQs
GyrFtvvV2f14+Adt+dO6bIiyChs9q6Ufr/yVVvtM4zMIyq2YOyv6cVtpyYQX
Oz5D7KXzrDQi/x1Iqzsi5DM0W4xUQ6n9eMOej+ejqj7D9ZXqh3si+/GEiSEP
Y9Ry4Knd3daqEEI/lxLs4q1zQPfZZe9mn35c5TXyc0pwDsxVqNs85lw/LtR9
n5dZngPPQyLXnHLox6tXqI/MHZ0Lt67LbxhL6Hmnd7VJgVUuiBQnbZlk0o/V
+lgbvwfmQuWsNhvf2f34VLjN6h8luWBQZbdz++h+fPz8uMn1KhgUpvjv9u/v
w0qe2nUtGzHYyY7bzezsw+tSg9xp/hi0Tw/vnlrSh3WmWf1mFWJwdt+wyzOl
D79JO3BSoPgFFk4x377maR8uvVb8UWr+BZxte7Yeu96H73ncFPT7fgEdLbtN
3cf6cP+bJ4q/8r7A7ptn19K39OF/XUEeyPuYmZkYE34udnT108oDA/WPi0WT
+vAvXW6NEuRB5UqezsihXiyd/kLvtmMeCH9Waga292LTeC+Xkd554G9zctTZ
PIJnNTfeBb3Mg/BVGb/So3rxx9CPNWNz80AfZwgO3SR+z58kvd+WB0saT7W4
HuvFnq0RfycM58HHW9XfmBt68c6jO+QfTc+HzHJhWs7cXnzN36h/0qp8MIz9
HDGo1It/ohWtT+zzYe4MFPCU0YOLH5xJm+qVD4/mXnR9kd+Du7xKrz1/lg/X
iw7sUXrVg2deP2s+MysfXnNGThVc6cHmWq4jXzXlQ8rl2yGn9/Zg2/01NbMH
8yHpUkOe/7IebLn0UUSU5ld4RpfFrBjfgw3eZZzRNf0KHp+5628LuvHPzOVr
Yuy+goViwhOX4m6c7KQ5Xt/9K/z9tDZK8robb4/bw4oN+wpxbTFHRl3pxm3B
AzkGGcT9Lh2teBdRj8YOPE6s+woVZzmjxi7uxh/07S4Y9n2Fja350j7lbvyr
c+KOVI0CSMo8G+zeKcVLKL4VEP4R0EI+SvFO7dTJGTsKYMPHFYKN96XYPvHe
8HK3Arjati8h7LgUW9eVMT+FFMDrc1t0vddIsf6Tkz9WphZApuu4nXITpVja
fzQnp6oAXL5sOG9WJ8GvpXnxSFoA+zwnxL25LsFrbl99madWCLPUfGzNF0hw
XtaTEHPDQij0CTk6sU6MjQLUAwqtC2Ft5Qb21GtiHNAj9NnoUghvB17U75gr
xpWD866WBBcCbfjxki/lIjwUnudplVgICh1LfzteEOGJzVme5eWFMBh+wWTJ
VBE2LUryshYWQnboo5oTWIgfnl91pWp0EUzVrS9bfESIZ3QcvLLDoAjm2ZjM
ua0ixK2jZlypsyqCKo2MGtd4AS4dOOdl51wEC9x20QTWAiyO3u/ZFFgEM501
rAa7+Xideudl+9giyPvVrfb4ER+XwtCltpIikNOTGhct52PfRYkXHLlFIBaM
TfFv4mHX1gFXmkoxXLbacqfRk4fvbW4566RXDKnm7/Oyp/Fw5+VdzsyNxXCj
Tnen4WcuPk59iuHv37x1Jvu5eMak8U5c/2LQLrp6t3yIgxVubj/g/LYYunX2
Lu1/xsGz0xbsFRYWg8OMncuTzTj4TNTzHS7MYnBPOhs21MDGou3RW6WK38Cg
5Z1t40U2jsi32Oim8w3uv5I/uUGdjW92X4U+c+L6j1erRTILh9O3mrk7fYO1
Axrx9VtYmB2SbjTo+w3uBJY3DHCY+JBCur5X5Dfwz4h2jL/BxGpLt8wezvsG
U6+8MJfOYmKxjpemN+0bHGxJ8yvOYmCl+rXj5ORKYG0tf9biXQwctadNyU+r
BCpGZffYiLuwQW7gL0Uoge654c27ArrwkxGbe/wdSwDrBtWu1u7C3UbTeCre
JaCrEkxTyaHjhfC7M/BlCSyreCWXuZuOdxj1NIzOLYFG94KlmyQ07KD0syK4
rQTmKQ16fg6g4e2fJxSpDZfA6EtratW1aVhv9+qckOnfYdlDvevh7p2YV+2R
prHqO9xSlF2rf9+B7xt/iwuz/w76q9hRDS3tePZFvShNr+/Qs2JQ9HJM+3/1
5zvhn4UHDVAbHoycGTI96zvsCPaVeZ9rxSuD0wJeNn0HEX0w7enrFnxi/34f
rcHvkP875IlHdTO+MmaSR6RmKXTStkbOUmjGl17TzumYlsKyoPnVd5Y0YTtN
fOKtXSlUD+vp5To14tnnEw/quZdCionlm4zQBlyVmLQnNqwUik3ubLj4tR6f
qMi3McgohXm/RWN/dtdh1g/2psS6UsgNujC8fk4dtsqYudawrxRe0qdN2G1b
i59eO26WqlEGmX8YWxZer8Gl+vlGS5eWwWRGZcL3xGocvVpnfsaOMjjf9Kne
ra0KdyK/OaZuZfBY//rJs6OrsLdhx9SskDLgx6wvdbtUia+OM1VflVoGKz+s
e5JYV447Wu+Oyq0qgwkXBk2DlpXht086FUBaBgd4JxJGh33HpesMf+WplcPq
SQ/6Fsu+4d0tV3rNDcshROY6vn9PMTY/XCQotC4Hr+BRco7Zhfhew2jmRpdy
aGx2KDg1swDDSpu2kuBy+N56wn6Kbz7edfd+nVViORyat+dObekXXFFOfQj/
2KjkPMrBMb+Ui6yF5UCzyDbgH8zC7VNQbtXoClDqDxs4sDATX9V1y9hhUAEy
NYaz5tAHfHXWm8Q6qwpgGqwfvSg0GbcrV7+1c66A7rFv7mcuicWv23+9bAqs
AL9illNZfRT+HqXz2D62Ag7FTh7VKHuKt9tZ3msrqYA8hnXT/nsBGA2euuXI
rQC5g7fk5jaboTsBAd40lUp4KikT5k24g1arRLs76VVC2wKlzxtin6FtF3Nc
mBsrgbFXbGSl/QZ9/VFN8KASmooumxw/G4vKWSxHrn8lnDXZO2l+ejJ66zdk
5/y2EnK/HL3mNPQBbYhRsxEWVsLfalbPC81MlGQ7d5MLsxIstxsKCoyzEMN3
FUgVf4A8Wne80TIHsVbsMHXT+QGDT6YfbXT4gpI8Thn2mf+AMMODPfTl+Wgd
8tVzd/oBKd8nXqzM/Yoi7jzTGvT9Af7hi02N1xeibwc+aHpF/oCByIRVo74V
oY8fy9SG836AoPOe777N39DlpywVb9oPeL6rXlWrtAT96w+qCP/4VNtvLkXz
L48dzlOrAj79XuuYb2Xoo/H0QV+tKjg/JK9nsr4CxRvO7zM3rIInm5vTanMr
keJ5U6kiVMHrE6PWXZxehfL7NwgLraugakNLyYrGKsTM3cX1d6wCW3A4vzK0
Gp3+foTQTxWo73qw0n1rDdo75QJNxbsKFt901xWNqEVxcX6Enqog/Mc4w1e4
Fjn5hDYFvqwCu+X77O+61yHvZ1GEvqpg56fdMemL6pGc7EPV6NwqSNitpDGF
WY/YYQWE3Ijvxx17nfmsAWVtrysJbquCfb/DxjtZN6Kf8qxCa2EV5KzJmCuU
b0KxMf15asNV8PjH185d6U2oFJQJPVZD6weMXhxrRvYVk7NCpleDN+e9+ddJ
LWi/jR6hz2oIP+srKC5sQWVFpqkaq6pBa4Pliji3VpRgZEnotRrUXH4bnNFq
Q0P398aG2VeDA/d1wZiyNpTDOEnotxrmpi+Ru3upHQkMPCM1vaphV/UHOm9W
B7pzMpDQczVIYM7Jed860HOKb9VEfrwfrnPpRNO+EMPFVkNWADN15igaUm0m
wsuqhjkrfYWBDjR0ivOdwG01WE0M8zyWREMm/GZiwGqYoTl7X8pfGrpI5/k7
cqshzlw7yNmWjuZU/PTVGqwG7uPnao9e09G6xJGEH2qArXGXvVBKRxW+U70i
NWvgXlavmgl0oTKr+YQ/aqDndk1QQnAXMlVd4aZjWgNK1/XtH7Z2ocnZloRf
aqAuot+Lp89ATof2Or+1q4EdnBXipEsMNPvXCcI/NRCytz+Nkc9A6iGXnfTc
a2DlkUIr97FMJD//NuGnGpjtsd54914mEnwl7BxWA6ZP3E74RDFRtWMM4S8i
nrztogEBE6UNE+nIqIEJfbSvn5exUOgLAi+FNVBtPJtbdpWFTqN6q8S6Gvjq
qXZAv5CFzLsI+TGJ+MuS5lSPYiONAELOfTVgq//HpNiWjeiGSoQfa4F/7/cz
lcdsFNessSpVoxbS/iZsC2thIzd/HcKftZDnNWb7uVkctIzq32qJ/MyIDjvM
QT1dxHDmtXDxfutG1WgOintEhLejFjTnb1nxjcVBBy2J6TrVwkC585WaeVw0
/s95YsBaGHtl5dgFJ7goJ4NIh28t2C3NFlfEcNGxc0R6Q2qhqZ+nhVlcNNqA
kEtkLTz8+v31kA4PJXBTiABrwe/ZvvM3DvPQpveEnPNqIdrrWcjeCB6inSLt
UQsKxwPlvVp46OIiwm60Wni8f34+ZxIfjeiVKIK0Fhz3e1ZF2vLR/ey/xKcW
7I95Gr6/w0cSP2I4tTpQebS8WlzARzIrIjytOqiTx+9PDfPRW3ViuoZ1kJOk
ljllmQD9aUYED+qgLNzg5y9nAZKLJNJhXQeDRRPcNCIFKOEEkV7HOths9HX2
wQbi/kWEXFzqIKN59YjOUUL0q/caEWAdbPrqq/UQCdHrLELOwXUwwHtw7sp5
IZJ4E/Z4WQelts79T94IEWs9YbfEOsiSjU3l1gmRvyph39w6qGi9EnV2hAj9
qz91RH7Sv88zEaG8B8RwbXVgdyRz3sSjImS/iwhPSNw/4kaWSagIRWgS0x2u
gyOcqX5BX0QooIVYvtH1oKl6xWeSUIRmviTSMb0eJCdi0ms1xWj/QSK9BvXA
VX4xq9hcjMznEHJZVQ/yrP1YeEaMqrqI6KzqwUyB/XDTYzEaFU3I2b4eQh1X
vmrAYsQ/StjDuR7GDu2lPWOL0YW5hN286iGmbt2ekLES9J5F8qAejon7FHOX
SpDfW5IH9bB2kxt7xj4JWnWM5EE9NDXFGMVdkyD5uSQP6iH7xfWJjpES1Mgk
pltSD9LQ4RCzQgn6HE0sX1M9nP88M3YFW4KSjxLp4NaDTlB3QoqiFKXoEukd
rIcP2+fVNGpI0VcmIReVBjhtvMgiVEeKGNGE/DQbYOsCZUXaEilSP0bIWa8B
dq5OHZe/Tops5xL2MG0AvxOLT5jYStELFmG3jQ3QEn9tzBpHKfpJzPatXQPs
G/nqT+NpKTpG9dcNIOcTukbZU4po84jh3BugUm3v92/+UuTMIcLzb4DCT5LI
GaFSpPCemG5YA3R57fumFCFF70mcvm2AeXZhK3xipchxPsmDBnho9WbwXroU
6fCJ9BY2gP7eG0rGX6RoII6USwOwvE0OHP8uRU2nSR40wDecpWBYK0VlC0ke
NECt5vj+O21SVCki7KHYCCp3zJZ5saSoNYnkQSMcnrQ0b1gkRYPnSB40QlfW
36fqMimaZ0zyoBHuXo7An39LkX0PyYNGGHT0tx5Q6kZBaSQPGiHPZ8HxwtHd
6PNFkgeNwGwLHqGj3o04JsTyuTXCkQvJCzWmdKPxAyQPGgEs7rc+mtmNTD+R
PGiESzaL1N9rd6N9ZPmIbATVsMCqrXrdyHslIb/URpBNjJ58w6AbvfxF8qAR
1v24yrQy7EafckgeNAKnQGNl9JJuVE3ajdYI3J6TmvdNuhGftK+0ETY5XL06
2qwbyVP9QRPhH+tTU1d2I418kgdNMLmjvf3Tqm6k7UfyoAluyQxaeKu7keF6
kgdNsGuzmWPCmm60isQpNIF3g4KzHOpGFiSerZtAISLoN4v43vIWyYMm6HpV
M+UAcW21ieRBE2i1NX4+Roy3RZWQn3cTfNzxnP2XeL4lWd6CmyBOceYzgxXd
aMMdkgdN8EvsUMtd3o1WbyF50ATvJu4PM13WjZaNIXnQBEkXNTs1jbvRPAoI
TTBeLTQlcFE3mnKP5EETOE4denJvfjcaY0PyoAn0vnvr6M/tRnLjSR40wYlZ
s3faze5GveTyjW4G7akd86ZOJ/JFpmN6M+zK+hThOqkbtZDpNWgG+b/J2Q5q
xPqSclnVDHr8Aq921W5UQsrPqhm+efV19Mh3oxxSzvbN0JmyjvNiSIo+kPZw
boYLd+MftvZIUTxpN69m8B67hJnEl6IocraBzaC4rL5pcpf0v/6gmchP2HmN
Zil6SA4X2wwe588nRf+QortkeFnNcDrA+X5pkRT5k9MtaYZ6C5+J/p+l6Cq1
fM2QFfNhTV2KFHmS6eA2w+Qk+dGf3krReTK9g80gtD971Shcis6SclFpgTWJ
/SFr7knRCVJ+mi2g8jZ8S6evFB0l5azXApvNHWInXSL8SNrDtAWU/VfG005I
0QHSbhtbYPVZk+1r7aVoL8WDFhAObX2+bCtxTfGgBTQW+wbmrpGiXeRw7i2g
298t7VgsRTvJ8Pxb4A76EvNCS4psyOmGtcDGUbw4mZoUbSOX720LxKV0DDX/
lSArMh0ZLeC1PXr13w4J2kSmt7AFemXa0w/kSpAFVT5aYGqk/ePecAlaR8qP
2QJMmy1JXy9LECLl3NcCTor9TqU7JWg1aQ/FVgj8vCd9lKEEmZF202gFB48L
UTdGStAy0r46rdC6wnKRCUOM/p1ftxL7n/pdWjliZEQOZ94KdaUzppo/EqNF
ZHg7WsE6fIbXy9NiRHZX7k6t4O1Sf9mYqCfzyOVza4W9mzap/yHqjTaZDt9W
aNR126woEiEtMr0hrSCvYjdzXb4IzSDlEtkKbaKe4I+PRGgyKb/UVnBqtnx+
/IQIaZByzmuF0O97NlivECF10h5VreCMte66jBKhsaTdaK3Q8/H1uW8tQqRC
2lfaCvqZLZK9cUL0751jGyhkVYzR8RQiOYoHbZC992Wd8SYhGibD02qDW4vO
7g6ZKEQD5HQN2+CQ6Zr76+gC1EsuH7TBRvexfuaJAiQm02HdBqv47YseeQgQ
n0yvYxtYPEwKXb5egCi5uLTBvvPXU+aPFSAGKT/vNvC4aXv7bAMfdZByDm6D
d+VzNBVe8VEraY+XbSDc3HuQc5xPdX9WiW2AhgsPz1zMRzWkfXPbIIzxeEZ0
Hw9VUv1BG8jLnXpwJZuHyqnh2uDy9lW5b67zUAkZnrANRjSNfTPDgocKyOkO
t0HEQ9o6tgoPYYoH7bDpZtozuTKif6N40A5DsbfiTgdzUSbFg3b4qmR/Uc+G
i9IoHrTD40eLBpaO56IkigftcG2f/NKQKqJfpHjQDid31uvBAw6KpnjQDmf8
YuvX2HDQG4oH7XCVfW118FgOiqB40A4R13c4LCpjo3+vG9uhdJueyawANqKG
i20H4/4dtecs2OgRxYN2EE5duH6JHBtR+CtphzE5H24e+8xC/3DaDjda2U9G
urPQTYoH7YS+S67OMmIhCveD7XA7dM/SaB4TUeVDpQOmLnj0OZzoz6lypNkB
SuA9SWE/E12ieNABNtWT1rWoMxFlD9MOENLskU4pA52lEtwB3We3jW33YaDT
FA86YJuHKFHFlIFOUDzoIPi2avYbYReihnPvgMkjlh9NjuxCBygedMDd2x2e
C+26kAPFgw7YfXvZ4WmjutAeigcdcFPJbJpnLh1R6cjogDF/udGWrnS0jeJB
B/S7b5IP1KYjqnzUdcDyMzsNV9bR0AaKBx3Q2DHG0MGfhqjy1tcB5ZUX5CQm
NESVS8VOsPYYv4lV1omo8qvRCWnbHhlVLuhEVDnX6YS2mRdynwZ0oH/nvZ0Q
w00QWbDaEdVumHdCgtu6NUNr2xHVvuzohOU+Rvq0522IaoecOsFhgleSrL8V
Ucvn1gmDc2dVrbFpRTMpHnSCKZ4RnPGuBU2jeNAJw82XWAf+NqNJFA86Yb/n
/Oblds1oIsWDTjB+YXpybUITouScRzzf/HWoF7EfHkXxoBPizxzZy9rdiJQp
HnTChmm+WT6xDYgq59JOsNvyM2PrcP1/5wc0Ij/l2zZb16PrlB5osNjsp4/7
qzpEDa9GA/k+H5s6SS2iwtGkwbGlR7KcoBZR4WvRYI/sFZ5zrwZR09WjAV5t
enBCWzWilseQBhXK858bz6/+Tz80OLPrkpvfpap/yw80+GNlVqri9wOdo/RE
g/V9K9mnNSsRlV5rGjRG95gZx5cjSg52NLjjcPDrnjVliGovHWmwd7qvX2fF
d/TvvJcGE+h7PEscSv7jDzGeqUOeC7/4P/3RgBmjfH7x5SJEp3hEgy+Ge4JU
FAvRQUqPNFCq2aY2FPwVUfYKpoEomD88Yko+2k/pkwYBxfbv7cy/IMq+L2mg
Fr1wQd2OnP/0SoPR6VbXbx7O+o9fNLAaSH93wiXzP/3S4MjZ02+ueaahaopn
NBBPcnEr9ktBVPtSSAMfhuf8mxPj/9v/EOsvlzKRrvUWbaP0TYOLSr+3brKJ
QFQ71UaDvvrS3Cd7QtFmSu9EPovmSiqcPFExxT8aeDybwQzLcMcWlP5pcLcn
ZnZadgj+SgmIBjt6J10x+fESr6MSQgeDSQss3Puj8T8+0kG71EhXqByP11D+
oMPM4B+L/wSn4M8UL+lA913psTM8Da+gEkyH5Rb7xJfeZ+KP1ITpYFFrEHLs
Uxb+t9+mg7vhh0PapTmYGm4VHUAedNvbvuB/9ZUOeR6h2xmX8/E/vtIh5W+q
yzn5Avyv3tKhdZI3Tz2oECdQgKRDfbYsv2JiMdanBEiHOvH0wVcR33AMxV86
NKaKggL1v2Ndyn90mKJ05tqdD6U4iuIxHeayHpdHrS7HsylB0+HcbhfPmuIK
/IpKMB0Cd/XcmLr9B55B+ZMOLucnyD6frfrv/JpO+EeuWbakGk+hDEIHo4ZC
5zWD1fgpxW86MHoPxt/PrcH//EuH4b3V4SK/WhxK8ZwOT0ZMXbHHsg5PoAxH
h5qfy2+Vj63H//hOBzcTA79ttfWYkksVHR5/6l/Y8rQBU/JrosPqG49vuTk2
YqrdptHBL2zs/cm6TZhqz7l02Cyx31jMa8KU3aTE+j/wTvBNbsY+VD2gg76n
R77lpRb8hzw++EuH/bGW/tNXteJ/9aEL1J8f+pQv14ap7YhaFwx+M56uWNyG
L1M86IL5RjmJnXfasYziQRcU1f49t8emA1PbI70uiPswfNhZoxP3Ujzogq/l
H25MaezE5ykeEONPCOEbbaNhMRVgFzjvm2vwJomG/9WXLrgIjxUZanQsoHjQ
BVMKGBekrnRMbR/tuuAwc+zVsmo6/seDLnB8M3HGxSVd/73/6SLyM7iTH9qF
//GgC1YNfdRZ3NuFj1I86AKD0F1BsJOB//GgC1K/VdyZlcbAhykedIEwXEe7
TJ2J//UrXfBltN32DW5M/K9edYHZtGNTgquZuI1KSBfsLba9HGXEwvYUD7pg
wfipLv73WbiJ4kEXPBrIHTYRs/BeigddkH4VdNK3snEjleAuOPPqJf1vHBvb
UTzogrqDTaZTR3JwHcWDLmjKlcyVO8HB2ykedIFJbnHb40IOrqJ40AWvD68N
/jKHi20pHnTBvHgHUy9vLq6keNAFCc+mtxa3cPFWigddsG3RNY+3y3m4jOJB
F0iO+apNDuVhS4oHDIhbr/96ioiHiygeMOBk8fkFiZv42JwyMAOWig8k1Uby
cS7FAwaM+iw0uPuLj1dSPGDAn4Wz3jTsEvzHAwb0ru/RSEsU/Pf/IQwiP6e8
5ygLcTLFAwaMO+zXNcdRiA0oHjDA7ARam54hxO8oHjDARf3lk6YxIqxD8YAB
750iuPeOiPBLigcMEO8xX9qYJcJTKB4wwLon4HKqmhg/onjAgBRjt4yZx8R4
DMUDBsya/Ec4PVuM/SkeMOD5q4WzEsZJsDzFAwYsq/xtWekkwV4UDxjQEHn+
rF+mBPdS+3kGoLGFG5hKUnyG4gEDprx4vd12sRRzqIaKQeyPvii775FiJ4oH
DJj27uGEjT5S3Ek1HET8r6e75b2X4v0UDxjwhLNHn1UlxS2U4RgguGK5LH1Q
ih0oHjDg9QFR2KLZ3biNOg9gQPLdjdu2b+rGBykeMGD2yF32Wi7dmEkZmAHS
mkm5Tx5145MUDxgwjx90KTu7G4upCsyAj9aZN27TuvFligdEvuXCOH9G9Pz3
/wdMIj/6kbMNevBdigdM+LT1XIrQpgdPpvYPTChlO086crEHv6F4wITVldOq
bjztwcZUw8mE8YrXadY5PfgrxQMmWPo/2VjY2YN3UA0ZE9p2HVVgKvRiJsUD
JlSfZ2kkze3FHlTDwoQFbdOuaFv24rHUeRQTmA+VzNY59+I31HkEE4aeRlmN
utuLV1LAZ4KroO/DtcReXEMBkAkbg365Pq/sxWeohpQJPh6ZN49IerG8JWUQ
OKo9KblYrQ8/oAoIcf+gcmqGYR+eRh6nezNBbyjojpFNH35GHr/7E+uhH73K
1KUPq5eShmNCg69N4fe7ffgmtQFgwjuVe7rcuD4sohpyJnhkHXQILenD26kG
mRj/SeHpElYfTqAaViaMjszZcUehH/+heMCE8oZNE5pm9eMt1PkHE+6aHX+X
urIfP6B4QKxfseYkTbv+/97PEfH4ONirnu/HShQPmJB5bNll/6B+bETxgAlH
Lr86fe9tP95LAZXIR8ZLU50v/diDaqCJfM4ybF3f1I/vLyINx4S96TvtpNJ+
HEG+ThpmguzS6Fj9kTL8njpPY0HYEbta4WziuoLkAQsWXFtWv9pMht8kkgZm
Qd7Xt0lTbGT4UTApaBZYL4s76HNMhn3OkglmQUv1Ou6FKzLstI2cMAsOPj9j
2ftAhtEikgcsYD5Y4PPnrQwbjCV5wIKmobM9t7JleJOI5AEL0ubMV/CulOGg
CpIHLHAd4ZDMoMvwcCLJAxZoxCgPfeyT4af3SMOxIFxxfteQ8gA+dI4UIAuU
ZxWcSJgygHfakjxgwe7+ujvl8wfwBWOSByy4G+i4Zf/KAZyjTvKABe9aDsbu
tRrAS/pIHrDgLbcpunDfAK6tJ3nAgsC072tenRzAUR9JHrBg56olF7nuA/jf
+Q4L5H3ULV/fHMB5V0iDsOCRr3NWccgAHu9I8oAFY9auLNkfMYDvrCV5wILj
n30vHowbwMY6JA9YENO7FldnDGAlZdJwLCjnXn77IW8AK/BIHrCgPnzeAoWy
AbywnOQBC4pGbtuaVzeAfZJJHrDgiYlgtKiduP8haWAW2M6SPxXAHsDJ7iQP
WCAuuHckVDyAb9mTPGDBuXmPfo2SDeAAqsMnxt8wwbhneAB/0iZ5wIbZ2spK
loqD2FuZ7DjYsOzBNau/qoN4E4/kARuER/1aRo0bxOPLSB6wYevrienO6oO4
LZ7kARt2mi9rnDV5ECcEkTxgg8IW+nq9qYP4qjPJAzbsy54+dGP6IN5qSfKA
DXYPGD+XzRzEs+eSPGDDr3Kz9StnDeJBOfLAkQ2bXKc3PCSuq1pJHrBhhVfQ
h3XEdVwGyQM2NPADmtYTvw+4R/KADZpfNSzDifH/7U/ZRH+9UH4D8XzLNSQP
2BAaXa1oQcS3QIPkARu+JyvZPiHiH88lgcqG2DlFLETMb+AzyQM2LB5SL1o5
chB33iMNxwbHFWLRHWJ9Sg+RPCDWp9PukOHvAfzRmOQBG1IEW2foE+sbI0/y
gA11jlVzLhHr/6QqgTAwG16b0V0nE/m5E5FOCJoN4z2vjxxD5M/nNAl8Niyc
HS/YXTuAPUxJHhDrveioZl/JAHZVIHnAht1RcXfZuQO48kctYRA2CG5y/bQ/
DODeqFZCMGwwar9t/PLtAGZeYRA8YMP8+ICndk8JvdqTHRYbasX8j9Z3BvA0
IDs2Yn7vk+77XyH8M58sSGxY1Vir9ev0AHaZSvKAA7+u2J9M3j+AN6mRPODA
2cfmp6IIv7BGkTzgQNC8u9p1ZgN46xiSBxw4tND0kcW8AXxFg+QBBxjv1uNe
dcJ/s0kecGDas9TX9D+y//YLHKL++K4ax5fhrC0kDzgQ3pZ6z7NOhsc4kwWE
A6zFFuE6WIZ175FA5UCHzNRxzDsZVvi0kxiQA/eXBbcsvS/DCRxyB8cBCWe9
Wri7DE+bSXaAHPg93mEYHZDhHXvPEAnhwNfk+kjt9TK889lFIkAOmBWm/LXQ
J+6nXSUMzIGD1qJJMWOI8Rb6E4LmwDLrIOYGgpdK14OJBHMgu+DOad3afqzb
GEZMmAOyJEHcuox+PMYkguABB5hqSVEvH/djOf8YwiAcGDqYjIwv92PztCRC
MByInlLh3E/wvepLJrGAHBCvUNHjm/TjuDhM8IADtQUHLqhN7Me1F4oJw3Fg
W2aVzbHuPrxleiUhQA44TTiUI6jow2qR9URCOKBZPzorKrYPzxrRTvCAAyfk
6zbcudmHvTeRL4g4sOPxJ6coxz5scFJACJoDNQ+z1ASmfVjnRA+RYA70/mzY
enR8Hz5jQb5v5kBKyfhp47i9//UHXPj79/hlLu7FjGfkiQMXhK+aj/Y+6sUT
1MkCwgWP9ye7FhP1+t5JDYIHXIiYOlEajnrxnpdTCR5w4VBva7Cpei8+l6JF
GI4LH03yPiuxenBd5FyCB1zIoOV5KnzswbfPGxA84IJ5X/s3o4AefEvLmOAB
F064asbc39uDa+KXEwbmguHusxO19Huwy+TVBA+4cDeqU71T1o3tDq4jeMCF
kL0ukT8Ku/HdWxtJAIL25al50pBuPO7uFoIHXLD5Q3Mxd+zGgi5bggdciBm3
elTB/G5s9MeO4AExXkmk2LVPitvbDxA84MK4heoztmIplvoeI3jAhaUrgkN3
3Sb6Qf5ZggdckEjUd9yxkWJrzcsED7iwx/aNvWiyFD9R9SV4wIWn6Vf3/sqW
YCscRPCACznTS4LdN0rwYbMnBA+4sLJBf/fWKjGmub8heMCFKkZE0tW9Yvzd
M4XgARciLRaEq3QS/e46TPCAC3iwVFNE9MP/zke5pH/0FnGEWDSjjeABF7zt
t37/dlKIXY2FBA+4sEF10e8crgA7jPpN8IALliN1CsacEOCUd+OIDosLNw8s
nv6RwcdnRs4hDMcFrpLNiBxHPr5ruIwoSFyI/3vTd3oTD0+dZknwgAcO26ru
19vwsOp3B4IHPAgVGxnxi7jYabUbYWAetHbFOO1bycXaFwMIHvDAbcESPZ1E
DrZyfUXwgAcWRTXXNs3i4AajjwQPeGCdFnC8OJiNKzN+EDzggXffTvqrXywc
fohN8IAH8y2jLGknWDgldJDgAQ/YZ+iyhzVMrLpVOanOigeORyYIs1cx8bu7
agszdvBggsES/d1vGDh410SiY+OBeeH6eKeRDJz9ZiLRARLxLd54iXG2Cxt4
jSc6Sh40O6+41VhFx8xGFV1TN+J5HjM70BI6pucMETzgwdg9PVenhtLwvPk8
ggc8mDfOtaiS1ok/zKgleECsx4T2WdvDO/DNJ58IHvDg0EcD5WzbdvyC6g94
RP1xuDJSidhfa7sTPODBBcFZb0hvwRFLrQke8CDZ87Caw+FmfKtsDsEDHkyN
X7744Ogm/IkvfTA9iwe93qIWyw8NeGHI53HDeTwo6fefNNWuHguw7922Eh6s
UZPr+CGrxeIL60flVvHgWtn+ZWcf1WCTFLmAl008kCx4NqV7cTUuvJA1wpvG
gyf7XCd9vPsDP8dnbzhyecCLOj9pX0Y5znwwUx6kPHizZLlxSeN3PIVf4q01
yIPFKvikUl8x/lJ6bvjvXx5kzxmZM3ZUIR5xeY4XTYUP9yxuxrlOy8erl4oG
8tT4sPW42YkLW3Lwyb81lyI1+ZDeFplUvScT326t6fXV4sMvroXB8L4UHP5N
eN5Jj7h/+vps1pto/KpgttTckA8n9TrHN/55gJ/8cHHRMeWD2bxbA6ll19BN
QYNQEfjAlbQ//6L8Gh3T3HeauZEPIsGee64nE9DKnf28Qms+XHAwDLI4l47+
RMSffGvHh6j5P5/dTM9Gn4aucPwd+XAzpXDFsG/ef+eJfMI/0tFVSQVIpcuZ
2IHwYf5N74JcWjF6cTaQKCB8CF7teqhIsxTpjvzKUPHmw8L5RV3snRUoIn3i
Ea4/Mf9oNDfEqgqNc/XtKgnmwxSb8rLPomrkskrVKTaMeN7D0ccuPKxFRZNj
6YEv+WDlNiz9uKoejVE4etj5LR8y+RHnAtkNyPK3Gd0qkQ8Zv3tonIdNyEtV
/7BBBh9q4wYtate3oHAdY/roXD786E5+vkXWilKsdx0WFvJBUDOFZRvfjrID
Q+jl5XzQtV46h+HUicyb7x9OrCPWr2mS/5p7NFS5TkYLbuPDPB3NxJLTdORQ
UHjQhcmHF7dfqmpYdaHeA7/arYV8mKYc+2TGfAYKmRC+37CPD4ciVtizVJlo
ScfrJrVhPmyztbE9y2OipgK13VJFASjM4Huml7LQza/sqqrRArguP6oxO4GN
TFvmbk3VEABDLvmEz30OEo2qKA6ZLgC1ac0GIy5w0ftdbWvddATwdWuAzuY9
PHT2487sHQbE75/lWG9dzf/v/3cERH7cE8dpC5B8iVe8xioBGPikwwNVIaq/
tECnz1wAMM1jRLVEiBJWm4fXWQlgSmXen6pGEboz4+v4jB0CeP78nsGDPDE6
PSnuVpi9AJh+9KBxcRK0U2/o1yUnAQzlt6nNs5Ii8x0fXO2cBXDZJuhC9Bcp
Wva4hrncTQCZp4Zd/Uy60cJe+72aXsT9441U8+K70aJTW8oGfAWgu2HeigPa
Pcho8M2apkABGCl3Kto/60Fmr48mfwoRwLhd9iczx/eijYeDZz97JoCaxU+P
uwX0oopW3YeekQLwrnks2S7Xh8xTjEfaxwpg8ZVdfVM8+lBER5rfylQBxOpX
X/wm6UP84/F/p2UJYHnrmPMHTvQj7c1TfH7lCSAtVIXX0tGPLPyHFNtKBDDb
Jr8N7GRox/QdQTlVAjg9fuXWuxUytG201uSXTQJ433DeNM9iABnvPhx9jSaA
usiTEa2fB5DizynLHbkC+Ht+lm/HkkGUJ9tQhqQCGNz4sLMkdhCdtuYe0RoU
wIg537LCZ//87/2CkMhPttquJz/R9dHBr2gqQmhhnKb3jR1CYtf75vlqQkgv
b1t87eYQsjBS4UVqCuFg9phB4dAQurO5L9RPSwhTEn+ttjj/C+Xk2K09oieE
r9Gxv/04v1BD4OLu9YZCWB05eWXsgWHUkXLlra6pEIqjzHsya4dRjTE6MAKE
gGIXzUvY/BuljnGfwt4ohLD0xvqAL7+R9zqdxmJrIUgL18pvM/mDllVtePbO
jnhey8n3g3F/UOOndscARyHY9tmUBc3+i47/4uudOi4EDw3ZKeXHf1F0VQR3
s4sQWpOzrt4aIQd25xeELXAXwnc514FIkAPv9uBFo72F4D488+1uTzmYPOl7
qsCfmH9UgX/kBznQndI2pzxYCEp9h575C+Qgml18LSFMCO2S/k55XXl46hNY
dPelEPwf++2b7CAP8mydn2feCkHAUVYueCgPLZMfT9mWKAR5ph9LpUweFmjQ
dBZlCIF5RzbAlFcAQYv89LG5QrjedniNvZkC6Lr8+i0sFAK9qTDjhIsC/Ds/
IPLjo3V4bLQCiGSXbifUCaGj+jxsaVaAK0LZorttQrhQ+dl2zjhF8E60yTvN
FELJpd+P7psrwsAKH7RFSMz/2/Ixj90VgRkS8H5BnxAyCk9kLotThPUZJ/+M
HBbC1jMPHp5uV4SJ0bPX8hRFEIZT3qwcrwQOjilnS0aLIO5zCTvSXAkmMzVv
v9MQgfeRJofIi0pgbrLn7q3pIhiV2TliRYwSMLe7XDumI4LdaR30k41KxPMP
2FsYiODA/nqpkeoI8BHp6OgsFcHCpIIlIWYjwO3yoxkKq0RE/17noHNyBOR1
+QTRzUXQm7FU1/fxCHA15J3LtxKBxw1aQFzBCLh6oOJ75A4RpC9svfNKMgJ4
ZxY987MXQWqqzoJD05Qh7cDIjiNOIjiknn1cuF4Z2gwPP93gLIIG64i1FmeU
4QRjWYmemwhGnqj6eOKhMmz1uHl2lJcIBu1ty+2ylOGB2CZA5CuCZwtmeU/o
UAaTjU+mVAeKQK5hRcUTeRVYcd1+VkaICOYceJPF01GBf+8XiO/z7NerbFAB
h7Bdd7wjRRDx56Cz9KgKeLkFSY/EiqB/StritzdUQGaEyjenikBBbdeDuZEq
UFt1ZqZRlgjqaeb3z+eqwLgdmszJ+SJwvHfdILBJBWLS18z+UyKC95qjjp3p
UYHIwc5qVpUIkq92rZo+WhX6Z/4ZrGgSwelc1ZQwbVWI030alkkTAb/5an6r
mSp8GZP07hVXBLo1yFW0TRWWNIBhoFQEU2Osc0oPq4KC77aFFwZFULo74e2F
i8T3YxsjDsiJYSV9z0KuvyqskfvSv1FVDArbt85VeqwKLzo5rxaNF0NO4s1j
b6JVwTp++8sJU8RwZEBOVJSqCjuPDIt6tMTwd1H+ZyImSFbhhlTriSF4e1H1
o2+qcOjpxMBEQzGMcxpruK5KFZwm+dXeMhXD9YPPal0bVSHH2+j8ARADY/Op
LzrtqnCyTsvJeJMYzOZc69lHVwXnybYxCjZi8GHVndFgqkKuRf6aajsxfHzs
utiWRdx/8IL+S0cxdC2zNR1PXP/rD4j48y7c3slQhex94QMLXcQw3qx11jQa
Ec8KtTbpJTGovbz1+0irKuwfUaTx4Rpxv+SSjnG9KsTnfo5w9RcDZ1HsA98K
Yr5OvVcXBosB75u9YXehKmzsPZ3EeiSGm26taxOyVOGx69ylL16IYY1Hy41b
iaqwrEVrtG20GATOM8cxX6nCAqP9y+UTxBBgFd1Z+EAVLrk1pieniWGy5rlB
fR9VUI98dGv/ZzE8rbq2d7yLKijlhMYrFYhhzOWqv172qmBVUK0TXyoGt1En
xCc3qMKEIKMJe2vE4H+tK1nOQBWucYLDJraIYUQB48dJFVW438RLodHF8LvF
2TqyRQUsHS2O5PDEYFd02SAuWgXiPF4mvOsWw0y/USduHFOBdL3+u1E/xUQ/
rCO/aKYKOJ3eopQoLwHlC/k/Y8qU4dP61+rfRkpgzjuWbberMmSm9H6UTpDA
y8T7ymPGKoPDhw1986dJ4OatL9MGXo2Ad5aPv7lpS+CX8aXgD/NHwPMLLOOy
BRLAySmOKE4J/vUHEqL+uN0Ln6MEl29fL4tbRYynnTXj231FOOhaOmRsIYG3
mrdGFvYpgFSkkV+yVQLTOpt2hdgqgJ6cw6xzuyUwyTP1z+I38qD0Lkp9rqME
rrPUVF4K5SCgi/OSf1wCdrp9Z1sXykHGB4O8L+ckIH8653jdtz/olqaLZ7SH
BKKXvEgK1fmN5Cckf3/qK4HkiNtp3Wd+Ie1X4pQXdyQQmux9qfvNTyTOX2iY
8lAC1sd8+0JKBtABz1MWtS8kMD/vvlFtSz9yK4qWjoiRAO1L7PyMll6Uq1fw
Uz1ZAkf7uYKzrd3o+5zYuUUfied1VSifoEnQozS7izPyJCA8uYk2eokQabeX
saaUSODBFXS0NJ6LXCNUvbJ/SCB8elpo1DYWuj4wxli+UQJXN789/UizC9lw
m0aJ2onxVBd0gEYH6nQ9o+LNlMCHcKWVdzY1IaOQb/PS+RLgbWjhq5TXIIvN
/JP3pRJo07Sjn19XhiY/q6tQk0lAv030eGVQPorzubXb5JcEAmMGhLX8lP/6
Ayn8++uz6n8aiMg9
         "]]}}, {{
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}}, {{
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {}, {}, {}}, {{
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {}, {}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {False, False}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, BaseStyle -> 16, 
     DisplayFunction :> Identity, Frame -> {{True, True}, {True, True}}, 
     FrameLabel -> {{
        FormBox[
         GraphicsBox[{
           Thickness[0.005697356426618049], 
           StyleBox[{
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
               0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGBQB2IQ/fc/ENT/s7/vGu84S1DGAcZ/05bbbTRbyuE/GPA6
nAEDTP6XfR+3ppcJwPmvwfoE4XwGEFggBOeLVE4qOXtE2CFGNULm3B4pB/VP
Ki9nnZRwgNmHzpfftWBf6jpJOP/DovUKZ18owPl782vezvyq7NCqwK56ZouM
w5PEhddM9NUclK89CmboUXCYMRMIKjUcyg9vc515VslBfvkLD737mg5T2luj
Ltuowfl/3r4+YLlYE84HO7dHH6KuRtXhcNvy8FObDCHu6ZOF88H+kEHwwe73
lIHzwf5VkXYo2Sr6+/Q6Q0h4fRN3UH3SPO/sKkOIP6xFHa4LfXI8v8zQYa2Q
Dl96nRCcLwzWLwDnQ8znhOufCQZf7WH2wfi1v60KzlkYOrSI17JmHvtvH63g
+DFZB+rePawOBWu6b2coGDrYlTjWno5hc3BsenR8xm8DOB/ib304v/r+j1vG
2QpwPtid/+QctnltsJhjyQoJ55myDr0R3f6MBswQf4rJOqCnLwAO2y8O
               
               "], CompressedData["
1:eJxTTMoPSmViYGAQB2IQPXsmEFgKOvQHl6hMf2/g8B8E7gs5+F+cGPOP2dAB
JD1TUhQizm/osDPYKuK/uwScX3P/xy3j1zJw/spvLyvOMCg6TJ/AX2V228Ah
PQ0IwpQcIsS3X2ToM4CYx6nsoP6Wd59BpoGDSOWkkrNLlB0K13TfzjAwcGhg
OdpvaK7iwMLZJZ98Tt/hRZb2t+l7VR089tfKWrjrOexwaHp0vELN4TlI/K82
nH98145etgsacP4jkIUOqg5+IH8kqzoIg+xpUXKoBrnXW9nhDBgoOHTbeO5K
S1J0iFGNkDlXI+fQqsCueuaLnMMOkD/TZR1Azk87Jg7nzwK5/6YInA8Lr+0g
frusAyw81T+pvJz1EsGHhS8A9seugw==
               "]}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQXbJV9PdpOxOHv/+BwF7egcdNtZSJy8ThQPe+JpPH
8g7eJ9htZ7MaO7iuObqcoULWITn2jhvzCiOH1DQgeCbjoP6Wd5/BT0M4v3BN
9+2MDwZwvr7WSuELIgYOa4R0+NL3yTm08Pqvn+Kq71B+eJvrzLcKDlMn8FeZ
rdZzcJ7QLJT2S9HB/5Z0TWKRnsNakPp7Sg6mNnuDpiXqOegqyn/J2abiYAwC
zYZwvkPTo+MzZhvB+epPmued9TJ2YOHskk8+p+Kw5P4+vjnJJg5zFinv/KOu
6vBpQ0D2rHQTh5lgoArRn23i8Ovt6wOWjxF8A5C7XdTg/DMg8EbT4fRhp7WZ
dsYOTxIXXjPx13G4LvTJ8XyZIZxfAPL/AwM4v8frFYuJoQEkHJ5oO2Tkf2g9
KaLvYA7yl6K2wwyQMyp1HP6A7F+sCbEnBygODhd1OH9Ke2vU5RgVOF/52qNg
hhglB/f9tbIWz7UdhCsnlZxdouDwA2TOYR1IeN+Tc6j9bVVwjkPPARS9/+ul
4fGxM9gq4n+7pMOXnbe6/roawvnRCo4fk+8g+ODwLjZyUP+k8nIWp5QDNyh9
SBk7yO9asC9VT9rhMyg8240dQt5e/jjjobSDbWXECtO7xg6tCuyqZ7bIOLzI
0v42/a2xw5d9H7emi8k6oKc3APoNG7E=
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQ/edb6YM5jMYOv96+PmD5WNUhQnz7RQY9IwcjYyC4
rOoQreD4MfmMocMW8x+HUk6pOnC7qZYyWSH4xVtFf5+uM4Dz9bVWCl8QMYDr
978lXZNYpOdw4WrYG/3fCH7Npw0B2VXqDiYgdZP1HE6fAQIdDYcp7a1Rl//o
OTwCO0TTwX1/razFcn2H9DQQ0HI42LY8/FSTgYP41CucGU7aDl923ur662oI
58PciyJvauSw3aHp0fEbWg5PEhdeM6k3gtqj6VD/26rg3A0jh2O7dvSyfdBw
uA10ntFXIwffixNj/jFrOKCHDwCuDonO
               "]}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2MeqJEaeWXcTYSy33
AwCd3wI9
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYC4h6vVywmE20dZswEAkltBxj/eZb2t+l/tR3O
gMAcG4f1qk+a573Vdlhyfx/fnGAbB32tlcIXnmg7HGhbHn5KCMH/8630wZyL
1nA+j//6Kakd1nD9PhcnxvybbAU3H8aH2a8CVHbWytohISRIfQGntsMWvbzF
jDXWDuY2e4OmMcLcY+2QEnvHjXmHFpzvc4LddrYpgi8C8sgWTYf/IFBv7ZAM
Un9Dw+FJ4sJrJv7WDn4gex+rO+yvlbVIX2Ll0MILdGirCsR/xVYOM8FA2eEI
yH9OVg5782veztyqBLF3haXDA9d4x1mCChBzDptD3G+p6eDQ9Oj4jNXmDtMn
8FeZrdaE2DffHOI+US04H0znI/hzFinv/HNcC24ezL83pWsSjVgt4OERreD4
MfmMBTy8YHxYeL4A0bbm8PBH5xeu6b6d8cEMzjcxBoLFCH5fcInK9Pum8PgC
BUuqhCncfBgfZv8hUPgsMoW7D6Z/OyggfkD989kU7j+ZeXGapxXMHKa0t0Zd
/qMJia87Fg5v2nK7jaKl4OEL4+eD3HvA0qE/otufsUDaQeMt7z6Dl5YOX/Z9
3JouJgvnu685upzBQtbh+85bXX9FrSDxLi8PSU9eVg7ClZNKzi5RcCjZKvr7
tB+C/xQU/vo2EPc913Co/21VcK7DxiE9DQS0IOn5oA3cP5D0bgv3L3r+AQAY
cISo
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, {{{30.170299999999994`, 8.464060000000002}, {
              29.693799999999996`, 8.464060000000002}, {29.265599999999996`, 
              8.018749999999999}, {29.265599999999996`, 
              7.5421900000000015`}, {29.265599999999996`, 
              7.065629999999998}, {29.693799999999996`, 6.62031}, {
              30.154700000000005`, 6.62031}, {30.664100000000005`, 6.62031}, {
              31.107799999999994`, 7.050000000000001}, {31.107799999999994`, 
              7.5421900000000015`}, {31.107799999999994`, 
              8.018749999999999}, {30.664100000000005`, 8.464060000000002}, {
              30.170299999999994`, 8.464060000000002}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIIaxWZDYzFDMAOUz4BEnlU2MOchqSFVPLbcRYyYA
kW8CJQ==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJdIGYC4je8+wxmOrk68Pqvn5IqYeRwQtNq0mlxVwf1
t0AJSyOHnbe6/qb+d3G4KV2TaORq5MCyeJIV41MEvyJihenZxQj+lG9s8TNi
XBz+g4EhxDx9F4ct5j8OpcwydLiYH89+bqezQ4T49osMfQYOJVtFf5+uc3b4
vCEgexa7gcOBWlmL9BRnhwcgBQv04Pw5i5R3/mnXgfMDboEs1IbYc93JwecE
u+1sUy04/9fb1wcsmzXh6v+A+IsRfOHKSSVnlyjA+TuCrSL+u8s6pKcBQZyz
w5d9H7emX5Nx6PZ6xWIi6ezQqsCuemaLjIND06PjM3Y7OYiA9Lcg+G/acruN
Zks5rOm+ncHQ7uxwBgww+TD/w/hg6g1uvsW1o7kmO1zg5sP4MPvB8RflAnef
yCfH82miLnD3g+OP3wXuPxgf5n8YHxY+YP9wu8L5YPdKujr4g8I7SBuuHhb+
MH4LKAE91YXzrwsBHXLMAKJf08Wh9rdVwTkLQwcFx4/JZ+Yi+OD0cgXB7wGF
908Xh2iQQhlDhwf7+OYYa7nCzYOl18eJC6+Z3EfwYekXANIuUHo=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYC4hUvPPT+J7o6PM/S/jZdVsvhpnRNotFaBH+e
jc6VWf8Q/JKtor9Ps7k56GutFL7wRBPOnzGBv8rstDqcL1w5qeTsEgU4f0ew
VcR/d1kHN9VSplkMbg5f9n3cmn5NxsGh6dHxGbtdHVoV2FXPbJFxiBTffpEh
ztVBBKS/BcF/05bbbTRbyoHHf/2U1A+uDjGqETLn9khB3Kvq5nAGDKQcLK4d
zTWJQPDrflsVnGvAzf8Tk3v0X5U73HwYH2Z/j9crFhNBd7j7FBw/Jp/Z6uaQ
mgYEz2QcZoLARqh/xGThfJj/YfxNenmLGWXU4HzfixNj/jFrOPwC2cfk7nD+
atgb/dnQ8ExD8CsiVpieXYzgg6xNO+fukBASpL5AU9NhTfftDIb37g4GoPhQ
0XC4mB/Pfk7SA87fALJXx8PB5wS77eyv2g7eIFrUw4GFs0s+WU/HIaREZfr/
D+4OTxIXXjPx13E4UCtrkX4Gwd95q+tvaj+CD7bfzx0aftqQ+FN2dzC32Rs0
jVEb7r85i5R3/nmuAefD7AObN98Nbt6XDQHZs8zdHHxA4bFYGxK+Z10dAm6B
IlbbAZY+Yeajp1cAN4o8ZQ==
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{
              1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKK3ypHne2SwvhyeJC6+Z+Os4XMqPZz/n6Ann76+V
tUgv8XCo/W1VcI5DE85/U7xV9Le3Cpwf8PbyxxkL5R0SDl/WTtX0dNgZbBXx
v13S4bim1aTT+l5wfo/XKxaTTG84vx5kroePg/OEZqE0LQU4H2z/exU4f8ZM
ILDUhNCN3nD3obtff8KCH4ZuXg7iU69wZjhpQ9zD6A3n2zc9Oj6j29shM/9D
60kRDTj/gWu846yDynA+2D1SCg4b9PIWM6p4O/wHgfnSEHvqveB8sP+2e8L5
IOfNNPR0KD28zXXmXQU4/1GE+PaLCapw/t9vpQ/mGGo6GIPAZE+4+9DdDwDa
5r0W
              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJtIAaxQYAJSjNCxZiR+PjEcakhVT2p5gxm9ww2u4ix
FwCf5QKP
              "], CompressedData["
1:eJx1lFtIFGEUx900zQeNaG3L1tuDrXtJbTVDEzrWQxI7l1WxTUxT8ZKmPiiE
pgipBZagZmVWYhhYD6mQ5gXbDBGz9VrigxBBWdoNVEwNTZsZOWcg8IOP4fcx
c875/78zxyc5NyrV3s7OTiHsWGHvELahqnH1iNUEs5n65bseOrjQ/16f6swQ
+86UNozEybwenz2wkcxAgO7p3vEZLXFd1e7CEJuGeG9BTf7IY2/irugwy+Zp
D3BoqglTnGdgybrQkT6lhgFtWI1NxUC5t5PvcLsaPlhdHwT1mEApfl8m889r
2TeM991BuRgxllbMwLC03AGufhqsK5W5dtkxsa5XZun93zKrbk86Z+hYiPe1
qEd73eFhuGGyvoWl+MiY/+aZ7w7B51iqr80/p0mhZKl+74iFlGEXlvQho37k
kPCXUXeSNMSDPV2VjuN+cL357FtjLQtv+k8+u5igg8PifbhyxO1iviKZe6cr
/qYOcuDZPBfp/8qPOCN3vnwo5hAx5kfG+iQ9rzmqH+OjPkm/J0f6kdEfMe3m
N478/J/T04TlyhMXWJ4cHdFsz/fEVclTfGTML/VfAk/1SX6F81R/bqLT6IFQ
nvQho35k9B8Z/RfbkSniyd8VoX1M3TJL+eZlPi7Y8dXNTP4jo//IqOez0mPo
S7SZ9M51ttrPxsj8UezvNJm7xfvK256lR58cHxn9kuJXmckv6T5yzOQX57kv
k8kyk1/I6BeyuiFBawvUEAf4eC1ditVt+RVohpmkR1PBnAF2/WlMf/6OJ1ZF
8uv7W2WW7rOahzIXrrV2p2ErXgkPq79+9IWW6sGi6pywM/JwZbGNz4rTQnHL
i+SSPTwEBwkrTw9LwnH9GEfxpPNTMkvzY4Ulzu9wW7NZWconzY96lvLh/yfl
K9QSOzhXeKX4G+CEOE/WGIp3WezXWwyYJqrjN5r0W/2uZYCfPliUZNQDzs9j
Yn8pZMZ5+Q8zxnGD
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIZIGYC4vbl4aeMngQ56GutFL5gYujQ7fWKxUQ2GM6/
ejTXpEEfwX/Du89gplmwQ3LsHTdmDgQ/Qnz7RYY+AzhfuHJSydklCnD+jmCr
iP/ushDzjIMdvuz7uDX9moxDcInK9P8CwQ6tCuyqZ7bIONzfxzfH+FGQgwhI
fwuC/6Ytt9totpTDExHZk0/dgx3OgAEm/wdb/AyfRASf8+eC9M1VuPnaVpNO
1z8IhpsP48Ps39pSc2HzRoT7xD0C/kj0I9zPAAI9CP/B+DD/w/hg62SMHCYs
+GH4rCnYwb4yYoWprZHDkcvaqZJh0PD8YejgrlrKNMsk2OHzhoDsWdcNHWDx
c13ok+P5ZQg+LD4Ahm3DYQ==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQfQYEdoQ4sHB2ySfr6TjE5B79t2l9iMOTxIXXTPx1
HCoiVpierQ5x8Lk4MebfYm2HCQt+GD5zC3EIuCVdk2ik7RBSojL9v0CIg7nN
3qBpjAj+8yztb9NltRze8O4zmGmG4AfIiWX5xiP4O291/U1NDnHQ11opfOGJ
Jpw/YwJ/ldlpdThfuHJSydklCnD+jmCriP/usg6LJlkx+iaEOHzZ93Fr+jUZ
BwXHj8lnbEMcWhXYVc9skXFY0307g4E/xEEEpL8FwX/TltttNFvKYcPDl1M3
lYQ4gMPhDCb/yGXtVMk+BP/a0VyThuW4+T/Y4mf48IbCzYfxYfY3BXrObbiH
cN8TEdmTT3cj3A+LD5j/YHyY/9HjCwBnBNR9
               "], {{82.15629999999999, 
               17.618800000000004`}, {81.6797, 17.618800000000004`}, {81.2672,
                17.206299999999995`}, {81.2672, 16.729699999999998`}, {
               81.2672, 16.2688}, {81.6797, 15.854700000000001`}, {82.1406, 
               15.854700000000001`}, {82.60159999999999, 
               15.854700000000001`}, {83.03129999999999, 16.2688}, {
               83.03129999999999, 16.729699999999998`}, {83.03129999999999, 
               17.173399999999997`}, {82.60159999999999, 
               17.618800000000004`}, {82.15629999999999, 
               17.618800000000004`}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4oJ49nOSB8Mc3rTldhvNlnIQ8wj4I/E/zOEM
GEg5yLx+ZCbFEA7ni3xyPJ8miODH5B79t0keN1/B8WPymdRwuPkwvkjlpJKz
LTIQ823CHVoV2FXPbJFxmAkCkuEOX/Z93Jp+TcahKdBzboNYuIP7mqPLGSxk
4XxhkP4lCnC+x/5aWYvjanC+/PIXHnr1Wg5vefcZzLwX5vAkceE1E38dB1fV
UqZZOQj+mu7bGQzuCD7YfsMwB11F+S85YjoOiyZZMfrKhDn8ePv6gGWzNkT9
+VCHzeY/DqVkacL5LJxd8sl6OhD/HQ2Fm2ejc2XWs4mhDj4XJ8b8W6ztEFKi
Mv1/TKhDwC3pmkQjbQcJUHirhzqY2+wNmsaI4D/P0v42XVYLEo4+CL4QKPxL
EfzadduS6itDHfS1VgpfeKIJ58+YwF9ldlodzoeFF4y/I9gq4r87NDzLQuHh
/URE9uTT4FB4fBy5rJ0qqRYKjy8YHxafAXJiWb7ZoQ4xqhEy5/ZIOXD8XJC+
uS0UHv9ty8NPGS1B8Le21FzYfBDB7/F6xWJyF6E/DQSUEOkRxofZ7waKvy8I
90WIb7/IcAnhflh8wPwH48P8D+ObgcI7UR3OP75rRy/bBQ2I/4TCHE4cdlqb
GacFSZ8BCP4SUHqYguDD8s+cRco7/xzXgPMz8j+0ngxRc0DPXwAXsIWW
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQ7f6wSmSdfqTD3/9AYC/vcEHp9s86pUiHA937mkwe
yzsIf3I8n/YwwsF1zdHlDBWyDhHi2y8ynIpwSE0DgmcyDl7Vzfo+8xB86deP
zKRiEPxur1csJqoRDmuEdPjS98k5rH/4cuomjgiH8sPbXGe+VXAQApn/NdzB
eUKzUNovRYh578Id1oLU31NyaFsefsroTbiDrqL8l5xtKg5nQKAhAs6fsOCH
4bNjCD7HzwXpmz9FOLBwdsknn1NxMO90THhqEekwZ5Hyzj/qqg6BO+RaX1tG
OswEA1WHapF17g+tIh1+vX19wPIxgm+gtVL4gosanA+2942mw6cNAdmz3kc4
PElceM3EX8dha0vNhc21CD7Y/xEI/qJJVoy+OhEO+iDznmg7vOHdZzCTKcLB
3GZv0DRFbQcTYyBYH+7wB2T/Yk2Iu3rDHWZM4K8yW60O509pb426HKMC5ytf
exTMEKPk8GL7eubnc8IdhCsnlZxdouBwoFbWIn1HOCS878k5FMSzn5N8GO4A
it7/9dLw+NgZbBXxv13SoXbdtqT6QgRf3CPgj8R0BB/s7z0RDuqfVF7O4pRy
aAr0nNvwLMJBfteCfal60pDwZIx0CHl7+eOMh9IOc98vP+YtHunQqsCuemaL
jAPHGpmoFOlIhy/7Pm5NF5N1QE9vAGCtIKo=
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQvb9W1iL9QYTDr7evD1g+VnW4djTXpGF1hIORMRBc
VnUQ9wj4IzE5wmGL+Y9DKadUHZoCPec25CH4MblH/22yR/C7vV6xmKgi9HtV
N+v7vAt3uHA17I3+bwS/5tOGgOwqdYc0EPgU7nD6DBDoaDiAhGf9D3d4FCG+
/SKDpsOL7euZn4tEOKSDFWo5bHj4cuomhwgH8alXODOctB1q121Lqi9E8GHu
RZFfG+Gw3aHp0fEbWg4VEStMz+6PcJjS3hp1+Y+mw/19fHOMr0U4HNu1o5ft
g4bDd7b4GT53Ixx8L06M+ces4YAePgBnfoz2
               "]}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
               1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQbWIMBIujHB64xjvOYlRwWO/+sEpkXpTDm7bcbqPZ
Ug5XKl6qGT6IcjgDBph8H/NOx4S3CP55pds/6z4h+FOcu3Oec0c7xKhGyJzb
I+WQIBBhucUiGm4+jC9SOankbIuMg4T+XRU2QSh/iYxDfdaeksk/ohxaFdhV
z2yRcfge/Hjp7C9RDu5rji5nsJCF850nNAulaSnA+Reuhr3R/60K5/8Hgfla
DvlCzQdOnYxyeJK48JqJv47Dhrnvlx8LRvCfLJ19REEDwW+YCvTA/0gHnxPs
trO/aju4bPv898qNSIeaTxsCsq20HTocE55eWASVN9WC8w20VgpfUNFwiEix
vu+/N9LhVfFW0d+v1SHhcyrSYc4i5Z1/nms4yEQBFdyPdEhPAwEtBxdgcP1+
GQl3L9g+CYT7e6bnCTVXIPhg9y6Icgi8JV2TWKTpAItPFs4u+eQ+NQcPHibt
djtEeGQAg1NiS6TDiV07etkMVB0kWML4dKsiIfG/URnOLz+8zXXmWwU4PxXk
vGcyEPetjHRQ/6TychanlMOflR8v+f5C8MHhzRMF518/BxSRjXKYMRMILKUc
FrgCPaQS5VBx/8ct424pB/T0BwATWjRM
               "], {{106.55000000000001`, 
               8.670309999999999}, {106.089, 8.018749999999999}, {
               105.08799999999997`, 7.4156299999999975`}, {
               104.46699999999997`, 7.4156299999999975`}, {103.831, 
               7.4156299999999975`}, {103.27499999999998`, 
               8.003129999999999}, {103.27499999999998`, 8.687499999999998}, {
               103.27499999999998`, 9.274999999999999}, {103.594, 
               9.831249999999999}, {104.07, 10.132799999999998`}, {
               104.46699999999997`, 10.3719}, {105.34199999999998`, 
               10.593800000000002`}, {106.55000000000001`, 
               10.768799999999999`}, {106.55000000000001`, 
               8.670309999999999}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYCYgn9uypshdEOz7O0v02X1XKwue/fO30agj/n
/fJj3vsRfPY1MlEph6Md9LVWCl94ognnz5jAX2V2Wh3OF66cVHJ2iQKcvyPY
KuK/u6zDdrnW14EHoh2+7Pu4Nf2ajMPz3ys/Xpob7dCqwK56ZouMw5MLSrd/
5kU7iID0tyD4b9pyu41mSzlcqXipZrgj2iFGNULm3B4phy0nyvbNvxTtcAYM
pBwy9pRMlniD4K/4eMk3iSEGJ18X6P3G2hi4+TA+zP7aLKCBHjFw99WIrHN/
KBXjkJoGBM9kHFy2ff57RSIG4h8xWTgf5n8Yf5Ne3mJGGTU43/fixJh/zBoO
W4HcCscYh/NXw97oz4aGZzGCH7ADGGATEXyQtPXyGIeEkCD1BZqaDgUZE9/W
bI9xMADFh4qGw/oioMAZBB8UHCzXYhx8TrDbzv6q7dDumPD0wqkYBxbOLvlk
PR2Hnul5Qs07YhyeJC68ZuKv4zDhbY296TIE3/1hlci6dgQfbH86LPy0HXKF
mg+cCoxxMLfZGzSNURvuvzmLlHf+ea4B58PsA5vHjzBvw1xgArsd7eADCo/F
2g5fgMHxclm0Q8At6ZpEI20HWPqEmY+eXgGUqEEc
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQXf5SzZBjTawDC2eXfLKejkONyDr3h4tiHZ4kLrxm
4q/j8OSC0u2febEOPhcnxvxbrO2gClQtYxXrEHBLuibRSNvBJ0kgwpIl1sHc
Zm/QNEYE/3mW9rfpsloOuULNB05pIvjngcbVBSH4Nvf9e6eHxTroa60UvvBE
E86fMYG/yuy0OpwvXDmp5OwSBTh/R7BVxH93WYc3gTvkWoNjHb7s+7g1/ZqM
g4T+XRU2w1iHVgV21TNbZBzEWcL4dJliHURA+lsQ/Ddtud1Gs6UcZKJSrO+n
xzqcAQNM/oMqYIA0IvhLZh9R2DALN79nep5QM0Mc3HwYH2Z/jb1p3K6LCPcd
L9s3X2o9wv2w+ID5D8aH+R89vgCmxr2Z
               "], {{117.95599999999997`, 
               17.618800000000004`}, {117.47999999999998`, 
               17.618800000000004`}, {117.06699999999996`, 
               17.206299999999995`}, {117.06699999999996`, 
               16.729699999999998`}, {117.06699999999996`, 16.2688}, {
               117.47999999999998`, 15.854700000000001`}, {
               117.94099999999999`, 15.854700000000001`}, {
               118.40199999999999`, 15.854700000000001`}, {
               118.83099999999997`, 16.2688}, {118.83099999999997`, 
               16.729699999999998`}, {118.83099999999997`, 
               17.173399999999997`}, {118.40199999999999`, 
               17.618800000000004`}, {117.95599999999997`, 
               17.618800000000004`}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
              0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
              3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4i9/r1S8LItzmD6Bv8qsW9MBxjcGgWQFOP++
a7zjLEEZh57peULNM+Ic1D+pvJzFKeXAH2G55cQzBH/C2xp7038Ivs19/97p
YvEOb9pyu42ipRxeqBlyrJGJdzgDBlIOundV2Bp94x1q7v+4Zawt57BdrvV1
oEO8w9//QGAvD7FfLd4hRjVC5lyMnEMIn+6mueLxDhUg9dxyDramcbs8WRD8
78GPl86+Ewfn24Pkz8Q59EZ0+zMGyMP5/LEB943MFeF8mP89eJi02/3i4Xz3
h1Ui68LjHcSnXuHMcNKGq//zrfTBHEEE32N/rayFuw6cP6W9NeryHF2HhqnO
3Tnn4xxMbfYGTTuo51CQMfFtzfU4h9vSNYlGqQYOojfPfQ8+Heew/IWH3v+J
Bg41IuvcH26Kc9DXWil8IcTAQeH2z7qsKXEOoOD4L2/gsL4IaEBJnAMLZ5d8
8jt9B5moFOv75XEONZ82BGT/0nMw7XRMeFoBVR+P4L8o3ir6O1sXzg+4BXKA
tsOMmUCgGefgc4LddraoFpy/2fzHoZQsRHqAhQcAuGf5gg==
              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ5IIaxWaBsBigfRjMjqWHGooZa6kkVp5Z7aO0vXOoB
MK4CWQ==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4uuLC2y53BMcOm08d6UpKTiAuNetExz4YwPu
G4UrOnCDFJhB5YWUHLiZtNvFdBMcHrjGO85aqOzA3jjVuZsnwWG7Q9Oj4z80
HPTvqrA1ciY4/Hr7+oBls6ZDccbEtzXsCQ5T2lujLv9B8Fk4u+ST/bTg/P8g
sF/LYbIESxgfb4KDuc3eoGmM2g63f9Zl7ZFIcEgICVJfwKntkL2nZLKEToLD
jJlAIIngP8/S/jb9r7aDLsj+r/EO+lorhS88weSLA43XfYTgf/l7peLlOdx8
3ySBCMuceLj5MD7Mfg8eYIDUxcPdJxOVYn1/eryDxLw4zdMftBx8QOqXxDs0
sBztN5yu5cC+Bqhic7xD9acNAdlVmg4g69QEExzS04BATREiL5/g8KYtt9vo
t6zD7CMKG4pUEhwMjIGgWMahO+f575XA8AcpT3OTdDi90HXbZ8UEB5HKSSVn
U0Qh8kDz5Hct2JfKJ+BwB+j9qb/jHQ5072syUeZyWABU/vcKgv9CzZBjzREE
/65/7/S8TfFQ93A7gLwntjDeoWR5yYZ//LwOU5yBNkxG8N8E7pBrrY53aBav
Zc1sY3bgj7DccqIvHhKf9kwOx8v2zZeaH+9gX+JYe3oOI9x8GB8cft8QfFh4
9EV0+zMasMH9zwACCwQc9p8Cerg7wUEGFL4G6g4fLwFjZEGCg88JdtvZoloO
XzVi+g+tTICHfzjQOWXbEOknGRgdW44g0g+MD4tfoOuEmuckwOMfnW/AAYyg
KQj+cW/zTsce3Hyw+1IQ5sP4MPvTgcnfvhDhPnB+qIflJy0HnU1z3y9vS3A4
vmtHL9sGJP5hp7WZdgg+2D4WLQeQsTNbExw26OUtZtyj6RDKp7tpbnOCw2bz
H4dSsjQd0PM7ACBFq34=
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4qWzjyhseJTo0BvR7c/4gcfBJG6XJ8++RAcG
EFAQcdg/X0r/7oZEhzMgoCPuEMqnu2nu4kSH1DQgeCbjoBHTf+jrDKj8HgWH
xQW2XNcnJzrwxwbcN1JXhvMvXA17o39bFc4/ddhpbWadBlz/fxDYr+Vgfd+/
d/qiRAeZeXGapy/oQNSvT3TIyP/QerJE32H5MW/zzr2JDjNBoNLAAeZ+YxC4
bOgwWYIljO9mooN9ZcQKU1sjh2ig8RpLEh0Oti0PP3XIwGHue6AJ/YkOLbz+
66cc1XfgB3rnfXWiQ+1vq4JzK3QcpucJNR/IS3Rw318ra9Gu5ZC9p2SyREai
QzNIvasGnA/zD4x/R1N2zf9iJUh4lSQ6xKhGyJyrkXNIn/i2xr4XaH/3viaT
wxIO10Eemp/oEPL28scZjSIQ9wD9lw4KTzYhuPuX31r+2NCZywE9fgA4EcIx

              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
               1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQbQwCs5McHrjGO85iVHAosOW6vnhGksObttxuo9lS
DsxhfLqbdiY5nAEDTL69adwuzwMIPqN2u9jNQwh+svV9/97zSQ4xqhEy5/ZI
OZxe6Lrt81OE+TC+SOWkkrMtMg7qhhxrZC5B+UtkHG6c+x78+GiSQ6sCu+qZ
LTIOU527c54fTnJwX3N0OYOFLJzvPKFZKE1LAc6/cDXsjf5vVTj/PwjM13K4
oHT7Z926JIcniQuvmfjrOBRnTHxbU4zgA1X/XhmL4EenAD3gmeTgc4LddvZX
bYfdJZMlWMySHGo+bQjIttJ2iN/lycMkDZU31YLzDbRWCl9Q0XA47m3e6aiR
5PCqeKvo79fqkPDRS3KYs0h555/nGg7LjwEVWCY5pKeBgJYDKLim2yHcC7Yv
DMGPfwr0QSuCD3bvzCSHwFvSNYlFmg6w+GTh7JJP7lNz2D9fSv9uBiI8zgOD
c6lyksOJXTt62QxUHZbOPqKwgQ0a/xuV4fzyw9tcZ75VgPNTQc57JgNxn1yS
g/onlZezOKUcpucJNR9wQ/DB4e2P4LM2AkUikhxmzAQCSymH7D1AD8UkOVTc
/3HLuFvKAT39AQA16Smc
               "], {{148.85, 8.670309999999999}, {
               148.38899999999998`, 8.018749999999999}, {147.388, 
               7.4156299999999975`}, {146.76699999999997`, 
               7.4156299999999975`}, {146.13099999999997`, 
               7.4156299999999975`}, {145.57500000000002`, 
               8.003129999999999}, {145.57500000000002`, 8.687499999999998}, {
               145.57500000000002`, 9.274999999999999}, {145.89399999999998`, 
               9.831249999999999}, {146.36999999999998`, 
               10.132799999999998`}, {146.76699999999997`, 10.3719}, {
               147.64200000000002`, 10.593800000000002`}, {148.85, 
               10.768799999999999`}, {148.85, 8.670309999999999}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, {{{153.57000000000002`, 8.464060000000002}, {
              153.09400000000002`, 8.464060000000002}, {152.66599999999997`, 
              8.018749999999999}, {152.66599999999997`, 
              7.5421900000000015`}, {152.66599999999997`, 
              7.065629999999998}, {153.09400000000002`, 6.62031}, {
              153.55499999999998`, 6.62031}, {154.06399999999996`, 6.62031}, {
              154.508, 7.050000000000001}, {154.508, 7.5421900000000015`}, {
              154.508, 8.018749999999999}, {154.06399999999996`, 
              8.464060000000002}, {153.57000000000002`, 8.464060000000002}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4huLC2y5ilMcWDi75JP1dBwiLLecKMtLcXiS
uPCaib+OQ+/0PKHmkBQHn4sTY/4t1nYwidvlyWOV4hBwS7om0Ujb4UTZvvlS
8ikO5jZ7g6YxIvjPs7S/TZfVcji10HXbZ0MEn+s60EI3BN/BFGigR4qDvtZK
4QtPNOH8GRP4q8xOq8P5Z0BgjhKcPxMEXio6fFh+zNvcMcUhNQ0I2BQdDO6q
sDWapjhU3/9xy9hbwQHIm+qsnuIgv2vBvtRzcg45z3+v/CiW4qD+SeXlrJey
Do4JTy8oMSP4V3yTBCI+JsP5YP88TnaIUY2QOTcHqv9WsoOJMRBclndYAgy+
65eTIfZlKzgc9zbvdLyQ7OC+5uhyhgxFOL/88DbXmWeV4HxYeB8ABdDpZHh4
f9WI6T+0MRke3nPfAz04PRke3gYca2SiapLh4Q3jw8IT7J9+BL84Y+LbmsUI
/gpgcHUuTYaHN4wPC28Y/46m7Jr/xUpwvvOEZqE0KwWHH8GPl85eAQ2PGjm4
e8Hh/0zGAcT9uifZYb2QDl/6Pym4f8HhySnlAHKO/VsEH6RcgyUFzu8BpTcJ
aHy/kYKkF7UUB5HKSSVnW2Tg8Q9zD4wPix+ddrGb59yB6QecQGTh6e1NW263
0WwpSHhlQM0/I+UAjF39u0h8sP0FCH4on+6mueW4+UtnH1HYMAthPowPcy8o
Om63pji0KrCrntki4wBKjt0lKQ5f9n3cmn5NxgGW/8DpxUIWzhcG6V+i4ICe
PwHOCJs/
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, {{{167.17, 8.464060000000002}, {166.694, 
              8.464060000000002}, {166.26599999999996`, 8.018749999999999}, {
              166.26599999999996`, 7.5421900000000015`}, {166.26599999999996`,
               7.065629999999998}, {166.694, 6.62031}, {167.15499999999997`, 
              6.62031}, {167.664, 6.62031}, {168.10799999999998`, 
              7.050000000000001}, {168.10799999999998`, 
              7.5421900000000015`}, {168.10799999999998`, 
              8.018749999999999}, {167.664, 8.464060000000002}, {167.17, 
              8.464060000000002}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYCYgOONTJRDqkOy28tf2zozOXwsy5rT0lyqsPB
7n1NJs6CDhPe1tibFqU6xKhGyJyLEXY4tdB12+fGVIeZIFAp5qAR03/o64JU
B5HKSSVnl8g4ZEwEatiY6tBt47krjUkJzjcyBoLLqnB+M6//+imuGg46m+a+
X74q1cF9f62sRbuWwxGFDUUZc1Mdan9bFZxboeOgZgh0YFeqw9Ms7W/T9+pD
9JemOhRvFf19ep+BA8z99pURK0xtjRyWzgaaYJbqYAy2z9BBq13s5rnoVAfv
E+y2s0sNHFYc8zbvzEx1OAMCOfoOXNcXF9iWpTrIzIvTPH1Bx0HpNjAEGlId
/oPAfi0Hg7sqbI2tqQ6nDjutzazTgPMvXA17o39bFc7njw24b6SuDNcPNn+P
gsNXUAAB3ZuaBgTPZBx6pucJNWdA5XXEHYC+P+YNdB8DCCiIwN3fG9Htz/iB
xwE9fgCoN7xk
              "]]}, {
             Thickness[0.005697356426618049]}, StripOnInput -> False]}, {
          ImageSize -> {175.51607471980074`, 21.12078704856787}, 
           BaselinePosition -> Scaled[0.31887090512778543`], 
           ImageSize -> {176., 22.}, PlotRange -> {{0., 175.52}, {0., 21.12}},
            AspectRatio -> Automatic}], TraditionalForm], None}, {
        FormBox[
         GraphicsBox[{
           Thickness[0.07194244604316546], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
              "], CompressedData["
1:eJxdlGtsS2EYx9tuU7UL66zoWm21p7edGDoyMvYgzBaxZm6VuGzoOopJfCBG
5j5sWOKyYmbuJMRcZrMwRGbYzNyvyYR9WBlmZMHY9H3f02eJJzlpfuk5//f/
XN5HNz8r1RkgEonEvifN90h8T/+9T2WZEgOUw4b3NS+tcHHwsmPi2QaouT3u
3KIxVtgUmnJ+zwkDNKUfeR6bZQWJbLtmwRcDJN5Yq47LtcLCOW8nBsRxyJH5
yR8D+xqRJ9+Vjj641wgtK8oiO2otyM4MX2wxI48v2CjP+KiHM+3eVXXr9FAx
dZSjK1ENdTS0yNM+P/nmuaVBXtP487XNPRBibb54okFuPXpe++C0Drn3HHvj
MJMezsn5MFfnQHjv6Ff+CDjUu0/yLfb5Plt9SrRVx/JaxcNMmSLXlqKDMlKf
Ch5MbQbvAa+a1SWIh8YJ88YeCFdB2rRUU0mSCTSVJVXOKVGgLJ5rqbVzwvlK
8BT0Xj0i2ADEpm13f3hrUZ/tmjoIrpI8pAq4mVe1IfaDBmZzDlV9UQTml6uV
cnWXw5Ffhr5RONvDkKkfWQjm4eevJP8KHfKI+Oup+9ZzICJR0gfWB1bvGlpo
Zv4+KVg/jDzzk6jAfG8RXwGRQv952OnISxEP6Qs55PuZPPPhkiP79f0cMjYs
2eMNZvPg4qEsuTSuaGRP6CKRw7O+XeoBRUf1V//kCvqtQVBdWbGjRwHP+j+5
m5vXfnA/5LuZ+j4ZgMx0Jai/n8QAMfo5fHf3cffJzoSHz2a0xGRHQ0PHnRfF
rzoSYnSaH0tmWCEo5nevx/k/E/z1aZriTfur6UQup/7FzFeLBVQXFIclWgls
Iv+vtLJ8zwSCivS/wcr6dUWKTP3M6onMfMqQXbQPwaweNYKeJYS9d8MK+bT+
ocg/qr6VuZ6HIbPfPsibyfzsCUe9bNLv6AhoIvP/TvDzS47v0/n3yEFzqnnS
4ByBHXLw14fOw/hwKCV74poF7E1Jj4dHSNl9cBoFHQk0kPpGGZCpTqYO2UMP
VrP+26SMBygZfw9Fpn6DI5BZ/RT4Pe1DSBRMoj710LJlad6wbCXkxSdVZrQJ
85+kFOrazVTXrUVmdVSBndwjnQrP8+8LP28juvJByOs6Ri2vz+TYeeO07J6l
m6B5cXR74SGDsA/NsCirdfO9WKOwZ8yQTPbedDMynceDFuRCsi/c0Wxv1Jrw
PmbQeTci0z7Ed/OatlK7+zXH9pdHmP/9HM7///v+HzuKo1w=
              "]]}, {
             Thickness[0.07194244604316546]}, StripOnInput -> False]}, {
          ImageSize -> {13.899716064757161`, 21.12078704856787}, 
           BaselinePosition -> Scaled[0.31887090512778543`], 
           ImageSize -> {14., 22.}, PlotRange -> {{0., 13.9}, {0., 21.12}}, 
           AspectRatio -> Automatic}], TraditionalForm], None}}, FrameStyle -> 
     Automatic, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {Automatic, Automatic}, GridLinesStyle -> Directive[
       GrayLevel[0.4, 0.5], 
       AbsoluteThickness[1], 
       AbsoluteDashing[{1, 2}]], ImageSize -> Medium, 
     Method -> {
      "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& )}}, 
     PlotRange -> {{0., 1.}, {-0.0019346935382372193`, 
      0.00004748488373022607}}, PlotRangeClipping -> True, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
       GraphicsBox[{
         Thickness[0.045620437956204386`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJdIAaxQYAJSjNCxZiR+Ax42MSox6UGWZxUc4jRS6r5
pOqlxO+0UEOM+0n1CwDTMQKN
            "], CompressedData["
1:eJxdlAlIVEEYx7c0tYN0Xd2tvXff2rYp+p5KF4X/ENPKUjRKyg5T18ouSMlK
odSMMEiLMA+iCDRjCTuMirKLtPKoKJIOMjQis4MsTLDcdma2WWhgWH5vv/mu
+c9n2rA9JdtLJpONce0Vrj3WtTfaXategaVPK9NHvabjZ8v35hylhrPh+qmW
7C4t5xxi36rHhfBtZ8b8tqKarH4jPu1sDh4ZsGLXvStx1TdNWEbs+6yId9xv
kKWZkfxKU5iRYoP/muSeyFlmVFX475lZboN10NJfs8iAS7OG72ZttjH7Ag32
DjYl566y4U55S3F0iZLz1dS5aU5rEOcyo29Ix3MlljzwnV+bLyJo99G8Tm8V
y/OKCPJjn6bCfu/7R6RuN9tV+OE6XvNLxG3iP1MNJ10iOsjaokUSrVfCAeI/
T4/MNW8WevlJ+Fy2tTzytYEzjfPBxPmNTedwRgmIIqtPhOVFb6psnsDs6kV0
Ev+FArKIfUE4ZGTBwvkqinvb0izY4Sh/vREi/gzlv6urtLB+T5JwgvRtwILu
wMEFj+slfj7P1f728xKLlyjgXlnDykcXXfbkfq6ZOffErVtQc9rDtN8JHlaQ
/pWauD/a7xwNQt6XnOw8J6GU9lvN49P+B6k4R5O6dyo5JxD/U4I4p3559v1E
RiDnfaqicZsWTubxaP8P+/F8+ov6ch+H+UFzcq2tHRKmE72M90fRyNwdXbMl
7O0ZfhU1UY6IGY2KJ9ESHIFhk3Na5Oz+FB62kvwfiZwbPiaEOytFrA5J03YV
ynEkNc9S5S8yf6FyHCd9Do1AKc3PF4Xk+xI9igm3+iCL6krn7v84ppPLWpZ/
ojPmFtFVrBbxzUltmT6jMVQ3tWo0L26aXTfHm9k51Ly+dJLHDTXTiU8A+79D
7fYn50zva1iPf/7o/VYbOK8crzwYFWPkHFtREmifYOLx6PtTmXk8qlNB4P6p
fmMF9xzQsfe0XGD26Xqu30PzFl23m43IpvNAQONQf0FHk4nF/ya4dWRm/hUe
PkvsKswQiE7rjOzdxZihI3Pmq57VP2Ri/Q7Vs/OxJlSRMl/qWJxTRnfdOpZX
nZbpNF7H5lX4VM5Uj8eUnGmZYcGIo3NJx+bPwwD3O/Ew7d+Ih6lu3upRS/MI
YPe+3sD0MhAAkcT5YcD/8/Qvh/hInw==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
            "], CompressedData["
1:eJxdlHlIVVEQxp9WmJVKRRthIiXvru/ed26ahOK0G0WWbRKVWlmvhRYsqFCk
TUEDizSpxBaVFloMCos2KqLS9sVChTZL/ygKszCy7M6Z986FDlzkp8c5M983
M9FL1qVm9XC5XEH2l2F/wfa34XRRk89ksHRR8+QePgZDSl+E+lIZtK5Sf5bp
DNKG1D51rWXQjSeJQd/JMZuCCxlIX8Kum1MZTLsXknio2mE3/vzlcEzLjoqH
igXH25I93UEOr1hun3yv4Ad4dhuQfXHQ7/q/XrgwpvPWskKV8uo0BdffHn9m
ZYXDPM9FJsQmXEvdv00TPB3zeqkLroXt7+92eii/LSZEpJwryUo2RbzELWkn
Yh+a0JJ5tGF0khc6LjcW/ullwQE8spfujbDAVE4OfDLR/34jAz06qmNNg0E6
hXuhDQsoMuA+3p/hzyPWgJ1h9oPVBum73QMZWFeaB0r2RGyNK9Kh/NjIy10F
Gul8WBP1TbmRGxnfqgruGVoYtTTcYX4/T4ELnrWVQTma4KH4zntd8PCKxXJ9
hkl65Kp+vb2k2zsdXg1oH/f4E4PpT/cu/Fupi3p5Xm4dbuYfn18XbFHerzXS
xfa5FPNXHQ7ED3BOe83M1VsVKJ69cVRZN4NkrOeuDHm/x65/1NuCfQW7FjzP
keE85t/PIr/TZPIhwiLf4h2e1Tg8J5M5zPNrlQTzOmskEb8e61wjiXy4X4Ml
+IH+2n07E+M9c1P9cQzieB+5hT7pc1LdR0IlwRaebIn8DWdQx/tHot9PYPTO
MBmaMM0sRn6ddZjHeeCwgf3UUxHsW/dt1/05Cs1LJvPPiUJzsZjBMtTnksO8
/hBVcKAvAsz1b1RFPB5/owZl6NtqRn2yRBP3P6J/iRr1/yRbL8xvlCb0efxy
3mfjikp+dXnhI+peLMN3+5mDtSb5eVWCrp+b3pafNwTzOFW6YK7rSZX2R6lM
czJXgRL8e7MiOBd99GmCL2J9p3Tx/6O5Hwb1XaQBNZhXggFncLGEeeiebPjv
6YK57i2a4CgUKF31v2+I9wL7IsCVb66Hl2d7BffDPXKJ0Xzf0cifzRb50Mck
na7690aVCXzffrMgBefMjhNgPh9fHaY9wMCF54gl5pH3t+mw6HM/V2F+Hxj5
3d8CN+7XOib6//99/w/DnKGE
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYCYu8T7LazUw0c0tOA4JmCA4y/VkiHL11PyWH5
Cw+9/4UGDiu/vaw4w6DsID0vTvP0BAMHFs4u+WQ/FQcTYxDQdxDt8XrFIqLq
MKW9NeqyjJ7D32+lD+YEqjrU/7YqOHdCB84/vmtHL5uBJpwP1jdFzeEMCPAo
w/lg9xyTh/N3BFtF/E+XdTDQWil84YmaQ8X9H7eMV0s7pMTecWOeoe4Qoxoh
cy5GymGz+Y9DKVkaEPffk3BIBZnTpungvubocgYJCYcTh53WZt7TdvAA8SvE
HWo+bQjI3qXr0BvR7c/4Qcwh4JZ0TeIkPah9YnD/VYHs8xZ1EAG554q+w06Q
vLuIw5PEhddM+A0cgt9e/jjjoRCcXw1Szy0I56eBASc03PQc7Esca0/LMDtM
n8BfZXZaG84Hh98dTTj/wtWwN/q/1R0Odu9rMnnM5rBJL28x4x11hzkzgeAm
l8MWkH9XqUPcu1wAHj4w/gyQ+a/VHPyfeF4yncwP56t/Unk5i5MPzgf7s5gX
zl98a/ljQ2ZOh1Pg8FKD2z8DZO9ONQcNkP5OJgcQd6akhoPMRrH5TAoMDv9B
oF7ToeZF069pO//au++vlbV4rgXng8NbSh/OP9i2PPyUkCHcPhg/BBSejcJw
Pjj4jolC/PsKmj7jxB38L06M+TfZwIEBBBZIOHwGGj9L3QAS3xZSDm+Kt4r+
9tZ3mA4OLymHBpaj/YbTdSD+nSzt0MLrv37KUk0HV5D6CBlI+M7RgKYHWTj/
jqbsmv+XFeB8cPzeVnJ4ECG+/aKCFjw/gPkOOnA+OD0Z6cL5YPvF9aD5RMXh
aZb2t+l79SDuP6DskBASpL6gU99BIDbgvlG4ssNa1SfN887qOzhPaBZK+6UE
Cd/7+g78IHl3JUj4MGHmXxgfAIj8nnE=
            "]]}, {
           Thickness[0.045620437956204386`]}, StripOnInput -> False]}, {
        ImageSize -> {21.916961394769615`, 21.12078704856787}, 
         BaselinePosition -> Scaled[0.31887090512778543`], 
         ImageSize -> {22., 22.}, 
         PlotRange -> {{0., 21.919999999999998`}, {0., 21.12}}, AspectRatio -> 
         Automatic}], 
       GraphicsBox[{
         Thickness[0.022331397945511387`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJdIAaxQYAJSjNCxZiR+Ax42MSox6UGWZxUc4jRS6r5
pOqlxO+0UEOM+0n1CwDTMQKN
            "], CompressedData["
1:eJxdlAlIVEEYx7c0tYN0Xd2tvXff2rYp+p5KF4X/ENPKUjRKyg5T18ouSMlK
odSMMEiLMA+iCDRjCTuMirKLtPKoKJIOMjQis4MsTLDcdma2WWhgWH5vv/mu
+c9n2rA9JdtLJpONce0Vrj3WtTfaXategaVPK9NHvabjZ8v35hylhrPh+qmW
7C4t5xxi36rHhfBtZ8b8tqKarH4jPu1sDh4ZsGLXvStx1TdNWEbs+6yId9xv
kKWZkfxKU5iRYoP/muSeyFlmVFX475lZboN10NJfs8iAS7OG72ZttjH7Ag32
DjYl566y4U55S3F0iZLz1dS5aU5rEOcyo29Ix3MlljzwnV+bLyJo99G8Tm8V
y/OKCPJjn6bCfu/7R6RuN9tV+OE6XvNLxG3iP1MNJ10iOsjaokUSrVfCAeI/
T4/MNW8WevlJ+Fy2tTzytYEzjfPBxPmNTedwRgmIIqtPhOVFb6psnsDs6kV0
Ev+FArKIfUE4ZGTBwvkqinvb0izY4Sh/vREi/gzlv6urtLB+T5JwgvRtwILu
wMEFj+slfj7P1f728xKLlyjgXlnDykcXXfbkfq6ZOffErVtQc9rDtN8JHlaQ
/pWauD/a7xwNQt6XnOw8J6GU9lvN49P+B6k4R5O6dyo5JxD/U4I4p3559v1E
RiDnfaqicZsWTubxaP8P+/F8+ov6ch+H+UFzcq2tHRKmE72M90fRyNwdXbMl
7O0ZfhU1UY6IGY2KJ9ESHIFhk3Na5Oz+FB62kvwfiZwbPiaEOytFrA5J03YV
ynEkNc9S5S8yf6FyHCd9Do1AKc3PF4Xk+xI9igm3+iCL6krn7v84ppPLWpZ/
ojPmFtFVrBbxzUltmT6jMVQ3tWo0L26aXTfHm9k51Ly+dJLHDTXTiU8A+79D
7fYn50zva1iPf/7o/VYbOK8crzwYFWPkHFtREmifYOLx6PtTmXk8qlNB4P6p
fmMF9xzQsfe0XGD26Xqu30PzFl23m43IpvNAQONQf0FHk4nF/ya4dWRm/hUe
PkvsKswQiE7rjOzdxZihI3Pmq57VP2Ri/Q7Vs/OxJlSRMl/qWJxTRnfdOpZX
nZbpNF7H5lX4VM5Uj8eUnGmZYcGIo3NJx+bPwwD3O/Ew7d+Ih6lu3upRS/MI
YPe+3sD0MhAAkcT5YcD/8/Qvh/hInw==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
            "], CompressedData["
1:eJxdlHlIVVEQxp9WmJVKRRthIiXvru/ed26ahOK0G0WWbRKVWlmvhRYsqFCk
TUEDizSpxBaVFloMCos2KqLS9sVChTZL/ygKszCy7M6Z986FDlzkp8c5M983
M9FL1qVm9XC5XEH2l2F/wfa34XRRk89ksHRR8+QePgZDSl+E+lIZtK5Sf5bp
DNKG1D51rWXQjSeJQd/JMZuCCxlIX8Kum1MZTLsXknio2mE3/vzlcEzLjoqH
igXH25I93UEOr1hun3yv4Ad4dhuQfXHQ7/q/XrgwpvPWskKV8uo0BdffHn9m
ZYXDPM9FJsQmXEvdv00TPB3zeqkLroXt7+92eii/LSZEpJwryUo2RbzELWkn
Yh+a0JJ5tGF0khc6LjcW/ullwQE8spfujbDAVE4OfDLR/34jAz06qmNNg0E6
hXuhDQsoMuA+3p/hzyPWgJ1h9oPVBum73QMZWFeaB0r2RGyNK9Kh/NjIy10F
Gul8WBP1TbmRGxnfqgruGVoYtTTcYX4/T4ELnrWVQTma4KH4zntd8PCKxXJ9
hkl65Kp+vb2k2zsdXg1oH/f4E4PpT/cu/Fupi3p5Xm4dbuYfn18XbFHerzXS
xfa5FPNXHQ7ED3BOe83M1VsVKJ69cVRZN4NkrOeuDHm/x65/1NuCfQW7FjzP
keE85t/PIr/TZPIhwiLf4h2e1Tg8J5M5zPNrlQTzOmskEb8e61wjiXy4X4Ml
+IH+2n07E+M9c1P9cQzieB+5hT7pc1LdR0IlwRaebIn8DWdQx/tHot9PYPTO
MBmaMM0sRn6ddZjHeeCwgf3UUxHsW/dt1/05Cs1LJvPPiUJzsZjBMtTnksO8
/hBVcKAvAsz1b1RFPB5/owZl6NtqRn2yRBP3P6J/iRr1/yRbL8xvlCb0efxy
3mfjikp+dXnhI+peLMN3+5mDtSb5eVWCrp+b3pafNwTzOFW6YK7rSZX2R6lM
czJXgRL8e7MiOBd99GmCL2J9p3Tx/6O5Hwb1XaQBNZhXggFncLGEeeiebPjv
6YK57i2a4CgUKF31v2+I9wL7IsCVb66Hl2d7BffDPXKJ0Xzf0cifzRb50Mck
na7690aVCXzffrMgBefMjhNgPh9fHaY9wMCF54gl5pH3t+mw6HM/V2F+Hxj5
3d8CN+7XOib6//99/w/DnKGE
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYCYvvKiBWme40cPixar3B2hYLDGRCQMcbg39GU
XfP/saJDf3CJynR9Y4fUNCBgU3ZQfdI872yUsUNG/ofWkyEqDovv7+Obw2zk
UPNpQ0C2lKrD1523uv6mGjr8/Vb6YE6gqkPJVtHfp/MM4Pw/b18fsFysBefP
WaS880+7mkP1/R+3jE8rwvlrhXT40u9JwPkxqhEy5/4IQ+yJUndQ/6TycpYn
v8N/ELiv4ZAGBpwOW8x/HErp0nKIBqnfw+TQwuu/foqqrkPNi6Zf03b+tfe/
JV2T+EkfztfXWil84YoBnM/tplrKtMrQQWaj2HwmBQaHk4ed1mb6GUPC5Qwz
nH+we1+TCbMQnB/y9vLHGY3CUH8ZO7xpy+02mi3sULim+3ZGAUy/sAMPyPxT
xg47g60i/ruLOLzI0v42fa8xxH81opDwXWXkIFI5qeRsiqhDt9crFpOFCP4f
kPmOCH5y7B035heGcP5toPeMriL4/EDvp54wgJsP42uAwo9TxEHjLe8+g5OG
DibGQLBZ2CEdFIxiRnD3L3/hofff0AgSP9oIPsz/MP7yW8sfGzpzwflg8z6z
O2zQy1vMqGMEse8kGyQ9yRs52JU41p6WYXN4DvL/X0OHFvFa1kw3Fgf/ixNj
/jkbOrysfZx9/g0TxH8VBnA+OD2o68D5YP2ymg4vQPw1/HA+OD4eSsL5M8FA
0WG7Q9Oj4zu0HVg4u+ST/VQcToPiT84Azn+SuPCayX4Ev5HlaL+hu6FDw2+r
gnMaKpB43GPoEM4p1m58XxmS/vKNIOZnKjvA8hc4vG4rwfkrv72sOPNB0QE9
/wEAWiif5A==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4pKtor9PnzNzWPntZcWZD4oOMP6HResVzt5Q
djh12Glt5j0zhy3mPw6lcKk4xCg4fkzOMXeY0t4adVlGxUF6XpzmaQYLhyeJ
C6+Z6CP4Db+tCs69UIGIy5s76CjKf8m5puIwbQJ/ldltMzgfbK4Vgs8AAgtM
4XyfE+y2s0NNIfbdUXFoZDnab1huAjcfxofZ79D06PgMblO4+2aCgSnc/Rpv
efcZrDSF+w/Gh/kfxt/fva/JJJkHzl9ya/ljw8MscPOiVSNkzv1hhttnYgwE
m5nh7uF25POakYngg/U3Mzi8yNL+Nl3X1MEYrJ4Bbt4ZMGCAhweMDwsvFHkv
c7h+WHjDzIfxYfbD4gvmPlh8wtwPi2+Y/2B8mP/R0wcAAuv1Zg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4ov58eznDB0cuB35vGa85HCoiFhhelbZwUFm
o9h8pgecDimxd9yYO+wdltxa/tiQmc3hQNvy8FOb7By+7Pu4NV2MBSJ/whbO
t6kEGpBrDefbNz06PuO2pcND13jHWYECcH6LArvqmSuScL7ytUfBDDGKDlv0
8hYz2lg7sHB2ySf7qTj0B5eoTPe3hfOPH3Zam1lnB+enpgHBNnsHgdiA+0bh
ynD+3vyatzNTleD8D4vWK5xdoeBgDALcDnD+GRDgcXAoPbzNdeZdRQfVJ83z
zgo5QMT3KDm4q5YyzdJwcMjI/9B6MkTFYYv5j0MpXvYOZjZ7g6YxqjrU/rYq
OJdh5/D3W+mDOYGqDvUsR/sN223hfLD6Khs4f8ZMIKi0djixa0cv2wWoeaus
HMI5xdqN7ytDzbd0WPntZcUZByUH6XlxmqcnWDj0RnT7MxbIw/nV93/cMn4t
Aedv9dpgMecnj4P6W959BpVWDjUvmn5N2/nXHhZ+MP5/EPC3g/PB8Wdh72Bb
4lh7eg6Dw3wbnSuz2Bzg8YeePgB1nfgN
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}}}, {{{36.3047, 4.695309999999999}, {36.6672, 
            5.50469}, {36.6063, 5.56563}, {33.43129999999999, 5.56563}, {
            33.1047, 4.7562500000000005`}, {33.165600000000005`, 
            4.695309999999999}, {36.3047, 4.695309999999999}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYC4gjx7RcZ1Fwd0tOA4JmCA4y/VkiHL11PyaFt
efgpIx1Xh5XfXlacYVB2cGh6dHyGtasDC2eXfLKfigMDCBxwcRDt8XrFIqLq
IDH1CmdGlYvD32+lD+YEqjoIfXI8n6aK4D9JXHjNxN4Zzje/djTXZIaTwxkQ
4FGG88HuOSYP5+8Itor4ny7rsL9W1iJ9jZNDxf0ft4xXSzt0A601uenkEKMa
IXMuRspB3vFj8hleZ4j770lAzA1xdnBfc3Q5g4SEg/qT5nlnXzk7eID4FeIO
l/Lj2c8lujj0RnT7M34QczihaTXp9HQXqH1icP9VgezzFnWwALnnhYvDTpC8
u4iDKsi8Xy4OwW8vf5zxUAjOrwap5xaE89PAgNOhZKvo79NtLg72JY61p2WY
IeH9zBnOB4dfFoK//IWH3v+PTg4Hu/c1mTxmc7i/j2+O8SsnhzkzgeAmF8S/
d6Hhs1wAHj4wPtj8dU4O/k88L5lO5ofz1T+pvJzFyQfnmxgDQTEvnL/41vLH
hsyckPBahbAfZO3MhU4OGiD9nUwQ/k8nB5mNYvOZFBgg5gQ7O9S8aPo1bedf
e5bFk6wY1yL4F0HhvdMFzp/yjS1+Ro0r3D4YPwQUno3CcD44+I6JOvD6r5+S
mgFNn3HiDjelaxKNbF0h8bRAwmFN9+0MBnZXSHxbSDnoTljww/CYi8N0cHhJ
OYSUqEz/L+ECcedkaYj5Mc4OriD1ETKQ8JVyhqYHWTj/jqbsmv+XFeB8cPze
VnLI4fy5IL3aGZ4fwHxmFzgfnJ7sEXyw/RUuDlPaW6Muy6g4vOHdZzBzkQs0
nSk7+Jxgt5191cVBIDbgvlG4ssM8G50rs565ODhPaBZK+6UEcfdrFwd+kLy7
EsT9X1ww8i+MDwDIvJyZ
            "]]}, {
           Thickness[0.022331397945511387`]}, StripOnInput -> False]}, {
        ImageSize -> {44.77814196762142, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {45., 22.}, 
         PlotRange -> {{0., 44.78}, {0., 21.12}}, AspectRatio -> Automatic}], 
       
       GraphicsBox[{
         Thickness[0.017917935853789646`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJdIAaxQYAJSjNCxZiR+Ax42MSox6UGWZxUc4jRS6r5
pOqlxO+0UEOM+0n1CwDTMQKN
            "], CompressedData["
1:eJxdlAlIVEEYx7c0tYN0Xd2tvXff2rYp+p5KF4X/ENPKUjRKyg5T18ouSMlK
odSMMEiLMA+iCDRjCTuMirKLtPKoKJIOMjQis4MsTLDcdma2WWhgWH5vv/mu
+c9n2rA9JdtLJpONce0Vrj3WtTfaXategaVPK9NHvabjZ8v35hylhrPh+qmW
7C4t5xxi36rHhfBtZ8b8tqKarH4jPu1sDh4ZsGLXvStx1TdNWEbs+6yId9xv
kKWZkfxKU5iRYoP/muSeyFlmVFX475lZboN10NJfs8iAS7OG72ZttjH7Ag32
DjYl566y4U55S3F0iZLz1dS5aU5rEOcyo29Ix3MlljzwnV+bLyJo99G8Tm8V
y/OKCPJjn6bCfu/7R6RuN9tV+OE6XvNLxG3iP1MNJ10iOsjaokUSrVfCAeI/
T4/MNW8WevlJ+Fy2tTzytYEzjfPBxPmNTedwRgmIIqtPhOVFb6psnsDs6kV0
Ev+FArKIfUE4ZGTBwvkqinvb0izY4Sh/vREi/gzlv6urtLB+T5JwgvRtwILu
wMEFj+slfj7P1f728xKLlyjgXlnDykcXXfbkfq6ZOffErVtQc9rDtN8JHlaQ
/pWauD/a7xwNQt6XnOw8J6GU9lvN49P+B6k4R5O6dyo5JxD/U4I4p3559v1E
RiDnfaqicZsWTubxaP8P+/F8+ov6ch+H+UFzcq2tHRKmE72M90fRyNwdXbMl
7O0ZfhU1UY6IGY2KJ9ESHIFhk3Na5Oz+FB62kvwfiZwbPiaEOytFrA5J03YV
ynEkNc9S5S8yf6FyHCd9Do1AKc3PF4Xk+xI9igm3+iCL6krn7v84ppPLWpZ/
ojPmFtFVrBbxzUltmT6jMVQ3tWo0L26aXTfHm9k51Ly+dJLHDTXTiU8A+79D
7fYn50zva1iPf/7o/VYbOK8crzwYFWPkHFtREmifYOLx6PtTmXk8qlNB4P6p
fmMF9xzQsfe0XGD26Xqu30PzFl23m43IpvNAQONQf0FHk4nF/ya4dWRm/hUe
PkvsKswQiE7rjOzdxZihI3Pmq57VP2Ri/Q7Vs/OxJlSRMl/qWJxTRnfdOpZX
nZbpNF7H5lX4VM5Uj8eUnGmZYcGIo3NJx+bPwwD3O/Ew7d+Ih6lu3upRS/MI
YPe+3sD0MhAAkcT5YcD/8/Qvh/hInw==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
            "], CompressedData["
1:eJxdlHlIVVEQxp9WmJVKRRthIiXvru/ed26ahOK0G0WWbRKVWlmvhRYsqFCk
TUEDizSpxBaVFloMCos2KqLS9sVChTZL/ygKszCy7M6Z986FDlzkp8c5M983
M9FL1qVm9XC5XEH2l2F/wfa34XRRk89ksHRR8+QePgZDSl+E+lIZtK5Sf5bp
DNKG1D51rWXQjSeJQd/JMZuCCxlIX8Kum1MZTLsXknio2mE3/vzlcEzLjoqH
igXH25I93UEOr1hun3yv4Ad4dhuQfXHQ7/q/XrgwpvPWskKV8uo0BdffHn9m
ZYXDPM9FJsQmXEvdv00TPB3zeqkLroXt7+92eii/LSZEpJwryUo2RbzELWkn
Yh+a0JJ5tGF0khc6LjcW/ullwQE8spfujbDAVE4OfDLR/34jAz06qmNNg0E6
hXuhDQsoMuA+3p/hzyPWgJ1h9oPVBum73QMZWFeaB0r2RGyNK9Kh/NjIy10F
Gul8WBP1TbmRGxnfqgruGVoYtTTcYX4/T4ELnrWVQTma4KH4zntd8PCKxXJ9
hkl65Kp+vb2k2zsdXg1oH/f4E4PpT/cu/Fupi3p5Xm4dbuYfn18XbFHerzXS
xfa5FPNXHQ7ED3BOe83M1VsVKJ69cVRZN4NkrOeuDHm/x65/1NuCfQW7FjzP
keE85t/PIr/TZPIhwiLf4h2e1Tg8J5M5zPNrlQTzOmskEb8e61wjiXy4X4Ml
+IH+2n07E+M9c1P9cQzieB+5hT7pc1LdR0IlwRaebIn8DWdQx/tHot9PYPTO
MBmaMM0sRn6ddZjHeeCwgf3UUxHsW/dt1/05Cs1LJvPPiUJzsZjBMtTnksO8
/hBVcKAvAsz1b1RFPB5/owZl6NtqRn2yRBP3P6J/iRr1/yRbL8xvlCb0efxy
3mfjikp+dXnhI+peLMN3+5mDtSb5eVWCrp+b3pafNwTzOFW6YK7rSZX2R6lM
czJXgRL8e7MiOBd99GmCL2J9p3Tx/6O5Hwb1XaQBNZhXggFncLGEeeiebPjv
6YK57i2a4CgUKF31v2+I9wL7IsCVb66Hl2d7BffDPXKJ0Xzf0cifzRb50Mck
na7690aVCXzffrMgBefMjhNgPh9fHaY9wMCF54gl5pH3t+mw6HM/V2F+Hxj5
3d8CN+7XOib6//99/w/DnKGE
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYCYu8T7LazUw0c0tOA4JmCA4y/VkiHL11PyWH5
Cw+9/4UGDiu/vaw4w6DsID0vTvP0BAMHFs4u+WQ/FQcTYxDQdxDt8XrFIqLq
MKW9NeqyjJ7D32+lD+YEqjrU/7YqOHdCB84/vmtHL5uBJpwP1jdFzeEMCPAo
w/lg9xyTh/N3BFtF/E+XdTDQWil84YmaQ8X9H7eMV0s7pMTecWOeoe4Qoxoh
cy5GymGz+Y9DKVkaEPffk3BIBZnTpungvubocgYJCYcTh53WZt7TdvAA8SvE
HWo+bQjI3qXr0BvR7c/4Qcwh4JZ0TeIkPah9YnD/VYHs8xZ1EAG554q+w06Q
vLuIw5PEhddM+A0cgt9e/jjjoRCcXw1Szy0I56eBASc03PQc7Esca0/LMDtM
n8BfZXZaG84Hh98dTTj/wtWwN/q/1R0Odu9rMnnM5rBJL28x4x11hzkzgeAm
l8MWkH9XqUPcu1wAHj4w/gyQ+a/VHPyfeF4yncwP56t/Unk5i5MPzgf7s5gX
zl98a/ljQ2ZOh1Pg8FKD2z8DZO9ONQcNkP5OJgcQd6akhoPMRrH5TAoMDv9B
oF7ToeZF069pO//au++vlbV4rgXng8NbSh/OP9i2PPyUkCHcPhg/BBSejcJw
Pjj4jolC/PsKmj7jxB38L06M+TfZwIEBBBZIOHwGGj9L3QAS3xZSDm+Kt4r+
9tZ3mA4OLymHBpaj/YbTdSD+nSzt0MLrv37KUk0HV5D6CBlI+M7RgKYHWTj/
jqbsmv+XFeB8cPzeVnJ4ECG+/aKCFjw/gPkOOnA+OD0Z6cL5YPvF9aD5RMXh
aZb2t+l79SDuP6DskBASpL6gU99BIDbgvlG4ssNa1SfN887qOzhPaBZK+6UE
Cd/7+g78IHl3JUj4MGHmXxgfAIj8nnE=
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYCYoemR8dnzDZxeJK48JqJvooDjN/w26rg3AsV
h88bArJnuRs76CjKf8m5hskvWNN9O4MBwZ8JAjuNcPK9T7Dbzk41hJsP48Ps
19daKXzhiqHDlPbWqMsyUHlRIwepeXGapwWg8iZGDh8WrVc4e0PZ4QwIxBg5
hHOKtRvLKzuseOGh93+hiYN9iWPt6Tv8Dn++lT6Yw2jq0Cxey5rZxuFwQ+iT
43k1U4c0EFBjdbgjXZNoFGrqcOH3sevzbv63nxBcojL9PYK/xfzHoRQtM4cX
tY+zz79hdegDyfubOdiBzJfhdPABuW+rmUP1/R+3jLMFIP44b+HwHwTilSD2
iFk6lB/e5jpzrbIDj//6KakWlg5gc7lUHL7svNX1t9QS7t8DbcvDT12yhIcH
jA8Lr5sg97ZawMPzeZb2t+m+CD7YPjYLiHl3VCDhs8bcQWLqFc6MRyoOtpUR
K0znIvh1IHMzEPxGlqP9hubmcPtgfJh7UmLvuDHfMIe7d6Ne3mJGGQsHXZD9
YioOfhcnxvxztoDHD4yvcu1RMEMNgr9WSIcv3U7ZQfVJ87yzVhYO7muOLmd4
oeTACwofDQtIeHYrORwC+f+TqUOMaoTMuRoeh+Wg+J1oDI13ZYeSraK/T/cZ
O+zNr3k7s1QZkn67jSH2dyD4K7+9rDizAMEHm/9a2UEGlK42GMPdf/Kw09rM
d8Zw/6HnDwDD+W+q
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJnIGYCYmMQqHZ0uPD72PV5N//bd3u9YjFpdHSQ2Sg2
nymB0SFCfPtFhjZHh2jVCJlze5gcdt7q+pva7uhwg/e2WKoZs0P78vBTRj2O
Di9rH2ef12Fx4PFfPyV1hqNDwBPPS6bC7A5nQGCJo0N/RLc/4wZOhx6Q+ROd
HGaCQKaywxvefQYzZzk5fFi0XuHsDWWH5S889P6vdHKQmheneVpAxWGDXt5i
xjNODlPaW6Muy6g4CH9yPJ/218nhSeLCayb6CH7Db6uCcy9UHMD+iXZy0FGU
/5JzTcWhImKF6Vlv3PzgEpXp/3c4wvXD+DDzi7eK/j79zRFuP9g/Ok4OW8x/
HErhUnGQd/yYfMbWyaH6/o9bxq+VIeFjD/VPB4K/N7/m7cxSBN8E5M5kZbj+
Fd9eVpwJUHa4mB/Pfq7Q0UH9k8rLWZx8DvtrZS3SSxwc7mjKrvm/WMlBfOoV
zowgBwddkPvFoPb7OjjMWaS884+7ikPi4cvaqY4ODjWfNgRkS6k6/AcBfgS/
BOSfe/YQ985Whvhjlb2DcOWkkrMtSg4zQPHCae/wwDXecdZEOYh8l63DdVB8
b+NzuCFdk2gUagNXD44fHxuHcE6xduPzSg4ab4ER6mkDiQdhZTgf5j8YHxbf
KbF33JgzbODxPXUCf5XZbht4eNtUAiPM1hYeHzA+LL6+AL01a7s1PD7B6Wch
gp+/pvt2hoI1xLw7KpDwM7KC64fxYebXg8Q7rOD2S4DkH1nB4/sDyD52a4fU
NCA4puyw5P4+vjnK1g7ua44uZ3ihBInXyTaQ/POAE+4fSH5igfNbxGtZM91Y
IObesoHnP32tlcIXSmzhfBlQuEywdWgGqWdjhoTfSluHr/s+bk0PY3XwuTgx
5t9jW7h94aD8+g8anyqKDubXjuaaHHCApKeXgpB4+ezgEAPKzzbcDsc1rSad
/u4Ayc9lXJD0pIsoD9DLBwBO2dIi
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWaBsBiifAY3NCJVHV4NLHJcaUtXjUkOq+YPB
nQAGXgI/
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYCYpFPjufT3jo76CjKf8m5puJQslX09+lpzg5T
2lujLt9Rcaj/bVVwrgPBr4xYYXrW2NmhAST+AsF/krjwmom+isMJTatJp8uh
6mVUHNZ0385g2O/ssMX8x6EULhWH+TY6V2Ydc3botPHclXZJGc5f+e1lxZkP
inD+/u59TSbJPHC+XYlj7ek7LHDzolUjZM79YYbbZ2IMBJuZ4e7hduTzmpGJ
4C+5tfyxYTODwxkwcIbSmHywP54j+OlpQPAPN99NtZRp1gIXuPkwPsz+Kd/Y
4mfEuMDdBw5vURe4+xUcPyaf4XWB+w/Gh/kfxuePDbhv5K7kUAcOdzeo+QwQ
/xW7O9S8aPo1bedfexj/738gqP8H50Ps/2f/YB/fHOMid4dm8VrWTDYGiHkF
7g5f9n3cmi7GCPF/vruDPdg9CH5/RLc/YwETnA+LLxgfFp/g+Cl3h8d3pPj2
iwz73OHpYfkLD73/jB7w9ALjw9ITOD7j3eHpEZ0PDl8PBF9vwoIfhnq4+bek
axKNprrBzYfxYfb3eL1iMbnpBncfj//6KakKCPczgIAGwn8wPsz/MP5yUPw7
c0HC08EFbh96/gIA8J+CCA==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4je8+wxmvvJwCOcUazc+r+Sw/IWH3v+Nng7p
aUCwTcnBXbWUaRaHlwMDCGyAyh9E8C/kx7OfO+kF1z/fRufKrGNeDmuFdPjS
7ZThfLD6AjT+AQRfV1H+S46YCpw/Z5Hyzj/uKnDzG1iO9htuV4HbrwNSf03F
QX/Cgh+Gfl4OL7K0v03fqwJ3L0z9DemaRKOtnnC++bWjuSYJCH7b8vBTRjKe
cP0WIPkVHnDzefzXT0ld4IFq/0IPuP/smx4dn7EYytdTgvM/LFqvcDZDEc7/
su/j1vRtcg6ru29nMMz3cDAxBgJhKQfxqVc4M2ZB+Z/FHbq9XrGY7PRw0Pik
8nLWSnGHSyD/M3o6yO9asC/1nSTEPG1Phzdtud1Gs6UcniQuvGZSjuCD5bm9
4Hyw+zO8IOYHi8P5YHlpITg/WjVC5lwNp4PAJ8fzaaxeDjd4b4ulmjE7sCye
ZMUY6wnnzwQBTgR/f62sRfoemPtZHOaB4m+ZB0S+jN3h04aA7FnxHg4Huvc1
mSTzQ/xr5eGgDvIfJ59DpPj2iwxxHg7N4rWsmW0cDq6g+CvwcOiL6PZnLGB1
0AXFb5uHQy+Ib8DokHj4snbqRg+H7V4bLOZU/rcH+/+9h0PNi6Zf03b+tb8I
Ci9DTzgfHJ4zEfw1oPBn93J4Wfs4+/waRoctenmLGWO8HM6AgA+bw/19fHOM
d3k5tIDdw+1QHrHC9OxrL4fq+z9uGXMLwvng+J4nAufD4hOcfvO8IO79IAvJ
R/s84XxweitB8Cd/Y4ufYQPlB8hC3HHHA6KvTdoBPX8CAPowf+Q=
            "]]}, {
           Thickness[0.017917935853789646`]}, StripOnInput -> False]}, {
        ImageSize -> {55.81455541718555, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {56., 22.}, 
         PlotRange -> {{0., 55.809999999999995`}, {0., 21.12}}, AspectRatio -> 
         Automatic}], 
       GraphicsBox[{
         Thickness[0.01223091976516634], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJdIAaxQYAJSjNCxZiR+Ax42MSox6UGWZxUc4jRS6r5
pOqlxO+0UEOM+0n1CwDTMQKN
            "], CompressedData["
1:eJxdlAlIVEEYx7c0tYN0Xd2tvXff2rYp+p5KF4X/ENPKUjRKyg5T18ouSMlK
odSMMEiLMA+iCDRjCTuMirKLtPKoKJIOMjQis4MsTLDcdma2WWhgWH5vv/mu
+c9n2rA9JdtLJpONce0Vrj3WtTfaXategaVPK9NHvabjZ8v35hylhrPh+qmW
7C4t5xxi36rHhfBtZ8b8tqKarH4jPu1sDh4ZsGLXvStx1TdNWEbs+6yId9xv
kKWZkfxKU5iRYoP/muSeyFlmVFX475lZboN10NJfs8iAS7OG72ZttjH7Ag32
DjYl566y4U55S3F0iZLz1dS5aU5rEOcyo29Ix3MlljzwnV+bLyJo99G8Tm8V
y/OKCPJjn6bCfu/7R6RuN9tV+OE6XvNLxG3iP1MNJ10iOsjaokUSrVfCAeI/
T4/MNW8WevlJ+Fy2tTzytYEzjfPBxPmNTedwRgmIIqtPhOVFb6psnsDs6kV0
Ev+FArKIfUE4ZGTBwvkqinvb0izY4Sh/vREi/gzlv6urtLB+T5JwgvRtwILu
wMEFj+slfj7P1f728xKLlyjgXlnDykcXXfbkfq6ZOffErVtQc9rDtN8JHlaQ
/pWauD/a7xwNQt6XnOw8J6GU9lvN49P+B6k4R5O6dyo5JxD/U4I4p3559v1E
RiDnfaqicZsWTubxaP8P+/F8+ov6ch+H+UFzcq2tHRKmE72M90fRyNwdXbMl
7O0ZfhU1UY6IGY2KJ9ESHIFhk3Na5Oz+FB62kvwfiZwbPiaEOytFrA5J03YV
ynEkNc9S5S8yf6FyHCd9Do1AKc3PF4Xk+xI9igm3+iCL6krn7v84ppPLWpZ/
ojPmFtFVrBbxzUltmT6jMVQ3tWo0L26aXTfHm9k51Ly+dJLHDTXTiU8A+79D
7fYn50zva1iPf/7o/VYbOK8crzwYFWPkHFtREmifYOLx6PtTmXk8qlNB4P6p
fmMF9xzQsfe0XGD26Xqu30PzFl23m43IpvNAQONQf0FHk4nF/ya4dWRm/hUe
PkvsKswQiE7rjOzdxZihI3Pmq57VP2Ri/Q7Vs/OxJlSRMl/qWJxTRnfdOpZX
nZbpNF7H5lX4VM5Uj8eUnGmZYcGIo3NJx+bPwwD3O/Ew7d+Ih6lu3upRS/MI
YPe+3sD0MhAAkcT5YcD/8/Qvh/hInw==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
            "], CompressedData["
1:eJxdlHlIVVEQxp9WmJVKRRthIiXvru/ed26ahOK0G0WWbRKVWlmvhRYsqFCk
TUEDizSpxBaVFloMCos2KqLS9sVChTZL/ygKszCy7M6Z986FDlzkp8c5M983
M9FL1qVm9XC5XEH2l2F/wfa34XRRk89ksHRR8+QePgZDSl+E+lIZtK5Sf5bp
DNKG1D51rWXQjSeJQd/JMZuCCxlIX8Kum1MZTLsXknio2mE3/vzlcEzLjoqH
igXH25I93UEOr1hun3yv4Ad4dhuQfXHQ7/q/XrgwpvPWskKV8uo0BdffHn9m
ZYXDPM9FJsQmXEvdv00TPB3zeqkLroXt7+92eii/LSZEpJwryUo2RbzELWkn
Yh+a0JJ5tGF0khc6LjcW/ullwQE8spfujbDAVE4OfDLR/34jAz06qmNNg0E6
hXuhDQsoMuA+3p/hzyPWgJ1h9oPVBum73QMZWFeaB0r2RGyNK9Kh/NjIy10F
Gul8WBP1TbmRGxnfqgruGVoYtTTcYX4/T4ELnrWVQTma4KH4zntd8PCKxXJ9
hkl65Kp+vb2k2zsdXg1oH/f4E4PpT/cu/Fupi3p5Xm4dbuYfn18XbFHerzXS
xfa5FPNXHQ7ED3BOe83M1VsVKJ69cVRZN4NkrOeuDHm/x65/1NuCfQW7FjzP
keE85t/PIr/TZPIhwiLf4h2e1Tg8J5M5zPNrlQTzOmskEb8e61wjiXy4X4Ml
+IH+2n07E+M9c1P9cQzieB+5hT7pc1LdR0IlwRaebIn8DWdQx/tHot9PYPTO
MBmaMM0sRn6ddZjHeeCwgf3UUxHsW/dt1/05Cs1LJvPPiUJzsZjBMtTnksO8
/hBVcKAvAsz1b1RFPB5/owZl6NtqRn2yRBP3P6J/iRr1/yRbL8xvlCb0efxy
3mfjikp+dXnhI+peLMN3+5mDtSb5eVWCrp+b3pafNwTzOFW6YK7rSZX2R6lM
czJXgRL8e7MiOBd99GmCL2J9p3Tx/6O5Hwb1XaQBNZhXggFncLGEeeiebPjv
6YK57i2a4CgUKF31v2+I9wL7IsCVb66Hl2d7BffDPXKJ0Xzf0cifzRb50Mck
na7690aVCXzffrMgBefMjhNgPh9fHaY9wMCF54gl5pH3t+mw6HM/V2F+Hxj5
3d8CN+7XOib6//99/w/DnKGE
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYCYvvKiBWme40cPixar3B2hYLDGRCQMcbg39GU
XfP/saJDf3CJynR9Y4fUNCBgU3ZQfdI872yUsUNG/ofWkyEqDovv7+Obw2zk
UPNpQ0C2lKrD1523uv6mGjr8/Vb6YE6gqkPJVtHfp/MM4Pw/b18fsFysBefP
WaS880+7mkP1/R+3jE8rwvlrhXT40u9JwPkxqhEy5/4IQ+yJUndQ/6TycpYn
v8N/ELiv4ZAGBpwOW8x/HErp0nKIBqnfw+TQwuu/foqqrkPNi6Zf03b+tfe/
JV2T+EkfztfXWil84YoBnM/tplrKtMrQQWaj2HwmBQaHk4ed1mb6GUPC5Qwz
nH+we1+TCbMQnB/y9vLHGY3CUH8ZO7xpy+02mi3sULim+3ZGAUy/sAMPyPxT
xg47g60i/ruLOLzI0v42fa8xxH81opDwXWXkIFI5qeRsiqhDt9crFpOFCP4f
kPmOCH5y7B035heGcP5toPeMriL4/EDvp54wgJsP42uAwo9TxEHjLe8+g5OG
DibGQLBZ2CEdFIxiRnD3L3/hofff0AgSP9oIPsz/MP7yW8sfGzpzwflg8z6z
O2zQy1vMqGMEse8kGyQ9yRs52JU41p6WYXN4DvL/X0OHFvFa1kw3Fgf/ixNj
/jkbOrysfZx9/g0TxH8VBnA+OD2o68D5YP2ymg4vQPw1/HA+OD4eSsL5M8FA
0WG7Q9Oj4zu0HVg4u+ST/VQcToPiT84Azn+SuPCayX4Ev5HlaL+hu6FDw2+r
gnMaKpB43GPoEM4p1m58XxmS/vKNIOZnKjvA8hc4vG4rwfkrv72sOPNB0QE9
/wEAWiif5A==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4pKtor9PnzNzWPntZcWZD4oOMP6HResVzt5Q
djh12Glt5j0zhy3mPw6lcKk4xCg4fkzOMXeY0t4adVlGxUF6XpzmaQYLhyeJ
C6+Z6CP4Db+tCs69UIGIy5s76CjKf8m5puIwbQJ/ldltMzgfbK4Vgs8AAgtM
4XyfE+y2s0NNIfbdUXFoZDnab1huAjcfxofZ79D06PgMblO4+2aCgSnc/Rpv
efcZrDSF+w/Gh/kfxt/fva/JJJkHzl9ya/ljw8MscPOiVSNkzv1hhttnYgwE
m5nh7uF25POakYngg/U3Mzi8yNL+Nl3X1MEYrJ4Bbt4ZMGCAhweMDwsvFHkv
c7h+WHjDzIfxYfbD4gvmPlh8wtwPi2+Y/2B8mP/R0wcAAuv1Zg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4ov58eznDB0cuB35vGa85HCoiFhhelbZwUFm
o9h8pgecDimxd9yYO+wdltxa/tiQmc3hQNvy8FOb7By+7Pu4NV2MBSJ/whbO
t6kEGpBrDefbNz06PuO2pcND13jHWYECcH6LArvqmSuScL7ytUfBDDGKDlv0
8hYz2lg7sHB2ySf7qTj0B5eoTPe3hfOPH3Zam1lnB+enpgHBNnsHgdiA+0bh
ynD+3vyatzNTleD8D4vWK5xdoeBgDALcDnD+GRDgcXAoPbzNdeZdRQfVJ83z
zgo5QMT3KDm4q5YyzdJwcMjI/9B6MkTFYYv5j0MpXvYOZjZ7g6YxqjrU/rYq
OJdh5/D3W+mDOYGqDvUsR/sN223hfLD6Khs4f8ZMIKi0djixa0cv2wWoeaus
HMI5xdqN7ytDzbd0WPntZcUZByUH6XlxmqcnWDj0RnT7MxbIw/nV93/cMn4t
Aedv9dpgMecnj4P6W959BpVWDjUvmn5N2/nXHhZ+MP5/EPC3g/PB8Wdh72Bb
4lh7eg6Dw3wbnSuz2Bzg8YeePgB1nfgN
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}}}, {{{36.3047, 4.695309999999999}, {36.6672, 
            5.50469}, {36.6063, 5.56563}, {33.43129999999999, 5.56563}, {
            33.1047, 4.7562500000000005`}, {33.165600000000005`, 
            4.695309999999999}, {36.3047, 4.695309999999999}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYC4gjx7RcZ1Fwd0tOA4JmCA4y/VkiHL11PyaFt
efgpIx1Xh5XfXlacYVB2cGh6dHyGtasDC2eXfLKfigMDCBxwcRDt8XrFIqLq
IDH1CmdGlYvD32+lD+YEqjoIfXI8n6aK4D9JXHjNxN4Zzje/djTXZIaTwxkQ
4FGG88HuOSYP5+8Itor4ny7rsL9W1iJ9jZNDxf0ft4xXSzt0A601uenkEKMa
IXMuRspB3vFj8hleZ4j770lAzA1xdnBfc3Q5g4SEg/qT5nlnXzk7eID4FeIO
l/Lj2c8lujj0RnT7M34QczihaTXp9HQXqH1icP9VgezzFnWwALnnhYvDTpC8
u4iDKsi8Xy4OwW8vf5zxUAjOrwap5xaE89PAgNOhZKvo79NtLg72JY61p2WY
IeH9zBnOB4dfFoK//IWH3v+PTg4Hu/c1mTxmc7i/j2+O8SsnhzkzgeAmF8S/
d6Hhs1wAHj4wPtj8dU4O/k88L5lO5ofz1T+pvJzFyQfnmxgDQTEvnL/41vLH
hsyckPBahbAfZO3MhU4OGiD9nUwQ/k8nB5mNYvOZFBgg5gQ7O9S8aPo1bedf
e5bFk6wY1yL4F0HhvdMFzp/yjS1+Ro0r3D4YPwQUno3CcD44+I6JOvD6r5+S
mgFNn3HiDjelaxKNbF0h8bRAwmFN9+0MBnZXSHxbSDnoTljww/CYi8N0cHhJ
OYSUqEz/L+ECcedkaYj5Mc4OriD1ETKQ8JVyhqYHWTj/jqbsmv+XFeB8cPze
VnLI4fy5IL3aGZ4fwHxmFzgfnJ7sEXyw/RUuDlPaW6Muy6g4vOHdZzBzkQs0
nSk7+Jxgt5191cVBIDbgvlG4ssM8G50rs565ODhPaBZK+6UEcfdrFwd+kLy7
EsT9X1ww8i+MDwDIvJyZ
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYCYgXHj8lnfN0dniQuvGair+IA4zf8tio490LF
oSJihenZxW4OOoryX3KuYfItrh3NNWlA8M+AQAxuvuqT5nlnN7nCzYfxYfZL
TL3CmfHK1WFKe2vUZRkVBzWQPJebg9S8OM3TAlB5KTeHD4vWK5y9oeyQBgJ6
bg7hnGLtxvLKDiElKtP/B7g72Jc41p6+w+9QB7Knwd2hWbyWNbONwyGH8+eC
9MnuEH1qrA5vePcZzFzl7nDh97Hr827+tz+haTXp9HcE/5Z0TaKRqIfDi9rH
2effsDocB8mrezjYgcyX4YS4P8rDofr+j1vG2QIOnzYEZM9K93T4DwLxSg7G
INDt6VB+eJvrzLXKDu3Lw08ZzfF02GL+41AKl4rDn5jco/92ecL9m3D4snbq
S094eMD4sPACu9fJEx6exVtFf59WQ/DB9jFDzbujAvHnNQ9IuD1ScZhvo3Nl
1jkEf3+trEX6FgTfoenR8RmzPeD2wfgw92zQy1vM+MYD7t4I8e0XGfg8HXRB
9oupOCx/4aH3X9ETHj8wvsq1R8EMNQj+WiEdvnQ7ZQehT47n02Q9HdzXHF3O
8ELJoQ0UPiKekPDsVoL4/6e7Q4xqhMy5Gh5I/J5wg6YrZYedt7r+ph53c9ib
X/N2ZqkyJP0ehaaPDgR/5beXFWcWIPhg818rO/D4r5+SesMN7n6wP7+7wf2H
nj8A4jZwwg==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJnIGYC4tQ0IMjzc7jw+9j1eTf/2++vlbVIL/FzkNko
Np8pgdGhx+sVi0mln0O0aoTMuT1MDm959xnMrPJzuMF7WyzVjNlhx62uv6n1
fg4vax9nn9dhcbBvenR8RrefQ8ATz0umwuwO/0Fgup9Df0S3P+MGToe9IPNb
/B1mgkCmsoOC48fkM73+Dh8WrVc4e0PZ4Y50TaLRXH8HqXlxmqcFVByeJC68
ZrLf32FKe2vUZRkVB1fVUqZZH/wh4voIfsNvq4JzL1QcwP7x83fQUZT/knNN
xWFN9+0MBnvc/Nbl4aeM1vjB9cP4MPOXv/DQ+//SD24/2D/y/g5bzH8cSuFS
cQgpUZn+38Dfofr+j1vGr5Ud3oDCxwjqnw4Ef29+zduZpQi+iTEQJCvD9a/4
9rLiTICyA8viSVaMqX4O6p9UXs7i5HP4siEge1a6r8MdTdk1/xcrOficYLed
7erroAtyvxjUfgdfhzmLlHf+cVdxmPKNLX6Gia9DzSegRilViD3MCD44/h75
QNw7W9mBx3/9lNQTPg7ClZNKzrYoQfxX7uPwwDXecdZEOYj8Dm+H66D43sbn
IA+KL1lvuHpw+pD0dgjnFGs3Pq/kcFzTatJpcW8HkLXGwspwPsx/MD4svsHh
rO4Nj+96UDwEeMPD+0J+PPu5id7w+IDxYfEFjs/zXvD4bAfF3xEEP4fz54L0
Zi+IeXdUHMDpm8cLrh/Gh5n/ARTe5l5w+8HyKV7w+AbbV+4FSWfHoPHV6uXg
vubocoYXSg5nQMDGG5J/HnDC/QPJTyxwfot4LWumGwskfBO84fkPHL9rEXxw
ftrt7dAMUs/GDAm/494OX/d93JoexupwA5RfniLsu7uPb47xJ2h8qihC/L/Z
F5KeXgpC3P3M1yEGlJ9tuB1+xOQe/ffKF5Kfy7gg6UkBUR6glw8AasDYEQ==

            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWaBsBiifAY3NCJVHV4NLHJcaUtXjUkOq+YPB
nQAGXgI/
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4sWTrBh9CwIcdBTlv+RcU3EILlGZ/t8lwGFK
e2vU5TsqDpHi2y8y2CH4V4/mmjQIBzg0/LYqOPcCwX+SuPCaib6KQ826bUn1
plD1MioO+fHs5yQjAxy2mP84lMKl4vBi+3rm5zEBDp02nrvSLinD+Su/vaw4
80ERzt/fva/JJJkHzrcrcaw9fYcFbl60aoTMuT/McPtMjIFgMzPcPdyOfF4z
MhH8JbeWPzZsZnD4DwLxAQ5nwACT3+31isUkF8EHUxW4+dY6V2Y9O4kwH8aH
2f9YRPbk0+UI94HDuwXhfm2rSafrGxD+g/Fh/ofx+WMD7hu5K0Hi410g1HwG
iP+MgxxqXjT9mrbzrz2M/xfkr/p/cD7E/n/2HD8XpG82CnJoFq9lzWRjcIgA
mQfkf9n3cWu6GKNDD8j/hkEO9mD3IPj9Ed3+jAVMcD4svmB8WHyC48c0CB7f
rqqlTLMiguDp4Q3vPoOZVUHw9ALjw9JTLSg+NYPg6RGdbwMKX1kEf8PDl1M3
CeDmty8PP2V0JBBuPowPs//+Pr45xs8C4e6Td/yYfIYT4f6ZIMCL8B+MD/M/
jL8cFP/OXJDwnIXIH+j5CwBdEop4
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4v4FPwyfvQtyCOcUazc+r+TwhnefwcygYIf0
NCDYpuRgo3Nl1rPaYAcGENgAlb+F4DcHes5tuBcM1/9i+3rm53eCHdYK6fCl
2ynD+WD1BWj8Awi+rqL8lxwxFTh/ziLlnX/cVeDmN7Ac7TfcrgK3Xwek/pqK
w4aHL6duWhDs8CJL+9v0vSpw98LUty8PP2UUguBvbam5sFkTwY/NPfpvEztC
P1j+bBDcfHnHj8lnTgah2n8qCO6/3be6/qaehvL1lOD8D4vWK5zNUITzv+z7
uDV9m5xDfjz7OUmgeSbGQCAs5aD6pHne2WNQ/mdxh/v7+OYYXwty0Pik8nLW
SnGI/38FOcjvWrAv9Z2kw06QefzBDm/acruNZks59Hi9YjExRfDB8vUIvgLI
/WuDIeYHi8P5YHlpITg/WjVC5lwNp8PiSVaMvjXBDjd4b4ulmjE7SL9+ZCal
geCD08W/IDi/MmKF6dnrMPezQOLvDFS+jN1B+JPj+bSVQQ4Huvc1mSTzQ/w7
LchBHeQ/Tj4HV9VSplkrghyaxWtZM9s4IPG3McihL6Lbn7GAFRK/e4IcekF8
A0YHz+pmfZ9LQQ7bvTZYzKn8bw/2/8cgh5oXTb+m7fxrDw4voWA4/wEoPN0Q
/AJQ+APTx8vax9nn1zA6fNkQkD1rebDDGRDwYXPg+LkgffO1YIcWsHu4Ha4e
zTVpeB/sUH3/xy1jbkE4Hxzf80TgfFh8gv2/IRji3g+yEHMjEHxwejNG8B+L
yJ58Kg7lB8g6/AeB50GQcG6TdkDPnwCTmp4T
            "]]}, {
           Thickness[0.01223091976516634]}, StripOnInput -> False]}, {
        ImageSize -> {81.76352677459526, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {82., 22.}, 
         PlotRange -> {{0., 81.76}, {0., 21.12}}, AspectRatio -> Automatic}], 
       
       GraphicsBox[{
         Thickness[0.011419435879867535`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJdIAaxQYAJSjNCxZiR+Ax42MSox6UGWZxUc4jRS6r5
pOqlxO+0UEOM+0n1CwDTMQKN
            "], CompressedData["
1:eJxdlAlIVEEYx7c0tYN0Xd2tvXff2rYp+p5KF4X/ENPKUjRKyg5T18ouSMlK
odSMMEiLMA+iCDRjCTuMirKLtPKoKJIOMjQis4MsTLDcdma2WWhgWH5vv/mu
+c9n2rA9JdtLJpONce0Vrj3WtTfaXategaVPK9NHvabjZ8v35hylhrPh+qmW
7C4t5xxi36rHhfBtZ8b8tqKarH4jPu1sDh4ZsGLXvStx1TdNWEbs+6yId9xv
kKWZkfxKU5iRYoP/muSeyFlmVFX475lZboN10NJfs8iAS7OG72ZttjH7Ag32
DjYl566y4U55S3F0iZLz1dS5aU5rEOcyo29Ix3MlljzwnV+bLyJo99G8Tm8V
y/OKCPJjn6bCfu/7R6RuN9tV+OE6XvNLxG3iP1MNJ10iOsjaokUSrVfCAeI/
T4/MNW8WevlJ+Fy2tTzytYEzjfPBxPmNTedwRgmIIqtPhOVFb6psnsDs6kV0
Ev+FArKIfUE4ZGTBwvkqinvb0izY4Sh/vREi/gzlv6urtLB+T5JwgvRtwILu
wMEFj+slfj7P1f728xKLlyjgXlnDykcXXfbkfq6ZOffErVtQc9rDtN8JHlaQ
/pWauD/a7xwNQt6XnOw8J6GU9lvN49P+B6k4R5O6dyo5JxD/U4I4p3559v1E
RiDnfaqicZsWTubxaP8P+/F8+ov6ch+H+UFzcq2tHRKmE72M90fRyNwdXbMl
7O0ZfhU1UY6IGY2KJ9ESHIFhk3Na5Oz+FB62kvwfiZwbPiaEOytFrA5J03YV
ynEkNc9S5S8yf6FyHCd9Do1AKc3PF4Xk+xI9igm3+iCL6krn7v84ppPLWpZ/
ojPmFtFVrBbxzUltmT6jMVQ3tWo0L26aXTfHm9k51Ly+dJLHDTXTiU8A+79D
7fYn50zva1iPf/7o/VYbOK8crzwYFWPkHFtREmifYOLx6PtTmXk8qlNB4P6p
fmMF9xzQsfe0XGD26Xqu30PzFl23m43IpvNAQONQf0FHk4nF/ya4dWRm/hUe
PkvsKswQiE7rjOzdxZihI3Pmq57VP2Ri/Q7Vs/OxJlSRMl/qWJxTRnfdOpZX
nZbpNF7H5lX4VM5Uj8eUnGmZYcGIo3NJx+bPwwD3O/Ew7d+Ih6lu3upRS/MI
YPe+3sD0MhAAkcT5YcD/8/Qvh/hInw==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
            "], CompressedData["
1:eJxdlHlIVVEQxp9WmJVKRRthIiXvru/ed26ahOK0G0WWbRKVWlmvhRYsqFCk
TUEDizSpxBaVFloMCos2KqLS9sVChTZL/ygKszCy7M6Z986FDlzkp8c5M983
M9FL1qVm9XC5XEH2l2F/wfa34XRRk89ksHRR8+QePgZDSl+E+lIZtK5Sf5bp
DNKG1D51rWXQjSeJQd/JMZuCCxlIX8Kum1MZTLsXknio2mE3/vzlcEzLjoqH
igXH25I93UEOr1hun3yv4Ad4dhuQfXHQ7/q/XrgwpvPWskKV8uo0BdffHn9m
ZYXDPM9FJsQmXEvdv00TPB3zeqkLroXt7+92eii/LSZEpJwryUo2RbzELWkn
Yh+a0JJ5tGF0khc6LjcW/ullwQE8spfujbDAVE4OfDLR/34jAz06qmNNg0E6
hXuhDQsoMuA+3p/hzyPWgJ1h9oPVBum73QMZWFeaB0r2RGyNK9Kh/NjIy10F
Gul8WBP1TbmRGxnfqgruGVoYtTTcYX4/T4ELnrWVQTma4KH4zntd8PCKxXJ9
hkl65Kp+vb2k2zsdXg1oH/f4E4PpT/cu/Fupi3p5Xm4dbuYfn18XbFHerzXS
xfa5FPNXHQ7ED3BOe83M1VsVKJ69cVRZN4NkrOeuDHm/x65/1NuCfQW7FjzP
keE85t/PIr/TZPIhwiLf4h2e1Tg8J5M5zPNrlQTzOmskEb8e61wjiXy4X4Ml
+IH+2n07E+M9c1P9cQzieB+5hT7pc1LdR0IlwRaebIn8DWdQx/tHot9PYPTO
MBmaMM0sRn6ddZjHeeCwgf3UUxHsW/dt1/05Cs1LJvPPiUJzsZjBMtTnksO8
/hBVcKAvAsz1b1RFPB5/owZl6NtqRn2yRBP3P6J/iRr1/yRbL8xvlCb0efxy
3mfjikp+dXnhI+peLMN3+5mDtSb5eVWCrp+b3pafNwTzOFW6YK7rSZX2R6lM
czJXgRL8e7MiOBd99GmCL2J9p3Tx/6O5Hwb1XaQBNZhXggFncLGEeeiebPjv
6YK57i2a4CgUKF31v2+I9wL7IsCVb66Hl2d7BffDPXKJ0Xzf0cifzRb50Mck
na7690aVCXzffrMgBefMjhNgPh9fHaY9wMCF54gl5pH3t+mw6HM/V2F+Hxj5
3d8CN+7XOib6//99/w/DnKGE
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYCYvvKiBWme40cPixar3B2hYLDGRCQMcbg39GU
XfP/saJDf3CJynR9Y4fUNCBgU3ZQfdI872yUsUNG/ofWkyEqDovv7+Obw2zk
UPNpQ0C2lKrD1523uv6mGjr8/Vb6YE6gqkPJVtHfp/MM4Pw/b18fsFysBefP
WaS880+7mkP1/R+3jE8rwvlrhXT40u9JwPkxqhEy5/4IQ+yJUndQ/6TycpYn
v8N/ELiv4ZAGBpwOW8x/HErp0nKIBqnfw+TQwuu/foqqrkPNi6Zf03b+tfe/
JV2T+EkfztfXWil84YoBnM/tplrKtMrQQWaj2HwmBQaHk4ed1mb6GUPC5Qwz
nH+we1+TCbMQnB/y9vLHGY3CUH8ZO7xpy+02mi3sULim+3ZGAUy/sAMPyPxT
xg47g60i/ruLOLzI0v42fa8xxH81opDwXWXkIFI5qeRsiqhDt9crFpOFCP4f
kPmOCH5y7B035heGcP5toPeMriL4/EDvp54wgJsP42uAwo9TxEHjLe8+g5OG
DibGQLBZ2CEdFIxiRnD3L3/hofff0AgSP9oIPsz/MP7yW8sfGzpzwflg8z6z
O2zQy1vMqGMEse8kGyQ9yRs52JU41p6WYXN4DvL/X0OHFvFa1kw3Fgf/ixNj
/jkbOrysfZx9/g0TxH8VBnA+OD2o68D5YP2ymg4vQPw1/HA+OD4eSsL5M8FA
0WG7Q9Oj4zu0HVg4u+ST/VQcToPiT84Azn+SuPCayX4Ev5HlaL+hu6FDw2+r
gnMaKpB43GPoEM4p1m58XxmS/vKNIOZnKjvA8hc4vG4rwfkrv72sOPNB0QE9
/wEAWiif5A==
            "]], 
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4pKtor9PnzNzWPntZcWZD4oOMP6HResVzt5Q
djh12Glt5j0zhy3mPw6lcKk4xCg4fkzOMXeY0t4adVlGxUF6XpzmaQYLhyeJ
C6+Z6CP4Db+tCs69UIGIy5s76CjKf8m5puIwbQJ/ldltMzgfbK4Vgs8AAgtM
4XyfE+y2s0NNIfbdUXFoZDnab1huAjcfxofZ79D06PgMblO4+2aCgSnc/Rpv
efcZrDSF+w/Gh/kfxt/fva/JJJkHzl9ya/ljw8MscPOiVSNkzv1hhttnYgwE
m5nh7uF25POakYngg/U3Mzi8yNL+Nl3X1MEYrJ4Bbt4ZMGCAhweMDwsvFHkv
c7h+WHjDzIfxYfbD4gvmPlh8wtwPi2+Y/2B8mP/R0wcAAuv1Zg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4ov58eznDB0cuB35vGa85HCoiFhhelbZwUFm
o9h8pgecDimxd9yYO+wdltxa/tiQmc3hQNvy8FOb7By+7Pu4NV2MBSJ/whbO
t6kEGpBrDefbNz06PuO2pcND13jHWYECcH6LArvqmSuScL7ytUfBDDGKDlv0
8hYz2lg7sHB2ySf7qTj0B5eoTPe3hfOPH3Zam1lnB+enpgHBNnsHgdiA+0bh
ynD+3vyatzNTleD8D4vWK5xdoeBgDALcDnD+GRDgcXAoPbzNdeZdRQfVJ83z
zgo5QMT3KDm4q5YyzdJwcMjI/9B6MkTFYYv5j0MpXvYOZjZ7g6YxqjrU/rYq
OJdh5/D3W+mDOYGqDvUsR/sN223hfLD6Khs4f8ZMIKi0djixa0cv2wWoeaus
HMI5xdqN7ytDzbd0WPntZcUZByUH6XlxmqcnWDj0RnT7MxbIw/nV93/cMn4t
Aedv9dpgMecnj4P6W959BpVWDjUvmn5N2/nXHhZ+MP5/EPC3g/PB8Wdh72Bb
4lh7eg6Dw3wbnSuz2Bzg8YeePgB1nfgN
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}}}, {{{36.3047, 4.695309999999999}, {36.6672, 
            5.50469}, {36.6063, 5.56563}, {33.43129999999999, 5.56563}, {
            33.1047, 4.7562500000000005`}, {33.165600000000005`, 
            4.695309999999999}, {36.3047, 4.695309999999999}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYC4gjx7RcZ1Fwd0tOA4JmCA4y/VkiHL11PyaFt
efgpIx1Xh5XfXlacYVB2cGh6dHyGtasDC2eXfLKfigMDCBxwcRDt8XrFIqLq
IDH1CmdGlYvD32+lD+YEqjoIfXI8n6aK4D9JXHjNxN4Zzje/djTXZIaTwxkQ
4FGG88HuOSYP5+8Itor4ny7rsL9W1iJ9jZNDxf0ft4xXSzt0A601uenkEKMa
IXMuRspB3vFj8hleZ4j770lAzA1xdnBfc3Q5g4SEg/qT5nlnXzk7eID4FeIO
l/Lj2c8lujj0RnT7M34QczihaTXp9HQXqH1icP9VgezzFnWwALnnhYvDTpC8
u4iDKsi8Xy4OwW8vf5zxUAjOrwap5xaE89PAgNOhZKvo79NtLg72JY61p2WY
IeH9zBnOB4dfFoK//IWH3v+PTg4Hu/c1mTxmc7i/j2+O8SsnhzkzgeAmF8S/
d6Hhs1wAHj4wPtj8dU4O/k88L5lO5ofz1T+pvJzFyQfnmxgDQTEvnL/41vLH
hsyckPBahbAfZO3MhU4OGiD9nUwQ/k8nB5mNYvOZFBgg5gQ7O9S8aPo1bedf
e5bFk6wY1yL4F0HhvdMFzp/yjS1+Ro0r3D4YPwQUno3CcD44+I6JOvD6r5+S
mgFNn3HiDjelaxKNbF0h8bRAwmFN9+0MBnZXSHxbSDnoTljww/CYi8N0cHhJ
OYSUqEz/L+ECcedkaYj5Mc4OriD1ETKQ8JVyhqYHWTj/jqbsmv+XFeB8cPze
VnLI4fy5IL3aGZ4fwHxmFzgfnJ7sEXyw/RUuDlPaW6Muy6g4vOHdZzBzkQs0
nSk7+Jxgt5191cVBIDbgvlG4ssM8G50rs565ODhPaBZK+6UEcfdrFwd+kLy7
EsT9X1ww8i+MDwDIvJyZ
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQfTE/nv2cp4dD4fKSDf/62R28T7Dbzjb1cGgWr2XN
bONwUH3SPO/sJXcHuxLH2tN3WByeJC68ZrLe3SFaNULm3B9mhzMgkIPgW1w7
mmvCgSa/xc1B45PKy1kn2RxmgkCnm0ML2Hxuh7bl4aeMctwcrvPeFkvdxueQ
ePiydmqim0O7ArvqmS0CDmkgEOfmEPL28scZjcIODCDg4A7nv+HdZzBzFYLP
sniSFeNbd4cMkL5lwg6fNwRkzwr3cFDYtWBfqp6IQ7fXKxaTSA+HGJD77ohA
/Bfl4VB1/8ctY29ROB9szwMEH+JPaQde//VTUl+4Q/g88g4mxkBgjeA/2Mc3
x5gJwf8Esn+/m0MNyPxsOUj4NLg57O/e12TiLAsJD0Y3h/VCOnzp/6QcFtjo
XJl1ztXhPxiIw/lgdT+F4Hx7cHzwOyg4fkw+89TVIR3sXy6Hnbe6/qbyu0H8
94fNQeST4/k0XzeoekZ4fNS8aPo1bedf+7rfVgXnNNzh/BUvPPT+JyL4YP/N
dofEl9t/e4mpVzgzbrk7yGwUm8+UwAiJPxYPh/6Ibn/GAiaHKd/Y4meoeEDC
ZTOzgxoo/LQ8oPpZHNDTGwBhQRw7
             "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQ3eP1isXkortD1f0ft4y9RR3qflsVnGtwdzAxBgFR
h8qIFaZno90d0kBATdShbXn4KSMVBJ9l8SQrxrtucP4ZENjiBtefePiydmqi
m0NfRLc/YwGC36bArnpmi7jDpw0B2bPS3RyEKyeVnD0i4eDQ9Oj4jGo3h3SQ
eWxSEPvmuDmkgM2XcZhno3Nl1j03h1aQ/hJZiHs13OF8mHth/I16eYsZW6D+
uSzjcELTatLp+e4Q89ukHS7lx7OfO+juIL9rwb7Ud5IOU76xxc844+6wM9gq
4n+7hAN6+AAApXJ6IA==
             "]}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4vbl4aeMTLwcniQuvGair+IA4zf8tio490LF
4f4+vjnGXZ4OOoryX3KuYfLn2ehcmZWG4BuDgDNufrfXKxaTmR5w82F8mP11
IPELHg5T2lujLsuoOPSA5D96OEjNi9M8LQCVZ/B0+LBovcLZG8oOZ0BAxNMh
nFOs3Vhe2WHHra6/qeZeDvYljrWn7/BDzE33cmgWr2XNbONwuJAfz36u0ssh
DQTUWB1CSlSm/5/g5XDh97Hr827+t9eZsOCH4T0E377p0fEZv70cXtQ+zj7/
htVBHyTP5+1gBzJfhhPiPkdvh+r7P24ZZws4RIhvv8jg5+PwHwTilRxmzASC
Qh+H8sPbXGeuVXZ4y7vPYGaTj8MW8x+HUrhUHBIOX9ZOXegD9+9xTatJp8/7
wMMDxoeFF9i9Gj7w8LwhXZNoxIvgg+176Q0x744KJHz2eDtITL3CmfFIxYFl
8SQrxq0IvvqT5nlnZyH4y1946P1v9IbbB+PD3CMOUnfJG+7e/bWyFulfvB10
QfaLqTjw+K+fksrhA48fGF/l2qNghhoEf62QDl+6nbJDRcQK07PMPg7ua44u
Z3ih5PAeFD6/oOHZrQTx/30vhxjVCJlzNTwOe0Dxu94T4q8YZQcFx4/JZ9Z6
OuzNr3k7s1QZkn7XQNNHB4K/8tvLijMLEHyw+a+VHUq2iv4+vc8T7n6fE+y2
s+96wv2Hnj8APBttQA==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJnIGYC4vQ0IFgV4HDh97Hr827+txf+5Hg+bW2Ag8xG
sflMCYwOFRErTM+uD3CIVo2QObeHyUHbatLp+g0BDjd4b4ulmjE79C/4Yfhs
U4DDy9rH2ed1WByCS1Sm/98R4BDwxPOSqTC7gzEI7A9w6I/o9mfcwOkANt80
0GEmCGQqOxy+rJ0qaRXo8GHReoWzN5QdFBw/Jp9xDHSQmheneVpAxUH1SfO8
s0GBDlPaW6Muy6g4XD+aa9KQHejwJHHhNRN9BL/ht1XBuRcqDmD/SAU66CjK
f8m5puLA8XNB+mYh3PzvbPEzfE4GwPXD+DDz25eHnzJ6EQC3H+wf5kCHLeY/
DqVwqTjE5B79t4k70KH6/o9bxq+VHTRB4cMD9U8Hgr83v+btzFIE3wRkTrIy
XP+Kby8rzgQoO2xtqbmweWmAg/onlZezOPkc1nTfzmBQD3C4oym75v9iJYcI
8e0XGcQCHHRB7hdTcYgF6RcOcJizSHnnH3cVh9p125LqeQMcaj5tCMiWUnWY
AQrnl/5wfggofk74Q9w7W9mhZKvo79Pr/B2EKyeVnG1RckgFhV+cv8MD13jH
WRPlIPLz/Byug+J7G59DKyg8WPzg6j8AjZ3139chnFOs3fi8koPOBGCC+OcL
CSdhZTgf5j8YHxbfPifYbWfz+sHjGxzu5n7w8Da/BozgCj94fMD4sPgSAaWn
rb7w+HzDu89g5ioE/0J+PPu5TF+IeXdUHFRA6emTD1w/jA8zPxwUvnK+cPvB
8l6+8PgG2xfrCwmnY8oOOZzABJXt6+C+5uhyhhdKkHhV9oPknweccP9A8hML
nN8iXsua6cYCCV83P3j+26CXt5hxCoK/9IWH3v+Ffg7NIPVszA66oPBb5+fw
dd/HrelhrA72TY+OzziNsM9FtZRp1g1ofKooOrzYvp75uQ80Pb0UhOSPtACH
GFB+tuF2WP/w5dRNGdD8XMYFSU/NiPIAvXwAALn92oM=
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWaBsBiifAY3NCJVHV4NLHJcaUtXjUkOq+YPB
nQAGXgI/
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4qtHc00aHgc66CjKf8m5puLQvjz8lNGOQIcp
7a1Rl++oOPR4vWIx2Yjgc/xckL65LdCh4bdVwbkXCP6TxIXXTPRVHNY/fDl1
0wqoehkVh8WTrBh9zwQ6bDH/cSiFS8VB+vUjM6kLgQ6dNp670i4pw/krv72s
OPNBEc7f372vySSZB863K3GsPX2HBW5etGqEzLk/zHD7TIyBYDMz3D3cjnxe
MzIR/CW3lj82bGZwACkzvhzocAYMMPn7a2Ut0h8g+P9B4DVufn48+zlJ2yC4
+TA+zH5xj4A/EtJBcPddB4X3d4T7Y3OP/tv0GeE/GB/mfxifPzbgvpG7EiQ+
EoOh5jNA/Lcs2KHmRdOvaTv/2sP4f0HurP8H50Ps/2dvo3Nl1rOlwQ7N4rWs
mWwMEPOA/C/7Pm5NF2N0OADy/5JgB3uwexD8/ohuf8YCJjgfFl8wPiw+l4Di
Z0UwPL4rIlaYnj0dDE8PCo4fk8+8DYanFxgflp42gOJzTjA8PaLzC0DhOxHB
fyIie/JpM27+zltdf1PNEebD+DD7hT85nk+LRLgvpERl+v8ahPvB0dyA8B+M
D/M/jL8cFP/OXA7doPDkDYLbh56/AFO8m38=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4iOXtVMlk0IcwjnF2o3PKzkoOH5MPnM0xCE9
DQi2KTkUxLOfk/wY4sAAAhug8r6hcP7WlpoLmwND4fplXj8ykwoIdVgrpMOX
bqcM54PVF6DxDyD4uoryX3LEVOD8OYuUd/5xV4Gb38BytN9wuwrcfh2Q+msq
Dk9EZE8+FQ51eJGl/W36XhW4e2Hqd97q+pt6HMF/sX098/M5CP6EBT8Mn1WF
wPWD5R1C4OaHlKhM/28Tgmq/bQjcf2959xnMtIPy9ZTg/A+L1iuczVCE87/s
+7g1fZucw6JJVoy+QPNMjIFAWMohQnz7RQYrKP+zuIPQJ8fzaZ4hDhqfVF7O
WikO8X9uiIP8rgX7Ut9JOrwBmdcU4vCmLbfbaLaUw4FaWYv0FQg+WP4Tgg92
v0IoxPxgcTgfLC8tBOdHq0bInKvhdLh6NNek4X2Iww3e22KpZswOAXJiWb6z
EfyZIFCI4K/pvp3B4A1zPwsk/hyg8mXsDq6qpUyzZEIcDnTvazJJ5of4lyvE
QR3kP04+h4qIFaZnpUMcmsVrWTPbOCDxpxri0BfR7c9YwAqJX/0Qh14Q34DR
oWbdtqR61xCH7V4bLOZU/rcH+z8lxKHmRdOvaTv/2oPDqxXBB4fnTgQfHP4f
Qhxe1j7OPr+G0UHtSfO8s1KhDmdAwIfNwUbnyqxnnqEOLWD3cDtw/FyQvjkp
1KH6/o9bxtyCcD44vueJwPmw+AT7XyUU4t4PspB0fiYEzgent2UIvoRHwB+J
big/QBZiTjQ0/7VJO6DnTwChq3gl
            "]]}, {
           Thickness[0.011419435879867535`]}, StripOnInput -> False]}, {
        ImageSize -> {87.56626650062266, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {88., 22.}, 
         PlotRange -> {{0., 87.57}, {0., 21.12}}, AspectRatio -> Automatic}]},
       "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.011000000000000001`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.011000000000000001`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}]}], "}"}],
            ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"True", ",", "True"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.7951869703447523`*^9, 3.795186974840651*^9}, {
   3.7952283157694883`*^9, 3.7952283614531517`*^9}, 3.79522840720371*^9, 
   3.795228468255653*^9, 3.795228522246873*^9, 3.7952286222394342`*^9, {
   3.7952286946076508`*^9, 3.795228697329195*^9}, 3.795228825867494*^9, 
   3.795230731355199*^9, 3.7952326956944447`*^9, 3.795232735633525*^9, 
   3.795232859219963*^9, 3.79525401357961*^9, {3.795254159286933*^9, 
   3.795254179567627*^9}, {3.7952542558161373`*^9, 3.795254279322239*^9}, {
   3.795254324248302*^9, 3.795254330887904*^9}, {3.7952553314059143`*^9, 
   3.7952553638821507`*^9}, {3.79525539442819*^9, 3.7952553974935417`*^9}, 
   3.795255482473854*^9, 3.795255590673718*^9, 3.795256419535687*^9, 
   3.7952565365374527`*^9, 3.795256695851474*^9, {3.795320388330069*^9, 
   3.7953204053092737`*^9}, {3.795320438715073*^9, 3.795320460834072*^9}, 
   3.795333422042973*^9, {3.7953688354289713`*^9, 3.795368874005905*^9}, 
   3.795374067792664*^9, 3.795374101111079*^9, 3.795374164071698*^9, 
   3.795374194685882*^9, 3.797001828624037*^9, 3.797002089301793*^9},
 CellLabel->
  "Out[327]=",ExpressionUUID->"b9e63d08-dfaf-48f9-92f3-7756bbd1510a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
    "\[CapitalDelta]\[CapitalOmega]S51", ",", 
     "\[CapitalDelta]\[CapitalOmega]GIC"}], 
    RowBox[{"(*", 
     RowBox[{
     ",", "\[CapitalDelta]\[CapitalOmega]SVWN5", ",", 
      "\[CapitalDelta]\[CapitalOmega]GICVWN5", ",", 
      "\[CapitalDelta]\[CapitalOmega]GICMFL"}], "*)"}], "\[IndentingNewLine]",
     "}"}], ",", "\[IndentingNewLine]", "OptionsPlot", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"All", ",", "All"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{$w$}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{Error in excitation energy (eV)}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega_\\\\text{S}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega_\\\\text{GIC-S}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega_\\\\text{SVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega_\\\\text{GIC-SVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega_\\\\text{GIC-SeVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",\

 CellChangeTimes->{{3.795228474820265*^9, 3.795228486349724*^9}, {
   3.795232866323328*^9, 3.795232868634223*^9}, {3.7952563831629972`*^9, 
   3.7952564091280003`*^9}, {3.7952564479537888`*^9, 
   3.7952565003041477`*^9}, {3.7952566984164953`*^9, 3.795256707881439*^9}, {
   3.79526000483041*^9, 3.795260020084659*^9}, {3.795260575363516*^9, 
   3.795260578010003*^9}, {3.795260625961279*^9, 3.795260647550274*^9}, 
   3.79526070114189*^9, {3.795333433634823*^9, 3.795333446029772*^9}, {
   3.7953740818735228`*^9, 3.795374082051568*^9}, 3.795374124295308*^9},
 CellLabel->
  "In[328]:=",ExpressionUUID->"74b01204-6ed1-4565-9dc3-493748b8baba"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJw1m3lcTlsXx1XonFMJRQihEiqVoSRahKSIQgghESEqY6UUUUghVBQhzSkp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         "]]}, {
        Hue[0.9060679774997897, 0.6, 0.6], 
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJw923lYTd0XB/BK1C2USkUIpRIpY0gWCQkhhCQkpEJCE6JUCkkSiaKRJg2a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         "]]}}, {{
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}}, {{
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {}, {}, {}}, {{
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {
        Directive[
         PointSize[0.011000000000000001`], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {}, {}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {False, False}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, -2.967109893247086}, 
     BaseStyle -> 16, DisplayFunction :> Identity, 
     Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox[
         GraphicsBox[{
           Thickness[0.004640586570142466], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJNIAaxQYAJSjNCxZiR+PjEcakhlU2JOcToxeVmSvTS
wl+U2EWMmQB8+QKp
              "], CompressedData["
1:eJx1lGlIVFEUx8cUU9xyZjTTN857M9o0pjZPpUUKz1BW+MFEo6S0qMmFLCuy
lakPahnZB9vTokJDK7TdwRanIlpdKpIUNUYoClsoS0VonXuv90hJBy7D7703
Z/n/773SynWpWa4KhcLFuZY51xjnKqcxkLDje/z61uky5GQ7460ClormPkuk
DAoSd9xhfW1pV64ow91Se2GcZSz8pmFCPlSya8kL6xRkv8wUR8w0CbkhLT79
d44GhMuBp8b0uEO/va8+Z1DAervEseHN1wQ49ejgmbzqoQT1tgMFLcUj/HH3
2tKY48HQ4dMVmGVzg4zwdKH1VjBk0/CAZhrB0E7eD3ohH6PzeSOXkDrqcch1
ykjfnJ1KzFdM3i8MAV7vX6a/NwXkuFhnXA39L9MytXqsx5nWs4bCpnu2xPJX
emhcZ/1UPiCCm+derSU6jH13Qgc9icvNFf76v9lFD7PLipTZwcPcp4MvlRfF
lrMS0HF7dTCv9n6NYo8En8nzBh37PkJk8ybrWP2MUJa3W4KtjqHOWK9Qlk+W
hnXTwE9i820N82+ehvnlHoQ8n9RpUCPT+Q+q0G+mlz8Yvob1Vjwe4WNlftun
NhnY/ihSwZXo/CqXbgNsJ33kBUDy8/0Zv14b4DrNG4RM+/4hIHO9eb5E0k+H
FoIOt3nmFhpgC9E3SoQoSdu/xjaR9b9IhEjCL8OYLkkSMs4/nO9//G715MGj
mZOQ6XFwjGaevy78TdFJn0isz5n3R59nR7B9EC6y/JoI5o+3COp9Se/d2ow4
XwzV2Yjzp3SGWFekGsFK9PsgMP9mGNl+uB6ELN44bc/yDUSm5+yNCqbObEw9
YjaiPzwf52+XUvIq3pnY+bmmggVEf1eZ+fxQDZbM7rmuHjLzb/IEZNpPk4DM
561y2H1PfDOhXhvrA743tZpARfrpl5geNhP73kcH44mflSNsijinejZnhFeR
/Fujh/e5fhRvIPeXyQRErtg0Pdbn57Fd+dX8tFpm51GjgwLSzwUZHKQ/SYJ7
u2sWP7kis3trsxaZ+axBpn0/CEHmevB8k8g5MAYAsb/lvAxa4ke+EuvT/LZx
yLMKzDuaBB9kfp/y//P7m9f79z7/AyDKlpk=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYCYlObvUHTFNUcnmdpf5suq+XAwtkln+ynDueL
9ni9YpmiAedn5n9oPblFw0Ffa6XwhSeacP6MCfxVZqfV4XzhykklZ5cowPk7
gq0i/rvLOmzSy1vMOEfD4cu+j1vTr8k4zFmkvPNPu7pDqwK76pktMg5/v5U+
mCOo5iAC0t+C4L9py+02mi3lcP5q2Bv9aA2HGNUImXN7pByYQe7V03Q4AwZS
DjWfNgRk/0Lwp7S3Rl2eo4WT38Lrv35Kqx7cfBgfZv+Jw05rM+/pwN0nMS9O
83SBtkNqGhA8k3H4DwLx2hD/iMnC+TD/w/hgf8uowfm+FyfG/GPWgNi3VAfi
r9maDhmg8DLRg/Nrf1sVnNPQh/NNjIHgsr5DQkiQ+gJNTQfVJ83zzmoZOBiA
4kNFw6FgTfftjAYEH0wvMXDwOcFuO/urtkNy7B035goDSDzr6TiUbBX9fVrP
wOFJ4sJrJv46DlPB8agP59ezHO03vK4H50Ps14WGnzYk/tR1HcxB6YhRG+4/
sPhzDTgfZl8DyDxxbbh5EPdoOviAwmOxtoMUKHwvqDsE3JKuSTTSdoClT5j5
6OkVADyNPC8=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYC4udZ2t+mxxo6gGlZLQf/ixNj/n1G8K8LfXI8
P80Izm9kOdpvuNzIQV9rpfCFJ5pw/owJ/FVmp9XhfOHKSSVnlyjA+TuCrSL+
u8s6qD5pnnd2lpHDl30ft6Zfk3GQnheneVrAyKFVgV31zBYZB+8T7LazQw0d
RED6WxD8N2253UazpRy2mP84lFJl5BCjGiFzbo8UxL2PjRzOgIGUA4+baimT
lzGcPx3krtm4+X3BJSrT+03h5sP4MPs36uUtZtxjAnffTemaRCNWE4fUNCB4
JgMx548xxD9isnA+zP8w/iaQOTJqcL4vyN3MGhD75ps4nL8a9kZ/NjQ8003h
/B6vVywmDxF8kLVpZmYOCSFB6gs0NR0+bQjInlVu5mAAig8VDQfbyogVpmcR
/L/fSh/M+Wjm4AMKx6/aEPEjZg4snF3yyXo6Do5Nj47PqDZzeJK48JqJv46D
xNQrnBlGCD6P//opqTtM4XyI/abQ8NN2kAHF3wMTB3ObvUHTGLXh/puzSHnn
n+cacD7MPl6QeTeM4ebV/7YqOMdh7OADCo/F2g63QeFrauQQcAvE0HaApU+Y
+ejpFQCOUDjb
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{
              1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKP08ceE1k3xrhycg2l/HwbYyYoWprCWcLzH1CmdG
k7lD7W+rgnMcmnD+m+Ktor+9VeD8gLeXP85YKO8QreD4MfmNhcPOYKuI/+2S
DupvefcZ/LSC8zfo5S1mzLGF86dO4K8y07Z3cJ7QLJSmpQDng+1/rwLnz5gJ
BJaaDmdAYI4t3H3o7v+y81bXX1VrB3GQu5y0HWJA7pljA+dLzIvTPL3B1iEz
/0PrSRENOP+Ba7zjrIPKcD7YPVIKDn++lT6Y89DG4T8IzJd2SIi948Y8wxrO
1wD5j9MKzge774+FQ+nhba4z7yrA+Y8ixLdfTFCF8/+CzDXUhOjbbwl3H7r7
AcdSw7k=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYCYl7/9VNSORwcnmdpf5suq+Vg3/To+IxgBJ9l
8SQrxqUI/k3pmkSjtQ4O+lorhS880YTzZ0zgrzI7rQ7nC1dOKjm7RAHO3xFs
FfHfXdZhTfftDIblDg5f9n3cmn5NxmH5Cw+9/4kODq0K7Kpntsg47K+VtUhn
cXAQAelvQfDftOV2G82WcijeKvr79DQHhxjVCJlze6Qg7j3t4HAGDKQc5tvo
XJn1D8F/krjwmom6I05+4uHL2qmKTnDzYXyY/Z83BGTP2u4Id1/78vBTRjGO
DqlpQPBMxuE/CIQ7QvwjJgvnw/wP42/Sy1vMKKMG5/tenBjzj1nDIQFk30pH
h/NXw97oz4aGJ68TnH9/H98cYy8EH+zsEieHhJAg9QWamg7CnxzPp011cjAA
xYeKhoP5taO5JgcQfPGpVzgzLjk5+Jxgt539VdthI8gde5wcWDi75JP1dBx2
3ur6mzrdCRIu/joOqk+a550tQvDlHT8mnzFF8MH2f4GFnzYk/k46Opjb7A2a
xqgN99+cRco7/zzXgPNh9oHNc3WEmxcpvv0iwz0HBx9QeCzWhoRviYNDwC1Q
QGg7wNInzHz09AoA05JC9w==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQnQYCdW4OLJxd8sl6Og5ty8NPGeW4OTxJXHjNxF/H
4UCtrEU6i5uDz8WJMf8Wazu84d1nMHOWq0PALemaRCNth5Ktor9P67k6mNvs
DZrGiOA/z9L+Nl1Wy2HZCw+9/5UIfg7nzwXppxF8h6ZHx2dcdnXQ11opfOGJ
Jpw/YwJ/ldlpdThfuHJSydklCnD+jmCriP/usg4inxzPp511dfiy7+PW9Gsy
Drz+66ekdrg6tCqwq57ZIuOg9qR53lktVwcRkP4WBP9NW2630WwpB90JC34Y
fnN1OAMGmPyQEpXp/zXc4PzKiBWmZ6Nx83fe6vqbqu4ONx/Gh9l/MT+e/dxJ
N7j7pnxji5/R4gZ3Pyw+YP6D8WH+R48vAHkzzP4=
               "], {{
               44.256299999999996`, 17.618800000000004`}, {43.77969999999999, 
               17.618800000000004`}, {43.3672, 17.206299999999995`}, {43.3672,
                16.729699999999998`}, {43.3672, 16.2688}, {43.77969999999999, 
               15.854700000000001`}, {44.2406, 15.854700000000001`}, {
               44.70159999999999, 15.854700000000001`}, {45.131299999999996`, 
               16.2688}, {45.131299999999996`, 16.729699999999998`}, {
               45.131299999999996`, 17.173399999999997`}, {44.70159999999999, 
               17.618800000000004`}, {44.256299999999996`, 
               17.618800000000004`}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4oqIFaZnZ3s5vGnL7TaaLeVwXNNq0mlxb4cz
YCDlcCE/nv2cJIK/v1bWIt0GwQ8pUZn+PwI3/4Z0TaLRU2+4+TC+SOWkkrMt
MhDzJ3o7tCqwq57ZIgPR5+Pt8GXfx63p12Qc5tvoXJnl5u3gvubocgYLWThf
GKR/iQKc7wFy2HE1OF9++QsPvXoth5Ktor9PX/NyeJK48JqJv46DypPmeWc/
ecL5XzYEZM9ajuCD7a/xdNBVlP+SI6bjcH8f3xzjIE+HH29fH7Bs1nb4DFK/
3cNhs/mPQylZmnA+C2eXfLKejsNNkP+WesDNE/rkeD7N1sPB5+LEmH+LtR0c
mh4dn3HZ3SHgFkihtsMJUHinuzuY2+wNmsaI4D/P0v42XVbLwcQYCDYj+ODw
Z/GA8yd/Y4ufwePhoK+1UvjCE004f8YE/iqz0+pwPiy8YPwdwVYR/91lHeaB
wovNAx7eiYcva6cedIfHh4Ljx+Qzqe7w+ILxYfFpce1orskHd4cY1QiZc3uk
HNZ0385gUPeAxz8oGv4nIvgsiydZMc5F8Dfq5S1mvOIB158GAnGecPNhfJj9
qqD4Y/KEu8/7BLvt7L0I98PiA+Y/GB/mfxjfDBTeiepw/vFdO3rZLmg4yIP8
Z+vpcOKw09rMOC1I+tyJ4IPTg5MXnA/LP3MWKe/8c1wDzs/I/9B6MkTNAT1/
AQCXyI3Y
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQffiydqrktgCHv/+BwF7e4cX29czPVwQ4HOje12Ty
WN6hMmKF6dn0AAfXNUeXM1TIOuyvlbVIDwhwSE0DgmcyDhsevpy6SQXBZ1k8
yYrxqD+c/yRx4TWTcH+HNUI6fOn75Bx0Jiz4YSjn71B+eJvrzLcKDh82BGTP
+u7n4DyhWSjtl6JDAshBL/0c1oLU31NyuCFdk2j01M9BV1H+S842FQdjEGAP
gPO/s8XP8PFF8PPj2c9JVgY4sHB2ySefU3HwlxPL8t0f4DBnkfLOP+qqDiDn
+R4IcJgJBqoQ/QcDHH69fX3A8jGCb6C1UviCixqcfwYE3mg6RIhvv8hQFgDx
l7+Og/TrR2ZSLAg+2P97/eF8gU+O59NS/R30QeY90XZY+sJD77+gv4O5zd6g
aYraDiYg/2T7OfwB2b9Y0wEUDf/V/RxmTOCvMlutDudPaW+NuhyjAucrX3sU
zBCj5DDXRufKLDc/B+HKSSVnlyg4+Jxgt51d6wcJ73tyDmu6b2cwnPeD6KuX
hsfHzmCriP/tkg7HNa0mnX6P4Neu25ZULxsA54PD2znAQf2TystZnFKQ9JET
4CC/a8G+VD1pSHh2BDiEvL38ccZDaYetLTUXNs8NcGhVYFc9s0XGQcHxY/KZ
hQEOX/Z93JouJuuAnt4AsBweDw==
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQrfqked7ZtACHX29fH7B8rOpgo3Nl1jPDAAcjYyC4
rOpQu25bUr1kgMMW8x+HUk6pOlzIj2c/99Ifzm9dHn7KqAfBf5K48JpJuD9c
f8Lhy9qpL/0cLlwNe6P/G8Gv+bQhILtK3WHGTCD46Odw+gwQ6Gg4bNDLW8zI
4+/wKEJ8+0UGTYe5IAeZ+Tukp4GAloPuhAU/DPv8HcSnXuHMcNJ2OK5pNen0
ewQf5l4Y/7GI7MmnxgEO2x2aHh2/oeVwfx/fHGO3AIcp7a1Rl/9oOriqljLN
iglwOLZrRy/bBw2H2Nyj/zYlBzj4XpwY849ZwwE9fACemYyo
               "]}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYAJSjNCxZiR+AxksEk1hxj1lJhJLb2UuBMA
8t8CMw==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4t23uv6mcgc5zJgJBJWqDhURK0zPzg5y+A8C
+7UcbHSuzHq2MMhhu0PTo+M/tBzy49nPSa6FqpfUdkhPA4J9CL6rainTrDOY
/OdZ2t+m/9V26PZ6xWJSieCLewT8kfgd6LBB9UnzvFw1B3nHj8ln1gZC5GW1
HJoDPec2zAt0kJkXp3n6gpaDv5xYlu/kQIeaTxsCsq20HTY8fDl1U0Ggw5PE
hddM/HUcOH8uSN/8K8DhTfFW0d+rtSH++R8Acf8NLYj9ooEOcxYp7/xzXMvh
+tFckwb1QFT/2gY6sHB2ySf7aTlIv35kJuUBdJ9e3mLGO5oOhy9rp0oeCnTI
yP/QejJExeEN7z6DmVqBDq5rji5nqJB12AkKT+VAh1RQuDyTcbi/j2+OsVig
g0jlpJKzLTIQe7gRfJh70flnwEAKoj8oEM7/zhY/wycS6t56aQdw/EUHOoS8
vfxxxkFph8/AYJmVjrD/sYjsyaflUP1r5CD+6Qh06LTx3JWmpAAJz/5AB2MQ
SFaAhPetQIeV315WnGlQhvjHPcihVYFd9cwWGYf9tbIW6R5Q/hQZh9p125Lq
A4Mc+iO6/Rk3SDtsbam5sDkyyEF+14J9qXzSDgqg+EwMcnjTltttNFvKgQPk
v2lBcP+g88HunY/gR4hvv8iwCje/f8EPw2f3EObD+LDwrAG57yjC/eDw2wmV
PyIDT887gq0i/rvLwtM72DxrOQf0/AEAgbyBbQ==
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4oJ49nOSnSEOCSFB6gs81R1gfLnlLzz09ms4
PNjHN8e4L8RhveqT5nm8Wg4BcmJZvtNDHAJuSdckGmk7vOXdZzAzL8TB5wS7
7eyv2g5rum9nMHiHODxJXHjNxF/H4Qdb/AwfRQRf22rS6foPwXD+9aO5Jg3b
gx1EerxesWzRdmgO9JzbUBXsIA+yvx5qn3Gww3aHpkfHJTQdZoIAb7CDLEj+
vhqcb2QMBMIqcP4D13jHWRPlHbyrm/V98oIddgZbRfxvl3R4A3LvNwT/Gsh+
7RA4vzJihenZ8hCHGNUImXN7pBxsdK7MetYY4tAf0e3PuEEa7v8ZIHt2ykLC
qzfE4QwIrJGDmJce4rADZF66rMOEBT8Mn7mFOHzZ93Fr+jUZB0+Qe5QQfJFP
jufTNgbD+SYgf6QHO6SnAYGaIpy/A+T/CFU4HxY/EeLbLzLMCnaYs0h555/l
WhD/f0XwYfbB+GD9wSEO+lorhS+waDnUrNuWVJ8K9Y+lpoOrainTrBzM9ADj
AwBHcuer
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQfQYEKkIdWDi75JP1dBxico/+25Qf6vAkceE1E38d
h4qIFaZnrUMdfC5OjPm3WNthwoIfhs/YQh0CbknXJBppO4SUqEz/fyHEwdxm
b9A0RgT/eZb2t+myWg5vePcZzPyG4AfIiWX5yofC+Ttvdf1NVQ510NdaKXzh
iSacP2MCf5XZaXU4X7hyUsnZJQpw/o5gq4j/7rIOiyZZMfoqhDp82fdxa/o1
GQcFx4/JZ/6GOLQqsKue2SLjsKb7dgbD+RAHEZD+FgT/TVtut9FsKYcND19O
3WQS6gAOhzOY/COXtVMl/RD8a0dzTRrScfN/sMXP8DkbCjcfxofZ3xToObdh
XijcfU9EZE8+rUa4HxYfMP/B+DD/o8cXANs71ZE=
               "], {{
               85.15629999999999, 17.618800000000004`}, {84.6797, 
               17.618800000000004`}, {84.2672, 17.206299999999995`}, {84.2672,
                16.729699999999998`}, {84.2672, 16.2688}, {84.6797, 
               15.854700000000001`}, {85.1406, 15.854700000000001`}, {
               85.60159999999999, 15.854700000000001`}, {86.03129999999999, 
               16.2688}, {86.03129999999999, 16.729699999999998`}, {
               86.03129999999999, 17.173399999999997`}, {85.60159999999999, 
               17.618800000000004`}, {85.15629999999999, 
               17.618800000000004`}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
              0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
              3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4tjco/82OYc5TJ/AX2XWrekA4xuDQLICnH/f
Nd5xlqCMwze2+Bk+qWEO6p9UXs7ilHL4tCEge9ZmBH9N9+0MhtMI/s5bXX9T
H4c5vGnL7TaKlnKoXbctqf5lmMMZMJBy8Kpu1veRCneouf/jlrG2nENBPPs5
Sd5wh7//gcBeHmL/5zCHGNUImXMxcg4HamUt0p+EOVSA1HND1V9E8IU+OZ5P
W4kmPzPMoTei258xQB7O548NuG9krgjnw/wfICeW5SsdDudrWU06Xa8S7iA+
9QpnhpM2XP2fb6UP5ggi+B77gQ5z14Hzp7S3Rl2eo+vQtjz8lNGcMAdTm71B
0w7qOSyZZMXouyTM4bZ0TaJRqoGDzOtHZlIzwhyWv/DQ+z/RwCEG5N/6MAd9
rZXCF0IMHHq8XrGYJIY5gILjv7yBw9aWmgubHcMcWDi75JPf6TtsePhy6iaX
MIcaUET80oPIu0LVxyP4L4q3iv7O1oXzA26BHKDtkAYC30IdfE6w284W1YLz
N5v/OJSShUgPsPAAAB6P9ZA=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
               1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQnQYCZREOD1zjHWcxKjh8Z4uf4VMY4fCmLbfbaLaU
w85bXX9TN0c4nAEDTL6bainTrAMI/taWmgubjyL4Yh4BfyTuRzjEqEbInNsj
5TDFuTvnOXck3HwYX6RyUsnZFhmHtuXhp4yeRED4S2QcKiJWmJ49HeHQqsCu
emaLjEMliH88wsF9zdHlDBaycL7zhGahNC0FOP/C1bA3+r9V4fz/IDBfyyG4
RGX6/zkRDk8SF14z8ddxWNN9O4NBHcEPkBPL8v0dDue/4d1nMPNSuIPPCXbb
2V+1HRhAYE24Q82nDQHZVtoOEeLbLzKUQeVNteB8A62VwhdUNBy0rCadrp8Q
7vCqeKvo79fqkPCZG+4wZ5Hyzj/PNRwkQOGzOdwhHRwRWg49Xq9YTPaGw90L
tu8Ngh+Te/TfJm+Ef/xB7i2OcAi8JV2TWKTpAItPFs4u+eQ+NYh9gojwAPuv
PdzhxK4dvWwGqg4inxzPp/mGQ+J/ozKcX354m+vMtwpwfirI3GcyEPfVhjuo
f1J5OYtTyqF23bak+rMIPji+7iP4BfHs5yQ/hjvMmAkEllIOHaD4/RHuUHH/
xy3jbikH9PQHAOISKNw=
               "], {{97.85, 8.670309999999999}, {
               97.38909999999998, 8.018749999999999}, {96.38749999999999, 
               7.4156299999999975`}, {95.7672, 7.4156299999999975`}, {
               95.13130000000001, 7.4156299999999975`}, {94.57499999999999, 
               8.003129999999999}, {94.57499999999999, 8.687499999999998}, {
               94.57499999999999, 9.274999999999999}, {94.8938, 
               9.831249999999999}, {95.3703, 10.132799999999998`}, {95.7672, 
               10.3719}, {96.64219999999999, 10.593800000000002`}, {97.85, 
               10.768799999999999`}, {97.85, 8.670309999999999}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
              0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
              3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4t7peULNEyIdpk/grzLr1nSA8Y1BIFkBzr/v
Gu84S1DGQd2QY43MpkgH9U8qL2dxSjms+HjJN4khCs7XaRe7eU4cwb9S8VLN
0CDK4U1bbrdRtJRDy4FTC13NohzOgIGUw/GyffOl0qMcau7/uGWsLecQsEOu
9XVklMPf/0BgL+/QA7LfIcohRjVC5lyMnMP75ce8zQ2jHCpA6rnlHK6f+x78
WBbBn/C2xt70WyScfwMk/zTSoTei258xQB7O548NuG9krgjnw/z/ZOnsIwoZ
UXD+gyqRde6FUQ7iU69wZjhpw9X/+Vb6YI4ggu+xv1bWwl0Hzp/S3hp1eY6u
g4z+XRW2l5EOpjZ7g6Yd1HPgYdJuF/sY6XBbuibRKNXAYX1RxsS3TyIdlr/w
0Ps/0cABaNvDqjORDvpaK4UvhBg47CmZLMGyLtIBFBz/5Q0cvEAG9EU6sHB2
ySe/03fY9vnvlYqJkQ41nzYEZP/Sc7igdPtn3SSo+ngE/0XxVtHf2bpwfsAt
kAO0IfHsHOngc4LddraoFpy/2fzHoZQsRHqAhQcAOLX9YA==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQ7bLt898rFtEOLJxd8sl6Og7uD6tE1ulHOzxJXHjN
xF/HYcPc98uP/Y5y8Lk4MebfYm2HL3+vVLw8FuUQcEu6JtFI20FC/64K28Qo
B3ObvUHTGBH851na36bLajnY3Pfvnb4NwZ8DNM77PoLPvkYmKuVxlIO+1krh
C0804fwZE/irzE6rw/nClZNKzi5RgPN3BFtF/HeXddgu1/o68EGUw5d9H7em
X5NxeP575cdLe6McWhXYVc9skXF4ckHp9s++KAcRkP4WBP9NW2630Wwphxdq
hhxrvkQ5nAEDTP56UIDwRcP5BRkT39ao4+ZHpFgDfRwNNx/Gh9nvwcOk3R4X
DXffFOfunOfW0XD3w+ID5j8YH+Z/9PgCAM/30Z4=
               "], {{108.156, 
               17.618800000000004`}, {107.68, 17.618800000000004`}, {107.267, 
               17.206299999999995`}, {107.267, 16.729699999999998`}, {107.267,
                16.2688}, {107.68, 15.854700000000001`}, {108.14100000000002`,
                15.854700000000001`}, {108.60199999999998`, 
               15.854700000000001`}, {109.031, 16.2688}, {109.031, 
               16.729699999999998`}, {109.031, 17.173399999999997`}, {
               108.60199999999998`, 17.618800000000004`}, {108.156, 
               17.618800000000004`}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{
              1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKL1h7vvlx3bHODxJXHjNxF/HYQ6Q662O4Ndn7SmZ
fCDaofa3VcE5Dk04/03xVtHf3ipwfsDbyx9nLJR38O+dnickHeOwM9gq4n+7
pEPLgVMLXech+LG7PHmYrGPh/HbHhKcXVsU6OE9oFkrTUoDzwfa/V4HzZ8wE
AktNhzUyUSnW7rFw96G7f+vnv1cqVsY4iE+9wpnhpO1wvGzffCn2WDjfN0kg
wtIn1iEz/0PrSRENOP+Ba7zjrIPKcD7YPVIKDis+XvJNkoh1+A8C86UdgL6V
YDkWA+f/WQlSgOCD3Scf41B6eJvrzLsKcP6jCPHtFxNU4fy/30ofzDHUhOjz
R7gX3f0AZVHClg==
              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4uvnvgc/zo13eNOW2200W8phinN3zvPV8Q5n
wEDKYX1RxsS3axD8CW9r7E33Ifgi69wfVp3BzY9Osb7vz5kANx/GF6mcVHK2
RcbBtNMx4emLeIdWBXbVM1tkHFLTgOBYvMOXfR+3pl+TcRC9CXTg4XgH9zVH
lzNYyML5wiD9SxTgfI/9tbIWx9XgfPnlLzz06rUc2NfIRKV0xzs8SVx4zcRf
x+GIwoaiDEkEf8Pc98uPfY6D88H234tz0FWU/5IjpuPAw6TdLnYyzuHH29cH
LJu1Ieqr4xw2m/84lJKlCeezcHbJJ+vpOGw5UbZvfhHCPNnW14E77OIcfC5O
jPm3WNshV6j5wCnOOIeAW9I1iUbakPC+HOtgbrM3aBojgv88S/vbdFkthxkz
geAngi/OEsanqxQH57ccOLXQVS3OQV9rpfCFJ5pw/owJ/FVmp9XhfFh4wfg7
gq0i/rtDw1M5Dh7eCQIRllsY4uDxUQOK0Eux8PiC8WHx+WTp7CMKEnEOMaoR
Muf2SDm8Cdwh12ocB49/Cf27KmyBCL4HKEDzEHwXoHd/dyL0g6LL+nwc3HwY
H2Y/OP4WItzHD3TuiTqE+2HxAfMfjA/zP4xvBgrvRHU4//iuHb1sFzQcvvy9
UvFyX5zDicNOazPjtCDp/w+CD04PjvFwPiz/zFmkvPPPcQ04PyP/Q+vJEDUH
9PwFAA+MniI=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQzX19cYFtXqLD3/9AYC/vcP578OOl6YkOB7r3NZk8
lnc4UbZvvpR7ooPrmqPLGSpkHdjXyESlWCc6pKYBwTMZh+XHvM07VRH82UcU
NhSxIPgLXbd9/vsiwWGNkA5f+j45h+l5Qs0HbiU4lB/e5jrzrYIDN5N2u9jF
BAfnCc1Cab8UIeadTXBYC1J/T8mhF6ThTIKDrqL8l5xtKg4djglPL4glwvnx
Ty8o3bZE8C23AF3sn+jAwtkln3xOxYERaPzNokSHOYuUd/5RV3XoP/RVI6Y4
0WEmGKg6AH3PdR3I//X29QHLxwi+gdZK4QsuanD+GRB4o+kw8W2NvalfosOT
xIXXTPx1HNJBAqIIfjjIAUwIPnvjVOfuNwkO+iDznmg7HDgFDJHrCQ7mNnuD
pilqO+wumSzBsi7B4Q/I/sWaDu9BATA3wWHGBP4qs9XqcP6U9taoyzEqcL7y
tUfBDDFKDvvnS+nfXZLgIFw5qeTsEgUH6/v+vdM3QcP7npxD9vPfKz8eS3AA
Re//eml4fOwMtor43y7pAApOJf5EOP80SIEigg/2t0mig/onlZezOKUcunOA
BnomOsjvWrAvVU8aEp7hiQ4hby9/nPFQ2sEkbpcnT1KiQ6sCu+qZLTIO2XuA
HkxJdPiy7+PWdDFZB/T0BgAi9SUa
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQbX3fv3e6W6LDr7evD1g+VnWI7j/0VUMn0cHIGAgu
qzrw626a+14+0WGL+Y9DKadUHbpznv9eyYvgc19fXGD7LQHOX+i67fPfFwlw
/cuPeZt3nk1wuHA17I3+bwS/5tOGgOwqdYdQPqAF5xMcTp8BAh0Nh4lva+xN
ryU4PIoQ336RQdNh/3wp/bsPEhzS00BAy2F6nlDzAaB94lOvcGY4aTs4Jjy9
oMSfCOfD3Avj/71S8VJNN9Fhu0PTo+M3tBx+r/x4ydcs0WFKe2vU5T+aDvp3
VdgaHRMdju3a0cv2QcNhsgRLGJ9rooPvxYkx/5g1HNDDBwC7aI0r
               "]}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYCYostJ8r2BSc5vGnL7TaaLeUwPU+o+UBRksMZ
MJByUGFrnOpcjOBPde7OeV6N4F9fXGDL1Yybr27IsUZmGcJ8GF+kclLJ2RYZ
h/SJb2vsJyY5tCqwq57ZIuPwHwTqkxy+7Pu4Nf2ajEO4JdCBdUkO7muOLmew
kIXzhUH6lyjA+R77a2UtjqvB+fLLX3jo1Ws5XFC6/bMuKcnhSeLCayb+Og76
d4E+0kTwl84+orBBDMEH28+d5KCrKP8lR0zH4bJvkkAEY5LDj7evD1g2a0PU
30p02Gz+41BKliacz8LZJZ+spwPx37VEuHnR/Ye+auxJdPC5ODHm32JtB+Yw
Pt1NCxMdAm5J1yQaaUPCuy3Rwdxmb9A0RgT/eZb2t+myWg4zwQDBv3Hue/Dj
tQg+v+6mue/XJzroa60UvvBEE86fMYG/yuy0OpwPCy8Yf0ewVcR/d2h4rkuE
h/ffKxUv1eYmwuODGxShQPfA4gvGh8Xn/vlS+ndXJDrEqEbInNsj5XD4q0ZM
/7ZEePxHpljf9z+K4H+8BAzQKwh+PtC7px4i9CsDoyuLBZFeYHyY/eD4e4tw
H8i5hncQ7ofFB8x/MD7M/zC+GSi8E9Xh/OO7dvSyXdBwOO5t3un4J9HhxGGn
tZlxWpD0L50E54PTgy2CD8s/cxYp7/xzXAPOz8j/0HoyRM0BPX8BABONmJM=

              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQfWNxgS1Xd7LD3/9AYC/vMOeIwoailmSHA937mkwe
yztMde7OeZ6c7OC65uhyhgpZhysVL9UMI5IdUtOA4JmMQ8lkCZYwJwQ/feLb
GntFBD9fqPnAKdZkhzVCOnzp++Qckq3v+/d+T3IoP7zNdeZbBYcb574HP36b
5OA8oVko7ZcixLxXSQ5rQervKTlEpwA1vExy0FWU/5KzTcUhlE9301zjZDhf
Z9Pc98vDEHz2RpCLkx1YOLvkk8+pOJwHGr+0P9lhziLlnX/UVR1i+g991ZiQ
7DATDFQdgL6/vhjI//X29QHLxwi+gdZK4QsuanD+GRB4o+kQv8uThyk72eFJ
4sJrJv46DiZxQAEjBF+FDegAeQT/sm+SQARnsoM+yLwn2g690/OEmr8kOZjb
7A2apqjt0OGY8PTCqSSHPyD7F2s67AYFwK4khxkT+KvMVqvD+VPaW6Mux6jA
+crXHgUzxCg5AGPn98qDSQ7ClZNKzi5RcGBfIxOVcj4JEt735Bwstpwo2/c4
yQEUvf/rpeHxsTPYKuJ/u6QDPzA432sj+DOAzjtgh+CDgykw2UH9k8rLWZxS
DhGWQAPTkh3kdy3Yl6onDQnPkmSHkLeXP854KO3AqN0udrMu2aFVgV31zBYZ
B4tOoAcbkh2+7Pu4NV1M1gE9vQEAOTEb/w==
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQzbFGJiolOdnh19vXBywfqzpoxPQf+uqR7GBkDASX
VR3u/KzL2mOT7LDF/MehlFOqDuGWW06UaSH41xcX2HIJI/j5Qs0HTrEi9JdM
lmAJe5XkcOFq2Bv93wh+zacNAdlV6g7Kt4EWvElyOH0GCHQ0HOJ3efIwfU5y
eBQhvv0ig6ZDd87z3yv/Jjmkp4GAlkOy9X3/XqB94lOvcGY4aTvw626a+14b
wYe5F8Y/vdB122fPZIftDk2Pjt/QcjhRtm++VHCyw5T21qjLfzQd/qz8eMk3
Ltnh2K4dvWwfNBwSnl5Qup2Y7OB7cWLMP2YNB/TwAQClM4x8
               "]}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYC4gOnFrpuW53s8DxL+9t0WS2HC0q3f9btQ/AZ
tdvFbl5C8C06HROeXkl20NdaKXzhiSacP2MCf5XZaXU4X7hyUsnZJQpw/o5g
q4j/7rIOEw591Yi5nOzwZd/HrenXZBzUDTnWyBxKdmhVYFc9s0XGYensIwob
ViU7iID0tyD4b9pyu41mSznMfb/8mPf5ZIcY1QiZc3ukHHqn5wk130l2OAMG
Ug4ZE9/W2L9E8IGmR6V8xs0Hef+zYQrcfBgfZn8RyEDxFLj7Cmy5ri9mSHFI
TQOCZzIOoXy6m+b+h/pHTBbOh/kfxt+kl7eYUUYNzve9ODHmH7OGA4j7XjjF
4fzVsDf6s6HhqYPgx/QDA8wGwe8ASl9wS3FICAlSX6Cp6ZDz/PfKj34pDgag
+FDRcOgBCUQi+KDgMI1LcfA5wW47+6u2w4/gx0tnR6Q4sHB2ySfr6Tj8rMva
U+Kf4vAkceE1E38dhz8rP17ydUPwbywG+tgcwQfbr5YCDT9tB6DuyRIyKQ7m
NnuDpjFqw/03Z5Hyzj/PNeB8mH1g834nw83jYQImsIfJDj6g8Fis7aCzCRTD
yQ4Bt6RrEo20HWDpE2Y+enoFAN1kQTA=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}}}, {CompressedData["
1:eJxdk31IU2EUxqcWlpTIKC0dbrt+tDZd0BYqZj4mRl82SAyT2Ye8r5aZiow+
0PxDybL1h2aFpubEYhVJmpEiY4pZikWZlYZZlhkWTEoqMMLqfsx7oQOXy48D
5zzPOedVZ+bvpp4ymSyW/bi/b+Tdhq/ZFO1Rc70kZy0y/dJi7lkoSMb4Fq9O
LSLYtL2QoqaWjdU6sNmBY1qKDpRO9s9pkcoVCKC4EzZVdnVGh70kdsK0mGLq
YNOI0RQB5s2vkhwXEdlhqV61aETi2eHkTD8HwcUzp9NfjOtgNLBhJ2K/63V9
qtZzBDsHvOPqVmrB6y0ioFlslGtEjlQrf+ReDhe5VZ/X7LExFJW9PzXmaoIn
XNQzaEq6/32+kyBkZDJFZmbgbAxc97aSoGhibsxwRIVo1p7TStBjdZYaPyrx
zf5oR1QFwfk0q8nDT2JX+VHr+qBgkXndKQpw9vZcIFB22Zx0VxBq8uRlPbcI
ivn6gRjiBlJCoOLyeQFYcluRTo679bn8gQ37urYVELxP2p9wpWqFyLV8yEVW
tPk3etqW4gbXvoEg3pJw6nG9B2ysndB3EudO/745y+5rgdltOCzsvnm97ctF
5v3U+YvM69cH4XVzQZyPicIclqZ4ag4W8jqJjaycZWNEZP4euiXm/bUT/OVC
qRR5Yd4L7Mgvnql9pULhoaqZ4g6CFnmEb7ZeLdxjn3seH9Tgzs/ZT5BYWSbP
8mEwzgkacHMgg7MJBz4NDRKc5OrHMriUaM2dfkZg4IMR5jHs7q9jkMHK9xyV
OLqCLeCS+Bprf9SbCvoeMoIeBRX0tIUIfg0Ugw82txx2hgr73kSR/LzK/Mcr
XGRh3mtE3s7dc6oGnN34OIpg++et+m4N5l+e+BIeI73H/9/nPx9nmsg=
               "], {{
               166.81399999999996`, 13.6141}, {167.89499999999998`, 
               13.6141}, {168.62699999999998`, 12.7234}, {168.62699999999998`,
                11.3734}, {168.62699999999998`, 10.339100000000002`}, {
               167.95899999999997`, 9.625}, {166.98899999999998`, 9.625}, {
               165.92499999999998`, 9.625}, {165.20899999999997`, 10.4516}, {
               165.20899999999997`, 11.674999999999999`}, {
               165.20899999999997`, 12.898400000000002`}, {
               165.79700000000003`, 13.6141}, {166.81399999999996`, 
               13.6141}}, {{167.56099999999998`, 6.478129999999999}, {
               169.35799999999998`, 6.478129999999999}, {169.97799999999998`, 
               6.1125}, {169.97799999999998`, 5.07813}, {169.97799999999998`, 
               3.7125000000000004`}, {168.72199999999998`, 
               2.6953099999999997`}, {167.053, 2.6953099999999997`}, {165.67, 
               2.6953099999999997`}, {164.71699999999998`, 
               3.5046899999999996`}, {164.71699999999998`, 
               4.6812499999999995`}, {164.71699999999998`, 
               5.3968799999999995`}, {165.13, 6.0484399999999985`}, {
               165.76599999999996`, 6.31875}, {166.01999999999998`, 
               6.445309999999999}, {166.466, 6.478129999999999}, {
               167.56099999999998`, 6.478129999999999}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ5IIaxWaBsBigfRjMjqWHGooZa6kkVp5Z7aO0vXOoB
MK4CWQ==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4iUFtlzXhdMcOm08d6UpKTiAuIs50hz4YwPu
G4UrOtxYDBRhhsoLKTncOPc9+PHPVIcHrvGOsxYqO1zxTRKIuJnqsN2h6dHx
HxoOf1Z+vOR7LdXh19vXByybNR0cTON2eV5JdZjS3hp1+Q+Cz8LZJZ/spwXn
/weB/VoOCU8vKN0GmmduszdoGqO2w4pj3uadT1MdEkKC1BdwajtYdDomPP2R
6jBjJhBIIvjPs7S/Tf+r7ZBifd+/93iqg77WSuELTzD5YPfvRfBBxjtuwc3/
8vdKxcsmhPkwPsx+oG+TBHoQ7rvzsy5rz4xUB4l5cZqnP2hB1M9LdWhgOdpv
OF3LAei7n3XLUh2qP20IyK7SdDi10HXb57upDulpQKCm6ABUrWb4JtXhTVtu
t9FvWYeMiW9r7D+mOhgYA0GxjEOE5ZYTZb9SHUDK09wkHWbkCTUfeJfqIFI5
qeRsiihE/l6qg/yuBftS+QQcbIDen34q1eFA974mE2Uuh7nvlx/z3o7gO4IC
fD2Cv6dksgTLMph7uB1A3ouYm+pQsrxkwz9+Xoh90xD8Q181Yvq7Uh2axWtZ
M9uYIe6fAo1PeyYHA441MlFzUh3sSxxrT89hhJsP44PD7wSCDwuPvohuf0YD
Nrj/GUBggYBDz3SgAyLSHGRA4Wug7rBvvpT+3Zw0B58T7LazRbUg7ilLg4e/
ClvjVOfmNHj8GNwFikxMg8cfjA+L3yhQgslMg8c/Oh8UnWqJCP4UCZYwvkjc
fLD7DBDmw/gw+02AyZ/HDuE+cH7wSYPmJy0HUHIqCU5zOL5rRy/bBiT+Yae1
mXYIPtg+Fi1IughKc9igl7eYcY+mAyi5ZQWkOWw2/3EoJUvTAT2/AwDeQ8Bb

              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4qKMiW9r1qc79EZ0+zN+4HFg1G4Xu9mV7sAA
AgoiDj05z3+vrE13OAMCOuIOSrd/1mUVpDukpgHBMxmHrxox/YdSofJ7FBwK
bLmuL05Id+CPDbhvpK4M51+4GvZG/7YqnH/qsNPazDoNuP7/ILBfy4FjjUxU
Sn66g8y8OM3TF3Qg6mvSHTLyP7SeLNF3KJkswRIGdN9MEKg0cIC53xgELhs6
JDy9oHR7abqDfWXEClNbIweQ8V+B7j3Ytjz81CEDh6w9QBNi0h1aeP3XTzmq
73AH6J09HukOtb+tCs6t0HFIsb7v32ud7uC+v1bWol3LwaLTMeGpSbpDM0i9
qwacD/MPjH9HU3bN/2IlSHg5pjvEqEbInKuRczCJ2+XJEwW0v3tfk8lhCYcl
IA9lpzuEvL38cUajCMQ9QP+lg8KTTQju/uW3lj82dOZyQI8fANBfwG8=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQzXV9cYHtvAyHv/+BwF7e4dz34MdLp2c4HOje12Ty
WN7hRNm++VLlGQ6ua44uZ6iQdWBfIxOVkp3hkJoGBM9kHJYf8zbvDEXwZx9R
2FBkguAvdN32+a9EhsMaIR2+9H1yDtPzhJoPcGU4lB/e5jrzrYIDN5N2uxhj
hoPzhGahtF+KDitA5v1Nd1gLUn9PyaEXpOFPuoOuovyXnG0qDh2OCU8vuGXA
+fFPLyjdzkTwLbcAXVyf4cDC2SWffE7FgRFo/M1FGQ5zFinv/KOu6tB/6KtG
zOIMh5lgoOoA9D0wCDIcfr19fcDyMYJvoLVS+IKLGpx/BgTeaDpMfFtjb1qX
4fAkceE1E38dh3SQgCuCHw5ygBGCz9Y41blbJsNBH2TeE22HA6eAIcKe4WBu
szdomqK2w56SyRIs99Id/oDsX6zp8AEUoGfTHWZM4K8yW60O509pb426HKMC
5ytfexTMEKPkAIwd/btX0h2EKyeVnF2i4GBz3793+qN0SHjfk3PIef575cdv
6Q6g6P1fLw2Pj53BVhH/2yUdQMGpZI/gg5z3ORDBB/s7JcNB/ZPKy1mcUg7d
IAMrMxzkdy3Yl6onDQnP9gyHkLeXP854KO1gErfLk2dShkOrArvqmS0yDlkg
D07JcPiy7+PWdDFZB/T0BgAv/ye4
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQbX3fv3d6WYbDr7evD1g+VnWI7j/0VSMmw8HIGAgu
qzrw6W6a+94/w2GL+Y9DKadUHbpznv9eaYvgc11fXGCrhuAvdN32+a8EQv+K
Y97mnX/THS5cDXuj/xvBr/m0ISC7St0hFGTB/3SH02eAQEfDYeLbGntTtgyH
RxHi2y8yaDrsmy+lf1cgwyE9DQS0HKbnCTUfANonPvUKZ4aTtoNjwtMLSvYI
Psy9MP7fKxUv1WIzHLY7ND06fkPL4ffKj5d80zIcprS3Rl3+o+mgf1eFrbEw
w+HYrh29bB80HCZLsITxlWY4+F6cGPOPWcMBPXwAzo2MQw==
               "]}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4q8aMf2HHDMdan9bFZyzMHSA8Q+3LQ8/tcnQ
IU+o+cApzkyH60KfHM8vw+SrG3KskfmXAeengcAn3Pxwyy0nynZlwM2H8WH2
nwGDDIdoBcePyTqGDj/rsvaUXM9w2F8ra5GuYujA1jjVuftOhsN/MDBwcEx4
ekHpcYaD9wl229mtBg4dIAGnTAfla4+CGWKUHA6BPBSU6XCge1+TyWN5hwJb
ruuLIzIdVD+pvJy1UtbhmLd5p2NCpsOMmUBgKeXAHManu6kSwe8HGdCc6VBz
/8ctY205B5D2gs5Mh04bz11pSgoOHECu7axMh/LD21xnrlVymA4KoE+ZDp83
BGTPYjeA+O9fpoMxCDw2cPhwyTdJgCXLoWBN9+0MBUOHCW9r7E35suD+1b+r
wtYomwUPDxgfFl5HQP55hgj/IwobijLuIvgsIPdfBPrvSfO8s6sMHXKe/175
8VCmQ8lW0d+n1xk6qNwGhugBBN8C6Lx92xH8cKD2uesR8Q/jw9xjErfLk+dU
Jty96ROBHria6cDrv35KqoahwxJQAN/OhMcPjH8QZN4hBJ/bTbWUaZaBQ8lk
CZawW5kO3V6vWEwSDRzmvF9+zPt6poP/xYkx/5QNIOFTlekQzinWbmyv6LAb
pEEs0+HkYae1mesMIOEjmulQDHL/PgOHha7bPv8VyXRQB/n/FII/fQJ/ldlt
BH+jXt5iRh5DB6Dv50tJI9wfmWJ9318V4T/0/AEA76xyIg==
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYCYgOONTJRDlkOy28tf2zozOXwoy5rT0lylsPB
7n1NJs6CDhPe1tibFmU5xKhGyJyLEXY4s9B12+fGLIeZIFAp5qAR03/o64Is
B5HKSSVnl8g4ZEwEatiY5dBt47krjUkJzjcyBoLLqnB+M6//+imuGg76m+a+
X74qy8F9f62sRbuWwxGFDUUZc7Mcan9bFZxboeOgbgh0YFeWw9Ms7W/T9+o7
pIP0l2Y5FG8V/X16n4EDzP32lRErTG2NHJbPBppgluVgDLbP0EGnXezmuegs
B+8T7LazSw0clh/zNu/MzHI4AwI5+g481xcX2JZlOcjMi9M8fUHHQeX2z7qs
hiyH/yCwX8tB/64KW2NrlsOpw05rM+s04PwLV8Pe6N9WhfP5YwPuG6krw/WD
zd+j4PAdFEBA96amAcEzGYee6XlCzRlQeR1xh/nvgS4Cuo8BBBRE4O7vjej2
Z/zA44AePwAl/Lz7
              "]]}, {
             Thickness[0.004640586570142466]}, StripOnInput -> False]}, {
          ImageSize -> {215.49353922789538`, 21.12078704856787}, 
           BaselinePosition -> Scaled[0.31887090512778543`], 
           ImageSize -> {216., 22.}, PlotRange -> {{0., 215.49}, {0., 21.12}},
            AspectRatio -> Automatic}], TraditionalForm], None}, {
        FormBox[
         GraphicsBox[{
           Thickness[0.07194244604316546], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
              "], CompressedData["
1:eJxdlGtsS2EYx9tuU7UL66zoWm21p7edGDoyMvYgzBaxZm6VuGzoOopJfCBG
5j5sWOKyYmbuJMRcZrMwRGbYzNyvyYR9WBlmZMHY9H3f02eJJzlpfuk5//f/
XN5HNz8r1RkgEonEvifN90h8T/+9T2WZEgOUw4b3NS+tcHHwsmPi2QaouT3u
3KIxVtgUmnJ+zwkDNKUfeR6bZQWJbLtmwRcDJN5Yq47LtcLCOW8nBsRxyJH5
yR8D+xqRJ9+Vjj641wgtK8oiO2otyM4MX2wxI48v2CjP+KiHM+3eVXXr9FAx
dZSjK1ENdTS0yNM+P/nmuaVBXtP487XNPRBibb54okFuPXpe++C0Drn3HHvj
MJMezsn5MFfnQHjv6Ff+CDjUu0/yLfb5Plt9SrRVx/JaxcNMmSLXlqKDMlKf
Ch5MbQbvAa+a1SWIh8YJ88YeCFdB2rRUU0mSCTSVJVXOKVGgLJ5rqbVzwvlK
8BT0Xj0i2ADEpm13f3hrUZ/tmjoIrpI8pAq4mVe1IfaDBmZzDlV9UQTml6uV
cnWXw5Ffhr5RONvDkKkfWQjm4eevJP8KHfKI+Oup+9ZzICJR0gfWB1bvGlpo
Zv4+KVg/jDzzk6jAfG8RXwGRQv952OnISxEP6Qs55PuZPPPhkiP79f0cMjYs
2eMNZvPg4qEsuTSuaGRP6CKRw7O+XeoBRUf1V//kCvqtQVBdWbGjRwHP+j+5
m5vXfnA/5LuZ+j4ZgMx0Jai/n8QAMfo5fHf3cffJzoSHz2a0xGRHQ0PHnRfF
rzoSYnSaH0tmWCEo5nevx/k/E/z1aZriTfur6UQup/7FzFeLBVQXFIclWgls
Iv+vtLJ8zwSCivS/wcr6dUWKTP3M6onMfMqQXbQPwaweNYKeJYS9d8MK+bT+
ocg/qr6VuZ6HIbPfPsibyfzsCUe9bNLv6AhoIvP/TvDzS47v0/n3yEFzqnnS
4ByBHXLw14fOw/hwKCV74poF7E1Jj4dHSNl9cBoFHQk0kPpGGZCpTqYO2UMP
VrP+26SMBygZfw9Fpn6DI5BZ/RT4Pe1DSBRMoj710LJlad6wbCXkxSdVZrQJ
85+kFOrazVTXrUVmdVSBndwjnQrP8+8LP28juvJByOs6Ri2vz+TYeeO07J6l
m6B5cXR74SGDsA/NsCirdfO9WKOwZ8yQTPbedDMynceDFuRCsi/c0Wxv1Jrw
PmbQeTci0z7Ed/OatlK7+zXH9pdHmP/9HM7///v+HzuKo1w=
              "]]}, {
             Thickness[0.07194244604316546]}, StripOnInput -> False]}, {
          ImageSize -> {13.899716064757161`, 21.12078704856787}, 
           BaselinePosition -> Scaled[0.31887090512778543`], 
           ImageSize -> {14., 22.}, PlotRange -> {{0., 13.9}, {0., 21.12}}, 
           AspectRatio -> Automatic}], TraditionalForm], None}}, FrameStyle -> 
     Automatic, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {Automatic, Automatic}, GridLinesStyle -> Directive[
       GrayLevel[0.4, 0.5], 
       AbsoluteThickness[1], 
       AbsoluteDashing[{1, 2}]], ImageSize -> Medium, 
     Method -> {
      "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& )}}, PlotRange -> {All, All}, PlotRangeClipping -> 
     True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
       GraphicsBox[{
         Thickness[0.044444444444444446`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4gu/j12fd/O3vfK1R8EMOUoOMhvF5jMl/LVf
K6TDl86n6PDE72XC3/l/7WfMBIKdsnD+m7bcbqPZUg7RqhEy52oYHWB8uxLH
2tMynA5nwEDKwcQYCD7zwvnyuxbsS80TQJU3FoXzNT6pvJzVKQY3rzei25/x
gzgG/8u+j1vTxWQdYkD2x4g7qIL0rZSF6M8Uc1AH0S9lHUQqJ5WcbYGa3yPn
cKB7X5OJsijEHefkHB64xjvOmijicB9EF8o7KIDE3wk7dNt47kozUoDYYybk
4L7m6HKGCkWHkuUlG/6d53VgAAEFVTgfbD6PBpz/51vpgzkX9RzWgMLxn7CD
bWXEClNfQ4e//4HAXh7OB5vjoArn/3r7+oDlYXWHhJAg9QUn9eB8mPkwPsz+
TXp5ixll1ODug5kHcz8TZ5d88jsVuP9aeP3XT1mqAvd/Zv6H1pMlKvDwcZnQ
LJT2Sxkefh8WrVc426EMD98ITrF2Y3tlePjD+LD4Adv7CcF/kaX9bfpcFXj8
gt3HoA7n13zaEJC9C8E/tmtHL9sHDTg/IfaOG/MNLbh5P0D+b9bG4MPS55QJ
/FVm3doOsPS7ARQ+e7QdYOm7/rdVwbkXWnD+88SF10zWazkIg9LJEQWHJyB+
vxYkXWyEhpeqFiTdGcg7bDH/cSilSxPOB8fHY1U0vroDf2zAfSN3RYd4UDxq
ajvILX/hofdfBc7/C0ofhppw/lNQOO3Vd0hNA4Jjag7JIH//QKQXGB8cjx8F
4PzrvLfFUs0YIO48qg/nw8yH8WH2F4DSpz8v3H3geF4pBHc/OD9uZoPzW8Rr
WTPdWOB8aVD5sIAJHj7g8kKBCR5+2702WMyxZISHL3r5AgB2g+xJ
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYC4ieJC6+Z/Dd2SE8DgmfKDjA+C2eXfLKeqoND
06PjM7hNHB5FiG+/yKDmsMX8x6EULROIvJ+6g4kxGDiI9ni9YhHRcEiOvePG
vMLI4e+30gdzAjUcIkHa/hnC+WDa0ADO99hfK2txXNfhDAjwqMH5YFMfK8H5
dzRl1/zfrOiQAjJfQs9hT37N25lXFRymTuCvMjut57BWSIcvXU/B4XmW9rfp
c/Ud1oD49+Qg5sYYOLivObqcQULOof63VcG5DkMHVxC/QtbhutAnx/NlRg69
Ed3+jB9kHA63LQ8/9cjIYUewVcT/dBm4/2ru/7hl7C3tsOT+Pr45zcYQeXcp
iHkrjB2C317+OOOhBJxfBVLPLQ7ng03ZLOQgPS9O8/QBIwfbEsfa0zL8kPCu
N4TzweHXYQDnQ+JB3+GBa7zjrEJBiHp+fYezIH/lCDu8APn3rh7EPcvF4OED
45847LQ2U07PQeOTystZJ0XhfJHKSSVnWRD8mSCwUwTOB/unUcjhDyieBPXg
9oPD842ugzrIvE4+CN9H30Fmo9h8JgUeiDmRBg72IPff4XKwrYxYYcprCOeD
w1vNGM6PUXD8mLzGBG4fKl8Szgenz2PSDn4XJ8b8azaBxHecLMT/uiYO/0Fg
vpwDKBmaHDR2UL72KJhBRsFhQnCJynR7Y4fT4PBScLgtXZNo9NTQYTbInScV
HKJB5ucYQNTrKELC97w+JL38QPDB6e+yMpx/4WrYG/3bqg7cbqqlTKsM4PkB
zN9lCOeD05OREZwPtn+pkcOU9taoyzLqDjz+66ek/jByYACBA2oOp0HhH2fs
0MhytN8wXM2hYE337YwGYPr7tCEg+5cqJHw7jSH5wl0VEj5zMPMvjA8AzWio
SA==
            "]]}, {
           Thickness[0.044444444444444446`]}, StripOnInput -> False]}, {
        ImageSize -> {22.49543212951432, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {23., 22.}, 
         PlotRange -> {{0., 22.5}, {0., 21.12}}, AspectRatio -> Automatic}], 
       GraphicsBox[{
         Thickness[0.02064409578860446], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4gu/j12fd/O3vfK1R8EMOUoOMhvF5jMl/LVf
K6TDl86n6PDE72XC3/l/7WfMBIKdsnD+m7bcbqPZUg7RqhEy52oYHWB8uxLH
2tMynA5nwEDKwcQYCD7zwvnyuxbsS80TQJU3FoXzNT6pvJzVKQY3rzei25/x
gzgG/8u+j1vTxWQdYkD2x4g7qIL0rZSF6M8Uc1AH0S9lHUQqJ5WcbYGa3yPn
cKB7X5OJsijEHefkHB64xjvOmijicB9EF8o7KIDE3wk7dNt47kozUoDYYybk
4L7m6HKGCkWHkuUlG/6d53VgAAEFVTgfbD6PBpz/51vpgzkX9RzWgMLxn7CD
bWXEClNfQ4e//4HAXh7OB5vjoArn/3r7+oDlYXWHhJAg9QUn9eB8mPkwPsz+
TXp5ixll1ODug5kHcz8TZ5d88jsVuP9aeP3XT1mqAvd/Zv6H1pMlKvDwcZnQ
LJT2Sxkefh8WrVc426EMD98ITrF2Y3tlePjD+LD4Adv7CcF/kaX9bfpcFXj8
gt3HoA7n13zaEJC9C8E/tmtHL9sHDTg/IfaOG/MNLbh5P0D+b9bG4MPS55QJ
/FVm3doOsPS7ARQ+e7QdYOm7/rdVwbkXWnD+88SF10zWazkIg9LJEQWHJyB+
vxYkXWyEhpeqFiTdGcg7bDH/cSilSxPOB8fHY1U0vroDf2zAfSN3RYd4UDxq
ajvILX/hofdfBc7/C0ofhppw/lNQOO3Vd0hNA4Jjag7JIH//QKQXGB8cjx8F
4PzrvLfFUs0YIO48qg/nw8yH8WH2F4DSpz8v3H3geF4pBHc/OD9uZoPzW8Rr
WTPdWOB8aVD5sIAJHj7g8kKBCR5+2702WMyxZISHL3r5AgB2g+xJ
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYC4htCnxzPh5k5fFi0XuHsCmWHNBDYhsn3uzgx
5t9jFQeNt7z7DE6aOaSCxNnUHA7UylqkfzFzyMj/0HoyRN3BtjJihelcU4fq
TxsCsqU0HCYEl6hM/2/i8Pdb6YM5gRoOfP7rp6RyIPjTJ/BXmb02gPPPXw17
o79b12EGSPy0Cpy/RkiHL/2eHJwfoxohc+6PpMNa1SfN83r1HEQqJ5WcXSLq
MBMEOA0cjEFgs5BD8VbR36fvGUDU7+FziFZw/JisY+RgX+JYe/oOl8PBtuXh
pyYZw/knDzutzcwzgfOX3N/HN8fZ1EFmo9h8JgUeh5TYO27ML8wczoABP5x/
sHtfkwmzBJwf/PbyxxmNkhB/vDZzeNOW2200W9KBx021lInLHKpfEmJ+srnD
jmCriP/uUg6NLEf7DcPNIe6tkYaEr4sZxH8p0g4g7561QvCngcy/bQrn/wGF
YyOCXwLyfx6Cv+KFh97/RBO4+TC++ieVl7M4pRwOgcIjydTBBBx+kg4MILDB
FO5+h6ZHx2ecNnWouv/jlrE2gg/zP4wP9r+iMJwPjpefgg5eJ9htZx81dRAG
u0cQkp52mjrI71qwL5VPEOL/6aYOB0DmKQs4vMjS/jb9ronDi9rH2eff8EHS
iSCC/xwkv9YQzucFpS8NA4cv+z5uTb8mCueHgNzzUB7OB7tnporDl523uv6W
GjqwcHbJJ/upQ+JvhzGcX/fbquBchAmcLzMvTvP0AxOHBpC4hjokf4SZOsgu
BwbkfTVo+jNzSAgJUl+QqeYAy18XQOn2tiqcDzbng4oDev4DADmMkD8=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4uUvPPT+N1o5yMyL0zz9QcUBxt/h0PTo+A01
hz/fSh/MmWjlsMX8x6EULnWH/uASleny1g5T2lujLsuoO/hcnBjzb7O1w5PE
hddM9BH8ht9WBedeqDuIT73CmXHJykFHUf5LzjV1hxOHndZm9iH4z7O0v01/
awnnG4NAMIJfBzKHwxJi3x11iDu0LODmw/gw+4u3iv4+vc8C7r4zIOBjCXd/
tILjx+QYS7j/YHyY/2H8B67xjrMMReD84LeXP85IFICbF6EaIXPuDz/cPhOQ
uzfzw93D48jnNSMTwV9ya/ljw2YeB2mQPQ9g6nng5oHpMzzw8IDxYeGFIv/X
Cq4fFt4w82F8mP2w+IK5DxafMPfD4hvmPxgf5n/09AEAaBb/xg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4mzOnwvSuZ0cWhXYVc+UCDkIf3I8n/bX0aE3
otuf8YOQg/cJdtvZcx0dgt9e/jiDUdDhd0zu0X9Gjg7V93/cMuYWgMjvdYDz
89d0385QsIfzS7aK/j7dZ+vw0DXecVagGJzfArLvijycv0kvbzFjjIrD08SF
10ze2zmwcHbJJ/upOyQevqyd2ugA59f+tio4J+EI558BgS2ODo0sR/sNw9Xg
/BZe//VTUlXh/A+L1iucXaEM4T9B8NPTgOCZo8OLLO1v0++qOOyvlbVIf+Po
MKW9NeryHlWH+/v45hgzOTlk5H9oPRmi7lAMcm+do4OZzd6gaYwaDhHi2y8y
8Dk6/P1W+mBOoIbDTemaRKO5DnA+WL0Ygg+2X8fe4cSuHb1sF9QdnoPsjbVz
kF3+wkPvvprDUxD/r43DI5DBDqoOvhcnxvxztnFwX3N0OcMOJTi/BhS+r+Xg
/BjVCJlzNSIOMQqOH5N17BzsSxxrT9/hgocfjD8TBBgd4Xxw/JVC+XN4HMyv
Hc01eYCIX/T0AQCSgPxI
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}}}, {{{40.0047, 6.195309999999999}, {40.3672, 
            7.00469}, {40.30629999999999, 7.065629999999998}, {37.1313, 
            7.065629999999998}, {36.8047, 6.2562500000000005`}, {
            36.86559999999999, 6.195309999999999}, {40.0047, 
            6.195309999999999}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxlk11Ik1EYxzebhGVG5vzIzWa2qWQrPwpZX//B+55XCrK0dHSRmswFWSYo
aM0L+1DSojAvdIUaXujFwkzChEhDrWxOsqkXamUmfaGQBmGJrJ33zTOiB56L
H+fwnOf/f54TeaogzbxKJpPJPbnfkz6eXHhw5IzNTWDJ88SnKKywwq9qc65e
C41xPnfQV8C0KaRzWKbDeLg1J0EpSOeHo1EvBoHy+sFviqAYtOvPNcuPESz/
LJ66ezQG9uqJ0zI3z7hsyXB+KNTLwwVZq4cKOQzS8NcxTqTxcQvjyVi13d0R
CbGNCg5PCqxz9aMaaGcuNzgfcrgfGBdg0WvQNV61bP7MwU75XQSorDw9D8He
3yILjUBPmTrZ0seDp1yiRr7frybLHoIbpupU+XcVcnpd28yFBI/TDSa3RcX0
Wd8vjiceCscb2s+zv+fCJqneCEH6nGu+7kMo4wv0/toQxqKejkD4p7bVmrMJ
9hUZyxyq9ZLf3Txj0T/Oy7g0/aLOwWGKzzLaCjegxNS6y9nLwUn9yt8o6e3k
pH5agpk/KyzWr+QQs7D1q21AyTiotKbIqfCyKLMriLGopzxQ6v+K9/0kquMi
h2ha71qAxC4OqvbgRh+NvzTHOB4HaP+Ta9CwN27EVuFl0e/bhPH2W02L8RkC
e+9fDmMs7ufzcLR+SdG7jYI075NqFD1SLjmCBbhpNEaAaIt9bFMEUWPT6TKV
Bi9jDTWORgKH6JcGs+ue7qxf4HGH6h3QSPV389L9uEiUUn9/cNK+LHpZ3D9X
FOPXoxmzOya08G2uMciP8+w/KCi/9XI23acwwlh8P42gtvLqCZcqGhUtma8S
rAQyGj06zOTcG0tqIyhX9N+Mz9Qheaz/bFKPZ//oYH5rJX/7CFK6PYMRtNDT
/of+/78r/Aem9K2/
            "]]}, {
           Thickness[0.02064409578860446]}, StripOnInput -> False]}, {
        ImageSize -> {48.44440348692403, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {49., 22.}, 
         PlotRange -> {{0., 48.44}, {0., 21.12}}, AspectRatio -> Automatic}], 
       
       GraphicsBox[{
         Thickness[0.016812373907195696`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4gu/j12fd/O3vfK1R8EMOUoOMhvF5jMl/LVf
K6TDl86n6PDE72XC3/l/7WfMBIKdsnD+m7bcbqPZUg7RqhEy52oYHWB8uxLH
2tMynA5nwEDKwcQYCD7zwvnyuxbsS80TQJU3FoXzNT6pvJzVKQY3rzei25/x
gzgG/8u+j1vTxWQdYkD2x4g7qIL0rZSF6M8Uc1AH0S9lHUQqJ5WcbYGa3yPn
cKB7X5OJsijEHefkHB64xjvOmijicB9EF8o7KIDE3wk7dNt47kozUoDYYybk
4L7m6HKGCkWHkuUlG/6d53VgAAEFVTgfbD6PBpz/51vpgzkX9RzWgMLxn7CD
bWXEClNfQ4e//4HAXh7OB5vjoArn/3r7+oDlYXWHhJAg9QUn9eB8mPkwPsz+
TXp5ixll1ODug5kHcz8TZ5d88jsVuP9aeP3XT1mqAvd/Zv6H1pMlKvDwcZnQ
LJT2Sxkefh8WrVc426EMD98ITrF2Y3tlePjD+LD4Adv7CcF/kaX9bfpcFXj8
gt3HoA7n13zaEJC9C8E/tmtHL9sHDTg/IfaOG/MNLbh5P0D+b9bG4MPS55QJ
/FVm3doOsPS7ARQ+e7QdYOm7/rdVwbkXWnD+88SF10zWazkIg9LJEQWHJyB+
vxYkXWyEhpeqFiTdGcg7bDH/cSilSxPOB8fHY1U0vroDf2zAfSN3RYd4UDxq
ajvILX/hofdfBc7/C0ofhppw/lNQOO3Vd0hNA4Jjag7JIH//QKQXGB8cjx8F
4PzrvLfFUs0YIO48qg/nw8yH8WH2F4DSpz8v3H3geF4pBHc/OD9uZoPzW8Rr
WTPdWOB8aVD5sIAJHj7g8kKBCR5+2702WMyxZISHL3r5AgB2g+xJ
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYC4ieJC6+Z/Dd2SE8DgmfKDjA+C2eXfLKeqoND
06PjM7hNHB5FiG+/yKDmsMX8x6EULROIvJ+6g4kxGDiI9ni9YhHRcEiOvePG
vMLI4e+30gdzAjUcIkHa/hnC+WDa0ADO99hfK2txXNfhDAjwqMH5YFMfK8H5
dzRl1/zfrOiQAjJfQs9hT37N25lXFRymTuCvMjut57BWSIcvXU/B4XmW9rfp
c/Ud1oD49+Qg5sYYOLivObqcQULOof63VcG5DkMHVxC/QtbhutAnx/NlRg69
Ed3+jB9kHA63LQ8/9cjIYUewVcT/dBm4/2ru/7hl7C3tsOT+Pr45zcYQeXcp
iHkrjB2C317+OOOhBJxfBVLPLQ7ng03ZLOQgPS9O8/QBIwfbEsfa0zL8kPCu
N4TzweHXYQDnQ+JB3+GBa7zjrEJBiHp+fYezIH/lCDu8APn3rh7EPcvF4OED
45847LQ2U07PQeOTystZJ0XhfJHKSSVnWRD8mSCwUwTOB/unUcjhDyieBPXg
9oPD842ugzrIvE4+CN9H30Fmo9h8JgUeiDmRBg72IPff4XKwrYxYYcprCOeD
w1vNGM6PUXD8mLzGBG4fKl8Szgenz2PSDn4XJ8b8azaBxHecLMT/uiYO/0Fg
vpwDKBmaHDR2UL72KJhBRsFhQnCJynR7Y4fT4PBScLgtXZNo9NTQYTbInScV
HKJB5ucYQNTrKELC97w+JL38QPDB6e+yMpx/4WrYG/3bqg7cbqqlTKsM4PkB
zN9lCOeD05OREZwPtn+pkcOU9taoyzLqDjz+66ek/jByYACBA2oOp0HhH2fs
0MhytN8wXM2hYE337YwGYPr7tCEg+5cqJHw7jSH5wl0VEj5zMPMvjA8AzWio
SA==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4uKtor9P+1k4PElceM1EX90Bxm/4bVVw7oW6
g+qT5nlnf5k56CjKf8m5hslfcn8f35zNCP4ZEMjBza8DmSthCjcfxofZnxJ7
x425w9RhSntr1GUZqPwJUwepeXGapwWg8i9MHXY4ND06fkPNgQEEBMwcZJe/
8NCTV3O4LV2TaBRq4aCwa8G+1HeiDvpaK4UvbLFwONi9r8nEWciBy021lOmW
hYMxCEwWcODzXz8llcPS4UXt4+zzb7gdjrQtDz+1CMF/nqX9bfpdS4cv+z5u
Tf8mAJFnsnKQB5nfJ+RQD3JfhpVD1f0ft4yzxRzEp17hzGiygbgrQdVhxkwg
OGnjsAEUcGvVHOyBzp7x2sZhi/mPQylc6g4ab3n3GWjawv37Zeetrr+ttvDw
gPFh4cUDcq+FDTw8JUDhwoDgg+3baQ0x7466w38QiLd2kAC565G6Q8Ga7tsZ
AQj+Br28xYwyCD7YXa+s4PbB+DD3TJnAX2XWbQ13L1j8vLWDLsh+MXWHBpaj
/YbfreHxA+NvBNlTg+CfOuy0NtNOzSFcfPtFhnfWDnMWKe/881wVEj63rR1m
gO1Rhfh/qaXDWiEdvnQ7EYeboPh1NYfYH6PmsAIY7f8dzR18TrDbzi5VcygB
pV87c4dakPs7EPxHEUCLFiD4YPNfqzn4XZwY8y/ZHO7+P99KH8xZaA73H3r+
AAC+o22q
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJnIGZigAIPZ4cXtY+zz7/hdogQ336Rwc/ZQWaj2Hym
BF4H1SfN884GOTvEqEbInNvD59C+PPyUUYizw3Xe22KpZvwOISUq0/9HODt8
2fdxa7qYgMNN6ZpEo1RnB/VPKi9ndQo6zASBQmcH9zVHlzPcEHKIBJkf5+KQ
EBKkviBTzWHnra6/qekuDjscmh4dv6HmULJV9PfpMhcHqXlxmqcF1B1qf1sV
nJvh4jClvTXqsoy6w4N9fHOMT7k4PElceM1EH8FvAKl7oe4A9o+Gi4OOovyX
nGvqDq6qpUyzJHDzFRw/Jp9pdYbrh/Fh5oOcNeOwM9x+sH9+OjtsMf9xKIVL
3eEN7z6DmVwuDjMm8FeZvVZzaAOFD48LxN0dCL7PCXbb2aUI/q+3rw9YJqvB
9YP9G6DmMN9G58osO2cHkcpJJWdZRB26vV6xmDg6OfhdnBjzb7Gqw2OQu+Sd
HHRB7heD2i/l5DBnkfLOP+7qDvoTFvww5HNyqP60ISBbSsPhDAjccYTzwfG3
x9HhwtWwN/qz1RyWv/DQ+7/Q0cFAa6XwhRZViP8CHR0+LFqvcNZDCSI/0cHh
TVtut1G0KCR+3tnD1YP99dTe4SnIXedVHY6APPjI3sHIGAiE1eB8mP9gfFh8
14PCicEBHt/iU69wZmg5wMM7m/PngvRsB3h8wPiw+OoBhU+gPTw+7UHxZY3g
c7gBI3yXHcS8O+oOG/TyFjOesYXrh/Fh5kuA7Feyg9u/BSRfYwePb7B9C+0c
UtOA4Jiag01lxArTvXaQ8H+u6pAOEhdzcOiN6PZn/CAE908/iG8gAOcf6N7X
ZKIsAAlfSwd4/gO7ox3Bvw3KT1MdHFrEa1kz2fgdEg9f1k5d6OBQff/HLePV
Ag7FoPjYh7CvAuics6eh8ami4sCyeJIVY6+TgwYoP74Ud/gPAvudHNYK6fCl
zxN2mPKNLX7GESdI/FoLQ9LTLye4/ejlAwDH3cer
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWaBsBiifAY3NCJVHV4NLHJcaUtXjUkOq+YPB
nQAGXgI/
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4jXdtzMYjrs66CjKf8m5pu7A479+SmqBq8OU
9taoy3fUHSSmXuHMSELwRT45nk/jdXVo+G1VcO4Fgv8kceE1E311h8TDl7VT
A6HqZdQdXFVLmWbNcHXYYv7jUAqXuoPFtaO5JgtcHQJuSdckXlKD82XmxWme
/qAC5z9wjXecZSgC58vvWrAvNU8Abl6EaoTMuT/8cPtMjIFgMz/cPTyOfF4z
MhH8JbeWPzZs5nFIA4Flrg5nwACTXwfy1wEEnwEEbuDmP9jHN8e4yg1uPowP
s193woIfhmZucPeBw/s9wv07b3X9TX2O8B+MD/M/jO+xv1bWwl3VQRwUH4c8
oObzOAiD/Ofr6WBf4lh7+g4XnA92pwM3nD9jJhBEcjtURKwwPevt6dAiXsua
ycYDMc/L0+HLvo9b08V4If73gJmH4PdGdPszFvDB+bD4gvFh8QmOnwBPeHx/
3hCQPWu6Jzw92Dc9Oj7jtic8vcD4sPSUAIpPS094ekTn3weFrxKCf1zTatJp
dtz84q2iv0/necDNh/Fh9qs+aZ53dpMH3H3LXnjo/f/pAXc/KNhmMiL8B+PD
/A/jB7+9/HGGojAkv0i5we1Dz18AFEx4mw==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4h23uv6mbvdyeJq48JrJeVWHkq2iv0/XeTvo
Ksp/ydmm6iDyyfF82lVvhxO7dvSybYDK9/nA+XNtdK7MmuYD15/D+XNB+mQf
h1OHndZm2qnB+cdA6gsQfAYQOIDgg+0TU4fz5yxS3vnHXR1ufgPL0X7D7epw
+3VA6q+pO/yJyT36T8rH4UWW9rfpe9Xh7oWpX/7CQ+9/I4LPsniSFaMugh9S
ojL9/wsvuH6wfKkX3Pwb0jWJRrleqPbnecH9x++/fkpqgZcDC2eXfLKeKpzf
8Nuq4FyGCpxfff/HLeNoJYfyiBWmZ7O9HGaCAKeCwxNQuKV7ORgYA8FnWYdw
8e0XGdq8HFQ/qbyctVLWYT7I/+e8HGR3LdiX+k7egQdk3g8vh/LD21xn+io4
bNDLW8zo4g3ng+VvIPhg95v6OJiAzA+WhfPftOV2G0lLwPlrhHT40vcJOdzf
xzfH+JK3w3Xe22KpZvwOF/Lj2c9pIvjpaUBwzQvO7/F6xWLSCfVPpQAk/oq9
IObvFnTYXytrka7j5fDANd5x1kZRiH/ZvRxEKieVnGURdVB50jzvrJaXw8Hu
fU0mzkKQ+LP1cnBfc3Q5ww4BSPwGeTn0RHT7MxrwOuhMWPDDsM7LIUY1Qubc
Hm6HLSD/7/FysC9xrD19hwsSXv8QfHB4pnnD+eDwv+zt8KL2cfb5NbwO9aB4
0vCB+EtN0GFN9+0MhnYfiHsOCzu4qJYyzdrh41AFij9ucTh/PSi85knB+bD4
BPvf2gfi/h+KkHDv9obzwenNAcFPOHxZO5UTyl+h6DADZM5KLweQNuPDCg7o
+RMALEmM8w==
            "]]}, {
           Thickness[0.016812373907195696`]}, StripOnInput -> False]}, {
        ImageSize -> {59.48081693648817, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {60., 22.}, 
         PlotRange -> {{0., 59.48}, {0., 21.12}}, AspectRatio -> Automatic}], 
       
       GraphicsBox[{
         Thickness[0.011705489874751257`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4gu/j12fd/O3vfK1R8EMOUoOMhvF5jMl/LVf
K6TDl86n6PDE72XC3/l/7WfMBIKdsnD+m7bcbqPZUg7RqhEy52oYHWB8uxLH
2tMynA5nwEDKwcQYCD7zwvnyuxbsS80TQJU3FoXzNT6pvJzVKQY3rzei25/x
gzgG/8u+j1vTxWQdYkD2x4g7qIL0rZSF6M8Uc1AH0S9lHUQqJ5WcbYGa3yPn
cKB7X5OJsijEHefkHB64xjvOmijicB9EF8o7KIDE3wk7dNt47kozUoDYYybk
4L7m6HKGCkWHkuUlG/6d53VgAAEFVTgfbD6PBpz/51vpgzkX9RzWgMLxn7CD
bWXEClNfQ4e//4HAXh7OB5vjoArn/3r7+oDlYXWHhJAg9QUn9eB8mPkwPsz+
TXp5ixll1ODug5kHcz8TZ5d88jsVuP9aeP3XT1mqAvd/Zv6H1pMlKvDwcZnQ
LJT2Sxkefh8WrVc426EMD98ITrF2Y3tlePjD+LD4Adv7CcF/kaX9bfpcFXj8
gt3HoA7n13zaEJC9C8E/tmtHL9sHDTg/IfaOG/MNLbh5P0D+b9bG4MPS55QJ
/FVm3doOsPS7ARQ+e7QdYOm7/rdVwbkXWnD+88SF10zWazkIg9LJEQWHJyB+
vxYkXWyEhpeqFiTdGcg7bDH/cSilSxPOB8fHY1U0vroDf2zAfSN3RYd4UDxq
ajvILX/hofdfBc7/C0ofhppw/lNQOO3Vd0hNA4Jjag7JIH//QKQXGB8cjx8F
4PzrvLfFUs0YIO48qg/nw8yH8WH2F4DSpz8v3H3geF4pBHc/OD9uZoPzW8Rr
WTPdWOB8aVD5sIAJHj7g8kKBCR5+2702WMyxZISHL3r5AgB2g+xJ
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYC4htCnxzPh5k5fFi0XuHsCmWHNBDYhsn3uzgx
5t9jFQeNt7z7DE6aOaSCxNnUHA7UylqkfzFzyMj/0HoyRN3BtjJihelcU4fq
TxsCsqU0HCYEl6hM/2/i8Pdb6YM5gRoOfP7rp6RyIPjTJ/BXmb02gPPPXw17
o79b12EGSPy0Cpy/RkiHL/2eHJwfoxohc+6PpMNa1SfN83r1HEQqJ5WcXSLq
MBMEOA0cjEFgs5BD8VbR36fvGUDU7+FziFZw/JisY+RgX+JYe/oOl8PBtuXh
pyYZw/knDzutzcwzgfOX3N/HN8fZ1EFmo9h8JgUeh5TYO27ML8wczoABP5x/
sHtfkwmzBJwf/PbyxxmNkhB/vDZzeNOW2200W9KBx021lInLHKpfEmJ+srnD
jmCriP/uUg6NLEf7DcPNIe6tkYaEr4sZxH8p0g4g7561QvCngcy/bQrn/wGF
YyOCXwLyfx6Cv+KFh97/RBO4+TC++ieVl7M4pRwOgcIjydTBBBx+kg4MILDB
FO5+h6ZHx2ecNnWouv/jlrE2gg/zP4wP9r+iMJwPjpefgg5eJ9htZx81dRAG
u0cQkp52mjrI71qwL5VPEOL/6aYOB0DmKQs4vMjS/jb9ronDi9rH2eff8EHS
iSCC/xwkv9YQzucFpS8NA4cv+z5uTb8mCueHgNzzUB7OB7tnporDl523uv6W
GjqwcHbJJ/upQ+JvhzGcX/fbquBchAmcLzMvTvP0AxOHBpC4hjokf4SZOsgu
BwbkfTVo+jNzSAgJUl+QqeYAy18XQOn2tiqcDzbng4oDev4DADmMkD8=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4uUvPPT+N1o5yMyL0zz9QcUBxt/h0PTo+A01
hz/fSh/MmWjlsMX8x6EULnWH/uASleny1g5T2lujLsuoO/hcnBjzb7O1w5PE
hddM9BH8ht9WBedeqDuIT73CmXHJykFHUf5LzjV1hxOHndZm9iH4z7O0v01/
awnnG4NAMIJfBzKHwxJi3x11iDu0LODmw/gw+4u3iv4+vc8C7r4zIOBjCXd/
tILjx+QYS7j/YHyY/2H8B67xjrMMReD84LeXP85IFICbF6EaIXPuDz/cPhOQ
uzfzw93D48jnNSMTwV9ya/ljw2YeB2mQPQ9g6nng5oHpMzzw8IDxYeGFIv/X
Cq4fFt4w82F8mP2w+IK5DxafMPfD4hvmPxgf5n/09AEAaBb/xg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4mzOnwvSuZ0cWhXYVc+UCDkIf3I8n/bX0aE3
otuf8YOQg/cJdtvZcx0dgt9e/jiDUdDhd0zu0X9Gjg7V93/cMuYWgMjvdYDz
89d0385QsIfzS7aK/j7dZ+vw0DXecVagGJzfArLvijycv0kvbzFjjIrD08SF
10ze2zmwcHbJJ/upOyQevqyd2ugA59f+tio4J+EI558BgS2ODo0sR/sNw9Xg
/BZe//VTUlXh/A+L1iucXaEM4T9B8NPTgOCZo8OLLO1v0++qOOyvlbVIf+Po
MKW9NeryHlWH+/v45hgzOTlk5H9oPRmi7lAMcm+do4OZzd6gaYwaDhHi2y8y
8Dk6/P1W+mBOoIbDTemaRKO5DnA+WL0Ygg+2X8fe4cSuHb1sF9QdnoPsjbVz
kF3+wkPvvprDUxD/r43DI5DBDqoOvhcnxvxztnFwX3N0OcMOJTi/BhS+r+Xg
/BjVCJlzNSIOMQqOH5N17BzsSxxrT9/hgocfjD8TBBgd4Xxw/JVC+XN4HMyv
Hc01eYCIX/T0AQCSgPxI
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}}}, {{{40.0047, 6.195309999999999}, {40.3672, 
            7.00469}, {40.30629999999999, 7.065629999999998}, {37.1313, 
            7.065629999999998}, {36.8047, 6.2562500000000005`}, {
            36.86559999999999, 6.195309999999999}, {40.0047, 
            6.195309999999999}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxlk11Ik1EYxzebhGVG5vzIzWa2qWQrPwpZX//B+55XCrK0dHSRmswFWSYo
aM0L+1DSojAvdIUaXujFwkzChEhDrWxOsqkXamUmfaGQBmGJrJ33zTOiB56L
H+fwnOf/f54TeaogzbxKJpPJPbnfkz6eXHhw5IzNTWDJ88SnKKywwq9qc65e
C41xPnfQV8C0KaRzWKbDeLg1J0EpSOeHo1EvBoHy+sFviqAYtOvPNcuPESz/
LJ66ezQG9uqJ0zI3z7hsyXB+KNTLwwVZq4cKOQzS8NcxTqTxcQvjyVi13d0R
CbGNCg5PCqxz9aMaaGcuNzgfcrgfGBdg0WvQNV61bP7MwU75XQSorDw9D8He
3yILjUBPmTrZ0seDp1yiRr7frybLHoIbpupU+XcVcnpd28yFBI/TDSa3RcX0
Wd8vjiceCscb2s+zv+fCJqneCEH6nGu+7kMo4wv0/toQxqKejkD4p7bVmrMJ
9hUZyxyq9ZLf3Txj0T/Oy7g0/aLOwWGKzzLaCjegxNS6y9nLwUn9yt8o6e3k
pH5agpk/KyzWr+QQs7D1q21AyTiotKbIqfCyKLMriLGopzxQ6v+K9/0kquMi
h2ha71qAxC4OqvbgRh+NvzTHOB4HaP+Ta9CwN27EVuFl0e/bhPH2W02L8RkC
e+9fDmMs7ufzcLR+SdG7jYI075NqFD1SLjmCBbhpNEaAaIt9bFMEUWPT6TKV
Bi9jDTWORgKH6JcGs+ue7qxf4HGH6h3QSPV389L9uEiUUn9/cNK+LHpZ3D9X
FOPXoxmzOya08G2uMciP8+w/KCi/9XI23acwwlh8P42gtvLqCZcqGhUtma8S
rAQyGj06zOTcG0tqIyhX9N+Mz9Qheaz/bFKPZ//oYH5rJX/7CFK6PYMRtNDT
/of+/78r/Aem9K2/
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4je8+wxmSnk6PElceM1EX90Bxm/4bVVw7oW6
g6tqKdOsAg8HHUX5LznXMPksiydZMfoi+DNBQBM3/9OGgOxZ9e5w82F8mP1g
eru7w5T21qjLMuoOX0Dy190dpObFaZ4WgMo/d3fY4dD06PgNNQcTYyD47e4g
u/yFh568moO848fkM7KeDgq7FuxLfSfq4H2C3Xa2r6fDwe59TSbOQg7m147m
miR4OoC0GU8WcNh5q+tvarmnw4vax9nn33A7TPnGFj/jCIIPMvb/Q0+HL/s+
bk3/JgCR/+LpIA8yv08I4j51L4eq+z9uGWeLOeyvlbVIN/F2YACBBFWH/yAQ
7u2wQfVJ87y1ag4hJSrT/2d4O2wx/3EohUvd4bim1aTT7d5w/+pPWPDDcJs3
PDxgfFh47QG5l98bHp72wGCY8dkLzgfbd94LYt4ddUj4LPZykJh6hTPjkbpD
DufPBemzEfwer1csJo0IPo//+impGV5w+2B8mHvqQeI7vODuVQd66+wtLwdd
kP1i6g4lW0V/n37nBY8fGH+jXt5ixhoE/9Rhp7WZdmoO9/fxzTF+5eUwZ5Hy
zj/PVSHh88DLYcYE/iqzblWI/495OqwV0uFLtxOBxO9UD4j9MWoObcvDTxlN
8XDwAcVzqRok/U7ycKgFubMDwX8UIb794gIEH2z+azWHm9I1iUZLPeDuB7vz
iAfcf+j5AwB8xGuR
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJnIGYC4v8goBzg8KL2cfb5N9wOa7pvZzCoBzjIbBSb
z5TA6yD8yfF8mmaAQ4xqhMy5PXwOhy9rp0pqBThc570tlmrG76BpNel0vU6A
w5d9H7emiwk4vOHdZzDTKMBB/ZPKy1mdgg5nQMAiwMF9zdHlDDeEHFaDzF8f
4JAQEqS+IFPNITb36L9NmwMcdjg0PTp+Q81h962uv6m7Axyk5sVpnhZQd9hf
K2uRfibAYUp7a9RlGXWH/Hj2c5JPAxyeJC68ZqKP4Df8tio490LdAeyfyQEO
OoryX3KuqTssnmTF6NuDm9+/4IfhMyeEfhgfZr6C48fkM4kI+8H+qQlw2GL+
41AKl7rDd7b4GT6tAQ4zJvBXmb1Wg4RPW4BDLci8DgTf5wS77exSBP/X29cH
LJPV4PrB/g1Qc/CXE8vylQ9wEKmcVHKWRdShx+sVi4mjv4PfxYkx/xarQtwl
7++gC3K/mLrDW1B4S/k7zFmkvPOPu7qD7gSgB/j8Hao/bQjIltKAuPeOH5zf
vjz8lNEeP4cLV8Pe6M9Wc1j6wkPv/0I/BwOtlcIXWlQdZswEgkA/hw+L1iuc
9VCCyE/0dXjTltttFC3qsAMUP9994OpVnjTPO/vJx+EpyF3nVR3iQR786ONg
ZAwEwmpwPsx/MD4svsHhxOALj2/xqVc4M7R84eGdw/lzQXq2Lzw+YHxYfLmq
ljLNWuEDj095UHzNRfBZQBEe6wMx7466Q7j49osMz7zh+mF8mPng8Bb0gdsP
lrfzgcc32L4AH4fUNCA4puYw10bnyqw4H0j4P1eFiIv5OvRGdPszfhCC+6cf
xDcQgPMPdO9rMlEWgISvpS88/4Hd0Y7g35CuSTSa6uvQIl7LmsnG75AACr+F
vg7V93/cMl4t4FCyVfT36X0I+8ojVpiePQ2NTxUViP97/R00QPnxpTgkf+z3
d1grpMOXPk/YYco3YAI84g+JX2thSHr65Q+3H718AAB5Ttqs
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWaBsBiifAY3NCJVHV4NLHJcaUtXjUkOq+YPB
nQAGXgI/
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4vx49nOSsYEOOoryX3KuqTsoOH5MPmMY6DCl
vTXq8h11B/UnzfPOaiH4iydZMfoyBDo0/LYqOPcCwX+SuPCaib66g2d1s76P
ElS9jLqDtc6VWc9cAx22mP84lMKl7rC1pebCZs9Ah4Bb0jWJl9TgfJl5cZqn
P6jA+Q9c4x1nGYrA+fK7FuxLzROAmxehGiFz7g8/3D4TYyDYzA93D48jn9eM
TAR/ya3ljw2beRzOgIBPIIQ+g8mPEN9+kSEKwZ8JAqm4+Rw/F6Rv3oYwH8aH
2b/h4cupm6Yg3AcO70KE+7+zxc/wyUX4D8aH+R/G99hfK2vhrgqJj1tBUPN5
IP5TCHawL3GsPX2HC85nAAEHbjh/BsjdkdwOV4/mmjTIBzu0iNeyZrLxOKiC
zJMLdviy7+PWdDFeh0iQ/+Vg5iH4vRHd/owFfHA+LL5gfFh82oDiRzEYHt/C
nxzPp7kGw9PDzltdf1PTg+HpBcaHpSdvUHyKBcPTIzqfExS+XAh+7bptSfV/
g3Dyg0tUpv/fEAQ3H8aH2b+6+3YGw+UguPve8O4zmPktCO7+9DQg+BUE9x+M
D/M/jB/89vLHGYrCkPBsQ+QP9PwFACm8dyQ=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4pjco/823Q52eJq48JrJeVWHnbe6/qbahzjo
Ksp/ydmm6sD5c0H65qwQhxO7dvSybYDKH0fwA+TEsnxPh8D1b22pubD5ZIjD
qcNOazPt1OD8YyD1BQg+AwgcQPDB9ompw/lzFinv/OOuDje/geVov+F2dbj9
OiD119QdatdtS6rvDXF4kaX9bfpedbh7YepDSlSm/3dA8JsCPec2iCH42laT
Ttd/CYbrbwbJ7wqGm/+Gd5/BzG3BqPZvD4b7r2N5+CmjHcEOLJxd8sl6qnB+
w2+rgnMZKnB+9f0ft4yjlRxsdK7MerY12GEmCHAqOHzeEJA9a3Owg4ExEHyW
dVjTfTuD4XCwg+onlZezVspC/P882EF214J9qe/kHdpB5v0Jdig/vM11pq+C
Q4T49osMSiFwfhtIPgfBB7t/VoiDCcj8YFk4/01bbreRtAScv0ZIhy99n5BD
QTz7OcnMEIfrvLfFUs34HV5sX8/8XATBB5vzOhjOd1ctZZp1BOqfSgFI/O0M
hpi/W9DhwT6+OcbTgh0euMY7ztooCvFvc7CDSOWkkrMsog7CnxzPp00NdjjY
va/JxFkIEn/zgh3c1xxdzrBDABK/K4MdeiK6/RkNeB3EPQL+SOwPdohRjZA5
t4fbIRLk/3vBDvYljrWn73BBwus/gg8OT+MQOB8c/kD/vah9nH1+Da/DgVpZ
i/QpIQ7paUCgJuhw9WiuScPhEIh7Dgs7LJpkxeh7J8ShChR/3OJw/npQeM2T
gvNh8Qn2/9wQiPt/KELEXRF8LVB6U0DwNzx8OXUTC5S/QtHhDAhcCXYABbPx
YQUH9PwJAGQFoFY=
            "]]}, {
           Thickness[0.011705489874751257`]}, StripOnInput -> False]}, {
        ImageSize -> {85.42978829389789, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {86., 22.}, 
         PlotRange -> {{0., 85.43}, {0., 21.12}}, AspectRatio -> Automatic}], 
       
       GraphicsBox[{
         Thickness[0.01096130658774526], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4gu/j12fd/O3vfK1R8EMOUoOMhvF5jMl/LVf
K6TDl86n6PDE72XC3/l/7WfMBIKdsnD+m7bcbqPZUg7RqhEy52oYHWB8uxLH
2tMynA5nwEDKwcQYCD7zwvnyuxbsS80TQJU3FoXzNT6pvJzVKQY3rzei25/x
gzgG/8u+j1vTxWQdYkD2x4g7qIL0rZSF6M8Uc1AH0S9lHUQqJ5WcbYGa3yPn
cKB7X5OJsijEHefkHB64xjvOmijicB9EF8o7KIDE3wk7dNt47kozUoDYYybk
4L7m6HKGCkWHkuUlG/6d53VgAAEFVTgfbD6PBpz/51vpgzkX9RzWgMLxn7CD
bWXEClNfQ4e//4HAXh7OB5vjoArn/3r7+oDlYXWHhJAg9QUn9eB8mPkwPsz+
TXp5ixll1ODug5kHcz8TZ5d88jsVuP9aeP3XT1mqAvd/Zv6H1pMlKvDwcZnQ
LJT2Sxkefh8WrVc426EMD98ITrF2Y3tlePjD+LD4Adv7CcF/kaX9bfpcFXj8
gt3HoA7n13zaEJC9C8E/tmtHL9sHDTg/IfaOG/MNLbh5P0D+b9bG4MPS55QJ
/FVm3doOsPS7ARQ+e7QdYOm7/rdVwbkXWnD+88SF10zWazkIg9LJEQWHJyB+
vxYkXWyEhpeqFiTdGcg7bDH/cSilSxPOB8fHY1U0vroDf2zAfSN3RYd4UDxq
ajvILX/hofdfBc7/C0ofhppw/lNQOO3Vd0hNA4Jjag7JIH//QKQXGB8cjx8F
4PzrvLfFUs0YIO48qg/nw8yH8WH2F4DSpz8v3H3geF4pBHc/OD9uZoPzW8Rr
WTPdWOB8aVD5sIAJHj7g8kKBCR5+2702WMyxZISHL3r5AgB2g+xJ
            "]], 
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYC4htCnxzPh5k5fFi0XuHsCmWHNBDYhsn3uzgx
5t9jFQeNt7z7DE6aOaSCxNnUHA7UylqkfzFzyMj/0HoyRN3BtjJihelcU4fq
TxsCsqU0HCYEl6hM/2/i8Pdb6YM5gRoOfP7rp6RyIPjTJ/BXmb02gPPPXw17
o79b12EGSPy0Cpy/RkiHL/2eHJwfoxohc+6PpMNa1SfN83r1HEQqJ5WcXSLq
MBMEOA0cjEFgs5BD8VbR36fvGUDU7+FziFZw/JisY+RgX+JYe/oOl8PBtuXh
pyYZw/knDzutzcwzgfOX3N/HN8fZ1EFmo9h8JgUeh5TYO27ML8wczoABP5x/
sHtfkwmzBJwf/PbyxxmNkhB/vDZzeNOW2200W9KBx021lInLHKpfEmJ+srnD
jmCriP/uUg6NLEf7DcPNIe6tkYaEr4sZxH8p0g4g7561QvCngcy/bQrn/wGF
YyOCXwLyfx6Cv+KFh97/RBO4+TC++ieVl7M4pRwOgcIjydTBBBx+kg4MILDB
FO5+h6ZHx2ecNnWouv/jlrE2gg/zP4wP9r+iMJwPjpefgg5eJ9htZx81dRAG
u0cQkp52mjrI71qwL5VPEOL/6aYOB0DmKQs4vMjS/jb9ronDi9rH2eff8EHS
iSCC/xwkv9YQzucFpS8NA4cv+z5uTb8mCueHgNzzUB7OB7tnporDl523uv6W
GjqwcHbJJ/upQ+JvhzGcX/fbquBchAmcLzMvTvP0AxOHBpC4hjokf4SZOsgu
BwbkfTVo+jNzSAgJUl+QqeYAy18XQOn2tiqcDzbng4oDev4DADmMkD8=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4uUvPPT+N1o5yMyL0zz9QcUBxt/h0PTo+A01
hz/fSh/MmWjlsMX8x6EULnWH/uASleny1g5T2lujLsuoO/hcnBjzb7O1w5PE
hddM9BH8ht9WBedeqDuIT73CmXHJykFHUf5LzjV1hxOHndZm9iH4z7O0v01/
awnnG4NAMIJfBzKHwxJi3x11iDu0LODmw/gw+4u3iv4+vc8C7r4zIOBjCXd/
tILjx+QYS7j/YHyY/2H8B67xjrMMReD84LeXP85IFICbF6EaIXPuDz/cPhOQ
uzfzw93D48jnNSMTwV9ya/ljw2YeB2mQPQ9g6nng5oHpMzzw8IDxYeGFIv/X
Cq4fFt4w82F8mP2w+IK5DxafMPfD4hvmPxgf5n/09AEAaBb/xg==
            "]], 
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4mzOnwvSuZ0cWhXYVc+UCDkIf3I8n/bX0aE3
otuf8YOQg/cJdtvZcx0dgt9e/jiDUdDhd0zu0X9Gjg7V93/cMuYWgMjvdYDz
89d0385QsIfzS7aK/j7dZ+vw0DXecVagGJzfArLvijycv0kvbzFjjIrD08SF
10ze2zmwcHbJJ/upOyQevqyd2ugA59f+tio4J+EI558BgS2ODo0sR/sNw9Xg
/BZe//VTUlXh/A+L1iucXaEM4T9B8NPTgOCZo8OLLO1v0++qOOyvlbVIf+Po
MKW9NeryHlWH+/v45hgzOTlk5H9oPRmi7lAMcm+do4OZzd6gaYwaDhHi2y8y
8Dk6/P1W+mBOoIbDTemaRKO5DnA+WL0Ygg+2X8fe4cSuHb1sF9QdnoPsjbVz
kF3+wkPvvprDUxD/r43DI5DBDqoOvhcnxvxztnFwX3N0OcMOJTi/BhS+r+Xg
/BjVCJlzNSIOMQqOH5N17BzsSxxrT9/hgocfjD8TBBgd4Xxw/JVC+XN4HMyv
Hc01eYCIX/T0AQCSgPxI
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}}}, {{{40.0047, 6.195309999999999}, {40.3672, 
            7.00469}, {40.30629999999999, 7.065629999999998}, {37.1313, 
            7.065629999999998}, {36.8047, 6.2562500000000005`}, {
            36.86559999999999, 6.195309999999999}, {40.0047, 
            6.195309999999999}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxlk11Ik1EYxzebhGVG5vzIzWa2qWQrPwpZX//B+55XCrK0dHSRmswFWSYo
aM0L+1DSojAvdIUaXujFwkzChEhDrWxOsqkXamUmfaGQBmGJrJ33zTOiB56L
H+fwnOf/f54TeaogzbxKJpPJPbnfkz6eXHhw5IzNTWDJ88SnKKywwq9qc65e
C41xPnfQV8C0KaRzWKbDeLg1J0EpSOeHo1EvBoHy+sFviqAYtOvPNcuPESz/
LJ66ezQG9uqJ0zI3z7hsyXB+KNTLwwVZq4cKOQzS8NcxTqTxcQvjyVi13d0R
CbGNCg5PCqxz9aMaaGcuNzgfcrgfGBdg0WvQNV61bP7MwU75XQSorDw9D8He
3yILjUBPmTrZ0seDp1yiRr7frybLHoIbpupU+XcVcnpd28yFBI/TDSa3RcX0
Wd8vjiceCscb2s+zv+fCJqneCEH6nGu+7kMo4wv0/toQxqKejkD4p7bVmrMJ
9hUZyxyq9ZLf3Txj0T/Oy7g0/aLOwWGKzzLaCjegxNS6y9nLwUn9yt8o6e3k
pH5agpk/KyzWr+QQs7D1q21AyTiotKbIqfCyKLMriLGopzxQ6v+K9/0kquMi
h2ha71qAxC4OqvbgRh+NvzTHOB4HaP+Ta9CwN27EVuFl0e/bhPH2W02L8RkC
e+9fDmMs7ufzcLR+SdG7jYI075NqFD1SLjmCBbhpNEaAaIt9bFMEUWPT6TKV
Bi9jDTWORgKH6JcGs+ue7qxf4HGH6h3QSPV389L9uEiUUn9/cNK+LHpZ3D9X
FOPXoxmzOya08G2uMciP8+w/KCi/9XI23acwwlh8P42gtvLqCZcqGhUtma8S
rAQyGj06zOTcG0tqIyhX9N+Mz9Qheaz/bFKPZ//oYH5rJX/7CFK6PYMRtNDT
/of+/78r/Aem9K2/
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQPd9G58osMS+HHcFWEf+PCzpITL3CmcHk5XCwe1+T
ibOQw4cNAdmz5ns6yO9asC81T8Bho17eYsYaT4cI1QiZc3/4HWaCgCWCz7p4
khXjVQ9U+UYPB+HKSSVnUwQd0kAgzANi/mFhh+ASlen/LTwc3rTldhtFizro
TVjww1DPw6FNgV31zBYxB2MQ0PZwCH57+eOMRkmHMyDA4wnn77zV9Te1HMG/
kB/Pfm6np0MKyJ5lkg77a2Ut0lW8IO7Xk3IIF99+kUHNC+K+O1IOX0D+U/dy
qLn/45axtzSc/x8E7iP46SDztik43JCuSTTa6umQCuK3KUHUsSP4a7pvZzCc
94Dzwfb3eDjsza95O9NUyYEFFD6+Hg73XeMdZy1UhITHOXeHcE6xduN6BYcc
zp8L0me7Q8z9Lwvng8PxpwScrwDyzztRhze8+wxmbnJ3MAGFU7CwQ9vy8FNG
d9wd1grp8KXXCTrc38c3x1jKw8G+xLH29B1eeHxA+FwO3ifYbWd/RfCLt4r+
Pq3nCeeDnZHu6XAAFF+LuR2eJC68ZrLc00Fmo9h8pgRehxBQ/F3wdOiN6PZn
LOBziD98WTv1oyfEPZv5IennO1S/soADenoDABtyF80=
             "], CompressedData["

1:eJxTTMoPSmViYGAQBmIQHS6+/SLDPE+Hmvs/bhl7Szt4n2C3ne3r6WBiDALS
Dm6qpUyzNDwdUtKAQE3aIbhEZfr/Dx5w/sX8ePZzKxH8mSDQ6AHXrzdhwQ9D
PQ+H/ohuf8YCBL9VgV31zBZZh/21shbpJh4OIpWTSs4ekXPg9V8/JdXDwwGs
nVkBYl8GlC+s6JDN+XNB+moPB+cJzUJpuxQh7v2K4MPcC+PX/bYqOBfgCXFX
pqLD5G9s8TNyPCHmHVZwmG+jc2VWn6eD7K4F+1LfyTskHL6snTrT02F7sFXE
/3Y5B/TwAQDQMXP/
             "]}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYCYgXHj8lneH0cniQuvGair+4A4zf8tio490Ld
oSJihenZZG8HHUX5LznXMPnm147mmjgg+GdAQAY3X+VJ87yzRV5w82F8mP3i
U69wZqzycpjS3hp1WQYqf8rLQWpenOZpAaj8LS+HHQ5Nj47fUHNITwOCd14O
sstfeOjJqzmElKhM/y/g46Cwa8G+1HeiDrUgexx8HA5272sycRZyyOH8uSA9
2MfBGAQmCzi84d1nMDPLx+FF7ePs82+4HY5qWk06vR3BvyFdk2h01cfhy76P
W9O/CTgcB8k/93GQB5nfJ+SgCnKflK9D1f0ft4yzxRy+bAjInqXu58AAAgmq
DiYge7z9HDaAFK5Vc2hfHn7KKMbPYYv5j0MpXOoOf2Jyj/6r8oP7N+HwZe3U
lX7w8IDxYeH1FuReJj94eJZsFf19+pkvnA+277AvxLw76g6poPCZ5usgAQq3
R+oOc210rszqQ/D318papJcg+PbAYJ0R7Qu3D8aHuWeDXt5ixjW+cPdGiG+/
yHDO10EXZL+YusNSYDT8f+gLjx8YfyNIXw2Cf+qw09pMOzUHkU+O59Pu+jrM
WaS8889zVUj4XPF1mDGBv8qsWxXi/50+DmuFdPjS7UQg8dvhDbE/Rs1hz62u
v6nt3g4+J9htZ5eqOciD0m+rNyTeOxD8RyCHLkDwwea/VnPg8V8/JXWGN9z9
YH9u94b7Dz1/AACpPWiK
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
            "], CompressedData["
1:eJx1VHsslWEYPy7RZTg5LmNMOOf7iCJElPU0M13k+95PFyuL6CTD+IM/hDGO
1NTorA3HNdbUKN2otpJVurlPbqlZIYSFbA41Ou/39X1na+vZ3j9+e9/ned7f
7/c+r31UIiPXE4lEOpoVoFm6muWJowjBZMZoXNfMJhhpNi7zVCGwuWdRqRtp
BIGyFF1VGYJwWZhN51NjWDKIKA4uRzBgNGwh9zaB8ITW1fuVCBab5xtjLMRg
t28+uv0GAnJBOqW6tBnWcNQhCKpvrRUNmnL1HRiIPMKQVbEEFFapd3wjGHgM
2V/fDBIwa9TsXrKdAeuKU85tYhJ+3qXjVHsZuJaXe6LXhoQapZ/O4TAGxk5f
7/dy0+KsX35JnZMksHwMGXC1t1uM7yehrzXBK2sN/Re/7HWRWzUhIZ/HfP3Q
ZGnR2gck9Gf5/EDw0Ef94sxGEpz9lG2ZagTFhSbnvacJTp9lBBm43kUtDn5r
6F+aosUrs9MtvtGEkM/ypQnIQQfKs5QIzFKVyR365pAadnNnhwRBSM/V8NUa
GcjGcio6dBFsw/e3IMEF54sQlFU7PvkdRMKhtBy34BUa0hY0wlk7QQmOL1rM
9u+hobvv2IxbKQF5tcffe7yiwX3rLUm3QsbxK6VhrrphS8d+B25/Dw0zFxLy
PU6ac/5+poTzlw9+1/caomAc69Ulg1ZMaIACD+yDhBAwz4/HvN+szhOU4Pfz
DNtdMetpQe/JRw16E0604AePeb/q84fPiQoowc9cfF+FFsdvWK6KCaC4ep9I
eIbrt4cI+Tzm68/h97YUIvRn96WU4Dfbz4cC+VlNvCZAHz/AQIrTf0IG7Th+
U3AlLJ/SmTMV+BRg7C4WcEt+c7aXo5jTV0wL88f6663FrN7+NCgsM9bFGpjA
qJntu/EAjZ8j6o+edWKYwfPC0EK/xAjDTquhv35KpdCoSO9+4IvACc/jlCU3
H6EIbpu6GsdUSCD9TlNU5lHE+btbwr2nJO1/8O//8Aejq9Xz
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWaBsBiifAY3NCJVHV4NLHJcaUtXjUkOq+YPB
nQAGXgI/
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4sWTrBh9LwQ56CjKf8m5pu4QXKIy/f+SIIcp
7a1Rl++oO0SKb7/IMA/Bv3o016ShOMih4bdVwbkXCP6TxIXXTPTVHWrWbUuq
nwpVL6PukB/Pfk5yZ5DDFvMfh1K41B1ebF/P/HxPkEPALemaxEtqcL7MvDjN
0x9U4PwHrvGOswxF4Hz5XQv2peYJwM2LUI2QOfeHH26fiTEQbOaHu4fHkc9r
RiaCv+TW8seGzTwO/0Fgf5DDGTDA5Hd7vWIxOYvgg6kbuPnWOldmPdMMhpsP
48Psfywie/IpezDcfeDwfoJwv7bVpNP1DxD+g/Fh/ofxPfbXylq4q0Liwy8E
aj4PxH+TQxzsSxxrT9/hgvMZQMCBG86fMRMIIrkdOH4uSN88KcShRbyWNZON
xyECZB6Q/2Xfx63pYrwOPSD/T4SZh+D3RnT7Mxbwwfmw+ILxYfFZAIqfqSHw
+HZVLWWatSMEnh7e8O4zmHkrBJ5eYHxYeqoFxWdnCDw9ovNtQOFbi+BvePhy
6qYC3Py25eGnjFQQ5sP4MPsf7OObY+yGcJ+C48fkM5kI94OCbWYuwn8wPsz/
MH7w28sfZygKQ8LzFyJ/oOcvAFyjjBE=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4gkLfhg+8wt1eJq48JrJeVWHN7z7DGZuCnXQ
VZT/krNN1cFG58qsZ3dDHU7s2tHLtgEqbxUG5zcFes5tsAuD63+xfT3zc5sw
h1OHndZm2qnB+cdA6gsQfAYQOIDgg+0TU4fz5yxS3vnHXR1ufgPL0X7D7epw
+3VA6q+pO2x4+HLqJoYwhxdZ2t+m71WHuxemvm15+CmjLQj+1paaC5s7EfzY
3KP/NqWHwvWD5XVD4eYrOH5MPqMZimq/Vijcf7tudf1N1Q51YOHskk/WU4Xz
G35bFZzLUIHzq+//uGUcreRQEM9+ThJo3kwQ4FRwUH3SPO+sWqiDgTEQfJZ1
eLCPb46xWaiD6ieVl7NWykL8HxXqILtrwb7Ud/IOO0Hm5Yc6lB/e5jrTV8Gh
x+sVi8lUBB8sfx/BB7ufN8zBBGR+sCyc/6Ytt9tIWgLOXyOkw5e+T8hh0SQr
Rt87oQ7XeW+LpZrxO8i8fmQm1YHgp4FAHIJfGbHC9Kw51D+VApD40wmFmL9b
0EHok+P5NM5Qhweu8Y6zNopC/PstxEGkclLJWRZRB1fVUqZZHKEOB7v3NZk4
C0HiTzDUwX3N0eUMOwQg8SsT6tAT0e3PaMDr4FndrO9jFOoQoxohc24PN8T/
gaEO9iWOtafvcEHCqwjBB4fnMgQfHP7A9PGi9nH2+TW8Dl82BGTPYg9zSAf5
S03QgePngvTNZmEQ9xwWdrh6NNekwT/MoQoUf9zicP56UHjNk4LzYfEJ9r9A
GMT9PxQdzoDAjlA4H5zeJiP4T0RkTz4th/JXKELyhUeoAyi6jA8rOKDnTwCm
tpgx
            "]]}, {
           Thickness[0.01096130658774526]}, StripOnInput -> False]}, {
        ImageSize -> {91.23252801992528, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {92., 22.}, 
         PlotRange -> {{0., 91.23}, {0., 21.12}}, AspectRatio -> Automatic}]},
       "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.011000000000000001`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.011000000000000001`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}]}], "}"}],
            ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"True", ",", "True"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.7952284873476553`*^9, 3.795228525331965*^9, 3.795228624176976*^9, 
   3.795228698556491*^9, 3.795228829933517*^9, {3.7952328614346867`*^9, 
   3.7952328691117477`*^9}, {3.79525637996977*^9, 3.7952565021604767`*^9}, 
   3.795256708483235*^9, 3.7952600260945587`*^9, 3.795260578404459*^9, {
   3.795260637324193*^9, 3.795260648171019*^9}, 3.795260701739809*^9, {
   3.795320421346336*^9, 3.795320464054949*^9}, 3.795333455129352*^9, {
   3.7953741200736713`*^9, 3.795374124878537*^9}, 3.7953741663708143`*^9, 
   3.795374196483534*^9, 3.797001888813075*^9, 3.79700209097368*^9},
 CellLabel->
  "Out[328]=",ExpressionUUID->"291aabce-0e42-4de4-9398-b5a031b29d14"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"1", "+", 
      RowBox[{"w", 
       RowBox[{"(", 
        RowBox[{"w", "-", "1"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"a", "+", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{"w", "-", 
            RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
         RowBox[{"c", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"w", "-", 
             RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}]}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[Rule]", "0.5751782560799208`"}], ",", 
       RowBox[{"b", "\[Rule]", 
        RowBox[{"-", "0.021108186591137282`"}]}], ",", 
       RowBox[{"c", "\[Rule]", 
        RowBox[{"-", "0.36718902716347124`"}]}]}], "}"}]}], 
    "\[IndentingNewLine]", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"w", ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Thickness", "[", "0.01", "]"}], ",", "Red"}], "}"}]}], ",", 
   RowBox[{"PlotTheme", "\[Rule]", "\"\<Detailed\>\""}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"BaseStyle", "\[Rule]", "16"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", "None"}], ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{$w$}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<C_\\\\text{x}^w/C_\\\\text{x}^{w=0}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.795271185567038*^9, 3.7952711857395077`*^9}, {
  3.795271221072744*^9, 3.79527136918993*^9}, {3.795271403221795*^9, 
  3.795271409324882*^9}, {3.795320473116149*^9, 3.795320494687904*^9}, {
  3.795374085575988*^9, 3.795374085756888*^9}},
 CellLabel->
  "In[255]:=",ExpressionUUID->"2b3668cf-0afe-4101-b9c6-a8266ed46749"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[1, 0, 0], Thickness[0.01], Opacity[1.], LineBox[CompressedData["
1:eJwd2Hk8VVsfBnBCJUWmRJMyNFGSW7eSp2hSFEWiDE2mZJ4qhUII1SXJUIpy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       "]]},
     Annotation[#, "Charting`Private`Tag$14213#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.8561950035757245},
  BaseStyle->16,
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{
     FormBox[
      GraphicsBox[{
        Thickness[0.014374011786689667`], 
        StyleBox[{
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI1IGYC4g2qT5rn6ao6tPD6r5/yVNeh9rdVwTkONTj/
77fSB3MM1Rx8TrDbzt6q72BiDATFag7cbqqlTF0GDgZaK4UvPFGD0C6GDjWf
NgRkV6k4gIw9u8vQwXlCs1DaKiWHDXp5ixnfGDo8cI13nLVRAc4/ewYIdGTg
/C/7Pm5N/ybm8GXnra6/rYYOB7v3NZk0CzlcF/rkeP6YgUMaCKixOUyZwF9l
xq3vwKr/i+sSz1/7LeY/DqV4acP5YH/lqsH53Taeu9KcFBxkNorNZ1LgcdgR
bBXxf7mkQ7sCu+oZEyk4333N0eUMGgpw/kwQyFRyWC+kw5cuJw0JF1dVh56I
bn9GAXmHRpaj/YbTVR1Og/yxRgEuvze/5u3MpwoOHxatVzjroeRQc//HLWNt
OYf7IP8vVHBIBfmDTdZBfteCfal+MnA+KHiNg4Xg/Ou8t8VSt3E6rPj2suLM
BEU4f4dD06PjFupw/n8Q2K/loP5J5eUsTj54/AlXTio5+0TI4cRhp7WZ9/Qd
Qt5e/jjjoaiD+NQrnBmbgPEHsu+zpIP/xYkx/4QNHeaA/PtTDs5fC/L3PkU4
H+yvVGWH6aDwv23gAEs/9aB044Hgw+wHALWyAl4=
           "]], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
           "], CompressedData["
1:eJxdlHtMT2EYxyu5ZKqhxBq/mYzO9T3v+VWYeNxpJpL0ByoVkRFhc5n7bWFh
SFjui01Tw3IZE5oSwiTiDyOXkXvC/JLzvO/pPZt3Ozvn8/u95znP8/0+79N7
5oK49DZeXl7e1pVsXT7WNXRZ4smIZgqp05+PbpNB4VXKkcdulwlv58pNeSqF
vvXrC+4OMqEF11AKT7p8G1adYEL/j/5XyTgK3fc88stY5HDjxbqc5nKHvxdP
zNz/04TCd2O1Fm+HZ8+y1iZD8B1c23SAdS9v7auicC7q1/W0HBmIdKrr/ZuG
4LwdgcsjMx1md8mAiMFX4vauVQSPr2gffaBGFVyKgX9pPL9RBgTGntmdPpaI
eNGow10CJdr8Y96d7Dra2nk2GVB1Y3jRnF4mNDcteXGws/39Olu3CwQSQ0of
eAUYULapcOrtXQQqcf8EwuubTWCDv/XBE7q9j0AyvpeogYr1helw8Gifi57N
CuzLt9ZATdT3Al9Yowpm+woVwWx/D4sx75WKYObLS1VwaMGM8KpkAmt8y3ON
ENXW24DqmoQGfYUOtejrGwqv0fdoXdTLdC3TeF0+Jniw/oUaYNj83xR05o8q
uDV+Kwdvi3nvG6RA7uTFYXktFOqxnmQZVv8ZlHWvgwl6b1fjvG6yrbsd/6sE
9diHgSbE1oWuTHnocEP2+eA/VQ5HMd8dZrrESCI+86+dJPK5denC9nbF4fAD
/T1B4T3Gywzn9UdSrkdouNDH8/HDtYHHHGb3ThL3N4BCGvo4QAIT1wgKbryf
leCZlTZNp9yvMbJgls8shyswToHDvn45rtRPMj8vKZSfO5cCrOwZlOszyWHm
zxGHxz/YOe1vH1VwEOq/WBXxWPwAze57yvvG4+xfjf7VqvY5sfTC/K6qQp+M
BV82Vsar3C+PwXXuL/M+LyXczwSJ51miC2Z9flwVnBQf1+/wKRneom+6zM/r
FAkU/H+pIjgE+9hHExyL9Y3Qxft8jhA+r3rqfF7NJVCED/4azyOFcF+yVcGs
b+sVwS4UKMmeL5eJ+F7rvGjlrNNbn2UAFfwUfdto8vNdrvB5NdLN+7AjgVWo
zxY3//04gSE4Z664eR3ZhmB2Pj47zHw/RHm/zXOL8/gO62w2BfM55/BCzK/Y
nredTWhEX/JM0f//z/t/A+qpYg==
           "]], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYAJSjNCxZiR+AxksEk1hxj1lJhJLb2UuBMA
8t8CMw==
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYCYvf9tbIW6noOHmuOLmeoEHdQf9I87+wpA4c3
bbndRtXyDraVEStM7xo4PHCNd5x1Ud7hSeLCayb/oXxGBYfF9/fxzTE2hPOL
t4r+Ph2HyQ/nFGs3Xq/g8Odb6YM5iQZwvr7WSuELR3Qd1D+pvJz1UsKBhbNL
PvmdtoNI5aSSsy1yDgG3pGsSJ2k7tCqwq56ZIg+R99N2cJ7QLJQmpeCwRS9v
MWONlsPpM0DwRgHivvXqDiu/vaw4U6DgsEEV5CF1h/8gMF/e4SlI3l/DYXuw
VcT/dnkHueUvPPT2a8D96wEKD3dNB/ldC/alnpNzMAC5r0XTIeDt5Y8zFOUc
tpj/OJSSpeMwEwR2ijr8BfnnoobDDd7bYqllXA5pILBMw+Hzvo9b06dxOnid
YLedHarhsPjW8seGzJwOybF33JglEHyYe9H5YHPS2BzEp17hzDikCeevB/nn
rSbUPnaHmk8bArJ/aULcc5Pdwf/ixJh/zlpw+8Hxu1zLQRUUvp48EPdzaTtc
B+nfxufgA3KfqbbDFq8NFnMq+R1OHHZam/kP6r9KEQfRHq9XLFP0HUDBe8aH
E2LfLH2IvCSngz8ofi7pOzCAwAF2SPwyGjhogOw7yQaxT8rAwa7Esfa0DJvD
9An8VWa7DeD+QedfF/rkeP4agv9l562uv19x88HqpxnCzYfxYeGp8ZZ3n4Gn
Idz9oOBIVzGE6ueEp2ceRz6vGZpc8PRuDzJvDrcDev4AAILzXqE=
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
           30.148399999999995`, 18.239100000000004`}, {29.195299999999992`, 
           18.239100000000004`}, {23.2828, 4.809380000000001}, {
           24.235899999999997`, 4.809380000000001}, {30.148399999999995`, 
           18.239100000000004`}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI1IGYC4ov58eznNro4tPD6r5/yVNfBTbWUadYLBF/1
SfO8s59cHHxOsNvO3qrvYGIMBMyuDtwghV0GDp82BGTPknd1MNBaKXzBxdCB
ZfEkK8ZWF4i+XYYOISUq0/8LuDhs0MtbzPjGECI+yRnOh9BOcP5N6ZpEI1cn
hy87b3X9bTV0KN4q+vv0NkeH60KfHM8fM3Co/21VcO6Eg8OUCfxVZtz6EHk/
B4ct5j8OpXhpw/kbQBblqsH53Taeu9KcFBxA3krVcHTYEWwV8X+5JMS9a53g
fB6QfIEznF8Hso/BxWG9kA5fupy0wwlNq0mnt7s49ER0+zMKyDu0LQ8/ZXTG
xeH0GSBYowCX35tf83bmUwUHV1B4/nB2qLn/45axtpxDCcg9fc4OqWlAwCbr
YH7taK7JByc4H+y/DY5w/mVQ/DA6Oqz49rLizARFOH+HQ9Oj4xbqcP5/ENiv
5bCm+3YGg7sjPP5+x+Qe/XfI0eHEYae1mff0Hd7w7jOYqeTkID71CmfGJgMH
kLPPLHFy8L84MeafsKGDNyieXZ3h/Ajx7RcZriH4YP/ZuzhMB4X/bQMHWPoB
u9sDwYfZDwBtXQm7
           "]], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
           "], CompressedData["
1:eJxdlGlIFVEUx5+2mOFCe9AiLZbpW+9oRRgdq7kzI1FhSn4o37PSLLECixaM
aMHACm01TdQ0yyhboDI/VFRIi6UJtmlBhLTRAlZmZdmce8d7oQvD8OPNO/d/
/mcZt2xtQlofm83mZz4+8/E3n2lP6rOin+mwfOkL2ieDwJ74D32j3+vwdnVU
Z6GDwJk9bRm2Hzr04JlFoG/lgRl+/QyI+BR83W0QCG/fWfpwsOSDnf29R2Ml
D+mIa0pPMuDUO93Z4yd5Zbp5cj2CH+DZ64K61rw/aTd0uDSt69aKvCi46FxT
6RcruT31+JPoUMnrLw/73fBZg5jYawlHttsFz7sbMPPYY4fgWtjx+k6XEw6h
vm4NQhecP5Smu0W8mZuTq2MeuqHjwsLMYq8O31BIP4XrStSh4fbsmlVjFRh5
uCUw47XG728l/J7LGiSPqG22hXjg15Ks+r8VGtzD7+e7YSjmt0+DXcHmhVUu
oOEb/It9GvjQ72Qn92+8BiUVE+q6d9vBhucdFfk1r/UGNNZJxjSO7pTMvveZ
jD7l2AVznQ7Bo0pTpjT43NzfMmr57YEg9GG6Bk8Hm0LfEEhcP7GwJ0IT+Z7E
ugVqcDP31OL7/grPs5NCEZ6fBCah/vuSe+P3cmmsvaU4hUL+IgxMeD4eCtt+
z1jXOEDh/odRXucgK/5watVFAWdBeZcnRDKrX5Bkpu+nKhhlko+qiB+tmKdN
FXrisV71KnxHoVWEx7uk8vynEu5HuSr8YT7ekszeL1Re3xDC++WtCniNMocA
tnV6fwpto3JSSRrh9YqSzPQokvfivMVJbsV3EuXzkkq47lQK2djHKYT7s0Zy
NX63XfJHc+yKKiQz/6/IeM8x/ksKhQWhW6ZmElCxH5/J71n9mijvf9XSd48K
f9g8nbPq1e2BTTg2Eyh8RR9qrXn6okJ354ZXJRddgh2Rp4c8OuEQ7E1MmFx+
OgowbHo45XOUFMl/3yj51fWQEqVVMssvUhP/Z/Uo0fi+GuOCs7iv8jWowcEK
dvL65Wnc92yHYBfqabcLDkODvNZ+qdXEfb37opdZ/27WBbN+G23w+a63c19y
DD6fA92wGOtVaoCb5e8Gtm+vGrCgef+Sv9kewWw+vkhm+7aM8He+IeaR9Wey
5Btbx0xfOVcyny9r3w5SLH8N0f//7/t/MnulQg==
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
            3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJ+KG1+7WiuSYafw+G25eGnigwdXFRLmWY1IPg7bnX9
TZ2PyV98fx/fnM0I/v5aWYv0Lwj9MP6F/Hj2c5kIvsgnx/Npc73g/Pk2Oldm
tSH4xzWtJp1Ox+TD7IPxYe6B6Yfx13TfzmCYj+Cj+w/mnhkzgeCnLty9MD7M
P+j881fD3uhX68H5U9pboy7/0YPrh/Fh9sH4MPfA+DD3wvgw/6DzYfbB+DD3
wPTD+LDwhPHR/QcAmg7ltQ==
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{65.175, 
            21.6188}, {63.3047, 21.6188}, {62.349999999999994`, 
            20.132800000000003`}, {62.349999999999994`, 
            17.212500000000002`}, {62.349999999999994`, 
            15.798399999999999`}, {62.60309999999998, 14.579699999999997`}, {
            63.0266, 13.987499999999997`}, {63.44839999999999, 13.3969}, {
            64.12499999999999, 13.057799999999999`}, {64.87339999999999, 
            13.057799999999999`}, {66.69689999999999, 13.057799999999999`}, {
            67.6141, 14.628099999999998`}, {67.6141, 17.718799999999998`}, {
            67.6141, 20.362499999999997`}, {66.82969999999999, 21.6188}, {
            65.175, 21.6188}}, {{64.9578, 21.195300000000003`}, {66.1297, 
            21.195300000000003`}, {66.60000000000001, 20.012500000000003`}, {
            66.60000000000001, 17.115599999999997`}, {66.60000000000001, 
            14.5438}, {66.14059999999999, 13.481299999999997`}, {
            65.02969999999999, 13.481299999999997`}, {63.859399999999994`, 
            13.481299999999997`}, {63.364099999999986`, 
            14.699999999999998`}, {63.364099999999986`, 17.6469}, {
            63.364099999999986`, 20.1938}, {63.8109, 21.195300000000003`}, {
            64.9578, 21.195300000000003`}}}], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYAJSjNCxZiR+AxksEk1hxj1lJhJLb2UuBMA
8t8CMw==
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4hzOnwvSH7s5eKw5upyhQtxhTfftDIb97g5v
2nK7jarlHSyuHc01OeHu8MA13nHWRXmHHq9XLCY3oXxGBQew/s8IfnCJyvT/
HB4Y/HBOsXbj9QoOElOvcGZ0ucP5ak+a55095eag/knl5ayXEg63pGsSjULd
HEQqJ5WcbZFz0Juw4IehnZtDqwK76pkp8g43QfK6bg7OE5qF0qQUHFxVS5lm
/XB1OH0GCN4oOAh9cjyf5urqsPLby4ozBQoOLIsnWTH6ujr8B4H58g4iIPlc
V4ftwVYR/9vlHRIOX9ZO7XSF+xfsn9WuDvK7FuxLPSfnoApy3y5Xh4C3lz/O
UJRzaFsefsqoxM1hJgjsFHWIEN9+kaHP1eEG722x1DIuBxNjIGh2dfi87+PW
9GmckPDMd3VYfGv5Y0NmTodPGwKyZ8Uj+DD3ovPTwIDN4cE+vjnGpxB8VpB/
rsLsY4fEzw1XiHtusju84d1nMPMVwn6wf5jdHFRB4evJA3G/jJvDdZD+bXwQ
96m7OWzx2mAxp5IfEr8zof6rFHGYZ6NzZZaduwMoeM/4cELsc3CHyEtyQuLH
z92BAQQOsEPiN8rdQQNk30k2h5Ktor9Pp7k72JU41p6WYXN4krjwmsl2d7h/
0Png+DqK4E/5xhY/4wpuPli9qgfcfBgfFp5g9/1DuL8iYoXp2dcw/Zzw9Mzj
yOc1Q5MLnt7tQebN4XZAzx8Ad9pWsg==
           "]]}, {
          Thickness[0.014374011786689667`]}, StripOnInput -> False]}, {
       ImageSize -> {69.57107845579078, 22.58844333748443}, BaselinePosition -> 
        Scaled[0.29815266074630126`], ImageSize -> {70., 23.}, 
        PlotRange -> {{0., 69.57}, {0., 22.59}}, AspectRatio -> Automatic}], 
      TraditionalForm], None}, {
     FormBox[
      GraphicsBox[{
        Thickness[0.07194244604316546], 
        StyleBox[{
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
           "], CompressedData["
1:eJxdlGtsS2EYx9tuU7UL66zoWm21p7edGDoyMvYgzBaxZm6VuGzoOopJfCBG
5j5sWOKyYmbuJMRcZrMwRGbYzNyvyYR9WBlmZMHY9H3f02eJJzlpfuk5//f/
XN5HNz8r1RkgEonEvifN90h8T/+9T2WZEgOUw4b3NS+tcHHwsmPi2QaouT3u
3KIxVtgUmnJ+zwkDNKUfeR6bZQWJbLtmwRcDJN5Yq47LtcLCOW8nBsRxyJH5
yR8D+xqRJ9+Vjj641wgtK8oiO2otyM4MX2wxI48v2CjP+KiHM+3eVXXr9FAx
dZSjK1ENdTS0yNM+P/nmuaVBXtP487XNPRBibb54okFuPXpe++C0Drn3HHvj
MJMezsn5MFfnQHjv6Ff+CDjUu0/yLfb5Plt9SrRVx/JaxcNMmSLXlqKDMlKf
Ch5MbQbvAa+a1SWIh8YJ88YeCFdB2rRUU0mSCTSVJVXOKVGgLJ5rqbVzwvlK
8BT0Xj0i2ADEpm13f3hrUZ/tmjoIrpI8pAq4mVe1IfaDBmZzDlV9UQTml6uV
cnWXw5Ffhr5RONvDkKkfWQjm4eevJP8KHfKI+Oup+9ZzICJR0gfWB1bvGlpo
Zv4+KVg/jDzzk6jAfG8RXwGRQv952OnISxEP6Qs55PuZPPPhkiP79f0cMjYs
2eMNZvPg4qEsuTSuaGRP6CKRw7O+XeoBRUf1V//kCvqtQVBdWbGjRwHP+j+5
m5vXfnA/5LuZ+j4ZgMx0Jai/n8QAMfo5fHf3cffJzoSHz2a0xGRHQ0PHnRfF
rzoSYnSaH0tmWCEo5nevx/k/E/z1aZriTfur6UQup/7FzFeLBVQXFIclWgls
Iv+vtLJ8zwSCivS/wcr6dUWKTP3M6onMfMqQXbQPwaweNYKeJYS9d8MK+bT+
ocg/qr6VuZ6HIbPfPsibyfzsCUe9bNLv6AhoIvP/TvDzS47v0/n3yEFzqnnS
4ByBHXLw14fOw/hwKCV74poF7E1Jj4dHSNl9cBoFHQk0kPpGGZCpTqYO2UMP
VrP+26SMBygZfw9Fpn6DI5BZ/RT4Pe1DSBRMoj710LJlad6wbCXkxSdVZrQJ
85+kFOrazVTXrUVmdVSBndwjnQrP8+8LP28juvJByOs6Ri2vz+TYeeO07J6l
m6B5cXR74SGDsA/NsCirdfO9WKOwZ8yQTPbedDMynceDFuRCsi/c0Wxv1Jrw
PmbQeTci0z7Ed/OatlK7+zXH9pdHmP/9HM7///v+HzuKo1w=
           "]]}, {
          Thickness[0.07194244604316546]}, StripOnInput -> False]}, {
       ImageSize -> {13.899716064757161`, 21.12078704856787}, 
        BaselinePosition -> Scaled[0.31887090512778543`], 
        ImageSize -> {14., 22.}, PlotRange -> {{0., 13.9}, {0., 21.12}}, 
        AspectRatio -> Automatic}], TraditionalForm], None}},
  FrameStyle->Automatic,
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{Automatic, Automatic},
  GridLinesStyle->Directive[
    GrayLevel[0.4, 0.5], 
    AbsoluteThickness[1], 
    AbsoluteDashing[{1, 2}]],
  ImagePadding->All,
  ImageSize->Medium,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1}, {0.8561950035757245, 0.9999999903504714}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.795271186187059*^9, 3.79527122750694*^9, 3.795271258408072*^9, {
   3.795271313958558*^9, 3.7952713706693087`*^9}, 3.795271410179556*^9, {
   3.7953204865681677`*^9, 3.795320495074655*^9}, 3.797001833169868*^9},
 CellLabel->
  "Out[255]=",ExpressionUUID->"b5742a85-dea6-4c18-9951-2ce62dadcb19"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"EwGICS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"w", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          FractionBox[
           RowBox[{
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"Length", "[", "S51", "]"}], ",", "2"}], 
             "\[RightDoubleBracket]"}], "-", 
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}], 
           RowBox[{
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"Length", "[", "S51", "]"}], ",", "1"}], 
             "\[RightDoubleBracket]"}], "-", 
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}]], ")"}], 
         "w"}], "+", 
        RowBox[{"S51", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "0", ",", 
       RowBox[{"1", "/", "2"}], ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7951868800633287`*^9, 3.795186906047873*^9}, 
   3.795186943696643*^9, {3.796960473191003*^9, 3.7969604904172783`*^9}, {
   3.79696081944804*^9, 3.796960819524157*^9}, {3.796961007168128*^9, 
   3.796961011950161*^9}, {3.7969658177348843`*^9, 3.79696585256777*^9}, 
   3.796966901567*^9, {3.796966985621662*^9, 3.796966985913529*^9}, {
   3.7971529313048697`*^9, 3.797152976655203*^9}, {3.797173787515482*^9, 
   3.7971737918027067`*^9}, {3.797325772053528*^9, 3.797325772522493*^9}},
 CellLabel->
  "In[693]:=",ExpressionUUID->"a3de568f-6397-4cbb-b5f7-b0dab8cb97bf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindFit", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"EwS51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       FractionBox[
        RowBox[{
         RowBox[{"EwGICS51", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
         RowBox[{"EwS51", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
        RowBox[{"ExS51", "\[LeftDoubleBracket]", 
         RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{
        RowBox[{"\[LeftFloor]", 
         FractionBox[
          RowBox[{"Length", "[", "S51", "]"}], "2"], "\[RightFloor]"}], "+", 
        "1"}]}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"-", "w"}], 
    RowBox[{"(", 
     RowBox[{"1", "-", "w"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"a", "+", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"w", "-", 
         FractionBox["1", "2"]}], ")"}]}], "+", 
      RowBox[{"c", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"w", "-", 
          FractionBox["1", "2"]}], ")"}], "2"]}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", "w", ",", 
   RowBox[{"MaxIterations", "\[Rule]", "1000"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.794972349954073*^9, 3.7949723548082647`*^9}, {
   3.794972398737747*^9, 3.794972405442884*^9}, {3.7949735538736134`*^9, 
   3.794973553988997*^9}, {3.794973610975874*^9, 3.7949736317376328`*^9}, {
   3.794978349851636*^9, 3.794978356745721*^9}, {3.7949786098317823`*^9, 
   3.79497862237997*^9}, 3.795186684749942*^9, {3.795186714971677*^9, 
   3.795186719931954*^9}, {3.795186820912775*^9, 3.7951868219027643`*^9}, {
   3.796960856495716*^9, 3.796960897036413*^9}, {3.7969658353503113`*^9, 
   3.796965844804584*^9}, {3.796966992527972*^9, 3.7969669925994062`*^9}, {
   3.7971530005732317`*^9, 3.7971530150085793`*^9}, {3.797153121625874*^9, 
   3.797153125237859*^9}, {3.7971532091824217`*^9, 3.797153212417316*^9}, {
   3.7971532443887787`*^9, 3.797153256949741*^9}, {3.797154079409487*^9, 
   3.797154089065996*^9}, {3.79715590598278*^9, 3.797155906136916*^9}, {
   3.797156022107486*^9, 3.7971560224449*^9}, {3.797173794957734*^9, 
   3.797173828422369*^9}, {3.797173874959502*^9, 3.7971738949350986`*^9}},
 CellLabel->
  "In[694]:=",ExpressionUUID->"fdbd10c2-f3dd-4f14-a3d6-dc11f0091954"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "\[Rule]", "0.01916892138597903`"}], ",", 
   RowBox[{"b", "\[Rule]", 
    RowBox[{"-", "0.015604143262232927`"}]}], ",", 
   RowBox[{"c", "\[Rule]", 
    RowBox[{"-", "0.0130645039364982`"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.796966871864334*^9, 3.7969669058140287`*^9, 3.796966992909431*^9, 
   3.7971529784699*^9, {3.797153009959942*^9, 3.797153015328539*^9}, {
   3.797153096701326*^9, 3.797153125589552*^9}, 3.797153212743939*^9, {
   3.797153248540757*^9, 3.7971532573123703`*^9}, {3.797154081207383*^9, 
   3.79715409065403*^9}, 3.797155408333839*^9, 3.797155906468829*^9, 
   3.797156023054275*^9, {3.797173784284717*^9, 3.797173828807358*^9}, 
   3.797173895295682*^9, {3.7971779290862637`*^9, 3.79717795223633*^9}, 
   3.7971779873712378`*^9, 3.797178341230398*^9, 3.797182776352475*^9, {
   3.797325774930916*^9, 3.797325798115172*^9}, 3.797326076129601*^9, {
   3.797328140383293*^9, 3.7973281675919447`*^9}, 3.797328333047132*^9},
 CellLabel->
  "Out[694]=",ExpressionUUID->"79329edf-52d4-457d-a672-1025b9595c66"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"EwGICS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"w", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          FractionBox[
           RowBox[{
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"Length", "[", "S51", "]"}], ",", "2"}], 
             "\[RightDoubleBracket]"}], "-", 
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}], 
           RowBox[{
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"Length", "[", "S51", "]"}], ",", "1"}], 
             "\[RightDoubleBracket]"}], "-", 
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}]], ")"}], 
         "w"}], "+", 
        RowBox[{"S51", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "0", ",", "1", ",", "0.025"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7951868800633287`*^9, 3.795186906047873*^9}, 
   3.795186943696643*^9, {3.796960473191003*^9, 3.7969604904172783`*^9}, {
   3.79696081944804*^9, 3.796960819524157*^9}, {3.796961007168128*^9, 
   3.796961011950161*^9}, {3.7969658177348843`*^9, 3.79696585256777*^9}, 
   3.796966901567*^9, {3.796966985621662*^9, 3.796966985913529*^9}, {
   3.7971529313048697`*^9, 3.797152976655203*^9}, {3.797173787515482*^9, 
   3.7971737918027067`*^9}, 3.797182745769759*^9, {3.797326303185267*^9, 
   3.79732630341575*^9}, {3.797438423364153*^9, 3.797438423886713*^9}},
 CellLabel->
  "In[302]:=",ExpressionUUID->"225241c3-33d9-4310-84ba-d8734640e0de"],

Cell[BoxData[
 RowBox[{"FindFit", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"EwS51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       FractionBox[
        RowBox[{
         RowBox[{"EwGICS51", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
         RowBox[{"EwS51", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
        RowBox[{"ExS51", "\[LeftDoubleBracket]", 
         RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"-", "w"}], 
    RowBox[{"(", 
     RowBox[{"1", "-", "w"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"a", "+", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"w", "-", 
         FractionBox["1", "2"]}], ")"}]}], "+", 
      RowBox[{"c", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"w", "-", 
          FractionBox["1", "2"]}], ")"}], "2"]}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", "w", ",", 
   RowBox[{"MaxIterations", "\[Rule]", "1000"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.794972349954073*^9, 3.7949723548082647`*^9}, {
   3.794972398737747*^9, 3.794972405442884*^9}, {3.7949735538736134`*^9, 
   3.794973553988997*^9}, {3.794973610975874*^9, 3.7949736317376328`*^9}, {
   3.794978349851636*^9, 3.794978356745721*^9}, {3.7949786098317823`*^9, 
   3.79497862237997*^9}, 3.795186684749942*^9, {3.795186714971677*^9, 
   3.795186719931954*^9}, {3.795186820912775*^9, 3.7951868219027643`*^9}, {
   3.796960856495716*^9, 3.796960897036413*^9}, {3.7969658353503113`*^9, 
   3.796965844804584*^9}, {3.796966992527972*^9, 3.7969669925994062`*^9}, {
   3.7971530005732317`*^9, 3.7971530150085793`*^9}, {3.797153121625874*^9, 
   3.797153125237859*^9}, {3.7971532091824217`*^9, 3.797153212417316*^9}, {
   3.7971532443887787`*^9, 3.797153256949741*^9}, {3.797154079409487*^9, 
   3.797154089065996*^9}, {3.79715590598278*^9, 3.797155906136916*^9}, {
   3.797156022107486*^9, 3.7971560224449*^9}, {3.797173794957734*^9, 
   3.797173828422369*^9}, {3.797173874959502*^9, 3.7971738949350986`*^9}, {
   3.7971827537779617`*^9, 3.797182757170741*^9}, {3.797438414615427*^9, 
   3.797438415076228*^9}},
 CellLabel->
  "In[303]:=",ExpressionUUID->"3f531de4-75e7-4225-8e55-c8e46d93b5af"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "\[Rule]", "0.01922622507087411`"}], ",", 
   RowBox[{"b", "\[Rule]", 
    RowBox[{"-", "0.01799647558018601`"}]}], ",", 
   RowBox[{"c", "\[Rule]", 
    RowBox[{"-", "0.022945430666782573`"}]}]}], "}"}]], "Input",
 CellChangeTimes->{{3.797438443140826*^9, 3.79743846382897*^9}},
 CellLabel->
  "In[304]:=",ExpressionUUID->"4807fbf5-b84c-4d81-ab8b-fc347158d244"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "\[Rule]", "0.01922622507087411`"}], ",", 
   RowBox[{"b", "\[Rule]", 
    RowBox[{"-", "0.01799647558018601`"}]}], ",", 
   RowBox[{"c", "\[Rule]", 
    RowBox[{"-", "0.022945430666782573`"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7974384431823463`*^9},
 CellLabel->
  "Out[304]=",ExpressionUUID->"21bc6cf6-accb-4361-ad00-dfc71d4c52b7"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ListPlot", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"EwS51", "\[LeftDoubleBracket]", 
            RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
           FractionBox[
            RowBox[{
             RowBox[{"EwGICS51", "\[LeftDoubleBracket]", 
              RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
             RowBox[{"EwS51", "\[LeftDoubleBracket]", 
              RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
            RowBox[{"ExS51", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]]}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"Length", "[", "EwS51", "]"}]}], "}"}]}], "]"}], 
       "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
      "\[IndentingNewLine]", "OptionsPlot", ",", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", "Automatic"}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"MaTeX", "[", 
          RowBox[{"\"\<\\\\text{Weight $w$}\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"MaTeX", "[", 
          RowBox[{"\"\<\\\\text{Excitation energy (eV)}\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotLegends", "\[Rule]", "Automatic"}]}], 
     "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"w", 
         RowBox[{"(", 
          RowBox[{"w", "-", "1"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"a", "+", 
           RowBox[{"b", " ", 
            RowBox[{"(", 
             RowBox[{"w", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
           RowBox[{"c", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"w", "-", 
               RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}], "/.", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "\[Rule]", "0.5094314403492467`"}], ",", 
           RowBox[{"b", "\[Rule]", "0.9182410165442554`"}], ",", 
           RowBox[{"c", "\[Rule]", "0.8477210543586113`"}]}], "}"}], "|"}]}], 
       "\[IndentingNewLine]", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w", ",", "0", ",", "1"}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}]}], 
   "\[IndentingNewLine]", "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.794935354904318*^9, 3.7949353697005653`*^9}, {
   3.794936088567958*^9, 3.794936113022936*^9}, {3.794936144429874*^9, 
   3.794936337776998*^9}, {3.794936391029435*^9, 3.794936435138995*^9}, {
   3.794936478816742*^9, 3.794936491177528*^9}, {3.794972228989231*^9, 
   3.79497224723491*^9}, {3.7949722942821302`*^9, 3.794972313743471*^9}, {
   3.794972361724415*^9, 3.7949724163308496`*^9}, {3.7949735692321*^9, 
   3.7949736225484343`*^9}, {3.794979441159519*^9, 3.7949794610845413`*^9}, {
   3.795103557050374*^9, 3.795103563311448*^9}, {3.7951058191292257`*^9, 
   3.795105819603261*^9}, 3.7951058755165052`*^9, {3.795106135194106*^9, 
   3.795106135806675*^9}, {3.795175778987041*^9, 3.7951757898837233`*^9}, {
   3.795230674508573*^9, 3.7952307464315357`*^9}, 3.79536893160163*^9, {
   3.797001960635861*^9, 3.7970019812789516`*^9}},
 EmphasizeSyntaxErrors->True,
 CellLabel->
  "In[264]:=",ExpressionUUID->"b73e1773-6edf-420d-97ea-e2f403c9a519"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"w", 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"a", "+", 
       RowBox[{"b", " ", 
        RowBox[{"(", 
         RowBox[{"w", "-", 
          RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
       RowBox[{"c", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"w", "-", 
           RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "\[Rule]", "0.5751782560799208`"}], ",", 
      RowBox[{"b", "\[Rule]", 
       RowBox[{"-", "0.021108186591137282`"}]}], ",", 
      RowBox[{"c", "\[Rule]", 
       RowBox[{"-", "0.36718902716347124`"}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"w", ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.795274451688439*^9, 3.7952744574357033`*^9}},
 CellLabel->
  "In[1202]:=",ExpressionUUID->"ae070d17-12b4-413c-af0d-ea06f0509ac1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", 
    RowBox[{"0.49393509258462165`", " ", "w"}]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "w", "]"}], "2"],
    SeriesData[$CellContext`w, 0, {}, 1, 2, 1],
    Editable->False]}],
  SeriesData[$CellContext`w, 0, {-0.49393509258462165`}, 1, 2, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.795274457844681*^9},
 CellLabel->
  "Out[1202]=",ExpressionUUID->"61fa5d44-992e-4d43-a6ce-8a99de64cd72"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"w", 
      RowBox[{"(", 
       RowBox[{"w", "-", "1"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"a", "+", 
        RowBox[{"b", " ", 
         RowBox[{"(", 
          RowBox[{"w", "-", 
           RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
        RowBox[{"c", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"w", "-", 
            RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}], ",", "w"}], 
    "]"}], "\[Equal]", 
   RowBox[{
    RowBox[{"b", "/", "2"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", "a"}], "+", 
       RowBox[{"c", "/", "2"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"w", "-", 
       RowBox[{"1", "/", "2"}]}], ")"}]}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "w"}], ")"}], " ", "w", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "b"}], "+", 
       RowBox[{"4", "c", " ", 
        RowBox[{"(", " ", 
         RowBox[{"w", "-", 
          RowBox[{"1", "/", "2"}]}], ")"}]}]}], " ", ")"}]}]}]}], "//", 
  "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.7949370651500597`*^9, 3.794937066730398*^9}, {
  3.7949371495355062`*^9, 3.79493719477534*^9}, {3.794974060942031*^9, 
  3.794974260720233*^9}, {3.7949743620211554`*^9, 3.794974365950899*^9}},
 CellLabel->
  "In[316]:=",ExpressionUUID->"ce7948e3-c67c-4204-92e1-3e37d62a77b7"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.794974204689193*^9, 3.794974256807588*^9}, 
   3.79497436623484*^9, 3.795075488474606*^9, 3.795100892968708*^9, 
   3.795104726516293*^9},
 CellLabel->
  "Out[316]=",ExpressionUUID->"6ae43642-bb7b-4b1a-b6de-404d687ba225"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"w", 
      RowBox[{"(", 
       RowBox[{"w", "-", "1"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"a", "+", 
        RowBox[{"b", " ", 
         RowBox[{"(", 
          RowBox[{"w", "-", 
           RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
        RowBox[{"c", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"w", "-", 
            RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}], ",", "w"}], 
    "]"}], "\[Equal]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"b", "/", "2"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "a"}], "+", 
        RowBox[{"c", "/", "2"}]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"w", "-", 
        RowBox[{"1", "/", "2"}]}], ")"}]}], " ", "-", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "w"}], ")"}], "w", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"3", "b"}], "+", 
        RowBox[{"4", "c", 
         RowBox[{"(", 
          RowBox[{"w", "-", 
           RowBox[{"1", "/", "2"}]}], ")"}]}]}], ")"}]}]}], ")"}]}], "//", 
  "Simplify"}]], "Input",
 CellChangeTimes->{{3.795188344891748*^9, 3.795188396704487*^9}},
 CellLabel->
  "In[611]:=",ExpressionUUID->"780b7dbf-22a6-48a3-8616-b43d7eee891d"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.795188396994575*^9},
 CellLabel->
  "Out[611]=",ExpressionUUID->"0ea470b4-e8d3-4f6a-a60a-5be97255d2dc"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Helium atom", "Section",
 CellChangeTimes->{{3.795229671641378*^9, 
  3.795229673308004*^9}},ExpressionUUID->"7e57ea5d-eda6-4859-be05-\
fbdab0057af8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SizeLegend", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SizeLabel", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OptionsPlot", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"PlotTheme", "\[Rule]", "\"\<Detailed\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"BaseStyle", "\[Rule]", "20"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "Large"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotMarkers", "\[Rule]", "\"\<OpenMarkers\>\""}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.794540683050015*^9, 3.7945407337659616`*^9}, {
  3.794540916706895*^9, 3.794540919301409*^9}, {3.7945409833608*^9, 
  3.794541016455935*^9}, {3.794541092492181*^9, 3.794541108916753*^9}, {
  3.794541142013291*^9, 3.7945411530351143`*^9}},
 CellLabel->
  "In[305]:=",ExpressionUUID->"9b0a9925-7ea3-472a-8b52-c47b533609b7"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SVWN5", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/He_aug-cc-pvtz_RS51_RVWN5.dat\>\"",
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GIC", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/He_aug-cc-pvtz_RGIC_H.dat\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GICVWN5", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/He_aug-cc-pvtz_RGIC_RVWN5.dat\>\"",
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GICMFL", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/He_aug-cc-pvtz_RGIC_RMFL20.dat\>\"\
", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"S51", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/He_aug-cc-pvtz_RS51_H.dat\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MFL", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/He_aug-cc-pvtz_RMFL20_H.dat\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MFLVWN5", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/He_aug-cc-pvtz_RMFL20_RVWN5.dat\>\"\
", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MFLMFL", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/He_aug-cc-pvtz_RMFL20_RMFL20.dat\>\
\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "4"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]S51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]S51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{"S51", "\[LeftDoubleBracket]", 
         RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "-", "2.126"}]}],
       " ", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwSVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "SVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]SVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "SVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]SVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
         RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "-", "2.126"}]}],
       " ", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "SVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwGIC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GIC", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]GIC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GIC", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]GIC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{"GIC", "\[LeftDoubleBracket]", 
         RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "-", "2.126"}]}],
       " ", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GIC", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwGICVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]GICVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]GICVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
         RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "-", "2.126"}]}],
       " ", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwGICMFL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICMFL", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]GICMFL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICMFL", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]GICMFL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
         RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "-", "2.126"}]}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICMFL", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FCI", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "2.126"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "2"}], ",", "2.126"}], "}"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.794501066968334*^9, 3.794501074657475*^9}, {
   3.794503735604389*^9, 3.794503791366263*^9}, {3.79451020762436*^9, 
   3.79451020988175*^9}, {3.794540806783524*^9, 3.794540851124797*^9}, {
   3.7945410397824907`*^9, 3.794541083882888*^9}, {3.7945411227990217`*^9, 
   3.7945411280593863`*^9}, {3.794541165095499*^9, 3.794541166622898*^9}, {
   3.7945472498903913`*^9, 3.7945473807177343`*^9}, {3.7945474272687597`*^9, 
   3.794547461744211*^9}, {3.794900348058032*^9, 3.794900368804553*^9}, {
   3.794900410151533*^9, 3.794900421131607*^9}, {3.794900739402335*^9, 
   3.794900744670704*^9}, {3.79491627348487*^9, 3.7949163563936033`*^9}, {
   3.794916586215969*^9, 3.794916587482777*^9}, {3.794917607064766*^9, 
   3.7949176135972347`*^9}, {3.7949301846680803`*^9, 3.794930195844509*^9}, {
   3.794930417999261*^9, 3.7949304697676907`*^9}, {3.794931503320519*^9, 
   3.794931511816743*^9}, {3.7949316100635023`*^9, 3.794931620263546*^9}, {
   3.794972026273691*^9, 3.794972032798369*^9}, {3.794972178387083*^9, 
   3.794972186081249*^9}, {3.794977487871182*^9, 3.794977515384416*^9}, {
   3.795073823166991*^9, 3.7950738601496477`*^9}, {3.795100458365831*^9, 
   3.795100463907539*^9}, {3.795228154043581*^9, 3.795228276884901*^9}, {
   3.795228422474807*^9, 3.795228459618166*^9}, {3.795228511688449*^9, 
   3.795228518616336*^9}, {3.795229653887946*^9, 3.7952296564818773`*^9}, {
   3.7952299351119957`*^9, 3.795229946317111*^9}, {3.7952323977261066`*^9, 
   3.795232428577813*^9}, {3.7952326365150414`*^9, 3.795232664939598*^9}, 
   3.7952334073541927`*^9, {3.7973291080755863`*^9, 3.797329114599559*^9}, {
   3.797332904956819*^9, 3.797332909842112*^9}, 3.79734717204576*^9, {
   3.797349854162724*^9, 3.7973498564458447`*^9}, {3.797438288149208*^9, 
   3.797438315981247*^9}, {3.797439938336424*^9, 3.7974399401826677`*^9}, {
   3.7974405606491957`*^9, 3.79744056228792*^9}},
 CellLabel->
  "In[364]:=",ExpressionUUID->"e2303c87-a8e1-4df1-944f-cd2b088263a9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"EwS51", ",", "EwGIC", ",", "EwGICVWN5", ",", "EwGICMFL"}], 
    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", "OptionsPlot", 
   ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{Weight $w$}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{Ensemble energy (au)}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotLegends", "\[Rule]", "Automatic"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.79454995818198*^9, 3.794550056582102*^9}, {
   3.794550957011647*^9, 3.7945509784674997`*^9}, 3.794892333111104*^9, {
   3.79490037305298*^9, 3.7949003770798197`*^9}, {3.794916592518004*^9, 
   3.794916626048287*^9}, {3.794930476815817*^9, 3.794930480443349*^9}, {
   3.794931518527726*^9, 3.794931519392357*^9}, {3.79493354307712*^9, 
   3.794933553197998*^9}, {3.794972040069544*^9, 3.794972042552458*^9}, {
   3.7949721910558653`*^9, 3.794972192842806*^9}, {3.7949775204673853`*^9, 
   3.7949775312736483`*^9}, {3.794978381473041*^9, 3.7949783970796556`*^9}, {
   3.795073864198514*^9, 3.79507393069709*^9}, {3.795076973455983*^9, 
   3.795076974417272*^9}, {3.795100472598009*^9, 3.795100483237753*^9}, {
   3.795105886424511*^9, 3.795105957955182*^9}, 3.795105995644155*^9, {
   3.7951060547985277`*^9, 3.7951060607916527`*^9}, {3.7951060976578093`*^9, 
   3.795106098222701*^9}, {3.795106200441524*^9, 3.795106266273793*^9}, {
   3.795106502392468*^9, 3.795106503592857*^9}, {3.795107856815571*^9, 
   3.795107857226839*^9}, 3.795110695730279*^9, {3.79517649385334*^9, 
   3.795176494118764*^9}, {3.795176525807382*^9, 3.795176526243072*^9}, {
   3.7951768984943933`*^9, 3.795176905818042*^9}, {3.7951869594189787`*^9, 
   3.79518697430476*^9}, {3.795228294805068*^9, 3.79522836098522*^9}, {
   3.795228400831469*^9, 3.795228404849593*^9}, 3.795229959061273*^9, {
   3.795232133821591*^9, 3.795232141364579*^9}, {3.795232282080625*^9, 
   3.795232284414041*^9}, {3.7952330715036163`*^9, 3.7952330793260612`*^9}, {
   3.7952333806503067`*^9, 3.795233383617176*^9}},
 CellLabel->
  "In[358]:=",ExpressionUUID->"c25cd409-06ed-474f-bd83-a59b0babaccb"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJw1zW1IU1EYB/B7t2sJyagPSn5IkD6EQdHY6IOL/kRgUH0pEJfJEnuHIGGL
XCDWopoQlC/gCjSIQMoFUkqsJvdEYsw2WCozaa47va7bmk7L5WzTXnaf/eFw
OJzn/3vKGy4fP6vhOK7i3/l/52PWb/N4fQXs4YNcUFsXb8m2599PMbX1V4+2
toAZcnmJw76h4day/L8H3sohnV0SmKoxvI15r79/JND8OwhFJayxTmDnchnB
xWezd60lAvV96F3eeDIY0LKAPxdUHCi2OR1a8oJ4o69v7DZqaf4jHk/2JjbL
GvLHYT106YJ8X0P9CSBUvb/UpKF9IbTdtvX1z/DkfUL0RFek7w5P3hTCr3dv
KtrJk/cZc8+3NI/5OPLCqMnY3dx5jrwI1szXjrl4jjwJ/m5Tcq/hj6jOS7BU
ubeXWtZF1Y8i0zlYNn1zTVT7M0jd+CK3PsmK6r5ZNI2IYztYRlQ9Gf52e4iF
fpMnI2AxvahXVsmbg2Oi/GhxKk1eDC1tii6ZXSHvKzoHqxt4boU8BfqmIwdP
r6fIU9ARrCrck14m7xv8A5NnnPM/yYvDWOMa7Yj8IO87pm1XzY4PS+QlsCSl
++8NLJKXQNeVqEdnTJI3D+ew2+BKJ8hbQE/kljT6Kk5eEoWGZtc+q0LeIk6F
Vzcs7IqJfwHSsUPj
         "]]}, {
        Hue[0.9060679774997897, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJxTTMoPSmViYGDQBGIQDQNbT5wq4TvJemDWTDCw/2Jq92BDHIy/0v6I4kVm
mW8sB4zBYLP9XIWlWfP7WKDyO+3dVshwXVFnOQAx7YD9rbc/ePIPMkPVH7b3
/nhU2iKa+UAaGByz/yOQx8b6lQmq/6T9+lX3lLb3MR04ewYM7JdtaUu21GCC
mnfB3nJO56m6g4xQ9RfteXcJCjVGMULNv2x/9cKzMvvPDFD9V+wbf9yfvbeb
AWrfNXu1mYqNTCoMUPNu2Kdrn5PQr/i/H2LeTfuNzued+Ff82w8x77b9D+k3
k/dc/7sfYt4d+67+S7d92f/uh5h3z75hyXTzG2Z/9kPMe2DfZa96LDftN1T9
A3v/yR7NMtN+Qc1/aH/zlp3v26M/ofof2d+Uc5R6/PUH1L7H9tFpe1J/qf6A
mvfEvsHywT2NsO9Q857YT7PqT41t+wY176l9zrXIjIZtX6HmPbPPd56+veTZ
F6h5z+1VxSZ8kBD7AjXvhX1Z5Zylnq6foea9sL+zd27Vk+JPUPNe2h+O6q47
s/Aj1LxX9j+fvFT5cO4D1LzX9lnecbcXfXsPNe+NfVTcczElv3dQ897Ym56M
2PN7yRuoeW/tZ+Ulmof9eQU17539TJO4ZJWwl1Dz3tuntf/+Nmfrc6h5H+xv
PP7AX6PwbD8AdYJDQg==
         "]]}, {
        Hue[0.1421359549995791, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJxTTMoPSmViYGDQBGIQDQPyuXEtJ9ewHZg1EwzsKxPC2ZTsYPyV9iLP/fin
XWQ9YAwGm+27k9m9/NNYofI77RfMk0u69ZvlAMS0A/baP1XePJ3IAlV/2H7X
eZFiUw2WA2lgcMw+2LaUac4+Zqj+k/bS6yYy/gxhPnD2DBjYJ89hZzF7zQQ1
74J9tb2hsGsjE1T9RfvrCo3W8uJMUPMv2y+Y9c3l8BpGqP4r9lW+fZ0mToxQ
+67Z77dWfVx5nQFq3g179tg7a+bkMEDNu2kvJLj02nJGBqh5t+1/aEwQ9tP9
vx9i3h17r8r2vd7h//ZDzLtn779wq2dc49/9EPMe2E9X2lkxY/UfqPoH9g3c
Rlyc137vh5j/0N7vZ8GxnQy/ofof2XutVty1TvvXfoh9j+0PHTq++mnYT6h5
T+zteLmuhjb9gJr3xP6OGP/b92u/Q817as+67/q0eTe/Qc17Zr9dz9nDnfUb
1Lzn9hnHb5w5bfAVat4L+xl/+bp4Yr5AzXthrxaZt/d122eoeS/tFy30+Bu4
8RPUvFf2M34EJZrc/gg177X9wxuBj+awfISa98Y++b7aia26H6DmvbH3ua3M
tHntO6h5b+13L1ffFcT4FmreO/tX63b9T4h4DTXvvb3XhP9bXba9hJr3wb7h
p460kOKL/QB3sjbl
         "]]}, {
        Hue[0.37820393249936934`, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJxTTMoPSmViYGDQBGIQDQPyuXEtJ9ewHZg1Ewzsue2ut8jZwfgr7XnS+Yo7
LrIeMAaDzfarM+V6DdNYofI77Z1eqrAv/81yAGLaAXuOd/zfpk9kgao/bJ/K
uTXuhDrLgTQwOGb/eMPRA9z7mKH6T9o31Oz85BjCfODsGTCwl/Cd9inkFRPU
vAv2uZvn65s3MEHVX7R/oXRc/JEoE9T8y/ZO8wwvhKxmhOq/Yn/SoZN7sgMj
1L5r9n9f3vm++CoD1Lwb9qen3rKfmMUANe+mfeFqT5sz//7vh5h32z7INIo5
VuP/foh5d+x9v9S1vQn8tx9i3j376KPRNydU/90PMe+B/dWFbqqxS/9A1T+w
Z7pq0Zpw/vd+iPkP7bP5z/Iu/fkLqv+RfbtbEru+yi+ofY/tXW+ZJP7x+wk1
74n9uhfKGSxVP6DmPbGXTp1+1nzpd6h5T+2PLl0l2HjhG9S8Z/ZBV/hTj/7+
CjXvuX2h21rVZ2pfoea9sJ9yjFf6cOAXqHkv7J8+ZlptW/MZat5L+43dn/1s
l32CmvfK/jKjzbqt5z9CzXttf/fsozfrfnyAmvfGfsuDo8yBih+g5r2xnyGa
9v3Z5HdQ897aGzDm/Et/9gZq3jv7ytkPWYxsXkPNe2/PJHaMZf6Ml1DzPtgL
bts+bTXji/0Abag9iQ==
         "]]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{{
                GrayLevel[1], 
                DiskBox[{0, 0}, 
                 Offset[{3, 3}]]}, 
               AbsoluteThickness[1.5], 
               Dashing[{}], 
               CircleBox[{0, 0}, 
                Offset[{3, 3}]]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Scaled[9.75]], CompressedData["
1:eJxFzV1IU3EYBvBzdo4lJKMulLxIkC7CoGhsdOGihwgMqpsCcZkssW8IErbI
CaItqglB+QGuQIMIpFwgpcRqck4kxnSDZTKV5jrT4zyu6bRczjYt2XmlB96L
P//n/b3FNTfPXuYYhinZHHZzNMz/mHR73B5vjvj0STaorIo1Zlq33i8xuft3
F1eZI+qzeYuT3oHB5qKtfzc8pQNam8SLqibiY9TT9PkZT/1P4PMKxNoqXryS
zRCuv5p5aCngad+L7pXt5wN+TvT7skHJsXyrw86RF8AHXXVtp4Gj/hc8H++O
75Q15H+F5cSNa/JjDe2PAcHyo4VGDd0LouW+tad3miVvApFzHeGeByx5kwi9
P7gjbz9L3jfMvt7VMOplyAuhIm1zMVcZ8sJYN9WfcbIMeRJ8ncbEYf1fQe1L
MJe59haaNwTVjyDd3l80dXddUPenkbzzXW5+kRHUezOoGxJG94lpQfVk+Fpt
QTH4hzwZfrPxTbWyRt4s7GPFp/OTKfKiaGxRtInMKnlzaO8vr2GZVfIU6OpO
Hb+4kSRPQVugLPdQaoW8efj6xi85Fn6RF4OhwjncFv5J3g9MWW+b7CPL5MWx
LKV6H/UtkRdHx62IW2tIkLcAx6BL70zFyVtEV/ieNPwuRl4CufoG5xGLQt4S
LoTWti0eiAr/AN89Q+U=
         "]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{{
                GrayLevel[1], 
                PolygonBox[
                 NCache[{
                   Offset[{0, 4}], 
                   Offset[{(-2) 3^Rational[1, 2], -2}], 
                   Offset[{2 3^Rational[1, 2], -2}]}, {
                   Offset[{0, 4}], 
                   Offset[{-3.4641016151377544`, -2}], 
                   Offset[{3.4641016151377544`, -2}]}]]}, 
               AbsoluteThickness[1.5], 
               Dashing[{}], 
               JoinedCurveBox[
                NCache[
                 Line[{
                   Offset[{0, 4}], 
                   Offset[{(-2) 3^Rational[1, 2], -2}], 
                   Offset[{2 3^Rational[1, 2], -2}], 
                   Offset[{0, 4}]}], 
                 Line[{
                   Offset[{0, 4}], 
                   Offset[{-3.4641016151377544`, -2}], 
                   Offset[{3.4641016151377544`, -2}], 
                   Offset[{0, 4}]}]], CurveClosed -> True]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Scaled[9.75]], CompressedData["
1:eJxTTMoPSmVmYGDQBGJGIGZiQICtJ06V8J1kPTBrJhjYfzG1e7AhDsZfaX9E
8SKzzDeWA8ZgsNl+rsLSrPl9LFD5nfZuK2S4rqizHICYdsD+1tsfPPkHmaHq
D9t7fzwqbRHNfCANDI7Z/xHIY2P9ygTVf9J+/ap7Stv7mA6cPQMG9su2tCVb
ajBBzbtgbzmn81TdQUao+ov2vLsEhRqjGKHmX7a/euFZmf1nBqj+K/aNP+7P
3tvNALXvmr3aTMVGJhUGqHk37NO1z0noV/zfDzHvpv1G5/NO/Cv+7YeYd9v+
h/SbyXuu/90PMe+OfVf/pdu+7H/3Q8y7Z9+wZLr5DbM/+yHmPbDvslc9lpv2
G6r+gb3/ZI9mmWm/oOY/tL95y8737dGfUP2P7G/KOUo9/voDat9j++i0Pam/
VH9AzXti32D54J5G2HeoeU/sp1n1p8a2fYOa99Q+51pkRsO2r1DzntnnO0/f
XvLsC9S85/aqYhM+SIh9gZr3wr6scs5ST9fPUPNe2N/ZO7fqSfEnqHkv7Q9H
ddedWfgRat4r+59PXqp8OPcBat5r+yzvuNuLvr2HmvfGPiruuZiS3zuoeW/s
TU9G7Pm95A3UvLf2s/ISzcP+vIKa985+pklcskrYS6h57+3T2n9/m7P1OdS8
D/Y3Hn/gr1F4th8Agg5DRA==
         "]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{{
                GrayLevel[1], 
                PolygonBox[{
                  Offset[{0, 3.75}], 
                  Offset[{3.75, 0}], 
                  Offset[{0, -3.75}], 
                  Offset[{-3.75, 0}]}]}, 
               AbsoluteThickness[1.5], 
               Dashing[{}], 
               LineBox[{
                 Offset[{0, 3.75}], 
                 Offset[{3.75, 0}], 
                 Offset[{0, -3.75}], 
                 Offset[{-3.75, 0}], 
                 Offset[{0, 3.75}]}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Scaled[9.75]], CompressedData["
1:eJxTTMoPSmVmYGDQBGJGIGZiQAD53LiWk2vYDsyaCQb2lQnhbEp2MP5Ke5Hn
fvzTLrIeMAaDzfbdyexe/mmsUPmd9gvmySXd+s1yAGLaAXvtnypvnk5kgao/
bL/rvEixqQbLgTQwOGYfbFvKNGcfM1T/SXvpdRMZf4YwHzh7Bgzsk+ews5i9
ZoKad8G+2t5Q2LWRCar+ov11hUZreXEmqPmX7RfM+uZyeA0jVP8V+yrfvk4T
J0aofdfs91urPq68zgA174Y9e+ydNXNyGKDm3bQXElx6bTkjA9S82/Y/NCYI
++n+3w8x7469V2X7Xu/wf/sh5t2z91+41TOu8e9+iHkP7Kcr7ayYsfoPVP0D
+wZuIy7Oa7/3Q8x/aO/3s+DYTobfUP2P7L1WK+5ap/1rP8S+x/aHDh1f/TTs
J9S8J/Z2vFxXQ5t+QM17Yn9HjP/t+7XfoeY9tWfdd33avJvfoOY9s9+u5+zh
zvoNat5z+4zjN86cNvgKNe+F/Yy/fF08MV+g5r2wV4vM2/u67TPUvJf2ixZ6
/A3c+Alq3iv7GT+CEk1uf4Sa99r+4Y3AR3NYPkLNe2OffF/txFbdD1Dz3tj7
3FZm2rz2HdS8t/a7l6vvCmJ8CzXvnf2rdbv+J0S8hpr33t5rwv+tLtteQs37
YN/wU0daSPHFfgCEPjbn
         "]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{{
                GrayLevel[1], 
                PolygonBox[{
                  Offset[{-2.75, -2.75}], 
                  Offset[{2.75, -2.75}], 
                  Offset[{2.75, 2.75}], 
                  Offset[{-2.75, 2.75}], 
                  Offset[{-2.75, -2.75}]}]}, 
               AbsoluteThickness[1.5], 
               Dashing[{}], 
               LineBox[{
                 Offset[{-2.75, -2.75}], 
                 Offset[{2.75, -2.75}], 
                 Offset[{2.75, 2.75}], 
                 Offset[{-2.75, 2.75}], 
                 Offset[{-2.75, -2.75}]}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.922526, 0.385626, 0.209179], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Scaled[9.75]], CompressedData["
1:eJxFzV1IU3EYBvDzZRbLhhdWIBiW9nGl9oFdTB8TGnShsLGrRClhsy8J6aqS
MLAvIkgstYIkYkWdGoVZeNM5IJuNHE50lmYxN11nelprfkydzmTnjR54L/78
n/f35taeN1t5hmH2rQ+7PhzzPzvqa5rdrzbIDx+kAl3pl+ac0n/vF9hct+XC
zcE0+UAqXRBP59wpsqXRfw/Kw3npzxOCrGkyNkb0C+0tAvV7Yd3UXfNpjyDb
UnEh+MYp6z7ytO9GU2NP7IiFlz39qWB7RVvMMs2R50V9V2dBcRNH/UEoO/u2
BbI48odQ/rjIaxFZ2h+Gu+yWrrWMpXsjWA2Px5/6GPK+4vP9MbScYcgbRYN4
zNCfXJM07xvMh47z1XvXJM0bR8XcleuqKSlp3g9UOatG715elTTPD98TY361
fYX6fnC+w9dODCQkzZ/AWb0nw760TPsB3DDWphfkLdO9II6OHTy5UrlE3iQc
yq5TwqVF8iaRbW33FNvj5E3BaX+ZedW7QF4I5mG91ZmYJ+8nGoyv80O758lT
cM+Vkd1rmiNPwVSQE0saZ8kL4+3t2cqSZzHypjHEGhzdA3/Im8F3T0B1LEbJ
U/HO7+RNuVHyVHRk2eKh1gh5v1DInkvWhVTyIrj4aELYb5gh7ze4rS6hsyNM
XhSZ7z+0iawi/QV6ND2L
         "]]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[
         1.6]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[
         1.6]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}}, {{}, \
{}}}, {DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {False, False}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, BaseStyle -> 20, 
     DisplayFunction :> Identity, Frame -> {{True, True}, {True, True}}, 
     FrameLabel -> {{
        FormBox[
         GraphicsBox[{
           Thickness[0.0056663644605621025`], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+OjiuNTgUo9LDS3MJ9VeWpgJ
AMqrAi8=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJDIGYC4u0OTY+O79B0eJGl/W26rLrDJr28xYxzNOB8
2eUvPPTmqzkYg8BlJYeEkCD1BS9VHNYK6fCl31N0+LLv49b0Mjk4/4FrvOOs
QBk4/+wZIMiRQFUvJgpRJ6jksDPYKuJ/u4jDh0XrFc5GKDmEvL38cYaiiAN/
bMB9o3Ilh5kg8FMYwn+O4N/RlF3zf7IynK+vtVL4QoquQ/X9H7eMpRXg/NLD
21xnxirD+Xvza97O/Krs8CRCfPvFBzoONZ82BGRXqTiI9ni9Ypmi6eB3cWLM
v2RVDP7Xnbe6/qYawtXD+CbggFFx8D7Bbjt7qoHDFvMfh1K4VBw03vLuM/A0
cHCZ0CyUNkvZARSM/xkNHNLTgEBM2aGe5Wi/Ybi+w3uQv38oOrTw+q+fwqoP
dz+MD/MfOn8DKJ7eGMP5YHurTCDuKRZxqPttVXBuhomD25qjyxlmiMH5YPUr
FeB8j/21shbqqnB+Ksh9bGoOoGg742MCCYctag4H25aHn2oycvj7rfTBnI3q
cL4RyL7J6g5cbqqlTFGmDhJNMlMMLn+2R+dD3Gni8LL2cfb5NawO0ybwV5nd
NnGIUY2QObeHHRLOkxH8/uASlen6xnD+hathb/R3q8D54GD/rOiw5Nbyx4bN
rA7OoHCOUoTb5w7ytwaCDw73NAWHJ4kLr5m8V3eA8dHTPwDCdk81
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4vrfVgXnOLQdHJoeHZ8hbeCQngYEbtoOqk+a
553VMnB4U7xV9PdqbYf+4BKV6foGDhv08hYzyujA+VtBGi104XzRHq9XLFN0
HTz218paHNeH8zPyP7SevKIL58+YCQQ/leF8sL3bFB18Lk6M+aes6+C+5uhy
Bg1Fh+dZ2t+my2o7hHOKtRv/V4DzwerTFBwMtFYKXzhiiMGHqf/zrfTBnIMG
cPNuS9ckGpUaONx3jXectRDB/w8C/Mpwfs2nDQHZVnoOIGfOzDR0WP7CQ+8/
o4GDxlvefQY3DR2eJC68ZmJv4NANdL5JoxGcv8X8x6GUKmM4/wAwGNK/GDuI
T73CmeGkD+f/efv6gOViHTjf6wS77exQFThfuHJSydkrig4SIH2bjOHu9weF
z2YjuP9gfJj/v+681fX3qhkGH6b+DAjcMXV4APK/oaJDHyje5ps6KF97FMyw
BsFfK6TDlz5PGc5Pib3jxrxDB87ndlMtZbIycGAAgQMmDteFPjmeDzN0+AwM
tlnuxnA+OL5ijeB8cDjvN3QoWNN9O4PBEOK+VAMHH5D/S/XhfLA7fQyh4WYA
1x9wCxhBk/Qcpk/grzL7jUh/xiBw2MABlp7B8VWI4MPSNwCFhkF/
              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYCJAQEYsbAZoWqZyWBTYg4u9wyU25DVAwCn
NwJV
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJbIGYCYvumR8dnRNs6PIkQ337xgY5DPcvRfkN3Wwf/
ixNj/ikbOvQHl6hM50fwb0jXJBqx2jrMBAFJQ4cPGwKyZ123cfiy81bX368G
DuJTr3BmXLJx6PF6xWLy0cAhHGgswz4Evxdk3nwE/wwI5Ng4TJ/AX2X228BB
X2ul8AUTGwgtYgihj1g72FdGrDC1hfJDrB3+fit9MCfQ0EFmXpzm6QtWcH7x
VtHfp+0s4Xyw+TIWDicPO63N9DOA8/+DwH5dOD89DQjatCH+3W/hcHzXjl62
D5oQdflWDh77a2Ut2DUg4TPd2iEl9o4b8w41B423vPsMPG0cXoEsfq0K9x9Y
/ocKnA+2Z48ynF9+eJvrzL+KEPE/1g4rv72sOPNAwUEdZN5PKzg/RsHxY7IP
gl8C8t86SwfhykklZ1MUHUDRxuAH5bsoORiDwGMLh24bz11pTsoO3ifYbWdv
tYDYo6PisPj+Pr45xRaQcCtQc1j+wkPvvyImH+w+WwUHP1C8JyP4n0Dx3W4B
sWexgsNGvbzFjHMsHNzXHF3OsEMBEh43EfzrQp8cz7NZwvkw98L0m4Dow5aQ
8E9TcPgDjjcrSPrSBIbHk+Z5Z29B/c+gAFFnZg3nw9IXjL8E5D9mO4e1Qjp8
6X5KcL6uovyXHDFVON8IZK+wusMMkD2dtg6/3r4+YJms4cDjv35KaoQNNF1p
QtxnbOWwAeTPGB1I+lti6SALDigdB16wekuH51na36b/1YXzj4LSj4A+nA82
JtjA4Ts4n1hCwvmhASR93beC85eCaEYbOH+L+Y9DKbOg+cHEAJ4fYfkVPf8C
AErOstk=
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQXf/bquBcg7PDFvMfh1JeqTnMt9G5MovN2WFvfs3b
mU+VHRIOX9ZOnenksFZIhy99nxJE/psjnO99gt12diqCb37taK7JDwe4frD6
dQ4OCSFB6gs01Rwg9jk4vCreKvp7tbrDmu7bGQz5Dg7nr4a90f+t4XAxP579
XKaDw5xFyjv/pGs79Hi9YjGpdIbzz4BAirPD8yztb9P/6jrkcP5ckO7t7OBz
cWLMP2V9h4qIFaZnuZ0d9LVWCl8wMXDYeavrb+p+J4cNenmLGd8YOLzh3Wcw
08vJ4brQJ8fzYYYOuhMW/DA85gjnP0lceM3EHcH/vCEge9Z5B4fpE/irzH4b
wN178rDT2kw/A4cSoDdOv7OHul/PwQccHvYO8WD/6sD5HvtrZS2ea8D51fd/
3DLOVob7d+W3lxVnGBQc0tOAoM8Rzv8PAvVOcD44PO2cHT4sWq9wNkIJEj8r
nR1+vn19wHIxLHwR8QkAJZ/eWw==
               "], {{32.8672, 14.3391}, {33.0859,
                15.8891}, {33.7609, 16.6234}, {34.97339999999999, 16.6234}, {
               36.184400000000004`, 16.6234}, {36.6609, 
               16.067199999999996`}, {36.92029999999999, 14.3391}, {32.8672, 
               14.3391}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJVIIaxWZDYzFDMAOUz4BHHxSbGHFxsetpLiV3U8i8x
9uJSAwDiagJx
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIvIGYC4mUvPPT+c7o4ODQ9Oj5D2sDhT0zu0X9aLg6q
T5rnndUycNh5q+tvqr2LQ39wicp0fQMHE2MgiEbwhT45nk+bi+AfqJW1SN/i
4jClvTXq8h59OD8j/0PrySu6cL5AbMB9o+PKcP5913jHWQsVHVxVS5lmTXBx
eL9ovcJZDkWHB/v45hgzuTiEc4q1G/9XgPPT00BAwaFkq+jv02ZuGHyYegYQ
2ODqAHK2sbCiA9i/nVB+M4L/HwT4leF8fa2Vwhdc9OD8raAAitBz0Juw4Ifh
PFeH44ed1mbu04Ob38Lrv34Kq77Dpw0B2bPeA+V37ehl+6DvwLJ4khVjrJvD
SZB6PwOHCPHtFxm2IfgKjh+Tz6i6o/Jj3SH2WejD+RLz4jRPF+jA+Q9A4XVR
Gc7nB4XndEWHS/nx7Occ3R3c1xxdzqCh6BACjJb/GxDhAePDwusN7z6Dma88
MPgw9TNBINIDHh/ZnD8XpBtD1W9D8M+AgI4KnA/2v4Gew3FNq0mn6z0g4fNU
38EelM4ue8D96waKbw9POH8GyL6bCP4eUPpj93JICAlSX9CpD+c/zdL+Nt1W
B86vvv/jlvFtZTgfFh7g9PzJ0yEV5F43RUj8xHvC/Qfjw/y/H5Qee7wx+DD1
4lOvcGZ4ecPTUzgoPv95wcMbHN93vRzWCunwpd9D8MHuy1aG889fDXujP1sb
zvc+wW47W9XA4QIo/iq9HK6DMlaYITS9eML5YPuVEPy631YF5xZ4QMQvQfOr
uIdDPcvRfsNwfUj8vXR3eA4Kr7PQ/DvZHa4fkv/R+DPd4HxwORDkBsnf/IYO
J8Dx6epwAhQ/8/ThfHD8+0Ddm+cK19+2PPyU0RsXhy8gh32Fpu+pLg6nwfnH
wAFW/iwH0YUIPqw8AgCMW/bx
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQBmIQPddG58osOV8H1SfN887uMnVY+sJD77+gr4OB1krh
C0dMHZ4kLrxmstzHofa3VcG5ClMHialXODOSfBwYQCDA1OFHTO7Rf6+8HSLE
t19k4DN16PF6xWKy0NvhlnRNotFTEzjf7+LEmH+TTRz4/ddPSd3g7VAHMm+G
icN73n0GM3ch+PtrZS3SzyD4d/fxzTE28oHzQ0pUpv/38HGYMYG/yiwbwfc5
wW47e6oxnK987VEwQ48SnP8fBPwVIe5R9HVY+e1lxRkGBYcp39jiZ7xB8MH2
2/jD+Y9FZE8+lQ+A+DdBBc5n4eyST+bTgvP/fCt9MOejnkNqGhDU+TtcF/rk
eD7M0MH82tFckwY/OJ9l8SQrxqe+cP6MmUAQ6OvQHwx06HwDB1h8nAEBH30H
9PgBAElqvG0=
               "], {{58.239099999999986`, 14.596899999999998`}, {
               58.239099999999986`, 15.371899999999995`}, {
               59.173399999999994`, 16.087500000000002`}, {60.20629999999999, 
               16.087500000000002`}, {61.75629999999999, 
               16.087500000000002`}, {62.74999999999999, 
               14.537500000000001`}, {62.74999999999999, 
               12.114099999999999`}, {62.74999999999999, 9.909379999999999}, {
               61.79529999999999, 8.637499999999998}, {60.16720000000001, 
               8.637499999999998}, {59.1344, 8.637499999999998}, {
               58.239099999999986`, 9.09375}, {58.239099999999986`, 
               9.590629999999999}, {58.239099999999986`, 
               14.596899999999998`}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {
              0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIJIGYC4uASlen/UwIc/C5OjPk32cTBVbWUaVYOgv+G
d5/BzKoAh7rfVgXnZpg4yDt+TD7TGeAQIb79IsM8E4f/IDAZwd/w8OXUTXsQ
fOFPjufTTgY43BACMsIQ/M8bArJnpRvD+dX3f9wyvq0M56enAcE2RYi67QEO
D1zjHWcZKjpcP5pr0pAe4BDOKdZu/F8BzgerT1OAqJ8ciMGHqb8KUu8c6OC+
5uhyBg1Fh/bl4aeMTAIdyg9vc53Zi+CfAYE9ynC+6pPmeWd3mTqIewT8kdAP
dDDQWil84YipAzj83gQ4nDzstDYzzxTuf8emR8dnWEPlgeF7S7om0eipiQN6
eAMAyGaxBA==
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQ/XlDQPaszcEOW8x/HEp5pebQHOg5t6Es2GFvfs3b
mU+VHZ6IyJ58ah/ssFZIhy99nxJE/l0QnB8hvv0iwzIE319OLMs3PwiuH6ze
K8ghISRIfYGmmgPYPuMgh1fFW0V/r1Z34Py5IH2zVpDD+athb/R/azhIv35k
JqUR5DBnkfLOP+naDhURK0zPrg+G82eCwNJgh+dZ2t+m/9V1eLF9PfPzGcEO
PhcnxvxT1ncoiGc/J1kZ7KCvtVL4gomBw4QFPwyfBQU7bNDLW8z4xsBB02rS
6XqJYIfrQp8cz4cZOnhXN+v7XAuC81WfNM87Ow3BX9N9O4MhOshh+gT+KrPf
BnD3njzstDbTz8ChH2T+u0Co+/UcXFVLmWadCXSIB/tXB8732F8ra/FcA86v
vv/jlnG2Mty/K7+9rDjDoOCQngYEuxB8E2MQCIbzweE5Kdjhw6L1CmcjlCDx
czzY4efb1wcsF0PDFyk+AZfM1+4=
               "], {{72.6672, 14.3391}, {
               72.88589999999998, 15.8891}, {73.56089999999999, 16.6234}, {
               74.7734, 16.6234}, {75.98439999999998, 16.6234}, {76.4609, 
               16.067199999999996`}, {76.7203, 14.3391}, {72.6672, 
               14.3391}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQ3eP1isVEN9xhi/mPQymv1BxkXj8yk/oQ5rA3v+bt
zKfKDrXrtiXV7wxzWCukw5e+Twkin4Hgf9oQkD1LHsF/sX098/MXoXD9YPVH
Qh0SQoLUF2iqOYDtWxvq8Kp4q+jv1eoOSyZZMfouCXU4fzXsjf5vDYetLTUX
Ni8MdZizSHnnn3RtB6FPjufTNMPhfBNjIJAPd3iepf1t+l9dh6ZAz7kNQuEO
PhcnxvxT1nfg+LkgffOnMAd9rZXCF0wMHDStJp2uPxPmsEEvbzHjGwOHI5e1
UyUnhTlcBxkcZujwRET25FN/BP9AraxFugCC76ZayjTrSqjD9An8VWa/DeDu
PXnYaW2mH9T8DJj79Rwe7OObY+wW6hAP9q8OnO+xH2jwcw04v/r+j1vG2cpw
/6789rLiDIOCAwMImITB+WdAYA2CDw5PnnCHD4vWK5yNUILEj2O4w8+3rw9Y
LoaGL1J8AgCD0NWc
               "], {{86.56720000000001, 14.3391}, {
               86.78589999999998, 15.8891}, {87.4609, 16.6234}, {
               88.67340000000002, 16.6234}, {89.88439999999999, 16.6234}, {
               90.36090000000002, 16.067199999999996`}, {90.6203, 14.3391}, {
               86.56720000000001, 14.3391}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYCYhudK7Oe5YY7ODQ9Oj5D2sBhJgiUhjuoPmme
d1bLwMGzulnfpyncoT+4RGW6voHDoklWjL4TEPwnIrInn25G8APkxLJ894c7
eOyvlbU4rg/nZ+R/aD15RRfOnwGy56cynJ+eBgTbFB1+sMXP8NkY7uC+5uhy
Bg1FBy2rSafrC8IdwjnF2o3/K8D5YPVpCg6R4tsvMtRFYPBh6ru9XrGY2EbA
zTt8WTtVUivC4b5rvOOshQj+fxDgV4bzaz5tCMi20nMwBoH0CIflLzz0/jMa
OIh7BPyRaI5weJK48JqJvYFDfjz7Ocm1CP6uW11/U18j+IE75Fpfc0Y6iE+9
wpnhpA/n/3n7+oDlYh043+sEu+3sUBU4X7hyUsnZK4oOQp8cz6f9RLhf3vFj
8pmdCP/B+DD//1n58ZLvoUgMPkx9xUs1Q46WSIcHIP8bKjqAuGtKIh2Urz0K
ZliD4K8V0uFLn6cM56fE3nFj3qED53O7qZYyWRk4nAEBm0iH6yCHhhk6cP5c
kL75XgSc37Y8/JTREgQfrL4mwqFgTfftDAZDBy9Q+lKLcPAB+b9UH84Hq/Mx
dBAG+V8WoV8MFP73wx2mT+CvMvuNSH/geDps4ABLz+D4KkTwYekbANG3OT0=

              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQveLjJd+kB9EOW8x/HEp5peYgfvPc9+DF0Q5782ve
znyq7PBCzZBjTU60w1ohHb70fUoQeWkEv8Mx4emFS1FwfsaekskSc6Lg+ue8
X37MuzzKISEkSH2BppoD2L6EKIdXxVtFf69WdyjImPi2JjzK4fzVsDf6vzUc
1hcBBUKiHOYsUt75J13b4Xvw46Wz70TD+ff9e6fnXYp2eJ6l/W36X10HljA+
3U1Hox18Lk6M+aes73DjHEhHtIO+1krhCyYGDu4Pq0TW1Uc7bNDLW8z4xsAh
IsX6vr9rtMN1oU+O58MMHUDGCTEj+HdU2BqnHo6C83XaxW6ea49ymD6Bv8rs
twHcvScPO63N9DNw2H9qoes2aZj79RyOKGwoyvgZ6RAP9q8OnO+xv1bW4rkG
nF99/8ct42xluH9XfntZcYZBwWGNTFSK9XME/z8IxEfD+eDw3B/t8GHReoWz
EUqQ+PkS7fDz7esDlouh4YsUnwAZC+b8
               "], {{105.36699999999996`, 
               14.3391}, {105.586, 15.8891}, {106.26099999999997`, 16.6234}, {
               107.47300000000001`, 16.6234}, {108.68399999999997`, 
               16.6234}, {109.161, 16.067199999999996`}, {109.42000000000002`,
                14.3391}, {105.36699999999996`, 14.3391}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGItIGYCYpYwPt1NojEOLbz+66c81XcoyJj4tkY9xmH5
Cw+9/4wGDjUi69wfGsU4NLIc7TdkN3AQB2lwQvBdunOe/05E8H3MOx0TcmMc
pk7grzLL1ofz3xRvFf29WhfOPwMCe5Th/P8gsF/RAWRdVUqMw/tF6xXOVig6
mBgDgXCMQzinWLvxfwU4Pz0NBBQcbE3jdnm6xGLwYeqvn/se/PhtjEPp4W2u
M2UVHa5UvFQzvAHVvw3BnzETCH4qw/lbzH8cSnmlA+cf37Wjl81Az+HLX6AI
H9Q+MQOHt8uPeZsbIvimQO88tUDwYe6BmK/v8Gflx0u+QbEOoj1er1im6DvI
tr4O3JEWCwl/Vn0HoGuXzi6Jdaj/bVVw7oSeQ+m++VL6rQj+/lMLXbctRvD5
Iyy3nNgW6+Bzgt12dqk+nK/xlnefgacBnA+yzuSjgUPGnpLJEnNiHa4LfXI8
H2bo4LLt898rBQg++xqZqBRrBN+Dh0m7XSwWkh4eGsDD48+30gdzPurB+eD4
9DF0CNgh1/r6Ygyq/j4o/5mBQ4IA0EEJMQ4GWiuFLywxcIClP/+LE2P+OSP4
sPQIALpiHwc=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCwB2IQLdB84NTCr/EOMvPiNE9f0HeA8Uu2iv4+vc7AYf+p
ha7bJiP4f1Z+vORbheCvkYlKsU6Pdzh92Glt5j4Dh6e/QQriHZa/8ND7/9DA
IVcIaKBhvMMW8x+HUrgMHUoyJr6t4Y93sK+MWGFqa+jQ8jpwh9zbOIfrQp8c
z4cZOmTsKZkscQbBfw4yLxTBd39YJbLueyzcvTC+iTEI6MD5AbekaxI3aTqo
GnKskZGKczi+a0cvm4GGA8h4lrw4h0cR4tsvPlCDm58QEqS+QFPN4cvfKxUv
7eIcprS3Rl2uUXWY8375MW9zqLynqoOPeadjAm+cg8TUK5wZSioOZ0DgT6yD
QGzAfaNwZThf+dqjYIYeJTg/PQ0ItilC/McTB5G3UXQA2qZm6BDnsPLby4oz
BQoON859D378NNbh738g2C/jcEeFrXHq4VgHEPe/vBScr7Brwb5UPXE4fyYI
/BRy4I+w3HJCLQ4SHp/5HEL5dDfNnY/gg/33D8EHh09SvEPl/R+3jLsFHXyS
BCIsl8Q7hLy9/HHGQxEHoGuWzr4S7+C25uhyhghxB3GWMD7dV/EOB7r3NZk8
loTzdwRbRfx/LgPnO09oFkp7peCQCvL3uniHvfk1b2dOVXLYLtf6OjAg3uGO
puya/5uVHOxN43Z5rolzeOAa7zjro5KDKTB4n2bEOewBqWdVduBh0m4X84TK
JyL4vhcnxvxjVoHznyYuvGZyXsXBv3d6nlAx1H/GapD4mhrnYKC1UvhCi5qD
y7bPf68siHOo+bQhILtKzaEG5ICVcZD0VKAGSf9rEXyQdzYdjXPYpJe3mDFG
zWHCW6COa3GQ9BWk5nAdFF93Efz1RcAEzhMP5+u0i908Zw9N/6/U4PnlRZb2
t+l/1R3egpLXxHiHapB7pDTh4X8ClJ/qtOB8iHt14HxTm71B0xbqQuyfCzSv
GJghu/Ug6asHMz/D+ADtOcBE
               "], {{121.42000000000002`, 
               8.160939999999998}, {122.07699999999998`, 8.021880000000001}, {
               123.666, 7.90156}, {124.63899999999997`, 7.90156}, {
               126.44699999999999`, 7.90156}, {127.10300000000001`, 
               7.643750000000001}, {127.10300000000001`, 
               6.9281299999999995`}, {127.10300000000001`, 5.77656}, {
               125.59199999999998`, 5.00156}, {123.34699999999998`, 
               5.00156}, {121.59999999999998`, 5.00156}, {120.44699999999999`,
                5.57813}, {120.44699999999999`, 6.45156}, {
               120.44699999999999`, 6.909379999999999}, {120.58599999999997`, 
               7.167189999999998}, {121.42000000000002`, 
               8.160939999999998}}, {{121.51999999999998`, 
               14.915599999999998`}, {121.51999999999998`, 
               16.087500000000002`}, {122.07699999999998`, 
               16.782800000000005`}, {122.99099999999999`, 
               16.782800000000005`}, {123.60599999999998`, 
               16.782800000000005`}, {124.12200000000001`, 16.4453}, {
               124.44099999999999`, 15.848399999999998`}, {
               124.79799999999999`, 15.153100000000002`}, {125.036, 
               14.2391}, {125.036, 13.465600000000002`}, {125.036, 12.3516}, {
               124.46099999999997`, 11.656300000000002`}, {
               123.54699999999998`, 11.656300000000002`}, {
               122.35499999999998`, 11.656300000000002`}, {
               121.51999999999998`, 12.9484}, {121.51999999999998`, 
               14.856299999999997`}, {121.51999999999998`, 
               14.915599999999998`}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYCJAQEYkWhmKEZmI6uhRD0uvaSqpwWbGLcB
AJivAkM=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4t0lkyVY7BId/C9OjPmnbOgQ3X/oq8aLBAz+
5w0B2bOuGzj0Ts8Tav6D4Otsmvt+OVuiA7ebainTKgSf13/9lNQIBB9snrOB
g0ncLk8eIN/7BLvtbFUDiPksiQ7LX3jo/Wc0cAi33HKi7FiCwxkQ4FF1uOyb
JBBRm+BQ8wlooZS+w/Jj3uadlQkOtb+tCs6t0HeIBRrHVJ7gkJ4GBGIGcP7J
w05rM/0QfJj7WBunOnc3JDg8z9L+Nv2sgcPiAluu67MR/oHxYf4373RMeCqB
yQe7746BA1D14gLNBAd+kH9PGDgcBzrP0STBoWBN9+2MCUD/pVjf97eE2m9l
4JAv1HzgVGOCwwbVJ83z1qo57D+10HVbc4LDJr28xYwxag7pE9/W2PcmOMyY
wF9lpq3qcB3koPkJDmuFdPjS9ZQd3oMCYGWCw38Q2K8I57uvObqcQQPBD+cU
azfuV3AA2t47fVaCQ4xqhMw5GRkH7Xaxm+f6gebPBIKdkg6f/16peNmW4KDx
SeXlrJXiEP9VJDiAgjNNTQxiTz6CD1StZpiD4IPjKy3BoS+i258xQMwhew8w
QSUkOLQpsKue2SLm8PESMAJDEhwOdu9rMnEWh7jPM8GhFSQ/RRwSb3YIPth9
+gg+2P/KCQ5rQP7/Jwrnf9n3cWu6mAgqv0zQgX2NTFSKeYKDiTEQfOZzUDfk
WCMThOAnC0RYbqlB8FXYgAliNjQ+3whD0tdeaHjHyTv8rMvaUyKf6NACStBP
9R1A3t2nDk2/Uw0cQNnhgF4iPP5h+QmWntDzFwDzBm/q
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYCYgOONTJRK5IcerxesZgsNHWITrG+71+Z5GBb
GbHCdK2JA/f1xQW2aUkOGm959xlomjgsnX1EYYNfksOTxIXXTOyNHZYf8zbv
VExy2F8ra5HeYugw9z1QhDvJ4eiuHb1sAvpwfnxIkPqCTC04/0WW9rfpsaoO
jNrtYjeVkhzeL1qvcLZC0aHDMeHphagkhy/7Pm5NvyblsH++lP7dkiSHjDQg
YBN3OKywoSijNckBxE1zE3UIt9xyomxZksObttxuo91CDiZxuzx51iU5BL29
/HEGo4iDMQhUJzkc7N7XZMIs6XAEpD8zyaHm/o9bxqelHY4Dne8YkeSw8tvL
ijMPFBwWum77/NcjyWEmCHQqO+wumSzB4pTk8BTk3341OH/OIuWdf9q14HwR
UABu0YOEl1eSw/QJ/FVmvw0c2IHBmxKd5JAOcq+ZkQPI++a5SQ4rXnjo/S80
drA3BTq4ARG+MPczgECAqQN6/AAAHpKz0w==
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
               1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
               0}}}, {CompressedData["
1:eJxTTMoPSmViYGAwB2IQvdB12+e/N5Id9uTXvJ3Jquww8W2Nvem5ZAf+2ID7
RuVKDoe/asT0H0t2EK6cVHLWRclhigRLGN9eBD89DQjWIfinQQauTHYwBoHL
CH7ALemaxEkqcL4/iB+kA+f/efv6gGWynkOHY8LTC8uSHRJCgtQXdOo7ZIAc
NDfZ4Uniwmsm9gYOKmyNU537kx2+7LzV9fergcNU5+6c58XJDteFPjmeDzOE
uMcPwdfZNPf9ciEEP5RPd9Pcx0kOz7O0v02PNYDzaz5tCMi20oPzj+7a0csW
oOtgbxq3y/NDkoO+1krhCy06DtnPf6/8+A/BB4cXXzKcn2x9379XOhmuH8Y/
DuIb6MH5Wx2aHh2P0HP4/PdKxUupZIcXxVtFf3frOQBNv+QL5JuAw0/PARw/
EskOLJxd8sl6+g4GHGtkooD8/yBQj+B77K+VtTiO4J8BgRwDh2SBCMstOlD+
HQOHBVL6d1XcEPzIFKCDUhF8oOoTZWXJDhpvefcZeCL4EPP04PwHEeLbLzLo
OLADo6NbJNkhHhxfmg6g5HKIM9lhO8h/FpqQ+HiX5KCrKP8lZ5u6g/Ltn3VZ
D5Ictpj/OJTySs2hGBTB15McpObFaZ6eoArnPwKZ76AC54P9u18Rwv+c5LDy
28uKMwwK8PCC8bmvLy6wNUPwHUDxF5AMccc1BYcTZfvmS5VD0/dzJYc/IP1V
CHlg6tbd1IrQr9MudvPcfAT/iMKGooytCP6MPKHmA4eSHZwnNAulVSk4wPJT
+eFtrjP/Kjqg5y8AFWiWbQ==
               "], {{155.702, 10.643799999999999`}, {
               155.702, 10.028100000000002`}, {155.60299999999998`, 
               9.848440000000002}, {155.186, 9.61094}, {154.70799999999997`, 
               9.33281}, {154.15200000000002`, 9.153129999999999}, {153.734, 
               9.153129999999999}, {153.03899999999996`, 9.153129999999999}, {
               152.48299999999998`, 9.82969}, {152.48299999999998`, 
               10.6828}, {152.48299999999998`, 10.762499999999998`}, {
               152.48299999999998`, 11.9344}, {153.29799999999997`, 
               12.649999999999999`}, {155.702, 13.524999999999999`}, {155.702,
                10.643799999999999`}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
              0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
              3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJNIGYC4ku+SQIRvKkOxiCQrOSwQEr/rgoXgm/R6Zjw
9E0KnH/j3Pfgx0+h/MsIvsf+WlmL5Spwvv/FiTH/lA0dbLmuLy5oxOQ/z9L+
Nv2sAcT8FSkOpw87rc3cZ+DQMz1PqHlDisP0CfxVZt0Ifs2nDQHZUvpwvi/I
vMOqcD7MfrB/1qY47HBoenRcQsVhzhGFDUVLUhw+LFqvcHaFsoMKW+NU58lQ
/gklhxTr+/699SkOa4V0+NL9lBx6QeblIPgHTi103RaM4E849FUjxh5hHowv
2uP1iiVEFc6H+feC0u2fdY+SMfhnQOCOgcMUCZYwPkZEeICs+8yZ4tANNM6k
EcFn4eyST9bTh/NngMJHWxXO548NuG/ErgTxr0aKw8pvLyvOMCg4MGq3i90M
Q/DTQCAPwTcBxWM7ND4XKzgYcKyRiZqR4pAOUrdNEeL/zSkO1fd/3DLOVobz
wznF2o3lFRxA0Wm7DSrPreCwp2SyBMs1qP5rCvD0kwriuyk6wNKbcOWkkrNX
EHxY+gIArcgWGQ==
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4q8aMf2HDFMd3rTldhvtFnI4AwIJqRC6R8xh
qnN3zvPiVIdo1QiZc3MkHDjWyESldKc6iFROKjnrIuPA2ghUsSPVgT824L7R
dEWHDseEpxfOpTpIzYvTPD1BFc5vYDnab2iuBeeDzffRd1BhAxqwPdXB/+LE
mH+TDR3mvl9+zLs+1WGL+Y9DKbOMHTImvq2xT011KNkq+vt0n4nDnZ91WXtC
oPx/Jg7nvgc/Xmqc6tDj9YrFZKGpw8dLvkkCOqkODCAQYOrw5e+VipdxqQ59
wSUq0/lNIPIFqQ4vsrS/TY81dgC6Rul2Y6rDfxC4b+jAw6TdLjYx1WH6BP4q
s24Dh6w9JZMlZqQ6/PlW+mCOoB6cnxJ7x41ZQgvO11WU/5LzTdVhSYEt1/X+
VAfnCc1CaauUHJbOPqKwoS7VofzwNteZtgoOFp3AAMhJdZgxEwgqpR3yhJoP
nIpEhC/M/UFvL3+cwSjigB4/ADaIxOI=
              "]]}, {
             Thickness[0.0056663644605621025`]}, StripOnInput -> False]}, {
          ImageSize -> {176.47823661270235`, 25.902864259028643`}, 
           BaselinePosition -> Scaled[0.31538730769230766`], 
           ImageSize -> {177., 26.}, 
           PlotRange -> {{0., 176.48000000000002`}, {0., 25.9}}, AspectRatio -> 
           Automatic}], TraditionalForm], None}, {
        FormBox[
         GraphicsBox[{
           Thickness[0.0129315918789603], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZmI6shRj0xenGZQ6p6WttF
iRsAAbYCOQ==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYC4gO1shbpLcYOXG6qpUxRpg5bzX8cStHSx+DP
BIGfJg68/uunpM4wcGAAgQcmDv4XJ8b8+2zgkBJ7x415BYJfslX092k5BB9M
bzZ28D7Bbjv7qoFDf3CJynR9Y4fDbcvDTy0ycOj2esVistDIYa3qk+Z5vjoO
W0D2nlJ3eJq48JoJv7qDfdOj4zNWGzlcuBr2Rv+3moOB1krhC0eMHGSXv/DQ
mw/lmxg7ZOZ/aD05RQ1in7OxwwyQuy3VIO5ZZ+wwpb016vIfVYc+kP38JnD+
pw0B2bPcEfw/30ofzDlo4pAGAs/UHMDh9MXE4XUx0CBuTXh4wPiw8PoPAvdl
MPgw9Xc0Zdf836wANw8sLqnocEPok+P5YyYOxiBQrAQPHxMQ/7CyA8ia032G
DiKVk0rOssg7NPy2Kjj3Qh0iP1nY4QwI5Bg7CIPlhR34QfF0whhi3mYheHzA
+GD7wtD4QPv7I7r9GS8IQ8L/lYnDWiEdvvR74nD3w/gw/4HFZ360R+fD1KeD
w48Bnl40Pqm8nOXJDPF/i4kDtyOf1wxNToi6ZUYONfd/3DJ+LQ3xzxt5hxjV
CJlzMrJwPpheowJJN0kGDvWgcODQhss/iBDffnEBgm9qszdoGqO+gw8o3YVq
ObjvB1ms7+B/S7omsUjbAaSc4Z6hQ8Ga7tsZE4wh4Wxn5FAHMneGicN1ULiU
GcHDB5ZfYP5Dzz8AEBhyuw==
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQfeKw09pMPyuHLeY/DqW8UnPgclMtZYqydNibX/N2
5lNlh/7gEpXp9RYOa4V0+NL3KUHkrczh/JTYO27MEmZwvl1lxApTW1O4frD6
VSYOCSFB6gs01RxOgu0zcXhVvFX092p1B9UnzfPOapk4nL8a9kb/t4ZDwZru
2xkKJg5zFinv/JOu7fAkceE1E3srOD89DQjErByeZ2l/m/5X12HJ/X18cx5b
OvhcnBjzT1nfYX+trEV6iqWDvtZK4QsmBg4OTY+Ozzht4bBBL28x4xsDhxUv
PPT+PzR3uC70yfF8mKGDxlvefQY3zeD8aRP4q8xum8L5EH0mDtNB4r8N4O6F
+MPAwRFkvrUx1P16DuJTr3BmbDJyiAf7VwfO9wA57LkGnF99/8ct42xluH9X
fntZcYZBwWEmCGSawflnQMDHAs7nAIXnKUuHD4vWK5yNUILEz3wrh59vXx+w
XKzmgB6fADlF0oE=
               "], {{20.167199999999998`, 14.3391}, {20.3859,
                15.8891}, {21.060899999999997`, 16.6234}, {
               22.273399999999995`, 16.6234}, {23.484399999999997`, 
               16.6234}, {23.960899999999995`, 16.067199999999996`}, {
               24.220299999999995`, 14.3391}, {20.167199999999998`, 
               14.3391}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQveT+Pr45k+0crgt9cjwfZujwJHHhNZN6awhtbwDn
t/D6r5/yVN8hJfaOG/MKa4fju3b0sn3Qd7ghXZNo9NTaYfkLD73/jAYO9SxH
+w3VbRwaQTS7gYO+1krhCyEIPti88wj+GRD4Y+MwdQJ/lVm2Ppz/pnir6O/V
unC+aI/XK5YSFTifPzbgvtF0RQcON9VSplM2Du5rji5n0FB0UH/SPO9slrVD
OKdYu/F/BTg/PQ0EFBzMrx3NNRFwwODD1MvMi9M8fcHO4YFrvOMsQ0Wof+3g
9sH4MPfA+J83BGTPcjd0QA9PAPnPl4o=
               "], {{29.643799999999988`, 
               21.7688}, {29.106299999999994`, 21.7688}, {28.649999999999995`,
                21.3125}, {28.649999999999995`, 20.756299999999996`}, {
               28.649999999999995`, 20.200000000000003`}, {
               29.087499999999995`, 19.743800000000004`}, {
               29.643799999999988`, 19.743800000000004`}, {30.2188, 
               19.743800000000004`}, {30.676599999999993`, 
               20.179699999999997`}, {30.676599999999993`, 
               20.756299999999996`}, {30.676599999999993`, 21.3125}, {30.2188,
                21.7688}, {29.643799999999988`, 21.7688}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}, {1, 3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxlk38slHEcx4/UxtIKTYnF4dEhzjnTTPN+nudIrR+GYqZyrXNkclvayFVb
v2wdWzXC/RFmDYuSSrLIMstSYUxFy49qZPkDmzFxPd97zvf+6LM9+z6vfZ4f
78/78/l4ncmJ19hKJJIo4SKnOZZUcH9wStbbH4x1zn2xfaX3sRy3apPeK5RW
VncNBmhsrKwMFWKUR28X15jZIYfjsSclmjoetdOxQaYJOTYT1vF4Hr709qxD
CPKS68I+BvCIyhdu9oegwTCaIZni8Nlpnu07EQK7mnsRNg+tbH6/laVcSPT8
BdW7zmYdoYGU40Z26dXNMiTk+pSZwOJdW2vxJvkeXF2J0H2aZjGZ7PpyYJyh
309LjPerkjH449ghr7jNoqTwZsqg3hdZ9stV2gJL/qAvFprisox+LHaUDtln
SH2gTRdiE4utJ+PGFEnelL2HJxMkRVLK5rPFS6zP15KP9MJXQaaimEX94u+8
DzpPRPtetDV+AVZNQrxxx9Og8zU2JQBB0243yp5tVR2aIFfKFSSWneBKdKWw
oh8LW9BE8oc5yub6HHjKicSffh75Y0sjoYZtILYpjquQODs4Vz7hAmKTpEWF
mIbuWkmyK4oOzdgpJ1ToNHRcU/7YSbk1ISLZNOVOmb9z3Sl9xlPUlalCe45+
tqJUChehjemNPL7JPBpMz6RwJqzhMB59mjXOSVEZGThk/M7iNXl+ozcekfmo
ZMW82spHBu6mrm3wofxLXT2s7PPBSmp299q8pf5QRuxXOAe5f71z/w1G7MNR
Dvp5IXGJQfhwd7YyjRPnSceIPmutbM6Xc2gmPqYyMJD6XnHifMUzOED61WNl
s36Gp9x52WOftsgy/zMM3ZfpcwGLZat++El0B6tQQPS4yaj/PWSfrvhTFvUG
Ug6LbI+/X70XMeT/sSpMXxAW0hBkma//93md/wHsj6Mp
               "], {{
               35.52029999999999, 8.160939999999998}, {36.1766, 
               8.021880000000001}, {37.7656, 7.90156}, {38.7391, 7.90156}, {
               40.546899999999994`, 7.90156}, {41.20309999999999, 
               7.643750000000001}, {41.20309999999999, 6.9281299999999995`}, {
               41.20309999999999, 5.77656}, {39.69219999999999, 5.00156}, {
               37.44689999999999, 5.00156}, {35.699999999999996`, 5.00156}, {
               34.546899999999994`, 5.57813}, {34.546899999999994`, 
               6.45156}, {34.546899999999994`, 6.909379999999999}, {34.6859, 
               7.167189999999998}, {35.52029999999999, 8.160939999999998}}, {{
               35.62029999999999, 14.915599999999998`}, {35.62029999999999, 
               16.087500000000002`}, {36.1766, 16.782800000000005`}, {
               37.09059999999999, 16.782800000000005`}, {37.70629999999999, 
               16.782800000000005`}, {38.2219, 16.4453}, {38.54059999999999, 
               15.848399999999998`}, {38.8984, 15.153100000000002`}, {39.1359,
                14.2391}, {39.1359, 13.465600000000002`}, {39.1359, 
               12.3516}, {38.560900000000004`, 11.656300000000002`}, {
               37.646899999999995`, 11.656300000000002`}, {
               36.454699999999995`, 11.656300000000002`}, {35.62029999999999, 
               12.9484}, {35.62029999999999, 14.856299999999997`}, {
               35.62029999999999, 14.915599999999998`}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIDIGYC4o16eYsZ77g5uO+vlbVg13Mo2Sr6+7Sbu8P5
q2Fv9G/rO5gYA8Fkdwf/ixNj/jkbOKSBwDcEX/iT4/m0Ug84n3XxJCvGrR4O
NZ82BGRL6cP5/rekaxKDdOB80R6vVywlKnD+fxDYr+jg0PTo+IzZHg7K1x4F
M9goOlhcO5prwuHhEM4p1m78XwHOTwc7RAHiPmUvDD5M/fIXHnr/Z3o6CFdO
KjmboujwhnefwcwuT4j6bQg+zD0w/gZQuMTowPkw/x3XtJp0Wt7T4boQ0ONh
hg4X8+PZzwV6wPmVEStMz+52h/NDSlSm/w9wdzgDAncMHGDhXc9ytN8wXB/O
9znBbjt7q6nDzltdf1PPuzkYaK0UvnDE1KH2t1XBuQo3h5TYO27MHaYOCYcv
a6daujk8SVx4zSTe1EHtSfO8s6tcHSLEt19k4DN10J2w4IdhmqsDKLiNnprA
+X4g9082ceDxXz8ltcDVoQ5k7gwTBwYQqEDwwe5sQfCXgcLvI4IPDmY2N4fC
Nd23MwoQfLD7pxrD+bDwhPHB8blGEeLu766Q+PaHxneyKzy+YHxYfILDr8Md
gw9TLwJKf1/d4OkFFp6w+IXxYe5BT+8AThpAsw==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIVIGYCYh7/9VNST/g4+F+cGPNP2dDhy4aA7FnHvTH4
K1546P0vNIbzDbRWCl9YYuzAsniSFeNRqPrNxg4Kjh+Tz2xF8Dfo5S1mXOLt
kJ4GBG3GDmdAYIq3Ay/I3ghjhz8xuUf/NXk7eJ9gt52tauwgMfUKZ4aSt0OE
+PaLDHxGEPO3ejnMBAFJQ4f25eGnjHq8IOpZDR34QeYUeDksB7nvoYFDSInK
9P8JXg6nDzutzdyH4EPci+CD9U81cHBoenR8RrKXw/QJ/FVm3QYOJsZAkO3l
0O31isWk0QBi7kdMPtgfPKpwPth/2xQhtJ23w8pvLyvOMCg47K+VtUi/guCD
7Q/wgfNngPy10cdBuHJSydkvCg4+YH/5OuzJr3k7k1XZYS9I/xMfh70gfqmy
w5ru2xkM630c+GMD7huVKzlURKwwPdvs4/DANd5xlqCSQzmI743gg+PjrTec
D4u/O5qya/4rK6PFpyqcD/MvLH2g82HpAwDrsP0Q
              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJZIAaxQYAJSjNCxZjxsGHqyFFPql5qsYmxl1puQzYH
AA56Ank=
              "], CompressedData["
1:eJxFlHsslWEcx4/LmBVrElM4zo6zmMN5Xbqsy/y0tEKd531rucxluR2RNGkx
rERsJDQNJ1NqjeSEjCKpMbNCiLI5GxJCpz+YsFV0nvOc932f7dn7fp7L7/ld
vs8jikpmYo0EAoGBtvtru6G2+0muGSrr5LDthPbnEAU+t2b6KtQ8B9m8GhFM
8iz0XY4emOPZ5v6YWfyKHGYv1Hz19qFgADc7BM6/zLuoUxRkvWiLuuGCQBGn
bdYU+XoiaD2w0R1T7w6tuZnDLb4IYvF4nBTOpjqVbyEEfR2vi0woZ2LvHCLf
7RI4LB1TzocguN7T5ldZJIJ3WfYHFWEInq0tpg0IHKH40YbHfAQClaXUQhEh
JOcl8Kxbn8ZzCI7vrt6eyhHSguv2Db5BkDG1MeGVKIaeUddY2249q8Uw3pvk
fVONwKF24aS7j4T4b0BD5koTSgzdS85PoUElmc2pLnKD8KTezZflNPFv2hEC
MnJkgUoaNHlJhZ4PhCSuKprzR2fvKc/frew/zDXyrKtXJw070++lDlrp453U
c4wI8muDPnpO0xBkZp3vlSyCdZPIisA5Gqb8In2VNSKSjyX9+jERyB2sE06X
M2BkViCMPuNMzltnoBfnH7lxPPTlvEamlnGss5NHwRZuagZW2ycK/v3W66OV
Z9Y+yzr/chmQj5SGbbbwzOqF5Wzj3mIPUwo02uHKAgbK8m+HjnbKSLzVDATi
/WIZsd/CwMLV1l1/Ct2hBM93MJBrLm8sk/CswfPP3TiWioSrl9ZcIQzXp5gB
u+oIl/5hF0iONP1ku0jDjnA05RkkJnp5TxO911Mc4/JvfaPgCNbjWxru+C8Z
ey9TMNVlUeXVxjNbP5b3/JzZv7uBhnHLFd+heYqrd3/PMdXFLgoqcWtGUPVY
3P5XISH5VPH3QafPhwia3C8/MQiTgiOeL0VcPtLxfA6CHwmua+WDFKl/NuLy
H4z1nsIzez9YZu8T65/O/wBE7vlnfbxHEecv3hYrRFx+nLSyH1ySw5WGQnV8
CQXHsV6neda9E31yTj/s+9OM48nkmX1f/gMrHRDB
              "]]}, {
             Thickness[0.0129315918789603]}, StripOnInput -> False]}, {
          ImageSize -> {77.33001245330013, 25.902864259028643`}, 
           BaselinePosition -> Scaled[0.31538730769230766`], 
           ImageSize -> {78., 26.}, PlotRange -> {{0., 77.33}, {0., 25.9}}, 
           AspectRatio -> Automatic}], TraditionalForm], None}}, FrameStyle -> 
     Automatic, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {Automatic, Automatic}, GridLinesStyle -> Directive[
       GrayLevel[0.4, 0.5], 
       AbsoluteThickness[1], 
       AbsoluteDashing[{1, 2}]], ImageSize -> Large, 
     Method -> {
      "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& )}}, PlotRange -> {{0, 1.}, {-2.8343687383, 0}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.02]}}, Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
       TagBox[
        FrameBox[
         StyleBox["1", Smaller, StripOnInput -> False]], "Placeholder"], 
       TagBox[
        FrameBox[
         StyleBox["2", Smaller, StripOnInput -> False]], "Placeholder"], 
       TagBox[
        FrameBox[
         StyleBox["3", Smaller, StripOnInput -> False]], "Placeholder"], 
       TagBox[
        FrameBox[
         StyleBox["4", Smaller, StripOnInput -> False]], "Placeholder"]}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 9.75}, {20, 9.75}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{{
                    GrayLevel[1], 
                    DiskBox[{0, 0}, 
                    Offset[{3, 3}]]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    CircleBox[{0, 0}, 
                    Offset[{3, 3}]]}, {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 9.75}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.09205128205128206] -> 
                    Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 9.75}, {20, 9.75}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[
                    NCache[{
                    Offset[{0, 4}], 
                    Offset[{(-2) 3^Rational[1, 2], -2}], 
                    Offset[{2 3^Rational[1, 2], -2}]}, {
                    Offset[{0, 4}], 
                    Offset[{-3.4641016151377544`, -2}], 
                    Offset[{3.4641016151377544`, -2}]}]]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    JoinedCurveBox[
                    NCache[
                    Line[{
                    Offset[{0, 4}], 
                    Offset[{(-2) 3^Rational[1, 2], -2}], 
                    Offset[{2 3^Rational[1, 2], -2}], 
                    Offset[{0, 4}]}], 
                    Line[{
                    Offset[{0, 4}], 
                    Offset[{-3.4641016151377544`, -2}], 
                    Offset[{3.4641016151377544`, -2}], 
                    Offset[{0, 4}]}]], CurveClosed -> True]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 9.75}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.09205128205128206] -> 
                    Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 9.75}, {20, 9.75}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[{
                    Offset[{0, 3.75}], 
                    Offset[{3.75, 0}], 
                    Offset[{0, -3.75}], 
                    Offset[{-3.75, 0}]}]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    LineBox[{
                    Offset[{0, 3.75}], 
                    Offset[{3.75, 0}], 
                    Offset[{0, -3.75}], 
                    Offset[{-3.75, 0}], 
                    Offset[{0, 3.75}]}]}, {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 9.75}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.09205128205128206] -> 
                    Baseline)], #3}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 9.75}, {20, 9.75}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[{
                    Offset[{-2.75, -2.75}], 
                    Offset[{2.75, -2.75}], 
                    Offset[{2.75, 2.75}], 
                    Offset[{-2.75, 2.75}], 
                    Offset[{-2.75, -2.75}]}]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    LineBox[{
                    Offset[{-2.75, -2.75}], 
                    Offset[{2.75, -2.75}], 
                    Offset[{2.75, 2.75}], 
                    Offset[{-2.75, 2.75}], 
                    Offset[{-2.75, -2.75}]}]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 9.75}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.09205128205128206] -> 
                    Baseline)], #4}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.6150173333333333, 0.25708400000000003`, 
                    0.13945266666666667`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.922526`", ",", "0.385626`", ",", "0.209179`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.922526, 0.385626, 0.209179]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.922526, 0.385626, 0.209179], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{
               TagBox[#, HoldForm], ",", 
               TagBox[#2, HoldForm], ",", 
               TagBox[#3, HoldForm], ",", 
               TagBox[#4, HoldForm]}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{{
                    GrayLevel[1], 
                    DiskBox[{0, 0}, 
                    Offset[{3, 3}]]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    CircleBox[{0, 0}, 
                    Offset[{3, 3}]]}], ",", "9.75`"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[
                    NCache[{
                    Offset[{0, 4}], 
                    Offset[{(-2) 3^Rational[1, 2], -2}], 
                    Offset[{2 3^Rational[1, 2], -2}]}, {
                    Offset[{0, 4}], 
                    Offset[{-3.4641016151377544`, -2}], 
                    Offset[{3.4641016151377544`, -2}]}]]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    JoinedCurveBox[
                    NCache[
                    Line[{
                    Offset[{0, 4}], 
                    Offset[{(-2) 3^Rational[1, 2], -2}], 
                    Offset[{2 3^Rational[1, 2], -2}], 
                    Offset[{0, 4}]}], 
                    Line[{
                    Offset[{0, 4}], 
                    Offset[{-3.4641016151377544`, -2}], 
                    Offset[{3.4641016151377544`, -2}], 
                    Offset[{0, 4}]}]], CurveClosed -> True]}], ",", "9.75`"}],
                    "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[{
                    Offset[{0, 3.75}], 
                    Offset[{3.75, 0}], 
                    Offset[{0, -3.75}], 
                    Offset[{-3.75, 0}]}]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    LineBox[{
                    Offset[{0, 3.75}], 
                    Offset[{3.75, 0}], 
                    Offset[{0, -3.75}], 
                    Offset[{-3.75, 0}], 
                    Offset[{0, 3.75}]}]}], ",", "9.75`"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[{
                    Offset[{-2.75, -2.75}], 
                    Offset[{2.75, -2.75}], 
                    Offset[{2.75, 2.75}], 
                    Offset[{-2.75, 2.75}], 
                    Offset[{-2.75, -2.75}]}]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    LineBox[{
                    Offset[{-2.75, -2.75}], 
                    Offset[{2.75, -2.75}], 
                    Offset[{2.75, 2.75}], 
                    Offset[{-2.75, 2.75}], 
                    Offset[{-2.75, -2.75}]}]}], ",", "9.75`"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"True", ",", "True", ",", "True", ",", "True"}], 
               "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.7951869703447523`*^9, 3.795186974840651*^9}, {
   3.7952283157694883`*^9, 3.7952283614531517`*^9}, 3.79522840720371*^9, 
   3.795228468255653*^9, 3.795228522246873*^9, 3.7952286222394342`*^9, {
   3.7952286946076508`*^9, 3.795228697329195*^9}, 3.795228825867494*^9, {
   3.795229955787269*^9, 3.795229959455565*^9}, 3.795230201069557*^9, 
   3.795230330120352*^9, 3.795232138048552*^9, 3.795232285069278*^9, 
   3.7952323296752853`*^9, 3.795232431654182*^9, 3.7952330799148083`*^9, 
   3.795233146858026*^9, 3.7952333842322397`*^9, 3.7973471798301077`*^9, 
   3.797439946454905*^9},
 CellLabel->
  "Out[358]=",ExpressionUUID->"a3e56d39-d567-4bc8-a07b-1909c4f1269b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
    "\[CapitalDelta]\[CapitalOmega]S51", ",", 
     "\[CapitalDelta]\[CapitalOmega]GIC", ",", 
     "\[CapitalDelta]\[CapitalOmega]GICVWN5", ",", 
     "\[CapitalDelta]\[CapitalOmega]GICMFL"}], "\[IndentingNewLine]", "}"}], 
   ",", "\[IndentingNewLine]", "OptionsPlot", ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{Weight $w$}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{Excitation energy (au)}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotLegends", "\[Rule]", "Automatic"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.795228474820265*^9, 3.795228486349724*^9}, 
   3.7952323333064327`*^9, {3.795232442398073*^9, 3.795232442490087*^9}, {
   3.7952330901819077`*^9, 3.7952331070317*^9}, {3.795233388952064*^9, 
   3.795233392641303*^9}, {3.795233422778462*^9, 3.795233422912299*^9}, {
   3.795233491136209*^9, 3.795233513048748*^9}, 3.795233603303671*^9},
 CellLabel->
  "In[1025]:=",ExpressionUUID->"b6366ba0-47af-4fdb-8ffb-513b455421e0"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0.4132542755795137, -0.26471602474999933`}, {
         0.425, -0.2413224464999999}, {0.45, -0.191257448}, {
         0.475, -0.14099551889999984`}, {0.5, -0.09061395439999975}, {
         0.525, -0.040191588299999914`}, {0.55, 0.010204872500000128`}, {
         0.575, 0.06045776639999989}, {0.6, 0.11049820740000005`}, {
         0.6026741767934125, 0.1158180812499996}}]}, {
        Hue[0.9060679774997897, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJw90F9IU1EcB/BjPQktInCuMrruIdpbJUWM5HuRMkHQ1EFREdvEglKiiPBB
vLcnK9qDiaA+XCaBbCpRm+vepeOciP6MUhNNHIqtms3/GkHmQ39s/m5fOBx+
nN/vcw4n33utsmYLY8yxsf7t/1MxHVK+tfCO9kzADtefb4k8oToI98GCPEeD
wQsyCUPqqyur+TBA51HIoSnN1cj5JiZgU5y2bTcE9b9Am7OrNLdH8EuZvMIB
e5Uv656g+Ths9UePWRyCD77LBKq99kztcdN7j2SWFG9ei1H/CMT4w9/pzgHy
R8EK07dKXP00Pwb5ed3PPPszum8c0rB1PbYrSt4E1HnJN3bCIC8BCcWrPQGd
vEn4WxPflWKdvClINwu1wT06edNI+hPlAbtOXhJq9xU1p9Ls36iLAtXXNZ38
TxBlj3wf1835z2BD5x68dZn/+QXqyO6ZKs0gLwXRcapv9KVBXgp+xTkZiJrv
nQHzWk7fuWqQ9xXy63DphSHz/Wmo5WcP/Uk8JW8WzLPdE78fIW8WsgU7Ti6H
yZuDWqHnRHaGyJuH27NmFfsek7cANfvH3K9gL3mLEFr1cIOtm7xFyHuVi1u7
guQtge1vakqt9JK3DPdtx2XLkTB5K2Bt/G6/NUbeKiZyvUaKv+F/ARrgOwQ=

         "]]}, {
        Hue[0.1421359549995791, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJw10V9IU1EcB/Cj2PAha9BDPSwphFAyH5bCXup791KCFBqNMvChWT5EWTGR
9EFPZZSRPUQGzbRx7821q+jFYRFJ94A4NpgwSaOYxNI5/6wsKomS/qz5u184
HH6c3/mcwzm73RePnc1ljJVkxv/ZDLdb0q23RuB9mA1Yd03tNu8NqgPg7ja9
49F9Y382QfCciJHfrBob6y/AmqxTzxc1Y0MTYJrN9d03RP3jkEJ71tVi3WjI
JoRdxzvrZiWd9kfAqhZSm5RhYzKaDUS1fKjXOkReDOLAqlvfPkj9UxBb9npW
fgTIfw0e+moPJv20fxpsMl7ptPTTeW8gdfccvNKqkvcW4lXtpX6XQt47sHgq
r1yRyYuDH42OHWmQyZsFq0jwe16ZvPeQamwD4XKFvAT4n6pnj4tU6k+AFZV0
Xa9+Qv4H8AvJ9E2feZ85iJzKc541P503D2liZ9l6WYC8JIRrc25pqUZeEszu
PHw7qpG3ABY7+cC6ppGXghCO33+7NPIWwa+Njv3qNL2lzP817nAsm++TqW3O
cYth3m8ZvLm94qdDIW8FYrhua/1TH3lp8Lun97UU9pL3EcxfIN8530Nepg5i
xHO5j7xPYOE8NTahkrcKnn9VYU06eZ8h9OKlE99ekvcFbCbcd+ZUxPgHu/A3
7Q==
         "]]}, {
        Hue[0.37820393249936934`, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJw10G1IU1EYB/AHKXr7UJEE60OvEkaaMEE/FP3vl8IiuuREoYRBmhQkQRlk
+OGWYpgEKc68OnNra+7q6GolMSPugTQqGzQWskrMatZWviG9kYXZfO4fDofD
eZ7fOTxbjp/JP5FCRDsW1v/dzObV6bGGY31oVZOBUlsfaDUcfNZAf29cmFtS
Y2Qncw9Klr5hZddNY/E+CFpe9U6fvW0sagJUd15dFtW4/jGoUB69c7/bKEvm
CcT3c4P62gD3P4P0fCgYsXcboRfJQJyeOlT7W2PvJcTEkDy7y8/1YUgryuuC
e3zsRyDN77bmFnm5/xXEtL2k0XeL3xuGWFqS48xzsxeFUtBjXDviYu81aL8t
Wq52sPcWdCAjPf9iB3sjoObJ7aUbXeyNgtY32VeNu9gbg/KjPds37+b6MdDg
G/VskYf995AeNafJYS/3f4DIqi4cOGz+/yNERl7DXr2TvRjo21VLRdjPXgxK
Yk1LTZPG3jiUrdbS+IjG3ieIuzO9cqM578+g4p+5ms/PXhxSV8s2m6WTvThE
YtMlxx8vewnQr7n4QJU5ry+gUChQFjHn8RVkPVmZcqWNvQkoluqc626VvYVz
AfoP2pzsTULQ0VSt0sPeFGhn5uX6fTp70yD5wcNTsX72ZuDyONLWOZ8a/wCO
gzpG
         "]]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{{
                GrayLevel[1], 
                DiskBox[{0, 0}, 
                 Offset[{3, 3}]]}, 
               AbsoluteThickness[1.5], 
               Dashing[{}], 
               CircleBox[{0, 0}, 
                Offset[{3, 3}]]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Scaled[9.75]], CompressedData["
1:eJxFzV1IU3EYBvDjPBcKxsSuEqkNg+ZFEbW66eLxog/Uili5CLyYq+aumhiB
IuqK+UFSCmZo2WCgqy7sRp1IozNtmKsZx/nBpIO6s7PTNucytZsoUnbe8IH3
4s//eX+v1mwz3M1mGKZkb7L2RsXsx3jratdAW5p70Z8JglueT50H/7/fIjRe
GmILN7jTmYwgPPhrofnPOv1PQHVu2M8Gkpyi+VB/f9tW1pqg/kcUrJhdTfo4
Z8lkGjreYrSGZdoPwPzQ/bKjLsbNBjPB1lnBzbISeTwMo45A8IlI/Tl4uuqf
jeRHyJ+HplZb/bNwlfYXcJlt73XmCnRvCX1zmxZ/OkxeGGxO1Z3hL4vkLaO2
23vilStE3jcwByZrXke/kifAV108daRxhrwV6O5dKj6aN0XeGkzdY2LDqXHq
r8F+YSj5t2eQ/AiY6eOz5bIDyr4I+40dlWHnHZR7UZSO5lUMlHmheBI0H24e
anzkh+JJyG9YHPOHPkPxYrCWCNv/OnjyZPhsLVW5znnyvmMmS/1A514iLw7d
b8k35FwmLw5rq6P/okMgL4FrVyo9RddXyUvCpE7xh7Mj5K2jT5O6/aZCJC8F
r6epJtEcJS8FVm3gxecSeRvIOWbRWh/HyEtD/7TX7i6XyfuB8y59Czshk7eJ
k5PGM+9NMnYBrJo7NQ==
         "]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{{
                GrayLevel[1], 
                PolygonBox[
                 NCache[{
                   Offset[{0, 4}], 
                   Offset[{(-2) 3^Rational[1, 2], -2}], 
                   Offset[{2 3^Rational[1, 2], -2}]}, {
                   Offset[{0, 4}], 
                   Offset[{-3.4641016151377544`, -2}], 
                   Offset[{3.4641016151377544`, -2}]}]]}, 
               AbsoluteThickness[1.5], 
               Dashing[{}], 
               JoinedCurveBox[
                NCache[
                 Line[{
                   Offset[{0, 4}], 
                   Offset[{(-2) 3^Rational[1, 2], -2}], 
                   Offset[{2 3^Rational[1, 2], -2}], 
                   Offset[{0, 4}]}], 
                 Line[{
                   Offset[{0, 4}], 
                   Offset[{-3.4641016151377544`, -2}], 
                   Offset[{3.4641016151377544`, -2}], 
                   Offset[{0, 4}]}]], CurveClosed -> True]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Scaled[9.75]], CompressedData["
1:eJxN0F9IU1EcB/CzfApaROBcZXTbQ7i3SooYyfcSZYGgqYMiI7aJBaVEEeGD
dG9PVrSHksB8uCwC2VQiN9e9S8c5Ef0ZpSbacCi2ajY18w+B5kPWWL8LfeH3
cDi/3+f8OLt9l2saChhjzlxZcrWB/ZfqqbCy3MY7HuYDtr+5ri3aS+cQPHtL
i50tBi/NJwKpr6my4eMA3ccghyc19w3O/2ECdsVl33RVUP9LtLs6K4q6BT+f
z2uUOGr9ljuC5hOwNx88ZHUKPvg+H6iOxlONh03vA9IWKXFvNU79IxDJx+vZ
RwPkj4KVZa+fcPfT/BjkF02/ih3P6b0kpGHbWnxbjLxxqHOSf+yoQV4KEsqX
uoM6eRMIPEj9VMp18iYhXSvTBnfo5E0hHUhVBR06eWmoXRfVwhqzP3c+Eqy/
ounkf4aofOL/tGbOfwEbOnP/ndv8z69QR7ZP12oGeRmIjuN9o68M8jIIKK6J
YMzcdxrMZz1565JB3jfIbyIVZ4fM/bNQq07v+5N6Rt4MmHezN3E3St4MZCu2
HFuIkDcLtVovjG4NkzcHj3fVJnY9Je871I0rs79DPeTNQ2j1wy32LvLmIe9U
zhV0hsj7AbantTWz2EPeAjw3nResByLkLYK189v9tjh5Sxgv8hkZ/pb/BSds
OwY=
         "]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{{
                GrayLevel[1], 
                PolygonBox[{
                  Offset[{0, 3.75}], 
                  Offset[{3.75, 0}], 
                  Offset[{0, -3.75}], 
                  Offset[{-3.75, 0}]}]}, 
               AbsoluteThickness[1.5], 
               Dashing[{}], 
               LineBox[{
                 Offset[{0, 3.75}], 
                 Offset[{3.75, 0}], 
                 Offset[{0, -3.75}], 
                 Offset[{-3.75, 0}], 
                 Offset[{0, 3.75}]}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Scaled[9.75]], CompressedData["
1:eJxF0V1Ik1EYB/BnZsOLPgZd1MWKQggl82Ip7Kb+200JUmg0ysCLVnkRfTKR
8qJOX5SRXUQGzbTxvm+uvYW+OCoi6T0gjg0mTPqgmMSqOT9WFpVESR8v8xn9
4Vw8nOf8nsM56/zHdh5cRESV1rJZq4T+R7js+fbLgwjeKgTU1di0IniR6wiE
/7Rx4fYNc1MhUQhbwixr08yF/SegVsfY40ndXNAkSHf6vof6uX8Yntj6ea3C
MFsKiWHtro7mcY/B5xOg+oncYnXAHE0WAtmgbO1x9LOXgtw86zdWPuD+Mchl
GwIzPyLsP4eIfXVFs2E+/wI0mq7z2vt43it4urq3nGzX2HsN+azpeJ9PZe8N
KJ0rrVEV9tIQO5JD21sU9sZBtRlxPaiw9xaeRuf9eI3KXgbiT/2jO+Ua92dA
5ZWd5xvusv8O4kg2fylUvM97SFvdocBcmOd9gGdkdfV8dYS9LKRvSUlVlc5e
FuTybruS1NmbAKX23HTM6ezlIKX7999Onb1JiHMPh351FL0p6/+OrnJPF9/H
qp3eYbtZvN80RNuZ2p9ulb0ZyIHm5fvvhdjLQ1zbt/HUmh72PoLCS5Wrh7vZ
s+ooBgMnetn7BIqXaqkRjb1ZiLKzKrUa7H2GNCqmdn97yt4X0Mt474G9CfMf
yHw37w==
         "]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{{
                GrayLevel[1], 
                PolygonBox[{
                  Offset[{-2.75, -2.75}], 
                  Offset[{2.75, -2.75}], 
                  Offset[{2.75, 2.75}], 
                  Offset[{-2.75, 2.75}], 
                  Offset[{-2.75, -2.75}]}]}, 
               AbsoluteThickness[1.5], 
               Dashing[{}], 
               LineBox[{
                 Offset[{-2.75, -2.75}], 
                 Offset[{2.75, -2.75}], 
                 Offset[{2.75, 2.75}], 
                 Offset[{-2.75, 2.75}], 
                 Offset[{-2.75, -2.75}]}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.922526, 0.385626, 0.209179], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Scaled[9.75]], CompressedData["
1:eJxF0G1IU2EUB/CTFb19SCmC9aFXESVLmKAfiv73S2IRXXKiUMEgTRKSoBfI
8MNNxTAJVJx5beXW1tzV0e2VmBH3gVQqGzQWsUrMataWr0hvZGFjntEfzoeH
55zf83A2Hz1ZdGwxEWXFa1G8Uuh/Nq3OjLQcfoBONREoDU2+TsPGZw3098q5
uSX1Rm4i96Dk6OtX9lw3Fu79oOU17/XZm8aCJkCNZ9VlYY37n4BK5JFb93uN
ikQGIb6fHtDTfDz/DNLzIX/I2msEXiQCcWJqf8Nvjb2XEBND8uwOL/cHIa2o
avTv8rAfgjS/05xf6ub5VxDT1rJWzw1+7zXE0rI8e6GTvTCU4tvG5YMO9t6A
CizhKrWLvXegvdmZRee72BsGtU9mlG9wsDcCWtdmXTXmYG8Uyo9ruZ55J/eP
ggbeqqdKXex/gPS4PV0Ounn+I0ROXUn/geT/P0FkF7bs1rvZi4C+XTKdCXrZ
i0CJpXbUt2nsjUHZYi6PDmvsfYa4O3NHbk3u+wvoyM98zeNlLwqpp2OrxdTN
XhQitvGC7Y+bvRjo11y0vya5r6+gQMBXEUruYxxkPl6dcvEqexNQTHV5zU6V
vfi5GH37LHb2JiHo0Fqt2sXeFGjb9tqmPTp70yD54aPKSB97M3C4bOlr7E+N
f5sPOkg=
         "]]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[
         1.6]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[
         1.6]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}}, {{}, \
{}}}, {DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {False, False}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, BaseStyle -> 20, 
     DisplayFunction :> Identity, Frame -> {{True, True}, {True, True}}, 
     FrameLabel -> {{
        FormBox[
         GraphicsBox[{
           Thickness[0.005105166428425566], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJNIAaxQYAJSjNCxZiR+PjEcakhlU2JOcToxeVmSvTS
wl+U2EWMmQB8+QKp
              "], CompressedData["
1:eJx1lHlME0EUxgsl1oICUqFFqXa73R5IKdKuB2p43kRNREu0Ery4iif+UQ0o
xgPRBDxQMRxiPRM0UahngcR6RVERo/FIRGKNGu9GRFQ8kdl1psFjks3ml9l9
37zvvTdUavb0DKFAIPDpeuZ0Pb4CvD7H+09glvsms9D/eNheX4UQ1M/y7U2T
WNhmKZrqs8wfRq9/0lA2goUUxhJxc2QAXNhYNfN6iJc3T3rtZ1pnJFxWHLRy
yCCGcNDsRHesSAll5Wj5Qyda5yiix+2XUnCDW1/j3x2oUTTleHni0ctVggQF
ZKL1XAT0/SdmQYoCuOOv7QVWbkMBXPjcYMKcjju4+364hHB1SFSgdUAYiSfJ
3WFrKlEA1vsn2yjCnL5D+V9Om90yQSjTEj3MLTr50c6TSsjKbi24lqTlz/VA
BavaHImL6rVwamjHxfTXaoiiBrYvnqEhLNt1V5w1RgOVB+i67xPV4GC6CqXX
8L7WMfDF8+b8cFoD/exzdI3FzG+/1LDK3dFsfEjz/6eqeV/2KiEUFe4uA43I
5sVKuH5pzLEFP1VwNjvPU878zkOmBCNaHyhwmuMsnSI5YT6+jHAC+j5HSuqt
bVO9qtCF8r6N87Ih8ojkVroeLhS51pvSpOCErgbL0fM+XQmHDpRHvh5KUV6z
5ISXXzozvnwPRRj7jeMFI10rDau/xS272VMPraiPamkoQf0YEAUqVOe3NCQ2
98+bf0IHJZsKku9EMIRx/jje/9gRvfSgT0Q04Qb0dv3NOP5x9H3KYKKPGZ+P
888cA8dQP1bTMPmqaNRuJobPr5iGhvraLT1aDSS/qyi+3UDy58ZkioGPs5MC
P3HhwLRoA9Sier2QE348fu7oiu39CHN6j6RwGvk/zEDqg+NhPr9aPszaboIk
z533ZfulkM71MQtvNi4piv0mg1G5lsOsnIV21/vT1hUDCM8Uh20yrqEI43wP
uV2BlUKW+PWxrrnwxz0TTEN1aGMAjUGF08T3cbAaLFLnbYHdy1pPb1eMzsuN
KM6jWFiA5smm+Yu3mm2q0iATPzdVGqKP55Hjpyxs6D21poRRw8uFgz6VeliY
lzRds++VCi6i+66NhbHF+SGZkTRh7t6IUnbnFgVh7AeOV6AQMTds4YBkMl6y
vL/iMKLfF83JMwlhN6rX4D6E8X2K/8f3N9b78z7/BYnXZ7A=
              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYAJSjNCxZiR+AxksEk1hxj1lJhJLb2UuBMA
8t8CMw==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4g16eYsZ3xg5nDjstDazTsvhFIjeZ+owfQJ/
lVm3gcMZELhj6lCyVfT36XUGDgZaK4UviJg5GIPAYQOHGSB12Qi+xNQrnBmb
MPl/v5U+mBNo6NDj9YrFRNAUzld90jzv7Cwjh+eJC6+ZrNd2SI6948YsYejg
fYLddraqgYND06PjM04bQPhTDRz8L06M+TfZwOHzhoDsWdcNHNaCDdB32F8r
a5HeYujwB2SuobZDMci9coYO+iD3pmhD7TFwqPkE1Gil41Cwpvt2xgQDiPqP
OnD/gvkXdSH2OBs4NLAc7Tc013OYMRMIfuo7PM/S/ja91tDh+K4dvWwCmg5H
wbSuwwPXeMdZgkoO9b+tCs6d0HFITwOCbYoQ+110HN4vWq9wtkIREs73tOF8
mHvR+WD9aQoOU9pboy7P0YPzfUHuegzlX1NwSAGF1w89h3BOsXbj/woO/rek
axKL9OH2bzH/cSiFywASH5eVHDaC4jvGAOLei8oO/cElKtProfGkpAIJ/x+G
Dh6gAGXXgJgvYeLAHxtw32i6ooNtZcQKU1kTiHnNig5qoHD1MnEQrpxUcvaL
gsOS+/v45hSbQNzTr+AQo+D4MXmOiYP7mqPLGTwUIOlniSncP+h8sDsuIfhe
oHhnNcPJjxDffpGBzxxuPowPC09wuu0zg7sfku7MHO6D/L9QETU9f1aEp3fl
a4+CGXqUHNDzBwA0SlWD
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYCYpvKiBWmufYOpjZ7g6Yd1HGA8X1OsNvOnqrn
cFXok+P5NnsHh6ZHx2dIGzjsr5W1SN9i7yA+9QpnxiUDB423vPsMXto5nAEB
H0OHBpaj/YbmdhB1LYYOqWkgYAvng/UV2cD5YHtCrR38L06M+adsCBFXsXI4
3LY8/FSSgUPBmu7bGQcsHFp4/ddPYdWHyLNYODzN0v423VYHzj912Glt5j4N
OP+Ba7zjrERlhy8bArJnPbd0+LLv49Z0M3kHmXlxmqcn2MD5M2aCgC2cD/av
mL2D8rVHwQwxChB5T3sH4cpJJWe/KMD97zyhWSjNSsnhz7fSB3Ma7R2MQeCy
EsQ/R+0c+GMD7huxKzkcAflDyQ5i3hpFB3tQOGbbwvmQ8LKG88HhcNjSQVdR
/kuOmCqcDwknLVQ+MH6Wv/DQ+3/QymGjXt5ixhoDhw0guscGzofZB+P3Bpeo
TI+3c0gHRYuYgcPUCfxVZrvtHFg4u+ST9fQdSraK/j59zw4jPcD4AH+0588=

              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQvb9W1iKdxcmhcE337YwCQwfvE+y2s986OoDFWwwd
NujlLWbMcXSYCQKShg6fNwRkz3ru4CA+9QpnxiUDh/rfVgXnEhwc/C9OjPm3
GcEHm6Nq4LAaaCzDfgT/DAioOML5xVtFf5/Wc3RY/sJD7z8jgq+vtVL4Qoou
nC/a4/WKpUQFzjcGgc+KDk8SF14zUXd0UL72KJhhjSLE/gsODvyxAfeNpis6
VEasMD0b7eDwftF6hbMVCL77mqPLGTwUHO7v45tjHOXokJ4GAph8sL9nIvjd
QGeY3MTNB4fPdSe4+TA+zP43vPsMZiY5wd3Xvjz8lBGPE9z9sPiA+Q/Gh/kf
Pb4A5jC5SQ==
               "], {{35.121900000000004`, 21.848399999999998`}, {
               34.525, 21.848399999999998`}, {34.00939999999999, 
               21.332800000000006`}, {34.00939999999999, 20.7359}, {
               34.00939999999999, 20.160899999999998`}, {34.525, 19.6438}, {
               35.10159999999999, 19.6438}, {35.67809999999999, 19.6438}, {
               36.214099999999995`, 20.160899999999998`}, {
               36.214099999999995`, 20.7359}, {36.214099999999995`, 
               21.2922}, {35.67809999999999, 21.848399999999998`}, {
               35.121900000000004`, 21.848399999999998`}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
              0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
              3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4gjx7RcZ2FwcRHu8XrFM0XeA8SWmXuHMUFKB
8x+4xjvOMlR0WPbCQ+9/pIuD65qjyxluyDsoOH5MPiPrCudbXDuaaxKB4N+S
rkk0murqEM4p1m4sr+Aw5Rtb/Iwlrg7paSCg4DDPRufKLDk3iPmNSg4+J9ht
Z/91dVgrpMOXrqfsEAmyf5+rw38QmK/kcELTatLp6a4Op88AQY6Sw85bXX9T
0xH8A7WyFuksCL5D06PjM267OHxYtF7hrIUynD9jAn+VmbYqnA/zP4gyUXSD
8xlAwMLNAWTcmTsGcPWnDzutzdyH4PcHl6hMrzeE82+D/B1q5GBiDASPXRw2
6uUtZuQxdviyISB71ncXh7/fSh/MCTRxCAFq+3/DxWEmCHSaQNTNcXGwq4xY
YWprAvGvv4vDdJB7fxtD1DO4OPD7r5+SesLYwU21lGkWB9R+fWOIfdwuDk8S
F14zOW8E54PD2wzBFwfF7yUDiL9cnB0K1nTfzlBA8KeC7MtGpAdYeAAAKz3p
mA==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
               1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQfQYEWjwdPixar3B2hbLDfxAo93RwX3N0OYOHgoPI
J8fzabJeDulpIIDJB9N2CP6PmNyj/7wQ/De8+wxmdnk5KF97FMwQo+DwHsT/
5QU3H8Z/D7K/QtFhx62uv6nTvRzKD29zndmr6CA+9QpnRpSXA39swH2j6YoO
5teO5poEeEHc+wLBr77/45bxbWU4/0GE+PaLCtpwfiPL0X7DcgMHAZD7n3o6
7K+VtUhvMXQAO3OfB5wfXKIy/X8Agp/D+XNB+mt3B3A4+RhC/ePu8HlDQPas
6wYOFRErTM8yuzvoa60UvmCC4Gfkf2g9eUXXAeQMBjd3h7WqT5rn9eo6rOm+
ncGQ7u5Q/9uq4NwJPYcDIHvmuDsYg0CwAUT9Nne4e9WA2s5qecD5y1546P2X
9ITzb0rXJBrVejr4nGC3nV2q7wCLz4TYO27MN7Qh/unwgIfHk8SF10z03SHh
qqTloDdhwQ/DeW4OBiD3u2jA+U9B6s6rwPng+NymCLFH1N3BFRR/N+Qd5tno
XJl1D8EHhxuPB5wPDidzD0j8cCs4JBy+rJ3q6QGJX1sFB/T0BwCNRh7s
               "], {{
               51.037499999999994`, 10.6641}, {50.4609, 9.848440000000002}, {
               49.209399999999995`, 9.09375}, {48.434400000000004`, 
               9.09375}, {47.63909999999999, 9.09375}, {46.94379999999999, 
               9.82969}, {46.94379999999999, 10.6828}, {46.94379999999999, 
               11.418799999999997`}, {47.34219999999999, 
               12.114099999999999`}, {47.9375, 12.490599999999999`}, {
               48.434400000000004`, 12.7891}, {49.526599999999995`, 
               13.067199999999998`}, {51.037499999999994`, 
               13.285899999999998`}, {51.037499999999994`, 10.6641}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
              0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
              3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4nDx7RcZ3HwcRHu8XrFM0XeA8SWmXuHMUFKB
8x+4xjvOMlR0WPrCQ+//TB8H1zVHlzPckHeQd/yYfCbWF843v3Y012QGgn9D
uibR6KqvQzinWLuxvILDlG9s8TOe+Dqkp4GAgsNcG50rs+L8IOY3Kjn4nGC3
nW3r57BWSIcvXU8ZYv8/X4f/IDBfyeGoptWk09d9HU6fAYIcJYc9t7r+pi5H
8PfWylqkuyD49k2Pjs+Q9nX4sGi9wlkLZTh/xgT+KjNtVTgf5n8QZZLoB+eD
7S33cwAZd+aOAVz96cNOazP3Ifj9wSUq0+sN4fzbIH+HGjmYGAOBsq/DRr28
xYw8xg4fNgRkzzL3dfj7rfTBnEAThxCgtv8Svg4zQaDTxGELSN0dHwe7yogV
prYmDsdB/u33cZgOcu9vY4h6Bx8Hfv/1U1JPGDu4qpYyzfLwgdivbwyxz9vH
4Uniwmsm543gfHB4myH44qD4vWQA8VeLt0PBmu7bGQoI/lSQfdmI9AALDwD2
a+5c
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQvbr7dgaDfoBD4Rogo8DQ4fOGgOxZygEO+2tlLdJb
DB18TrDbzj7q7zATBCQNHXq8XrGYOPo7iE+9wplxyQBC7/Jz8L84MebfZgTf
G6RP1cDBRbWUaZaEP5yfmgYEdQg+j//6Kakd/g7LX3jo/WdE8PW1VgpfSNGF
80VBFpeowPnGIPBZ0aH2t1XBuQZ/B+Vrj4IZ1ihC7Nfyd+CPDbhvNF3RQeST
4/m0rX4O7xetVzhbgeC7rzm6nMFDwaE8YoXp2c3+Dukgd6Vh8k3A9iD4wiD9
kgE4+a4g/84IgJsP48PsP3xZO1UyLgDuvv4FPwyfGQXA3Q+LD5j/YHyY/9Hj
CwAkvLBr
               "], {{63.8219, 21.848399999999998`}, {
               63.224999999999994`, 21.848399999999998`}, {
               62.709399999999995`, 21.332800000000006`}, {
               62.709399999999995`, 20.7359}, {62.709399999999995`, 
               20.160899999999998`}, {63.224999999999994`, 19.6438}, {
               63.801599999999986`, 19.6438}, {64.3781, 19.6438}, {64.9141, 
               20.160899999999998`}, {64.9141, 20.7359}, {64.9141, 21.2922}, {
               64.3781, 21.848399999999998`}, {63.8219, 
               21.848399999999998`}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{
              1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKB0hvv0ig1iQw/5aWYv0FkOHxZOsGH1jAuH8xyKy
J5/eDnD48630wZyPenB+M6//+imsmnB+9f0ft4yzlR3y49nPSfoGOnzZ93Fr
upk8hP8RwX+xfT3z8y1BcP4ZEHAIhui/rQzny8yL0zx9QRPOZ+Hskk/W03do
Xx5+yugIwr3o7hf3CPgj8T8Qou+OgcN/ECgOgvObAz3nNpwKgojv14Xztzs0
PToeoQHnC8QG3Dc6ruywtaXmwubOIAfnCc1Caa8UHDh+LkjfrITgH76snSq5
LBCVHxTocOFq2Bv93SpwPti+eC043+fixJh/yvoOxiDQj3AvuvsBO2vILw==

              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4iOXtVMly0Id3NccXc7goeAQm3v036bDoQ7p
aSCg4BBSojL9/xEE/w3vPoOZtxD8A7WyFulvcPNlXj8yk3IJg5sP479ftF7h
bIWiAwMICIQ58McG3Dearuiw4eHLqZuehDooX3sUzLBG0eHF9vXMzx+EOnwA
qX+B4Iv2eL1iKVGB82WWv/DQk9eB8w+3LQ8/lWTgsKb7dgbD7FCH/SB3tRg6
uKqWMs3iQfBr121Lqr8bAuerPmmed/ZQiIP0vDjN0wmGEPeuCHHwPsFuO5vV
0OHa0VyTBvcQh6kT+KvMsvXh/EKQRQVQ9TYI80yMgeB3sMNMEJA0dCiIZz8n
uTPYQXzqFc6MSwYOW1tqLmwuDXbwvzgx5t9mBB9sn6oBJDyWIPhfNgRkz7qO
Jn8n2AHk/f+MCL6+1krhCym6cD4svGB8kLOMP0PD80YwPLzB7lwbDI8PcHyW
BMPjC8aHxeeEBT8Mn52C6o9RcABZY/I2GB7/4PQlFALng+PDHMH/xhY/wycy
BK6/ImKF6dn1IXDzYXyY/U2BnnMbykLg7guQE8vy9Q6Bux8WHzD/wfgw/8P4
TyLEt198oAPnbzX/cShllZ7Drltdf1NnhzicPOy0NtPPAJL+XyD4D/bxzTG2
C4XzYfnnPwjM14PzZUDpZ4K2A3r+AgDp0X4m
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQ/eXvlYqX+yId1grp8KXrKTu0HDi10HVdpMMdTdk1
/ycrO6wvypj4NibS4YFrvOMsQSUH94dVIuvsIx3S04Bgm6KDlP5dFTZOBD8N
TEfA+Vtbai5sLoxwOAMCd5QcDl/WTpX0i3B4mrjwmsl5FYcI8e0XGcwiHGSX
v/DQk1dzyI9nPyepG+GwQS9vMaONukNToOfcBq0Ih/iQIPUFnZoObcvDTxk9
QfCnOHfnPLeOhPM3nyjbN78o0qH+t1XBuRWaDn9WfrzkeyrSISX2jhuzhJbD
HRW2xqmnIx3c99fKWizXgrjrTKSD+NQrnBlM2nD+lPbWqMs1CH4jy9F+Q3YD
B7nW14E78iIdQNrTWwwdFk2yYvR9EAHnf2eLn+GzEcF/w7vPYGZVBMR8J0OI
f9wiHPj9109JPWHg8GAf3xzje+EOAbekaxI36TssAZm3JRzqf104v/rThoBs
KU04fyYYqDkEyIll+R4PdxDt8XrFUqICCe+X4ZD4+qjkoGk16XS9DDQ+rinA
4+PLvo9b083kIeF9EcF/vHT2EQWGSDh/tUxUirV+pIPrmqPLGW7IO4jdPPc9
ODnSwRgEFis4CDUDE0wrlC+s6LAdFEALIh34YwPuG01XdPAx73RMWBrpIFw5
qeTsFUUH9PQGAGsTEpA=
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQvf/UQtdt0ZEO4lOvcGYwaTvMBAHJSAcWzi755Hda
Dmu6b2cw/I5w8L84MebfYy2H72zxM3zOIviqT5rnnZ2E4G9tqbmwuTACrj8/
nv2cpG6Ew4MI8e0XFbThfNnlLzz0/us4HL6snSppFOFw4rDT2sx7ug4cPxek
b3aKcHDfXytr8VzPQfiT4/m02AgHYxAINnD4DwKTIxzOgMAdA4h5FxF8mHth
/Kw9JZMlZCIh7pxl4BC3y5OHyTjSodvrFYuJoIHDkwtKt3/6RTqYgMy/rOcg
E5VifT880uFN8VbR36t1HdDDBwD9dIpI
               "]}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYCYpF17g+r/kQ7uK85upzBQ8FB1ZBjjYxXjEN6
GggoOLCvkYlK8UbwJfTvqrAlIvgdjglPLxTh5p9Xuv2z7lQM3HwY//2i9Qpn
KxQdUkHKpsU48McG3Dearujg3zs9Tyg7xkH52qNghjWKDnPeLz/mnR7j8AGk
/gWCL9rj9YqlRAXOl1n+wkNPXgfOP9y2PPxUkoHDEYUNRRmKMQ77a2Ut0lsM
HeJ3efIwTY6G86c4d+c8T0bwQdrNPaMdpOfFaZ5OMHTw4GHSbteLdvA+wW47
m9XQ4fq578GPz0Y5TJ3AX2WWrQ/nF67pvp1RYAjx36EouHkzZgJBY5QDiJop
aehQkjHxbY19lIP41CucGZcMHDL2lEyW+BPp4H9xYsy/zQg+2D5VA0h4aEfB
+SBplrgoVPnkKAeQ9/8zIvj6WiuFL6Towvmw8ILxjUHgMzQ846Pg4V3+Us2Q
wyQKHh/toPj8FQmPLxgfFp8PqoApKBCqP0bB4Y4KW+PU4ih4/PcArWuegeD7
mHc6JuxF8IGpT2TdfYT+CcDQMTVDpEcYH2b/+iJgAP5BuA8oG7frIsL9sPiA
+Q/Gh/kfxn8SIb794gMdOH+r+Y9DKav0HPKFmg+cUox2OHnYaW2mn4FDw1Rg
AslH8IGql84+guDD8s9/EJivB+fLgNLPBG0H9PwFAP+vfI0=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQHZFifd+fNd5hrZAOX7qessMLNUOONV/iHO5oyq75
P1nZQfTmue/Bi+McHrjGO84SVHJY6/6wSqQtziE9DQi2KTo0THXuzvFH8M+A
wJ9YOP/J0tlHFHbEQsTvKDmIrAMaMCXW4Wniwmsm51UcVG7/rMuqiXWQXf7C
Q09ezeFN4A651uJYhw16eYsZbdQdTDsdE54WxDrEhwSpL+jUdNhyomzffK04
OP/Pyo+XfJsQfBn9uypsO+Mc6n9bFZxboemQIBBhuUUg3iEl9o4bs4SWg0t3
zvPfgvEO7vtrZS2WazmYGAOBcLyD+NQrnBlM2nD+lPbWqMs1CH4jy9F+Q3YD
h5bXQAdujXMAaU9vMXSQbQUKqCH4oOBZ9z0WzpcAuedgLMR8J0OH9UUZE9/2
xDrw+6+fknrCwOF78OOls1ViHQJuSdckbtJ3WAIMrg2/YqD+14Xzqz9tCMiW
0oTzZ4KBmgNLGJ/uJt5YB9Eer1csJSqQ8DaIhcTXRyWHGlCAJ0Hj45oCPD6+
7Pu4Nd1M3qEA6Jwa8Tg434OHSbvdDcEXaD5wamFpnIPrmqPLGW7IO9TYm8bt
WhnnAAoW48UKDuUvgQnmDJQvrAgJj2dxDvyxAfeNpis6bJj7fvmx13EOwpWT
Ss5eUXRAT28AdpALrw==
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQrWrIsUZmUZyD+NQrnBlM2g7/QSA+zoGFs0s++Z2W
wxGFDUUZjnEO/hcnxvx7rOWw/9RC123CCP775ce8zW/GwvlPls4+orAjFq7/
TeAOudbiWIcHEeLbLypow/myy1946P3XceiZnifUXBHrcOKw09rMe7oOPEza
7WKdsQ7u+2tlLZ7rOWyYC7RhcayDMQgEGzjc9e+dnncr1uEMCNwxcCjImPi2
RjwOzoe5F8Y/r3T7Z11SnIPqk+Z5Z2dB5SvjHLq9XrGYCBo4+Jh3OiZMjXMw
AZl/Wc+h5QDQg/PiHN4UbxX9vVrXAT18AFbKiyo=
               "]}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYC4tJ986X0Y+MdvE+w285WNXCwN43b5dmD4K+R
iUqx3o/g+yQJRFgeiXdY/sJD7z8jgq+vtVL4QoounC/a4/WKpUQFzjcGgc+K
Dis+XvJNOhDvoHztUTDDGkUHsP1T4x34YwPuG01XdFgy+4jChqh4h/eL1iuc
rUDw3dccXc7goeDQcuDUQtdtUP0xCg5z3i8/5n093iE9DQQUHI6XAQ38jsT3
Nu905EjAyQ+33HKiLCwBbj6MD7P/sMKGogzTBLj7zoCABFT/NkWH4oyJb2vE
ExyEKyeVnL2C4MP8D+MnhASpL/DUhvPfFG8V/b1a10Ejpv/QV4MEh9rfVgXn
Vug7ZO8pmSwRgOCDwy0ZwWdtnOrcXZDgUPNpQ0C2lL7DUlD4VCU4ZOR/aD15
RdcBFLwCHQj+V5AFvQkQd/sYOnQ4Jjy90JbgULim+3ZGgaED0HaNmOoEh/21
shbpLYYOQNNznucj+GB9MQh+z/Q8oWaPBIi7jA0dToDC2zrBwf/ixJh/mw3g
/qsHufeEHpwPsy9fqPnAKUGEeWD3PIp3mAkCkoYOtVnAAFgQ7yA+9QpnxiUD
B1j6hJmPnl4B+YEr1Q==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCwBmIQfXqh67bPNxMdpk7grzLL1neIf3pB6fbLRIf0NCBo
M3CY+375Me/niQ7GIHDYwGGyBEsYX2+iQ8lW0d+n1xk46N9VYWssTXT4vCEg
e5a7oYP1ff/e6XGJDvtrZS3SWwwdftZl7SmxR/CLMya+rVFG8K8vLrDlYk50
sK+MWGFqa+gAcs7fFwlw+w4rbCjKOJrgULCm+3aGgoFDzvPfKz9uSnBg4eyS
T/bTg/Mlpl7hzHikDef//Vb6YM5HDYcrFS/VDC8kOGwx/3Eo5ZWaA9C1U53/
JzjMBAM1iH/OJjicAQEdFYels48obDiW4HBHU3bN/8nKEPceTnD4DwL8CD5/
bMB9o3IlON95QrNQWpSiQzbI/nMJDu5rji5n2KHgYMsF9OFbqH2aCg7zpYAh
ti3B4cu+j1vTp8k4pAO1269NcDAA+feztIMBxxqZqCUJDge79zWZMEvC+WD3
9YjB+UdA8ov5HDRi+g99vZPgILNRbD7TAhaHblAA6Cai8nsR/OgUYAwB4zta
NULm3B1BOF9+14J9qX3ScD44/BcrOHQ4Jjy9sCsR4v/5Sg5A313y7UPwvwc/
XjpbA8EHhwc7gn/c27zT8Qc0fKSU4XxYeMP4MvPiNE9vUHG47JskEPE3weFR
hPj2iwqqDjfOAW3gTYTwGdQcmMP4dDcJJjqYgB2oBolvoUSHOYuUd/5xV4Ok
R9FEiHkFag6g5HVdOtEhDQzUHA6cAqYw+USHTXp5ixlj1BxugxKoCoKfvadk
soQDgp8v1HzgVGKiw4ss7W/TZdUh5lUnOhhorRS+4KLh0DM9T6h5RqKDaI/X
K5Ypmg7hlltOlC1LdJgOyk/a2nB+Ksh6N104/w8ofQrqObADk2P3kkQHnxPs
trOn6kHyy3xEfkTPnwDRhanI
               "], {{137.26899999999998`, 
               16.842200000000002`}, {138.619, 16.842200000000002`}, {139.533,
                15.729700000000001`}, {139.533, 14.040599999999998`}, {
               139.533, 12.749999999999998`}, {138.69799999999998`, 
               11.8563}, {137.48799999999997`, 11.8563}, {136.15599999999998`,
                11.8563}, {135.26099999999997`, 12.8891}, {
               135.26099999999997`, 14.4188}, {135.26099999999997`, 
               15.9484}, {135.99699999999999`, 16.842200000000002`}, {
               137.26899999999998`, 16.842200000000002`}}, {{
               138.20199999999997`, 7.921879999999999}, {140.44699999999997`, 
               7.921879999999999}, {141.22199999999998`, 7.465629999999997}, {
               141.22199999999998`, 6.173439999999999}, {141.22199999999998`, 
               4.46563}, {139.65200000000002`, 3.1937499999999996`}, {137.566,
                3.1937499999999996`}, {135.83799999999997`, 
               3.1937499999999996`}, {134.64499999999998`, 4.20625}, {
               134.64499999999998`, 5.67656}, {134.64499999999998`, 
               6.570309999999999}, {135.16299999999998`, 7.385939999999998}, {
               135.956, 7.72344}, {136.27499999999998`, 7.882809999999998}, {
               136.831, 7.921879999999999}, {138.20199999999997`, 
               7.921879999999999}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ5IIaxWaBsBigfRjMjqWHGooZa6kkVp5Z7aO0vXOoB
MK4CWQ==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4v8gsD7J4YFrvOOsi8oOJnG7PHkWJTmI9ni9
YglRdbi+uMCWa3aSw4ss7W/TbdUcQvl0N83tT3I4vmtHL5uBhsPnv1cqXqYl
OUxpb426fEfP4UTZvvlSyUkOCSFB6gs69R1YG6c6dyckOXQDjTMRNIDz/S9O
jPnnjOBPn8BfZdZt4JBsfd+/Nx0qv9nAYb6U/l2VsiQH9be8+wx2Gjj8Xvnx
km9fkoMxCBxG8P9+K30wJ9DQAeja64sDkhzEp17hzHDC5H8Pfrx0tguC3zM9
T6jZAjefUbtd7OavRLj5MD7Mfm5QALEh3Ad2r1iSA7ebainTKgOHfKHmA6dk
kxyWv/DQ+19o4NB/6KtGjHqSAzjc6/Uh7stJctBVlP+SI6bqEG655URZHdR/
yUoOZ0CgJckhnFOs3Thf0eG4t3mn44QkB5HKSSVnn8g5zASBxiSHivs/bhlz
SzmkT3xbY5+b5LBWSIcvPU7YYfYRhQ1FIUkOLeK1rJlu/A72psAItkHwwe41
QvCXgjSoJTkIg8x3EXAAxk7Oc+kkhy/7Pm5NLxOExL8wgm/AsUYmiiUJlJyA
gB1in0CSA5cjn9eMTFYHUHROl0pykNkoNp9pAQvcfBg/OgWoIhDBh4UH2Pww
Lrj/wXwxEYf4pxeUbrMmO/x5+/qA5WIdh7nvlx/zlk92KFjTfTtDARq+2snw
8FdhAyYw62R4/EyRYAnj802Gxx+MjxK/Usmo8Y/EB7tPAMEHuuZnHRtuPji+
riDSJ4wPsx/svyeI9AMOr29JDiVbRX+fXmfgUJwBjND/0PzTiOCD/WeF4Ken
AYGYgQMo+k3/AcNzXpzm6Qv6DvtPLXTd9jvJYSoof2XrO6DndwCx16mK
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4kNfNWL6N6U4BL+9/HFGoqDDGRBoSXFoVWBX
PVMi4XDM27zTsSTFQaRyUslZFxkHiy0nyvYlpzikpwHBNkUHEJUWluIQcEu6
JnGSigMDCASkODSyHO03nK4O56fE3nFj/qEF5+trrRS+4KIH1z99An+VWbeB
Q4Ql0IKkFIevO291/b1q6BC3y5OHqTjFYaNe3mLGGmOHmH6gi4HumwFSn23i
AHO/Q9Oj4zOkzRwuKN3+WbcsxaEvuERl+nwzBwOONTJRKSkON4Q+OZ4/ZuLw
Z+XHS75eKQ4lW0V/n15n7LBASv+uilGKQ7SC48fkPYYOM0FAMcXh84aA7Fnp
Bg5XfJMEIiRTHJ5naX+b/lcXzof5B4W/Q80hY+LbGnvNFIc7mrJr/m9WcgB5
Z597ikMIKHwd5Rz2lEyWYIlLcZDftWBf6jsJBxA3rCjFoQ0U3ldE4e5/Ufs4
+3wOvwN6/AAA9+K3Sw==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
               1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQHcqnu2nu9FSHD4vWK5xdoeygdPtnXdaUVAf3NUeX
M3goOHzViOk/tDfVIT0NBDD5e0omS7AcQ/D/Xql4qXYSwZ8iwRLGdzPVQfna
o2CGGCj/K8J8GP89yP4KRYdj3uadjndSHcoPb3Od2avosNB12+e/Z1Id+GMD
7htNV3SIsNxyouwU1L0vEPzq+z9uGd9WhvMfRIhvv6igDec3shztNyw3cABx
961PddhfK2uR3mIIcX8agq+zae775V4IfsbEtzX2hqkOZ0DAxxDiXslUh88b
ArJnXTdwmHAIGCLfUxz0tVYKXzBB8DPyP7SevKLrMNW5O+c5e6rDWtUnzfN6
dR2AofdVQyDVof63VcG5E3oOBndV2BplUx2MQSDYAKJeGeFeHibtdjFHBN+i
0zHhaQ2CD3SN7qapqQ4+J9htZ5fqO8DiMyH2jhvzDW2HAluu64sjEOExAegd
U6ZUB/GpVzgzlLQcToEC+G6KgwHI/S4acP7TxIXXTM6rwPng+Nym6KDVLnbz
3O8UB1dQ/N2QdzCJ2+XJo5cK54P9Y4ngO5gCFbhA44dbweEOMHnt8YDGr62C
A3r6AwDerxvy
               "], {{172.73799999999997`, 10.6641}, {
               172.16099999999997`, 9.848440000000002}, {170.909, 9.09375}, {
               170.13400000000001`, 9.09375}, {169.33899999999997`, 
               9.09375}, {168.644, 9.82969}, {168.644, 10.6828}, {168.644, 
               11.418799999999997`}, {169.04200000000003`, 
               12.114099999999999`}, {169.63799999999998`, 
               12.490599999999999`}, {170.13400000000001`, 12.7891}, {
               171.22699999999998`, 13.067199999999998`}, {
               172.73799999999997`, 13.285899999999998`}, {
               172.73799999999997`, 10.6641}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4olva+xN3dIdCtd0384oMHSYc0RhQ5FDusP+
WlmL9BZDh4+XfJMEFNIdZoKApKFD7C5PHqb/aQ7iU69wZlwycIhMsb7vfzfN
wf/ixJh/mxF87xPstrNVDRzOgMAXBJ/r+uICW750VHmBdIflLzz0/jMi+Ppa
K4UvpOjC+VvMfxxKeaUG58+YwF9lxq3mMNW5O+c5e7oDE2eXfPI7FYcMkId+
pjn4gtzDrOLwsy5rT8nzNAf+2ID7Rs+VHE6U7ZsvdTnN4cOi9QpnI5Qc/qwE
+nAXgg/27xIEH+zeSVD+CSUHoGmTJTrSIOHRqexgYgwE9WkQd+moOMzIE2o+
UJXmMGeR8s4/6aqofHV1OB8W3gtdt33+W5IGD+8fwY+Xzg5Jg4c3KDh7jRHh
nfD0gtJtQUR4w/iw8LwCdH6EJoLf4QhU4YTgg7wX4ZoGD28YHxbeMH5K7B03
5h1qcD4DCHxQdvh7peKlmmeawx1N2TX/NyvB3ZueBgTbFB1sgM6dnpTmIFw5
qeRsiwLcv65rji5nuCEPST/zEfxQPt1Nc3cj+ODwuJLm4DyhWSitSsEBnD6f
pTm8B4V/hSI8/mHugfFh8RPTf+irBpC/N7/m7UxVJXh6cweZ76HgAIx9/bsW
6RD3pik42IIUWCL4cSD3OSP44PTljZuv0y5281w5wnwYH+ZeljCgB2PTIelv
uiIk/XikOyhfexTMsEbRAZb/wO5/geCL9ni9YilRcUDPnwBCLpos
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4j0lkyVYVqU7vKh9nH0+h9/hxrnvwY+vpjuE
vL38ccZDEQcDjjUyUS/SHRhAoEHc4eMl3ySBP+kOIpWTSs6mSDt0OCY8vaCU
4VB+eJvrzF5FBzDXPMMhISRIfYGmGpzPwtkln/xOC85/nqX9bfpfXYfPf69U
vNTLcPi8ISB7VrqBA8g5YXIZDtEKjh+T9xg6THxbY2/KluHA7aZayrTK2CGm
/9BXjTfpDn++lT6Yc9DEAeb+vuASlenzzRxOLXTd9nluuoND06PjM6TNIO4/
k+7wdeetrr+pJg4Gd1XYGu+mO9wQ+uR4vszY4YjChqKMt1D5q4YOC6T076r8
SneYPoG/yqzbwKFnep5QM0OGg77WSuELLnpwfkrsHTfmH1pwfiPL0X7D6epw
/QG3pGsSJ6k4nAEBoHvT04Bgm6LDMW/zTsc70PBzkXE4AHLw6XSHVgV21TMl
EnD3B4PCP1HQAT1+AH7jwX0=
              "]]}, {
             Thickness[0.005105166428425566]}, StripOnInput -> False]}, {
          ImageSize -> {195.883098381071, 25.902864259028643`}, 
           BaselinePosition -> Scaled[0.31538730769230766`], 
           ImageSize -> {196., 26.}, 
           PlotRange -> {{0., 195.88000000000002`}, {0., 25.9}}, AspectRatio -> 
           Automatic}], TraditionalForm], None}, {
        FormBox[
         GraphicsBox[{
           Thickness[0.011839924224484962`], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJnIGYC4q3mPw6laOk7VN//ccuYW8HBxBgIgvUdQJTx
YgWHP99KH8wp1Hd44BrvOMtQ0WGLXt5ixhp9B+HKSSVnUxQdaj5tCMiepe/g
PKFZKO2UosOL4q2iv19Dzfut5HD6sNPaTDkDBxbOLvlkPhWH+t9WBec0jB3A
2rabODSyHO03dDd2ONi2PPyUkKkDt5tqKVOVsYPMvDjN0w5Q/itjB7UnzfPO
epk6nAGBHhMHLpB4FIJ/CKT/k6nDdaFPjufLjByW3N/HN+exqcNiEO2Mmy8N
sifBAK4fxoeZvwHkXx1DuP0R4tsvMtwzdHBsenR8hrWpw9edt7r+iho5SEy9
wpmhZOowfQJ/lZm0EcT9F0zgfHA4HkTwweo3mcD1g8N9sYnDWlWgRW/1HFJi
77gx31CFhFeGhoOB1krhCyImDgkhQeoLOtUdvoD0uZo6bAHFX5a6w0lQOOeZ
OswEAUl1BweQ+6TNHER7vF6xXFGF80+B1P1TcWAAgQcmDn9B7gpUgbjrt7HD
fxCwV4KKGzqkpAHBMikH2eUvPPTk1SDpYrMQXP2XfR+3ppcJOfD4r5+SamHi
EPz28scZiUIOhWu6b2cUIPgw/8H4sPiW37VgX6qeMDy+IelPFB7e6p9UXs5a
KQGPDxgfFl9nQfHvwwuPz96Ibn9GAx44f8mt5Y8Nm1kdeEHue2HqwKr/i+tS
zyd7mH4YH2Z+ztSEQovi3/Yw+/2feF4yDWaCx3eMaoTMORsWiPnMpg4vax9n
n1/DCkmHPiYOVaB07y0CTQ8qcP+sFdLhS7+nCOeD888VRYd1IHE5MXj+c19z
dDmDhBScDw6fc1KQePFXdLgPyoeF0hD9LkoOrQrsqme+yMDt87s4MeZfsqqD
xlvefQY3jRzOXw17ox+t5VANynBWGpB4W60NCe8NKpD0dFIbkh4SVBzWg9Kf
ri7cfvTyAQAtucfw
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQzeO/fkrqCWuHtUI6fOl6yg5fdt7q+ttq7XBHU3bN
/8nKDvlrum9nOFg5PHCNd5wlqORg3/To+IzTlg7paUCwTdFBel6c5ukPFnA+
iEpbZg7nL7m/j2/OZDOHMyBwR8nhpnRNohGrmcPTxIXXTM6rOBhorRS+sMTU
QXb5Cw89eTWHHq9XLCaNpg4b9PIWM9qoO9wQ+uR4vszUIT4kSH1Bp6bD8yzt
b9NjLeD8GAXHj8l7LOH8epaj/YbTrRzqf1sVnFuh6fAd5J+v1g4psXfcmCW0
HKZP4K8y+23t4L6/VtZiuZbDfzCwdhCfeoUzg0kbzp/S3hp1uQbBbwSZy27g
8GFDQPasdisHkPb0FkOHCPHtFxn8LOD8ZUBv/J9oDueD9W03g5jvZAjxzzNT
B35wuBs4eJ1gt53tauIQcAsYMJv0IebNM4b6XxfOr/4EtFhKE86fCQZqDtxu
qqVMr4wdREEBV6ICCe9iE0h8fVRyKNkq+vu0nSkkPq4pwOPjy76PW9PN5B26
QeEtaAHn21ZGrDA9i+CDrem0dHBdc3Q5ww15Bw6QfVFWDsYgsFjBwQREP4by
hRWh4WHtwB8bcN9ouqKDBMjfSdYOwpWTSs5eUXRAT28A0NIOBw==
               
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQbd/06PgMaysH8alXODOYtB2MwcDSgYWzSz75nZZD
7W+rgnM7LBz8L06M+fdYy2H5Cw+9/4wIfkrsHTdmCXM4f8n9fXxzJpvB9fd4
vWIxaTR1eBAhvv2igjacLws2SMfhjnRNotFUU4cTh53WZt7TdfiyISB71nVT
B/f9tbIWz/UcJEDucjKDuCvYwOEMCMiYQ+g7Bg7dIPMELeB8mHthfLvKiBWm
tpYOqk+a552dZeBQB5KfYQnVZ+BQD+JzWDmYgMy/rOcQo+D4MVnHyuFN8VbR
36t1HdDDBwAqPYQ5
               "]}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQrf6ked5ZLQeHwjXdtzMKDB026uUtZhRxcNhfK2uR
3mLooKu1UviCir3DTBCQNHTYAJKXsXMQn3qFM+OSgcOJw05rM/lsHfwvToz5
txnB9z7Bbjtb1cBBBWT+KQQ/NQ0IptnB+VvMfxxKWWXnsPyFh95/RgRfH2Rv
ii6cL9rj9YqlRAXONwaBz4oOUyfwV5nNtnNQvvYomGGNIsT+d7YO/LEB942m
K0L8wWLr8H7ReoWzFQi++5qjyxk8FBxAxpow2jukg9yVhsn/DwL1CP6TxIXX
TP7j5keKb7/I8M8Bbj6MD7M/uERl+v8OB7j73vDuM5hp5AB3Pyw+YP6D8WH+
R48vALxguao=
               "], {{31.421899999999994`, 21.848399999999998`}, {
               30.825000000000003`, 21.848399999999998`}, {
               30.309399999999997`, 21.332800000000006`}, {
               30.309399999999997`, 20.7359}, {30.309399999999997`, 
               20.160899999999998`}, {30.825000000000003`, 19.6438}, {
               31.40159999999999, 19.6438}, {31.978099999999998`, 19.6438}, {
               32.514100000000006`, 20.160899999999998`}, {
               32.514100000000006`, 20.7359}, {32.514100000000006`, 
               21.2922}, {31.978099999999998`, 21.848399999999998`}, {
               31.421899999999994`, 21.848399999999998`}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCwBmIQ/Scm9+i/KDeHqRP4q8yy9R3e8O4zmDnLzSE9DQja
DBx4/NdPSZ3g5mAMAocNHHbe6vqbqu7qULJV9PfpdQYOPV6vWExOujh83hCQ
Pcvd0MHnBLvt7FwXh/21shbpLYYOISUq0/9/cIbzweobEXywef+dHOwrI1aY
2ho6PElceM1kuhPcvvrfVgXnOJwcCtZ0385QMHBYDaQY9js6sHB2ySf76cH5
ElOvcGY80obz/34rfTDno4bDRr28xYwmTg5bzH8cSnml5mB+7WiuyQcnh5lg
oAb1j5PDGRDQUXGIEN9+kYHPyeGOpuya/5OVHbpB7mV0cvgPAvwIPn9swH2j
ciU433lCs1BalKIDyJkM+k4O7muOLmfYoeAQDPL/Cqh9mgoOFUBvnj3t6PBl
38et6dNkHCxA7lnh6GAA8u9naYcp39jiZ7Q4Ohzs3tdkwiwJ54Pd1yMG5x8B
yS/mg9iX7uQgs1FsPtMCFoeL+fHs51Y6o/I1XeF8cHxGuDlEq0bInLsjCOfL
71qwL7VPGs4Hh/9iBQdQMki75wrx/3wlhwOgeNNB8MHxPdUZzgfHryCC3748
/JTRFWj4SCnD+bDwhvFl5sVpnt6g4uCuWso064WTwyNQRCioOqg/aZ53VssZ
wmdQc1j+wkPvv6WzgwnYgWoQ/9s7O8xZpLzzj7saxH5PZ4h5BWqQ9JzkDPFH
GlR/obPDJlC6iFFz0J2w4IdhG4Lv0PTo+IzPCD44XVW5OLzI0v42XVYdYt4j
FwcDrZXCF1w0HG5J1yQahbo6iIIsnqLpwLJ4khVjr6vDdFB+0taG81NB1rvp
wvl/QOlTUM9B6JPj+bRWV2g46kHyS4ErPD+i508ArAyQJg==
               "], {{
               39.168800000000005`, 16.842200000000002`}, {40.5188, 
               16.842200000000002`}, {41.43279999999999, 
               15.729700000000001`}, {41.43279999999999, 
               14.040599999999998`}, {41.43279999999999, 
               12.749999999999998`}, {40.5984, 11.8563}, {39.387499999999996`,
                11.8563}, {38.05629999999999, 11.8563}, {37.1609, 12.8891}, {
               37.1609, 14.4188}, {37.1609, 15.9484}, {37.896899999999995`, 
               16.842200000000002`}, {39.168800000000005`, 
               16.842200000000002`}}, {{40.10159999999999, 
               7.921879999999999}, {42.346900000000005`, 7.921879999999999}, {
               43.1219, 7.465629999999997}, {43.1219, 6.173439999999999}, {
               43.1219, 4.46563}, {41.55159999999999, 3.1937499999999996`}, {
               39.465599999999995`, 3.1937499999999996`}, {
               37.737500000000004`, 3.1937499999999996`}, {36.54529999999999, 
               4.20625}, {36.54529999999999, 5.67656}, {36.54529999999999, 
               6.570309999999999}, {37.06249999999999, 7.385939999999998}, {
               37.8563, 7.72344}, {38.175000000000004`, 7.882809999999998}, {
               38.731300000000005`, 7.921879999999999}, {40.10159999999999, 
               7.921879999999999}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+PjEcakhVT2p5tDTLlLNBADS
cwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4ov58eznLro53JGuSTQKNXWwuHY01yTBHc6P
EN9+kaEPwT+haTXp9Hx3B9vKiBWmsgj+gVpZi/QWEzhftMfrFUuJCpxvDAKf
FSHmz3B3UL72KJhhjaLDTBBwdHfgjw24bzRd0eFJ4sJrJufdHN4vWq9wtgLB
d19zdDmDh4JD2/LwU0Y1UP0xCg51v60Kzh1wd0hPAwEFhze8+wxmcnnA+ftB
7gpB8INLVKb/n+EB1w/2n5sn3HwYH2Z/NufPBemXPeDuY1k8yYqx1gPufuFP
jufTSj3g/oPxYf6H8Z+ADH6gA+dvNf9xKGWVnsNNULjKejqcPOy0NtPPwIHH
f/2U1B0IvvqT5nlnk7zgfLD/Lnk5/AeB+Xpwvsy8OM3TE7ThfJh/FBw/Jp/J
9Yb7nx9kfgGCb9/06PiM2Qg+OLz34+bPtdG5MivPB24+jA8Lr1SQMjYfeHgd
B8X/em94eJmD4n+Ft8MHkPoXCD4svGB8meUvPPTkdeD8w6CITzKAxKeMN4Ru
MXT4sCEge9Z/Tzg/4fBl7dSFCP4GvbzFjDmeDtKg8EkwdJgHcq+Zp4P3CXbb
2ayG8PiYOoG/yixbH86/IQRklJlB1Md5OPSBEs58M4cFIP47dweNt8CA9jRz
UAXFzyx3h4I13bczFMwcYPlpyf19fHMemzqg5y8AbRxx6g==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
              0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
              3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4nDx7RcZ2nwdRHu8XrFM0XeA8SWmXuHMUFKB
8x+4xjvOMlR0WPrCQ+//TV8H1zVHlzPckHeQd/yYfGauH5xvfu1orskNBP+G
dE2ikai/QzinWLuxvILDlG9s8TNU/B3S00BAwWGujc6VWfP8IeY3Kjn4nGC3
nV3r77BWSIcvXU8ZYr+dv8N/EJiv5HBU02rSaXF/h9NngCBHyWHPra6/qc/9
4Py9tbIW6S0Ivn3To+Mzov0cPixar3DWQhnOnzGBv8pMWxXOh/kfRJks9Ifz
wfZu93cAGXfmjgFc/enDTmsz9yH4/cElKtPrDeH82yB/hxo5mBgDQbKfw0a9
vMWMPMYOHzYEZM8q93P4+630wZxAE4cQoLb/EX4OM0Gg08RhC0idjJ+DXWXE
ClNbE4fjIP+e93WYDnLvb2OI+gZfB37/9VNSTxg7uKqWMs3q8IXYr28Msa/b
1+FJ4sJrJueN4HxweJsh+OKg+L1kAPHXER+HgjXdtzMUEPypIPuyEekBFh4A
qYjyRA==
              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
              "], CompressedData["
1:eJxdlA9MVVUcxx9CITNtKYpu0ROfT3k85N0rUEayvtbElL/n3LtiJWYyePhv
uKlLLQVHioKTF6QPEEmzGW0UzEqHTcIZzr+lRbqpm85Ancim4t9J0D3nPM6Z
/Lazu8/uOb//v1/UokKaF2yz2YKss9A6w6zT25y1tLbXgLOzpP5srYYaJkEm
RqQ4Vw9L0mCumuwfeMnEyMymr/KyNbiSKk8XjTfB33k1dIZHnuxyKJ73WYkn
LUXxnZGtWs2HJr5gCro8kkPCyuy5GXGSu1f+MvZZeTSyXhu3JP2qgXgmvVFI
YN+VilOZ/gzF3E68Ifze6pBczbjFKXljSHuF7p+KiPey+sa/baCY8RsxUt8t
Zr/bjbb1kTO8PgPZEYfO2+p1XGxfnlBcauDi6Puz/jyuY4z1yXcF+H0dc6w0
1YYYSJx5hO48GovHL35cnfaQwu97ed3rqTH4h73/l2Lstnm3Q36ORg+Lt5Wi
65O9FxIqpmBNdkPi2XKKK67IxoEqh7D3EZXxcX2Jis8wGU6fj7+bwMak2CG5
mRfUKbnuG0dLX2kM5i9v7z9gp+jr6W57MzdO5G13wN+lOm4dagq+6aMy3pZL
Zf/lfUpR9CxpxR/VOnx7nug38mkg3zoyWb3eVTyof5B5fm8TZJ7/cn5/VSB/
7UT4v0/H1dZRdfEHCXJzrqQEN+goIXN3F/9IkLzWSswPOkq/++DU9AbF3P5+
xTw+/5D724bo30CkP7+x+i4jWNFYfrnApsObb8kCgmhWmLkaZsZ21N5IJzI/
bzFerJjXs4iIfgrVhL4tBDeXuB/5czRMnHUv98xegtQTocm7dmjYV5kUlN6m
ePjTPd6fjis+9rc7b8JfQ/5fD/jn00S97xBRn3IN3O3Hinm/hFLJPN5Jinkb
TKdSH583SlFhWIP9tYYwZi9D3efzMYfi2GYrkYs0MQfvUJkfHm8sxav1C1yn
z3nE/8MEnpjvx5z71i30bSfYwPrlRLRk3n9ep+QjhZ/31Dgnif75lQTitIv5
6Fc8wCSTSub5qqTyPa/3XYqCwrubTnZMFfc6KRYzDp8CFubANYppUfYHy8Y5
JfN7sZMlOy5cN2yNUbCz+r1gSHuD+2KQf2f29yu+z/rPbYp989QB1k7568zA
PLkE7zQD8bvFnDaa6Hu0+lrdK3GS17N8NXgkP2CD91AT/V5mynlkayQhR/Fs
tn/SFIez+Uo2EbGjI6zggC72Z7wp+3/ovv8fGeGinQ==
              "]]}, {
             Thickness[0.011839924224484962`]}, StripOnInput -> False]}, {
          ImageSize -> {84.46239601494395, 25.902864259028643`}, 
           BaselinePosition -> Scaled[0.31538730769230766`], 
           ImageSize -> {85., 26.}, 
           PlotRange -> {{0., 84.46000000000001}, {0., 25.9}}, AspectRatio -> 
           Automatic}], TraditionalForm], None}}, FrameStyle -> Automatic, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {Automatic, Automatic}, GridLinesStyle -> Directive[
       GrayLevel[0.4, 0.5], 
       AbsoluteThickness[1], 
       AbsoluteDashing[{1, 2}]], ImageSize -> Large, 
     Method -> {
      "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& )}}, 
     PlotRange -> {{0, 1.}, {-0.26471602474999933`, 0.1158180812499996}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
       TagBox[
        FrameBox[
         StyleBox["1", Smaller, StripOnInput -> False]], "Placeholder"], 
       TagBox[
        FrameBox[
         StyleBox["2", Smaller, StripOnInput -> False]], "Placeholder"], 
       TagBox[
        FrameBox[
         StyleBox["3", Smaller, StripOnInput -> False]], "Placeholder"], 
       TagBox[
        FrameBox[
         StyleBox["4", Smaller, StripOnInput -> False]], "Placeholder"]}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 9.75}, {20, 9.75}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{{
                    GrayLevel[1], 
                    DiskBox[{0, 0}, 
                    Offset[{3, 3}]]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    CircleBox[{0, 0}, 
                    Offset[{3, 3}]]}, {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 9.75}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.09205128205128206] -> 
                    Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 9.75}, {20, 9.75}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[
                    NCache[{
                    Offset[{0, 4}], 
                    Offset[{(-2) 3^Rational[1, 2], -2}], 
                    Offset[{2 3^Rational[1, 2], -2}]}, {
                    Offset[{0, 4}], 
                    Offset[{-3.4641016151377544`, -2}], 
                    Offset[{3.4641016151377544`, -2}]}]]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    JoinedCurveBox[
                    NCache[
                    Line[{
                    Offset[{0, 4}], 
                    Offset[{(-2) 3^Rational[1, 2], -2}], 
                    Offset[{2 3^Rational[1, 2], -2}], 
                    Offset[{0, 4}]}], 
                    Line[{
                    Offset[{0, 4}], 
                    Offset[{-3.4641016151377544`, -2}], 
                    Offset[{3.4641016151377544`, -2}], 
                    Offset[{0, 4}]}]], CurveClosed -> True]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 9.75}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.09205128205128206] -> 
                    Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 9.75}, {20, 9.75}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[{
                    Offset[{0, 3.75}], 
                    Offset[{3.75, 0}], 
                    Offset[{0, -3.75}], 
                    Offset[{-3.75, 0}]}]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    LineBox[{
                    Offset[{0, 3.75}], 
                    Offset[{3.75, 0}], 
                    Offset[{0, -3.75}], 
                    Offset[{-3.75, 0}], 
                    Offset[{0, 3.75}]}]}, {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 9.75}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.09205128205128206] -> 
                    Baseline)], #3}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 9.75}, {20, 9.75}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[{
                    Offset[{-2.75, -2.75}], 
                    Offset[{2.75, -2.75}], 
                    Offset[{2.75, 2.75}], 
                    Offset[{-2.75, 2.75}], 
                    Offset[{-2.75, -2.75}]}]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    LineBox[{
                    Offset[{-2.75, -2.75}], 
                    Offset[{2.75, -2.75}], 
                    Offset[{2.75, 2.75}], 
                    Offset[{-2.75, 2.75}], 
                    Offset[{-2.75, -2.75}]}]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 9.75}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.09205128205128206] -> 
                    Baseline)], #4}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.6150173333333333, 0.25708400000000003`, 
                    0.13945266666666667`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.922526`", ",", "0.385626`", ",", "0.209179`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.922526, 0.385626, 0.209179]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.922526, 0.385626, 0.209179], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{
               TagBox[#, HoldForm], ",", 
               TagBox[#2, HoldForm], ",", 
               TagBox[#3, HoldForm], ",", 
               TagBox[#4, HoldForm]}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{{
                    GrayLevel[1], 
                    DiskBox[{0, 0}, 
                    Offset[{3, 3}]]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    CircleBox[{0, 0}, 
                    Offset[{3, 3}]]}], ",", "9.75`"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[
                    NCache[{
                    Offset[{0, 4}], 
                    Offset[{(-2) 3^Rational[1, 2], -2}], 
                    Offset[{2 3^Rational[1, 2], -2}]}, {
                    Offset[{0, 4}], 
                    Offset[{-3.4641016151377544`, -2}], 
                    Offset[{3.4641016151377544`, -2}]}]]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    JoinedCurveBox[
                    NCache[
                    Line[{
                    Offset[{0, 4}], 
                    Offset[{(-2) 3^Rational[1, 2], -2}], 
                    Offset[{2 3^Rational[1, 2], -2}], 
                    Offset[{0, 4}]}], 
                    Line[{
                    Offset[{0, 4}], 
                    Offset[{-3.4641016151377544`, -2}], 
                    Offset[{3.4641016151377544`, -2}], 
                    Offset[{0, 4}]}]], CurveClosed -> True]}], ",", "9.75`"}],
                    "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[{
                    Offset[{0, 3.75}], 
                    Offset[{3.75, 0}], 
                    Offset[{0, -3.75}], 
                    Offset[{-3.75, 0}]}]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    LineBox[{
                    Offset[{0, 3.75}], 
                    Offset[{3.75, 0}], 
                    Offset[{0, -3.75}], 
                    Offset[{-3.75, 0}], 
                    Offset[{0, 3.75}]}]}], ",", "9.75`"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{{
                    GrayLevel[1], 
                    PolygonBox[{
                    Offset[{-2.75, -2.75}], 
                    Offset[{2.75, -2.75}], 
                    Offset[{2.75, 2.75}], 
                    Offset[{-2.75, 2.75}], 
                    Offset[{-2.75, -2.75}]}]}, 
                    AbsoluteThickness[1.5], 
                    Dashing[{}], 
                    LineBox[{
                    Offset[{-2.75, -2.75}], 
                    Offset[{2.75, -2.75}], 
                    Offset[{2.75, 2.75}], 
                    Offset[{-2.75, 2.75}], 
                    Offset[{-2.75, -2.75}]}]}], ",", "9.75`"}], "}"}]}], 
               "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"True", ",", "True", ",", "True", ",", "True"}], 
               "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.795232330806047*^9, 3.7952323338757277`*^9}, {
   3.795232433560259*^9, 3.7952324440699368`*^9}, {3.7952330952542152`*^9, 
   3.795233107573922*^9}, 3.795233149789775*^9, {3.795233393203102*^9, 
   3.795233423365309*^9}, {3.7952334942441063`*^9, 3.795233513573365*^9}, 
   3.79523360380278*^9},
 CellLabel->
  "Out[1025]=",ExpressionUUID->"aee73340-d188-4c02-9c0b-bc1febe9fc98"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"EwGICS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"w", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"S51", "\[LeftDoubleBracket]", 
            RowBox[{"41", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
           RowBox[{"S51", "\[LeftDoubleBracket]", 
            RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}], ")"}], 
         "w"}], "+", 
        RowBox[{"S51", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "0", ",", "1", ",", "0.025"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7951868800633287`*^9, 3.795186906047873*^9}, 
   3.795186943696643*^9},
 CellLabel->
  "In[778]:=",ExpressionUUID->"5add9728-32e3-4599-868d-3a1b2239db00"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"EwS51", "\[LeftDoubleBracket]", 
       RowBox[{
        RowBox[{"k", "+", "1"}], ",", "2"}], "\[RightDoubleBracket]"}], "-", 
      RowBox[{"EwS51", "\[LeftDoubleBracket]", 
       RowBox[{
        RowBox[{"k", "-", "1"}], ",", "2"}], "\[RightDoubleBracket]"}]}], 
     RowBox[{"2", " ", "0.025"}]], "HaToeV"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "2", ",", 
     RowBox[{
      RowBox[{"Length", "[", "EwS51", "]"}], "-", "1"}]}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"EwGICS51", "\[LeftDoubleBracket]", 
       RowBox[{
        RowBox[{"k", "+", "1"}], ",", "2"}], "\[RightDoubleBracket]"}], "-", 
      RowBox[{"EwGICS51", "\[LeftDoubleBracket]", 
       RowBox[{
        RowBox[{"k", "-", "1"}], ",", "2"}], "\[RightDoubleBracket]"}]}], 
     RowBox[{"2", " ", "0.025"}]], "HaToeV"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "2", ",", 
     RowBox[{
      RowBox[{"Length", "[", "EwGICS51", "]"}], "-", "1"}]}], "}"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.795100499972109*^9, 3.795100550877372*^9}, {
  3.7951005937579803`*^9, 3.795100644592914*^9}, {3.795106424905566*^9, 
  3.7951064286417828`*^9}, {3.795108174458561*^9, 3.7951081823300953`*^9}, {
  3.795229978445809*^9, 3.795229978701713*^9}},
 CellLabel->
  "In[329]:=",ExpressionUUID->"2a0688ee-74ad-46db-ba7b-224b2b808675"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "32.33266372785564`", ",", "33.124133611828256`", ",", "34.06512940890794`",
    ",", "35.08328641083616`", ",", "36.156843127985255`", ",", 
   "37.274777697293295`", ",", "38.43021864513987`", ",", 
   "39.618287078857314`", ",", "40.83518668355857`", ",", 
   "42.077758108481746`", ",", "43.343237874108425`", ",", 
   "44.62911834237072`", ",", "45.93306151098169`", ",", "47.25284274028899`",
    ",", "48.58631205868367`", ",", "49.93136608044839`", ",", 
   "51.285926399918836`", ",", "52.6479213598553`", ",", "54.01527021441395`",
    ",", "55.38586718327614`", ",", "56.75756398193861`", ",", 
   "58.12814919548203`", ",", "59.495324876779854`", ",", 
   "60.856674872444806`", ",", "62.20962389690379`", ",", 
   "63.55138746344821`", ",", "64.87890472653291`", ",", "66.1887508066905`", 
   ",", "67.47701972714924`", ",", "68.73916451972791`", ",", 
   "69.96977251321013`", ",", "71.1622399940141`", ",", "72.30828245566623`", 
   ",", "73.39716048929104`", ",", "74.41438092973513`", ",", 
   "75.33932968267371`", ",", "76.14040083208974`", ",", "76.76268049484855`",
    ",", "77.07598052931854`"}], "}"}]], "Output",
 CellChangeTimes->{{3.795100546572772*^9, 3.795100551166136*^9}, {
   3.79510059823619*^9, 3.795100644921895*^9}, 3.795106428908821*^9, 
   3.795108150958139*^9, 3.795108182551321*^9, 3.795108381291086*^9, 
   3.7951840777140503`*^9, 3.7951841354177227`*^9, 3.7951868965562477`*^9, 
   3.7951871270233717`*^9, {3.7952299739331007`*^9, 3.795229979125086*^9}, 
   3.7952300615286837`*^9, 3.79523020876513*^9, 3.795230334721388*^9, 
   3.7955194652780333`*^9},
 CellLabel->
  "Out[329]=",ExpressionUUID->"eca99428-ff78-4db9-b494-5f3bcf2667f9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "55.28555520604401`", ",", "55.28555520604377`", ",", "55.28555520604377`", 
   ",", "55.28555520604401`", ",", "55.28555520604401`", ",", 
   "55.28555520604377`", ",", "55.28555520604377`", ",", "55.28555520604401`",
    ",", "55.28555520604401`", ",", "55.28555520604401`", ",", 
   "55.28555520604377`", ",", "55.28555520604377`", ",", "55.28555520604401`",
    ",", "55.28555520604389`", ",", "55.28555520604389`", ",", 
   "55.28555520604401`", ",", "55.28555520604389`", ",", "55.28555520604389`",
    ",", "55.28555520604389`", ",", "55.28555520604389`", ",", 
   "55.28555520604401`", ",", "55.28555520604389`", ",", "55.28555520604389`",
    ",", "55.28555520604389`", ",", "55.28555520604389`", ",", 
   "55.28555520604389`", ",", "55.28555520604389`", ",", "55.28555520604401`",
    ",", "55.28555520604377`", ",", "55.28555520604377`", ",", 
   "55.28555520604401`", ",", "55.28555520604401`", ",", "55.28555520604401`",
    ",", "55.28555520604377`", ",", "55.28555520604377`", ",", 
   "55.28555520604401`", ",", "55.28555520604401`", ",", "55.28555520604389`",
    ",", "55.28555520604377`"}], "}"}]], "Output",
 CellChangeTimes->{{3.795100546572772*^9, 3.795100551166136*^9}, {
   3.79510059823619*^9, 3.795100644921895*^9}, 3.795106428908821*^9, 
   3.795108150958139*^9, 3.795108182551321*^9, 3.795108381291086*^9, 
   3.7951840777140503`*^9, 3.7951841354177227`*^9, 3.7951868965562477`*^9, 
   3.7951871270233717`*^9, {3.7952299739331007`*^9, 3.795229979125086*^9}, 
   3.7952300615286837`*^9, 3.79523020876513*^9, 3.795230334721388*^9, 
   3.795519465281049*^9},
 CellLabel->
  "Out[330]=",ExpressionUUID->"8ddf8bc8-1463-44d4-b852-ee67ae09ad31"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"EwGICS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"w", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          FractionBox[
           RowBox[{
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"Length", "[", "S51", "]"}], ",", "2"}], 
             "\[RightDoubleBracket]"}], "-", 
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}], 
           RowBox[{
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"Length", "[", "S51", "]"}], ",", "1"}], 
             "\[RightDoubleBracket]"}], "-", 
            RowBox[{"S51", "\[LeftDoubleBracket]", 
             RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}]], ")"}], 
         "w"}], "+", 
        RowBox[{"S51", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "0", ",", "1", ",", "0.025"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7951868800633287`*^9, 3.795186906047873*^9}, 
   3.795186943696643*^9, {3.796960473191003*^9, 3.7969604904172783`*^9}, {
   3.79696081944804*^9, 3.796960819524157*^9}, {3.796961007168128*^9, 
   3.796961011950161*^9}, {3.7969658177348843`*^9, 3.79696585256777*^9}, 
   3.796966901567*^9, {3.796966985621662*^9, 3.796966985913529*^9}, {
   3.7971529313048697`*^9, 3.797152976655203*^9}, {3.797173787515482*^9, 
   3.7971737918027067`*^9}, 3.797182745769759*^9, {3.797326303185267*^9, 
   3.79732630341575*^9}, {3.797332925403925*^9, 3.797332929961871*^9}, {
   3.797347185890849*^9, 3.79734719721821*^9}, {3.797439955300774*^9, 
   3.7974399564109507`*^9}},
 CellLabel->
  "In[389]:=",ExpressionUUID->"5a387996-123d-49ae-82fd-6a5880df6248"],

Cell[BoxData[
 RowBox[{"FindFit", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"EwS51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       FractionBox[
        RowBox[{
         RowBox[{"EwGICS51", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
         RowBox[{"EwS51", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
        RowBox[{"ExS51", "\[LeftDoubleBracket]", 
         RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"-", "w"}], 
    RowBox[{"(", 
     RowBox[{"1", "-", "w"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"a", "+", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"w", "-", 
         FractionBox["1", "2"]}], ")"}]}], "+", 
      RowBox[{"c", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"w", "-", 
          FractionBox["1", "2"]}], ")"}], "2"]}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", "w", ",", 
   RowBox[{"MaxIterations", "\[Rule]", "1000"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.794972349954073*^9, 3.7949723548082647`*^9}, {
   3.794972398737747*^9, 3.794972405442884*^9}, {3.7949735538736134`*^9, 
   3.794973553988997*^9}, {3.794973610975874*^9, 3.7949736317376328`*^9}, {
   3.794978349851636*^9, 3.794978356745721*^9}, {3.7949786098317823`*^9, 
   3.79497862237997*^9}, 3.795186684749942*^9, {3.795186714971677*^9, 
   3.795186719931954*^9}, {3.795186820912775*^9, 3.7951868219027643`*^9}, {
   3.796960856495716*^9, 3.796960897036413*^9}, {3.7969658353503113`*^9, 
   3.796965844804584*^9}, {3.796966992527972*^9, 3.7969669925994062`*^9}, {
   3.7971530005732317`*^9, 3.7971530150085793`*^9}, {3.797153121625874*^9, 
   3.797153125237859*^9}, {3.7971532091824217`*^9, 3.797153212417316*^9}, {
   3.7971532443887787`*^9, 3.797153256949741*^9}, {3.797154079409487*^9, 
   3.797154089065996*^9}, {3.79715590598278*^9, 3.797155906136916*^9}, {
   3.797156022107486*^9, 3.7971560224449*^9}, {3.797173794957734*^9, 
   3.797173828422369*^9}, {3.797173874959502*^9, 3.7971738949350986`*^9}, {
   3.7971827537779617`*^9, 3.797182757170741*^9}},
 CellLabel->
  "In[390]:=",ExpressionUUID->"eea77d81-2482-41a9-a42f-4d2642a2975b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "\[Rule]", "1.9125735895875828`"}], ",", 
   RowBox[{"b", "\[Rule]", "2.715266992840757`"}], ",", 
   RowBox[{"c", "\[Rule]", "2.1634223380633086`"}]}], "}"}]], "Input",
 CellChangeTimes->{3.797440571803522*^9},
 CellLabel->
  "In[391]:=",ExpressionUUID->"ca9a55bb-28bc-40cf-a0da-e4b6a558812f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "\[Rule]", "1.9125735895875828`"}], ",", 
   RowBox[{"b", "\[Rule]", "2.715266992840757`"}], ",", 
   RowBox[{"c", "\[Rule]", "2.1634223380633086`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.797440571850272*^9},
 CellLabel->
  "Out[391]=",ExpressionUUID->"686e79ab-49c0-4140-ac3f-11851338bc55"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ListPlot", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"EwS51", "\[LeftDoubleBracket]", 
            RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
           FractionBox[
            RowBox[{
             RowBox[{"EwGICS51", "\[LeftDoubleBracket]", 
              RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
             RowBox[{"EwS51", "\[LeftDoubleBracket]", 
              RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
            RowBox[{"ExS51", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]]}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"Length", "[", "EwS51", "]"}]}], "}"}]}], "]"}], 
       "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
      "\[IndentingNewLine]", "OptionsPlot", ",", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", "Automatic"}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"MaTeX", "[", 
          RowBox[{"\"\<\\\\text{Weight $w$}\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"MaTeX", "[", 
          RowBox[{"\"\<\\\\text{Excitation energy (eV)}\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotLegends", "\[Rule]", "Automatic"}]}], 
     "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"w", 
         RowBox[{"(", 
          RowBox[{"w", "-", "1"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"a", "+", 
           RowBox[{"b", " ", 
            RowBox[{"(", 
             RowBox[{"w", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
           RowBox[{"c", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"w", "-", 
               RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"a", "\[Rule]", "1.9214238050945838`"}], ",", 
          RowBox[{"b", "\[Rule]", "2.4066391411581773`"}], ",", 
          RowBox[{"c", "\[Rule]", "1.641297266795538`"}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w", ",", "0", ",", "1"}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}]}], 
   "\[IndentingNewLine]", "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.794935354904318*^9, 3.7949353697005653`*^9}, {
   3.794936088567958*^9, 3.794936113022936*^9}, {3.794936144429874*^9, 
   3.794936337776998*^9}, {3.794936391029435*^9, 3.794936435138995*^9}, {
   3.794936478816742*^9, 3.794936491177528*^9}, {3.794972228989231*^9, 
   3.79497224723491*^9}, {3.7949722942821302`*^9, 3.794972313743471*^9}, {
   3.794972361724415*^9, 3.7949724163308496`*^9}, {3.7949735692321*^9, 
   3.7949736225484343`*^9}, {3.794979441159519*^9, 3.7949794610845413`*^9}, {
   3.795103557050374*^9, 3.795103563311448*^9}, {3.7951058191292257`*^9, 
   3.795105819603261*^9}, 3.7951058755165052`*^9, {3.795106135194106*^9, 
   3.795106135806675*^9}, {3.795175778987041*^9, 3.7951757898837233`*^9}, {
   3.795230380357341*^9, 3.79523047807905*^9}, 3.797333043567492*^9, {
   3.797347257555641*^9, 3.797347281269472*^9}, 3.797349871683167*^9},
 CellLabel->
  "In[266]:=",ExpressionUUID->"9b865922-379a-437f-9465-86ea61099c7c"],

Cell[BoxData[
 GraphicsBox[{{{}, {{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.012833333333333334`], AbsoluteThickness[1.6], 
       LineBox[{{0., 0.}, {0.1, -0.109458271081184}, {
        0.2, -0.21597832926327007`}, {0.3, -0.3164109772629944}, {
        0.4, -0.4067938956264895}, {0.5, -0.4805806457537362}}]}}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6], 
      GeometricTransformationBox[InsetBox[
        FormBox[
         StyleBox[
          GraphicsBox[{
            {GrayLevel[1], DiskBox[{0, 0}, Offset[{3., 3.}, {0., 0.}]]}, 
            {AbsoluteThickness[1.5], Dashing[{}], 
             CircleBox[{0, 0}, Offset[{3., 3.}, {0., 0.}]]}}],
          StripOnInput->False,
          GraphicsBoxOptions->{DefaultBaseStyle->Directive[
            PointSize[0.012833333333333334`], 
            RGBColor[0.368417, 0.506779, 0.709798], 
            AbsoluteThickness[1.6]]}],
         TraditionalForm], {0., 0.}, Automatic, Scaled[9.75]], {{{0., 0.}}, {{
       0.1, -0.109458271081184}}, {{0.2, -0.21597832926327007`}}, {{
       0.3, -0.3164109772629944}}, {{0.4, -0.4067938956264895}}, {{
       0.5, -0.4805806457537362}}}]}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.012833333333333334`], AbsoluteThickness[1.6]}, {}}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.012833333333333334`], AbsoluteThickness[
       1.6]}, {}}}, {{}, {}}}, {{{}, {}, 
     TagBox[
      {RGBColor[1, 0, 0], AbsoluteThickness[1.6], Opacity[1.], 
       LineBox[CompressedData["
1:eJwV13k0Vd0bB3CREqWkSUqkEvFqMIR4KpXQTahEppCkqAyVIkNICK8hRSpT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        "]]},
      Annotation[#, "Charting`Private`Tag$6565#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  BaseStyle->20,
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{
     FormBox[
      GraphicsBox[{
        Thickness[0.005427997611681051], 
        StyleBox[{
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+OjiuNTgUo9LDS3MJ9VeWpgJ
AMqrAi8=
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJDIGYC4u0OTY+O79B0eJGl/W26rLrDJr28xYxzNOB8
2eUvPPTmqzkYg8BlJYeEkCD1BS9VHNYK6fCl31N0+LLv49b0Mjk4/4FrvOOs
QBk4/+wZIMiRQFUvJgpRJ6jksDPYKuJ/u4jDh0XrFc5GKDmEvL38cYaiiAN/
bMB9o3Ilh5kg8FMYwn+O4N/RlF3zf7IynK+vtVL4QoquQ/X9H7eMpRXg/NLD
21xnxirD+Xvza97O/Krs8CRCfPvFBzoONZ82BGRXqTiI9ni9Ypmi6eB3cWLM
v2RVDP7Xnbe6/qYawtXD+CbggFFx8D7Bbjt7qoHDFvMfh1K4VBw03vLuM/A0
cHCZ0CyUNkvZARSM/xkNHNLTgEBM2aGe5Wi/Ybi+w3uQv38oOrTw+q+fwqoP
dz+MD/MfOn8DKJ7eGMP5YHurTCDuKRZxqPttVXBuhomD25qjyxlmiMH5YPUr
FeB8j/21shbqqnB+Ksh9bGoOoGg742MCCYctag4H25aHn2oycvj7rfTBnI3q
cL4RyL7J6g5cbqqlTFGmDhJNMlMMLn+2R+dD3Gni8LL2cfb5NawO0ybwV5nd
NnGIUY2QObeHHRLOkxH8/uASlen6xnD+hathb/R3q8D54GD/rOiw5Nbyx4bN
rA7OoHCOUoTb5w7ytwaCDw73NAWHJ4kLr5m8V3eA8dHTPwDCdk81
           "]], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJFIAaxQYCJAQEYkWhmJDWMZKrBpR4Xmxj1xNg1UH6h
RD0AVMICSw==
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIbIGYCYvW3vPsMdho5pKeBgILDpw0B2bO2m2HwwznF
2o3/KzjMBAFJBN/v4sSYf5tNHe67xjvOWqjoANYmZurwAMRPVHaYPoG/yqzb
CEJrazv8/Vb6YI6hicPxXTt62T7oOyx74aH3f6KJQ7fXKxaTRgMH1SfN885q
mTqIT73CmXHJwOFFlva36WdNHT6D3HEdwfcH2ats6MDtplrKtMoIgw9TLwEy
x8nY4TlYn4HDbemaRKNSY4eSraK/T69D8MHq0xF8iDsMHHj8109JtTB28DnB
bju7VN8BFl41oICx0nPoDy5RmT7fCGL+X12Hw23Lw08lGTmkgsLBTdehYE33
7QwFqPoqHQcNkP6bhnB5dZA9XoYOf0Dh8lHP4Uniwmsm7w0cvEH2qRrA+TD3
wfgw90PC0xAeXmD/nzKE+x/Gh4UP2B1R2hh8mHodRfkvOdsQfPf9tbIWz3Xg
/ISQIPUFnboQ9001cGjhBQbQUT2HMyDgo+8gPS9O87SDoYNoDzBCp2g6zACl
l5+6Dnvya97OZFV2qP9tVXDuhI6DcOWkkrMpig5/3r4+YJms41B6eJvrTFlF
BxNjIBDWhqcvGB+WHsHpKNsAgw9TD7Zvpz6cL7McmMDs9SHp0VARzgfr34bg
g6wx/qwIiZc2fQfla4+CGXqUIP5kNXAQiA24bxSu7NDIcrTfcLqhQzU4/jUc
vu681fU31djBeUKzUNoqJYct5j8OpVQZO5wGhUeOksMBYPCltxg7MICAAYIP
sw/GB9tnA3QPKPwSoPLCivD0BvMPen4FAGrBi7s=
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ1IGYC4qUvPPT+M9o7zAQDNYenWdrfpvPaOTxwjXec
dVHZ4arQJ8fzYbYOZ0DgjpKDvtZK4QsmNnD+l523uv6mWsH5BWu6b2coWDrM
mMBfZcatBudPaW+NujxHC84X6fF6xbJFzyEl9o4bs4WVgzEIHDZw8Lk4Mebf
ZWs4fwrInG4bON+mMmKF6Vkbh+lgcQOH/2Bg43DisNPazHn6DiVbRX+flrN1
OA7i79NzqGc52m/obutgarM3aNpCXYcjbcvDTy2yddhi/uNQyisduH9hfHB4
TETjA8PnTTHQ4NW6cL7PCXbb2VP14PzPGwKyZ6UbOESIb7/IMM/W4To43Awd
xKde4cz4ZA3nq7/l3Wfw0wrO/w4Kv6+WDqDgMPlo4OANMlfV0oHbTbWUycrA
oRHkfnULeHjV/bYqODfD3OEB2CIdOH8yKHzvaMD53Taeu9I2KUP8oWXpsPLb
y4ozDAoOTxIXXjOJt4bzfUHh7WwD5/cHl6hM57eFhPdiBYfUNCA4ZuuwVkiH
L/2eIiS8/e0g8peVHPJB8bnBzmFvfs3bmU+VHTRA/vO0d3gBCldbNQf09AUA
mQsbLg==
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
            3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
            3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQzbJ4khXjXkeH60KfHM+HGTqoPmmed9bIweFJ4sJr
JvYGcH4Lr//6KU/1IeLuDg7Hd+3oZfug7yDv+DH5TKqDw/IXHnr/GQ0cireK
/j7d5uDQyHK035DdwMH7BLvt7LkIPti8Wwj+TBD46OAwdQJ/lVm2Ppz/BmTQ
al04X7TH6xVLiQqczx8bcN9ouqKD+bWjuSY3HBzc1xxdzqCh6OCuWso0S8PB
IZxTrN34vwKcn54GAgoO2Zw/F6Q3O2HwYeodmh4dn3Hb0eGBa7zjLENFiH+P
O8Ltg/Fh7oHxP28IyJ7lbuiAHp4Ad82WeQ==
            "], {{34.5438, 21.7688}, {
            34.0063, 21.7688}, {33.550000000000004`, 21.3125}, {
            33.550000000000004`, 20.756299999999996`}, {33.550000000000004`, 
            20.200000000000003`}, {33.987500000000004`, 
            19.743800000000004`}, {34.5438, 19.743800000000004`}, {
            35.11879999999999, 19.743800000000004`}, {35.57659999999999, 
            20.179699999999997`}, {35.57659999999999, 20.756299999999996`}, {
            35.57659999999999, 21.3125}, {35.11879999999999, 21.7688}, {
            34.5438, 21.7688}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
           0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIVIGYCYl7/9VNSPVwd/C9OjPmnbOjwaUNA9ix3Fwz+
ihceev8LjeF8A62VwheWGDuwLJ5kxegKVb/Z2EHB8WPyGVMEf6Ne3mJGFReH
9DQgaDN2OAMCIi4OYHsjjB1+xeQe/cfk4uB9gt12tqqxg8TUK5wZi5wdIsS3
X2TgM3JgBZlv6uwwEwQkDR3al4efMuJxhqhnNXTgAZnzwclhOch9Dw0cgktU
pv9/4ORw+rDT2sx9CD7EvQg+WP9UAwf7pkfHZzx2cpg+gb/KrNvAwRgEXjs5
dHu9YjFpNICYW+iMwQf7g0cVzgf7b5sihN7n7LDy28uKMwwKDgdqZS3SQ1zg
/BCQ/RcQfLC/DF0dhCsnlZz9ouDgBXJXq6vDnvyatzNZlSH6U1wd9oL4pcoO
a7pvZzDouzrwxwbcNypXcqiIWGF6ltnV4YFrvOMsQSj/tAucD46PXAQfFn93
NGXX/FdWRotPVTgf5l9Y+kDnw9IHAKAD9Pw=
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 
            3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGAwB2IQXf/bquDcB0+HPfk1b2eyKjv4nGC3nX3U04E/NuC+
UbmSw5ru2xkMyz0dhCsnlZx1UXIILlGZ/r8BwU8DATcEf8o3tvgZJp4OxiBw
GcEPuCVdkzhJBc73B/GDdOD8P29fH7BM1nP4DwLqng4JIUHqCzr1HS7lx7Of
Y/R0eJK48JqJvYHDRRD/pIfDl523uv5+NXDYXytrkR7j4XBd6JPj+TBDiHuO
ucP5IGWp193gfBOQu6TdHJ5naX+bHmsA59d82hCQbaUH5x/dtaOXLUDXIUJ8
+0UGPzcHfa2VwhdadBzcVEuZZnUg+F7g8ELw/8TkHv33C6Efxj8O4hvowflb
HZoeHY/Qc+DxXz8l9Yebw4viraK/u/Ug9n1zg7jjsp5DHTh+3BxYOLvkk/X0
HfQmLPhh+M4NEk71CL4HKCCOI/hnQCDHwAHkrVn27hD+HQMHUDCkLUXwl7/w
0Puv6AHnz7PRuTIrzcNB4y3vPgNPBB9inh6c/wDsUB1I+rjv5hAPji9Nh8qI
FaZnN7s5bAf5z0ITmj7cHHQV5b/kbFOH8PncHLaY/ziU8krNQe1J87yzr1wd
pObFaZ6eoArnPwKZ76AC54P9u1/RQRXEj3JzWPntZcUZBgV4eMH4Co4fk8+k
uqPKn3N3SAfZe03BodvrFYtJpgckfT9XgsiXecDl7YHOnrHYA65/g17eYkYe
TzhffOoVzowkBP+4ptWk09M9HZwnNAulVSk4wPJT+eFtrjP/Kjqg5y8AWxaO
Wg==
            "], {{48.80159999999999, 10.643799999999999`}, {
            48.80159999999999, 10.028100000000002`}, {48.70309999999999, 
            9.848440000000002}, {48.2859, 9.61094}, {47.80779999999999, 
            9.33281}, {47.251599999999996`, 9.153129999999999}, {46.8344, 
            9.153129999999999}, {46.13909999999999, 9.153129999999999}, {
            45.58279999999999, 9.82969}, {45.58279999999999, 10.6828}, {
            45.58279999999999, 10.762499999999998`}, {45.58279999999999, 
            11.9344}, {46.398399999999995`, 12.649999999999999`}, {
            48.80159999999999, 13.524999999999999`}, {48.80159999999999, 
            10.643799999999999`}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
           0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIVIGYCYvumR8dnVPs4+F+cGPNP2dBB/UnzvLNV3hj8
FS889P4XGsP5BlorhS8sMXYwv3Y016QCqn6zsUNIicr0/xkI/pPEhddMwr0d
0tOAoM3Y4T8IuHs78Pqvn5IaYeygP2HBD0MzbwfvE+y2s1WNHXxA9FUvhwjx
7RcZ+Iwg5md4OcwEAUlDhx23uv6m2ntB1LMaOjiA3K/s5bAc5L6HBg7ty8NP
GYl4OZw+7LQ2cx+CD3Evgg/WP9XAoWSr6O/TYl4O0yfwV5l1G0DcKefl0O31
isWk0cDhhnRNotFSTP4ZEOBRhfPB+rYpOswAufOjl8PKby8rzjAoOHzZEJA9
q90bzm8F2c/iA+eDzUnxcRCunFRy9ouCQ+1vq4JzO3wc9uTXvJ3JquzwAaR/
uo/DXhC/VNnh/j6+OcZJPg78sQH3jcqVHNZ0385gMPdxeOAa7zhLEMr/7w3n
g+NjAYIPi787mrJr/isro8WnKpwP8y8sfaDzYekDAA8BATc=
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
            3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
            3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQbX7taK5JgZ/DdaFPjufDDB3CxbdfZHjm4/AkceE1
E3sDOL+F13/9lKf6DuJTr3Bm/PJxOL5rRy/bB32HkBKV6f8lfB2Wv/DQ+89o
4LAURFv6OjSyHO03ZDdwqP1tVXAuAMGPAJnXh+CfAYElvg5TJ/BXmWXrw/lv
ireK/l6tC+eL9ni9YilRgfP5YwPuG01XdMjh/LkgvdvXwX3N0eUMGooOFREr
TM/e9nEI5xRrN/6vAOenp4GAgsNcG50rs8z8Mfgw9SVAa0/3+Tk8cI13nGWo
CPFvlR/cPhgf5h4Y//OGgOxZ7oYO6OEJAKZsl+0=
            "], {{59.94379999999999, 
            21.7688}, {59.40629999999999, 21.7688}, {58.94999999999999, 
            21.3125}, {58.94999999999999, 20.756299999999996`}, {
            58.94999999999999, 20.200000000000003`}, {59.38749999999999, 
            19.743800000000004`}, {59.94379999999999, 19.743800000000004`}, {
            60.5188, 19.743800000000004`}, {60.97659999999999, 
            20.179699999999997`}, {60.97659999999999, 20.756299999999996`}, {
            60.97659999999999, 21.3125}, {60.5188, 21.7688}, {
            59.94379999999999, 21.7688}}}], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
            4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
            67.96719999999999, 17.3391}, {65.38439999999999, 17.3391}, {
            63.576599999999985`, 15.4313}, {63.576599999999985`, 12.6906}, {
            63.576599999999985`, 10.007799999999998`}, {65.4234, 8.00156}, {
            67.9266, 8.00156}, {70.42970000000001, 8.00156}, {
            72.33749999999999, 10.107799999999997`}, {72.33749999999999, 
            12.848399999999998`}, {72.33749999999999, 15.451599999999997`}, {
            70.50940000000001, 17.3391}, {67.96719999999999, 17.3391}}, {{
            67.7078, 16.782800000000005`}, {69.3781, 16.782800000000005`}, {
            70.55, 14.874999999999998`}, {70.55, 12.1531}, {70.55, 
            9.909379999999999}, {69.65629999999999, 8.557809999999998}, {
            68.16559999999998, 8.557809999999998}, {67.39059999999999, 
            8.557809999999998}, {66.65629999999999, 9.034379999999999}, {
            66.2391, 9.82969}, {65.68279999999999, 10.862499999999997`}, {
            65.3641, 12.2531}, {65.3641, 13.664099999999998`}, {65.3641, 
            15.5516}, {66.2984, 16.782800000000005`}, {67.7078, 
            16.782800000000005`}}}], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYCYhudK7Oe+QY5ODQ9Oj5D2sBhJgiEBjmoPmme
d1bLwMGzulnfJynIoT+4RGW6voHD4klWjL4FCP5jEdmTTycj+P5yYlm+84Mc
PPbXyloc14fzM/I/tJ68ogvnzwDZ81MZzk9PA4Jtig7f2eJn+EwMcnBfc3Q5
g4aig7bVpNP1AUEO4Zxi7cb/FeB8sPo0BYdI8e0XGeKCMfgw9d1er1hMZIPh
5h2+rJ0qyRXscN813nHWQgT/PwjwK8P5NZ82BGRb6TmYGAOBe7DD8hceev8Z
DRwkPAL+SCQHOzxJXHjNxN7AoSCe/ZxkL4K/+1bX39TTCD44fF8GO4hPvcKZ
4aQP5/95+/qA5WIdON/rBLvt7FAVOF+4clLJ2SuKDsKfHM+n3US4X8HxY/KZ
mQj/wfgw/4Pja1EIBh+mngEEUkIcHoD8b6josOHhy6mbQkIclK89CmZYg+Cv
FdLhS5+nDOenxN5xY96hA+dzu6mWMlkZOJwBAZkQh+tCQIeGGTpw/lyQvnlf
MJzfvjz8lFELgg9WHxPsULCm+3YGg6GDN8h9bMEOPiD/l+rD+WB1PoYQ//8N
gusXB4X//iCH6RP4q8x+I9IfKJqMD0PDG5iewfFViODD0jcAtrw5lg==
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQvb9W1iKdIcJhi/mPQymv1BwC5MSyfA+HO+zNr3k7
86myw4aHL6du6gl3WCukw5e+Twkib43gqz5pnnf2UxicL/P6kZnUnjC4frD6
6WEOCSFB6gs01RwOgOxrCHN4VbxV9PdqdYdrR3NNGsrDHM5fDXuj/1vD4cX2
9czPS8Ic5ixS3vknXdvBVbWUadafcDg/DQQ+hTs8z9L+Nv2vrsPWlpoLm5+G
O/hcnBjzT1nfwUbnyqxnR8Md9LVWCl8wMXCIyT36b9P8cIcNenmLGd8YOHxj
i5/hkxrucF3ok+P5MEMHCY+APxLKCP6nDQHZsx6HwfmVEStMzy4Pc5g+gb/K
7LcB3L0nDzutzfSDmm8Nc7+eA0hbmmSYQzzYvzpwvgcooJ9rwPnV93/cMs5W
hvt35beXFWcYFBxMjIGAPRzOZwCBBgQfHJ73wx0+LFqvcDZCCRI/IhEOP9++
PmC5WM0BPT4BgvvWcA==
            "], {{89.8672, 14.3391}, {90.08589999999998, 
            15.8891}, {90.76089999999999, 16.6234}, {91.9734, 16.6234}, {
            93.18439999999998, 16.6234}, {93.6609, 16.067199999999996`}, {
            93.9203, 14.3391}, {89.8672, 14.3391}}}], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJ9IGYC4vx49nOSjhEODk2Pjs+QNnA4AwIeEQ6qT5rn
ndUycKhZty2pPjTCoT+4RGW6voHD1aO5Jg3JCL64R8AfiXYEvynQc27DpAgH
j/21shbH9eH8jPwPrSev6ML5M2YCwU9lOD89DQi2KTpoWU06Xd8S4eC+5uhy
Bg1Fh9jco/82OUc4hHOKtRv/V4DzwerTFBzeLz/mbR4YicGHqV/58ZJvkkAk
3LzvbPEzfP5GONx3jXectRDB/w8C/Mpwfs2nDQHZVnoO9/17p+dZRTosf+Gh
95/RwKH5wKmFrmGRDk8SF14zsTdw2C7X+jqwAcG3AWnYh+C3vA7cIXc30kF8
6hXODCd9OP/P29cHLBfrwPleJ9htZ4eqwPnClZNKzl4Bui/48dLZZxDuX+i6
7fPfHoT/YHyY//XvqrA1To3C4MPUr5GJSrEOj3J4APK/oaIDiHvfPcpB+dqj
YIY1CP5aIR2+9HnKcH5K7B035h06cD63m2opk5UBNNyiHK4LfXI8H2boELAD
GCAbI+H8hqnO3TnlCD5YvX+kQ8Ga7tsZDIYOtaD09TPCwQfk/1J9OB+cDn0M
HUDWzPoQAdfvWd2s77MpwmH6BP4qs9+I9GcMAocNHGDpGRxfhQg+LH0DALOC
Rpg=
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQfUeFrXHq5hiHLeY/DqW8UnPw4GHSbi+LcdibX/N2
5lNlB5moFOv79jEOa4V0+NL3KUHk30XD+XtKJkuwLEPw57xffsw7Pxqu/7zS
7Z91XtEOCSFB6gs01RzA9hlHO7wq3ir6e7W6w5LZRxQ2aEU7nL8a9kb/t4bD
k6VAAY1ohzmLlHf+Sdd20GkXu3lufQycL9B84NTCpTEOz7O0v03/q+tg2umY
8HRGjIPPxYkx/5T1HUDOE6uMcdDXWil8wcTAoUZknfvDoBiHDXp5ixnfGDj0
TM8TapaIcbgu9MnxfJihQwvQONdr0XA+f4TllhPTEPz4XZ48TNHRDtMn8FeZ
/TaAu/fkYae1mX4GDl/+Xql4+S4K6n49h+/Bj5fOPhPlEA/2rw6c77G/Vtbi
uQacX33/xy3jbGW4f1d+e1lxhkHB4b5/7/S8XQi+iTEIxMD54PCcFOPwYdF6
hbMRSpD4OR7j8PPt6wOWi6HhixSfAEdA2+s=
            "], {{108.66699999999997`, 
            14.3391}, {108.88599999999997`, 15.8891}, {109.56099999999998`, 
            16.6234}, {110.77300000000001`, 16.6234}, {111.98399999999998`, 
            16.6234}, {112.46099999999997`, 16.067199999999996`}, {
            112.71999999999998`, 14.3391}, {108.66699999999997`, 14.3391}}}], 
          
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
           0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGItIGYCYtNOx4SnL2IcWnj91095qu+wZPYRhQ2/YhyW
v/DQ+89o4LDW/WGVCFusQyPL0X5DdgMHH3OgBlEEv3TffCl9UwS/NmtPyWSH
WIepE/irzLL14fw3xVtFf6/WhfPPgMAeZTj/PwjsV3QAWbfOPNbh/aL1Cmcr
FB1S04DgWYxDOKdYu/F/BTg/HUSnKTgUZEx8WyMeh8GHqedh0m4XOxjrUHp4
m+tMWUUH9jUyUSmrYyHqtyH4M2YCwU9lOH+L+Y9DKa904Pzju3b0shnoOaga
cqyReQTVL2bgoHD7Z10WSxycnwH0jgQPgg9zD8R8fQfduypsjapxDqI9Xq9Y
pug7BOyQa31tGQcJf1Z9B512sZvn3OMc6n9bFZw7oeew4uMl36QIBP/L3ysV
L8sQfJfunOe/O+McfE6w284u1YfzNd7y7jPwNIDzQdaZfDRwmPN++THv/DiH
60KfHM+HGTqUv1Qz5HBB8G3u+/dO50Pwa+xN43a9jIWkh4cG8PD48630wZyP
enA+OD59DB1aXgfukFsai6o/Ecp/ZuAwxRnoIONYBwOtlcIXlhg4wNKf/8WJ
Mf+cEXxYegQAzDMkvg==
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
            3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
            0, 1, 0}}}, {CompressedData["
1:eJxlk3tIU2EYxpehqUTptDSbpXMendrcnMNKw3ellkRkm9QQO+cYastCxYSy
lmUqFjNSyltXJcSEZWamJl6G3USFzRQDK7wlXmKISqaIrfN15jl/9MLH4cf3
nYfnvXmeSVMkWXE4nHDqoK/X15XslEQSeE9wYa8xENY588221d46MVDUlill
uSyVm6vHWJ6r+Xg0xJ2E3ncHX5zrEEMheuBAQs30EZF5TAxGPiVoRUJjyHJX
or0Eqh++96gfJyA8S/VcdkACzbvyf57QE/CFuyA3nJTAIyT4lGVe4HeBjZBl
jXPd4bEenPG7zsFSFAEMxwzv1CQ0CEGVGDpy3ITDp9aWOzZiXzAhv3ICxlUu
zf2jGKNPxip8KoUYeEtsdTwuAfcL8uMGNN5gQP7tLffR3nCNKse9URxcSwbt
1HwBmFEYcHA4HTMSdMqLYa+hcSWnkM/w2WQqmjzp/EYs92GesEnHi0t0IqB2
aeZyX7oHbLbyL9j+Foc19F8nD7aq9jV2l+K0zm43hj1aKzuSRC4MV6BY4UKE
9sLU6oqlHotb4JacnDRmEAz/y+8zywENj+dq3EjIGlkelmodobOnKrIplIRY
08B8+ZgzlByiBJUkROk+1HBULnT/cBL02o6bwRM7GG5R7leZp3gMHyrK5SbP
ekAfCiChPU1jqijhwy/f+LtdjiR8E7rrzK/5kKkuNmmuEzAaScgfzPNBTZXX
NYyANvTe2gvCZXhrNM9yn8Dysf7i+D8bBQxPJlQNBRsEkKenEoiy5CfF6H6p
CRD71ToZ8zC4NINJbDMJ0CzUx5y/gsHLDGSAoOcpHYOIpsW1wRssy25TBSwn
oEGU+mxDPAZUdhnqWoKeLwVG9+sVyz9QAUZZRuOVY2eZ/1mM2ZfpFP+lsjUf
KDJpwmVBJFxFftyETP270T5l+zFM+w1gWBbWriit2gPWOVSH9lJ6F6mF1IrA
8Fs5UR34/z6v81/Le8N3
            "], {{124.71999999999998`, 
            8.160939999999998}, {125.37700000000001`, 8.021880000000001}, {
            126.96599999999997`, 7.90156}, {127.93899999999996`, 7.90156}, {
            129.74699999999999`, 7.90156}, {130.403, 7.643750000000001}, {
            130.403, 6.9281299999999995`}, {130.403, 5.77656}, {
            128.89200000000002`, 5.00156}, {126.64699999999999`, 5.00156}, {
            124.89999999999998`, 5.00156}, {123.74700000000001`, 5.57813}, {
            123.74700000000001`, 6.45156}, {123.74700000000001`, 
            6.909379999999999}, {123.88599999999997`, 7.167189999999998}, {
            124.71999999999998`, 8.160939999999998}}, {{124.82, 
            14.915599999999998`}, {124.82, 16.087500000000002`}, {
            125.37700000000001`, 16.782800000000005`}, {126.291, 
            16.782800000000005`}, {126.906, 16.782800000000005`}, {
            127.42199999999998`, 16.4453}, {127.74099999999999`, 
            15.848399999999998`}, {128.09799999999998`, 
            15.153100000000002`}, {128.33599999999998`, 14.2391}, {
            128.33599999999998`, 13.465600000000002`}, {128.33599999999998`, 
            12.3516}, {127.76099999999997`, 11.656300000000002`}, {
            126.84699999999998`, 11.656300000000002`}, {125.65499999999997`, 
            11.656300000000002`}, {124.82, 12.9484}, {124.82, 
            14.856299999999997`}, {124.82, 14.915599999999998`}}}], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYCJAQEYkWhmKEZmI6uhRD0uvaSqpwWbGLcB
AJivAkM=
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4lA+3U1zlyc6+F+cGPNP2dDhq0ZM/6FATP7n
DQHZs64bOKgbcqyRSUPwj3ubdzoWJDpwu6mWMq1C8Hn9109JjUDwweY5Gzic
/x78eGl+ooP3CXbb2aoGEPNzEx2Wv/DQ+89o4PDxkm+SgEGiwxkQ4FF1yH7+
e+XHZwkONZ+AFkrpOzgmPL2g9DjBofa3VcG5FfoOIONmP0hwSE8DAjEDOP/k
Yae1mX4IPsx986X076q8SnB4nqX9bfpZAwdbruuLC1gR/oHxYf6/oHT7Z11T
AgYf7L47Bg5A1bZckxMc+EH+PWHgEA903u25CQ4Fa7pvZ0wwcPj890rFy0VQ
+60MHNjXyESlvE5w2KD6pHneWjWHyBTr+/5vExw26eUtZoxRc2DUbhe7+S3B
YcYE/iozbVWHApCDOBId1grp8KXrKTt0gAJAKNHhPwjsV4Tz3dccXc6ggeCH
c4q1G/crOABtVzNkSXSIUY2QOScj43BEYUNRxk+g+TOBYKekQ8/0PKHmDwkO
Gp9UXs5aKQ7x36MEB1BwpqmJOYCUzbyJ4OcLNR84dRXBB8fXhQSHvohuf8YA
MQfmMGCCOpng0KbArnpmi5hDdw4wAvcmOBzs3tdk4iwOcd+mBIdWkPwUcYg/
liP4YPfNRPDB/u9JcFgD8v8/UTj/y76PW9PFRFD5ZYIOC123ff67IMHBxBgI
PvM57D8FFNmN4ANT0yXfZ0jyoATBAk1vb4Qh6UsdGt5x8g6TJVjC+DoTHVpA
CfqpvsNloHcjJkLT71QDBwNgdoiakQiPf1h+gqUn9PwFAJfuhJg=
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4tMLXbd9Fkx26PF6xWKy0NTh898rFS8fJTnY
VkasMF1r4rC4wJbr+vkkB423vPsMNE0c7E3jdnnuSHJ4krjwmom9sYNjwtML
St1JDvtrZS3SWwwdzDuBIiVJDkd37ehlE9CH8+NDgtQXZGrB+S+ytL9Nj1V1
mH1EYUNRT5LD+0XrFc5WKDoo3/5Zl3UkyeHLvo9b069JOYRbbjlRdi/JISMN
CNjEHWJ3efIwvU9yAHHT3EQdPl7yTRIQSHZ405bbbbRbyOH89+DHS8WTHYLe
Xv44g1HE4QwIPElyONi9r8mEWdIhHqT/cpJDzf0ft4xPSzvEA51/+2CSw8pv
LyvOPFBwsL7v3zt9U5LDTBDoVHYI5dPdNHd1ksNTkH/71eD8OYuUd/5p14Lz
RUABuEUPEl6bkxymT+CvMvtt4AAK3r9A/6SD3Gtm5NABCrBrSQ4rXnjo/S80
drhxDujgl4jwhbmfAQQCTB3Q4wcAKxjF8w==
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQfaXipZqhQYrDFvMfh1JeqTn05Dz/vVIwxWFvfs3b
mU+VHUomS7CEfUt2WCukw5e+TwkifxbBP6KwoShjJYJvErfLk6cvGa7//Pfg
x0urkx0SQoLUF2iqOYDtK0h2eFW8VfT3anUHiy0nyvZlJzucvxr2Rv+3hkOE
JVAgK9lhziLlnX/StR3+rPx4yVcvBc7/sPyYt7lmisPzLO1v0//qOjBqt4vd
VEpx8Lk4Meafsr4DyHkfhVIc9LVWCl8wMXBYUmDLdf1/ssMGvbzFjG8MHHQ2
zX2//FGyw3WhT47nwwwdVgCN6zyI4OcLNR84tRDBn+rcnfO8Odlh+gT+KrPf
BnD3njzstDbTz8Ah4ekFpdu+MPfrOSQLAH1gk+wQD/avDpzvsb9W1uK5Bpxf
ff/HLeNsZbh/V357WXGGQcEhlE9309zNCD4DCHxA8M+BwlM+xeHDovUKZyOU
IPFjleLw8+3rA5aLoeGLFJ8ACvrcig==
            "], {{155.36699999999996`, 
            14.3391}, {155.586, 15.8891}, {156.26099999999997`, 16.6234}, {
            157.47299999999998`, 16.6234}, {158.68399999999997`, 16.6234}, {
            159.16099999999997`, 16.067199999999996`}, {159.42, 14.3391}, {
            155.36699999999996`, 14.3391}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
           0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJFIGYCYoO7KmyNjGkOXG6qpUxRpg4mxkBQn4rBnwkC
P00cFkjp31VZlOqwxfzHoZRXJhDxtakOElOvcGZsQvD9Lk6M+aeMJn/J2OHv
lYqXaitTHTTe8u4z8DR2ANu/MNVBel6c5ukNRg4fL/kmCbikOrwp3ir6+7Qa
hP8kxcG2MmKFqayRw4myffOlzqc4FKzpvp0xwdhhT8lkCZZTKQ5eJ9htZ7Oa
wPl/v5U+mBOI4MPc9wXkgEspDrekaxKNnpo4AG2f6vw8xeFJ4sJrJu9NHPKE
mg+ceongnwGBDykOB2plLdK/mDiwhPHpbvqZAg8PGB8WXqxA47oDMPkw9QdO
LXTdlo8w/0fw46WzK1IcUmLvuDGvMHEAmjb3/eQUhyX39/HNeWzkYMCxRibK
IBXijjfyDjfOfQ9+bInEX1xgy3U8FRIeCsYODCBwBxEfcbs8eZgeI+ILFt8w
96DHPwA7refE
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4gmHvmrEaKc5vGnL7TbaLeSQBgJRaQ5nQKBH
zMHgrgpbY26aQ7RqhMy5ORIOC123ff7bkuYgUjmp5KyLjMMCKf27KpvSHPhj
A+4bTVd0ULr9sy7rRJqD1Lw4zdMTVOH8Bpaj/YbmWnA+2HwffYd984EGbEhz
8L84MebfZEMHi07HhKcVaQ5bzH8cSpll7MCo3S52My7NoWSr6O/TfSYOJZMl
WML8oPx/Jg4ZE9/W2OumOfR4vWIxWWjq0JPz/PdK1TQHBhAIAPKn5wk1R6Q5
9AWXqEznN4HIZ6Y5vMjS/jY91tgB6Jo9JdVpDv9B4L6hw9LZRxQ2dKU5TJ/A
X2XWbeDAEsanu2limsOfb6UP5gjqwfkpsXfcmCW04HxdRfkvOd9UHWy5ri8u
6ExzcJ7QLJS2SsnBwTRulyfQP+WHt7nOtFVwuAAKgLQ0hxkzgaBS2oFjjUxU
SjAifGHuD3p7+eMMRhEH9PgBAKplvl8=
           "]]}, {
          Thickness[0.005427997611681051]}, StripOnInput -> False]}, {
       ImageSize -> {184.2291706102117, 25.902864259028643`}, 
        BaselinePosition -> Scaled[0.31538730769230766`], 
        ImageSize -> {185., 26.}, PlotRange -> {{0., 184.23}, {0., 25.9}}, 
        AspectRatio -> Automatic}], TraditionalForm], None}, {
     FormBox[
      GraphicsBox[{
        Thickness[0.0129315918789603], 
        StyleBox[{
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYCJAQEYkWhmKEZmI6shRj0xenGZQ6p6WttF
iRsAAbYCOQ==
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYC4gO1shbpLcYOXG6qpUxRpg5bzX8cStHSx+DP
BIGfJg68/uunpM4wcGAAgQcmDv4XJ8b8+2zgkBJ7x415BYJfslX092k5BB9M
bzZ28D7Bbjv7qoFDf3CJynR9Y4fDbcvDTy0ycOj2esVistDIYa3qk+Z5vjoO
W0D2nlJ3eJq48JoJv7qDfdOj4zNWGzlcuBr2Rv+3moOB1krhC0eMHGSXv/DQ
mw/lmxg7ZOZ/aD05RQ1in7OxwwyQuy3VIO5ZZ+wwpb016vIfVYc+kP38JnD+
pw0B2bPcEfw/30ofzDlo4pAGAs/UHMDh9MXE4XUx0CBuTXh4wPiw8PoPAvdl
MPgw9Xc0Zdf836wANw8sLqnocEPok+P5YyYOxiBQrAQPHxMQ/7CyA8ia032G
DiKVk0rOssg7NPy2Kjj3Qh0iP1nY4QwI5Bg7CIPlhR34QfF0whhi3mYheHzA
+GD7wtD4QPv7I7r9GS8IQ8L/lYnDWiEdvvR74nD3w/gw/4HFZ360R+fD1KeD
w48Bnl40Pqm8nOXJDPF/i4kDtyOf1wxNToi6ZUYONfd/3DJ+LQ3xzxt5hxjV
CJlzMrJwPpheowJJN0kGDvWgcODQhss/iBDffnEBgm9qszdoGqO+gw8o3YVq
ObjvB1ms7+B/S7omsUjbAaSc4Z6hQ8Ga7tsZE4wh4Wxn5FAHMneGicN1ULiU
GcHDB5ZfYP5Dzz8AEBhyuw==
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGCQA2IQfeKw09pMPyuHLeY/DqW8UnPgclMtZYqydNibX/N2
5lNlh/7gEpXp9RYOa4V0+NL3KUHkrczh/JTYO27MEmZwvl1lxApTW1O4frD6
VSYOCSFB6gs01RxOgu0zcXhVvFX092p1B9UnzfPOapk4nL8a9kb/t4ZDwZru
2xkKJg5zFinv/JOu7fAkceE1E3srOD89DQjErByeZ2l/m/5X12HJ/X18cx5b
OvhcnBjzT1nfYX+trEV6iqWDvtZK4QsmBg4OTY+Ozzht4bBBL28x4xsDhxUv
PPT+PzR3uC70yfF8mKGDxlvefQY3zeD8aRP4q8xum8L5EH0mDtNB4r8N4O6F
+MPAwRFkvrUx1P16DuJTr3BmbDJyiAf7VwfO9wA57LkGnF99/8ct42xluH9X
fntZcYZBwWEmCGSawflnQMDHAs7nAIXnKUuHD4vWK5yNUILEz3wrh59vXx+w
XKzmgB6fADlF0oE=
            "], {{20.167199999999998`, 14.3391}, {20.3859, 
            15.8891}, {21.060899999999997`, 16.6234}, {22.273399999999995`, 
            16.6234}, {23.484399999999997`, 16.6234}, {23.960899999999995`, 
            16.067199999999996`}, {24.220299999999995`, 14.3391}, {
            20.167199999999998`, 14.3391}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
            3}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
            3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGAQA2IQveT+Pr45k+0crgt9cjwfZujwJHHhNZN6awhtbwDn
t/D6r5/yVN8hJfaOG/MKa4fju3b0sn3Qd7ghXZNo9NTaYfkLD73/jAYO9SxH
+w3VbRwaQTS7gYO+1krhCyEIPti88wj+GRD4Y+MwdQJ/lVm2Ppz/pnir6O/V
unC+aI/XK5YSFTifPzbgvtF0RQcON9VSplM2Du5rji5n0FB0UH/SPO9slrVD
OKdYu/F/BTg/PQ0EFBzMrx3NNRFwwODD1MvMi9M8fcHO4YFrvOMsQ0Wof+3g
9sH4MPfA+J83BGTPcjd0QA9PAPnPl4o=
            "], {{29.643799999999988`, 
            21.7688}, {29.106299999999994`, 21.7688}, {28.649999999999995`, 
            21.3125}, {28.649999999999995`, 20.756299999999996`}, {
            28.649999999999995`, 20.200000000000003`}, {29.087499999999995`, 
            19.743800000000004`}, {29.643799999999988`, 
            19.743800000000004`}, {30.2188, 19.743800000000004`}, {
            30.676599999999993`, 20.179699999999997`}, {30.676599999999993`, 
            20.756299999999996`}, {30.676599999999993`, 21.3125}, {30.2188, 
            21.7688}, {29.643799999999988`, 21.7688}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
            3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
            0, 1, 0}}}, {CompressedData["
1:eJxlk38slHEcx4/UxtIKTYnF4dEhzjnTTPN+nudIrR+GYqZyrXNkclvayFVb
v2wdWzXC/RFmDYuSSrLIMstSYUxFy49qZPkDmzFxPd97zvf+6LM9+z6vfZ4f
78/78/l4ncmJ19hKJJIo4SKnOZZUcH9wStbbH4x1zn2xfaX3sRy3apPeK5RW
VncNBmhsrKwMFWKUR28X15jZIYfjsSclmjoetdOxQaYJOTYT1vF4Hr709qxD
CPKS68I+BvCIyhdu9oegwTCaIZni8Nlpnu07EQK7mnsRNg+tbH6/laVcSPT8
BdW7zmYdoYGU40Z26dXNMiTk+pSZwOJdW2vxJvkeXF2J0H2aZjGZ7PpyYJyh
309LjPerkjH449ghr7jNoqTwZsqg3hdZ9stV2gJL/qAvFprisox+LHaUDtln
SH2gTRdiE4utJ+PGFEnelL2HJxMkRVLK5rPFS6zP15KP9MJXQaaimEX94u+8
DzpPRPtetDV+AVZNQrxxx9Og8zU2JQBB0243yp5tVR2aIFfKFSSWneBKdKWw
oh8LW9BE8oc5yub6HHjKicSffh75Y0sjoYZtILYpjquQODs4Vz7hAmKTpEWF
mIbuWkmyK4oOzdgpJ1ToNHRcU/7YSbk1ISLZNOVOmb9z3Sl9xlPUlalCe45+
tqJUChehjemNPL7JPBpMz6RwJqzhMB59mjXOSVEZGThk/M7iNXl+ozcekfmo
ZMW82spHBu6mrm3wofxLXT2s7PPBSmp299q8pf5QRuxXOAe5f71z/w1G7MNR
Dvp5IXGJQfhwd7YyjRPnSceIPmutbM6Xc2gmPqYyMJD6XnHifMUzOED61WNl
s36Gp9x52WOftsgy/zMM3ZfpcwGLZat++El0B6tQQPS4yaj/PWSfrvhTFvUG
Ug6LbI+/X70XMeT/sSpMXxAW0hBkma//93md/wHsj6Mp
            "], {{
            35.52029999999999, 8.160939999999998}, {36.1766, 
            8.021880000000001}, {37.7656, 7.90156}, {38.7391, 7.90156}, {
            40.546899999999994`, 7.90156}, {41.20309999999999, 
            7.643750000000001}, {41.20309999999999, 6.9281299999999995`}, {
            41.20309999999999, 5.77656}, {39.69219999999999, 5.00156}, {
            37.44689999999999, 5.00156}, {35.699999999999996`, 5.00156}, {
            34.546899999999994`, 5.57813}, {34.546899999999994`, 6.45156}, {
            34.546899999999994`, 6.909379999999999}, {34.6859, 
            7.167189999999998}, {35.52029999999999, 8.160939999999998}}, {{
            35.62029999999999, 14.915599999999998`}, {35.62029999999999, 
            16.087500000000002`}, {36.1766, 16.782800000000005`}, {
            37.09059999999999, 16.782800000000005`}, {37.70629999999999, 
            16.782800000000005`}, {38.2219, 16.4453}, {38.54059999999999, 
            15.848399999999998`}, {38.8984, 15.153100000000002`}, {39.1359, 
            14.2391}, {39.1359, 13.465600000000002`}, {39.1359, 12.3516}, {
            38.560900000000004`, 11.656300000000002`}, {37.646899999999995`, 
            11.656300000000002`}, {36.454699999999995`, 
            11.656300000000002`}, {35.62029999999999, 12.9484}, {
            35.62029999999999, 14.856299999999997`}, {35.62029999999999, 
            14.915599999999998`}}}], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
           0}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIDIGYC4o16eYsZ77g5uO+vlbVg13Mo2Sr6+7Sbu8P5
q2Fv9G/rO5gYA8Fkdwf/ixNj/jkbOKSBwDcEX/iT4/m0Ug84n3XxJCvGrR4O
NZ82BGRL6cP5/rekaxKDdOB80R6vVywlKnD+fxDYr+jg0PTo+IzZHg7K1x4F
M9goOlhcO5prwuHhEM4p1m78XwHOTwc7RAHiPmUvDD5M/fIXHnr/Z3o6CFdO
KjmboujwhnefwcwuT4j6bQg+zD0w/gZQuMTowPkw/x3XtJp0Wt7T4boQ0ONh
hg4X8+PZzwV6wPmVEStMz+52h/NDSlSm/w9wdzgDAncMHGDhXc9ytN8wXB/O
9znBbjt7q6nDzltdf1PPuzkYaK0UvnDE1KH2t1XBuQo3h5TYO27MHaYOCYcv
a6daujk8SVx4zSTe1EHtSfO8s6tcHSLEt19k4DN10J2w4IdhmqsDKLiNnprA
+X4g9082ceDxXz8ltcDVoQ5k7gwTBwYQqEDwwe5sQfCXgcLvI4IPDmY2N4fC
Nd23MwoQfLD7pxrD+bDwhPHB8blGEeLu766Q+PaHxneyKzy+YHxYfILDr8Md
gw9TLwJKf1/d4OkFFp6w+IXxYe5BT+8AThpAsw==
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
           0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIVIGYCYh7/9VNST/g4+F+cGPNP2dDhy4aA7FnHvTH4
K1546P0vNIbzDbRWCl9YYuzAsniSFeNRqPrNxg4Kjh+Tz2xF8Dfo5S1mXOLt
kJ4GBG3GDmdAYIq3Ay/I3ghjhz8xuUf/NXk7eJ9gt52tauwgMfUKZ4aSt0OE
+PaLDHxGEPO3ejnMBAFJQ4f25eGnjHq8IOpZDR34QeYUeDksB7nvoYFDSInK
9P8JXg6nDzutzdyH4EPci+CD9U81cHBoenR8RrKXw/QJ/FVm3QYOJsZAkO3l
0O31isWk0QBi7kdMPtgfPKpwPth/2xQhtJ23w8pvLyvOMCg47K+VtUi/guCD
7Q/wgfNngPy10cdBuHJSydkvCg4+YH/5OuzJr3k7k1XZYS9I/xMfh70gfqmy
w5ru2xkM630c+GMD7huVKzlURKwwPdvs4/DANd5xlqCSQzmI743gg+PjrTec
D4u/O5qya/4rK6PFpyqcD/MvLH2g82HpAwDrsP0Q
           "]], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJZIAaxQYAJSjNCxZjxsGHqyFFPql5qsYmxl1puQzYH
AA56Ank=
           "], CompressedData["
1:eJxFlHsslWEcx4/LmBVrElM4zo6zmMN5Xbqsy/y0tEKd531rucxluR2RNGkx
rERsJDQNJ1NqjeSEjCKpMbNCiLI5GxJCpz+YsFV0nvOc932f7dn7fp7L7/ld
vs8jikpmYo0EAoGBtvtru6G2+0muGSrr5LDthPbnEAU+t2b6KtQ8B9m8GhFM
8iz0XY4emOPZ5v6YWfyKHGYv1Hz19qFgADc7BM6/zLuoUxRkvWiLuuGCQBGn
bdYU+XoiaD2w0R1T7w6tuZnDLb4IYvF4nBTOpjqVbyEEfR2vi0woZ2LvHCLf
7RI4LB1TzocguN7T5ldZJIJ3WfYHFWEInq0tpg0IHKH40YbHfAQClaXUQhEh
JOcl8Kxbn8ZzCI7vrt6eyhHSguv2Db5BkDG1MeGVKIaeUddY2249q8Uw3pvk
fVONwKF24aS7j4T4b0BD5koTSgzdS85PoUElmc2pLnKD8KTezZflNPFv2hEC
MnJkgUoaNHlJhZ4PhCSuKprzR2fvKc/frew/zDXyrKtXJw070++lDlrp453U
c4wI8muDPnpO0xBkZp3vlSyCdZPIisA5Gqb8In2VNSKSjyX9+jERyB2sE06X
M2BkViCMPuNMzltnoBfnH7lxPPTlvEamlnGss5NHwRZuagZW2ycK/v3W66OV
Z9Y+yzr/chmQj5SGbbbwzOqF5Wzj3mIPUwo02uHKAgbK8m+HjnbKSLzVDATi
/WIZsd/CwMLV1l1/Ct2hBM93MJBrLm8sk/CswfPP3TiWioSrl9ZcIQzXp5gB
u+oIl/5hF0iONP1ku0jDjnA05RkkJnp5TxO911Mc4/JvfaPgCNbjWxru+C8Z
ey9TMNVlUeXVxjNbP5b3/JzZv7uBhnHLFd+heYqrd3/PMdXFLgoqcWtGUPVY
3P5XISH5VPH3QafPhwia3C8/MQiTgiOeL0VcPtLxfA6CHwmua+WDFKl/NuLy
H4z1nsIzez9YZu8T65/O/wBE7vlnfbxHEecv3hYrRFx+nLSyH1ySw5WGQnV8
CQXHsV6neda9E31yTj/s+9OM48nkmX1f/gMrHRDB
           "]]}, {
          Thickness[0.0129315918789603]}, StripOnInput -> False]}, {
       ImageSize -> {77.33001245330013, 25.902864259028643`}, 
        BaselinePosition -> Scaled[0.31538730769230766`], 
        ImageSize -> {78., 26.}, PlotRange -> {{0., 77.33}, {0., 25.9}}, 
        AspectRatio -> Automatic}], TraditionalForm], None}},
  FrameStyle->Automatic,
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{Automatic, Automatic},
  GridLinesStyle->Directive[
    GrayLevel[0.4, 0.5], 
    AbsoluteThickness[1], 
    AbsoluteDashing[{1, 2}]],
  ImageSize->Large,
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1}, {-2.8346978292, 0}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {
     Scaled[0.05], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.7949353701699038`*^9, 3.794935396415554*^9}, {
   3.794936113527989*^9, 3.794936290966983*^9}, 3.794936338250052*^9, 
   3.7949363974955053`*^9, 3.794936435599338*^9, 3.794936491606621*^9, {
   3.794972215666287*^9, 3.794972247733335*^9}, {3.794972305174217*^9, 
   3.794972314284897*^9}, {3.794972387846652*^9, 3.7949724168407288`*^9}, {
   3.794973569937744*^9, 3.794973626780249*^9}, {3.7949794422636633`*^9, 
   3.794979461594949*^9}, {3.795103543654643*^9, 3.795103563777915*^9}, 
   3.7951036749197073`*^9, 3.7951047536013002`*^9, {3.795106124492104*^9, 
   3.795106136221929*^9}, {3.795175764964592*^9, 3.795175790687005*^9}, 
   3.795184052995839*^9, {3.7952303813039913`*^9, 3.795230478456579*^9}, {
   3.797333029334443*^9, 3.797333044006092*^9}, {3.797347259132287*^9, 
   3.797347281771888*^9}, 3.797349872432559*^9},
 CellLabel->
  "Out[266]=",ExpressionUUID->"f3910331-e22e-4ec4-bc09-cddeacb1e34b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"w", 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"a", "+", 
       RowBox[{"b", " ", 
        RowBox[{"(", 
         RowBox[{"w", "-", 
          RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
       RowBox[{"c", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"w", "-", 
           RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "\[Rule]", "1.9125735895875828`"}], ",", 
      RowBox[{"b", "\[Rule]", "2.715266992840757`"}], ",", 
      RowBox[{"c", "\[Rule]", "2.1634223380633086`"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"w", ",", "0", ",", "2"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"w", 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"a", "+", 
       RowBox[{"b", " ", 
        RowBox[{"(", 
         RowBox[{"w", "-", 
          RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
       RowBox[{"c", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"w", "-", 
           RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "\[Rule]", "0.5751782560799208`"}], ",", 
      RowBox[{"b", "\[Rule]", 
       RowBox[{"-", "0.021108186591137282`"}]}], ",", 
      RowBox[{"c", "\[Rule]", 
       RowBox[{"-", "0.36718902716347124`"}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"w", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.795231491783525*^9, 3.7952314982217216`*^9}, {
  3.795231544525916*^9, 3.7952315559062443`*^9}, {3.795231706335281*^9, 
  3.795231709429631*^9}},
 CellLabel->
  "In[600]:=",ExpressionUUID->"c985275f-ef22-4f69-b6cc-ef3826053597"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", 
    RowBox[{"1.0957956776830315`", " ", "w"}]}], "+", 
   RowBox[{"0.5439510229055833`", " ", 
    SuperscriptBox["w", "2"]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "w", "]"}], "3"],
    SeriesData[$CellContext`w, 0, {}, 1, 3, 1],
    Editable->False]}],
  SeriesData[$CellContext`w, 0, {-1.0957956776830315`, 0.5439510229055833}, 1,
    3, 1],
  Editable->False]], "Output",
 CellChangeTimes->{
  3.795231498672423*^9, 3.795231556405838*^9, {3.7952317072264147`*^9, 
   3.795231709908291*^9}},
 CellLabel->
  "Out[600]=",ExpressionUUID->"898aac3e-1016-4685-a14a-61fdedacf977"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", 
    RowBox[{"0.49393509258462165`", " ", "w"}]}], "+", 
   RowBox[{"0.1478542520122877`", " ", 
    SuperscriptBox["w", "2"]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "w", "]"}], "3"],
    SeriesData[$CellContext`w, 0, {}, 1, 3, 1],
    Editable->False]}],
  SeriesData[$CellContext`w, 0, {-0.49393509258462165`, 0.1478542520122877}, 
   1, 3, 1],
  Editable->False]], "Output",
 CellChangeTimes->{
  3.795231498672423*^9, 3.795231556405838*^9, {3.7952317072264147`*^9, 
   3.795231709911227*^9}},
 CellLabel->
  "Out[601]=",ExpressionUUID->"132f03f3-ad06-4c9d-aac7-3f9d9f66b481"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HaToeV", 
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", 
     RowBox[{"1", "/", "2"}]], 
    RowBox[{"w", 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"a", "+", 
       RowBox[{"b", " ", 
        RowBox[{"(", 
         RowBox[{"w", "-", 
          RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
       RowBox[{"c", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"w", "-", 
           RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}], 
     RowBox[{"\[DifferentialD]", "w"}]}]}]}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "1.9125735895875828`"}], ",", 
    RowBox[{"b", "\[Rule]", "2.715266992840757`"}], ",", 
    RowBox[{"c", "\[Rule]", "2.1634223380633086`"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HaToeV", 
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", 
     RowBox[{"1", "/", "2"}]], 
    RowBox[{"w", 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"a", "+", 
       RowBox[{"b", " ", 
        RowBox[{"(", 
         RowBox[{"w", "-", 
          RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
       RowBox[{"c", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"w", "-", 
           RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}], 
     RowBox[{"\[DifferentialD]", "w"}]}]}]}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "0.5751782560799208`"}], ",", 
    RowBox[{"b", "\[Rule]", 
     RowBox[{"-", "0.021108186591137282`"}]}], ",", 
    RowBox[{"c", "\[Rule]", 
     RowBox[{"-", "0.36718902716347124`"}]}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.795519798728406*^9, 3.7955198276150627`*^9}, {
  3.795520024982326*^9, 3.795520027357188*^9}},
 CellLabel->
  "In[345]:=",ExpressionUUID->"dca1f039-5557-487f-84a9-a8d0593e13b8"],

Cell[BoxData[
 RowBox[{"-", "3.4278004855749917`"}]], "Output",
 CellChangeTimes->{{3.795519799364427*^9, 3.795519828348178*^9}, 
   3.795519960442025*^9, 3.7955200280297203`*^9},
 CellLabel->
  "Out[345]=",ExpressionUUID->"3134ce42-00f8-4572-ab03-8c4f079f2642"],

Cell[BoxData[
 RowBox[{"-", "1.2716256877926888`"}]], "Output",
 CellChangeTimes->{{3.795519799364427*^9, 3.795519828348178*^9}, 
   3.795519960442025*^9, 3.795520028257057*^9},
 CellLabel->
  "Out[346]=",ExpressionUUID->"0963bb54-ec43-4bfe-a391-e16b76eeb60a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"27.35", "-", "1.2716256877926888`"}]], "Input",
 CellChangeTimes->{{3.79552001126126*^9, 3.795520014141542*^9}, {
  3.795520044580656*^9, 3.795520085000819*^9}},
 CellLabel->
  "In[349]:=",ExpressionUUID->"260825fc-6f14-4563-abdf-cc6efaff9248"],

Cell[BoxData["26.078374312207313`"], "Output",
 CellChangeTimes->{
  3.79552001505984*^9, {3.795520049503339*^9, 3.795520085476738*^9}},
 CellLabel->
  "Out[349]=",ExpressionUUID->"b633d784-e906-43ee-a7a0-429a7dd7461b"]
}, Open  ]],

Cell[BoxData["28.65"], "Input",
 CellChangeTimes->{{3.795519848345859*^9, 
  3.7955198483470984`*^9}},ExpressionUUID->"5fc45f6b-6f0f-4bda-a789-\
8f5d1948060d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"38.52", "-", "2.525301906413077`"}]], "Input",
 CellChangeTimes->{{3.795519864516038*^9, 3.7955198715555887`*^9}},
 CellLabel->
  "In[341]:=",ExpressionUUID->"9863fdf6-bc1e-47aa-a3e5-292ea3e209b0"],

Cell[BoxData["35.994698093586926`"], "Output",
 CellChangeTimes->{3.7955198718370733`*^9},
 CellLabel->
  "Out[341]=",ExpressionUUID->"d132a5b0-7803-4330-989e-9828b19a8db2"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Beryllium atom", "Section",
 CellChangeTimes->{{3.7943052147422457`*^9, 
  3.794305243168618*^9}},ExpressionUUID->"aa4e43b6-16bb-48ec-b510-\
dd62918a249d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TableForm", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<HF\>\"", ",", "\"\<\>\"", ",", 
       "\"\<aug-cc-pVDZ\>\"", ",", "17.25", ",", "8.23", ",", "14.00", ",", 
       "8.29"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<HF\>\"", ",", "\"\<\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", "17.04", ",", "8.17", ",", "13.91", ",", 
       "8.22"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<HF\>\"", ",", "\"\<\>\"", ",", 
       "\"\<aug-cc-pVQZ\>\"", ",", "26.17", ",", "8.15", ",", "13.90", ",", 
       "8.20"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<HF\>\"", ",", "\"\<VWN5\>\"", ",", 
       "\"\<aug-cc-pVDZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<HF\>\"", ",", "\"\<VWN5\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<HF\>\"", ",", "\"\<VWN5\>\"", ",", 
       "\"\<aug-cc-pVQZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<HF\>\"", ",", "\"\<MFL20\>\"", ",", 
       "\"\<aug-cc-pVDZ\>\"", ",", "16.20", ",", "8.69", ",", "18.79", ",", 
       "12.89"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<HF\>\"", ",", "\"\<MFL20\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<HF\>\"", ",", "\"\<MFL20\>\"", ",", 
       "\"\<aug-cc-pVQZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<S\>\"", ",", "\"\<\>\"", ",", 
       "\"\<aug-cc-pVDZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<S\>\"", ",", "\"\<\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<S\>\"", ",", "\"\<\>\"", ",", 
       "\"\<aug-cc-pVQZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<S\>\"", ",", "\"\<VWN5\>\"", ",", 
       "\"\<aug-cc-pVDZ\>\"", ",", "8.57", ",", "7.15", ",", "7.11", ",", 
       "7.87", ",", "7.07"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<S\>\"", ",", "\"\<VWN5\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", "8.49", ",", "7.06", ",", "7.04", ",", 
       "7.77", ",", "6.97"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<S\>\"", ",", "\"\<VWN5\>\"", ",", 
       "\"\<aug-cc-pVQZ\>\"", ",", "8.48", ",", "7.04", ",", "7.02", ",", 
       "7.75"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<S\>\"", ",", "\"\<MFL20\>\"", ",", 
       "\"\<aug-cc-pVDZ\>\"", ",", "9.12", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<S\>\"", ",", "\"\<MFL20\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", "9.04", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<S\>\"", ",", "\"\<MFL20\>\"", ",", 
       "\"\<aug-cc-pVQZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<\>\"", ",", 
       "\"\<aug-cc-pVDZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<\>\"", ",", 
       "\"\<aug-cc-pVQZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<VWN5\>\"", ",", 
       "\"\<aug-cc-pVDZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<VWN5\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<VWN5\>\"", ",", 
       "\"\<aug-cc-pVQZ\>\"", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<MFL20\>\"", ",", 
       "\"\<aug-cc-pVDZ\>\"", ",", ",", ",", ",", ",", "8.12"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<MFL20\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<GOK\>\"", ",", "\"\<MFL20\>\"", ",", "\"\<MFL20\>\"", ",", 
       "\"\<aug-cc-pVQZ\>\"", ",", ",", ",", ",", ","}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MOM\>\"", ",", "\"\<S\>\"", ",", "\"\<PW92\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", "6.97"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MOM\>\"", ",", "\"\<PBE\>\"", ",", "\"\<PBE\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", "6.98"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MOM\>\"", ",", "\"\<SCAN\>\"", ",", "\"\<SCAN\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", "7.11"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<MOM\>\"", ",", "\"\<PBE0\>\"", ",", "\"\<PBE0\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", "7.23"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<FCI\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
       "\"\<aug-cc-pVTZ\>\"", ",", "7.15"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<FCI\>\"", ",", "\"\<\>\"", ",", "\"\<aug-cc-pVQZ\>\"", ",", 
       "7.11"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"\"\<TBE\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "7.06"}], 
      "}"}]}], "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
       "\"\<Method\>\"", ",", "\"\<Exchange\>\"", ",", "\"\<Correlation\>\"", 
        ",", "\"\<Basis\>\"", ",", "\[IndentingNewLine]", "\"\<w=0\>\"", ",", 
        "\"\<w=1/2\>\"", ",", "\"\<LIM\>\"", ",", "\"\<GIC-LIM\>\"", ",", 
        "\"\<MOM\>\""}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.793967714991887*^9, 3.793967740323563*^9}, {
   3.793967833898061*^9, 3.793968037124404*^9}, {3.793968081557967*^9, 
   3.7939681295767403`*^9}, {3.7939684544461308`*^9, 3.793968497522215*^9}, {
   3.794287037704361*^9, 3.794287052483135*^9}, {3.7942870851091747`*^9, 
   3.794287096654664*^9}, {3.794287149166671*^9, 3.794287378978908*^9}, {
   3.794287439074847*^9, 3.794287475580206*^9}, {3.794287532747241*^9, 
   3.7942875939158363`*^9}, {3.794287650465475*^9, 3.794287673042836*^9}, {
   3.794287711792424*^9, 3.79428774170557*^9}, {3.794287772712161*^9, 
   3.794287886441332*^9}, {3.794287958916027*^9, 3.7942880209197493`*^9}, {
   3.7942881334358807`*^9, 3.794288283095339*^9}, {3.794288323481475*^9, 
   3.794288325787307*^9}, {3.794288455852805*^9, 3.79428849326499*^9}, {
   3.794289134525687*^9, 3.794289140733912*^9}, {3.794289314728262*^9, 
   3.7942893314372063`*^9}, {3.794289436643463*^9, 3.7942894646982737`*^9}, {
   3.79428979244737*^9, 3.7942899499774113`*^9}, {3.794290076113633*^9, 
   3.794290265724866*^9}, {3.7942902979442387`*^9, 3.794290311629928*^9}, {
   3.794290359748296*^9, 3.794290371661384*^9}, {3.794290424454526*^9, 
   3.794290496855555*^9}, {3.79429059482502*^9, 3.794290686384737*^9}, {
   3.79429072438013*^9, 3.794290880741972*^9}, {3.794290911378435*^9, 
   3.794290981196474*^9}, {3.794291053253768*^9, 3.794291228857566*^9}, {
   3.794291283814272*^9, 3.794291381995516*^9}, {3.794291502115584*^9, 
   3.7942915382957573`*^9}, {3.7942918362035103`*^9, 3.794291880497139*^9}, {
   3.794291911186822*^9, 3.794292089846367*^9}, {3.7942922055296793`*^9, 
   3.7942923384862833`*^9}, 3.794292434928871*^9, 3.7942924732711887`*^9, {
   3.794292555116528*^9, 3.7942925738882017`*^9}, {3.794292627812543*^9, 
   3.7942926598026867`*^9}, {3.794292696806446*^9, 3.794292698490055*^9}, {
   3.794292736624587*^9, 3.794292755300973*^9}, 3.79429297766226*^9, {
   3.79430045905509*^9, 3.794300475745638*^9}, 3.794300827506579*^9, {
   3.794300872401041*^9, 3.794300902723946*^9}, {3.794300937549226*^9, 
   3.794300937757593*^9}, {3.7943014041051826`*^9, 3.7943014070528803`*^9}, {
   3.79430226337249*^9, 3.7943022816895638`*^9}, {3.794304457756937*^9, 
   3.79430446005523*^9}, {3.794305247109007*^9, 3.794305297597101*^9}, {
   3.7943053329107933`*^9, 3.794305337964561*^9}, {3.7943054269531937`*^9, 
   3.794305434868257*^9}, {3.794305482524103*^9, 3.794305578933655*^9}, {
   3.7943056169403753`*^9, 3.794305661937545*^9}, {3.794305750537736*^9, 
   3.794305779962576*^9}, {3.794306143928597*^9, 3.7943061878917007`*^9}, {
   3.794311744796093*^9, 3.794311775670496*^9}, {3.794311985784021*^9, 
   3.7943121572990103`*^9}, {3.794312209090536*^9, 3.794312211098055*^9}, {
   3.794312266141201*^9, 3.794312283994948*^9}, {3.794312323324511*^9, 
   3.794312399471361*^9}, {3.7943125759292994`*^9, 3.794312580953442*^9}, {
   3.794323987120367*^9, 3.794323987782958*^9}, {3.7944216252914762`*^9, 
   3.794421654028141*^9}, {3.794421913399478*^9, 3.794421918414283*^9}, {
   3.794422013772017*^9, 3.794422015596827*^9}, {3.794422101901215*^9, 
   3.794422103117737*^9}, {3.7944221339716387`*^9, 3.794422150023026*^9}, 
   3.794500375768059*^9, {3.794713269706293*^9, 3.794713271304068*^9}},
 CellLabel->
  "In[126]:=",ExpressionUUID->"74a386fd-d786-4f8e-ac35-d0ff9ba081f6"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {"\<\"Method\"\>", "\<\"Exchange\"\>", "\<\"Correlation\"\>", \
"\<\"Basis\"\>", "\<\"w=0\"\>", "\<\"w=1/2\"\>", "\<\"LIM\"\>", \
"\<\"GIC-LIM\"\>", "\<\"MOM\"\>"},
    {"\<\"GOK\"\>", "\<\"HF\"\>", "\<\"\"\>", "\<\"aug-cc-pVDZ\"\>", "17.25`",
      "8.23`", "14.`", "8.29`", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"HF\"\>", "\<\"\"\>", "\<\"aug-cc-pVTZ\"\>", "17.04`",
      "8.17`", "13.91`", "8.22`", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"HF\"\>", "\<\"\"\>", "\<\"aug-cc-pVQZ\"\>", "26.17`",
      "8.15`", "13.9`", "8.2`", "\<\"\"\>"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"HF\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVDZ\"\>", 
     "Null", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"HF\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVTZ\"\>", 
     "Null", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"HF\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVQZ\"\>", 
     "Null", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"HF\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVDZ\"\>", 
     "16.2`", "8.69`", "18.79`", "12.89`", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"HF\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVTZ\"\>", 
     "Null", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"HF\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVQZ\"\>", 
     "Null", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"S\"\>", "\<\"\"\>", "\<\"aug-cc-pVDZ\"\>", "Null", 
     "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"S\"\>", "\<\"\"\>", "\<\"aug-cc-pVTZ\"\>", "Null", 
     "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"S\"\>", "\<\"\"\>", "\<\"aug-cc-pVQZ\"\>", "Null", 
     "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"S\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVDZ\"\>", 
     "8.57`", "7.15`", "7.11`", "7.87`", "7.07`"},
    {"\<\"GOK\"\>", "\<\"S\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVTZ\"\>", 
     "8.49`", "7.06`", "7.04`", "7.77`", "6.97`"},
    {"\<\"GOK\"\>", "\<\"S\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVQZ\"\>", 
     "8.48`", "7.04`", "7.02`", "7.75`", "\<\"\"\>"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"S\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVDZ\"\>", 
     "9.12`", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"S\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVTZ\"\>", 
     "9.04`", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"S\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVQZ\"\>", 
     "Null", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"MFL20\"\>", "\<\"\"\>", "\<\"aug-cc-pVDZ\"\>", 
     "Null", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"MFL20\"\>", "\<\"\"\>", "\<\"aug-cc-pVTZ\"\>", 
     "Null", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"MFL20\"\>", "\<\"\"\>", "\<\"aug-cc-pVQZ\"\>", 
     "Null", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"MFL20\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVDZ\"\>", 
     "Null", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"MFL20\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVTZ\"\>", 
     "Null", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"MFL20\"\>", "\<\"VWN5\"\>", "\<\"aug-cc-pVQZ\"\>", 
     "Null", "Null", "Null", "Null", "\<\"\"\>"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"GOK\"\>", "\<\"MFL20\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVDZ\"\>", 
     "Null", "Null", "Null", "Null", "8.12`"},
    {"\<\"GOK\"\>", "\<\"MFL20\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVTZ\"\>", 
     "Null", "Null", "Null", "Null", "Null"},
    {"\<\"GOK\"\>", "\<\"MFL20\"\>", "\<\"MFL20\"\>", "\<\"aug-cc-pVQZ\"\>", 
     "Null", "Null", "Null", "Null", "Null"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"MOM\"\>", "\<\"S\"\>", "\<\"PW92\"\>", "\<\"aug-cc-pVTZ\"\>", 
     "6.97`", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"MOM\"\>", "\<\"PBE\"\>", "\<\"PBE\"\>", "\<\"aug-cc-pVTZ\"\>", 
     "6.98`", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"MOM\"\>", "\<\"SCAN\"\>", "\<\"SCAN\"\>", "\<\"aug-cc-pVTZ\"\>", 
     "7.11`", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"MOM\"\>", "\<\"PBE0\"\>", "\<\"PBE0\"\>", "\<\"aug-cc-pVTZ\"\>", 
     "7.23`", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"FCI\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"aug-cc-pVTZ\"\>", 
     "7.15`", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", \
"\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"FCI\"\>", "\<\"\"\>", "\<\"aug-cc-pVQZ\"\>", 
     "7.11`", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"TBE\"\>", "\<\"\"\>", "\<\"\"\>", 
     "7.06`", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  TableForm[{{"GOK", "HF", "", "aug-cc-pVDZ", 17.25, 8.23, 14., 8.29}, {
    "GOK", "HF", "", "aug-cc-pVTZ", 17.04, 8.17, 13.91, 8.22}, {
    "GOK", "HF", "", "aug-cc-pVQZ", 26.17, 8.15, 13.9, 8.2}, {}, {
    "GOK", "HF", "VWN5", "aug-cc-pVDZ", Null, Null, Null, Null}, {
    "GOK", "HF", "VWN5", "aug-cc-pVTZ", Null, Null, Null, Null}, {
    "GOK", "HF", "VWN5", "aug-cc-pVQZ", Null, Null, Null, Null}, {}, {
    "GOK", "HF", "MFL20", "aug-cc-pVDZ", 16.2, 8.69, 18.79, 12.89}, {
    "GOK", "HF", "MFL20", "aug-cc-pVTZ", Null, Null, Null, Null}, {
    "GOK", "HF", "MFL20", "aug-cc-pVQZ", Null, Null, Null, Null}, {}, {
    "GOK", "S", "", "aug-cc-pVDZ", Null, Null, Null, Null}, {
    "GOK", "S", "", "aug-cc-pVTZ", Null, Null, Null, Null}, {
    "GOK", "S", "", "aug-cc-pVQZ", Null, Null, Null, Null}, {}, {
    "GOK", "S", "VWN5", "aug-cc-pVDZ", 8.57, 7.15, 7.11, 7.87, 7.07}, {
    "GOK", "S", "VWN5", "aug-cc-pVTZ", 8.49, 7.06, 7.04, 7.77, 6.97}, {
    "GOK", "S", "VWN5", "aug-cc-pVQZ", 8.48, 7.04, 7.02, 7.75}, {}, {
    "GOK", "S", "MFL20", "aug-cc-pVDZ", 9.12, Null, Null, Null}, {
    "GOK", "S", "MFL20", "aug-cc-pVTZ", 9.04, Null, Null, Null}, {
    "GOK", "S", "MFL20", "aug-cc-pVQZ", Null, Null, Null, Null}, {}, {
    "GOK", "MFL20", "", "aug-cc-pVDZ", Null, Null, Null, Null}, {
    "GOK", "MFL20", "", "aug-cc-pVTZ", Null, Null, Null, Null}, {
    "GOK", "MFL20", "", "aug-cc-pVQZ", Null, Null, Null, Null}, {}, {
    "GOK", "MFL20", "VWN5", "aug-cc-pVDZ", Null, Null, Null, Null}, {
    "GOK", "MFL20", "VWN5", "aug-cc-pVTZ", Null, Null, Null, Null}, {
    "GOK", "MFL20", "VWN5", "aug-cc-pVQZ", Null, Null, Null, Null}, {}, {
    "GOK", "MFL20", "MFL20", "aug-cc-pVDZ", Null, Null, Null, Null, 8.12}, {
    "GOK", "MFL20", "MFL20", "aug-cc-pVTZ", Null, Null, Null, Null, Null}, {
    "GOK", "MFL20", "MFL20", "aug-cc-pVQZ", Null, Null, Null, Null, 
     Null}, {}, {"MOM", "S", "PW92", "aug-cc-pVTZ", 6.97}, {
    "MOM", "PBE", "PBE", "aug-cc-pVTZ", 6.98}, {
    "MOM", "SCAN", "SCAN", "aug-cc-pVTZ", 7.11}, {
    "MOM", "PBE0", "PBE0", "aug-cc-pVTZ", 7.23}, {
    "FCI", "", "", "aug-cc-pVTZ", 7.15}, {}, {
    "FCI", "", "aug-cc-pVQZ", 7.11}, {"TBE", "", "", 7.06}}, 
   TableHeadings -> {
    None, {"Method", "Exchange", "Correlation", "Basis", "w=0", "w=1/2", 
      "LIM", "GIC-LIM", "MOM"}}]]], "Output",
 CellChangeTimes->{{3.794291533685317*^9, 3.7942915387480583`*^9}, {
   3.794291947029811*^9, 3.7942919764662943`*^9}, {3.794292034208982*^9, 
   3.794292052742679*^9}, 3.794292092661478*^9, 3.794292190721507*^9, 
   3.79429223288247*^9, 3.7942923390105257`*^9, 3.794292473903322*^9, 
   3.794292574739512*^9, 3.7942926605158997`*^9, {3.7942927566004257`*^9, 
   3.794292765338859*^9}, 3.7943004344030247`*^9, 3.79430047730258*^9, 
   3.794300908006627*^9, 3.7943009384350977`*^9, 3.79430140805236*^9, 
   3.794302282375531*^9, {3.794304452759013*^9, 3.7943044603815813`*^9}, 
   3.794305595645317*^9, {3.794305633372694*^9, 3.794305662903891*^9}, 
   3.794305780750046*^9, 3.7943061892638197`*^9, 3.7943120409637623`*^9, 
   3.794312157792042*^9, 3.794312284730177*^9, {3.794312374746613*^9, 
   3.7943124003010397`*^9}, 3.794323988164987*^9, 3.794421654590103*^9, {
   3.794422075031664*^9, 3.794422103522256*^9}, {3.7944221417575817`*^9, 
   3.7944221502688704`*^9}, 3.7947132734220667`*^9},
 CellLabel->
  "Out[126]//TableForm=",ExpressionUUID->"d7d06b61-0933-4088-93bd-\
8e0fba5dd977"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["HNO", "Section",
 CellChangeTimes->{{3.794473303410058*^9, 
  3.7944733037307253`*^9}},ExpressionUUID->"c824cb5c-4a52-46d1-a35a-\
851caf0c9277"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SizeLegend", "=", "16"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SizeLabel", "=", "16"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OptionsPlot", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"PlotTheme", "\[Rule]", "\"\<Detailed\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"BaseStyle", "\[Rule]", "16"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Thickness", "[", "0.01", "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"InterpolationOrder", "\[Rule]", "2"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Joined", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"PlotMarkers", "\[Rule]", "\"\<OpenMarkers\>\""}], "*)"}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.794540683050015*^9, 3.7945407337659616`*^9}, {
  3.794540916706895*^9, 3.794540919301409*^9}, {3.7945409833608*^9, 
  3.794541016455935*^9}, {3.794541092492181*^9, 3.794541108916753*^9}, {
  3.794541142013291*^9, 3.7945411530351143`*^9}, {3.795255322861587*^9, 
  3.795255323794676*^9}, {3.795255359258039*^9, 3.795255381222674*^9}, {
  3.7953203692132607`*^9, 3.795320458538566*^9}},
 CellLabel->
  "In[352]:=",ExpressionUUID->"1977eb38-bd98-44a0-b57c-ac589cd31f23"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SVWN5", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/HNO2_aug-cc-pvtz_RS51_RVWN5.dat\>\"\
", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GIC", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/HNO_aug-cc-pvtz_RGIC_H.dat\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GICVWN5", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/HNO_aug-cc-pvtz_RGIC_RVWN5.dat\>\"\
", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GICMFL", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/HNO_aug-cc-pvtz_RGIC_RMFL20.dat\>\"\
", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"S51", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/HNO_aug_cc-pvdz_RS51_H.dat\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MFL", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/HNO_aug-cc-pvtz_RMFL20_H.dat\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MFLVWN5", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/HNO_aug-cc-pvtz_RMFL20_RVWN5.dat\>\
\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MFLMFL", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<~/Dropbox/Manuscripts/FarDFT/Data/HNO_aug-cc-pvdz_RMFL20_RMFL20.dat\>\
\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ExS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "4"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]S51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]S51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"S51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"S51", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "4.32"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "S51", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwSVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "SVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]SVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "SVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]SVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"SVWN5", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "4.32"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "SVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwGIC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GIC", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]GIC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GIC", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]GIC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GIC", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"GIC", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "4.32"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GIC", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwGICVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]GICVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]GICVWN5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"GICVWN5", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "4.32"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICVWN5", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EwGICMFL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICMFL", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]GICMFL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICMFL", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]\[CapitalOmega]GICMFL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"GICMFL", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "HaToeV"}], "-",
         "4.32"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "GICMFL", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FCI", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "4.32"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "2"}], ",", "4.32"}], "}"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.794501066968334*^9, 3.794501074657475*^9}, {
   3.794503735604389*^9, 3.794503791366263*^9}, {3.79451020762436*^9, 
   3.79451020988175*^9}, {3.794540806783524*^9, 3.794540851124797*^9}, {
   3.7945410397824907`*^9, 3.794541083882888*^9}, {3.7945411227990217`*^9, 
   3.7945411280593863`*^9}, {3.794541165095499*^9, 3.794541166622898*^9}, {
   3.7945472498903913`*^9, 3.7945473807177343`*^9}, {3.7945474272687597`*^9, 
   3.794547461744211*^9}, {3.794900348058032*^9, 3.794900368804553*^9}, {
   3.794900410151533*^9, 3.794900421131607*^9}, {3.794900739402335*^9, 
   3.794900744670704*^9}, {3.79491627348487*^9, 3.7949163563936033`*^9}, {
   3.794916586215969*^9, 3.794916587482777*^9}, {3.794917607064766*^9, 
   3.7949176135972347`*^9}, {3.7949301846680803`*^9, 3.794930195844509*^9}, {
   3.794930417999261*^9, 3.7949304697676907`*^9}, {3.794931503320519*^9, 
   3.794931511816743*^9}, {3.7949316100635023`*^9, 3.794931620263546*^9}, {
   3.794972026273691*^9, 3.794972032798369*^9}, {3.794972178387083*^9, 
   3.794972186081249*^9}, {3.794977487871182*^9, 3.794977515384416*^9}, {
   3.795073823166991*^9, 3.7950738601496477`*^9}, {3.795100458365831*^9, 
   3.795100463907539*^9}, {3.795228154043581*^9, 3.795228276884901*^9}, {
   3.795228422474807*^9, 3.795228459618166*^9}, {3.795228511688449*^9, 
   3.795228518616336*^9}, {3.795229653887946*^9, 3.7952296564818773`*^9}, {
   3.795232846649873*^9, 3.7952328574907637`*^9}, {3.79536882958051*^9, 
   3.795368829774124*^9}, {3.795374049353464*^9, 3.795374049450693*^9}, {
   3.795374096510635*^9, 3.795374097318431*^9}, {3.795374155709004*^9, 
   3.795374190654347*^9}, {3.795517714005623*^9, 3.795517728284631*^9}, {
   3.7955178834983053`*^9, 3.795517918231804*^9}, {3.795517951630369*^9, 
   3.795517960785428*^9}, 3.795518030822501*^9},
 CellLabel->
  "In[355]:=",ExpressionUUID->"0f03b54b-50d6-4328-8dde-389d9edd0376"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[CapitalDelta]Ew", "[", "tab_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"tab", "\[LeftDoubleBracket]", 
       RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
      RowBox[{
       RowBox[{"tab", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"tab", "\[LeftDoubleBracket]", 
           RowBox[{
            RowBox[{"Length", "[", "tab", "]"}], ",", "2"}], 
           "\[RightDoubleBracket]"}], "-", 
          RowBox[{"tab", "\[LeftDoubleBracket]", 
           RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}], ")"}], 
        RowBox[{"tab", "\[LeftDoubleBracket]", 
         RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}]}], "-", 
       RowBox[{"tab", "\[LeftDoubleBracket]", 
        RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", 
      RowBox[{"Length", "[", "tab", "]"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.795254038206369*^9, 3.795254131704221*^9}, {
  3.795254177404931*^9, 3.7952541779313993`*^9}},
 CellLabel->
  "In[380]:=",ExpressionUUID->"f9acf0a4-3da8-429b-a594-2c21c54c53a9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"\[CapitalDelta]Ew", "[", "EwS51", "]"}], 
    RowBox[{"(*", 
     RowBox[{",", 
      RowBox[{"\[CapitalDelta]Ew", "[", "EwGIC", "]"}], ",", 
      RowBox[{"\[CapitalDelta]Ew", "[", "EwSVWN5", "]"}], ",", 
      RowBox[{"\[CapitalDelta]Ew", "[", "EwGICVWN5", "]"}], ",", 
      RowBox[{"\[CapitalDelta]Ew", "[", "EwGICMFL", "]"}]}], "*)"}], 
    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", "OptionsPlot", 
   ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{$w$}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{Dev. from linearity (a.u.)}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{S}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{GIC-S}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{SVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{GIC-SVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<E^w_\\\\text{GIC-SeVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",\

 CellChangeTimes->{{3.79454995818198*^9, 3.794550056582102*^9}, {
   3.794550957011647*^9, 3.7945509784674997`*^9}, 3.794892333111104*^9, {
   3.79490037305298*^9, 3.7949003770798197`*^9}, {3.794916592518004*^9, 
   3.794916626048287*^9}, {3.794930476815817*^9, 3.794930480443349*^9}, {
   3.794931518527726*^9, 3.794931519392357*^9}, {3.79493354307712*^9, 
   3.794933553197998*^9}, {3.794972040069544*^9, 3.794972042552458*^9}, {
   3.7949721910558653`*^9, 3.794972192842806*^9}, {3.7949775204673853`*^9, 
   3.7949775312736483`*^9}, {3.794978381473041*^9, 3.7949783970796556`*^9}, {
   3.795073864198514*^9, 3.79507393069709*^9}, {3.795076973455983*^9, 
   3.795076974417272*^9}, {3.795100472598009*^9, 3.795100483237753*^9}, {
   3.795105886424511*^9, 3.795105957955182*^9}, 3.795105995644155*^9, {
   3.7951060547985277`*^9, 3.7951060607916527`*^9}, {3.7951060976578093`*^9, 
   3.795106098222701*^9}, {3.795106200441524*^9, 3.795106266273793*^9}, {
   3.795106502392468*^9, 3.795106503592857*^9}, {3.795107856815571*^9, 
   3.795107857226839*^9}, 3.795110695730279*^9, {3.79517649385334*^9, 
   3.795176494118764*^9}, {3.795176525807382*^9, 3.795176526243072*^9}, {
   3.7951768984943933`*^9, 3.795176905818042*^9}, {3.7951869594189787`*^9, 
   3.79518697430476*^9}, {3.795228294805068*^9, 3.79522836098522*^9}, {
   3.795228400831469*^9, 3.795228404849593*^9}, {3.795232682892654*^9, 
   3.7952326915498323`*^9}, {3.79525413503689*^9, 3.795254158789199*^9}, {
   3.795254198257225*^9, 3.795254278832089*^9}, {3.795254316094252*^9, 
   3.795254351986829*^9}, {3.795255345459456*^9, 3.7952553510781918`*^9}, {
   3.7952553953463383`*^9, 3.795255395811307*^9}, {3.7952554697561197`*^9, 
   3.795255481088748*^9}, {3.795255583992358*^9, 3.795255589634921*^9}, {
   3.795256413140295*^9, 3.795256417747985*^9}, {3.795256523506897*^9, 
   3.7952565636654053`*^9}, {3.795256672114045*^9, 3.795256687957172*^9}, {
   3.795333390250894*^9, 3.795333404579505*^9}, {3.795368859603147*^9, 
   3.795368873501582*^9}, {3.795374058196526*^9, 3.7953740775889397`*^9}, {
   3.795517927579389*^9, 3.7955179301681433`*^9}},
 CellLabel->
  "In[381]:=",ExpressionUUID->"c1b071fe-431f-4cdf-b065-c9836c7cb530"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.012833333333333334`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJxdm2lcjd/3/itD5kpkSEJIhTIVwiIyhCQkSUiUJM2TpNI8n8lcREWlCKVU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         "]]}}, {{
        Directive[
         PointSize[0.012833333333333334`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}}, {{
        Directive[
         PointSize[0.012833333333333334`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {}}, {{
        Directive[
         PointSize[0.012833333333333334`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {False, False}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, BaseStyle -> 16, 
     DisplayFunction :> Identity, Frame -> {{True, True}, {True, True}}, 
     FrameLabel -> {{
        FormBox[
         GraphicsBox[{
           Thickness[0.005697356426618049], 
           StyleBox[{
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
               0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGBQB2IQ/fc/ENT/s7/vGu84S1DGAcZ/05bbbTRbyuE/GPA6
nAEDTP6XfR+3ppcJwPmvwfoE4XwGEFggBOeLVE4qOXtE2CFGNULm3B4pB/VP
Ki9nnZRwgNmHzpfftWBf6jpJOP/DovUKZ18owPl782vezvyq7NCqwK56ZouM
w5PEhddM9NUclK89CmboUXCYMRMIKjUcyg9vc515VslBfvkLD737mg5T2luj
Ltuowfl/3r4+YLlYE84HO7dHH6KuRtXhcNvy8FObDCHu6ZOF88H+kEHwwe73
lIHzwf5VkXYo2Sr6+/Q6Q0h4fRN3UH3SPO/sKkOIP6xFHa4LfXI8v8zQYa2Q
Dl96nRCcLwzWLwDnQ8znhOufCQZf7WH2wfi1v60KzlkYOrSI17JmHvtvH63g
+DFZB+rePawOBWu6b2coGDrYlTjWno5hc3BsenR8xm8DOB/ib304v/r+j1vG
2QpwPtid/+QctnltsJhjyQoJ55myDr0R3f6MBswQf4rJOqCnLwAO2y8O
               
               "], CompressedData["
1:eJxTTMoPSmViYGAQB2IQPXsmEFgKOvQHl6hMf2/g8B8E7gs5+F+cGPOP2dAB
JD1TUhQizm/osDPYKuK/uwScX3P/xy3j1zJw/spvLyvOMCg6TJ/AX2V228Ah
PQ0IwpQcIsS3X2ToM4CYx6nsoP6Wd59BpoGDSOWkkrNLlB0K13TfzjAwcGhg
OdpvaK7iwMLZJZ98Tt/hRZb2t+l7VR089tfKWrjrOexwaHp0vELN4TlI/K82
nH98145etgsacP4jkIUOqg5+IH8kqzoIg+xpUXKoBrnXW9nhDBgoOHTbeO5K
S1J0iFGNkDlXI+fQqsCueuaLnMMOkD/TZR1Azk87Jg7nzwK5/6YInA8Lr+0g
frusAyw81T+pvJz1EsGHhS8A9seugw==
               "]}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQXbJV9PdpOxOHv/+BwF7egcdNtZSJy8ThQPe+JpPH
8g7eJ9htZ7MaO7iuObqcoULWITn2jhvzCiOH1DQgeCbjoP6Wd5/BT0M4v3BN
9+2MDwZwvr7WSuELIgYOa4R0+NL3yTm08Pqvn+Kq71B+eJvrzLcKDlMn8FeZ
rdZzcJ7QLJT2S9HB/5Z0TWKRnsNakPp7Sg6mNnuDpiXqOegqyn/J2abiYAwC
zYZwvkPTo+MzZhvB+epPmued9TJ2YOHskk8+p+Kw5P4+vjnJJg5zFinv/KOu
6vBpQ0D2rHQTh5lgoArRn23i8Ovt6wOWjxF8A5C7XdTg/DMg8EbT4fRhp7WZ
dsYOTxIXXjPx13G4LvTJ8XyZIZxfAPL/AwM4v8frFYuJoQEkHJ5oO2Tkf2g9
KaLvYA7yl6K2wwyQMyp1HP6A7F+sCbEnBygODhd1OH9Ke2vU5RgVOF/52qNg
hhglB/f9tbIWz7UdhCsnlZxdouDwA2TOYR1IeN+Tc6j9bVVwjkPPARS9/+ul
4fGxM9gq4n+7pMOXnbe6/roawvnRCo4fk+8g+ODwLjZyUP+k8nIWp5QDNyh9
SBk7yO9asC9VT9rhMyg8240dQt5e/jjjobSDbWXECtO7xg6tCuyqZ7bIOLzI
0v42/a2xw5d9H7emi8k6oKc3APoNG7E=
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQ/edb6YM5jMYOv96+PmD5WNUhQnz7RQY9IwcjYyC4
rOoQreD4MfmMocMW8x+HUk6pOnC7qZYyWSH4xVtFf5+uM4Dz9bVWCl8QMYDr
978lXZNYpOdw4WrYG/3fCH7Npw0B2VXqDiYgdZP1HE6fAQIdDYcp7a1Rl//o
OTwCO0TTwX1/razFcn2H9DQQ0HI42LY8/FSTgYP41CucGU7aDl923ur662oI
58PciyJvauSw3aHp0fEbWg5PEhdeM6k3gtqj6VD/26rg3A0jh2O7dvSyfdBw
uA10ntFXIwffixNj/jFrOKCHDwCuDonO
               "]}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2MeqJEaeWXcTYSy33
AwCd3wI9
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJTIGYC4h6vVywmE20dZswEAkltBxj/eZb2t+l/tR3O
gMAcG4f1qk+a573Vdlhyfx/fnGAbB32tlcIXnmg7HGhbHn5KCMH/8630wZyL
1nA+j//6Kakd1nD9PhcnxvybbAU3H8aH2a8CVHbWytohISRIfQGntsMWvbzF
jDXWDuY2e4OmMcLcY+2QEnvHjXmHFpzvc4LddrYpgi8C8sgWTYf/IFBv7ZAM
Un9Dw+FJ4sJrJv7WDn4gex+rO+yvlbVIX2Ll0MILdGirCsR/xVYOM8FA2eEI
yH9OVg5782veztyqBLF3haXDA9d4x1mCChBzDptD3G+p6eDQ9Oj4jNXmDtMn
8FeZrdaE2DffHOI+US04H0znI/hzFinv/HNcC24ezL83pWsSjVgt4OERreD4
MfmMBTy8YHxYeL4A0bbm8PBH5xeu6b6d8cEMzjcxBoLFCH5fcInK9Pum8PgC
BUuqhCncfBgfZv8hUPgsMoW7D6Z/OyggfkD989kU7j+ZeXGapxXMHKa0t0Zd
/qMJia87Fg5v2nK7jaKl4OEL4+eD3HvA0qE/otufsUDaQeMt7z6Dl5YOX/Z9
3JouJgvnu685upzBQtbh+85bXX9FrSDxLi8PSU9eVg7ClZNKzi5RcCjZKvr7
tB+C/xQU/vo2EPc913Co/21VcK7DxiE9DQS0IOn5oA3cP5D0bgv3L3r+AQAY
cISo
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, {{{30.170299999999994`, 8.464060000000002}, {
              29.693799999999996`, 8.464060000000002}, {29.265599999999996`, 
              8.018749999999999}, {29.265599999999996`, 
              7.5421900000000015`}, {29.265599999999996`, 
              7.065629999999998}, {29.693799999999996`, 6.62031}, {
              30.154700000000005`, 6.62031}, {30.664100000000005`, 6.62031}, {
              31.107799999999994`, 7.050000000000001}, {31.107799999999994`, 
              7.5421900000000015`}, {31.107799999999994`, 
              8.018749999999999}, {30.664100000000005`, 8.464060000000002}, {
              30.170299999999994`, 8.464060000000002}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIIaxWZDYzFDMAOUz4BEnlU2MOchqSFVPLbcRYyYA
kW8CJQ==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJdIGYC4je8+wxmOrk68Pqvn5IqYeRwQtNq0mlxVwf1
t0AJSyOHnbe6/qb+d3G4KV2TaORq5MCyeJIV41MEvyJihenZxQj+lG9s8TNi
XBz+g4EhxDx9F4ct5j8OpcwydLiYH89+bqezQ4T49osMfQYOJVtFf5+uc3b4
vCEgexa7gcOBWlmL9BRnhwcgBQv04Pw5i5R3/mnXgfMDboEs1IbYc93JwecE
u+1sUy04/9fb1wcsmzXh6v+A+IsRfOHKSSVnlyjA+TuCrSL+u8s6pKcBQZyz
w5d9H7emX5Nx6PZ6xWIi6ezQqsCuemaLjIND06PjM3Y7OYiA9Lcg+G/acruN
Zks5rOm+ncHQ7uxwBgww+TD/w/hg6g1uvsW1o7kmO1zg5sP4MPvB8RflAnef
yCfH82miLnD3g+OP3wXuPxgf5n8YHxY+YP9wu8L5YPdKujr4g8I7SBuuHhb+
MH4LKAE91YXzrwsBHXLMAKJf08Wh9rdVwTkLQwcFx4/JZ+Yi+OD0cgXB7wGF
908Xh2iQQhlDhwf7+OYYa7nCzYOl18eJC6+Z3EfwYekXANIuUHo=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYC4hUvPPT+J7o6PM/S/jZdVsvhpnRNotFaBH+e
jc6VWf8Q/JKtor9Ps7k56GutFL7wRBPOnzGBv8rstDqcL1w5qeTsEgU4f0ew
VcR/d1kHN9VSplkMbg5f9n3cmn5NxsGh6dHxGbtdHVoV2FXPbJFxiBTffpEh
ztVBBKS/BcF/05bbbTRbyoHHf/2U1A+uDjGqETLn9khB3Kvq5nAGDKQcLK4d
zTWJQPDrflsVnGvAzf8Tk3v0X5U73HwYH2Z/j9crFhNBd7j7FBw/Jp/Z6uaQ
mgYEz2QcZoLARqh/xGThfJj/YfxNenmLGWXU4HzfixNj/jFrOPwC2cfk7nD+
atgb/dnQ8ExD8CsiVpieXYzgg6xNO+fukBASpL5AU9NhTfftDIb37g4GoPhQ
0XC4mB/Pfk7SA87fALJXx8PB5wS77eyv2g7eIFrUw4GFs0s+WU/HIaREZfr/
D+4OTxIXXjPx13E4UCtrkX4Gwd95q+tvaj+CD7bfzx0aftqQ+FN2dzC32Rs0
jVEb7r85i5R3/nmuAefD7AObN98Nbt6XDQHZs8zdHHxA4bFYGxK+Z10dAm6B
IlbbAZY+Yeajp1cAN4o8ZQ==
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{
              1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKK3ypHne2SwvhyeJC6+Z+Os4XMqPZz/n6Ann76+V
tUgv8XCo/W1VcI5DE85/U7xV9Le3Cpwf8PbyxxkL5R0SDl/WTtX0dNgZbBXx
v13S4bim1aTT+l5wfo/XKxaTTG84vx5kroePg/OEZqE0LQU4H2z/exU4f8ZM
ILDUhNCN3nD3obtff8KCH4ZuXg7iU69wZjhpQ9zD6A3n2zc9Oj6j29shM/9D
60kRDTj/gWu846yDynA+2D1SCg4b9PIWM6p4O/wHgfnSEHvqveB8sP+2e8L5
IOfNNPR0KD28zXXmXQU4/1GE+PaLCapw/t9vpQ/mGGo6GIPAZE+4+9DdDwDa
5r0W
              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJtIAaxQYAJSjNCxZiR+PjEcakhVT2p5gxm9ww2u4ix
FwCf5QKP
              "], CompressedData["
1:eJx1lFtIFGEUx900zQeNaG3L1tuDrXtJbTVDEzrWQxI7l1WxTUxT8ZKmPiiE
pgipBZagZmVWYhhYD6mQ5gXbDBGz9VrigxBBWdoNVEwNTZsZOWcg8IOP4fcx
c875/78zxyc5NyrV3s7OTiHsWGHvELahqnH1iNUEs5n65bseOrjQ/16f6swQ
+86UNozEybwenz2wkcxAgO7p3vEZLXFd1e7CEJuGeG9BTf7IY2/irugwy+Zp
D3BoqglTnGdgybrQkT6lhgFtWI1NxUC5t5PvcLsaPlhdHwT1mEApfl8m889r
2TeM991BuRgxllbMwLC03AGufhqsK5W5dtkxsa5XZun93zKrbk86Z+hYiPe1
qEd73eFhuGGyvoWl+MiY/+aZ7w7B51iqr80/p0mhZKl+74iFlGEXlvQho37k
kPCXUXeSNMSDPV2VjuN+cL357FtjLQtv+k8+u5igg8PifbhyxO1iviKZe6cr
/qYOcuDZPBfp/8qPOCN3vnwo5hAx5kfG+iQ9rzmqH+OjPkm/J0f6kdEfMe3m
N478/J/T04TlyhMXWJ4cHdFsz/fEVclTfGTML/VfAk/1SX6F81R/bqLT6IFQ
nvQho35k9B8Z/RfbkSniyd8VoX1M3TJL+eZlPi7Y8dXNTP4jo//IqOez0mPo
S7SZ9M51ttrPxsj8UezvNJm7xfvK256lR58cHxn9kuJXmckv6T5yzOQX57kv
k8kyk1/I6BeyuiFBawvUEAf4eC1ditVt+RVohpmkR1PBnAF2/WlMf/6OJ1ZF
8uv7W2WW7rOahzIXrrV2p2ErXgkPq79+9IWW6sGi6pywM/JwZbGNz4rTQnHL
i+SSPTwEBwkrTw9LwnH9GEfxpPNTMkvzY4Ulzu9wW7NZWconzY96lvLh/yfl
K9QSOzhXeKX4G+CEOE/WGIp3WezXWwyYJqrjN5r0W/2uZYCfPliUZNQDzs9j
Yn8pZMZ5+Q8zxnGD
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIZIGYC4vbl4aeMngQ56GutFL5gYujQ7fWKxUQ2GM6/
ejTXpEEfwX/Du89gplmwQ3LsHTdmDgQ/Qnz7RYY+AzhfuHJSydklCnD+jmCr
iP/ushDzjIMdvuz7uDX9moxDcInK9P8CwQ6tCuyqZ7bIONzfxzfH+FGQgwhI
fwuC/6Ytt9totpTDExHZk0/dgx3OgAEm/wdb/AyfRASf8+eC9M1VuPnaVpNO
1z8IhpsP48Ps39pSc2HzRoT7xD0C/kj0I9zPAAI9CP/B+DD/w/hg62SMHCYs
+GH4rCnYwb4yYoWprZHDkcvaqZJh0PD8YejgrlrKNMsk2OHzhoDsWdcNHWDx
c13ok+P5ZQg+LD4Ahm3DYQ==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQfQYEdoQ4sHB2ySfr6TjE5B79t2l9iMOTxIXXTPx1
HCoiVpierQ5x8Lk4MebfYm2HCQt+GD5zC3EIuCVdk2ik7RBSojL9v0CIg7nN
3qBpjAj+8yztb9NltRze8O4zmGmG4AfIiWX5xiP4O291/U1NDnHQ11opfOGJ
Jpw/YwJ/ldlpdThfuHJSydklCnD+jmCriP/usg6LJlkx+iaEOHzZ93Fr+jUZ
BwXHj8lnbEMcWhXYVc9skXFY0307g4E/xEEEpL8FwX/TltttNFvKYcPDl1M3
lYQ4gMPhDCb/yGXtVMk+BP/a0VyThuW4+T/Y4mf48IbCzYfxYfY3BXrObbiH
cN8TEdmTT3cj3A+LD5j/YHyY/9HjCwBnBNR9
               "], {{82.15629999999999, 
               17.618800000000004`}, {81.6797, 17.618800000000004`}, {81.2672,
                17.206299999999995`}, {81.2672, 16.729699999999998`}, {
               81.2672, 16.2688}, {81.6797, 15.854700000000001`}, {82.1406, 
               15.854700000000001`}, {82.60159999999999, 
               15.854700000000001`}, {83.03129999999999, 16.2688}, {
               83.03129999999999, 16.729699999999998`}, {83.03129999999999, 
               17.173399999999997`}, {82.60159999999999, 
               17.618800000000004`}, {82.15629999999999, 
               17.618800000000004`}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4oJ49nOSB8Mc3rTldhvNlnIQ8wj4I/E/zOEM
GEg5yLx+ZCbFEA7ni3xyPJ8miODH5B79t0keN1/B8WPymdRwuPkwvkjlpJKz
LTIQ823CHVoV2FXPbJFxmAkCkuEOX/Z93Jp+TcahKdBzboNYuIP7mqPLGSxk
4XxhkP4lCnC+x/5aWYvjanC+/PIXHnr1Wg5vefcZzLwX5vAkceE1E38dB1fV
UqZZOQj+mu7bGQzuCD7YfsMwB11F+S85YjoOiyZZMfrKhDn8ePv6gGWzNkT9
+VCHzeY/DqVkacL5LJxd8sl6OhD/HQ2Fm2ejc2XWs4mhDj4XJ8b8W6ztEFKi
Mv1/TKhDwC3pmkQjbQcJUHirhzqY2+wNmsaI4D/P0v42XVYLEo4+CL4QKPxL
EfzadduS6itDHfS1VgpfeKIJ58+YwF9ldlodzoeFF4y/I9gq4r87NDzLQuHh
/URE9uTT4FB4fBy5rJ0qqRYKjy8YHxafAXJiWb7ZoQ4xqhEy5/ZIOXD8XJC+
uS0UHv9ty8NPGS1B8Le21FzYfBDB7/F6xWJyF6E/DQSUEOkRxofZ7waKvy8I
90WIb7/IcAnhflh8wPwH48P8D+ObgcI7UR3OP75rRy/bBQ2I/4TCHE4cdlqb
GacFSZ8BCP4SUHqYguDD8s+cRco7/xzXgPMz8j+0ngxRc0DPXwAXsIWW
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQ7f6wSmSdfqTD3/9AYC/vcEHp9s86pUiHA937mkwe
yzsIf3I8n/YwwsF1zdHlDBWyDhHi2y8ynIpwSE0DgmcyDl7Vzfo+8xB86deP
zKRiEPxur1csJqoRDmuEdPjS98k5rH/4cuomjgiH8sPbXGe+VXAQApn/NdzB
eUKzUNovRYh578Id1oLU31NyaFsefsroTbiDrqL8l5xtKg5nQKAhAs6fsOCH
4bNjCD7HzwXpmz9FOLBwdsknn1NxMO90THhqEekwZ5Hyzj/qqg6BO+RaX1tG
OswEA1WHapF17g+tIh1+vX19wPIxgm+gtVL4gosanA+2942mw6cNAdmz3kc4
PElceM3EX8dha0vNhc21CD7Y/xEI/qJJVoy+OhEO+iDznmg7vOHdZzCTKcLB
3GZv0DRFbQcTYyBYH+7wB2T/Yk2Iu3rDHWZM4K8yW60O509pb426HKMC5ytf
exTMEKPk8GL7eubnc8IdhCsnlZxdouBwoFbWIn1HOCS878k5FMSzn5N8GO4A
it7/9dLw+NgZbBXxv13SoXbdtqT6QgRf3CPgj8R0BB/s7z0RDuqfVF7O4pRy
aAr0nNvwLMJBfteCfal60pDwZIx0CHl7+eOMh9IOc98vP+YtHunQqsCuemaL
jAPHGpmoFOlIhy/7Pm5NF5N1QE9vAGCtIKo=
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQvb9W1iL9QYTDr7evD1g+VnW4djTXpGF1hIORMRBc
VnUQ9wj4IzE5wmGL+Y9DKadUHZoCPec25CH4MblH/22yR/C7vV6xmKgi9HtV
N+v7vAt3uHA17I3+bwS/5tOGgOwqdYc0EPgU7nD6DBDoaDiAhGf9D3d4FCG+
/SKDpsOL7euZn4tEOKSDFWo5bHj4cuomhwgH8alXODOctB1q121Lqi9E8GHu
RZFfG+Gw3aHp0fEbWg4VEStMz+6PcJjS3hp1+Y+mw/19fHOMr0U4HNu1o5ft
g4bDd7b4GT53Ixx8L06M+ces4YAePgBnfoz2
               "]}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
               1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQbWIMBIujHB64xjvOYlRwWO/+sEpkXpTDm7bcbqPZ
Ug5XKl6qGT6IcjgDBph8H/NOx4S3CP55pds/6z4h+FOcu3Oec0c7xKhGyJzb
I+WQIBBhucUiGm4+jC9SOankbIuMg4T+XRU2QSh/iYxDfdaeksk/ohxaFdhV
z2yRcfge/Hjp7C9RDu5rji5nsJCF850nNAulaSnA+Reuhr3R/60K5/8Hgfla
DvlCzQdOnYxyeJK48JqJv47Dhrnvlx8LRvCfLJ19REEDwW+YCvTA/0gHnxPs
trO/aju4bPv898qNSIeaTxsCsq20HTocE55eWASVN9WC8w20VgpfUNFwiEix
vu+/N9LhVfFW0d+v1SHhcyrSYc4i5Z1/nms4yEQBFdyPdEhPAwEtBxdgcP1+
GQl3L9g+CYT7e6bnCTVXIPhg9y6Icgi8JV2TWKTpAItPFs4u+eQ+NQcPHibt
djtEeGQAg1NiS6TDiV07etkMVB0kWML4dKsiIfG/URnOLz+8zXXmWwU4PxXk
vGcyEPetjHRQ/6TychanlMOflR8v+f5C8MHhzRMF518/BxSRjXKYMRMILKUc
FrgCPaQS5VBx/8ct424pB/T0BwATWjRM
               "], {{106.55000000000001`, 
               8.670309999999999}, {106.089, 8.018749999999999}, {
               105.08799999999997`, 7.4156299999999975`}, {
               104.46699999999997`, 7.4156299999999975`}, {103.831, 
               7.4156299999999975`}, {103.27499999999998`, 
               8.003129999999999}, {103.27499999999998`, 8.687499999999998}, {
               103.27499999999998`, 9.274999999999999}, {103.594, 
               9.831249999999999}, {104.07, 10.132799999999998`}, {
               104.46699999999997`, 10.3719}, {105.34199999999998`, 
               10.593800000000002`}, {106.55000000000001`, 
               10.768799999999999`}, {106.55000000000001`, 
               8.670309999999999}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYCYgn9uypshdEOz7O0v02X1XKwue/fO30agj/n
/fJj3vsRfPY1MlEph6Md9LVWCl94ognnz5jAX2V2Wh3OF66cVHJ2iQKcvyPY
KuK/u6zDdrnW14EHoh2+7Pu4Nf2ajMPz3ys/Xpob7dCqwK56ZouMw5MLSrd/
5kU7iID0tyD4b9pyu41mSzlcqXipZrgj2iFGNULm3B4phy0nyvbNvxTtcAYM
pBwy9pRMlniD4K/4eMk3iSEGJ18X6P3G2hi4+TA+zP7aLKCBHjFw99WIrHN/
KBXjkJoGBM9kHFy2ff57RSIG4h8xWTgf5n8Yf5Ne3mJGGTU43/fixJh/zBoO
W4HcCscYh/NXw97oz4aGZzGCH7ADGGATEXyQtPXyGIeEkCD1BZqaDgUZE9/W
bI9xMADFh4qGw/oioMAZBB8UHCzXYhx8TrDbzv6q7dDumPD0wqkYBxbOLvlk
PR2Hnul5Qs07YhyeJC68ZuKv4zDhbY296TIE3/1hlci6dgQfbH86LPy0HXKF
mg+cCoxxMLfZGzSNURvuvzmLlHf+ea4B58PsA5vHjzBvw1xgArsd7eADCo/F
2g5fgMHxclm0Q8At6ZpEI20HWPqEmY+eXgGUqEEc
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQXf5SzZBjTawDC2eXfLKejkONyDr3h4tiHZ4kLrxm
4q/j8OSC0u2febEOPhcnxvxbrO2gClQtYxXrEHBLuibRSNvBJ0kgwpIl1sHc
Zm/QNEYE/3mW9rfpsloOuULNB05pIvjngcbVBSH4Nvf9e6eHxTroa60UvvBE
E86fMYG/yuy0OpwvXDmp5OwSBTh/R7BVxH93WYc3gTvkWoNjHb7s+7g1/ZqM
g4T+XRU2w1iHVgV21TNbZBzEWcL4dJliHURA+lsQ/Ddtud1Gs6UcZKJSrO+n
xzqcAQNM/oMqYIA0IvhLZh9R2DALN79nep5QM0Mc3HwYH2Z/jb1p3K6LCPcd
L9s3X2o9wv2w+ID5D8aH+R89vgCmxr2Z
               "], {{117.95599999999997`, 
               17.618800000000004`}, {117.47999999999998`, 
               17.618800000000004`}, {117.06699999999996`, 
               17.206299999999995`}, {117.06699999999996`, 
               16.729699999999998`}, {117.06699999999996`, 16.2688}, {
               117.47999999999998`, 15.854700000000001`}, {
               117.94099999999999`, 15.854700000000001`}, {
               118.40199999999999`, 15.854700000000001`}, {
               118.83099999999997`, 16.2688}, {118.83099999999997`, 
               16.729699999999998`}, {118.83099999999997`, 
               17.173399999999997`}, {118.40199999999999`, 
               17.618800000000004`}, {117.95599999999997`, 
               17.618800000000004`}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
              0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
              3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4i9/r1S8LItzmD6Bv8qsW9MBxjcGgWQFOP++
a7zjLEEZh57peULNM+Ic1D+pvJzFKeXAH2G55cQzBH/C2xp7038Ivs19/97p
YvEOb9pyu42ipRxeqBlyrJGJdzgDBlIOundV2Bp94x1q7v+4Zawt57BdrvV1
oEO8w9//QGAvD7FfLd4hRjVC5lyMnEMIn+6mueLxDhUg9dxyDramcbs8WRD8
78GPl86+Ewfn24Pkz8Q59EZ0+zMGyMP5/LEB943MFeF8mP89eJi02/3i4Xz3
h1Ui68LjHcSnXuHMcNKGq//zrfTBHEEE32N/rayFuw6cP6W9NeryHF2HhqnO
3Tnn4xxMbfYGTTuo51CQMfFtzfU4h9vSNYlGqQYOojfPfQ8+Heew/IWH3v+J
Bg41IuvcH26Kc9DXWil8IcTAQeH2z7qsKXEOoOD4L2/gsL4IaEBJnAMLZ5d8
8jt9B5moFOv75XEONZ82BGT/0nMw7XRMeFoBVR+P4L8o3ir6O1sXzg+4BXKA
tsOMmUCgGefgc4LddraoFpy/2fzHoZQsRHqAhQcAuGf5gg==
              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ5IIaxWaBsBigfRjMjqWHGooZa6kkVp5Z7aO0vXOoB
MK4CWQ==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4uuLC2y53BMcOm08d6UpKTiAuNetExz4YwPu
G4UrOnCDFJhB5YWUHLiZtNvFdBMcHrjGO85aqOzA3jjVuZsnwWG7Q9Oj4z80
HPTvqrA1ciY4/Hr7+oBls6ZDccbEtzXsCQ5T2lujLv9B8Fk4u+ST/bTg/P8g
sF/LYbIESxgfb4KDuc3eoGmM2g63f9Zl7ZFIcEgICVJfwKntkL2nZLKEToLD
jJlAIIngP8/S/jb9r7aDLsj+r/EO+lorhS88weSLA43XfYTgf/l7peLlOdx8
3ySBCMuceLj5MD7Mfg8eYIDUxcPdJxOVYn1/eryDxLw4zdMftBx8QOqXxDs0
sBztN5yu5cC+Bqhic7xD9acNAdlVmg4g69QEExzS04BATREiL5/g8KYtt9vo
t6zD7CMKG4pUEhwMjIGgWMahO+f575XA8AcpT3OTdDi90HXbZ8UEB5HKSSVn
U0Qh8kDz5Hct2JfKJ+BwB+j9qb/jHQ5072syUeZyWABU/vcKgv9CzZBjzREE
/65/7/S8TfFQ93A7gLwntjDeoWR5yYZ//LwOU5yBNkxG8N8E7pBrrY53aBav
Zc1sY3bgj7DccqIvHhKf9kwOx8v2zZeaH+9gX+JYe3oOI9x8GB8cft8QfFh4
9EV0+zMasMH9zwACCwQc9p8Cerg7wUEGFL4G6g4fLwFjZEGCg88JdtvZoloO
XzVi+g+tTICHfzjQOWXbEOknGRgdW44g0g+MD4tfoOuEmuckwOMfnW/AAYyg
KQj+cW/zTsce3Hyw+1IQ5sP4MPvTgcnfvhDhPnB+qIflJy0HnU1z3y9vS3A4
vmtHL9sGJP5hp7WZdgg+2D4WLQeQsTNbExw26OUtZtyj6RDKp7tpbnOCw2bz
H4dSsjQd0PM7ACBFq34=
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4qWzjyhseJTo0BvR7c/4gcfBJG6XJ8++RAcG
EFAQcdg/X0r/7oZEhzMgoCPuEMqnu2nu4kSH1DQgeCbjoBHTf+jrDKj8HgWH
xQW2XNcnJzrwxwbcN1JXhvMvXA17o39bFc4/ddhpbWadBlz/fxDYr+Vgfd+/
d/qiRAeZeXGapy/oQNSvT3TIyP/QerJE32H5MW/zzr2JDjNBoNLAAeZ+YxC4
bOgwWYIljO9mooN9ZcQKU1sjh2ig8RpLEh0Oti0PP3XIwGHue6AJ/YkOLbz+
66cc1XfgB3rnfXWiQ+1vq4JzK3QcpucJNR/IS3Rw318ra9Gu5ZC9p2SyREai
QzNIvasGnA/zD4x/R1N2zf9iJUh4lSQ6xKhGyJyrkXNIn/i2xr4XaH/3viaT
wxIO10Eemp/oEPL28scZjSIQ9wD9lw4KTzYhuPuX31r+2NCZywE9fgA4EcIx

              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
               1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQbQwCs5McHrjGO85iVHAosOW6vnhGksObttxuo9lS
DsxhfLqbdiY5nAEDTL69adwuzwMIPqN2u9jNQwh+svV9/97zSQ4xqhEy5/ZI
OZxe6Lrt81OE+TC+SOWkkrMtMg7qhhxrZC5B+UtkHG6c+x78+GiSQ6sCu+qZ
LTIOU527c54fTnJwX3N0OYOFLJzvPKFZKE1LAc6/cDXsjf5vVTj/PwjM13K4
oHT7Z926JIcniQuvmfjrOBRnTHxbU4zgA1X/XhmL4EenAD3gmeTgc4LddvZX
bYfdJZMlWMySHGo+bQjIttJ2iN/lycMkDZU31YLzDbRWCl9Q0XA47m3e6aiR
5PCqeKvo79fqkPDRS3KYs0h555/nGg7LjwEVWCY5pKeBgJYDKLim2yHcC7Yv
DMGPfwr0QSuCD3bvzCSHwFvSNYlFmg6w+GTh7JJP7lNz2D9fSv9uBiI8zgOD
c6lyksOJXTt62QxUHZbOPqKwgQ0a/xuV4fzyw9tcZ75VgPNTQc57JgNxn1yS
g/onlZezOKUcpucJNR9wQ/DB4e2P4LM2AkUikhxmzAQCSymH7D1AD8UkOVTc
/3HLuFvKAT39AQA16Smc
               "], {{148.85, 8.670309999999999}, {
               148.38899999999998`, 8.018749999999999}, {147.388, 
               7.4156299999999975`}, {146.76699999999997`, 
               7.4156299999999975`}, {146.13099999999997`, 
               7.4156299999999975`}, {145.57500000000002`, 
               8.003129999999999}, {145.57500000000002`, 8.687499999999998}, {
               145.57500000000002`, 9.274999999999999}, {145.89399999999998`, 
               9.831249999999999}, {146.36999999999998`, 
               10.132799999999998`}, {146.76699999999997`, 10.3719}, {
               147.64200000000002`, 10.593800000000002`}, {148.85, 
               10.768799999999999`}, {148.85, 8.670309999999999}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, {{{153.57000000000002`, 8.464060000000002}, {
              153.09400000000002`, 8.464060000000002}, {152.66599999999997`, 
              8.018749999999999}, {152.66599999999997`, 
              7.5421900000000015`}, {152.66599999999997`, 
              7.065629999999998}, {153.09400000000002`, 6.62031}, {
              153.55499999999998`, 6.62031}, {154.06399999999996`, 6.62031}, {
              154.508, 7.050000000000001}, {154.508, 7.5421900000000015`}, {
              154.508, 8.018749999999999}, {154.06399999999996`, 
              8.464060000000002}, {153.57000000000002`, 8.464060000000002}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+AxobFxqkMWJYZNqPrXcQIl6
YtwAANeLAk0=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4huLC2y5ilMcWDi75JP1dBwiLLecKMtLcXiS
uPCaib+OQ+/0PKHmkBQHn4sTY/4t1nYwidvlyWOV4hBwS7om0Ujb4UTZvvlS
8ikO5jZ7g6YxIvjPs7S/TZfVcji10HXbZ0MEn+s60EI3BN/BFGigR4qDvtZK
4QtPNOH8GRP4q8xOq8P5Z0BgjhKcPxMEXio6fFh+zNvcMcUhNQ0I2BQdDO6q
sDWapjhU3/9xy9hbwQHIm+qsnuIgv2vBvtRzcg45z3+v/CiW4qD+SeXlrJey
Do4JTy8oMSP4V3yTBCI+JsP5YP88TnaIUY2QOTcHqv9WsoOJMRBclndYAgy+
65eTIfZlKzgc9zbvdLyQ7OC+5uhyhgxFOL/88DbXmWeV4HxYeB8ABdDpZHh4
f9WI6T+0MRke3nPfAz04PRke3gYca2SiapLh4Q3jw8IT7J9+BL84Y+LbmsUI
/gpgcHUuTYaHN4wPC28Y/46m7Jr/xUpwvvOEZqE0KwWHH8GPl85eAQ2PGjm4
e8Hh/0zGAcT9uifZYb2QDl/6Pym4f8HhySnlAHKO/VsEH6RcgyUFzu8BpTcJ
aHy/kYKkF7UUB5HKSSVnW2Tg8Q9zD4wPix+ddrGb59yB6QecQGTh6e1NW263
0WwpSHhlQM0/I+UAjF39u0h8sP0FCH4on+6mueW4+UtnH1HYMAthPowPcy8o
Om63pji0KrCrntki4wBKjt0lKQ5f9n3cmn5NxgGW/8DpxUIWzhcG6V+i4ICe
PwHOCJs/
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
              3}}}, {{{167.17, 8.464060000000002}, {166.694, 
              8.464060000000002}, {166.26599999999996`, 8.018749999999999}, {
              166.26599999999996`, 7.5421900000000015`}, {166.26599999999996`,
               7.065629999999998}, {166.694, 6.62031}, {167.15499999999997`, 
              6.62031}, {167.664, 6.62031}, {168.10799999999998`, 
              7.050000000000001}, {168.10799999999998`, 
              7.5421900000000015`}, {168.10799999999998`, 
              8.018749999999999}, {167.664, 8.464060000000002}, {167.17, 
              8.464060000000002}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYCYgOONTJRDqkOy28tf2zozOXwsy5rT0lyqsPB
7n1NJs6CDhPe1tibFqU6xKhGyJyLEXY4tdB12+fGVIeZIFAp5qAR03/o64JU
B5HKSSVnl8g4ZEwEatiY6tBt47krjUkJzjcyBoLLqnB+M6//+imuGg46m+a+
X74q1cF9f62sRbuWwxGFDUUZc1Mdan9bFZxboeOgZgh0YFeqw9Ms7W/T9+pD
9JemOhRvFf19ep+BA8z99pURK0xtjRyWzgaaYJbqYAy2z9BBq13s5rnoVAfv
E+y2s0sNHFYc8zbvzEx1OAMCOfoOXNcXF9iWpTrIzIvTPH1Bx0HpNjAEGlId
/oPAfi0Hg7sqbI2tqQ6nDjutzazTgPMvXA17o39bFc7njw24b6SuDNcPNn+P
gsNXUAAB3ZuaBgTPZBx6pucJNWdA5XXEHYC+P+YNdB8DCCiIwN3fG9Htz/iB
xwE9fgCoN7xk
              "]]}, {
             Thickness[0.005697356426618049]}, StripOnInput -> False]}, {
          ImageSize -> {175.51607471980074`, 21.12078704856787}, 
           BaselinePosition -> Scaled[0.31887090512778543`], 
           ImageSize -> {176., 22.}, PlotRange -> {{0., 175.52}, {0., 21.12}},
            AspectRatio -> Automatic}], TraditionalForm], None}, {
        FormBox[
         GraphicsBox[{
           Thickness[0.07194244604316546], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
              "], CompressedData["
1:eJxdlGtsS2EYx9tuU7UL66zoWm21p7edGDoyMvYgzBaxZm6VuGzoOopJfCBG
5j5sWOKyYmbuJMRcZrMwRGbYzNyvyYR9WBlmZMHY9H3f02eJJzlpfuk5//f/
XN5HNz8r1RkgEonEvifN90h8T/+9T2WZEgOUw4b3NS+tcHHwsmPi2QaouT3u
3KIxVtgUmnJ+zwkDNKUfeR6bZQWJbLtmwRcDJN5Yq47LtcLCOW8nBsRxyJH5
yR8D+xqRJ9+Vjj641wgtK8oiO2otyM4MX2wxI48v2CjP+KiHM+3eVXXr9FAx
dZSjK1ENdTS0yNM+P/nmuaVBXtP487XNPRBibb54okFuPXpe++C0Drn3HHvj
MJMezsn5MFfnQHjv6Ff+CDjUu0/yLfb5Plt9SrRVx/JaxcNMmSLXlqKDMlKf
Ch5MbQbvAa+a1SWIh8YJ88YeCFdB2rRUU0mSCTSVJVXOKVGgLJ5rqbVzwvlK
8BT0Xj0i2ADEpm13f3hrUZ/tmjoIrpI8pAq4mVe1IfaDBmZzDlV9UQTml6uV
cnWXw5Ffhr5RONvDkKkfWQjm4eevJP8KHfKI+Oup+9ZzICJR0gfWB1bvGlpo
Zv4+KVg/jDzzk6jAfG8RXwGRQv952OnISxEP6Qs55PuZPPPhkiP79f0cMjYs
2eMNZvPg4qEsuTSuaGRP6CKRw7O+XeoBRUf1V//kCvqtQVBdWbGjRwHP+j+5
m5vXfnA/5LuZ+j4ZgMx0Jai/n8QAMfo5fHf3cffJzoSHz2a0xGRHQ0PHnRfF
rzoSYnSaH0tmWCEo5nevx/k/E/z1aZriTfur6UQup/7FzFeLBVQXFIclWgls
Iv+vtLJ8zwSCivS/wcr6dUWKTP3M6onMfMqQXbQPwaweNYKeJYS9d8MK+bT+
ocg/qr6VuZ6HIbPfPsibyfzsCUe9bNLv6AhoIvP/TvDzS47v0/n3yEFzqnnS
4ByBHXLw14fOw/hwKCV74poF7E1Jj4dHSNl9cBoFHQk0kPpGGZCpTqYO2UMP
VrP+26SMBygZfw9Fpn6DI5BZ/RT4Pe1DSBRMoj710LJlad6wbCXkxSdVZrQJ
85+kFOrazVTXrUVmdVSBndwjnQrP8+8LP28juvJByOs6Ri2vz+TYeeO07J6l
m6B5cXR74SGDsA/NsCirdfO9WKOwZ8yQTPbedDMynceDFuRCsi/c0Wxv1Jrw
PmbQeTci0z7Ed/OatlK7+zXH9pdHmP/9HM7///v+HzuKo1w=
              "]]}, {
             Thickness[0.07194244604316546]}, StripOnInput -> False]}, {
          ImageSize -> {13.899716064757161`, 21.12078704856787}, 
           BaselinePosition -> Scaled[0.31887090512778543`], 
           ImageSize -> {14., 22.}, PlotRange -> {{0., 13.9}, {0., 21.12}}, 
           AspectRatio -> Automatic}], TraditionalForm], None}}, FrameStyle -> 
     Automatic, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {Automatic, Automatic}, GridLinesStyle -> Directive[
       GrayLevel[0.4, 0.5], 
       AbsoluteThickness[1], 
       AbsoluteDashing[{1, 2}]], ImageSize -> Medium, 
     Method -> {
      "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& )}}, 
     PlotRange -> {{0., 1.}, {-0.020734490474905384`, 0.}}, PlotRangeClipping -> 
     True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.02]}}, Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
       GraphicsBox[{
         Thickness[0.045620437956204386`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJdIAaxQYAJSjNCxZiR+Ax42MSox6UGWZxUc4jRS6r5
pOqlxO+0UEOM+0n1CwDTMQKN
            "], CompressedData["
1:eJxdlAlIVEEYx7c0tYN0Xd2tvXff2rYp+p5KF4X/ENPKUjRKyg5T18ouSMlK
odSMMEiLMA+iCDRjCTuMirKLtPKoKJIOMjQis4MsTLDcdma2WWhgWH5vv/mu
+c9n2rA9JdtLJpONce0Vrj3WtTfaXategaVPK9NHvabjZ8v35hylhrPh+qmW
7C4t5xxi36rHhfBtZ8b8tqKarH4jPu1sDh4ZsGLXvStx1TdNWEbs+6yId9xv
kKWZkfxKU5iRYoP/muSeyFlmVFX475lZboN10NJfs8iAS7OG72ZttjH7Ag32
DjYl566y4U55S3F0iZLz1dS5aU5rEOcyo29Ix3MlljzwnV+bLyJo99G8Tm8V
y/OKCPJjn6bCfu/7R6RuN9tV+OE6XvNLxG3iP1MNJ10iOsjaokUSrVfCAeI/
T4/MNW8WevlJ+Fy2tTzytYEzjfPBxPmNTedwRgmIIqtPhOVFb6psnsDs6kV0
Ev+FArKIfUE4ZGTBwvkqinvb0izY4Sh/vREi/gzlv6urtLB+T5JwgvRtwILu
wMEFj+slfj7P1f728xKLlyjgXlnDykcXXfbkfq6ZOffErVtQc9rDtN8JHlaQ
/pWauD/a7xwNQt6XnOw8J6GU9lvN49P+B6k4R5O6dyo5JxD/U4I4p3559v1E
RiDnfaqicZsWTubxaP8P+/F8+ov6ch+H+UFzcq2tHRKmE72M90fRyNwdXbMl
7O0ZfhU1UY6IGY2KJ9ESHIFhk3Na5Oz+FB62kvwfiZwbPiaEOytFrA5J03YV
ynEkNc9S5S8yf6FyHCd9Do1AKc3PF4Xk+xI9igm3+iCL6krn7v84ppPLWpZ/
ojPmFtFVrBbxzUltmT6jMVQ3tWo0L26aXTfHm9k51Ly+dJLHDTXTiU8A+79D
7fYn50zva1iPf/7o/VYbOK8crzwYFWPkHFtREmifYOLx6PtTmXk8qlNB4P6p
fmMF9xzQsfe0XGD26Xqu30PzFl23m43IpvNAQONQf0FHk4nF/ya4dWRm/hUe
PkvsKswQiE7rjOzdxZihI3Pmq57VP2Ri/Q7Vs/OxJlSRMl/qWJxTRnfdOpZX
nZbpNF7H5lX4VM5Uj8eUnGmZYcGIo3NJx+bPwwD3O/Ew7d+Ih6lu3upRS/MI
YPe+3sD0MhAAkcT5YcD/8/Qvh/hInw==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
            "], CompressedData["
1:eJxdlHlIVVEQxp9WmJVKRRthIiXvru/ed26ahOK0G0WWbRKVWlmvhRYsqFCk
TUEDizSpxBaVFloMCos2KqLS9sVChTZL/ygKszCy7M6Z986FDlzkp8c5M983
M9FL1qVm9XC5XEH2l2F/wfa34XRRk89ksHRR8+QePgZDSl+E+lIZtK5Sf5bp
DNKG1D51rWXQjSeJQd/JMZuCCxlIX8Kum1MZTLsXknio2mE3/vzlcEzLjoqH
igXH25I93UEOr1hun3yv4Ad4dhuQfXHQ7/q/XrgwpvPWskKV8uo0BdffHn9m
ZYXDPM9FJsQmXEvdv00TPB3zeqkLroXt7+92eii/LSZEpJwryUo2RbzELWkn
Yh+a0JJ5tGF0khc6LjcW/ullwQE8spfujbDAVE4OfDLR/34jAz06qmNNg0E6
hXuhDQsoMuA+3p/hzyPWgJ1h9oPVBum73QMZWFeaB0r2RGyNK9Kh/NjIy10F
Gul8WBP1TbmRGxnfqgruGVoYtTTcYX4/T4ELnrWVQTma4KH4zntd8PCKxXJ9
hkl65Kp+vb2k2zsdXg1oH/f4E4PpT/cu/Fupi3p5Xm4dbuYfn18XbFHerzXS
xfa5FPNXHQ7ED3BOe83M1VsVKJ69cVRZN4NkrOeuDHm/x65/1NuCfQW7FjzP
keE85t/PIr/TZPIhwiLf4h2e1Tg8J5M5zPNrlQTzOmskEb8e61wjiXy4X4Ml
+IH+2n07E+M9c1P9cQzieB+5hT7pc1LdR0IlwRaebIn8DWdQx/tHot9PYPTO
MBmaMM0sRn6ddZjHeeCwgf3UUxHsW/dt1/05Cs1LJvPPiUJzsZjBMtTnksO8
/hBVcKAvAsz1b1RFPB5/owZl6NtqRn2yRBP3P6J/iRr1/yRbL8xvlCb0efxy
3mfjikp+dXnhI+peLMN3+5mDtSb5eVWCrp+b3pafNwTzOFW6YK7rSZX2R6lM
czJXgRL8e7MiOBd99GmCL2J9p3Tx/6O5Hwb1XaQBNZhXggFncLGEeeiebPjv
6YK57i2a4CgUKF31v2+I9wL7IsCVb66Hl2d7BffDPXKJ0Xzf0cifzRb50Mck
na7690aVCXzffrMgBefMjhNgPh9fHaY9wMCF54gl5pH3t+mw6HM/V2F+Hxj5
3d8CN+7XOib6//99/w/DnKGE
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYCYu8T7LazUw0c0tOA4JmCA4y/VkiHL11PyWH5
Cw+9/4UGDiu/vaw4w6DsID0vTvP0BAMHFs4u+WQ/FQcTYxDQdxDt8XrFIqLq
MKW9NeqyjJ7D32+lD+YEqjrU/7YqOHdCB84/vmtHL5uBJpwP1jdFzeEMCPAo
w/lg9xyTh/N3BFtF/E+XdTDQWil84YmaQ8X9H7eMV0s7pMTecWOeoe4Qoxoh
cy5GymGz+Y9DKVkaEPffk3BIBZnTpungvubocgYJCYcTh53WZt7TdvAA8SvE
HWo+bQjI3qXr0BvR7c/4Qcwh4JZ0TeIkPah9YnD/VYHs8xZ1EAG554q+w06Q
vLuIw5PEhddM+A0cgt9e/jjjoRCcXw1Szy0I56eBASc03PQc7Esca0/LMDtM
n8BfZXZaG84Hh98dTTj/wtWwN/q/1R0Odu9rMnnM5rBJL28x4x11hzkzgeAm
l8MWkH9XqUPcu1wAHj4w/gyQ+a/VHPyfeF4yncwP56t/Unk5i5MPzgf7s5gX
zl98a/ljQ2ZOh1Pg8FKD2z8DZO9ONQcNkP5OJgcQd6akhoPMRrH5TAoMDv9B
oF7ToeZF069pO//au++vlbV4rgXng8NbSh/OP9i2PPyUkCHcPhg/BBSejcJw
Pjj4jolC/PsKmj7jxB38L06M+TfZwIEBBBZIOHwGGj9L3QAS3xZSDm+Kt4r+
9tZ3mA4OLymHBpaj/YbTdSD+nSzt0MLrv37KUk0HV5D6CBlI+M7RgKYHWTj/
jqbsmv+XFeB8cPzeVnJ4ECG+/aKCFjw/gPkOOnA+OD0Z6cL5YPvF9aD5RMXh
aZb2t+l79SDuP6DskBASpL6gU99BIDbgvlG4ssNa1SfN887qOzhPaBZK+6UE
Cd/7+g78IHl3JUj4MGHmXxgfAIj8nnE=
            "]]}, {
           Thickness[0.045620437956204386`]}, StripOnInput -> False]}, {
        ImageSize -> {21.916961394769615`, 21.12078704856787}, 
         BaselinePosition -> Scaled[0.31887090512778543`], 
         ImageSize -> {22., 22.}, 
         PlotRange -> {{0., 21.919999999999998`}, {0., 21.12}}, AspectRatio -> 
         Automatic}], 
       GraphicsBox[{
         Thickness[0.022331397945511387`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJdIAaxQYAJSjNCxZiR+Ax42MSox6UGWZxUc4jRS6r5
pOqlxO+0UEOM+0n1CwDTMQKN
            "], CompressedData["
1:eJxdlAlIVEEYx7c0tYN0Xd2tvXff2rYp+p5KF4X/ENPKUjRKyg5T18ouSMlK
odSMMEiLMA+iCDRjCTuMirKLtPKoKJIOMjQis4MsTLDcdma2WWhgWH5vv/mu
+c9n2rA9JdtLJpONce0Vrj3WtTfaXategaVPK9NHvabjZ8v35hylhrPh+qmW
7C4t5xxi36rHhfBtZ8b8tqKarH4jPu1sDh4ZsGLXvStx1TdNWEbs+6yId9xv
kKWZkfxKU5iRYoP/muSeyFlmVFX475lZboN10NJfs8iAS7OG72ZttjH7Ag32
DjYl566y4U55S3F0iZLz1dS5aU5rEOcyo29Ix3MlljzwnV+bLyJo99G8Tm8V
y/OKCPJjn6bCfu/7R6RuN9tV+OE6XvNLxG3iP1MNJ10iOsjaokUSrVfCAeI/
T4/MNW8WevlJ+Fy2tTzytYEzjfPBxPmNTedwRgmIIqtPhOVFb6psnsDs6kV0
Ev+FArKIfUE4ZGTBwvkqinvb0izY4Sh/vREi/gzlv6urtLB+T5JwgvRtwILu
wMEFj+slfj7P1f728xKLlyjgXlnDykcXXfbkfq6ZOffErVtQc9rDtN8JHlaQ
/pWauD/a7xwNQt6XnOw8J6GU9lvN49P+B6k4R5O6dyo5JxD/U4I4p3559v1E
RiDnfaqicZsWTubxaP8P+/F8+ov6ch+H+UFzcq2tHRKmE72M90fRyNwdXbMl
7O0ZfhU1UY6IGY2KJ9ESHIFhk3Na5Oz+FB62kvwfiZwbPiaEOytFrA5J03YV
ynEkNc9S5S8yf6FyHCd9Do1AKc3PF4Xk+xI9igm3+iCL6krn7v84ppPLWpZ/
ojPmFtFVrBbxzUltmT6jMVQ3tWo0L26aXTfHm9k51Ly+dJLHDTXTiU8A+79D
7fYn50zva1iPf/7o/VYbOK8crzwYFWPkHFtREmifYOLx6PtTmXk8qlNB4P6p
fmMF9xzQsfe0XGD26Xqu30PzFl23m43IpvNAQONQf0FHk4nF/ya4dWRm/hUe
PkvsKswQiE7rjOzdxZihI3Pmq57VP2Ri/Q7Vs/OxJlSRMl/qWJxTRnfdOpZX
nZbpNF7H5lX4VM5Uj8eUnGmZYcGIo3NJx+bPwwD3O/Ew7d+Ih6lu3upRS/MI
YPe+3sD0MhAAkcT5YcD/8/Qvh/hInw==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
            "], CompressedData["
1:eJxdlHlIVVEQxp9WmJVKRRthIiXvru/ed26ahOK0G0WWbRKVWlmvhRYsqFCk
TUEDizSpxBaVFloMCos2KqLS9sVChTZL/ygKszCy7M6Z986FDlzkp8c5M983
M9FL1qVm9XC5XEH2l2F/wfa34XRRk89ksHRR8+QePgZDSl+E+lIZtK5Sf5bp
DNKG1D51rWXQjSeJQd/JMZuCCxlIX8Kum1MZTLsXknio2mE3/vzlcEzLjoqH
igXH25I93UEOr1hun3yv4Ad4dhuQfXHQ7/q/XrgwpvPWskKV8uo0BdffHn9m
ZYXDPM9FJsQmXEvdv00TPB3zeqkLroXt7+92eii/LSZEpJwryUo2RbzELWkn
Yh+a0JJ5tGF0khc6LjcW/ullwQE8spfujbDAVE4OfDLR/34jAz06qmNNg0E6
hXuhDQsoMuA+3p/hzyPWgJ1h9oPVBum73QMZWFeaB0r2RGyNK9Kh/NjIy10F
Gul8WBP1TbmRGxnfqgruGVoYtTTcYX4/T4ELnrWVQTma4KH4zntd8PCKxXJ9
hkl65Kp+vb2k2zsdXg1oH/f4E4PpT/cu/Fupi3p5Xm4dbuYfn18XbFHerzXS
xfa5FPNXHQ7ED3BOe83M1VsVKJ69cVRZN4NkrOeuDHm/x65/1NuCfQW7FjzP
keE85t/PIr/TZPIhwiLf4h2e1Tg8J5M5zPNrlQTzOmskEb8e61wjiXy4X4Ml
+IH+2n07E+M9c1P9cQzieB+5hT7pc1LdR0IlwRaebIn8DWdQx/tHot9PYPTO
MBmaMM0sRn6ddZjHeeCwgf3UUxHsW/dt1/05Cs1LJvPPiUJzsZjBMtTnksO8
/hBVcKAvAsz1b1RFPB5/owZl6NtqRn2yRBP3P6J/iRr1/yRbL8xvlCb0efxy
3mfjikp+dXnhI+peLMN3+5mDtSb5eVWCrp+b3pafNwTzOFW6YK7rSZX2R6lM
czJXgRL8e7MiOBd99GmCL2J9p3Tx/6O5Hwb1XaQBNZhXggFncLGEeeiebPjv
6YK57i2a4CgUKF31v2+I9wL7IsCVb66Hl2d7BffDPXKJ0Xzf0cifzRb50Mck
na7690aVCXzffrMgBefMjhNgPh9fHaY9wMCF54gl5pH3t+mw6HM/V2F+Hxj5
3d8CN+7XOib6//99/w/DnKGE
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYCYvvKiBWme40cPixar3B2hYLDGRCQMcbg39GU
XfP/saJDf3CJynR9Y4fUNCBgU3ZQfdI872yUsUNG/ofWkyEqDovv7+Obw2zk
UPNpQ0C2lKrD1523uv6mGjr8/Vb6YE6gqkPJVtHfp/MM4Pw/b18fsFysBefP
WaS880+7mkP1/R+3jE8rwvlrhXT40u9JwPkxqhEy5/4IQ+yJUndQ/6TycpYn
v8N/ELiv4ZAGBpwOW8x/HErp0nKIBqnfw+TQwuu/foqqrkPNi6Zf03b+tfe/
JV2T+EkfztfXWil84YoBnM/tplrKtMrQQWaj2HwmBQaHk4ed1mb6GUPC5Qwz
nH+we1+TCbMQnB/y9vLHGY3CUH8ZO7xpy+02mi3sULim+3ZGAUy/sAMPyPxT
xg47g60i/ruLOLzI0v42fa8xxH81opDwXWXkIFI5qeRsiqhDt9crFpOFCP4f
kPmOCH5y7B035heGcP5toPeMriL4/EDvp54wgJsP42uAwo9TxEHjLe8+g5OG
DibGQLBZ2CEdFIxiRnD3L3/hofff0AgSP9oIPsz/MP7yW8sfGzpzwflg8z6z
O2zQy1vMqGMEse8kGyQ9yRs52JU41p6WYXN4DvL/X0OHFvFa1kw3Fgf/ixNj
/jkbOrysfZx9/g0TxH8VBnA+OD2o68D5YP2ymg4vQPw1/HA+OD4eSsL5M8FA
0WG7Q9Oj4zu0HVg4u+ST/VQcToPiT84Azn+SuPCayX4Ev5HlaL+hu6FDw2+r
gnMaKpB43GPoEM4p1m58XxmS/vKNIOZnKjvA8hc4vG4rwfkrv72sOPNB0QE9
/wEAWiif5A==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4pKtor9PnzNzWPntZcWZD4oOMP6HResVzt5Q
djh12Glt5j0zhy3mPw6lcKk4xCg4fkzOMXeY0t4adVlGxUF6XpzmaQYLhyeJ
C6+Z6CP4Db+tCs69UIGIy5s76CjKf8m5puIwbQJ/ldltMzgfbK4Vgs8AAgtM
4XyfE+y2s0NNIfbdUXFoZDnab1huAjcfxofZ79D06PgMblO4+2aCgSnc/Rpv
efcZrDSF+w/Gh/kfxt/fva/JJJkHzl9ya/ljw8MscPOiVSNkzv1hhttnYgwE
m5nh7uF25POakYngg/U3Mzi8yNL+Nl3X1MEYrJ4Bbt4ZMGCAhweMDwsvFHkv
c7h+WHjDzIfxYfbD4gvmPlh8wtwPi2+Y/2B8mP/R0wcAAuv1Zg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4ov58eznDB0cuB35vGa85HCoiFhhelbZwUFm
o9h8pgecDimxd9yYO+wdltxa/tiQmc3hQNvy8FOb7By+7Pu4NV2MBSJ/whbO
t6kEGpBrDefbNz06PuO2pcND13jHWYECcH6LArvqmSuScL7ytUfBDDGKDlv0
8hYz2lg7sHB2ySf7qTj0B5eoTPe3hfOPH3Zam1lnB+enpgHBNnsHgdiA+0bh
ynD+3vyatzNTleD8D4vWK5xdoeBgDALcDnD+GRDgcXAoPbzNdeZdRQfVJ83z
zgo5QMT3KDm4q5YyzdJwcMjI/9B6MkTFYYv5j0MpXvYOZjZ7g6YxqjrU/rYq
OJdh5/D3W+mDOYGqDvUsR/sN223hfLD6Khs4f8ZMIKi0djixa0cv2wWoeaus
HMI5xdqN7ytDzbd0WPntZcUZByUH6XlxmqcnWDj0RnT7MxbIw/nV93/cMn4t
Aedv9dpgMecnj4P6W959BpVWDjUvmn5N2/nXHhZ+MP5/EPC3g/PB8Wdh72Bb
4lh7eg6Dw3wbnSuz2Bzg8YeePgB1nfgN
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}}}, {{{36.3047, 4.695309999999999}, {36.6672, 
            5.50469}, {36.6063, 5.56563}, {33.43129999999999, 5.56563}, {
            33.1047, 4.7562500000000005`}, {33.165600000000005`, 
            4.695309999999999}, {36.3047, 4.695309999999999}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYC4gjx7RcZ1Fwd0tOA4JmCA4y/VkiHL11PyaFt
efgpIx1Xh5XfXlacYVB2cGh6dHyGtasDC2eXfLKfigMDCBxwcRDt8XrFIqLq
IDH1CmdGlYvD32+lD+YEqjoIfXI8n6aK4D9JXHjNxN4Zzje/djTXZIaTwxkQ
4FGG88HuOSYP5+8Itor4ny7rsL9W1iJ9jZNDxf0ft4xXSzt0A601uenkEKMa
IXMuRspB3vFj8hleZ4j770lAzA1xdnBfc3Q5g4SEg/qT5nlnXzk7eID4FeIO
l/Lj2c8lujj0RnT7M34QczihaTXp9HQXqH1icP9VgezzFnWwALnnhYvDTpC8
u4iDKsi8Xy4OwW8vf5zxUAjOrwap5xaE89PAgNOhZKvo79NtLg72JY61p2WY
IeH9zBnOB4dfFoK//IWH3v+PTg4Hu/c1mTxmc7i/j2+O8SsnhzkzgeAmF8S/
d6Hhs1wAHj4wPtj8dU4O/k88L5lO5ofz1T+pvJzFyQfnmxgDQTEvnL/41vLH
hsyckPBahbAfZO3MhU4OGiD9nUwQ/k8nB5mNYvOZFBgg5gQ7O9S8aPo1bedf
e5bFk6wY1yL4F0HhvdMFzp/yjS1+Ro0r3D4YPwQUno3CcD44+I6JOvD6r5+S
mgFNn3HiDjelaxKNbF0h8bRAwmFN9+0MBnZXSHxbSDnoTljww/CYi8N0cHhJ
OYSUqEz/L+ECcedkaYj5Mc4OriD1ETKQ8JVyhqYHWTj/jqbsmv+XFeB8cPze
VnLI4fy5IL3aGZ4fwHxmFzgfnJ7sEXyw/RUuDlPaW6Muy6g4vOHdZzBzkQs0
nSk7+Jxgt5191cVBIDbgvlG4ssM8G50rs565ODhPaBZK+6UEcfdrFwd+kLy7
EsT9X1ww8i+MDwDIvJyZ
            "]]}, {
           Thickness[0.022331397945511387`]}, StripOnInput -> False]}, {
        ImageSize -> {44.77814196762142, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {45., 22.}, 
         PlotRange -> {{0., 44.78}, {0., 21.12}}, AspectRatio -> Automatic}], 
       
       GraphicsBox[{
         Thickness[0.017917935853789646`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJdIAaxQYAJSjNCxZiR+Ax42MSox6UGWZxUc4jRS6r5
pOqlxO+0UEOM+0n1CwDTMQKN
            "], CompressedData["
1:eJxdlAlIVEEYx7c0tYN0Xd2tvXff2rYp+p5KF4X/ENPKUjRKyg5T18ouSMlK
odSMMEiLMA+iCDRjCTuMirKLtPKoKJIOMjQis4MsTLDcdma2WWhgWH5vv/mu
+c9n2rA9JdtLJpONce0Vrj3WtTfaXategaVPK9NHvabjZ8v35hylhrPh+qmW
7C4t5xxi36rHhfBtZ8b8tqKarH4jPu1sDh4ZsGLXvStx1TdNWEbs+6yId9xv
kKWZkfxKU5iRYoP/muSeyFlmVFX475lZboN10NJfs8iAS7OG72ZttjH7Ag32
DjYl566y4U55S3F0iZLz1dS5aU5rEOcyo29Ix3MlljzwnV+bLyJo99G8Tm8V
y/OKCPJjn6bCfu/7R6RuN9tV+OE6XvNLxG3iP1MNJ10iOsjaokUSrVfCAeI/
T4/MNW8WevlJ+Fy2tTzytYEzjfPBxPmNTedwRgmIIqtPhOVFb6psnsDs6kV0
Ev+FArKIfUE4ZGTBwvkqinvb0izY4Sh/vREi/gzlv6urtLB+T5JwgvRtwILu
wMEFj+slfj7P1f728xKLlyjgXlnDykcXXfbkfq6ZOffErVtQc9rDtN8JHlaQ
/pWauD/a7xwNQt6XnOw8J6GU9lvN49P+B6k4R5O6dyo5JxD/U4I4p3559v1E
RiDnfaqicZsWTubxaP8P+/F8+ov6ch+H+UFzcq2tHRKmE72M90fRyNwdXbMl
7O0ZfhU1UY6IGY2KJ9ESHIFhk3Na5Oz+FB62kvwfiZwbPiaEOytFrA5J03YV
ynEkNc9S5S8yf6FyHCd9Do1AKc3PF4Xk+xI9igm3+iCL6krn7v84ppPLWpZ/
ojPmFtFVrBbxzUltmT6jMVQ3tWo0L26aXTfHm9k51Ly+dJLHDTXTiU8A+79D
7fYn50zva1iPf/7o/VYbOK8crzwYFWPkHFtREmifYOLx6PtTmXk8qlNB4P6p
fmMF9xzQsfe0XGD26Xqu30PzFl23m43IpvNAQONQf0FHk4nF/ya4dWRm/hUe
PkvsKswQiE7rjOzdxZihI3Pmq57VP2Ri/Q7Vs/OxJlSRMl/qWJxTRnfdOpZX
nZbpNF7H5lX4VM5Uj8eUnGmZYcGIo3NJx+bPwwD3O/Ew7d+Ih6lu3upRS/MI
YPe+3sD0MhAAkcT5YcD/8/Qvh/hInw==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
            "], CompressedData["
1:eJxdlHlIVVEQxp9WmJVKRRthIiXvru/ed26ahOK0G0WWbRKVWlmvhRYsqFCk
TUEDizSpxBaVFloMCos2KqLS9sVChTZL/ygKszCy7M6Z986FDlzkp8c5M983
M9FL1qVm9XC5XEH2l2F/wfa34XRRk89ksHRR8+QePgZDSl+E+lIZtK5Sf5bp
DNKG1D51rWXQjSeJQd/JMZuCCxlIX8Kum1MZTLsXknio2mE3/vzlcEzLjoqH
igXH25I93UEOr1hun3yv4Ad4dhuQfXHQ7/q/XrgwpvPWskKV8uo0BdffHn9m
ZYXDPM9FJsQmXEvdv00TPB3zeqkLroXt7+92eii/LSZEpJwryUo2RbzELWkn
Yh+a0JJ5tGF0khc6LjcW/ullwQE8spfujbDAVE4OfDLR/34jAz06qmNNg0E6
hXuhDQsoMuA+3p/hzyPWgJ1h9oPVBum73QMZWFeaB0r2RGyNK9Kh/NjIy10F
Gul8WBP1TbmRGxnfqgruGVoYtTTcYX4/T4ELnrWVQTma4KH4zntd8PCKxXJ9
hkl65Kp+vb2k2zsdXg1oH/f4E4PpT/cu/Fupi3p5Xm4dbuYfn18XbFHerzXS
xfa5FPNXHQ7ED3BOe83M1VsVKJ69cVRZN4NkrOeuDHm/x65/1NuCfQW7FjzP
keE85t/PIr/TZPIhwiLf4h2e1Tg8J5M5zPNrlQTzOmskEb8e61wjiXy4X4Ml
+IH+2n07E+M9c1P9cQzieB+5hT7pc1LdR0IlwRaebIn8DWdQx/tHot9PYPTO
MBmaMM0sRn6ddZjHeeCwgf3UUxHsW/dt1/05Cs1LJvPPiUJzsZjBMtTnksO8
/hBVcKAvAsz1b1RFPB5/owZl6NtqRn2yRBP3P6J/iRr1/yRbL8xvlCb0efxy
3mfjikp+dXnhI+peLMN3+5mDtSb5eVWCrp+b3pafNwTzOFW6YK7rSZX2R6lM
czJXgRL8e7MiOBd99GmCL2J9p3Tx/6O5Hwb1XaQBNZhXggFncLGEeeiebPjv
6YK57i2a4CgUKF31v2+I9wL7IsCVb66Hl2d7BffDPXKJ0Xzf0cifzRb50Mck
na7690aVCXzffrMgBefMjhNgPh9fHaY9wMCF54gl5pH3t+mw6HM/V2F+Hxj5
3d8CN+7XOib6//99/w/DnKGE
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYCYu8T7LazUw0c0tOA4JmCA4y/VkiHL11PyWH5
Cw+9/4UGDiu/vaw4w6DsID0vTvP0BAMHFs4u+WQ/FQcTYxDQdxDt8XrFIqLq
MKW9NeqyjJ7D32+lD+YEqjrU/7YqOHdCB84/vmtHL5uBJpwP1jdFzeEMCPAo
w/lg9xyTh/N3BFtF/E+XdTDQWil84YmaQ8X9H7eMV0s7pMTecWOeoe4Qoxoh
cy5GymGz+Y9DKVkaEPffk3BIBZnTpungvubocgYJCYcTh53WZt7TdvAA8SvE
HWo+bQjI3qXr0BvR7c/4Qcwh4JZ0TeIkPah9YnD/VYHs8xZ1EAG554q+w06Q
vLuIw5PEhddM+A0cgt9e/jjjoRCcXw1Szy0I56eBASc03PQc7Esca0/LMDtM
n8BfZXZaG84Hh98dTTj/wtWwN/q/1R0Odu9rMnnM5rBJL28x4x11hzkzgeAm
l8MWkH9XqUPcu1wAHj4w/gyQ+a/VHPyfeF4yncwP56t/Unk5i5MPzgf7s5gX
zl98a/ljQ2ZOh1Pg8FKD2z8DZO9ONQcNkP5OJgcQd6akhoPMRrH5TAoMDv9B
oF7ToeZF069pO//au++vlbV4rgXng8NbSh/OP9i2PPyUkCHcPhg/BBSejcJw
Pjj4jolC/PsKmj7jxB38L06M+TfZwIEBBBZIOHwGGj9L3QAS3xZSDm+Kt4r+
9tZ3mA4OLymHBpaj/YbTdSD+nSzt0MLrv37KUk0HV5D6CBlI+M7RgKYHWTj/
jqbsmv+XFeB8cPzeVnJ4ECG+/aKCFjw/gPkOOnA+OD0Z6cL5YPvF9aD5RMXh
aZb2t+l79SDuP6DskBASpL6gU99BIDbgvlG4ssNa1SfN887qOzhPaBZK+6UE
Cd/7+g78IHl3JUj4MGHmXxgfAIj8nnE=
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYCYoemR8dnzDZxeJK48JqJvooDjN/w26rg3AsV
h88bArJnuRs76CjKf8m5hskvWNN9O4MBwZ8JAjuNcPK9T7Dbzk41hJsP48Ps
19daKXzhiqHDlPbWqMsyUHlRIwepeXGapwWg8iZGDh8WrVc4e0PZ4QwIxBg5
hHOKtRvLKzuseOGh93+hiYN9iWPt6Tv8Dn++lT6Yw2jq0Cxey5rZxuFwQ+iT
43k1U4c0EFBjdbgjXZNoFGrqcOH3sevzbv63nxBcojL9PYK/xfzHoRQtM4cX
tY+zz79hdegDyfubOdiBzJfhdPABuW+rmUP1/R+3jLMFIP44b+HwHwTilSD2
iFk6lB/e5jpzrbIDj//6KakWlg5gc7lUHL7svNX1t9QS7t8DbcvDT12yhIcH
jA8Lr5sg97ZawMPzeZb2t+m+CD7YPjYLiHl3VCDhs8bcQWLqFc6MRyoOtpUR
K0znIvh1IHMzEPxGlqP9hubmcPtgfJh7UmLvuDHfMIe7d6Ne3mJGGQsHXZD9
YioOfhcnxvxztoDHD4yvcu1RMEMNgr9WSIcv3U7ZQfVJ87yzVhYO7muOLmd4
oeTACwofDQtIeHYrORwC+f+TqUOMaoTMuRoeh+Wg+J1oDI13ZYeSraK/T/cZ
O+zNr3k7s1QZkn67jSH2dyD4K7+9rDizAMEHm/9a2UEGlK42GMPdf/Kw09rM
d8Zw/6HnDwDD+W+q
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJnIGYCYmMQqHZ0uPD72PV5N//bd3u9YjFpdHSQ2Sg2
nymB0SFCfPtFhjZHh2jVCJlze5gcdt7q+pva7uhwg/e2WKoZs0P78vBTRj2O
Di9rH2ef12Fx4PFfPyV1hqNDwBPPS6bC7A5nQGCJo0N/RLc/4wZOhx6Q+ROd
HGaCQKaywxvefQYzZzk5fFi0XuHsDWWH5S889P6vdHKQmheneVpAxWGDXt5i
xjNODlPaW6Muy6g4CH9yPJ/218nhSeLCayb6CH7Db6uCcy9UHMD+iXZy0FGU
/5JzTcWhImKF6Vlv3PzgEpXp/3c4wvXD+DDzi7eK/j79zRFuP9g/Ok4OW8x/
HErhUnGQd/yYfMbWyaH6/o9bxq+VIeFjD/VPB4K/N7/m7cxSBN8E5M5kZbj+
Fd9eVpwJUHa4mB/Pfq7Q0UH9k8rLWZx8DvtrZS3SSxwc7mjKrvm/WMlBfOoV
zowgBwddkPvFoPb7OjjMWaS884+7ikPi4cvaqY4ODjWfNgRkS6k6/AcBfgS/
BOSfe/YQ985Whvhjlb2DcOWkkrMtSg4zQPHCae/wwDXecdZEOYh8l63DdVB8
b+NzuCFdk2gUagNXD44fHxuHcE6xduPzSg4ab4ER6mkDiQdhZTgf5j8YHxbf
KbF33JgzbODxPXUCf5XZbht4eNtUAiPM1hYeHzA+LL6+AL01a7s1PD7B6Wch
gp+/pvt2hoI1xLw7KpDwM7KC64fxYebXg8Q7rOD2S4DkH1nB4/sDyD52a4fU
NCA4puyw5P4+vjnK1g7ua44uZ3ihBInXyTaQ/POAE+4fSH5igfNbxGtZM91Y
IObesoHnP32tlcIXSmzhfBlQuEywdWgGqWdjhoTfSluHr/s+bk0PY3XwuTgx
5t9jW7h94aD8+g8anyqKDubXjuaaHHCApKeXgpB4+ezgEAPKzzbcDsc1rSad
/u4Ayc9lXJD0pIsoD9DLBwBO2dIi
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWaBsBiifAY3NCJVHV4NLHJcaUtXjUkOq+YPB
nQAGXgI/
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYCYpFPjufT3jo76CjKf8m5puJQslX09+lpzg5T
2lujLt9Rcaj/bVVwrgPBr4xYYXrW2NmhAST+AsF/krjwmom+isMJTatJp8uh
6mVUHNZ0385g2O/ssMX8x6EULhWH+TY6V2Ydc3botPHclXZJGc5f+e1lxZkP
inD+/u59TSbJPHC+XYlj7ek7LHDzolUjZM79YYbbZ2IMBJuZ4e7hduTzmpGJ
4C+5tfyxYTODwxkwcIbSmHywP54j+OlpQPAPN99NtZRp1gIXuPkwPsz+Kd/Y
4mfEuMDdBw5vURe4+xUcPyaf4XWB+w/Gh/kfxuePDbhv5K7kUAcOdzeo+QwQ
/xW7O9S8aPo1bedfexj/738gqP8H50Ps/2f/YB/fHOMid4dm8VrWTDYGiHkF
7g5f9n3cmi7GCPF/vruDPdg9CH5/RLc/YwETnA+LLxgfFp/g+Cl3h8d3pPj2
iwz73OHpYfkLD73/jB7w9ALjw9ITOD7j3eHpEZ0PDl8PBF9vwoIfhnq4+bek
axKNprrBzYfxYfb3eL1iMbnpBncfj//6KakKCPczgIAGwn8wPsz/MP5yUPw7
c0HC08EFbh96/gIA8J+CCA==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4je8+wxmvvJwCOcUazc+r+Sw/IWH3v+Nng7p
aUCwTcnBXbWUaRaHlwMDCGyAyh9E8C/kx7OfO+kF1z/fRufKrGNeDmuFdPjS
7ZThfLD6AjT+AQRfV1H+S46YCpw/Z5Hyzj/uKnDzG1iO9htuV4HbrwNSf03F
QX/Cgh+Gfl4OL7K0v03fqwJ3L0z9DemaRKOtnnC++bWjuSYJCH7b8vBTRjKe
cP0WIPkVHnDzefzXT0ld4IFq/0IPuP/smx4dn7EYytdTgvM/LFqvcDZDEc7/
su/j1vRtcg6ru29nMMz3cDAxBgJhKQfxqVc4M2ZB+Z/FHbq9XrGY7PRw0Pik
8nLWSnGHSyD/M3o6yO9asC/1nSTEPG1Phzdtud1Gs6UcniQuvGZSjuCD5bm9
4Hyw+zO8IOYHi8P5YHlpITg/WjVC5lwNp4PAJ8fzaaxeDjd4b4ulmjE7sCye
ZMUY6wnnzwQBTgR/f62sRfoemPtZHOaB4m+ZB0S+jN3h04aA7FnxHg4Huvc1
mSTzQ/xr5eGgDvIfJ59DpPj2iwxxHg7N4rWsmW0cDq6g+CvwcOiL6PZnLGB1
0AXFb5uHQy+Ib8DokHj4snbqRg+H7V4bLOZU/rcH+/+9h0PNi6Zf03b+tb8I
Ci9DTzgfHJ4zEfw1oPBn93J4Wfs4+/waRoctenmLGWO8HM6AgA+bw/19fHOM
d3k5tIDdw+1QHrHC9OxrL4fq+z9uGXMLwvng+J4nAufD4hOcfvO8IO79IAvJ
R/s84XxweitB8Cd/Y4ufYQPlB8hC3HHHA6KvTdoBPX8CAPowf+Q=
            "]]}, {
           Thickness[0.017917935853789646`]}, StripOnInput -> False]}, {
        ImageSize -> {55.81455541718555, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {56., 22.}, 
         PlotRange -> {{0., 55.809999999999995`}, {0., 21.12}}, AspectRatio -> 
         Automatic}], 
       GraphicsBox[{
         Thickness[0.01223091976516634], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJdIAaxQYAJSjNCxZiR+Ax42MSox6UGWZxUc4jRS6r5
pOqlxO+0UEOM+0n1CwDTMQKN
            "], CompressedData["
1:eJxdlAlIVEEYx7c0tYN0Xd2tvXff2rYp+p5KF4X/ENPKUjRKyg5T18ouSMlK
odSMMEiLMA+iCDRjCTuMirKLtPKoKJIOMjQis4MsTLDcdma2WWhgWH5vv/mu
+c9n2rA9JdtLJpONce0Vrj3WtTfaXategaVPK9NHvabjZ8v35hylhrPh+qmW
7C4t5xxi36rHhfBtZ8b8tqKarH4jPu1sDh4ZsGLXvStx1TdNWEbs+6yId9xv
kKWZkfxKU5iRYoP/muSeyFlmVFX475lZboN10NJfs8iAS7OG72ZttjH7Ag32
DjYl566y4U55S3F0iZLz1dS5aU5rEOcyo29Ix3MlljzwnV+bLyJo99G8Tm8V
y/OKCPJjn6bCfu/7R6RuN9tV+OE6XvNLxG3iP1MNJ10iOsjaokUSrVfCAeI/
T4/MNW8WevlJ+Fy2tTzytYEzjfPBxPmNTedwRgmIIqtPhOVFb6psnsDs6kV0
Ev+FArKIfUE4ZGTBwvkqinvb0izY4Sh/vREi/gzlv6urtLB+T5JwgvRtwILu
wMEFj+slfj7P1f728xKLlyjgXlnDykcXXfbkfq6ZOffErVtQc9rDtN8JHlaQ
/pWauD/a7xwNQt6XnOw8J6GU9lvN49P+B6k4R5O6dyo5JxD/U4I4p3559v1E
RiDnfaqicZsWTubxaP8P+/F8+ov6ch+H+UFzcq2tHRKmE72M90fRyNwdXbMl
7O0ZfhU1UY6IGY2KJ9ESHIFhk3Na5Oz+FB62kvwfiZwbPiaEOytFrA5J03YV
ynEkNc9S5S8yf6FyHCd9Do1AKc3PF4Xk+xI9igm3+iCL6krn7v84ppPLWpZ/
ojPmFtFVrBbxzUltmT6jMVQ3tWo0L26aXTfHm9k51Ly+dJLHDTXTiU8A+79D
7fYn50zva1iPf/7o/VYbOK8crzwYFWPkHFtREmifYOLx6PtTmXk8qlNB4P6p
fmMF9xzQsfe0XGD26Xqu30PzFl23m43IpvNAQONQf0FHk4nF/ya4dWRm/hUe
PkvsKswQiE7rjOzdxZihI3Pmq57VP2Ri/Q7Vs/OxJlSRMl/qWJxTRnfdOpZX
nZbpNF7H5lX4VM5Uj8eUnGmZYcGIo3NJx+bPwwD3O/Ew7d+Ih6lu3upRS/MI
YPe+3sD0MhAAkcT5YcD/8/Qvh/hInw==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
            "], CompressedData["
1:eJxdlHlIVVEQxp9WmJVKRRthIiXvru/ed26ahOK0G0WWbRKVWlmvhRYsqFCk
TUEDizSpxBaVFloMCos2KqLS9sVChTZL/ygKszCy7M6Z986FDlzkp8c5M983
M9FL1qVm9XC5XEH2l2F/wfa34XRRk89ksHRR8+QePgZDSl+E+lIZtK5Sf5bp
DNKG1D51rWXQjSeJQd/JMZuCCxlIX8Kum1MZTLsXknio2mE3/vzlcEzLjoqH
igXH25I93UEOr1hun3yv4Ad4dhuQfXHQ7/q/XrgwpvPWskKV8uo0BdffHn9m
ZYXDPM9FJsQmXEvdv00TPB3zeqkLroXt7+92eii/LSZEpJwryUo2RbzELWkn
Yh+a0JJ5tGF0khc6LjcW/ullwQE8spfujbDAVE4OfDLR/34jAz06qmNNg0E6
hXuhDQsoMuA+3p/hzyPWgJ1h9oPVBum73QMZWFeaB0r2RGyNK9Kh/NjIy10F
Gul8WBP1TbmRGxnfqgruGVoYtTTcYX4/T4ELnrWVQTma4KH4zntd8PCKxXJ9
hkl65Kp+vb2k2zsdXg1oH/f4E4PpT/cu/Fupi3p5Xm4dbuYfn18XbFHerzXS
xfa5FPNXHQ7ED3BOe83M1VsVKJ69cVRZN4NkrOeuDHm/x65/1NuCfQW7FjzP
keE85t/PIr/TZPIhwiLf4h2e1Tg8J5M5zPNrlQTzOmskEb8e61wjiXy4X4Ml
+IH+2n07E+M9c1P9cQzieB+5hT7pc1LdR0IlwRaebIn8DWdQx/tHot9PYPTO
MBmaMM0sRn6ddZjHeeCwgf3UUxHsW/dt1/05Cs1LJvPPiUJzsZjBMtTnksO8
/hBVcKAvAsz1b1RFPB5/owZl6NtqRn2yRBP3P6J/iRr1/yRbL8xvlCb0efxy
3mfjikp+dXnhI+peLMN3+5mDtSb5eVWCrp+b3pafNwTzOFW6YK7rSZX2R6lM
czJXgRL8e7MiOBd99GmCL2J9p3Tx/6O5Hwb1XaQBNZhXggFncLGEeeiebPjv
6YK57i2a4CgUKF31v2+I9wL7IsCVb66Hl2d7BffDPXKJ0Xzf0cifzRb50Mck
na7690aVCXzffrMgBefMjhNgPh9fHaY9wMCF54gl5pH3t+mw6HM/V2F+Hxj5
3d8CN+7XOib6//99/w/DnKGE
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYCYvvKiBWme40cPixar3B2hYLDGRCQMcbg39GU
XfP/saJDf3CJynR9Y4fUNCBgU3ZQfdI872yUsUNG/ofWkyEqDovv7+Obw2zk
UPNpQ0C2lKrD1523uv6mGjr8/Vb6YE6gqkPJVtHfp/MM4Pw/b18fsFysBefP
WaS880+7mkP1/R+3jE8rwvlrhXT40u9JwPkxqhEy5/4IQ+yJUndQ/6TycpYn
v8N/ELiv4ZAGBpwOW8x/HErp0nKIBqnfw+TQwuu/foqqrkPNi6Zf03b+tfe/
JV2T+EkfztfXWil84YoBnM/tplrKtMrQQWaj2HwmBQaHk4ed1mb6GUPC5Qwz
nH+we1+TCbMQnB/y9vLHGY3CUH8ZO7xpy+02mi3sULim+3ZGAUy/sAMPyPxT
xg47g60i/ruLOLzI0v42fa8xxH81opDwXWXkIFI5qeRsiqhDt9crFpOFCP4f
kPmOCH5y7B035heGcP5toPeMriL4/EDvp54wgJsP42uAwo9TxEHjLe8+g5OG
DibGQLBZ2CEdFIxiRnD3L3/hofff0AgSP9oIPsz/MP7yW8sfGzpzwflg8z6z
O2zQy1vMqGMEse8kGyQ9yRs52JU41p6WYXN4DvL/X0OHFvFa1kw3Fgf/ixNj
/jkbOrysfZx9/g0TxH8VBnA+OD2o68D5YP2ymg4vQPw1/HA+OD4eSsL5M8FA
0WG7Q9Oj4zu0HVg4u+ST/VQcToPiT84Azn+SuPCayX4Ev5HlaL+hu6FDw2+r
gnMaKpB43GPoEM4p1m58XxmS/vKNIOZnKjvA8hc4vG4rwfkrv72sOPNB0QE9
/wEAWiif5A==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4pKtor9PnzNzWPntZcWZD4oOMP6HResVzt5Q
djh12Glt5j0zhy3mPw6lcKk4xCg4fkzOMXeY0t4adVlGxUF6XpzmaQYLhyeJ
C6+Z6CP4Db+tCs69UIGIy5s76CjKf8m5puIwbQJ/ldltMzgfbK4Vgs8AAgtM
4XyfE+y2s0NNIfbdUXFoZDnab1huAjcfxofZ79D06PgMblO4+2aCgSnc/Rpv
efcZrDSF+w/Gh/kfxt/fva/JJJkHzl9ya/ljw8MscPOiVSNkzv1hhttnYgwE
m5nh7uF25POakYngg/U3Mzi8yNL+Nl3X1MEYrJ4Bbt4ZMGCAhweMDwsvFHkv
c7h+WHjDzIfxYfbD4gvmPlh8wtwPi2+Y/2B8mP/R0wcAAuv1Zg==
            "]], 
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4ov58eznDB0cuB35vGa85HCoiFhhelbZwUFm
o9h8pgecDimxd9yYO+wdltxa/tiQmc3hQNvy8FOb7By+7Pu4NV2MBSJ/whbO
t6kEGpBrDefbNz06PuO2pcND13jHWYECcH6LArvqmSuScL7ytUfBDDGKDlv0
8hYz2lg7sHB2ySf7qTj0B5eoTPe3hfOPH3Zam1lnB+enpgHBNnsHgdiA+0bh
ynD+3vyatzNTleD8D4vWK5xdoeBgDALcDnD+GRDgcXAoPbzNdeZdRQfVJ83z
zgo5QMT3KDm4q5YyzdJwcMjI/9B6MkTFYYv5j0MpXvYOZjZ7g6YxqjrU/rYq
OJdh5/D3W+mDOYGqDvUsR/sN223hfLD6Khs4f8ZMIKi0djixa0cv2wWoeaus
HMI5xdqN7ytDzbd0WPntZcUZByUH6XlxmqcnWDj0RnT7MxbIw/nV93/cMn4t
Aedv9dpgMecnj4P6W959BpVWDjUvmn5N2/nXHhZ+MP5/EPC3g/PB8Wdh72Bb
4lh7eg6Dw3wbnSuz2Bzg8YeePgB1nfgN
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}}}, {{{36.3047, 4.695309999999999}, {36.6672, 
            5.50469}, {36.6063, 5.56563}, {33.43129999999999, 5.56563}, {
            33.1047, 4.7562500000000005`}, {33.165600000000005`, 
            4.695309999999999}, {36.3047, 4.695309999999999}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYC4gjx7RcZ1Fwd0tOA4JmCA4y/VkiHL11PyaFt
efgpIx1Xh5XfXlacYVB2cGh6dHyGtasDC2eXfLKfigMDCBxwcRDt8XrFIqLq
IDH1CmdGlYvD32+lD+YEqjoIfXI8n6aK4D9JXHjNxN4Zzje/djTXZIaTwxkQ
4FGG88HuOSYP5+8Itor4ny7rsL9W1iJ9jZNDxf0ft4xXSzt0A601uenkEKMa
IXMuRspB3vFj8hleZ4j770lAzA1xdnBfc3Q5g4SEg/qT5nlnXzk7eID4FeIO
l/Lj2c8lujj0RnT7M34QczihaTXp9HQXqH1icP9VgezzFnWwALnnhYvDTpC8
u4iDKsi8Xy4OwW8vf5zxUAjOrwap5xaE89PAgNOhZKvo79NtLg72JY61p2WY
IeH9zBnOB4dfFoK//IWH3v+PTg4Hu/c1mTxmc7i/j2+O8SsnhzkzgeAmF8S/
d6Hhs1wAHj4wPtj8dU4O/k88L5lO5ofz1T+pvJzFyQfnmxgDQTEvnL/41vLH
hsyckPBahbAfZO3MhU4OGiD9nUwQ/k8nB5mNYvOZFBgg5gQ7O9S8aPo1bedf
e5bFk6wY1yL4F0HhvdMFzp/yjS1+Ro0r3D4YPwQUno3CcD44+I6JOvD6r5+S
mgFNn3HiDjelaxKNbF0h8bRAwmFN9+0MBnZXSHxbSDnoTljww/CYi8N0cHhJ
OYSUqEz/L+ECcedkaYj5Mc4OriD1ETKQ8JVyhqYHWTj/jqbsmv+XFeB8cPze
VnLI4fy5IL3aGZ4fwHxmFzgfnJ7sEXyw/RUuDlPaW6Muy6g4vOHdZzBzkQs0
nSk7+Jxgt5191cVBIDbgvlG4ssM8G50rs565ODhPaBZK+6UEcfdrFwd+kLy7
EsT9X1ww8i+MDwDIvJyZ
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYCYgXHj8lnfN0dniQuvGair+IA4zf8tio490LF
oSJihenZxW4OOoryX3KuYfItrh3NNWlA8M+AQAxuvuqT5nlnN7nCzYfxYfZL
TL3CmfHK1WFKe2vUZRkVBzWQPJebg9S8OM3TAlB5KTeHD4vWK5y9oeyQBgJ6
bg7hnGLtxvLKDiElKtP/B7g72Jc41p6+w+9QB7Knwd2hWbyWNbONwyGH8+eC
9MnuEH1qrA5vePcZzFzl7nDh97Hr827+tz+haTXp9HcE/5Z0TaKRqIfDi9rH
2effsDocB8mrezjYgcyX4YS4P8rDofr+j1vG2QIOnzYEZM9K93T4DwLxSg7G
INDt6VB+eJvrzLXKDu3Lw08ZzfF02GL+41AKl4rDn5jco/92ecL9m3D4snbq
S094eMD4sPACu9fJEx6exVtFf59WQ/DB9jFDzbujAvHnNQ9IuD1ScZhvo3Nl
1jkEf3+trEX6FgTfoenR8RmzPeD2wfgw92zQy1vM+MYD7t4I8e0XGfg8HXRB
9oupOCx/4aH3X9ETHj8wvsq1R8EMNQj+WiEdvnQ7ZQehT47n02Q9HdzXHF3O
8ELJoQ0UPiKekPDsVoL4/6e7Q4xqhMy5Gh5I/J5wg6YrZYedt7r+ph53c9ib
X/N2ZqkyJP0ehaaPDgR/5beXFWcWIPhg818rO/D4r5+SesMN7n6wP7+7wf2H
nj8A4jZwwg==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJnIGYC4tQ0IMjzc7jw+9j1eTf/2++vlbVIL/FzkNko
Np8pgdGhx+sVi0mln0O0aoTMuT1MDm959xnMrPJzuMF7WyzVjNlhx62uv6n1
fg4vax9nn9dhcbBvenR8RrefQ8ATz0umwuwO/0Fgup9Df0S3P+MGToe9IPNb
/B1mgkCmsoOC48fkM73+Dh8WrVc4e0PZ4Y50TaLRXH8HqXlxmqcFVByeJC68
ZrLf32FKe2vUZRkVB1fVUqZZH/wh4voIfsNvq4JzL1QcwP7x83fQUZT/knNN
xWFN9+0MBnvc/Nbl4aeM1vjB9cP4MPOXv/DQ+//SD24/2D/y/g5bzH8cSuFS
cQgpUZn+38Dfofr+j1vGr5Ud3oDCxwjqnw4Ef29+zduZpQi+iTEQJCvD9a/4
9rLiTICyA8viSVaMqX4O6p9UXs7i5HP4siEge1a6r8MdTdk1/xcrOficYLed
7erroAtyvxjUfgdfhzmLlHf+cVdxmPKNLX6Gia9DzSegRilViD3MCD44/h75
QNw7W9mBx3/9lNQTPg7ClZNKzrYoQfxX7uPwwDXecdZEOYj8Dm+H66D43sbn
IA+KL1lvuHpw+pD0dgjnFGs3Pq/kcFzTatJpcW8HkLXGwspwPsx/MD4svsHh
rO4Nj+96UDwEeMPD+0J+PPu5id7w+IDxYfEFjs/zXvD4bAfF3xEEP4fz54L0
Zi+IeXdUHMDpm8cLrh/Gh5n/ARTe5l5w+8HyKV7w+AbbV+4FSWfHoPHV6uXg
vubocoYXSg5nQMDGG5J/HnDC/QPJTyxwfot4LWumGwskfBO84fkPHL9rEXxw
ftrt7dAMUs/GDAm/494OX/d93JoexupwA5RfniLsu7uPb47xJ2h8qihC/L/Z
F5KeXgpC3P3M1yEGlJ9tuB1+xOQe/ffKF5Kfy7gg6UkBUR6glw8AasDYEQ==

            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWaBsBiifAY3NCJVHV4NLHJcaUtXjUkOq+YPB
nQAGXgI/
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4sWTrBh9CwIcdBTlv+RcU3EILlGZ/t8lwGFK
e2vU5TsqDpHi2y8y2CH4V4/mmjQIBzg0/LYqOPcCwX+SuPCaib6KQ826bUn1
plD1MioO+fHs5yQjAxy2mP84lMKl4vBi+3rm5zEBDp02nrvSLinD+Su/vaw4
80ERzt/fva/JJJkHzrcrcaw9fYcFbl60aoTMuT/McPtMjIFgMzPcPdyOfF4z
MhH8JbeWPzZsZnD4DwLxAQ5nwACT3+31isUkF8EHUxW4+dY6V2Y9O4kwH8aH
2f9YRPbk0+UI94HDuwXhfm2rSafrGxD+g/Fh/ofx+WMD7hu5K0Hi410g1HwG
iP+MgxxqXjT9mrbzrz2M/xfkr/p/cD7E/n/2HD8XpG82CnJoFq9lzWRjcIgA
mQfkf9n3cWu6GKNDD8j/hkEO9mD3IPj9Ed3+jAVMcD4svmB8WHyC48c0CB7f
rqqlTLMiguDp4Q3vPoOZVUHw9ALjw9JTLSg+NYPg6RGdbwMKX1kEf8PDl1M3
CeDmty8PP2V0JBBuPowPs//+Pr45xs8C4e6Td/yYfIYT4f6ZIMCL8B+MD/M/
jL8cFP/OXJDwnIXIH+j5CwBdEop4
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4v4FPwyfvQtyCOcUazc+r+TwhnefwcygYIf0
NCDYpuRgo3Nl1rPaYAcGENgAlb+F4DcHes5tuBcM1/9i+3rm53eCHdYK6fCl
2ynD+WD1BWj8Awi+rqL8lxwxFTh/ziLlnX/cVeDmN7Ac7TfcrgK3Xwek/pqK
w4aHL6duWhDs8CJL+9v0vSpw98LUty8PP2UUguBvbam5sFkTwY/NPfpvEztC
P1j+bBDcfHnHj8lnTgah2n8qCO6/3be6/qaehvL1lOD8D4vWK5zNUITzv+z7
uDV9m5xDfjz7OUmgeSbGQCAs5aD6pHne2WNQ/mdxh/v7+OYYXwty0Pik8nLW
SnGI/38FOcjvWrAv9Z2kw06QefzBDm/acruNZks59Hi9YjExRfDB8vUIvgLI
/WuDIeYHi8P5YHlpITg/WjVC5lwNp8PiSVaMvjXBDjd4b4ulmjE7SL9+ZCal
geCD08W/IDi/MmKF6dnrMPezQOLvDFS+jN1B+JPj+bSVQQ4Huvc1mSTzQ/w7
LchBHeQ/Tj4HV9VSplkrghyaxWtZM9s4IPG3McihL6Lbn7GAFRK/e4IcekF8
A0YHz+pmfZ9LQQ7bvTZYzKn8bw/2/8cgh5oXTb+m7fxrDw4voWA4/wEoPN0Q
/AJQ+APTx8vax9nn1zA6fNkQkD1rebDDGRDwYXPg+LkgffO1YIcWsHu4Ha4e
zTVpeB/sUH3/xy1jbkE4Hxzf80TgfFh8gv2/IRji3g+yEHMjEHxwejNG8B+L
yJ58Kg7lB8g6/AeB50GQcG6TdkDPnwCTmp4T
            "]]}, {
           Thickness[0.01223091976516634]}, StripOnInput -> False]}, {
        ImageSize -> {81.76352677459526, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {82., 22.}, 
         PlotRange -> {{0., 81.76}, {0., 21.12}}, AspectRatio -> Automatic}], 
       
       GraphicsBox[{
         Thickness[0.011419435879867535`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJdIAaxQYAJSjNCxZiR+Ax42MSox6UGWZxUc4jRS6r5
pOqlxO+0UEOM+0n1CwDTMQKN
            "], CompressedData["
1:eJxdlAlIVEEYx7c0tYN0Xd2tvXff2rYp+p5KF4X/ENPKUjRKyg5T18ouSMlK
odSMMEiLMA+iCDRjCTuMirKLtPKoKJIOMjQis4MsTLDcdma2WWhgWH5vv/mu
+c9n2rA9JdtLJpONce0Vrj3WtTfaXategaVPK9NHvabjZ8v35hylhrPh+qmW
7C4t5xxi36rHhfBtZ8b8tqKarH4jPu1sDh4ZsGLXvStx1TdNWEbs+6yId9xv
kKWZkfxKU5iRYoP/muSeyFlmVFX475lZboN10NJfs8iAS7OG72ZttjH7Ag32
DjYl566y4U55S3F0iZLz1dS5aU5rEOcyo29Ix3MlljzwnV+bLyJo99G8Tm8V
y/OKCPJjn6bCfu/7R6RuN9tV+OE6XvNLxG3iP1MNJ10iOsjaokUSrVfCAeI/
T4/MNW8WevlJ+Fy2tTzytYEzjfPBxPmNTedwRgmIIqtPhOVFb6psnsDs6kV0
Ev+FArKIfUE4ZGTBwvkqinvb0izY4Sh/vREi/gzlv6urtLB+T5JwgvRtwILu
wMEFj+slfj7P1f728xKLlyjgXlnDykcXXfbkfq6ZOffErVtQc9rDtN8JHlaQ
/pWauD/a7xwNQt6XnOw8J6GU9lvN49P+B6k4R5O6dyo5JxD/U4I4p3559v1E
RiDnfaqicZsWTubxaP8P+/F8+ov6ch+H+UFzcq2tHRKmE72M90fRyNwdXbMl
7O0ZfhU1UY6IGY2KJ9ESHIFhk3Na5Oz+FB62kvwfiZwbPiaEOytFrA5J03YV
ynEkNc9S5S8yf6FyHCd9Do1AKc3PF4Xk+xI9igm3+iCL6krn7v84ppPLWpZ/
ojPmFtFVrBbxzUltmT6jMVQ3tWo0L26aXTfHm9k51Ly+dJLHDTXTiU8A+79D
7fYn50zva1iPf/7o/VYbOK8crzwYFWPkHFtREmifYOLx6PtTmXk8qlNB4P6p
fmMF9xzQsfe0XGD26Xqu30PzFl23m43IpvNAQONQf0FHk4nF/ya4dWRm/hUe
PkvsKswQiE7rjOzdxZihI3Pmq57VP2Ri/Q7Vs/OxJlSRMl/qWJxTRnfdOpZX
nZbpNF7H5lX4VM5Uj8eUnGmZYcGIo3NJx+bPwwD3O/Ew7d+Ih6lu3upRS/MI
YPe+3sD0MhAAkcT5YcD/8/Qvh/hInw==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
            "], CompressedData["
1:eJxdlHlIVVEQxp9WmJVKRRthIiXvru/ed26ahOK0G0WWbRKVWlmvhRYsqFCk
TUEDizSpxBaVFloMCos2KqLS9sVChTZL/ygKszCy7M6Z986FDlzkp8c5M983
M9FL1qVm9XC5XEH2l2F/wfa34XRRk89ksHRR8+QePgZDSl+E+lIZtK5Sf5bp
DNKG1D51rWXQjSeJQd/JMZuCCxlIX8Kum1MZTLsXknio2mE3/vzlcEzLjoqH
igXH25I93UEOr1hun3yv4Ad4dhuQfXHQ7/q/XrgwpvPWskKV8uo0BdffHn9m
ZYXDPM9FJsQmXEvdv00TPB3zeqkLroXt7+92eii/LSZEpJwryUo2RbzELWkn
Yh+a0JJ5tGF0khc6LjcW/ullwQE8spfujbDAVE4OfDLR/34jAz06qmNNg0E6
hXuhDQsoMuA+3p/hzyPWgJ1h9oPVBum73QMZWFeaB0r2RGyNK9Kh/NjIy10F
Gul8WBP1TbmRGxnfqgruGVoYtTTcYX4/T4ELnrWVQTma4KH4zntd8PCKxXJ9
hkl65Kp+vb2k2zsdXg1oH/f4E4PpT/cu/Fupi3p5Xm4dbuYfn18XbFHerzXS
xfa5FPNXHQ7ED3BOe83M1VsVKJ69cVRZN4NkrOeuDHm/x65/1NuCfQW7FjzP
keE85t/PIr/TZPIhwiLf4h2e1Tg8J5M5zPNrlQTzOmskEb8e61wjiXy4X4Ml
+IH+2n07E+M9c1P9cQzieB+5hT7pc1LdR0IlwRaebIn8DWdQx/tHot9PYPTO
MBmaMM0sRn6ddZjHeeCwgf3UUxHsW/dt1/05Cs1LJvPPiUJzsZjBMtTnksO8
/hBVcKAvAsz1b1RFPB5/owZl6NtqRn2yRBP3P6J/iRr1/yRbL8xvlCb0efxy
3mfjikp+dXnhI+peLMN3+5mDtSb5eVWCrp+b3pafNwTzOFW6YK7rSZX2R6lM
czJXgRL8e7MiOBd99GmCL2J9p3Tx/6O5Hwb1XaQBNZhXggFncLGEeeiebPjv
6YK57i2a4CgUKF31v2+I9wL7IsCVb66Hl2d7BffDPXKJ0Xzf0cifzRb50Mck
na7690aVCXzffrMgBefMjhNgPh9fHaY9wMCF54gl5pH3t+mw6HM/V2F+Hxj5
3d8CN+7XOib6//99/w/DnKGE
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYCYvvKiBWme40cPixar3B2hYLDGRCQMcbg39GU
XfP/saJDf3CJynR9Y4fUNCBgU3ZQfdI872yUsUNG/ofWkyEqDovv7+Obw2zk
UPNpQ0C2lKrD1523uv6mGjr8/Vb6YE6gqkPJVtHfp/MM4Pw/b18fsFysBefP
WaS880+7mkP1/R+3jE8rwvlrhXT40u9JwPkxqhEy5/4IQ+yJUndQ/6TycpYn
v8N/ELiv4ZAGBpwOW8x/HErp0nKIBqnfw+TQwuu/foqqrkPNi6Zf03b+tfe/
JV2T+EkfztfXWil84YoBnM/tplrKtMrQQWaj2HwmBQaHk4ed1mb6GUPC5Qwz
nH+we1+TCbMQnB/y9vLHGY3CUH8ZO7xpy+02mi3sULim+3ZGAUy/sAMPyPxT
xg47g60i/ruLOLzI0v42fa8xxH81opDwXWXkIFI5qeRsiqhDt9crFpOFCP4f
kPmOCH5y7B035heGcP5toPeMriL4/EDvp54wgJsP42uAwo9TxEHjLe8+g5OG
DibGQLBZ2CEdFIxiRnD3L3/hofff0AgSP9oIPsz/MP7yW8sfGzpzwflg8z6z
O2zQy1vMqGMEse8kGyQ9yRs52JU41p6WYXN4DvL/X0OHFvFa1kw3Fgf/ixNj
/jkbOrysfZx9/g0TxH8VBnA+OD2o68D5YP2ymg4vQPw1/HA+OD4eSsL5M8FA
0WG7Q9Oj4zu0HVg4u+ST/VQcToPiT84Azn+SuPCayX4Ev5HlaL+hu6FDw2+r
gnMaKpB43GPoEM4p1m58XxmS/vKNIOZnKjvA8hc4vG4rwfkrv72sOPNB0QE9
/wEAWiif5A==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4pKtor9PnzNzWPntZcWZD4oOMP6HResVzt5Q
djh12Glt5j0zhy3mPw6lcKk4xCg4fkzOMXeY0t4adVlGxUF6XpzmaQYLhyeJ
C6+Z6CP4Db+tCs69UIGIy5s76CjKf8m5puIwbQJ/ldltMzgfbK4Vgs8AAgtM
4XyfE+y2s0NNIfbdUXFoZDnab1huAjcfxofZ79D06PgMblO4+2aCgSnc/Rpv
efcZrDSF+w/Gh/kfxt/fva/JJJkHzl9ya/ljw8MscPOiVSNkzv1hhttnYgwE
m5nh7uF25POakYngg/U3Mzi8yNL+Nl3X1MEYrJ4Bbt4ZMGCAhweMDwsvFHkv
c7h+WHjDzIfxYfbD4gvmPlh8wtwPi2+Y/2B8mP/R0wcAAuv1Zg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4ov58eznDB0cuB35vGa85HCoiFhhelbZwUFm
o9h8pgecDimxd9yYO+wdltxa/tiQmc3hQNvy8FOb7By+7Pu4NV2MBSJ/whbO
t6kEGpBrDefbNz06PuO2pcND13jHWYECcH6LArvqmSuScL7ytUfBDDGKDlv0
8hYz2lg7sHB2ySf7qTj0B5eoTPe3hfOPH3Zam1lnB+enpgHBNnsHgdiA+0bh
ynD+3vyatzNTleD8D4vWK5xdoeBgDALcDnD+GRDgcXAoPbzNdeZdRQfVJ83z
zgo5QMT3KDm4q5YyzdJwcMjI/9B6MkTFYYv5j0MpXvYOZjZ7g6YxqjrU/rYq
OJdh5/D3W+mDOYGqDvUsR/sN223hfLD6Khs4f8ZMIKi0djixa0cv2wWoeaus
HMI5xdqN7ytDzbd0WPntZcUZByUH6XlxmqcnWDj0RnT7MxbIw/nV93/cMn4t
Aedv9dpgMecnj4P6W959BpVWDjUvmn5N2/nXHhZ+MP5/EPC3g/PB8Wdh72Bb
4lh7eg6Dw3wbnSuz2Bzg8YeePgB1nfgN
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}}}, {{{36.3047, 4.695309999999999}, {36.6672, 
            5.50469}, {36.6063, 5.56563}, {33.43129999999999, 5.56563}, {
            33.1047, 4.7562500000000005`}, {33.165600000000005`, 
            4.695309999999999}, {36.3047, 4.695309999999999}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYC4gjx7RcZ1Fwd0tOA4JmCA4y/VkiHL11PyaFt
efgpIx1Xh5XfXlacYVB2cGh6dHyGtasDC2eXfLKfigMDCBxwcRDt8XrFIqLq
IDH1CmdGlYvD32+lD+YEqjoIfXI8n6aK4D9JXHjNxN4Zzje/djTXZIaTwxkQ
4FGG88HuOSYP5+8Itor4ny7rsL9W1iJ9jZNDxf0ft4xXSzt0A601uenkEKMa
IXMuRspB3vFj8hleZ4j770lAzA1xdnBfc3Q5g4SEg/qT5nlnXzk7eID4FeIO
l/Lj2c8lujj0RnT7M34QczihaTXp9HQXqH1icP9VgezzFnWwALnnhYvDTpC8
u4iDKsi8Xy4OwW8vf5zxUAjOrwap5xaE89PAgNOhZKvo79NtLg72JY61p2WY
IeH9zBnOB4dfFoK//IWH3v+PTg4Hu/c1mTxmc7i/j2+O8SsnhzkzgeAmF8S/
d6Hhs1wAHj4wPtj8dU4O/k88L5lO5ofz1T+pvJzFyQfnmxgDQTEvnL/41vLH
hsyckPBahbAfZO3MhU4OGiD9nUwQ/k8nB5mNYvOZFBgg5gQ7O9S8aPo1bedf
e5bFk6wY1yL4F0HhvdMFzp/yjS1+Ro0r3D4YPwQUno3CcD44+I6JOvD6r5+S
mgFNn3HiDjelaxKNbF0h8bRAwmFN9+0MBnZXSHxbSDnoTljww/CYi8N0cHhJ
OYSUqEz/L+ECcedkaYj5Mc4OriD1ETKQ8JVyhqYHWTj/jqbsmv+XFeB8cPze
VnLI4fy5IL3aGZ4fwHxmFzgfnJ7sEXyw/RUuDlPaW6Muy6g4vOHdZzBzkQs0
nSk7+Jxgt5191cVBIDbgvlG4ssM8G50rs565ODhPaBZK+6UEcfdrFwd+kLy7
EsT9X1ww8i+MDwDIvJyZ
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQfTE/nv2cp4dD4fKSDf/62R28T7Dbzjb1cGgWr2XN
bONwUH3SPO/sJXcHuxLH2tN3WByeJC68ZrLe3SFaNULm3B9mhzMgkIPgW1w7
mmvCgSa/xc1B45PKy1kn2RxmgkCnm0ML2Hxuh7bl4aeMctwcrvPeFkvdxueQ
ePiydmqim0O7ArvqmS0CDmkgEOfmEPL28scZjcIODCDg4A7nv+HdZzBzFYLP
sniSFeNbd4cMkL5lwg6fNwRkzwr3cFDYtWBfqp6IQ7fXKxaTSA+HGJD77ohA
/Bfl4VB1/8ctY29ROB9szwMEH+JPaQde//VTUl+4Q/g88g4mxkBgjeA/2Mc3
x5gJwf8Esn+/m0MNyPxsOUj4NLg57O/e12TiLAsJD0Y3h/VCOnzp/6QcFtjo
XJl1ztXhPxiIw/lgdT+F4Hx7cHzwOyg4fkw+89TVIR3sXy6Hnbe6/qbyu0H8
94fNQeST4/k0XzeoekZ4fNS8aPo1bedf+7rfVgXnNNzh/BUvPPT+JyL4YP/N
dofEl9t/e4mpVzgzbrk7yGwUm8+UwAiJPxYPh/6Ibn/GAiaHKd/Y4meoeEDC
ZTOzgxoo/LQ8oPpZHNDTGwBhQRw7
             "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQ3eP1isXkortD1f0ft4y9RR3qflsVnGtwdzAxBgFR
h8qIFaZno90d0kBATdShbXn4KSMVBJ9l8SQrxrtucP4ZENjiBtefePiydmqi
m0NfRLc/YwGC36bArnpmi7jDpw0B2bPS3RyEKyeVnD0i4eDQ9Oj4jGo3h3SQ
eWxSEPvmuDmkgM2XcZhno3Nl1j03h1aQ/hJZiHs13OF8mHth/I16eYsZW6D+
uSzjcELTatLp+e4Q89ukHS7lx7OfO+juIL9rwb7Ud5IOU76xxc844+6wM9gq
4n+7hAN6+AAApXJ6IA==
             "]}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4vbl4aeMTLwcniQuvGair+IA4zf8tio490LF
4f4+vjnGXZ4OOoryX3KuYfLn2ehcmZWG4BuDgDNufrfXKxaTmR5w82F8mP11
IPELHg5T2lujLsuoOPSA5D96OEjNi9M8LQCVZ/B0+LBovcLZG8oOZ0BAxNMh
nFOs3Vhe2WHHra6/qeZeDvYljrWn7/BDzE33cmgWr2XNbONwuJAfz36u0ssh
DQTUWB1CSlSm/5/g5XDh97Hr827+t9eZsOCH4T0E377p0fEZv70cXtQ+zj7/
htVBHyTP5+1gBzJfhhPiPkdvh+r7P24ZZws4RIhvv8jg5+PwHwTilRxmzASC
Qh+H8sPbXGeuVXZ4y7vPYGaTj8MW8x+HUrhUHBIOX9ZOXegD9+9xTatJp8/7
wMMDxoeFF9i9Gj7w8LwhXZNoxIvgg+176Q0x744KJHz2eDtITL3CmfFIxYFl
8SQrxq0IvvqT5nlnZyH4y1946P1v9IbbB+PD3CMOUnfJG+7e/bWyFulfvB10
QfaLqTjw+K+fksrhA48fGF/l2qNghhoEf62QDl+6nbJDRcQK07PMPg7ua44u
Z3ih5PAeFD6/oOHZrQTx/30vhxjVCJlzNTwOe0Dxu94T4q8YZQcFx4/JZ9Z6
OuzNr3k7s1QZkn7XQNNHB4K/8tvLijMLEHyw+a+VHUq2iv4+vc8T7n6fE+y2
s+96wv2Hnj8APBttQA==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJnIGYC4vQ0IFgV4HDh97Hr827+txf+5Hg+bW2Ag8xG
sflMCYwOFRErTM+uD3CIVo2QObeHyUHbatLp+g0BDjd4b4ulmjE79C/4Yfhs
U4DDy9rH2ed1WByCS1Sm/98R4BDwxPOSqTC7gzEI7A9w6I/o9mfcwOkANt80
0GEmCGQqOxy+rJ0qaRXo8GHReoWzN5QdFBw/Jp9xDHSQmheneVpAxUH1SfO8
s0GBDlPaW6Muy6g4XD+aa9KQHejwJHHhNRN9BL/ht1XBuRcqDmD/SAU66CjK
f8m5puLA8XNB+mYh3PzvbPEzfE4GwPXD+DDz25eHnzJ6EQC3H+wf5kCHLeY/
DqVwqTjE5B79t4k70KH6/o9bxq+VHTRB4cMD9U8Hgr83v+btzFIE3wRkTrIy
XP+Kby8rzgQoO2xtqbmweWmAg/onlZezOPkc1nTfzmBQD3C4oym75v9iJYcI
8e0XGcQCHHRB7hdTcYgF6RcOcJizSHnnH3cVh9p125LqeQMcaj5tCMiWUnWY
AQrnl/5wfggofk74Q9w7W9mhZKvo79Pr/B2EKyeVnG1RckgFhV+cv8MD13jH
WRPlIPLz/Byug+J7G59DKyg8WPzg6j8AjZ3139chnFOs3fi8koPOBGCC+OcL
CSdhZTgf5j8YHxbfPifYbWfz+sHjGxzu5n7w8Da/BozgCj94fMD4sPgSAaWn
rb7w+HzDu89g5ioE/0J+PPu5TF+IeXdUHFRA6emTD1w/jA8zPxwUvnK+cPvB
8l6+8PgG2xfrCwmnY8oOOZzABJXt6+C+5uhyhhdKkHhV9oPknweccP9A8hML
nN8iXsua6cYCCV83P3j+26CXt5hxCoK/9IWH3v+Ffg7NIPVszA66oPBb5+fw
dd/HrelhrA72TY+OzziNsM9FtZRp1g1ofKooOrzYvp75uQ80Pb0UhOSPtACH
GFB+tuF2WP/w5dRNGdD8XMYFSU/NiPIAvXwAALn92oM=
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWaBsBiifAY3NCJVHV4NLHJcaUtXjUkOq+YPB
nQAGXgI/
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4qtHc00aHgc66CjKf8m5puLQvjz8lNGOQIcp
7a1Rl++oOPR4vWIx2Yjgc/xckL65LdCh4bdVwbkXCP6TxIXXTPRVHNY/fDl1
0wqoehkVh8WTrBh9zwQ6bDH/cSiFS8VB+vUjM6kLgQ6dNp670i4pw/krv72s
OPNBEc7f372vySSZB863K3GsPX2HBW5etGqEzLk/zHD7TIyBYDMz3D3cjnxe
MzIR/CW3lj82bGZwACkzvhzocAYMMPn7a2Ut0h8g+P9B4DVufn48+zlJ2yC4
+TA+zH5xj4A/EtJBcPddB4X3d4T7Y3OP/tv0GeE/GB/mfxifPzbgvpG7EiQ+
EoOh5jNA/Lcs2KHmRdOvaTv/2sP4f0HurP8H50Ps/2dvo3Nl1rOlwQ7N4rWs
mWwMEPOA/C/7Pm5NF2N0OADy/5JgB3uwexD8/ohuf8YCJjgfFl8wPiw+l4Di
Z0UwPL4rIlaYnj0dDE8PCo4fk8+8DYanFxgflp42gOJzTjA8PaLzC0DhOxHB
fyIie/JpM27+zltdf1PNEebD+DD7hT85nk+LRLgvpERl+v8ahPvB0dyA8B+M
D/M/jL8cFP/OXA7doPDkDYLbh56/AFO8m38=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4iOXtVMlk0IcwjnF2o3PKzkoOH5MPnM0xCE9
DQi2KTkUxLOfk/wY4sAAAhug8r6hcP7WlpoLmwND4fplXj8ykwoIdVgrpMOX
bqcM54PVF6DxDyD4uoryX3LEVOD8OYuUd/5xV4Gb38BytN9wuwrcfh2Q+msq
Dk9EZE8+FQ51eJGl/W36XhW4e2Hqd97q+pt6HMF/sX098/M5CP6EBT8Mn1WF
wPWD5R1C4OaHlKhM/28Tgmq/bQjcf2959xnMtIPy9ZTg/A+L1iuczVCE87/s
+7g1fZucw6JJVoy+QPNMjIFAWMohQnz7RQYrKP+zuIPQJ8fzaZ4hDhqfVF7O
WikO8X9uiIP8rgX7Ut9JOrwBmdcU4vCmLbfbaLaUw4FaWYv0FQg+WP4Tgg92
v0IoxPxgcTgfLC8tBOdHq0bInKvhdLh6NNek4X2Iww3e22KpZswOAXJiWb6z
EfyZIFCI4K/pvp3B4A1zPwsk/hyg8mXsDq6qpUyzZEIcDnTvazJJ5of4lyvE
QR3kP04+h4qIFaZnpUMcmsVrWTPbOCDxpxri0BfR7c9YwAqJX/0Qh14Q34DR
oWbdtqR61xCH7V4bLOZU/rcH+z8lxKHmRdOvaTv/2oPDqxXBB4fnTgQfHP4f
Qhxe1j7OPr+G0UHtSfO8s1KhDmdAwIfNwUbnyqxnnqEOLWD3cDtw/FyQvjkp
1KH6/o9bxtyCcD44vueJwPmw+AT7XyUU4t4PspB0fiYEzgent2UIvoRHwB+J
big/QBZiTjQ0/7VJO6DnTwChq3gl
            "]]}, {
           Thickness[0.011419435879867535`]}, StripOnInput -> False]}, {
        ImageSize -> {87.56626650062266, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {88., 22.}, 
         PlotRange -> {{0., 87.57}, {0., 21.12}}, AspectRatio -> Automatic}]},
       "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"PointSize", "[", "0.012833333333333334`", "]"}], 
                 ",", 
                 InterpretationBox[
                  ButtonBox[
                   TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                   BaseStyle -> {}, BaselinePosition -> Baseline, 
                   DefaultBaseStyle -> {}, ButtonFunction :> 
                   With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                   Automatic, Method -> "Preemptive"], 
                  RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                  Selectable -> False], ",", 
                 RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}], "}"}], 
           ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"{", 
                 RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", "True", "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.7951869703447523`*^9, 3.795186974840651*^9}, {
   3.7952283157694883`*^9, 3.7952283614531517`*^9}, 3.79522840720371*^9, 
   3.795228468255653*^9, 3.795228522246873*^9, 3.7952286222394342`*^9, {
   3.7952286946076508`*^9, 3.795228697329195*^9}, 3.795228825867494*^9, 
   3.795230731355199*^9, 3.7952326956944447`*^9, 3.795232735633525*^9, 
   3.795232859219963*^9, 3.79525401357961*^9, {3.795254159286933*^9, 
   3.795254179567627*^9}, {3.7952542558161373`*^9, 3.795254279322239*^9}, {
   3.795254324248302*^9, 3.795254330887904*^9}, {3.7952553314059143`*^9, 
   3.7952553638821507`*^9}, {3.79525539442819*^9, 3.7952553974935417`*^9}, 
   3.795255482473854*^9, 3.795255590673718*^9, 3.795256419535687*^9, 
   3.7952565365374527`*^9, 3.795256695851474*^9, {3.795320388330069*^9, 
   3.7953204053092737`*^9}, {3.795320438715073*^9, 3.795320460834072*^9}, 
   3.795333422042973*^9, {3.7953688354289713`*^9, 3.795368874005905*^9}, 
   3.795374067792664*^9, 3.795374101111079*^9, 3.795374164071698*^9, 
   3.795374194685882*^9, {3.795517937015497*^9, 3.7955179628713083`*^9}, {
   3.7955180106612673`*^9, 3.795518039827029*^9}, {3.795519275983137*^9, 
   3.795519284241844*^9}, 3.795520715767482*^9},
 CellLabel->
  "Out[381]=",ExpressionUUID->"c24db48e-2ebb-490a-847c-3a363ebc6a9a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", "\[CapitalDelta]\[CapitalOmega]S51", 
    RowBox[{"(*", 
     RowBox[{
     ",", "\[CapitalDelta]\[CapitalOmega]GIC", ",", 
      "\[CapitalDelta]\[CapitalOmega]SVWN5", ",", 
      "\[CapitalDelta]\[CapitalOmega]GICVWN5", ",", 
      "\[CapitalDelta]\[CapitalOmega]GICMFL"}], "*)"}], "\[IndentingNewLine]",
     "}"}], ",", "\[IndentingNewLine]", "OptionsPlot", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"All", ",", "All"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{$w$}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{Error in excitation energy (eV)}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega_\\\\text{S}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega_\\\\text{GIC-S}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega_\\\\text{SVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega_\\\\text{GIC-SVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\Omega_\\\\text{GIC-SeVWN5}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLegend"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",\

 CellChangeTimes->{{3.795228474820265*^9, 3.795228486349724*^9}, {
   3.795232866323328*^9, 3.795232868634223*^9}, {3.7952563831629972`*^9, 
   3.7952564091280003`*^9}, {3.7952564479537888`*^9, 
   3.7952565003041477`*^9}, {3.7952566984164953`*^9, 3.795256707881439*^9}, {
   3.79526000483041*^9, 3.795260020084659*^9}, {3.795260575363516*^9, 
   3.795260578010003*^9}, {3.795260625961279*^9, 3.795260647550274*^9}, 
   3.79526070114189*^9, {3.795333433634823*^9, 3.795333446029772*^9}, {
   3.7953740818735228`*^9, 3.795374082051568*^9}, 3.795374124295308*^9, {
   3.795518050220316*^9, 3.795518051434219*^9}},
 CellLabel->
  "In[382]:=",ExpressionUUID->"285de9b9-fad2-431d-b993-6b52467af553"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.012833333333333334`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]], 
        LineBox[CompressedData["
1:eJw1mXlcDd8bx9vIElEpSyhR1q/sS/iQhFCESgjZEpKyVYoiWwshSxTSvhCJ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         "]]}}, {{
        Directive[
         PointSize[0.012833333333333334`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}}, {{
        Directive[
         PointSize[0.012833333333333334`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {}}, {{
        Directive[
         PointSize[0.012833333333333334`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[0.01]]}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {False, False}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, BaseStyle -> 16, 
     DisplayFunction :> Identity, Frame -> {{True, True}, {True, True}}, 
     FrameLabel -> {{
        FormBox[
         GraphicsBox[{
           Thickness[0.004640586570142466], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJNIAaxQYAJSjNCxZiR+PjEcakhlU2JOcToxeVmSvTS
wl+U2EWMmQB8+QKp
              "], CompressedData["
1:eJx1lGlIVFEUx8cUU9xyZjTTN857M9o0pjZPpUUKz1BW+MFEo6S0qMmFLCuy
lakPahnZB9vTokJDK7TdwRanIlpdKpIUNUYoClsoS0VonXuv90hJBy7D7703
Z/n/773SynWpWa4KhcLFuZY51xjnKqcxkLDje/z61uky5GQ7460ClormPkuk
DAoSd9xhfW1pV64ow91Se2GcZSz8pmFCPlSya8kL6xRkv8wUR8w0CbkhLT79
d44GhMuBp8b0uEO/va8+Z1DAervEseHN1wQ49ejgmbzqoQT1tgMFLcUj/HH3
2tKY48HQ4dMVmGVzg4zwdKH1VjBk0/CAZhrB0E7eD3ohH6PzeSOXkDrqcch1
ykjfnJ1KzFdM3i8MAV7vX6a/NwXkuFhnXA39L9MytXqsx5nWs4bCpnu2xPJX
emhcZ/1UPiCCm+derSU6jH13Qgc9icvNFf76v9lFD7PLipTZwcPcp4MvlRfF
lrMS0HF7dTCv9n6NYo8En8nzBh37PkJk8ybrWP2MUJa3W4KtjqHOWK9Qlk+W
hnXTwE9i820N82+ehvnlHoQ8n9RpUCPT+Q+q0G+mlz8Yvob1Vjwe4WNlftun
NhnY/ihSwZXo/CqXbgNsJ33kBUDy8/0Zv14b4DrNG4RM+/4hIHO9eb5E0k+H
FoIOt3nmFhpgC9E3SoQoSdu/xjaR9b9IhEjCL8OYLkkSMs4/nO9//G715MGj
mZOQ6XFwjGaevy78TdFJn0isz5n3R59nR7B9EC6y/JoI5o+3COp9Se/d2ow4
XwzV2Yjzp3SGWFekGsFK9PsgMP9mGNl+uB6ELN44bc/yDUSm5+yNCqbObEw9
YjaiPzwf52+XUvIq3pnY+bmmggVEf1eZ+fxQDZbM7rmuHjLzb/IEZNpPk4DM
561y2H1PfDOhXhvrA743tZpARfrpl5geNhP73kcH44mflSNsijinejZnhFeR
/Fujh/e5fhRvIPeXyQRErtg0Pdbn57Fd+dX8tFpm51GjgwLSzwUZHKQ/SYJ7
u2sWP7kis3trsxaZ+axBpn0/CEHmevB8k8g5MAYAsb/lvAxa4ke+EuvT/LZx
yLMKzDuaBB9kfp/y//P7m9f79z7/AyDKlpk=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYCYlObvUHTFNUcnmdpf5suq+XAwtkln+ynDueL
9ni9YpmiAedn5n9oPblFw0Ffa6XwhSeacP6MCfxVZqfV4XzhykklZ5cowPk7
gq0i/rvLOmzSy1vMOEfD4cu+j1vTr8k4zFmkvPNPu7pDqwK76pktMg5/v5U+
mCOo5iAC0t+C4L9py+02mi3lcP5q2Bv9aA2HGNUImXN7pByYQe7V03Q4AwZS
DjWfNgRk/0Lwp7S3Rl2eo4WT38Lrv35Kqx7cfBgfZv+Jw05rM+/pwN0nMS9O
83SBtkNqGhA8k3H4DwLx2hD/iMnC+TD/w/hgf8uowfm+FyfG/GPWgNi3VAfi
r9maDhmg8DLRg/Nrf1sVnNPQh/NNjIHgsr5DQkiQ+gJNTQfVJ83zzmoZOBiA
4kNFw6FgTfftjAYEH0wvMXDwOcFuO/urtkNy7B035goDSDzr6TiUbBX9fVrP
wOFJ4sJrJv46DlPB8agP59ezHO03vK4H50Ps14WGnzYk/tR1HcxB6YhRG+4/
sPhzDTgfZl8DyDxxbbh5EPdoOviAwmOxtoMUKHwvqDsE3JKuSTTSdoClT5j5
6OkVADyNPC8=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYC4udZ2t+mxxo6gGlZLQf/ixNj/n1G8K8LfXI8
P80Izm9kOdpvuNzIQV9rpfCFJ5pw/owJ/FVmp9XhfOHKSSVnlyjA+TuCrSL+
u8s6qD5pnnd2lpHDl30ft6Zfk3GQnheneVrAyKFVgV31zBYZB+8T7LazQw0d
RED6WxD8N2253UazpRy2mP84lFJl5BCjGiFzbo8UxL2PjRzOgIGUA4+baimT
lzGcPx3krtm4+X3BJSrT+03h5sP4MPs36uUtZtxjAnffTemaRCNWE4fUNCB4
JgMx548xxD9isnA+zP8w/iaQOTJqcL4vyN3MGhD75ps4nL8a9kZ/NjQ8003h
/B6vVywmDxF8kLVpZmYOCSFB6gs0NR0+bQjInlVu5mAAig8VDQfbyogVpmcR
/L/fSh/M+Wjm4AMKx6/aEPEjZg4snF3yyXo6Do5Nj47PqDZzeJK48JqJv46D
xNQrnBlGCD6P//opqTtM4XyI/abQ8NN2kAHF3wMTB3ObvUHTGLXh/puzSHnn
n+cacD7MPl6QeTeM4ebV/7YqOMdh7OADCo/F2g63QeFrauQQcAvE0HaApU+Y
+ejpFQCOUDjb
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{
              1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKP08ceE1k3xrhycg2l/HwbYyYoWprCWcLzH1CmdG
k7lD7W+rgnMcmnD+m+Ktor+9VeD8gLeXP85YKO8QreD4MfmNhcPOYKuI/+2S
DupvefcZ/LSC8zfo5S1mzLGF86dO4K8y07Z3cJ7QLJSmpQDng+1/rwLnz5gJ
BJaaDmdAYI4t3H3o7v+y81bXX1VrB3GQu5y0HWJA7pljA+dLzIvTPL3B1iEz
/0PrSRENOP+Ba7zjrIPKcD7YPVIKDn++lT6Y89DG4T8IzJd2SIi948Y8wxrO
1wD5j9MKzge774+FQ+nhba4z7yrA+Y8ixLdfTFCF8/+CzDXUhOjbbwl3H7r7
AcdSw7k=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYCYl7/9VNSORwcnmdpf5suq+Vg3/To+IxgBJ9l
8SQrxqUI/k3pmkSjtQ4O+lorhS880YTzZ0zgrzI7rQ7nC1dOKjm7RAHO3xFs
FfHfXdZhTfftDIblDg5f9n3cmn5NxmH5Cw+9/4kODq0K7Kpntsg47K+VtUhn
cXAQAelvQfDftOV2G82WcijeKvr79DQHhxjVCJlze6Qg7j3t4HAGDKQc5tvo
XJn1D8F/krjwmom6I05+4uHL2qmKTnDzYXyY/Z83BGTP2u4Id1/78vBTRjGO
DqlpQPBMxuE/CIQ7QvwjJgvnw/wP42/Sy1vMKKMG5/tenBjzj1nDIQFk30pH
h/NXw97oz4aGJ68TnH9/H98cYy8EH+zsEieHhJAg9QWamg7CnxzPp011cjAA
xYeKhoP5taO5JgcQfPGpVzgzLjk5+Jxgt539VdthI8gde5wcWDi75JP1dBx2
3ur6mzrdCRIu/joOqk+a550tQvDlHT8mnzFF8MH2f4GFnzYk/k46Opjb7A2a
xqgN99+cRco7/zzXgPNh9oHNc3WEmxcpvv0iwz0HBx9QeCzWhoRviYNDwC1Q
QGg7wNInzHz09AoA05JC9w==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQnQYCdW4OLJxd8sl6Og5ty8NPGeW4OTxJXHjNxF/H
4UCtrEU6i5uDz8WJMf8Wazu84d1nMHOWq0PALemaRCNth5Ktor9P67k6mNvs
DZrGiOA/z9L+Nl1Wy2HZCw+9/5UIfg7nzwXppxF8h6ZHx2dcdnXQ11opfOGJ
Jpw/YwJ/ldlpdThfuHJSydklCnD+jmCriP/usg4inxzPp511dfiy7+PW9Gsy
Drz+66ekdrg6tCqwq57ZIuOg9qR53lktVwcRkP4WBP9NW2630WwpB90JC34Y
fnN1OAMGmPyQEpXp/zXc4PzKiBWmZ6Nx83fe6vqbqu4ONx/Gh9l/MT+e/dxJ
N7j7pnxji5/R4gZ3Pyw+YP6D8WH+R48vAHkzzP4=
               "], {{
               44.256299999999996`, 17.618800000000004`}, {43.77969999999999, 
               17.618800000000004`}, {43.3672, 17.206299999999995`}, {43.3672,
                16.729699999999998`}, {43.3672, 16.2688}, {43.77969999999999, 
               15.854700000000001`}, {44.2406, 15.854700000000001`}, {
               44.70159999999999, 15.854700000000001`}, {45.131299999999996`, 
               16.2688}, {45.131299999999996`, 16.729699999999998`}, {
               45.131299999999996`, 17.173399999999997`}, {44.70159999999999, 
               17.618800000000004`}, {44.256299999999996`, 
               17.618800000000004`}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4oqIFaZnZ3s5vGnL7TaaLeVwXNNq0mlxb4cz
YCDlcCE/nv2cJIK/v1bWIt0GwQ8pUZn+PwI3/4Z0TaLRU2+4+TC+SOWkkrMt
MhDzJ3o7tCqwq57ZIgPR5+Pt8GXfx63p12Qc5tvoXJnl5u3gvubocgYLWThf
GKR/iQKc7wFy2HE1OF9++QsPvXoth5Ktor9PX/NyeJK48JqJv46DypPmeWc/
ecL5XzYEZM9ajuCD7a/xdNBVlP+SI6bjcH8f3xzjIE+HH29fH7Bs1nb4DFK/
3cNhs/mPQylZmnA+C2eXfLKejsNNkP+WesDNE/rkeD7N1sPB5+LEmH+LtR0c
mh4dn3HZ3SHgFkihtsMJUHinuzuY2+wNmsaI4D/P0v42XVbLwcQYCDYj+ODw
Z/GA8yd/Y4ufwePhoK+1UvjCE004f8YE/iqz0+pwPiy8YPwdwVYR/91lHeaB
wovNAx7eiYcva6cedIfHh4Ljx+Qzqe7w+ILxYfFpce1orskHd4cY1QiZc3uk
HNZ0385gUPeAxz8oGv4nIvgsiydZMc5F8Dfq5S1mvOIB158GAnGecPNhfJj9
qqD4Y/KEu8/7BLvt7L0I98PiA+Y/GB/mfxjfDBTeiepw/vFdO3rZLmg4yIP8
Z+vpcOKw09rMOC1I+tyJ4IPTg5MXnA/LP3MWKe/8c1wDzs/I/9B6MkTNAT1/
AQCXyI3Y
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQffiydqrktgCHv/+BwF7e4cX29czPVwQ4HOje12Ty
WN6hMmKF6dn0AAfXNUeXM1TIOuyvlbVIDwhwSE0DgmcyDhsevpy6SQXBZ1k8
yYrxqD+c/yRx4TWTcH+HNUI6fOn75Bx0Jiz4YSjn71B+eJvrzLcKDh82BGTP
+u7n4DyhWSjtl6JDAshBL/0c1oLU31NyuCFdk2j01M9BV1H+S842FQdjEGAP
gPO/s8XP8PFF8PPj2c9JVgY4sHB2ySefU3HwlxPL8t0f4DBnkfLOP+qqDiDn
+R4IcJgJBqoQ/QcDHH69fX3A8jGCb6C1UviCixqcfwYE3mg6RIhvv8hQFgDx
l7+Og/TrR2ZSLAg+2P97/eF8gU+O59NS/R30QeY90XZY+sJD77+gv4O5zd6g
aYraDiYg/2T7OfwB2b9Y0wEUDf/V/RxmTOCvMlutDudPaW+NuhyjAucrX3sU
zBCj5DDXRufKLDc/B+HKSSVnlyg4+Jxgt51d6wcJ73tyDmu6b2cwnPeD6KuX
hsfHzmCriP/tkg7HNa0mnX6P4Neu25ZULxsA54PD2znAQf2TystZnFKQ9JET
4CC/a8G+VD1pSHh2BDiEvL38ccZDaYetLTUXNs8NcGhVYFc9s0XGQcHxY/KZ
hQEOX/Z93JouJuuAnt4AsBweDw==
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQrfqked7ZtACHX29fH7B8rOpgo3Nl1jPDAAcjYyC4
rOpQu25bUr1kgMMW8x+HUk6pOlzIj2c/99Ifzm9dHn7KqAfBf5K48JpJuD9c
f8Lhy9qpL/0cLlwNe6P/G8Gv+bQhILtK3WHGTCD46Odw+gwQ6Gg4bNDLW8zI
4+/wKEJ8+0UGTYe5IAeZ+Tukp4GAloPuhAU/DPv8HcSnXuHMcNJ2OK5pNen0
ewQf5l4Y/7GI7MmnxgEO2x2aHh2/oeVwfx/fHGO3AIcp7a1Rl/9oOriqljLN
iglwOLZrRy/bBw2H2Nyj/zYlBzj4XpwY849ZwwE9fACemYyo
               "]}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYAJSjNCxZiR+AxksEk1hxj1lJhJLb2UuBMA
8t8CMw==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4t23uv6mcgc5zJgJBJWqDhURK0zPzg5y+A8C
+7UcbHSuzHq2MMhhu0PTo+M/tBzy49nPSa6FqpfUdkhPA4J9CL6rainTrDOY
/OdZ2t+m/9V26PZ6xWJSieCLewT8kfgd6LBB9UnzvFw1B3nHj8ln1gZC5GW1
HJoDPec2zAt0kJkXp3n6gpaDv5xYlu/kQIeaTxsCsq20HTY8fDl1U0Ggw5PE
hddM/HUcOH8uSN/8K8DhTfFW0d+rtSH++R8Acf8NLYj9ooEOcxYp7/xzXMvh
+tFckwb1QFT/2gY6sHB2ySf7aTlIv35kJuUBdJ9e3mLGO5oOhy9rp0oeCnTI
yP/QejJExeEN7z6DmVqBDq5rji5nqJB12AkKT+VAh1RQuDyTcbi/j2+OsVig
g0jlpJKzLTIQe7gRfJh70flnwEAKoj8oEM7/zhY/wycS6t56aQdw/EUHOoS8
vfxxxkFph8/AYJmVjrD/sYjsyaflUP1r5CD+6Qh06LTx3JWmpAAJz/5AB2MQ
SFaAhPetQIeV315WnGlQhvjHPcihVYFd9cwWGYf9tbIW6R5Q/hQZh9p125Lq
A4Mc+iO6/Rk3SDtsbam5sDkyyEF+14J9qXzSDgqg+EwMcnjTltttNFvKgQPk
v2lBcP+g88HunY/gR4hvv8iwCje/f8EPw2f3EObD+LDwrAG57yjC/eDw2wmV
PyIDT887gq0i/rvLwtM72DxrOQf0/AEAgbyBbQ==
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
              3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
              1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4oJ49nOSnSEOCSFB6gs81R1gfLnlLzz09ms4
PNjHN8e4L8RhveqT5nm8Wg4BcmJZvtNDHAJuSdckGmk7vOXdZzAzL8TB5wS7
7eyv2g5rum9nMHiHODxJXHjNxF/H4Qdb/AwfRQRf22rS6foPwXD+9aO5Jg3b
gx1EerxesWzRdmgO9JzbUBXsIA+yvx5qn3Gww3aHpkfHJTQdZoIAb7CDLEj+
vhqcb2QMBMIqcP4D13jHWRPlHbyrm/V98oIddgZbRfxvl3R4A3LvNwT/Gsh+
7RA4vzJihenZ8hCHGNUImXN7pBxsdK7MetYY4tAf0e3PuEEa7v8ZIHt2ykLC
qzfE4QwIrJGDmJce4rADZF66rMOEBT8Mn7mFOHzZ93Fr+jUZB0+Qe5QQfJFP
jufTNgbD+SYgf6QHO6SnAYGaIpy/A+T/CFU4HxY/EeLbLzLMCnaYs0h555/l
WhD/f0XwYfbB+GD9wSEO+lorhS+waDnUrNuWVJ8K9Y+lpoOrainTrBzM9ADj
AwBHcuer
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQfQYEKkIdWDi75JP1dBxico/+25Qf6vAkceE1E38d
h4qIFaZnrUMdfC5OjPm3WNthwoIfhs/YQh0CbknXJBppO4SUqEz/fyHEwdxm
b9A0RgT/eZb2t+myWg5vePcZzPyG4AfIiWX5yofC+Ttvdf1NVQ510NdaKXzh
iSacP2MCf5XZaXU4X7hyUsnZJQpw/o5gq4j/7rIOiyZZMfoqhDp82fdxa/o1
GQcFx4/JZ/6GOLQqsKue2SLjsKb7dgbD+RAHEZD+FgT/TVtut9FsKYcND19O
3WQS6gAOhzOY/COXtVMl/RD8a0dzTRrScfN/sMXP8DkbCjcfxofZ3xToObdh
XijcfU9EZE8+rUa4HxYfMP/B+DD/o8cXANs71ZE=
               "], {{
               85.15629999999999, 17.618800000000004`}, {84.6797, 
               17.618800000000004`}, {84.2672, 17.206299999999995`}, {84.2672,
                16.729699999999998`}, {84.2672, 16.2688}, {84.6797, 
               15.854700000000001`}, {85.1406, 15.854700000000001`}, {
               85.60159999999999, 15.854700000000001`}, {86.03129999999999, 
               16.2688}, {86.03129999999999, 16.729699999999998`}, {
               86.03129999999999, 17.173399999999997`}, {85.60159999999999, 
               17.618800000000004`}, {85.15629999999999, 
               17.618800000000004`}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
              0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
              3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4tjco/82OYc5TJ/AX2XWrekA4xuDQLICnH/f
Nd5xlqCMwze2+Bk+qWEO6p9UXs7ilHL4tCEge9ZmBH9N9+0MhtMI/s5bXX9T
H4c5vGnL7TaKlnKoXbctqf5lmMMZMJBy8Kpu1veRCneouf/jlrG2nENBPPs5
Sd5wh7//gcBeHmL/5zCHGNUImXMxcg4HamUt0p+EOVSA1HND1V9E8IU+OZ5P
W4kmPzPMoTei258xQB7O548NuG9krgjnw/wfICeW5SsdDudrWU06Xa8S7iA+
9QpnhpM2XP2fb6UP5ggi+B77gQ5z14Hzp7S3Rl2eo+vQtjz8lNGcMAdTm71B
0w7qOSyZZMXouyTM4bZ0TaJRqoGDzOtHZlIzwhyWv/DQ+z/RwCEG5N/6MAd9
rZXCF0IMHHq8XrGYJIY5gILjv7yBw9aWmgubHcMcWDi75JPf6TtsePhy6iaX
MIcaUET80oPIu0LVxyP4L4q3iv7O1oXzA26BHKDtkAYC30IdfE6w284W1YLz
N5v/OJSShUgPsPAAAB6P9ZA=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
               1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {
               0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQnQYCZREOD1zjHWcxKjh8Z4uf4VMY4fCmLbfbaLaU
w85bXX9TN0c4nAEDTL6bainTrAMI/taWmgubjyL4Yh4BfyTuRzjEqEbInNsj
5TDFuTvnOXck3HwYX6RyUsnZFhmHtuXhp4yeRED4S2QcKiJWmJ49HeHQqsCu
emaLjEMliH88wsF9zdHlDBaycL7zhGahNC0FOP/C1bA3+r9V4fz/IDBfyyG4
RGX6/zkRDk8SF14z8ddxWNN9O4NBHcEPkBPL8v0dDue/4d1nMPNSuIPPCXbb
2V+1HRhAYE24Q82nDQHZVtoOEeLbLzKUQeVNteB8A62VwhdUNBy0rCadrp8Q
7vCqeKvo79fqkPCZG+4wZ5Hyzj/PNRwkQOGzOdwhHRwRWg49Xq9YTPaGw90L
tu8Ngh+Te/TfJm+Ef/xB7i2OcAi8JV2TWKTpAItPFs4u+eQ+NYh9gojwAPuv
PdzhxK4dvWwGqg4inxzPp/mGQ+J/ozKcX354m+vMtwpwfirI3GcyEPfVhjuo
f1J5OYtTyqF23bak+rMIPji+7iP4BfHs5yQ/hjvMmAkEllIOHaD4/RHuUHH/
xy3jbikH9PQHAOISKNw=
               "], {{97.85, 8.670309999999999}, {
               97.38909999999998, 8.018749999999999}, {96.38749999999999, 
               7.4156299999999975`}, {95.7672, 7.4156299999999975`}, {
               95.13130000000001, 7.4156299999999975`}, {94.57499999999999, 
               8.003129999999999}, {94.57499999999999, 8.687499999999998}, {
               94.57499999999999, 9.274999999999999}, {94.8938, 
               9.831249999999999}, {95.3703, 10.132799999999998`}, {95.7672, 
               10.3719}, {96.64219999999999, 10.593800000000002`}, {97.85, 
               10.768799999999999`}, {97.85, 8.670309999999999}}}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
              0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
              3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4t7peULNEyIdpk/grzLr1nSA8Y1BIFkBzr/v
Gu84S1DGQd2QY43MpkgH9U8qL2dxSjms+HjJN4khCs7XaRe7eU4cwb9S8VLN
0CDK4U1bbrdRtJRDy4FTC13NohzOgIGUw/GyffOl0qMcau7/uGWsLecQsEOu
9XVklMPf/0BgL+/QA7LfIcohRjVC5lyMnMP75ce8zQ2jHCpA6rnlHK6f+x78
WBbBn/C2xt70WyScfwMk/zTSoTei258xQB7O548NuG9krgjnw/z/ZOnsIwoZ
UXD+gyqRde6FUQ7iU69wZjhpw9X/+Vb6YI4ggu+xv1bWwl0Hzp/S3hp1eY6u
g4z+XRW2l5EOpjZ7g6Yd1HPgYdJuF/sY6XBbuibRKNXAYX1RxsS3TyIdlr/w
0Ps/0cABaNvDqjORDvpaK4UvhBg47CmZLMGyLtIBFBz/5Q0cvEAG9EU6sHB2
ySe/03fY9vnvlYqJkQ41nzYEZP/Sc7igdPtn3SSo+ngE/0XxVtHf2bpwfsAt
kAO0IfHsHOngc4LddraoFpy/2fzHoZQsRHqAhQcAOLX9YA==
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 
               3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {
               1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQ7bLt898rFtEOLJxd8sl6Og7uD6tE1ulHOzxJXHjN
xF/HYcPc98uP/Y5y8Lk4MebfYm2HL3+vVLw8FuUQcEu6JtFI20FC/64K28Qo
B3ObvUHTGBH851na36bLajnY3Pfvnb4NwZ8DNM77PoLPvkYmKuVxlIO+1krh
C0804fwZE/irzE6rw/nClZNKzi5RgPN3BFtF/HeXddgu1/o68EGUw5d9H7em
X5NxeP575cdLe6McWhXYVc9skXF4ckHp9s++KAcRkP4WBP9NW2630Wwphxdq
hhxrvkQ5nAEDTP56UIDwRcP5BRkT39ao4+ZHpFgDfRwNNx/Gh9nvwcOk3R4X
DXffFOfunOfW0XD3w+ID5j8YH+Z/9PgCAM/30Z4=
               "], {{108.156, 
               17.618800000000004`}, {107.68, 17.618800000000004`}, {107.267, 
               17.206299999999995`}, {107.267, 16.729699999999998`}, {107.267,
                16.2688}, {107.68, 15.854700000000001`}, {108.14100000000002`,
                15.854700000000001`}, {108.60199999999998`, 
               15.854700000000001`}, {109.031, 16.2688}, {109.031, 
               16.729699999999998`}, {109.031, 17.173399999999997`}, {
               108.60199999999998`, 17.618800000000004`}, {108.156, 
               17.618800000000004`}}}], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{
              1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKL1h7vvlx3bHODxJXHjNxF/HYQ6Q662O4Ndn7SmZ
fCDaofa3VcE5Dk04/03xVtHf3ipwfsDbyx9nLJR38O+dnickHeOwM9gq4n+7
pEPLgVMLXech+LG7PHmYrGPh/HbHhKcXVsU6OE9oFkrTUoDzwfa/V4HzZ8wE
AktNhzUyUSnW7rFw96G7f+vnv1cqVsY4iE+9wpnhpO1wvGzffCn2WDjfN0kg
wtIn1iEz/0PrSRENOP+Ba7zjrIPKcD7YPVIKDis+XvJNkoh1+A8C86UdgL6V
YDkWA+f/WQlSgOCD3Scf41B6eJvrzLsKcP6jCPHtFxNU4fy/30ofzDHUhOjz
R7gX3f0AZVHClg==
              "]], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4uvnvgc/zo13eNOW2200W8phinN3zvPV8Q5n
wEDKYX1RxsS3axD8CW9r7E33Ifgi69wfVp3BzY9Osb7vz5kANx/GF6mcVHK2
RcbBtNMx4emLeIdWBXbVM1tkHFLTgOBYvMOXfR+3pl+TcRC9CXTg4XgH9zVH
lzNYyML5wiD9SxTgfI/9tbIWx9XgfPnlLzz06rUc2NfIRKV0xzs8SVx4zcRf
x+GIwoaiDEkEf8Pc98uPfY6D88H234tz0FWU/5IjpuPAw6TdLnYyzuHH29cH
LJu1Ieqr4xw2m/84lJKlCeezcHbJJ+vpOGw5UbZvfhHCPNnW14E77OIcfC5O
jPm3WNshV6j5wCnOOIeAW9I1iUbakPC+HOtgbrM3aBojgv88S/vbdFkthxkz
geAngi/OEsanqxQH57ccOLXQVS3OQV9rpfCFJ5pw/owJ/FVmp9XhfFh4wfg7
gq0i/rtDw1M5Dh7eCQIRllsY4uDxUQOK0Eux8PiC8WHx+WTp7CMKEnEOMaoR
Muf2SDm8Cdwh12ocB49/Cf27KmyBCL4HKEDzEHwXoHd/dyL0g6LL+nwc3HwY
H2Y/OP4WItzHD3TuiTqE+2HxAfMfjA/zP4xvBgrvRHU4//iuHb1sFzQcvvy9
UvFyX5zDicNOazPjtCDp/w+CD04PjvFwPiz/zFmkvPPPcQ04PyP/Q+vJEDUH
9PwFAA+MniI=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQzX19cYFtXqLD3/9AYC/vcP578OOl6YkOB7r3NZk8
lnc4UbZvvpR7ooPrmqPLGSpkHdjXyESlWCc6pKYBwTMZh+XHvM07VRH82UcU
NhSxIPgLXbd9/vsiwWGNkA5f+j45h+l5Qs0HbiU4lB/e5jrzrYIDN5N2u9jF
BAfnCc1Cab8UIeadTXBYC1J/T8mhF6ThTIKDrqL8l5xtKg4djglPL4glwvnx
Ty8o3bZE8C23AF3sn+jAwtkln3xOxYERaPzNokSHOYuUd/5RV3XoP/RVI6Y4
0WEmGKg6AH3PdR3I//X29QHLxwi+gdZK4QsuanD+GRB4o+kw8W2NvalfosOT
xIXXTPx1HNJBAqIIfjjIAUwIPnvjVOfuNwkO+iDznmg7HDgFDJHrCQ7mNnuD
pilqO+wumSzBsi7B4Q/I/sWaDu9BATA3wWHGBP4qs9XqcP6U9taoyzEqcL7y
tUfBDDFKDvvnS+nfXZLgIFw5qeTsEgUH6/v+vdM3QcP7npxD9vPfKz8eS3AA
Re//eml4fOwMtor43y7pAApOJf5EOP80SIEigg/2t0mig/onlZezOKUcunOA
BnomOsjvWrAvVU8aEp7hiQ4hby9/nPFQ2sEkbpcnT1KiQ6sCu+qZLTIO2XuA
HkxJdPiy7+PWdDFZB/T0BgAi9SUa
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQbX3fv3e6W6LDr7evD1g+VnWI7j/0VUMn0cHIGAgu
qzrw626a+14+0WGL+Y9DKadUHbpznv9eyYvgc19fXGD7LQHOX+i67fPfFwlw
/cuPeZt3nk1wuHA17I3+bwS/5tOGgOwqdYdQPqAF5xMcTp8BAh0Nh4lva+xN
ryU4PIoQ336RQdNh/3wp/bsPEhzS00BAy2F6nlDzAaB94lOvcGY4aTs4Jjy9
oMSfCOfD3Avj/71S8VJNN9Fhu0PTo+M3tBx+r/x4ydcs0WFKe2vU5T+aDvp3
VdgaHRMdju3a0cv2QcNhsgRLGJ9rooPvxYkx/5g1HNDDBwC7aI0r
               "]}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYCYostJ8r2BSc5vGnL7TaaLeUwPU+o+UBRksMZ
MJByUGFrnOpcjOBPde7OeV6N4F9fXGDL1Yybr27IsUZmGcJ8GF+kclLJ2RYZ
h/SJb2vsJyY5tCqwq57ZIuPwHwTqkxy+7Pu4Nf2ajEO4JdCBdUkO7muOLmew
kIXzhUH6lyjA+R77a2UtjqvB+fLLX3jo1Ws5XFC6/bMuKcnhSeLCayb+Og76
d4E+0kTwl84+orBBDMEH28+d5KCrKP8lR0zH4bJvkkAEY5LDj7evD1g2a0PU
30p02Gz+41BKliacz8LZJZ+spwPx37VEuHnR/Ye+auxJdPC5ODHm32JtB+Yw
Pt1NCxMdAm5J1yQaaUPCuy3Rwdxmb9A0RgT/eZb2t+myWg4zwQDBv3Hue/Dj
tQg+v+6mue/XJzroa60UvvBEE86fMYG/yuy0OpwPCy8Yf0ewVcR/d2h4rkuE
h/ffKxUv1eYmwuODGxShQPfA4gvGh8Xn/vlS+ndXJDrEqEbInNsj5XD4q0ZM
/7ZEePxHpljf9z+K4H+8BAzQKwh+PtC7px4i9CsDoyuLBZFeYHyY/eD4e4tw
H8i5hncQ7ofFB8x/MD7M/zC+GSi8E9Xh/OO7dvSyXdBwOO5t3un4J9HhxGGn
tZlxWpD0L50E54PTgy2CD8s/cxYp7/xzXAPOz8j/0HoyRM0BPX8BABONmJM=

              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQfWNxgS1Xd7LD3/9AYC/vMOeIwoailmSHA937mkwe
yztMde7OeZ6c7OC65uhyhgpZhysVL9UMI5IdUtOA4JmMQ8lkCZYwJwQ/feLb
GntFBD9fqPnAKdZkhzVCOnzp++Qckq3v+/d+T3IoP7zNdeZbBYcb574HP36b
5OA8oVko7ZcixLxXSQ5rQervKTlEpwA1vExy0FWU/5KzTcUhlE9301zjZDhf
Z9Pc98vDEHz2RpCLkx1YOLvkk8+pOJwHGr+0P9lhziLlnX/UVR1i+g991ZiQ
7DATDFQdgL6/vhjI//X29QHLxwi+gdZK4QsuanD+GRB4o+kQv8uThyk72eFJ
4sJrJv46DiZxQAEjBF+FDegAeQT/sm+SQARnsoM+yLwn2g690/OEmr8kOZjb
7A2apqjt0OGY8PTCqSSHPyD7F2s67AYFwK4khxkT+KvMVqvD+VPaW6Mux6jA
+crXHgUzxCg5AGPn98qDSQ7ClZNKzi5RcGBfIxOVcj4JEt735Bwstpwo2/c4
yQEUvf/rpeHxsTPYKuJ/u6QDPzA432sj+DOAzjtgh+CDgykw2UH9k8rLWZxS
DhGWQAPTkh3kdy3Yl6onDQnPkmSHkLeXP854KO3AqN0udrMu2aFVgV31zBYZ
B4tOoAcbkh2+7Pu4NV1M1gE9vQEAOTEb/w==
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQzbFGJiolOdnh19vXBywfqzpoxPQf+uqR7GBkDASX
VR3u/KzL2mOT7LDF/MehlFOqDuGWW06UaSH41xcX2HIJI/j5Qs0HTrEi9JdM
lmAJe5XkcOFq2Bv93wh+zacNAdlV6g7Kt4EWvElyOH0GCHQ0HOJ3efIwfU5y
eBQhvv0ig6ZDd87z3yv/Jjmkp4GAlkOy9X3/XqB94lOvcGY4aTvw626a+14b
wYe5F8Y/vdB122fPZIftDk2Pjt/QcjhRtm++VHCyw5T21qjLfzQd/qz8eMk3
Ltnh2K4dvWwfNBwSnl5Qup2Y7OB7cWLMP2YNB/TwAQClM4x8
               "]}], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 
              1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
              1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
              0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 
              3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYC4gOnFrpuW53s8DxL+9t0WS2HC0q3f9btQ/AZ
tdvFbl5C8C06HROeXkl20NdaKXzhiSacP2MCf5XZaXU4X7hyUsnZJQpw/o5g
q4j/7rIOEw591Yi5nOzwZd/HrenXZBzUDTnWyBxKdmhVYFc9s0XGYensIwob
ViU7iID0tyD4b9pyu41mSznMfb/8mPf5ZIcY1QiZc3ukHHqn5wk130l2OAMG
Ug4ZE9/W2L9E8IGmR6V8xs0Hef+zYQrcfBgfZn8RyEDxFLj7Cmy5ri9mSHFI
TQOCZzIOoXy6m+b+h/pHTBbOh/kfxt+kl7eYUUYNzve9ODHmH7OGA4j7XjjF
4fzVsDf6s6HhqYPgx/QDA8wGwe8ASl9wS3FICAlSX6Cp6ZDz/PfKj34pDgag
+FDRcOgBCUQi+KDgMI1LcfA5wW47+6u2w4/gx0tnR6Q4sHB2ySfr6Tj8rMva
U+Kf4vAkceE1E38dhz8rP17ydUPwbywG+tgcwQfbr5YCDT9tB6DuyRIyKQ7m
NnuDpjFqw/03Z5Hyzj/PNeB8mH1g834nw83jYQImsIfJDj6g8Fis7aCzCRTD
yQ4Bt6RrEo20HWDpE2Y+enoFAN1kQTA=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
               0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
               0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
               3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 
               3}, {1, 3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}}}, {CompressedData["
1:eJxdk31IU2EUxqcWlpTIKC0dbrt+tDZd0BYqZj4mRl82SAyT2Ye8r5aZiow+
0PxDybL1h2aFpubEYhVJmpEiY4pZikWZlYZZlhkWTEoqMMLqfsx7oQOXy48D
5zzPOedVZ+bvpp4ymSyW/bi/b+Tdhq/ZFO1Rc70kZy0y/dJi7lkoSMb4Fq9O
LSLYtL2QoqaWjdU6sNmBY1qKDpRO9s9pkcoVCKC4EzZVdnVGh70kdsK0mGLq
YNOI0RQB5s2vkhwXEdlhqV61aETi2eHkTD8HwcUzp9NfjOtgNLBhJ2K/63V9
qtZzBDsHvOPqVmrB6y0ioFlslGtEjlQrf+ReDhe5VZ/X7LExFJW9PzXmaoIn
XNQzaEq6/32+kyBkZDJFZmbgbAxc97aSoGhibsxwRIVo1p7TStBjdZYaPyrx
zf5oR1QFwfk0q8nDT2JX+VHr+qBgkXndKQpw9vZcIFB22Zx0VxBq8uRlPbcI
ivn6gRjiBlJCoOLyeQFYcluRTo679bn8gQ37urYVELxP2p9wpWqFyLV8yEVW
tPk3etqW4gbXvoEg3pJw6nG9B2ysndB3EudO/745y+5rgdltOCzsvnm97ctF
5v3U+YvM69cH4XVzQZyPicIclqZ4ag4W8jqJjaycZWNEZP4euiXm/bUT/OVC
qRR5Yd4L7Mgvnql9pULhoaqZ4g6CFnmEb7ZeLdxjn3seH9Tgzs/ZT5BYWSbP
8mEwzgkacHMgg7MJBz4NDRKc5OrHMriUaM2dfkZg4IMR5jHs7q9jkMHK9xyV
OLqCLeCS+Bprf9SbCvoeMoIeBRX0tIUIfg0Ugw82txx2hgr73kSR/LzK/Mcr
XGRh3mtE3s7dc6oGnN34OIpg++et+m4N5l+e+BIeI73H/9/nPx9nmsg=
               "], {{
               166.81399999999996`, 13.6141}, {167.89499999999998`, 
               13.6141}, {168.62699999999998`, 12.7234}, {168.62699999999998`,
                11.3734}, {168.62699999999998`, 10.339100000000002`}, {
               167.95899999999997`, 9.625}, {166.98899999999998`, 9.625}, {
               165.92499999999998`, 9.625}, {165.20899999999997`, 10.4516}, {
               165.20899999999997`, 11.674999999999999`}, {
               165.20899999999997`, 12.898400000000002`}, {
               165.79700000000003`, 13.6141}, {166.81399999999996`, 
               13.6141}}, {{167.56099999999998`, 6.478129999999999}, {
               169.35799999999998`, 6.478129999999999}, {169.97799999999998`, 
               6.1125}, {169.97799999999998`, 5.07813}, {169.97799999999998`, 
               3.7125000000000004`}, {168.72199999999998`, 
               2.6953099999999997`}, {167.053, 2.6953099999999997`}, {165.67, 
               2.6953099999999997`}, {164.71699999999998`, 
               3.5046899999999996`}, {164.71699999999998`, 
               4.6812499999999995`}, {164.71699999999998`, 
               5.3968799999999995`}, {165.13, 6.0484399999999985`}, {
               165.76599999999996`, 6.31875}, {166.01999999999998`, 
               6.445309999999999}, {166.466, 6.478129999999999}, {
               167.56099999999998`, 6.478129999999999}}}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ5IIaxWaBsBigfRjMjqWHGooZa6kkVp5Z7aO0vXOoB
MK4CWQ==
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYC4iUFtlzXhdMcOm08d6UpKTiAuIs50hz4YwPu
G4UrOtxYDBRhhsoLKTncOPc9+PHPVIcHrvGOsxYqO1zxTRKIuJnqsN2h6dHx
HxoOf1Z+vOR7LdXh19vXByybNR0cTON2eV5JdZjS3hp1+Q+Cz8LZJZ/spwXn
/weB/VoOCU8vKN0GmmduszdoGqO2w4pj3uadT1MdEkKC1BdwajtYdDomPP2R
6jBjJhBIIvjPs7S/Tf+r7ZBifd+/93iqg77WSuELTzD5YPfvRfBBxjtuwc3/
8vdKxcsmhPkwPsx+oG+TBHoQ7rvzsy5rz4xUB4l5cZqnP2hB1M9LdWhgOdpv
OF3LAei7n3XLUh2qP20IyK7SdDi10HXb57upDulpQKCm6ABUrWb4JtXhTVtu
t9FvWYeMiW9r7D+mOhgYA0GxjEOE5ZYTZb9SHUDK09wkHWbkCTUfeJfqIFI5
qeRsiihE/l6qg/yuBftS+QQcbIDen34q1eFA974mE2Uuh7nvlx/z3o7gO4IC
fD2Cv6dksgTLMph7uB1A3ouYm+pQsrxkwz9+Xoh90xD8Q181Yvq7Uh2axWtZ
M9uYIe6fAo1PeyYHA441MlFzUh3sSxxrT89hhJsP44PD7wSCDwuPvohuf0YD
Nrj/GUBggYBDz3SgAyLSHGRA4Wug7rBvvpT+3Zw0B58T7LazRbUg7ilLg4e/
ClvjVOfmNHj8GNwFikxMg8cfjA+L3yhQgslMg8c/Oh8UnWqJCP4UCZYwvkjc
fLD7DBDmw/gw+02AyZ/HDuE+cH7wSYPmJy0HUHIqCU5zOL5rRy/bBiT+Yae1
mXYIPtg+Fi1IughKc9igl7eYcY+mAyi5ZQWkOWw2/3EoJUvTAT2/AwDeQ8Bb

              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4qKMiW9r1qc79EZ0+zN+4HFg1G4Xu9mV7sAA
AgoiDj05z3+vrE13OAMCOuIOSrd/1mUVpDukpgHBMxmHrxox/YdSofJ7FBwK
bLmuL05Id+CPDbhvpK4M51+4GvZG/7YqnH/qsNPazDoNuP7/ILBfy4FjjUxU
Sn66g8y8OM3TF3Qg6mvSHTLyP7SeLNF3KJkswRIGdN9MEKg0cIC53xgELhs6
JDy9oHR7abqDfWXEClNbIweQ8V+B7j3Ytjz81CEDh6w9QBNi0h1aeP3XTzmq
73AH6J09HukOtb+tCs6t0HFIsb7v32ud7uC+v1bWol3LwaLTMeGpSbpDM0i9
qwacD/MPjH9HU3bN/2IlSHg5pjvEqEbInKuRczCJ2+XJEwW0v3tfk8lhCYcl
IA9lpzuEvL38cUajCMQ9QP+lg8KTTQju/uW3lj82dOZyQI8fANBfwG8=
              "]], 
             
             FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
               1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
               1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 
               3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
               3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQzXV9cYHtvAyHv/+BwF7e4dz34MdLp2c4HOje12Ty
WN7hRNm++VLlGQ6ua44uZ6iQdWBfIxOVkp3hkJoGBM9kHJYf8zbvDEXwZx9R
2FBkguAvdN32+a9EhsMaIR2+9H1yDtPzhJoPcGU4lB/e5jrzrYIDN5N2uxhj
hoPzhGahtF+KDitA5v1Nd1gLUn9PyaEXpOFPuoOuovyXnG0qDh2OCU8vuGXA
+fFPLyjdzkTwLbcAXVyf4cDC2SWffE7FgRFo/M1FGQ5zFinv/KOu6tB/6KtG
zOIMh5lgoOoA9D0wCDIcfr19fcDyMYJvoLVS+IKLGpx/BgTeaDpMfFtjb1qX
4fAkceE1E38dh3SQgCuCHw5ygBGCz9Y41blbJsNBH2TeE22HA6eAIcKe4WBu
szdomqK2w56SyRIs99Id/oDsX6zp8AEUoGfTHWZM4K8yW60O509pb426HKMC
5ytfexTMEKPkAIwd/btX0h2EKyeVnF2i4GBz3793+qN0SHjfk3PIef575cdv
6Q6g6P1fLw2Pj53BVhH/2yUdQMGpZI/gg5z3ORDBB/s7JcNB/ZPKy1mcUg7d
IAMrMxzkdy3Yl6onDQnP9gyHkLeXP854KO1gErfLk2dShkOrArvqmS0yDlkg
D07JcPiy7+PWdDFZB/T0BgAv/ye4
               "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQbX3fv3d6WYbDr7evD1g+VnWI7j/0VSMmw8HIGAgu
qzrw6W6a+94/w2GL+Y9DKadUHbpznv9eaYvgc11fXGCrhuAvdN32+a8EQv+K
Y97mnX/THS5cDXuj/xvBr/m0ISC7St0hFGTB/3SH02eAQEfDYeLbGntTtgyH
RxHi2y8yaDrsmy+lf1cgwyE9DQS0HKbnCTUfANonPvUKZ4aTtoNjwtMLSvYI
Psy9MP7fKxUv1WIzHLY7ND06fkPL4ffKj5d80zIcprS3Rl3+o+mgf1eFrbEw
w+HYrh29bB80HCZLsITxlWY4+F6cGPOPWcMBPXwAzo2MQw==
               "]}], 
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
              "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4q8aMf2HHDMdan9bFZyzMHSA8Q+3LQ8/tcnQ
IU+o+cApzkyH60KfHM8vw+SrG3KskfmXAeengcAn3Pxwyy0nynZlwM2H8WH2
nwGDDIdoBcePyTqGDj/rsvaUXM9w2F8ra5GuYujA1jjVuftOhsN/MDBwcEx4
ekHpcYaD9wl229mtBg4dIAGnTAfla4+CGWKUHA6BPBSU6XCge1+TyWN5hwJb
ruuLIzIdVD+pvJy1UtbhmLd5p2NCpsOMmUBgKeXAHManu6kSwe8HGdCc6VBz
/8ctY205B5D2gs5Mh04bz11pSgoOHECu7axMh/LD21xnrlVymA4KoE+ZDp83
BGTPYjeA+O9fpoMxCDw2cPhwyTdJgCXLoWBN9+0MBUOHCW9r7E35suD+1b+r
wtYomwUPDxgfFl5HQP55hgj/IwobijLuIvgsIPdfBPrvSfO8s6sMHXKe/175
8VCmQ8lW0d+n1xk6qNwGhugBBN8C6Lx92xH8cKD2uesR8Q/jw9xjErfLk+dU
Jty96ROBHria6cDrv35KqoahwxJQAN/OhMcPjH8QZN4hBJ/bTbWUaZaBQ8lk
CZawW5kO3V6vWEwSDRzmvF9+zPt6poP/xYkx/5QNIOFTlekQzinWbmyv6LAb
pEEs0+HkYae1mesMIOEjmulQDHL/PgOHha7bPv8VyXRQB/n/FII/fQJ/ldlt
BH+jXt5iRh5DB6Dv50tJI9wfmWJ9318V4T/0/AEA76xyIg==
              "]], 
             
             FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
              1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
              0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYCYgOONTJRDlkOy28tf2zozOXwoy5rT0lylsPB
7n1NJs6CDhPe1tibFmU5xKhGyJyLEXY4s9B12+fGLIeZIFAp5qAR03/o64Is
B5HKSSVnl8g4ZEwEatiY5dBt47krjUkJzjcyBoLLqnB+M6//+imuGg76m+a+
X74qy8F9f62sRbuWwxGFDUUZc7Mcan9bFZxboeOgbgh0YFeWw9Ms7W/T9+o7
pIP0l2Y5FG8V/X16n4EDzP32lRErTG2NHJbPBppgluVgDLbP0EGnXezmuegs
B+8T7LazSw0clh/zNu/MzHI4AwI5+g481xcX2JZlOcjMi9M8fUHHQeX2z7qs
hiyH/yCwX8tB/64KW2NrlsOpw05rM+s04PwLV8Pe6N9WhfP5YwPuG6krw/WD
zd+j4PAdFEBA96amAcEzGYee6XlCzRlQeR1xh/nvgS4Cuo8BBBRE4O7vjej2
Z/zA44AePwAl/Lz7
              "]]}, {
             Thickness[0.004640586570142466]}, StripOnInput -> False]}, {
          ImageSize -> {215.49353922789538`, 21.12078704856787}, 
           BaselinePosition -> Scaled[0.31887090512778543`], 
           ImageSize -> {216., 22.}, PlotRange -> {{0., 215.49}, {0., 21.12}},
            AspectRatio -> Automatic}], TraditionalForm], None}, {
        FormBox[
         GraphicsBox[{
           Thickness[0.07194244604316546], 
           StyleBox[{
             FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
              "], CompressedData["
1:eJxdlGtsS2EYx9tuU7UL66zoWm21p7edGDoyMvYgzBaxZm6VuGzoOopJfCBG
5j5sWOKyYmbuJMRcZrMwRGbYzNyvyYR9WBlmZMHY9H3f02eJJzlpfuk5//f/
XN5HNz8r1RkgEonEvifN90h8T/+9T2WZEgOUw4b3NS+tcHHwsmPi2QaouT3u
3KIxVtgUmnJ+zwkDNKUfeR6bZQWJbLtmwRcDJN5Yq47LtcLCOW8nBsRxyJH5
yR8D+xqRJ9+Vjj641wgtK8oiO2otyM4MX2wxI48v2CjP+KiHM+3eVXXr9FAx
dZSjK1ENdTS0yNM+P/nmuaVBXtP487XNPRBibb54okFuPXpe++C0Drn3HHvj
MJMezsn5MFfnQHjv6Ff+CDjUu0/yLfb5Plt9SrRVx/JaxcNMmSLXlqKDMlKf
Ch5MbQbvAa+a1SWIh8YJ88YeCFdB2rRUU0mSCTSVJVXOKVGgLJ5rqbVzwvlK
8BT0Xj0i2ADEpm13f3hrUZ/tmjoIrpI8pAq4mVe1IfaDBmZzDlV9UQTml6uV
cnWXw5Ffhr5RONvDkKkfWQjm4eevJP8KHfKI+Oup+9ZzICJR0gfWB1bvGlpo
Zv4+KVg/jDzzk6jAfG8RXwGRQv952OnISxEP6Qs55PuZPPPhkiP79f0cMjYs
2eMNZvPg4qEsuTSuaGRP6CKRw7O+XeoBRUf1V//kCvqtQVBdWbGjRwHP+j+5
m5vXfnA/5LuZ+j4ZgMx0Jai/n8QAMfo5fHf3cffJzoSHz2a0xGRHQ0PHnRfF
rzoSYnSaH0tmWCEo5nevx/k/E/z1aZriTfur6UQup/7FzFeLBVQXFIclWgls
Iv+vtLJ8zwSCivS/wcr6dUWKTP3M6onMfMqQXbQPwaweNYKeJYS9d8MK+bT+
ocg/qr6VuZ6HIbPfPsibyfzsCUe9bNLv6AhoIvP/TvDzS47v0/n3yEFzqnnS
4ByBHXLw14fOw/hwKCV74poF7E1Jj4dHSNl9cBoFHQk0kPpGGZCpTqYO2UMP
VrP+26SMBygZfw9Fpn6DI5BZ/RT4Pe1DSBRMoj710LJlad6wbCXkxSdVZrQJ
85+kFOrazVTXrUVmdVSBndwjnQrP8+8LP28juvJByOs6Ri2vz+TYeeO07J6l
m6B5cXR74SGDsA/NsCirdfO9WKOwZ8yQTPbedDMynceDFuRCsi/c0Wxv1Jrw
PmbQeTci0z7Ed/OatlK7+zXH9pdHmP/9HM7///v+HzuKo1w=
              "]]}, {
             Thickness[0.07194244604316546]}, StripOnInput -> False]}, {
          ImageSize -> {13.899716064757161`, 21.12078704856787}, 
           BaselinePosition -> Scaled[0.31887090512778543`], 
           ImageSize -> {14., 22.}, PlotRange -> {{0., 13.9}, {0., 21.12}}, 
           AspectRatio -> Automatic}], TraditionalForm], None}}, FrameStyle -> 
     Automatic, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {Automatic, Automatic}, GridLinesStyle -> Directive[
       GrayLevel[0.4, 0.5], 
       AbsoluteThickness[1], 
       AbsoluteDashing[{1, 2}]], ImageSize -> Medium, 
     Method -> {
      "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& )}}, PlotRange -> {All, All}, PlotRangeClipping -> 
     True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
       GraphicsBox[{
         Thickness[0.044444444444444446`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4gu/j12fd/O3vfK1R8EMOUoOMhvF5jMl/LVf
K6TDl86n6PDE72XC3/l/7WfMBIKdsnD+m7bcbqPZUg7RqhEy52oYHWB8uxLH
2tMynA5nwEDKwcQYCD7zwvnyuxbsS80TQJU3FoXzNT6pvJzVKQY3rzei25/x
gzgG/8u+j1vTxWQdYkD2x4g7qIL0rZSF6M8Uc1AH0S9lHUQqJ5WcbYGa3yPn
cKB7X5OJsijEHefkHB64xjvOmijicB9EF8o7KIDE3wk7dNt47kozUoDYYybk
4L7m6HKGCkWHkuUlG/6d53VgAAEFVTgfbD6PBpz/51vpgzkX9RzWgMLxn7CD
bWXEClNfQ4e//4HAXh7OB5vjoArn/3r7+oDlYXWHhJAg9QUn9eB8mPkwPsz+
TXp5ixll1ODug5kHcz8TZ5d88jsVuP9aeP3XT1mqAvd/Zv6H1pMlKvDwcZnQ
LJT2Sxkefh8WrVc426EMD98ITrF2Y3tlePjD+LD4Adv7CcF/kaX9bfpcFXj8
gt3HoA7n13zaEJC9C8E/tmtHL9sHDTg/IfaOG/MNLbh5P0D+b9bG4MPS55QJ
/FVm3doOsPS7ARQ+e7QdYOm7/rdVwbkXWnD+88SF10zWazkIg9LJEQWHJyB+
vxYkXWyEhpeqFiTdGcg7bDH/cSilSxPOB8fHY1U0vroDf2zAfSN3RYd4UDxq
ajvILX/hofdfBc7/C0ofhppw/lNQOO3Vd0hNA4Jjag7JIH//QKQXGB8cjx8F
4PzrvLfFUs0YIO48qg/nw8yH8WH2F4DSpz8v3H3geF4pBHc/OD9uZoPzW8Rr
WTPdWOB8aVD5sIAJHj7g8kKBCR5+2702WMyxZISHL3r5AgB2g+xJ
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYC4ieJC6+Z/Dd2SE8DgmfKDjA+C2eXfLKeqoND
06PjM7hNHB5FiG+/yKDmsMX8x6EULROIvJ+6g4kxGDiI9ni9YhHRcEiOvePG
vMLI4e+30gdzAjUcIkHa/hnC+WDa0ADO99hfK2txXNfhDAjwqMH5YFMfK8H5
dzRl1/zfrOiQAjJfQs9hT37N25lXFRymTuCvMjut57BWSIcvXU/B4XmW9rfp
c/Ud1oD49+Qg5sYYOLivObqcQULOof63VcG5DkMHVxC/QtbhutAnx/NlRg69
Ed3+jB9kHA63LQ8/9cjIYUewVcT/dBm4/2ru/7hl7C3tsOT+Pr45zcYQeXcp
iHkrjB2C317+OOOhBJxfBVLPLQ7ng03ZLOQgPS9O8/QBIwfbEsfa0zL8kPCu
N4TzweHXYQDnQ+JB3+GBa7zjrEJBiHp+fYezIH/lCDu8APn3rh7EPcvF4OED
45847LQ2U07PQeOTystZJ0XhfJHKSSVnWRD8mSCwUwTOB/unUcjhDyieBPXg
9oPD842ugzrIvE4+CN9H30Fmo9h8JgUeiDmRBg72IPff4XKwrYxYYcprCOeD
w1vNGM6PUXD8mLzGBG4fKl8Szgenz2PSDn4XJ8b8azaBxHecLMT/uiYO/0Fg
vpwDKBmaHDR2UL72KJhBRsFhQnCJynR7Y4fT4PBScLgtXZNo9NTQYTbInScV
HKJB5ucYQNTrKELC97w+JL38QPDB6e+yMpx/4WrYG/3bqg7cbqqlTKsM4PkB
zN9lCOeD05OREZwPtn+pkcOU9taoyzLqDjz+66ek/jByYACBA2oOp0HhH2fs
0MhytN8wXM2hYE337YwGYPr7tCEg+5cqJHw7jSH5wl0VEj5zMPMvjA8AzWio
SA==
            "]]}, {
           Thickness[0.044444444444444446`]}, StripOnInput -> False]}, {
        ImageSize -> {22.49543212951432, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {23., 22.}, 
         PlotRange -> {{0., 22.5}, {0., 21.12}}, AspectRatio -> Automatic}], 
       GraphicsBox[{
         Thickness[0.02064409578860446], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4gu/j12fd/O3vfK1R8EMOUoOMhvF5jMl/LVf
K6TDl86n6PDE72XC3/l/7WfMBIKdsnD+m7bcbqPZUg7RqhEy52oYHWB8uxLH
2tMynA5nwEDKwcQYCD7zwvnyuxbsS80TQJU3FoXzNT6pvJzVKQY3rzei25/x
gzgG/8u+j1vTxWQdYkD2x4g7qIL0rZSF6M8Uc1AH0S9lHUQqJ5WcbYGa3yPn
cKB7X5OJsijEHefkHB64xjvOmijicB9EF8o7KIDE3wk7dNt47kozUoDYYybk
4L7m6HKGCkWHkuUlG/6d53VgAAEFVTgfbD6PBpz/51vpgzkX9RzWgMLxn7CD
bWXEClNfQ4e//4HAXh7OB5vjoArn/3r7+oDlYXWHhJAg9QUn9eB8mPkwPsz+
TXp5ixll1ODug5kHcz8TZ5d88jsVuP9aeP3XT1mqAvd/Zv6H1pMlKvDwcZnQ
LJT2Sxkefh8WrVc426EMD98ITrF2Y3tlePjD+LD4Adv7CcF/kaX9bfpcFXj8
gt3HoA7n13zaEJC9C8E/tmtHL9sHDTg/IfaOG/MNLbh5P0D+b9bG4MPS55QJ
/FVm3doOsPS7ARQ+e7QdYOm7/rdVwbkXWnD+88SF10zWazkIg9LJEQWHJyB+
vxYkXWyEhpeqFiTdGcg7bDH/cSilSxPOB8fHY1U0vroDf2zAfSN3RYd4UDxq
ajvILX/hofdfBc7/C0ofhppw/lNQOO3Vd0hNA4Jjag7JIH//QKQXGB8cjx8F
4PzrvLfFUs0YIO48qg/nw8yH8WH2F4DSpz8v3H3geF4pBHc/OD9uZoPzW8Rr
WTPdWOB8aVD5sIAJHj7g8kKBCR5+2702WMyxZISHL3r5AgB2g+xJ
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYC4htCnxzPh5k5fFi0XuHsCmWHNBDYhsn3uzgx
5t9jFQeNt7z7DE6aOaSCxNnUHA7UylqkfzFzyMj/0HoyRN3BtjJihelcU4fq
TxsCsqU0HCYEl6hM/2/i8Pdb6YM5gRoOfP7rp6RyIPjTJ/BXmb02gPPPXw17
o79b12EGSPy0Cpy/RkiHL/2eHJwfoxohc+6PpMNa1SfN83r1HEQqJ5WcXSLq
MBMEOA0cjEFgs5BD8VbR36fvGUDU7+FziFZw/JisY+RgX+JYe/oOl8PBtuXh
pyYZw/knDzutzcwzgfOX3N/HN8fZ1EFmo9h8JgUeh5TYO27ML8wczoABP5x/
sHtfkwmzBJwf/PbyxxmNkhB/vDZzeNOW2200W9KBx021lInLHKpfEmJ+srnD
jmCriP/uUg6NLEf7DcPNIe6tkYaEr4sZxH8p0g4g7561QvCngcy/bQrn/wGF
YyOCXwLyfx6Cv+KFh97/RBO4+TC++ieVl7M4pRwOgcIjydTBBBx+kg4MILDB
FO5+h6ZHx2ecNnWouv/jlrE2gg/zP4wP9r+iMJwPjpefgg5eJ9htZx81dRAG
u0cQkp52mjrI71qwL5VPEOL/6aYOB0DmKQs4vMjS/jb9ronDi9rH2eff8EHS
iSCC/xwkv9YQzucFpS8NA4cv+z5uTb8mCueHgNzzUB7OB7tnporDl523uv6W
GjqwcHbJJ/upQ+JvhzGcX/fbquBchAmcLzMvTvP0AxOHBpC4hjokf4SZOsgu
BwbkfTVo+jNzSAgJUl+QqeYAy18XQOn2tiqcDzbng4oDev4DADmMkD8=
            "]], 
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4uUvPPT+N1o5yMyL0zz9QcUBxt/h0PTo+A01
hz/fSh/MmWjlsMX8x6EULnWH/uASleny1g5T2lujLsuoO/hcnBjzb7O1w5PE
hddM9BH8ht9WBedeqDuIT73CmXHJykFHUf5LzjV1hxOHndZm9iH4z7O0v01/
awnnG4NAMIJfBzKHwxJi3x11iDu0LODmw/gw+4u3iv4+vc8C7r4zIOBjCXd/
tILjx+QYS7j/YHyY/2H8B67xjrMMReD84LeXP85IFICbF6EaIXPuDz/cPhOQ
uzfzw93D48jnNSMTwV9ya/ljw2YeB2mQPQ9g6nng5oHpMzzw8IDxYeGFIv/X
Cq4fFt4w82F8mP2w+IK5DxafMPfD4hvmPxgf5n/09AEAaBb/xg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4mzOnwvSuZ0cWhXYVc+UCDkIf3I8n/bX0aE3
otuf8YOQg/cJdtvZcx0dgt9e/jiDUdDhd0zu0X9Gjg7V93/cMuYWgMjvdYDz
89d0385QsIfzS7aK/j7dZ+vw0DXecVagGJzfArLvijycv0kvbzFjjIrD08SF
10ze2zmwcHbJJ/upOyQevqyd2ugA59f+tio4J+EI558BgS2ODo0sR/sNw9Xg
/BZe//VTUlXh/A+L1iucXaEM4T9B8NPTgOCZo8OLLO1v0++qOOyvlbVIf+Po
MKW9NeryHlWH+/v45hgzOTlk5H9oPRmi7lAMcm+do4OZzd6gaYwaDhHi2y8y
8Dk6/P1W+mBOoIbDTemaRKO5DnA+WL0Ygg+2X8fe4cSuHb1sF9QdnoPsjbVz
kF3+wkPvvprDUxD/r43DI5DBDqoOvhcnxvxztnFwX3N0OcMOJTi/BhS+r+Xg
/BjVCJlzNSIOMQqOH5N17BzsSxxrT9/hgocfjD8TBBgd4Xxw/JVC+XN4HMyv
Hc01eYCIX/T0AQCSgPxI
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}}}, {{{40.0047, 6.195309999999999}, {40.3672, 
            7.00469}, {40.30629999999999, 7.065629999999998}, {37.1313, 
            7.065629999999998}, {36.8047, 6.2562500000000005`}, {
            36.86559999999999, 6.195309999999999}, {40.0047, 
            6.195309999999999}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxlk11Ik1EYxzebhGVG5vzIzWa2qWQrPwpZX//B+55XCrK0dHSRmswFWSYo
aM0L+1DSojAvdIUaXujFwkzChEhDrWxOsqkXamUmfaGQBmGJrJ33zTOiB56L
H+fwnOf/f54TeaogzbxKJpPJPbnfkz6eXHhw5IzNTWDJ88SnKKywwq9qc65e
C41xPnfQV8C0KaRzWKbDeLg1J0EpSOeHo1EvBoHy+sFviqAYtOvPNcuPESz/
LJ66ezQG9uqJ0zI3z7hsyXB+KNTLwwVZq4cKOQzS8NcxTqTxcQvjyVi13d0R
CbGNCg5PCqxz9aMaaGcuNzgfcrgfGBdg0WvQNV61bP7MwU75XQSorDw9D8He
3yILjUBPmTrZ0seDp1yiRr7frybLHoIbpupU+XcVcnpd28yFBI/TDSa3RcX0
Wd8vjiceCscb2s+zv+fCJqneCEH6nGu+7kMo4wv0/toQxqKejkD4p7bVmrMJ
9hUZyxyq9ZLf3Txj0T/Oy7g0/aLOwWGKzzLaCjegxNS6y9nLwUn9yt8o6e3k
pH5agpk/KyzWr+QQs7D1q21AyTiotKbIqfCyKLMriLGopzxQ6v+K9/0kquMi
h2ha71qAxC4OqvbgRh+NvzTHOB4HaP+Ta9CwN27EVuFl0e/bhPH2W02L8RkC
e+9fDmMs7ufzcLR+SdG7jYI075NqFD1SLjmCBbhpNEaAaIt9bFMEUWPT6TKV
Bi9jDTWORgKH6JcGs+ue7qxf4HGH6h3QSPV389L9uEiUUn9/cNK+LHpZ3D9X
FOPXoxmzOya08G2uMciP8+w/KCi/9XI23acwwlh8P42gtvLqCZcqGhUtma8S
rAQyGj06zOTcG0tqIyhX9N+Mz9Qheaz/bFKPZ//oYH5rJX/7CFK6PYMRtNDT
/of+/78r/Aem9K2/
            "]]}, {
           Thickness[0.02064409578860446]}, StripOnInput -> False]}, {
        ImageSize -> {48.44440348692403, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {49., 22.}, 
         PlotRange -> {{0., 48.44}, {0., 21.12}}, AspectRatio -> Automatic}], 
       
       GraphicsBox[{
         Thickness[0.016812373907195696`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4gu/j12fd/O3vfK1R8EMOUoOMhvF5jMl/LVf
K6TDl86n6PDE72XC3/l/7WfMBIKdsnD+m7bcbqPZUg7RqhEy52oYHWB8uxLH
2tMynA5nwEDKwcQYCD7zwvnyuxbsS80TQJU3FoXzNT6pvJzVKQY3rzei25/x
gzgG/8u+j1vTxWQdYkD2x4g7qIL0rZSF6M8Uc1AH0S9lHUQqJ5WcbYGa3yPn
cKB7X5OJsijEHefkHB64xjvOmijicB9EF8o7KIDE3wk7dNt47kozUoDYYybk
4L7m6HKGCkWHkuUlG/6d53VgAAEFVTgfbD6PBpz/51vpgzkX9RzWgMLxn7CD
bWXEClNfQ4e//4HAXh7OB5vjoArn/3r7+oDlYXWHhJAg9QUn9eB8mPkwPsz+
TXp5ixll1ODug5kHcz8TZ5d88jsVuP9aeP3XT1mqAvd/Zv6H1pMlKvDwcZnQ
LJT2Sxkefh8WrVc426EMD98ITrF2Y3tlePjD+LD4Adv7CcF/kaX9bfpcFXj8
gt3HoA7n13zaEJC9C8E/tmtHL9sHDTg/IfaOG/MNLbh5P0D+b9bG4MPS55QJ
/FVm3doOsPS7ARQ+e7QdYOm7/rdVwbkXWnD+88SF10zWazkIg9LJEQWHJyB+
vxYkXWyEhpeqFiTdGcg7bDH/cSilSxPOB8fHY1U0vroDf2zAfSN3RYd4UDxq
ajvILX/hofdfBc7/C0ofhppw/lNQOO3Vd0hNA4Jjag7JIH//QKQXGB8cjx8F
4PzrvLfFUs0YIO48qg/nw8yH8WH2F4DSpz8v3H3geF4pBHc/OD9uZoPzW8Rr
WTPdWOB8aVD5sIAJHj7g8kKBCR5+2702WMyxZISHL3r5AgB2g+xJ
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI7IGYC4ieJC6+Z/Dd2SE8DgmfKDjA+C2eXfLKeqoND
06PjM7hNHB5FiG+/yKDmsMX8x6EULROIvJ+6g4kxGDiI9ni9YhHRcEiOvePG
vMLI4e+30gdzAjUcIkHa/hnC+WDa0ADO99hfK2txXNfhDAjwqMH5YFMfK8H5
dzRl1/zfrOiQAjJfQs9hT37N25lXFRymTuCvMjut57BWSIcvXU/B4XmW9rfp
c/Ud1oD49+Qg5sYYOLivObqcQULOof63VcG5DkMHVxC/QtbhutAnx/NlRg69
Ed3+jB9kHA63LQ8/9cjIYUewVcT/dBm4/2ru/7hl7C3tsOT+Pr45zcYQeXcp
iHkrjB2C317+OOOhBJxfBVLPLQ7ng03ZLOQgPS9O8/QBIwfbEsfa0zL8kPCu
N4TzweHXYQDnQ+JB3+GBa7zjrEJBiHp+fYezIH/lCDu8APn3rh7EPcvF4OED
45847LQ2U07PQeOTystZJ0XhfJHKSSVnWRD8mSCwUwTOB/unUcjhDyieBPXg
9oPD842ugzrIvE4+CN9H30Fmo9h8JgUeiDmRBg72IPff4XKwrYxYYcprCOeD
w1vNGM6PUXD8mLzGBG4fKl8Szgenz2PSDn4XJ8b8azaBxHecLMT/uiYO/0Fg
vpwDKBmaHDR2UL72KJhBRsFhQnCJynR7Y4fT4PBScLgtXZNo9NTQYTbInScV
HKJB5ucYQNTrKELC97w+JL38QPDB6e+yMpx/4WrYG/3bqg7cbqqlTKsM4PkB
zN9lCOeD05OREZwPtn+pkcOU9taoyzLqDjz+66ek/jByYACBA2oOp0HhH2fs
0MhytN8wXM2hYE337YwGYPr7tCEg+5cqJHw7jSH5wl0VEj5zMPMvjA8AzWio
SA==
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4uKtor9P+1k4PElceM1EX90Bxm/4bVVw7oW6
g+qT5nlnf5k56CjKf8m5hslfcn8f35zNCP4ZEMjBza8DmSthCjcfxofZnxJ7
x425w9RhSntr1GUZqPwJUwepeXGapwWg8i9MHXY4ND06fkPNgQEEBMwcZJe/
8NCTV3O4LV2TaBRq4aCwa8G+1HeiDvpaK4UvbLFwONi9r8nEWciBy021lOmW
hYMxCEwWcODzXz8llcPS4UXt4+zzb7gdjrQtDz+1CMF/nqX9bfpdS4cv+z5u
Tf8mAJFnsnKQB5nfJ+RQD3JfhpVD1f0ft4yzxRzEp17hzGiygbgrQdVhxkwg
OGnjsAEUcGvVHOyBzp7x2sZhi/mPQylc6g4ab3n3GWjawv37Zeetrr+ttvDw
gPFh4cUDcq+FDTw8JUDhwoDgg+3baQ0x7466w38QiLd2kAC565G6Q8Ga7tsZ
AQj+Br28xYwyCD7YXa+s4PbB+DD3TJnAX2XWbQ13L1j8vLWDLsh+MXWHBpaj
/YbfreHxA+NvBNlTg+CfOuy0NtNOzSFcfPtFhnfWDnMWKe/881wVEj63rR1m
gO1Rhfh/qaXDWiEdvnQ7EYeboPh1NYfYH6PmsAIY7f8dzR18TrDbzi5VcygB
pV87c4dakPs7EPxHEUCLFiD4YPNfqzn4XZwY8y/ZHO7+P99KH8xZaA73H3r+
AAC+o22q
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJnIGZigAIPZ4cXtY+zz7/hdogQ336Rwc/ZQWaj2Hym
BF4H1SfN884GOTvEqEbInNvD59C+PPyUUYizw3Xe22KpZvwOISUq0/9HODt8
2fdxa7qYgMNN6ZpEo1RnB/VPKi9ndQo6zASBQmcH9zVHlzPcEHKIBJkf5+KQ
EBKkviBTzWHnra6/qekuDjscmh4dv6HmULJV9PfpMhcHqXlxmqcF1B1qf1sV
nJvh4jClvTXqsoy6w4N9fHOMT7k4PElceM1EH8FvAKl7oe4A9o+Gi4OOovyX
nGvqDq6qpUyzJHDzFRw/Jp9pdYbrh/Fh5oOcNeOwM9x+sH9+OjtsMf9xKIVL
3eEN7z6DmVwuDjMm8FeZvVZzaAOFD48LxN0dCL7PCXbb2aUI/q+3rw9YJqvB
9YP9G6DmMN9G58osO2cHkcpJJWdZRB26vV6xmDg6OfhdnBjzb7Gqw2OQu+Sd
HHRB7heD2i/l5DBnkfLOP+7qDvoTFvww5HNyqP60ISBbSsPhDAjccYTzwfG3
x9HhwtWwN/qz1RyWv/DQ+7/Q0cFAa6XwhRZViP8CHR0+LFqvcNZDCSI/0cHh
TVtut1G0KCR+3tnD1YP99dTe4SnIXedVHY6APPjI3sHIGAiE1eB8mP9gfFh8
14PCicEBHt/iU69wZmg5wMM7m/PngvRsB3h8wPiw+OoBhU+gPTw+7UHxZY3g
c7gBI3yXHcS8O+oOG/TyFjOesYXrh/Fh5kuA7Feyg9u/BSRfYwePb7B9C+0c
UtOA4Jiag01lxArTvXaQ8H+u6pAOEhdzcOiN6PZn/CAE908/iG8gAOcf6N7X
ZKIsAAlfSwd4/gO7ox3Bvw3KT1MdHFrEa1kz2fgdEg9f1k5d6OBQff/HLePV
Ag7FoPjYh7CvAuics6eh8ami4sCyeJIVY6+TgwYoP74Ud/gPAvudHNYK6fCl
zxN2mPKNLX7GESdI/FoLQ9LTLye4/ejlAwDH3cer
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWaBsBiifAY3NCJVHV4NLHJcaUtXjUkOq+YPB
nQAGXgI/
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4jXdtzMYjrs66CjKf8m5pu7A479+SmqBq8OU
9taoy3fUHSSmXuHMSELwRT45nk/jdXVo+G1VcO4Fgv8kceE1E311h8TDl7VT
A6HqZdQdXFVLmWbNcHXYYv7jUAqXuoPFtaO5JgtcHQJuSdckXlKD82XmxWme
/qAC5z9wjXecZSgC58vvWrAvNU8Abl6EaoTMuT/8cPtMjIFgMz/cPTyOfF4z
MhH8JbeWPzZs5nFIA4Flrg5nwACTXwfy1wEEnwEEbuDmP9jHN8e4yg1uPowP
s193woIfhmZucPeBw/s9wv07b3X9TX2O8B+MD/M/jO+xv1bWwl3VQRwUH4c8
oObzOAiD/Ofr6WBf4lh7+g4XnA92pwM3nD9jJhBEcjtURKwwPevt6dAiXsua
ycYDMc/L0+HLvo9b08V4If73gJmH4PdGdPszFvDB+bD4gvFh8QmOnwBPeHx/
3hCQPWu6Jzw92Dc9Oj7jtic8vcD4sPSUAIpPS094ekTn3weFrxKCf1zTatJp
dtz84q2iv0/necDNh/Fh9qs+aZ53dpMH3H3LXnjo/f/pAXc/KNhmMiL8B+PD
/A/jB7+9/HGGojAkv0i5we1Dz18AFEx4mw==
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4h23uv6mbvdyeJq48JrJeVWHkq2iv0/XeTvo
Ksp/ydmm6iDyyfF82lVvhxO7dvSybYDK9/nA+XNtdK7MmuYD15/D+XNB+mQf
h1OHndZm2qnB+cdA6gsQfAYQOIDgg+0TU4fz5yxS3vnHXR1ufgPL0X7D7epw
+3VA6q+pO/yJyT36T8rH4UWW9rfpe9Xh7oWpX/7CQ+9/I4LPsniSFaMugh9S
ojL9/wsvuH6wfKkX3Pwb0jWJRrleqPbnecH9x++/fkpqgZcDC2eXfLKeKpzf
8Nuq4FyGCpxfff/HLeNoJYfyiBWmZ7O9HGaCAKeCwxNQuKV7ORgYA8FnWYdw
8e0XGdq8HFQ/qbyctVLWYT7I/+e8HGR3LdiX+k7egQdk3g8vh/LD21xn+io4
bNDLW8zo4g3ng+VvIPhg95v6OJiAzA+WhfPftOV2G0lLwPlrhHT40vcJOdzf
xzfH+JK3w3Xe22KpZvwOF/Lj2c9pIvjpaUBwzQvO7/F6xWLSCfVPpQAk/oq9
IObvFnTYXytrka7j5fDANd5x1kZRiH/ZvRxEKieVnGURdVB50jzvrJaXw8Hu
fU0mzkKQ+LP1cnBfc3Q5ww4BSPwGeTn0RHT7MxrwOuhMWPDDsM7LIUY1Qubc
Hm6HLSD/7/FysC9xrD19hwsSXv8QfHB4pnnD+eDwv+zt8KL2cfb5NbwO9aB4
0vCB+EtN0GFN9+0MhnYfiHsOCzu4qJYyzdrh41AFij9ucTh/PSi85knB+bD4
BPvf2gfi/h+KkHDv9obzwenNAcFPOHxZO5UTyl+h6DADZM5KLweQNuPDCg7o
+RMALEmM8w==
            "]]}, {
           Thickness[0.016812373907195696`]}, StripOnInput -> False]}, {
        ImageSize -> {59.48081693648817, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {60., 22.}, 
         PlotRange -> {{0., 59.48}, {0., 21.12}}, AspectRatio -> Automatic}], 
       
       GraphicsBox[{
         Thickness[0.011705489874751257`], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4gu/j12fd/O3vfK1R8EMOUoOMhvF5jMl/LVf
K6TDl86n6PDE72XC3/l/7WfMBIKdsnD+m7bcbqPZUg7RqhEy52oYHWB8uxLH
2tMynA5nwEDKwcQYCD7zwvnyuxbsS80TQJU3FoXzNT6pvJzVKQY3rzei25/x
gzgG/8u+j1vTxWQdYkD2x4g7qIL0rZSF6M8Uc1AH0S9lHUQqJ5WcbYGa3yPn
cKB7X5OJsijEHefkHB64xjvOmijicB9EF8o7KIDE3wk7dNt47kozUoDYYybk
4L7m6HKGCkWHkuUlG/6d53VgAAEFVTgfbD6PBpz/51vpgzkX9RzWgMLxn7CD
bWXEClNfQ4e//4HAXh7OB5vjoArn/3r7+oDlYXWHhJAg9QUn9eB8mPkwPsz+
TXp5ixll1ODug5kHcz8TZ5d88jsVuP9aeP3XT1mqAvd/Zv6H1pMlKvDwcZnQ
LJT2Sxkefh8WrVc426EMD98ITrF2Y3tlePjD+LD4Adv7CcF/kaX9bfpcFXj8
gt3HoA7n13zaEJC9C8E/tmtHL9sHDTg/IfaOG/MNLbh5P0D+b9bG4MPS55QJ
/FVm3doOsPS7ARQ+e7QdYOm7/rdVwbkXWnD+88SF10zWazkIg9LJEQWHJyB+
vxYkXWyEhpeqFiTdGcg7bDH/cSilSxPOB8fHY1U0vroDf2zAfSN3RYd4UDxq
ajvILX/hofdfBc7/C0ofhppw/lNQOO3Vd0hNA4Jjag7JIH//QKQXGB8cjx8F
4PzrvLfFUs0YIO48qg/nw8yH8WH2F4DSpz8v3H3geF4pBHc/OD9uZoPzW8Rr
WTPdWOB8aVD5sIAJHj7g8kKBCR5+2702WMyxZISHL3r5AgB2g+xJ
            "]], 
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYC4htCnxzPh5k5fFi0XuHsCmWHNBDYhsn3uzgx
5t9jFQeNt7z7DE6aOaSCxNnUHA7UylqkfzFzyMj/0HoyRN3BtjJihelcU4fq
TxsCsqU0HCYEl6hM/2/i8Pdb6YM5gRoOfP7rp6RyIPjTJ/BXmb02gPPPXw17
o79b12EGSPy0Cpy/RkiHL/2eHJwfoxohc+6PpMNa1SfN83r1HEQqJ5WcXSLq
MBMEOA0cjEFgs5BD8VbR36fvGUDU7+FziFZw/JisY+RgX+JYe/oOl8PBtuXh
pyYZw/knDzutzcwzgfOX3N/HN8fZ1EFmo9h8JgUeh5TYO27ML8wczoABP5x/
sHtfkwmzBJwf/PbyxxmNkhB/vDZzeNOW2200W9KBx021lInLHKpfEmJ+srnD
jmCriP/uUg6NLEf7DcPNIe6tkYaEr4sZxH8p0g4g7561QvCngcy/bQrn/wGF
YyOCXwLyfx6Cv+KFh97/RBO4+TC++ieVl7M4pRwOgcIjydTBBBx+kg4MILDB
FO5+h6ZHx2ecNnWouv/jlrE2gg/zP4wP9r+iMJwPjpefgg5eJ9htZx81dRAG
u0cQkp52mjrI71qwL5VPEOL/6aYOB0DmKQs4vMjS/jb9ronDi9rH2eff8EHS
iSCC/xwkv9YQzucFpS8NA4cv+z5uTb8mCueHgNzzUB7OB7tnporDl523uv6W
GjqwcHbJJ/upQ+JvhzGcX/fbquBchAmcLzMvTvP0AxOHBpC4hjokf4SZOsgu
BwbkfTVo+jNzSAgJUl+QqeYAy18XQOn2tiqcDzbng4oDev4DADmMkD8=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4uUvPPT+N1o5yMyL0zz9QcUBxt/h0PTo+A01
hz/fSh/MmWjlsMX8x6EULnWH/uASleny1g5T2lujLsuoO/hcnBjzb7O1w5PE
hddM9BH8ht9WBedeqDuIT73CmXHJykFHUf5LzjV1hxOHndZm9iH4z7O0v01/
awnnG4NAMIJfBzKHwxJi3x11iDu0LODmw/gw+4u3iv4+vc8C7r4zIOBjCXd/
tILjx+QYS7j/YHyY/2H8B67xjrMMReD84LeXP85IFICbF6EaIXPuDz/cPhOQ
uzfzw93D48jnNSMTwV9ya/ljw2YeB2mQPQ9g6nng5oHpMzzw8IDxYeGFIv/X
Cq4fFt4w82F8mP2w+IK5DxafMPfD4hvmPxgf5n/09AEAaBb/xg==
            "]], 
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4mzOnwvSuZ0cWhXYVc+UCDkIf3I8n/bX0aE3
otuf8YOQg/cJdtvZcx0dgt9e/jiDUdDhd0zu0X9Gjg7V93/cMuYWgMjvdYDz
89d0385QsIfzS7aK/j7dZ+vw0DXecVagGJzfArLvijycv0kvbzFjjIrD08SF
10ze2zmwcHbJJ/upOyQevqyd2ugA59f+tio4J+EI558BgS2ODo0sR/sNw9Xg
/BZe//VTUlXh/A+L1iucXaEM4T9B8NPTgOCZo8OLLO1v0++qOOyvlbVIf+Po
MKW9NeryHlWH+/v45hgzOTlk5H9oPRmi7lAMcm+do4OZzd6gaYwaDhHi2y8y
8Dk6/P1W+mBOoIbDTemaRKO5DnA+WL0Ygg+2X8fe4cSuHb1sF9QdnoPsjbVz
kF3+wkPvvprDUxD/r43DI5DBDqoOvhcnxvxztnFwX3N0OcMOJTi/BhS+r+Xg
/BjVCJlzNSIOMQqOH5N17BzsSxxrT9/hgocfjD8TBBgd4Xxw/JVC+XN4HMyv
Hc01eYCIX/T0AQCSgPxI
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}}}, {{{40.0047, 6.195309999999999}, {40.3672, 
            7.00469}, {40.30629999999999, 7.065629999999998}, {37.1313, 
            7.065629999999998}, {36.8047, 6.2562500000000005`}, {
            36.86559999999999, 6.195309999999999}, {40.0047, 
            6.195309999999999}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxlk11Ik1EYxzebhGVG5vzIzWa2qWQrPwpZX//B+55XCrK0dHSRmswFWSYo
aM0L+1DSojAvdIUaXujFwkzChEhDrWxOsqkXamUmfaGQBmGJrJ33zTOiB56L
H+fwnOf/f54TeaogzbxKJpPJPbnfkz6eXHhw5IzNTWDJ88SnKKywwq9qc65e
C41xPnfQV8C0KaRzWKbDeLg1J0EpSOeHo1EvBoHy+sFviqAYtOvPNcuPESz/
LJ66ezQG9uqJ0zI3z7hsyXB+KNTLwwVZq4cKOQzS8NcxTqTxcQvjyVi13d0R
CbGNCg5PCqxz9aMaaGcuNzgfcrgfGBdg0WvQNV61bP7MwU75XQSorDw9D8He
3yILjUBPmTrZ0seDp1yiRr7frybLHoIbpupU+XcVcnpd28yFBI/TDSa3RcX0
Wd8vjiceCscb2s+zv+fCJqneCEH6nGu+7kMo4wv0/toQxqKejkD4p7bVmrMJ
9hUZyxyq9ZLf3Txj0T/Oy7g0/aLOwWGKzzLaCjegxNS6y9nLwUn9yt8o6e3k
pH5agpk/KyzWr+QQs7D1q21AyTiotKbIqfCyKLMriLGopzxQ6v+K9/0kquMi
h2ha71qAxC4OqvbgRh+NvzTHOB4HaP+Ta9CwN27EVuFl0e/bhPH2W02L8RkC
e+9fDmMs7ufzcLR+SdG7jYI075NqFD1SLjmCBbhpNEaAaIt9bFMEUWPT6TKV
Bi9jDTWORgKH6JcGs+ue7qxf4HGH6h3QSPV389L9uEiUUn9/cNK+LHpZ3D9X
FOPXoxmzOya08G2uMciP8+w/KCi/9XI23acwwlh8P42gtvLqCZcqGhUtma8S
rAQyGj06zOTcG0tqIyhX9N+Mz9Qheaz/bFKPZ//oYH5rJX/7CFK6PYMRtNDT
/of+/78r/Aem9K2/
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4je8+wxmSnk6PElceM1EX90Bxm/4bVVw7oW6
g6tqKdOsAg8HHUX5LznXMPksiydZMfoi+DNBQBM3/9OGgOxZ9e5w82F8mP1g
eru7w5T21qjLMuoOX0Dy190dpObFaZ4WgMo/d3fY4dD06PgNNQcTYyD47e4g
u/yFh568moO848fkM7KeDgq7FuxLfSfq4H2C3Xa2r6fDwe59TSbOQg7m147m
miR4OoC0GU8WcNh5q+tvarmnw4vax9nn33A7TPnGFj/jCIIPMvb/Q0+HL/s+
bk3/JgCR/+LpIA8yv08I4j51L4eq+z9uGWeLOeyvlbVIN/F2YACBBFWH/yAQ
7u2wQfVJ87y1ag4hJSrT/2d4O2wx/3EohUvd4bim1aTT7d5w/+pPWPDDcJs3
PDxgfFh47QG5l98bHp72wGCY8dkLzgfbd94LYt4ddUj4LPZykJh6hTPjkbpD
DufPBemzEfwer1csJo0IPo//+impGV5w+2B8mHvqQeI7vODuVQd66+wtLwdd
kP1i6g4lW0V/n37nBY8fGH+jXt5ixhoE/9Rhp7WZdmoO9/fxzTF+5eUwZ5Hy
zj/PVSHh88DLYcYE/iqzblWI/495OqwV0uFLtxOBxO9UD4j9MWoObcvDTxlN
8XDwAcVzqRok/U7ycKgFubMDwX8UIb794gIEH2z+azWHm9I1iUZLPeDuB7vz
iAfcf+j5AwB8xGuR
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJnIGYC4v8goBzg8KL2cfb5N9wOa7pvZzCoBzjIbBSb
z5TA6yD8yfF8mmaAQ4xqhMy5PXwOhy9rp0pqBThc570tlmrG76BpNel0vU6A
w5d9H7emiwk4vOHdZzDTKMBB/ZPKy1mdgg5nQMAiwMF9zdHlDDeEHFaDzF8f
4JAQEqS+IFPNITb36L9NmwMcdjg0PTp+Q81h962uv6m7Axyk5sVpnhZQd9hf
K2uRfibAYUp7a9RlGXWH/Hj2c5JPAxyeJC68ZqKP4Df8tio490LdAeyfyQEO
OoryX3KuqTssnmTF6NuDm9+/4IfhMyeEfhgfZr6C48fkM4kI+8H+qQlw2GL+
41AKl7rDd7b4GT6tAQ4zJvBXmb1Wg4RPW4BDLci8DgTf5wS77exSBP/X29cH
LJPV4PrB/g1Qc/CXE8vylQ9wEKmcVHKWRdShx+sVi4mjv4PfxYkx/xarQtwl
7++gC3K/mLrDW1B4S/k7zFmkvPOPu7qD7gSgB/j8Hao/bQjIltKAuPeOH5zf
vjz8lNEeP4cLV8Pe6M9Wc1j6wkPv/0I/BwOtlcIXWlQdZswEgkA/hw+L1iuc
9VCCyE/0dXjTltttFC3qsAMUP9994OpVnjTPO/vJx+EpyF3nVR3iQR786ONg
ZAwEwmpwPsx/MD4svsHhxOALj2/xqVc4M7R84eGdw/lzQXq2Lzw+YHxYfLmq
ljLNWuEDj095UHzNRfBZQBEe6wMx7466Q7j49osMz7zh+mF8mPng8Bb0gdsP
lrfzgcc32L4AH4fUNCA4puYw10bnyqw4H0j4P1eFiIv5OvRGdPszfhCC+6cf
xDcQgPMPdO9rMlEWgISvpS88/4Hd0Y7g35CuSTSa6uvQIl7LmsnG75AACr+F
vg7V93/cMl4t4FCyVfT36X0I+8ojVpiePQ2NTxUViP97/R00QPnxpTgkf+z3
d1grpMOXPk/YYco3YAI84g+JX2thSHr65Q+3H718AAB5Ttqs
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWaBsBiifAY3NCJVHV4NLHJcaUtXjUkOq+YPB
nQAGXgI/
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4vx49nOSsYEOOoryX3KuqTsoOH5MPmMY6DCl
vTXq8h11B/UnzfPOaiH4iydZMfoyBDo0/LYqOPcCwX+SuPCaib66g2d1s76P
ElS9jLqDtc6VWc9cAx22mP84lMKl7rC1pebCZs9Ah4Bb0jWJl9TgfJl5cZqn
P6jA+Q9c4x1nGYrA+fK7FuxLzROAmxehGiFz7g8/3D4TYyDYzA93D48jn9eM
TAR/ya3ljw2beRzOgIBPIIQ+g8mPEN9+kSEKwZ8JAqm4+Rw/F6Rv3oYwH8aH
2b/h4cupm6Yg3AcO70KE+7+zxc/wyUX4D8aH+R/G99hfK2vhrgqJj1tBUPN5
IP5TCHawL3GsPX2HC85nAAEHbjh/BsjdkdwOV4/mmjTIBzu0iNeyZrLxOKiC
zJMLdviy7+PWdDFeh0iQ/+Vg5iH4vRHd/owFfHA+LL5gfFh82oDiRzEYHt/C
nxzPp7kGw9PDzltdf1PTg+HpBcaHpSdvUHyKBcPTIzqfExS+XAh+7bptSfV/
g3Dyg0tUpv/fEAQ3H8aH2b+6+3YGw+UguPve8O4zmPktCO7+9DQg+BUE9x+M
D/M/jB/89vLHGYrCkPBsQ+QP9PwFACm8dyQ=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4pjco/823Q52eJq48JrJeVWHnbe6/qbahzjo
Ksp/ydmm6sD5c0H65qwQhxO7dvSybYDKH0fwA+TEsnxPh8D1b22pubD5ZIjD
qcNOazPt1OD8YyD1BQg+AwgcQPDB9ompw/lzFinv/OOuDje/geVov+F2dbj9
OiD119QdatdtS6rvDXF4kaX9bfpedbh7YepDSlSm/3dA8JsCPec2iCH42laT
Ttd/CYbrbwbJ7wqGm/+Gd5/BzG3BqPZvD4b7r2N5+CmjHcEOLJxd8sl6qnB+
w2+rgnMZKnB+9f0ft4yjlRxsdK7MerY12GEmCHAqOHzeEJA9a3Owg4ExEHyW
dVjTfTuD4XCwg+onlZezVspC/P882EF214J9qe/kHdpB5v0Jdig/vM11pq+C
Q4T49osMSiFwfhtIPgfBB7t/VoiDCcj8YFk4/01bbreRtAScv0ZIhy99n5BD
QTz7OcnMEIfrvLfFUs34HV5sX8/8XATBB5vzOhjOd1ctZZp1BOqfSgFI/O0M
hpi/W9DhwT6+OcbTgh0euMY7ztooCvFvc7CDSOWkkrMsog7CnxzPp00NdjjY
va/JxFkIEn/zgh3c1xxdzrBDABK/K4MdeiK6/RkNeB3EPQL+SOwPdohRjZA5
t4fbIRLk/3vBDvYljrWn73BBwus/gg8OT+MQOB8c/kD/vah9nH1+Da/DgVpZ
i/QpIQ7paUCgJuhw9WiuScPhEIh7Dgs7LJpkxeh7J8ShChR/3OJw/npQeM2T
gvNh8Qn2/9wQiPt/KELEXRF8LVB6U0DwNzx8OXUTC5S/QtHhDAhcCXYABbPx
YQUH9PwJAGQFoFY=
            "]]}, {
           Thickness[0.011705489874751257`]}, StripOnInput -> False]}, {
        ImageSize -> {85.42978829389789, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {86., 22.}, 
         PlotRange -> {{0., 85.43}, {0., 21.12}}, AspectRatio -> Automatic}], 
       
       GraphicsBox[{
         Thickness[0.01096130658774526], 
         StyleBox[{
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWZDYzFjYDFA+Axobl3pqsSmxlxi9lPiFGDOR
2QAsvgJv
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJ3IGYC4gu/j12fd/O3vfK1R8EMOUoOMhvF5jMl/LVf
K6TDl86n6PDE72XC3/l/7WfMBIKdsnD+m7bcbqPZUg7RqhEy52oYHWB8uxLH
2tMynA5nwEDKwcQYCD7zwvnyuxbsS80TQJU3FoXzNT6pvJzVKQY3rzei25/x
gzgG/8u+j1vTxWQdYkD2x4g7qIL0rZSF6M8Uc1AH0S9lHUQqJ5WcbYGa3yPn
cKB7X5OJsijEHefkHB64xjvOmijicB9EF8o7KIDE3wk7dNt47kozUoDYYybk
4L7m6HKGCkWHkuUlG/6d53VgAAEFVTgfbD6PBpz/51vpgzkX9RzWgMLxn7CD
bWXEClNfQ4e//4HAXh7OB5vjoArn/3r7+oDlYXWHhJAg9QUn9eB8mPkwPsz+
TXp5ixll1ODug5kHcz8TZ5d88jsVuP9aeP3XT1mqAvd/Zv6H1pMlKvDwcZnQ
LJT2Sxkefh8WrVc426EMD98ITrF2Y3tlePjD+LD4Adv7CcF/kaX9bfpcFXj8
gt3HoA7n13zaEJC9C8E/tmtHL9sHDTg/IfaOG/MNLbh5P0D+b9bG4MPS55QJ
/FVm3doOsPS7ARQ+e7QdYOm7/rdVwbkXWnD+88SF10zWazkIg9LJEQWHJyB+
vxYkXWyEhpeqFiTdGcg7bDH/cSilSxPOB8fHY1U0vroDf2zAfSN3RYd4UDxq
ajvILX/hofdfBc7/C0ofhppw/lNQOO3Vd0hNA4Jjag7JIH//QKQXGB8cjx8F
4PzrvLfFUs0YIO48qg/nw8yH8WH2F4DSpz8v3H3geF4pBHc/OD9uZoPzW8Rr
WTPdWOB8aVD5sIAJHj7g8kKBCR5+2702WMyxZISHL3r5AgB2g+xJ
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJLIGYC4htCnxzPh5k5fFi0XuHsCmWHNBDYhsn3uzgx
5t9jFQeNt7z7DE6aOaSCxNnUHA7UylqkfzFzyMj/0HoyRN3BtjJihelcU4fq
TxsCsqU0HCYEl6hM/2/i8Pdb6YM5gRoOfP7rp6RyIPjTJ/BXmb02gPPPXw17
o79b12EGSPy0Cpy/RkiHL/2eHJwfoxohc+6PpMNa1SfN83r1HEQqJ5WcXSLq
MBMEOA0cjEFgs5BD8VbR36fvGUDU7+FziFZw/JisY+RgX+JYe/oOl8PBtuXh
pyYZw/knDzutzcwzgfOX3N/HN8fZ1EFmo9h8JgUeh5TYO27ML8wczoABP5x/
sHtfkwmzBJwf/PbyxxmNkhB/vDZzeNOW2200W9KBx021lInLHKpfEmJ+srnD
jmCriP/uUg6NLEf7DcPNIe6tkYaEr4sZxH8p0g4g7561QvCngcy/bQrn/wGF
YyOCXwLyfx6Cv+KFh97/RBO4+TC++ieVl7M4pRwOgcIjydTBBBx+kg4MILDB
FO5+h6ZHx2ecNnWouv/jlrE2gg/zP4wP9r+iMJwPjpefgg5eJ9htZx81dRAG
u0cQkp52mjrI71qwL5VPEOL/6aYOB0DmKQs4vMjS/jb9ronDi9rH2eff8EHS
iSCC/xwkv9YQzucFpS8NA4cv+z5uTb8mCueHgNzzUB7OB7tnporDl523uv6W
GjqwcHbJJ/upQ+JvhzGcX/fbquBchAmcLzMvTvP0AxOHBpC4hjokf4SZOsgu
BwbkfTVo+jNzSAgJUl+QqeYAy18XQOn2tiqcDzbng4oDev4DADmMkD8=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1,
             0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4uUvPPT+N1o5yMyL0zz9QcUBxt/h0PTo+A01
hz/fSh/MmWjlsMX8x6EULnWH/uASleny1g5T2lujLsuoO/hcnBjzb7O1w5PE
hddM9BH8ht9WBedeqDuIT73CmXHJykFHUf5LzjV1hxOHndZm9iH4z7O0v01/
awnnG4NAMIJfBzKHwxJi3x11iDu0LODmw/gw+4u3iv4+vc8C7r4zIOBjCXd/
tILjx+QYS7j/YHyY/2H8B67xjrMMReD84LeXP85IFICbF6EaIXPuDz/cPhOQ
uzfzw93D48jnNSMTwV9ya/ljw2YeB2mQPQ9g6nng5oHpMzzw8IDxYeGFIv/X
Cq4fFt4w82F8mP2w+IK5DxafMPfD4hvmPxgf5n/09AEAaBb/xg==
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4mzOnwvSuZ0cWhXYVc+UCDkIf3I8n/bX0aE3
otuf8YOQg/cJdtvZcx0dgt9e/jiDUdDhd0zu0X9Gjg7V93/cMuYWgMjvdYDz
89d0385QsIfzS7aK/j7dZ+vw0DXecVagGJzfArLvijycv0kvbzFjjIrD08SF
10ze2zmwcHbJJ/upOyQevqyd2ugA59f+tio4J+EI558BgS2ODo0sR/sNw9Xg
/BZe//VTUlXh/A+L1iucXaEM4T9B8NPTgOCZo8OLLO1v0++qOOyvlbVIf+Po
MKW9NeryHlWH+/v45hgzOTlk5H9oPRmi7lAMcm+do4OZzd6gaYwaDhHi2y8y
8Dk6/P1W+mBOoIbDTemaRKO5DnA+WL0Ygg+2X8fe4cSuHb1sF9QdnoPsjbVz
kF3+wkPvvprDUxD/r43DI5DBDqoOvhcnxvxztnFwX3N0OcMOJTi/BhS+r+Xg
/BjVCJlzNSIOMQqOH5N17BzsSxxrT9/hgocfjD8TBBgd4Xxw/JVC+XN4HMyv
Hc01eYCIX/T0AQCSgPxI
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1,
             0}, {0, 1, 0}}}, {{{40.0047, 6.195309999999999}, {40.3672, 
            7.00469}, {40.30629999999999, 7.065629999999998}, {37.1313, 
            7.065629999999998}, {36.8047, 6.2562500000000005`}, {
            36.86559999999999, 6.195309999999999}, {40.0047, 
            6.195309999999999}}}], 
           
           FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}}}, CompressedData["
1:eJxlk11Ik1EYxzebhGVG5vzIzWa2qWQrPwpZX//B+55XCrK0dHSRmswFWSYo
aM0L+1DSojAvdIUaXujFwkzChEhDrWxOsqkXamUmfaGQBmGJrJ33zTOiB56L
H+fwnOf/f54TeaogzbxKJpPJPbnfkz6eXHhw5IzNTWDJ88SnKKywwq9qc65e
C41xPnfQV8C0KaRzWKbDeLg1J0EpSOeHo1EvBoHy+sFviqAYtOvPNcuPESz/
LJ66ezQG9uqJ0zI3z7hsyXB+KNTLwwVZq4cKOQzS8NcxTqTxcQvjyVi13d0R
CbGNCg5PCqxz9aMaaGcuNzgfcrgfGBdg0WvQNV61bP7MwU75XQSorDw9D8He
3yILjUBPmTrZ0seDp1yiRr7frybLHoIbpupU+XcVcnpd28yFBI/TDSa3RcX0
Wd8vjiceCscb2s+zv+fCJqneCEH6nGu+7kMo4wv0/toQxqKejkD4p7bVmrMJ
9hUZyxyq9ZLf3Txj0T/Oy7g0/aLOwWGKzzLaCjegxNS6y9nLwUn9yt8o6e3k
pH5agpk/KyzWr+QQs7D1q21AyTiotKbIqfCyKLMriLGopzxQ6v+K9/0kquMi
h2ha71qAxC4OqvbgRh+NvzTHOB4HaP+Ta9CwN27EVuFl0e/bhPH2W02L8RkC
e+9fDmMs7ufzcLR+SdG7jYI075NqFD1SLjmCBbhpNEaAaIt9bFMEUWPT6TKV
Bi9jDTWORgKH6JcGs+ue7qxf4HGH6h3QSPV389L9uEiUUn9/cNK+LHpZ3D9X
FOPXoxmzOya08G2uMciP8+w/KCi/9XI23acwwlh8P42gtvLqCZcqGhUtma8S
rAQyGj06zOTcG0tqIyhX9N+Mz9Qheaz/bFKPZ//oYH5rJX/7CFK6PYMRtNDT
/of+/78r/Aem9K2/
            "]], 
           
           FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1,
              0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 
             3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {
             1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
             3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQPd9G58osMS+HHcFWEf+PCzpITL3CmcHk5XCwe1+T
ibOQw4cNAdmz5ns6yO9asC81T8Bho17eYsYaT4cI1QiZc3/4HWaCgCWCz7p4
khXjVQ9U+UYPB+HKSSVnUwQd0kAgzANi/mFhh+ASlen/LTwc3rTldhtFizro
TVjww1DPw6FNgV31zBYxB2MQ0PZwCH57+eOMRkmHMyDA4wnn77zV9Te1HMG/
kB/Pfm6np0MKyJ5lkg77a2Ut0lW8IO7Xk3IIF99+kUHNC+K+O1IOX0D+U/dy
qLn/45axtzSc/x8E7iP46SDztik43JCuSTTa6umQCuK3KUHUsSP4a7pvZzCc
94Dzwfb3eDjsza95O9NUyYEFFD6+Hg73XeMdZy1UhITHOXeHcE6xduN6BYcc
zp8L0me7Q8z9Lwvng8PxpwScrwDyzztRhze8+wxmbnJ3MAGFU7CwQ9vy8FNG
d9wd1grp8KXXCTrc38c3x1jKw8G+xLH29B1eeHxA+FwO3ifYbWd/RfCLt4r+
Pq3nCeeDnZHu6XAAFF+LuR2eJC68ZrLc00Fmo9h8pgRehxBQ/F3wdOiN6PZn
LOBziD98WTv1oyfEPZv5IennO1S/soADenoDABtyF80=
             "], CompressedData["

1:eJxTTMoPSmViYGAQBmIQHS6+/SLDPE+Hmvs/bhl7Szt4n2C3ne3r6WBiDALS
Dm6qpUyzNDwdUtKAQE3aIbhEZfr/Dx5w/sX8ePZzKxH8mSDQ6AHXrzdhwQ9D
PQ+H/ohuf8YCBL9VgV31zBZZh/21shbpJh4OIpWTSs4ekXPg9V8/JdXDwwGs
nVkBYl8GlC+s6JDN+XNB+moPB+cJzUJpuxQh7v2K4MPcC+PX/bYqOBfgCXFX
pqLD5G9s8TNyPCHmHVZwmG+jc2VWn6eD7K4F+1LfyTskHL6snTrT02F7sFXE
/3Y5B/TwAQDQMXP/
             "]}], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYCYgXHj8lneH0cniQuvGair+4A4zf8tio490Ld
oSJihenZZG8HHUX5LznXMPnm147mmjgg+GdAQAY3X+VJ87yzRV5w82F8mP3i
U69wZqzycpjS3hp1WQYqf8rLQWpenOZpAaj8LS+HHQ5Nj47fUHNITwOCd14O
sstfeOjJqzmElKhM/y/g46Cwa8G+1HeiDrUgexx8HA5272sycRZyyOH8uSA9
2MfBGAQmCzi84d1nMDPLx+FF7ePs82+4HY5qWk06vR3BvyFdk2h01cfhy76P
W9O/CTgcB8k/93GQB5nfJ+SgCnKflK9D1f0ft4yzxRy+bAjInqXu58AAAgmq
DiYge7z9HDaAFK5Vc2hfHn7KKMbPYYv5j0MpXOoOf2Jyj/6r8oP7N+HwZe3U
lX7w8IDxYeH1FuReJj94eJZsFf19+pkvnA+277AvxLw76g6poPCZ5usgAQq3
R+oOc210rszqQ/D318papJcg+PbAYJ0R7Qu3D8aHuWeDXt5ixjW+cPdGiG+/
yHDO10EXZL+YusNSYDT8f+gLjx8YfyNIXw2Cf+qw09pMOzUHkU+O59Pu+jrM
WaS8889zVUj4XPF1mDGBv8qsWxXi/50+DmuFdPjS7UQg8dvhDbE/Rs1hz62u
v6nt3g4+J9htZ5eqOciD0m+rNyTeOxD8RyCHLkDwwea/VnPg8V8/JXWGN9z9
YH9u94b7Dz1/AACpPWiK
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
            "], CompressedData["
1:eJx1VHsslWEYPy7RZTg5LmNMOOf7iCJElPU0M13k+95PFyuL6CTD+IM/hDGO
1NTorA3HNdbUKN2otpJVurlPbqlZIYSFbA41Ou/39X1na+vZ3j9+e9/ned7f
7/c+r31UIiPXE4lEOpoVoFm6muWJowjBZMZoXNfMJhhpNi7zVCGwuWdRqRtp
BIGyFF1VGYJwWZhN51NjWDKIKA4uRzBgNGwh9zaB8ITW1fuVCBab5xtjLMRg
t28+uv0GAnJBOqW6tBnWcNQhCKpvrRUNmnL1HRiIPMKQVbEEFFapd3wjGHgM
2V/fDBIwa9TsXrKdAeuKU85tYhJ+3qXjVHsZuJaXe6LXhoQapZ/O4TAGxk5f
7/dy0+KsX35JnZMksHwMGXC1t1uM7yehrzXBK2sN/Re/7HWRWzUhIZ/HfP3Q
ZGnR2gck9Gf5/EDw0Ef94sxGEpz9lG2ZagTFhSbnvacJTp9lBBm43kUtDn5r
6F+aosUrs9MtvtGEkM/ypQnIQQfKs5QIzFKVyR365pAadnNnhwRBSM/V8NUa
GcjGcio6dBFsw/e3IMEF54sQlFU7PvkdRMKhtBy34BUa0hY0wlk7QQmOL1rM
9u+hobvv2IxbKQF5tcffe7yiwX3rLUm3QsbxK6VhrrphS8d+B25/Dw0zFxLy
PU6ac/5+poTzlw9+1/caomAc69Ulg1ZMaIACD+yDhBAwz4/HvN+szhOU4Pfz
DNtdMetpQe/JRw16E0604AePeb/q84fPiQoowc9cfF+FFsdvWK6KCaC4ep9I
eIbrt4cI+Tzm68/h97YUIvRn96WU4Dfbz4cC+VlNvCZAHz/AQIrTf0IG7Th+
U3AlLJ/SmTMV+BRg7C4WcEt+c7aXo5jTV0wL88f6663FrN7+NCgsM9bFGpjA
qJntu/EAjZ8j6o+edWKYwfPC0EK/xAjDTquhv35KpdCoSO9+4IvACc/jlCU3
H6EIbpu6GsdUSCD9TlNU5lHE+btbwr2nJO1/8O//8Aejq9Xz
            "]], 
           FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IIaxWaBsBiifAY3NCJVHV4NLHJcaUtXjUkOq+YPB
nQAGXgI/
            "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4sWTrBh9LwQ56CjKf8m5pu4QXKIy/f+SIIcp
7a1Rl++oO0SKb7/IMA/Bv3o016ShOMih4bdVwbkXCP6TxIXXTPTVHWrWbUuq
nwpVL6PukB/Pfk5yZ5DDFvMfh1K41B1ebF/P/HxPkEPALemaxEtqcL7MvDjN
0x9U4PwHrvGOswxF4Hz5XQv2peYJwM2LUI2QOfeHH26fiTEQbOaHu4fHkc9r
RiaCv+TW8seGzTwO/0Fgf5DDGTDA5Hd7vWIxOYvgg6kbuPnWOldmPdMMhpsP
48Psfywie/IpezDcfeDwfoJwv7bVpNP1DxD+g/Fh/ofxPfbXylq4q0Liwy8E
aj4PxH+TQxzsSxxrT9/hgvMZQMCBG86fMRMIIrkdOH4uSN88KcShRbyWNZON
xyECZB6Q/2Xfx63pYrwOPSD/T4SZh+D3RnT7Mxbwwfmw+ILxYfFZAIqfqSHw
+HZVLWWatSMEnh7e8O4zmHkrBJ5eYHxYeqoFxWdnCDw9ovNtQOFbi+BvePhy
6qYC3Py25eGnjFQQ5sP4MPsf7OObY+yGcJ+C48fkM5kI94OCbWYuwn8wPsz/
MH7w28sfZygKQ8LzFyJ/oOcvAFyjjBE=
            "]], 
           
           FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1,
             0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
             3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4gkLfhg+8wt1eJq48JrJeVWHN7z7DGZuCnXQ
VZT/krNN1cFG58qsZ3dDHU7s2tHLtgEqbxUG5zcFes5tsAuD63+xfT3zc5sw
h1OHndZm2qnB+cdA6gsQfAYQOIDgg+0TU4fz5yxS3vnHXR1ufgPL0X7D7epw
+3VA6q+pO2x4+HLqJoYwhxdZ2t+m71WHuxemvm15+CmjLQj+1paaC5s7EfzY
3KP/NqWHwvWD5XVD4eYrOH5MPqMZimq/Vijcf7tudf1N1Q51YOHskk/WU4Xz
G35bFZzLUIHzq+//uGUcreRQEM9+ThJo3kwQ4FRwUH3SPO+sWqiDgTEQfJZ1
eLCPb46xWaiD6ieVl7NWykL8HxXqILtrwb7Ud/IOO0Hm5Yc6lB/e5jrTV8Gh
x+sVi8lUBB8sfx/BB7ufN8zBBGR+sCyc/6Ytt9tIWgLOXyOkw5e+T8hh0SQr
Rt87oQ7XeW+LpZrxO8i8fmQm1YHgp4FAHIJfGbHC9Kw51D+VApD40wmFmL9b
0EHok+P5NM5Qhweu8Y6zNopC/PstxEGkclLJWRZRB1fVUqZZHKEOB7v3NZk4
C0HiTzDUwX3N0eUMOwQg8SsT6tAT0e3PaMDr4FndrO9jFOoQoxohc24PN8T/
gaEO9iWOtafvcEHCqwjBB4fnMgQfHP7A9PGi9nH2+TW8Dl82BGTPYg9zSAf5
S03QgePngvTNZmEQ9xwWdrh6NNekwT/MoQoUf9zicP56UHjNk4LzYfEJ9r9A
GMT9PxQdzoDAjlA4H5zeJiP4T0RkTz4th/JXKELyhUeoAyi6jA8rOKDnTwCm
tpgx
            "]]}, {
           Thickness[0.01096130658774526]}, StripOnInput -> False]}, {
        ImageSize -> {91.23252801992528, 21.12078704856787}, BaselinePosition -> 
         Scaled[0.31887090512778543`], ImageSize -> {92., 22.}, 
         PlotRange -> {{0., 91.23}, {0., 21.12}}, AspectRatio -> Automatic}]},
       "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[0.18]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"PointSize", "[", "0.012833333333333334`", "]"}], 
                 ",", 
                 InterpretationBox[
                  ButtonBox[
                   TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                   BaseStyle -> {}, BaselinePosition -> Baseline, 
                   DefaultBaseStyle -> {}, ButtonFunction :> 
                   With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                   Automatic, Method -> "Preemptive"], 
                  RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                  Selectable -> False], ",", 
                 RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.01`", "]"}]}], "]"}], "}"}], 
           ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"{", 
                 RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", "True", "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.7952284873476553`*^9, 3.795228525331965*^9, 3.795228624176976*^9, 
   3.795228698556491*^9, 3.795228829933517*^9, {3.7952328614346867`*^9, 
   3.7952328691117477`*^9}, {3.79525637996977*^9, 3.7952565021604767`*^9}, 
   3.795256708483235*^9, 3.7952600260945587`*^9, 3.795260578404459*^9, {
   3.795260637324193*^9, 3.795260648171019*^9}, 3.795260701739809*^9, {
   3.795320421346336*^9, 3.795320464054949*^9}, 3.795333455129352*^9, {
   3.7953741200736713`*^9, 3.795374124878537*^9}, 3.7953741663708143`*^9, 
   3.795374196483534*^9, 3.795518062163404*^9, 3.795519291247374*^9, 
   3.7955207158986187`*^9},
 CellLabel->
  "Out[382]=",ExpressionUUID->"b209fd1f-70c0-44b8-baa1-af339becdef7"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubsuperscriptBox["\[Integral]", "0", "1"], 
   RowBox[{"w", 
    RowBox[{"(", 
     RowBox[{"w", "-", "1"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"a", "+", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"w", "-", 
         RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
      RowBox[{"c", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"w", "-", 
          RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}], 
    RowBox[{"\[DifferentialD]", "w"}]}]}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "0.0061158387543040335`"}], ",", 
    RowBox[{"b", "\[Rule]", 
     RowBox[{"-", "0.00005968703047293955`"}]}], ",", 
    RowBox[{"c", "\[Rule]", 
     RowBox[{"-", "0.00001692245714408755`"}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.795519763144655*^9, 3.795519780565699*^9}},
 CellLabel->
  "In[335]:=",ExpressionUUID->"849f5a6b-f177-4c34-b90a-a4a0f595ff32"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"1", "+", 
      RowBox[{"w", 
       RowBox[{"(", 
        RowBox[{"w", "-", "1"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"a", "+", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{"w", "-", 
            RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
         RowBox[{"c", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"w", "-", 
             RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}]}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[Rule]", "0.0061158387543040335`"}], ",", 
       RowBox[{"b", "\[Rule]", 
        RowBox[{"-", "0.00005968703047293955`"}]}], ",", 
       RowBox[{"c", "\[Rule]", 
        RowBox[{"-", "0.00001692245714408755`"}]}]}], "}"}]}], 
    "\[IndentingNewLine]", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"w", ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Thickness", "[", "0.01", "]"}], ",", "Red"}], "}"}]}], ",", 
   RowBox[{"PlotTheme", "\[Rule]", "\"\<Detailed\>\""}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"BaseStyle", "\[Rule]", "16"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", "None"}], ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<\\\\text{$w$}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MaTeX", "[", 
       RowBox[{"\"\<C_\\\\text{x}^w/C_\\\\text{x}^{w=0}\>\"", ",", 
        RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.795271185567038*^9, 3.7952711857395077`*^9}, {
   3.795271221072744*^9, 3.79527136918993*^9}, {3.795271403221795*^9, 
   3.795271409324882*^9}, {3.795320473116149*^9, 3.795320494687904*^9}, {
   3.795374085575988*^9, 3.795374085756888*^9}, 3.795518104917894*^9},
 CellLabel->
  "In[383]:=",ExpressionUUID->"696ad044-0be9-4ed4-802d-4bc2dd39d586"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[1, 0, 0], Thickness[0.01], Opacity[1.], LineBox[CompressedData["
1:eJwl2Hk8VN0bAHBbUYqSEpE1lbThTaunUJElsqWiQovqlTUkIXuKyBqylgrJ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       "]]},
     Annotation[#, "Charting`Private`Tag$16024#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.9984710315235499},
  BaseStyle->16,
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{
     FormBox[
      GraphicsBox[{
        Thickness[0.014374011786689667`], 
        StyleBox[{
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI1IGYC4g2qT5rn6ao6tPD6r5/yVNeh9rdVwTkONTj/
77fSB3MM1Rx8TrDbzt6q72BiDATFag7cbqqlTF0GDgZaK4UvPFGD0C6GDjWf
NgRkV6k4gIw9u8vQwXlCs1DaKiWHDXp5ixnfGDo8cI13nLVRAc4/ewYIdGTg
/C/7Pm5N/ybm8GXnra6/rYYOB7v3NZk0CzlcF/rkeP6YgUMaCKixOUyZwF9l
xq3vwKr/i+sSz1/7LeY/DqV4acP5YH/lqsH53Taeu9KcFBxkNorNZ1LgcdgR
bBXxf7mkQ7sCu+oZEyk4333N0eUMGgpw/kwQyFRyWC+kw5cuJw0JF1dVh56I
bn9GAXmHRpaj/YbTVR1Og/yxRgEuvze/5u3MpwoOHxatVzjroeRQc//HLWNt
OYf7IP8vVHBIBfmDTdZBfteCfal+MnA+KHiNg4Xg/Ou8t8VSt3E6rPj2suLM
BEU4f4dD06PjFupw/n8Q2K/loP5J5eUsTj54/AlXTio5+0TI4cRhp7WZ9/Qd
Qt5e/jjjoaiD+NQrnBmbgPEHsu+zpIP/xYkx/4QNHeaA/PtTDs5fC/L3PkU4
H+yvVGWH6aDwv23gAEs/9aB044Hgw+wHALWyAl4=
           "]], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
           "], CompressedData["
1:eJxdlHtMT2EYxyu5ZKqhxBq/mYzO9T3v+VWYeNxpJpL0ByoVkRFhc5n7bWFh
SFjui01Tw3IZE5oSwiTiDyOXkXvC/JLzvO/pPZt3Ozvn8/u95znP8/0+79N7
5oK49DZeXl7e1pVsXT7WNXRZ4smIZgqp05+PbpNB4VXKkcdulwlv58pNeSqF
vvXrC+4OMqEF11AKT7p8G1adYEL/j/5XyTgK3fc88stY5HDjxbqc5nKHvxdP
zNz/04TCd2O1Fm+HZ8+y1iZD8B1c23SAdS9v7auicC7q1/W0HBmIdKrr/ZuG
4LwdgcsjMx1md8mAiMFX4vauVQSPr2gffaBGFVyKgX9pPL9RBgTGntmdPpaI
eNGow10CJdr8Y96d7Dra2nk2GVB1Y3jRnF4mNDcteXGws/39Olu3CwQSQ0of
eAUYULapcOrtXQQqcf8EwuubTWCDv/XBE7q9j0AyvpeogYr1helw8Gifi57N
CuzLt9ZATdT3Al9Yowpm+woVwWx/D4sx75WKYObLS1VwaMGM8KpkAmt8y3ON
ENXW24DqmoQGfYUOtejrGwqv0fdoXdTLdC3TeF0+Jniw/oUaYNj83xR05o8q
uDV+Kwdvi3nvG6RA7uTFYXktFOqxnmQZVv8ZlHWvgwl6b1fjvG6yrbsd/6sE
9diHgSbE1oWuTHnocEP2+eA/VQ5HMd8dZrrESCI+86+dJPK5denC9nbF4fAD
/T1B4T3Gywzn9UdSrkdouNDH8/HDtYHHHGb3ThL3N4BCGvo4QAIT1wgKbryf
leCZlTZNp9yvMbJgls8shyswToHDvn45rtRPMj8vKZSfO5cCrOwZlOszyWHm
zxGHxz/YOe1vH1VwEOq/WBXxWPwAze57yvvG4+xfjf7VqvY5sfTC/K6qQp+M
BV82Vsar3C+PwXXuL/M+LyXczwSJ51miC2Z9flwVnBQf1+/wKRneom+6zM/r
FAkU/H+pIjgE+9hHExyL9Y3Qxft8jhA+r3rqfF7NJVCED/4azyOFcF+yVcGs
b+sVwS4UKMmeL5eJ+F7rvGjlrNNbn2UAFfwUfdto8vNdrvB5NdLN+7AjgVWo
zxY3//04gSE4Z664eR3ZhmB2Pj47zHw/RHm/zXOL8/gO62w2BfM55/BCzK/Y
nredTWhEX/JM0f//z/t/A+qpYg==
           "]], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYAJSjNCxZiR+AxksEk1hxj1lJhJLb2UuBMA
8t8CMw==
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYCYvf9tbIW6noOHmuOLmeoEHdQf9I87+wpA4c3
bbndRtXyDraVEStM7xo4PHCNd5x1Ud7hSeLCayb/oXxGBYfF9/fxzTE2hPOL
t4r+Ph2HyQ/nFGs3Xq/g8Odb6YM5iQZwvr7WSuELR3Qd1D+pvJz1UsKBhbNL
PvmdtoNI5aSSsy1yDgG3pGsSJ2k7tCqwq56ZIg+R99N2cJ7QLJQmpeCwRS9v
MWONlsPpM0DwRgHivvXqDiu/vaw4U6DgsEEV5CF1h/8gMF/e4SlI3l/DYXuw
VcT/dnkHueUvPPT2a8D96wEKD3dNB/ldC/alnpNzMAC5r0XTIeDt5Y8zFOUc
tpj/OJSSpeMwEwR2ijr8BfnnoobDDd7bYqllXA5pILBMw+Hzvo9b06dxOnid
YLedHarhsPjW8seGzJwOybF33JglEHyYe9H5YHPS2BzEp17hzDikCeevB/nn
rSbUPnaHmk8bArJ/aULcc5Pdwf/ixJh/zlpw+8Hxu1zLQRUUvp48EPdzaTtc
B+nfxufgA3KfqbbDFq8NFnMq+R1OHHZam/kP6r9KEQfRHq9XLFP0HUDBe8aH
E2LfLH2IvCSngz8ofi7pOzCAwAF2SPwyGjhogOw7yQaxT8rAwa7Esfa0DJvD
9An8VWa7DeD+QedfF/rkeP4agv9l562uv19x88HqpxnCzYfxYeGp8ZZ3n4Gn
Idz9oOBIVzGE6ueEp2ceRz6vGZpc8PRuDzJvDrcDev4AAILzXqE=
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
           30.148399999999995`, 18.239100000000004`}, {29.195299999999992`, 
           18.239100000000004`}, {23.2828, 4.809380000000001}, {
           24.235899999999997`, 4.809380000000001}, {30.148399999999995`, 
           18.239100000000004`}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGI1IGYC4ov58eznNro4tPD6r5/yVNfBTbWUadYLBF/1
SfO8s59cHHxOsNvO3qrvYGIMBMyuDtwghV0GDp82BGTPknd1MNBaKXzBxdCB
ZfEkK8ZWF4i+XYYOISUq0/8LuDhs0MtbzPjGECI+yRnOh9BOcP5N6ZpEI1cn
hy87b3X9bTV0KN4q+vv0NkeH60KfHM8fM3Co/21VcO6Eg8OUCfxVZtz6EHk/
B4ct5j8OpXhpw/kbQBblqsH53Taeu9KcFBxA3krVcHTYEWwV8X+5JMS9a53g
fB6QfIEznF8Hso/BxWG9kA5fupy0wwlNq0mnt7s49ER0+zMKyDu0LQ8/ZXTG
xeH0GSBYowCX35tf83bmUwUHV1B4/nB2qLn/45axtpxDCcg9fc4OqWlAwCbr
YH7taK7JByc4H+y/DY5w/mVQ/DA6Oqz49rLizARFOH+HQ9Oj4xbqcP5/ENiv
5bCm+3YGg7sjPP5+x+Qe/XfI0eHEYae1mff0Hd7w7jOYqeTkID71CmfGJgMH
kLPPLHFy8L84MeafsKGDNyieXZ3h/Ajx7RcZriH4YP/ZuzhMB4X/bQMHWPoB
u9sDwYfZDwBtXQm7
           "]], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
           "], CompressedData["
1:eJxdlGlIFVEUx5+2mOFCe9AiLZbpW+9oRRgdq7kzI1FhSn4o37PSLLECixaM
aMHACm01TdQ0yyhboDI/VFRIi6UJtmlBhLTRAlZmZdmce8d7oQvD8OPNO/d/
/mcZt2xtQlofm83mZz4+8/E3n2lP6rOin+mwfOkL2ieDwJ74D32j3+vwdnVU
Z6GDwJk9bRm2Hzr04JlFoG/lgRl+/QyI+BR83W0QCG/fWfpwsOSDnf29R2Ml
D+mIa0pPMuDUO93Z4yd5Zbp5cj2CH+DZ64K61rw/aTd0uDSt69aKvCi46FxT
6RcruT31+JPoUMnrLw/73fBZg5jYawlHttsFz7sbMPPYY4fgWtjx+k6XEw6h
vm4NQhecP5Smu0W8mZuTq2MeuqHjwsLMYq8O31BIP4XrStSh4fbsmlVjFRh5
uCUw47XG728l/J7LGiSPqG22hXjg15Ks+r8VGtzD7+e7YSjmt0+DXcHmhVUu
oOEb/It9GvjQ72Qn92+8BiUVE+q6d9vBhucdFfk1r/UGNNZJxjSO7pTMvveZ
jD7l2AVznQ7Bo0pTpjT43NzfMmr57YEg9GG6Bk8Hm0LfEEhcP7GwJ0IT+Z7E
ugVqcDP31OL7/grPs5NCEZ6fBCah/vuSe+P3cmmsvaU4hUL+IgxMeD4eCtt+
z1jXOEDh/odRXucgK/5watVFAWdBeZcnRDKrX5Bkpu+nKhhlko+qiB+tmKdN
FXrisV71KnxHoVWEx7uk8vynEu5HuSr8YT7ekszeL1Re3xDC++WtCniNMocA
tnV6fwpto3JSSRrh9YqSzPQokvfivMVJbsV3EuXzkkq47lQK2djHKYT7s0Zy
NX63XfJHc+yKKiQz/6/IeM8x/ksKhQWhW6ZmElCxH5/J71n9mijvf9XSd48K
f9g8nbPq1e2BTTg2Eyh8RR9qrXn6okJ354ZXJRddgh2Rp4c8OuEQ7E1MmFx+
OgowbHo45XOUFMl/3yj51fWQEqVVMssvUhP/Z/Uo0fi+GuOCs7iv8jWowcEK
dvL65Wnc92yHYBfqabcLDkODvNZ+qdXEfb37opdZ/27WBbN+G23w+a63c19y
DD6fA92wGOtVaoCb5e8Gtm+vGrCgef+Sv9kewWw+vkhm+7aM8He+IeaR9Wey
5Btbx0xfOVcyny9r3w5SLH8N0f//7/t/MnulQg==
           "]], 
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
           3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3,
            3}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJ+KG1+7WiuSYafw+G25eGnigwdXFRLmWY1IPg7bnX9
TZ2PyV98fx/fnM0I/v5aWYv0Lwj9MP6F/Hj2c5kIvsgnx/Npc73g/Pk2Oldm
tSH4xzWtJp1Ox+TD7IPxYe6B6Yfx13TfzmCYj+Cj+w/mnhkzgeCnLty9MD7M
P+j881fD3uhX68H5U9pboy7/0YPrh/Fh9sH4MPfA+DD3wvgw/6DzYfbB+DD3
wPTD+LDwhPHR/QcAmg7ltQ==
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{65.175, 
            21.6188}, {63.3047, 21.6188}, {62.349999999999994`, 
            20.132800000000003`}, {62.349999999999994`, 
            17.212500000000002`}, {62.349999999999994`, 
            15.798399999999999`}, {62.60309999999998, 14.579699999999997`}, {
            63.0266, 13.987499999999997`}, {63.44839999999999, 13.3969}, {
            64.12499999999999, 13.057799999999999`}, {64.87339999999999, 
            13.057799999999999`}, {66.69689999999999, 13.057799999999999`}, {
            67.6141, 14.628099999999998`}, {67.6141, 17.718799999999998`}, {
            67.6141, 20.362499999999997`}, {66.82969999999999, 21.6188}, {
            65.175, 21.6188}}, {{64.9578, 21.195300000000003`}, {66.1297, 
            21.195300000000003`}, {66.60000000000001, 20.012500000000003`}, {
            66.60000000000001, 17.115599999999997`}, {66.60000000000001, 
            14.5438}, {66.14059999999999, 13.481299999999997`}, {
            65.02969999999999, 13.481299999999997`}, {63.859399999999994`, 
            13.481299999999997`}, {63.364099999999986`, 
            14.699999999999998`}, {63.364099999999986`, 17.6469}, {
            63.364099999999986`, 20.1938}, {63.8109, 21.195300000000003`}, {
            64.9578, 21.195300000000003`}}}], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYAJSjNCxZiR+AxksEk1hxj1lJhJLb2UuBMA
8t8CMw==
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4hzOnwvSH7s5eKw5upyhQtxhTfftDIb97g5v
2nK7jarlHSyuHc01OeHu8MA13nHWRXmHHq9XLCY3oXxGBQew/s8IfnCJyvT/
HB4Y/HBOsXbj9QoOElOvcGZ0ucP5ak+a55095eag/knl5ayXEg63pGsSjULd
HEQqJ5WcbZFz0Juw4IehnZtDqwK76pkp8g43QfK6bg7OE5qF0qQUHFxVS5lm
/XB1OH0GCN4oOAh9cjyf5urqsPLby4ozBQoOLIsnWTH6ujr8B4H58g4iIPlc
V4ftwVYR/9vlHRIOX9ZO7XSF+xfsn9WuDvK7FuxLPSfnoApy3y5Xh4C3lz/O
UJRzaFsefsqoxM1hJgjsFHWIEN9+kaHP1eEG722x1DIuBxNjIGh2dfi87+PW
9GmckPDMd3VYfGv5Y0NmTodPGwKyZ8Uj+DD3ovPTwIDN4cE+vjnGpxB8VpB/
rsLsY4fEzw1XiHtusju84d1nMPMVwn6wf5jdHFRB4evJA3G/jJvDdZD+bXwQ
96m7OWzx2mAxp5IfEr8zof6rFHGYZ6NzZZaduwMoeM/4cELsc3CHyEtyQuLH
z92BAQQOsEPiN8rdQQNk30k2h5Ktor9Pp7k72JU41p6WYXN4krjwmsl2d7h/
0Png+DqK4E/5xhY/4wpuPli9qgfcfBgfFp5g9/1DuL8iYoXp2dcw/Zzw9Mzj
yOc1Q5MLnt7tQebN4XZAzx8Ad9pWsg==
           "]]}, {
          Thickness[0.014374011786689667`]}, StripOnInput -> False]}, {
       ImageSize -> {69.57107845579078, 22.58844333748443}, BaselinePosition -> 
        Scaled[0.29815266074630126`], ImageSize -> {70., 23.}, 
        PlotRange -> {{0., 69.57}, {0., 22.59}}, AspectRatio -> Automatic}], 
      TraditionalForm], None}, {
     FormBox[
      GraphicsBox[{
        Thickness[0.07194244604316546], 
        StyleBox[{
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
           "], CompressedData["
1:eJxdlGtsS2EYx9tuU7UL66zoWm21p7edGDoyMvYgzBaxZm6VuGzoOopJfCBG
5j5sWOKyYmbuJMRcZrMwRGbYzNyvyYR9WBlmZMHY9H3f02eJJzlpfuk5//f/
XN5HNz8r1RkgEonEvifN90h8T/+9T2WZEgOUw4b3NS+tcHHwsmPi2QaouT3u
3KIxVtgUmnJ+zwkDNKUfeR6bZQWJbLtmwRcDJN5Yq47LtcLCOW8nBsRxyJH5
yR8D+xqRJ9+Vjj641wgtK8oiO2otyM4MX2wxI48v2CjP+KiHM+3eVXXr9FAx
dZSjK1ENdTS0yNM+P/nmuaVBXtP487XNPRBibb54okFuPXpe++C0Drn3HHvj
MJMezsn5MFfnQHjv6Ff+CDjUu0/yLfb5Plt9SrRVx/JaxcNMmSLXlqKDMlKf
Ch5MbQbvAa+a1SWIh8YJ88YeCFdB2rRUU0mSCTSVJVXOKVGgLJ5rqbVzwvlK
8BT0Xj0i2ADEpm13f3hrUZ/tmjoIrpI8pAq4mVe1IfaDBmZzDlV9UQTml6uV
cnWXw5Ffhr5RONvDkKkfWQjm4eevJP8KHfKI+Oup+9ZzICJR0gfWB1bvGlpo
Zv4+KVg/jDzzk6jAfG8RXwGRQv952OnISxEP6Qs55PuZPPPhkiP79f0cMjYs
2eMNZvPg4qEsuTSuaGRP6CKRw7O+XeoBRUf1V//kCvqtQVBdWbGjRwHP+j+5
m5vXfnA/5LuZ+j4ZgMx0Jai/n8QAMfo5fHf3cffJzoSHz2a0xGRHQ0PHnRfF
rzoSYnSaH0tmWCEo5nevx/k/E/z1aZriTfur6UQup/7FzFeLBVQXFIclWgls
Iv+vtLJ8zwSCivS/wcr6dUWKTP3M6onMfMqQXbQPwaweNYKeJYS9d8MK+bT+
ocg/qr6VuZ6HIbPfPsibyfzsCUe9bNLv6AhoIvP/TvDzS47v0/n3yEFzqnnS
4ByBHXLw14fOw/hwKCV74poF7E1Jj4dHSNl9cBoFHQk0kPpGGZCpTqYO2UMP
VrP+26SMBygZfw9Fpn6DI5BZ/RT4Pe1DSBRMoj710LJlad6wbCXkxSdVZrQJ
85+kFOrazVTXrUVmdVSBndwjnQrP8+8LP28juvJByOs6Ri2vz+TYeeO07J6l
m6B5cXR74SGDsA/NsCirdfO9WKOwZ8yQTPbedDMynceDFuRCsi/c0Wxv1Jrw
PmbQeTci0z7Ed/OatlK7+zXH9pdHmP/9HM7///v+HzuKo1w=
           "]]}, {
          Thickness[0.07194244604316546]}, StripOnInput -> False]}, {
       ImageSize -> {13.899716064757161`, 21.12078704856787}, 
        BaselinePosition -> Scaled[0.31887090512778543`], 
        ImageSize -> {14., 22.}, PlotRange -> {{0., 13.9}, {0., 21.12}}, 
        AspectRatio -> Automatic}], TraditionalForm], None}},
  FrameStyle->Automatic,
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{Automatic, Automatic},
  GridLinesStyle->Directive[
    GrayLevel[0.4, 0.5], 
    AbsoluteThickness[1], 
    AbsoluteDashing[{1, 2}]],
  ImagePadding->All,
  ImageSize->Medium,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1}, {0.9984710315235499, 0.9999999998758824}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.795271186187059*^9, 3.79527122750694*^9, 3.795271258408072*^9, {
   3.795271313958558*^9, 3.7952713706693087`*^9}, 3.795271410179556*^9, {
   3.7953204865681677`*^9, 3.795320495074655*^9}, 3.795518107204122*^9, 
   3.7955190367655363`*^9, 3.7955206892484217`*^9, 3.795520720952097*^9},
 CellLabel->
  "Out[383]=",ExpressionUUID->"67c34fe1-8f0f-4856-977a-5ae9dee5e12c"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"EwGICS51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"w", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"S51", "\[LeftDoubleBracket]", 
            RowBox[{"41", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
           RowBox[{"S51", "\[LeftDoubleBracket]", 
            RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}], ")"}], 
         "w"}], "+", 
        RowBox[{"S51", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "0", ",", "1", ",", "0.025"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.794935762217574*^9, 3.794935804364931*^9}, {
  3.794978447414009*^9, 3.7949784577891197`*^9}, {3.7951868043464193`*^9, 
  3.7951868364097557`*^9}},
 CellLabel->
  "In[384]:=",ExpressionUUID->"44fe23db-72cc-451a-a798-d806f5062a38"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindFit", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"EwS51", "\[LeftDoubleBracket]", 
        RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
       FractionBox[
        RowBox[{
         RowBox[{"EwGICS51", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
         RowBox[{"EwS51", "\[LeftDoubleBracket]", 
          RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
        RowBox[{"ExS51", "\[LeftDoubleBracket]", 
         RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "EwS51", "]"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"w", 
    RowBox[{"(", 
     RowBox[{"w", "-", "1"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"a", "+", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"w", "-", 
         RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
      RowBox[{"c", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"w", "-", 
          RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", "w", ",", 
   RowBox[{"MaxIterations", "\[Rule]", "1000"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.794972349954073*^9, 3.7949723548082647`*^9}, {
   3.794972398737747*^9, 3.794972405442884*^9}, {3.7949735538736134`*^9, 
   3.794973553988997*^9}, {3.794973610975874*^9, 3.7949736317376328`*^9}, {
   3.794978349851636*^9, 3.794978356745721*^9}, {3.7949786098317823`*^9, 
   3.79497862237997*^9}, 3.795186684749942*^9, {3.795186714971677*^9, 
   3.795186719931954*^9}, {3.795186820912775*^9, 3.7951868219027643`*^9}, {
   3.795518096217198*^9, 3.79551809663562*^9}},
 CellLabel->
  "In[385]:=",ExpressionUUID->"9cabf5e4-e77b-4ef2-aa57-94f5f5a8cbcb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "\[Rule]", "0.0061158387543040335`"}], ",", 
   RowBox[{"b", "\[Rule]", 
    RowBox[{"-", "0.00005968703047293955`"}]}], ",", 
   RowBox[{"c", "\[Rule]", 
    RowBox[{"-", "0.00001692245714408755`"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.794972355290501*^9, 3.7949724058560534`*^9, 3.794973554653021*^9, {
   3.79497361607406*^9, 3.7949736321551437`*^9}, 3.7949783645627327`*^9, 
   3.794978527305688*^9, {3.794978610975367*^9, 3.794978622663191*^9}, 
   3.795103549553536*^9, 3.795103668436406*^9, 3.795175720607263*^9, 
   3.795184137673224*^9, {3.7951866853150454`*^9, 3.795186720386973*^9}, {
   3.7951868241252117`*^9, 3.795186866999543*^9}, 3.795230683532681*^9, 
   3.795230738213182*^9, 3.7953689004736233`*^9, 3.795518097691852*^9, 
   3.795519302467844*^9, 3.795520723800449*^9},
 CellLabel->
  "Out[385]=",ExpressionUUID->"c4d5735f-bbcd-4f79-b8ac-3772f744e604"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ListPlot", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"EwS51", "\[LeftDoubleBracket]", 
            RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
           FractionBox[
            RowBox[{
             RowBox[{"EwGICS51", "\[LeftDoubleBracket]", 
              RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
             RowBox[{"EwS51", "\[LeftDoubleBracket]", 
              RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], 
            RowBox[{"ExS51", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]]}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"Length", "[", "EwS51", "]"}]}], "}"}]}], "]"}], 
       "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
      "\[IndentingNewLine]", "OptionsPlot", ",", 
      RowBox[{"PlotMarkers", "->", "\"\<OpenMarkers\>\""}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", "Automatic"}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"MaTeX", "[", 
          RowBox[{"\"\<\\\\text{Weight $w$}\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"MaTeX", "[", 
          RowBox[{"\"\<\\\\text{Excitation energy (eV)}\>\"", ",", 
           RowBox[{"FontSize", "\[Rule]", "SizeLabel"}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotLegends", "\[Rule]", "Automatic"}]}], 
     "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"w", 
         RowBox[{"(", 
          RowBox[{"w", "-", "1"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"a", "+", 
           RowBox[{"b", " ", 
            RowBox[{"(", 
             RowBox[{"w", "-", 
              RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
           RowBox[{"c", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"w", "-", 
               RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"a", "\[Rule]", "0.0061158387543040335`"}], ",", 
          RowBox[{"b", "\[Rule]", 
           RowBox[{"-", "0.00005968703047293955`"}]}], ",", 
          RowBox[{"c", "\[Rule]", 
           RowBox[{"-", "0.00001692245714408755`"}]}]}], "}"}]}], 
       "\[IndentingNewLine]", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w", ",", "0", ",", "1"}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}]}], 
   "\[IndentingNewLine]", "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.794935354904318*^9, 3.7949353697005653`*^9}, {
   3.794936088567958*^9, 3.794936113022936*^9}, {3.794936144429874*^9, 
   3.794936337776998*^9}, {3.794936391029435*^9, 3.794936435138995*^9}, {
   3.794936478816742*^9, 3.794936491177528*^9}, {3.794972228989231*^9, 
   3.79497224723491*^9}, {3.7949722942821302`*^9, 3.794972313743471*^9}, {
   3.794972361724415*^9, 3.7949724163308496`*^9}, {3.7949735692321*^9, 
   3.7949736225484343`*^9}, {3.794979441159519*^9, 3.7949794610845413`*^9}, {
   3.795103557050374*^9, 3.795103563311448*^9}, {3.7951058191292257`*^9, 
   3.795105819603261*^9}, 3.7951058755165052`*^9, {3.795106135194106*^9, 
   3.795106135806675*^9}, {3.795175778987041*^9, 3.7951757898837233`*^9}, {
   3.795230674508573*^9, 3.7952307464315357`*^9}, 3.79536893160163*^9, 
   3.795519060495833*^9, {3.795520702313746*^9, 3.795520735021679*^9}},
 CellLabel->
  "In[387]:=",ExpressionUUID->"b0fad934-cdc2-48f8-b42d-e1d50d885bea"],

Cell[BoxData[
 GraphicsBox[{{{}, {{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.012833333333333334`], Thickness[0.01], LineBox[CompressedData["
1:eJxdm3k4Vd/3xyNJKQpFVCqkQaGEkGWex+u690RU0lySZkIpRUWp0EAlGkxF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        "]]}}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], Thickness[0.01], 
      GeometricTransformationBox[InsetBox[
        FormBox[
         StyleBox[
          GraphicsBox[{
            {GrayLevel[1], DiskBox[{0, 0}, Offset[{3., 3.}, {0., 0.}]]}, 
            {AbsoluteThickness[1.5], Dashing[{}], 
             CircleBox[{0, 0}, Offset[{3., 3.}, {0., 0.}]]}}],
          StripOnInput->False,
          GraphicsBoxOptions->{DefaultBaseStyle->Directive[
            PointSize[0.012833333333333334`], 
            RGBColor[0.368417, 0.506779, 0.709798], 
            AbsoluteThickness[1.6], 
            Thickness[0.01]]}],
         TraditionalForm], {0., 0.}, Automatic, Scaled[9.75]], CompressedData["
1:eJxTTMoPSmVmYGDQBGJGIGZiwASzZoKBfYB8doztPOX9EP5KeyUWHZdJMsb7
jcFgs73Wzkev015YQ+V32luz6B4KkXTaDzHlgL24VfK+zX9doeoP25/PPFwR
vtBzfxoYHLNX+vzFx53FF6r/pP2ThVIVrsIB+8+eAQN7Cd2PRqItgVDzLtj3
Nr3jnn4lCKr+oj3TT5XE8ywhUPMv2++17N5xSCQUqv+KfcKmXZtLWcKg9l2z
70wvkHp7OQxq3g37Kqe9fVrN4VDzbtrP8dtXYSEUATXvtv2nb92XJBsjoObd
sY+7p8xz5XwE1Lx79okPS7bm/IuAmvfAfo3ZqraXPJFQ9Q/sj0+wjw34HQE1
/6F9d/sMi+UnYfof2Yd+ynb5Ug6z77H90xPXr9iywcx7Yn9nQ11SV0k41Lwn
9uZdbDMfHAqDmvfUXuBDjqf7x1Coec/s7xdwVR79DwuP5/aPZkfEJb0Lhpr3
wj4zoSRBdW8Q1LwX9lk1+yeI5QRCzXtpP//1ot9V3/yh5r2y73qs/NPxqg/U
vNf27MfZlk8p8YSa98b+JxubcOsVV6h5b+wjFErmqH51hJr31n7XlL0rBdda
Q817Zz870vNR/UcjqHnv7WMdHss25ytDzftgD0t/AASxKy8=
       "]]}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.012833333333333334`], Thickness[0.01]}, {}}, {
      {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
       0.012833333333333334`], Thickness[0.01]}, {}}}, {{}, {}}}, {{{}, {}, 
     TagBox[
      {RGBColor[1, 0, 0], AbsoluteThickness[1.6], Opacity[1.], 
       LineBox[CompressedData["
1:eJwV13k4VN8fB3BEWcpeorKWVFq+Ei34FNGCss8lISSUXaWQFEVZSyVRQqlU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        "]]},
      Annotation[#, "Charting`Private`Tag$16225#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  BaseStyle->16,
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{
     FormBox[
      GraphicsBox[{
        Thickness[0.006302388605281402], 
        StyleBox[{
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJNIAaxQYAJSjNCxZiR+PjEcakhlU2JOcToxeVmSvTS
wl+U2EWMmQB8+QKp
           "], CompressedData["
1:eJx1lGlIVFEUx8cUU9xyZjTTN857M9o0pjZPpUUKz1BW+MFEo6S0qMmFLCuy
lakPahnZB9vTokJDK7TdwRanIlpdKpIUNUYoClsoS0VonXuv90hJBy7D7703
Z/n/773SynWpWa4KhcLFuZY51xjnKqcxkLDje/z61uky5GQ7460ClormPkuk
DAoSd9xhfW1pV64ow91Se2GcZSz8pmFCPlSya8kL6xRkv8wUR8w0CbkhLT79
d44GhMuBp8b0uEO/va8+Z1DAervEseHN1wQ49ejgmbzqoQT1tgMFLcUj/HH3
2tKY48HQ4dMVmGVzg4zwdKH1VjBk0/CAZhrB0E7eD3ohH6PzeSOXkDrqcch1
ykjfnJ1KzFdM3i8MAV7vX6a/NwXkuFhnXA39L9MytXqsx5nWs4bCpnu2xPJX
emhcZ/1UPiCCm+derSU6jH13Qgc9icvNFf76v9lFD7PLipTZwcPcp4MvlRfF
lrMS0HF7dTCv9n6NYo8En8nzBh37PkJk8ybrWP2MUJa3W4KtjqHOWK9Qlk+W
hnXTwE9i820N82+ehvnlHoQ8n9RpUCPT+Q+q0G+mlz8Yvob1Vjwe4WNlftun
NhnY/ihSwZXo/CqXbgNsJ33kBUDy8/0Zv14b4DrNG4RM+/4hIHO9eb5E0k+H
FoIOt3nmFhpgC9E3SoQoSdu/xjaR9b9IhEjCL8OYLkkSMs4/nO9//G715MGj
mZOQ6XFwjGaevy78TdFJn0isz5n3R59nR7B9EC6y/JoI5o+3COp9Se/d2ow4
XwzV2Yjzp3SGWFekGsFK9PsgMP9mGNl+uB6ELN44bc/yDUSm5+yNCqbObEw9
YjaiPzwf52+XUvIq3pnY+bmmggVEf1eZ+fxQDZbM7rmuHjLzb/IEZNpPk4DM
561y2H1PfDOhXhvrA743tZpARfrpl5geNhP73kcH44mflSNsijinejZnhFeR
/Fujh/e5fhRvIPeXyQRErtg0Pdbn57Fd+dX8tFpm51GjgwLSzwUZHKQ/SYJ7
u2sWP7kis3trsxaZ+axBpn0/CEHmevB8k8g5MAYAsb/lvAxa4ke+EuvT/LZx
yLMKzDuaBB9kfp/y//P7m9f79z7/AyDKlpk=
           "]], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGI5IAaxQYAJSjNCxZiR+AxksEk1hxj1lJhJLb2UuBMA
8t8CMw==
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYCYhbOLvnkPj2HGTOBoFLVof63VcG5DkOH/yCw
X8uh2+sVi8lCQ4ftDk2Pjv/QcogQ336R4ZwhRL2ktoMxCAgbwfkb9fIWM/pg
8p9naX+b/lfb4fRhp7WZ/wzg/BfFW0V/c+s5bFB90jwvV83B3GZv0LSF2hB5
WS0H9/21shbq2g4y8+I0T1/QclgPUndWy6Hm04aAbCttiLt2aDo8SVx4zcRf
x6EW5H4ONYc3IHNXazv8/Vb6YI6hGkTdDS2HKe2tUZfvqDnMWaS8889xLYi+
fHW4f8WnXuHMUNJwAIeLn5aDaA8wAEo0HDaA/HFH08H/4sSYf846Dhn5H1pP
hqhAzGlXd3Bdc3Q5Q4UsVJ+6Q2oaEDyTcTDQWil84Ymag0jlpJKzLTIORqDw
mozgw9yLzj8DBlIQ/Uc04HxIuGlA3Fsv7cAMso9P0yHk7eWPMw5KOxzbtaOX
rUATbr//LemaxE+aEP1r5BxEwP7Rcui08dyVpqQACc+1WpB4TFaAhDe7rsPK
by8rzjQoOzSyHO03NDdwaFVgVz2zRcZh+gT+KjNrKH+KjEN/cInK9HgDh/6I
bn/GDdIOBWu6b2c0GDjI71qwL5VP2kEaFG8LDBzetOV2G82WcgAZn15iCPcP
Ol/jLe8+g5kI/h9Q/B3Ezb8N9J7RVCO4+TA+LDzB7tM3grsflCxO/zOEyB+R
gafnHcFWEf/dZeHpHWyetZwDev4AAEeoa10=
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
           3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4s8bArJnhVs6JIQEqS/wVHeA8eWWv/DQ26/h
sEEvbzFjjqXDetUnzfN4tRwK1nTfzphg6RBwS7om0Ujb4XmW9rfpby0cfE6w
287+qu3wOHHhNZN4C4cnINpfx4HHf/2U1B3mcD5Y21czOL/H6xWLiaCZgwiI
sUXbwbYyYoWprKmDPMj+eqh9DCYO2x2aHh2X0HSYCQKZxg6yIPn7anC+kTEQ
CKvA+Q9c4x1nTZR3iFFw/Jj8xsRhZ7BVxP92SYcXIPfymsP5YPsfIvjiU69w
ZghZOsSoRsic2yPlAPL2WStLh/6Ibn/GDdJw/88A2bNT1uETKLzSLR3OgMAa
OYdukHkXLRx2gMxLl3Uo3ir6+7SfhcOXfR+3pl+TgbhnjzmcX/vbquDcD1M4
nwEELpg4pKcBgZoinL8D5P8IVTgfFj/TJvBXmc02dZizSHnnn+VaEP9zmsP5
MPtg/P8gUG/hoK+1UvgCi5aDxlvefQYnLSD+sdR08AbF41MLjPQA4wMAr0bw
Hg==
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
            3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 
            3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQfQYE/tg4sHB2ySfr6Tjw+K+fknrDxuFJ4sJrJv46
DvW/rQrOcdg4+FycGPNvsbbDDemaRCNTa4eAWyCGtsPzLO1v02OtHMxt9gZN
Y0TwwbSsFkTfZwT/utAnx/PTrOH8epaj/YbLrR30tVYKX3iiCefPmMBfZXZa
Hc4XrpxUcnaJApy/I9gq4r+7rIP6k+Z5Z2dZO3zZ93Fr+jUZB5l5cZqnBawd
WhXYVc9skXHwOcFuOzvUykEEpL8FwX/TltttNFvKIUbB8WPyG2sHcDicweQv
feGh9z/QBs7/siEge9Z23PySraK/T/vZwc2H8WH2L7m/j2/OZFu4+zTe8u4z
4LSFux8WHzD/wfgw/6PHFwC+gtCW
            "], {{28.256299999999996`, 
            17.618800000000004`}, {27.77969999999999, 17.618800000000004`}, {
            27.367199999999997`, 17.206299999999995`}, {27.367199999999997`, 
            16.729699999999998`}, {27.367199999999997`, 16.2688}, {
            27.77969999999999, 15.854700000000001`}, {28.24059999999999, 
            15.854700000000001`}, {28.7016, 15.854700000000001`}, {
            29.131299999999996`, 16.2688}, {29.131299999999996`, 
            16.729699999999998`}, {29.131299999999996`, 
            17.173399999999997`}, {28.7016, 17.618800000000004`}, {
            28.256299999999996`, 17.618800000000004`}}}], 
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
           0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
           0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4uASlen/FRwcpk/grzLr1nSA8Y1BIFkBzr/v
Gu84S1DGoX15+CmjFAcH9U8qL2dxSjnU/7YqOMfgCOd/3hCQPUsfwefxXz8l
NcHR4U1bbrdRtJTD5G9s8TNyHB3OgIGUg/6EBT8Mzzk61Nz/cctYW86hMmKF
6dnNjg5//wOBvTzE/gZHhxjVCJlzMXIO4lOvcGYkOTpUgNRzQ9VbI/j7a2Ut
0t84wPkVIPnTDg69Ed3+jAHycD5/bMB9I3NFOB/mf/NrR3NNLjjC+W949xnM
fOQIsddJG67+z7fSB3MEEXwPkMXuOnD+lPbWqMtzdB2Wv/DQ+3/RwcHUZm/Q
tIN6Dvf38c0xfuTgcFu6JtEo1cDhYn48+7mTDhB1Ew0g/p3h4KCvtVL4QoiB
w0a9vMWMMQ4OoOD4L2/gwLJ4khWjrIMDC2eXfPI7fYffMblH/yk5ONR8Agb8
Lz2IvCpUfTyC/6J4q+jvbF04P+AWyAHakHjgsXfwOcFuO1tUC87fbP7jUEoW
Ij3AwgMAKLTw+w==
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
            0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
            0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 
            3, 3}, {1, 3, 3}, {0, 1, 0}}}, {CompressedData["
1:eJxTTMoPSmViYGDQBGIQnQYCbS4OD1zjHWcxKji0LQ8/ZVTj4vCmLbfbaLaU
A4//+impDK4OZ8AAk6/6pHneWSkEn2XxJCtGVQT/hKbVpNPhrg4xqhEy5/ZI
OSQevqydutEVbj6ML1I5qeRsi4zDihceev8TofwlMg49Xq9YTAxdHVoV2FXP
bIHyNV0d3NccXc5gIQvnO09oFkrTUoDzL1wNe6P/WxXO/w8C87UcHJoeHZ9x
2cXhSeLCayb+Og6fNwRkz3ruDOdbXDuaazIBwS/ZKvr7tJ2zg88JdtvZX7Ud
ZoLARyeHmk9AjVbaDt4g8VYniLypFpxvoLVS+IKKhsMb3n0GM3c5ObwqBhr0
Wt2BFRQ+V50c5ixS3vnnuYbDcVD4/HdySAdHhJbDRr28xYwiznD3gu0rRPBD
SlSm/zdwgfPB7m1wcQi8JV2TWKTpAItPFs4u+eQ+NUh87HWGhwdY/QonhxO7
dvSyGag67K+VtUg3cYLE/0ZlOL/88DbXmW8V4PxUkLnPZCDum+LkoP5J5eUs
TimHKd/Y4meYOMP54PCORPArI1aYnq12dpgB8oellMNyUPx2OjtU3P9xy7hb
ygE9/QEAqnEg+Q==
            "], {{41.05, 8.670309999999999}, {40.5891, 
            8.018749999999999}, {39.587500000000006`, 7.4156299999999975`}, {
            38.9672, 7.4156299999999975`}, {38.33129999999999, 
            7.4156299999999975`}, {37.775, 8.003129999999999}, {37.775, 
            8.687499999999998}, {37.775, 9.274999999999999}, {
            38.09379999999999, 9.831249999999999}, {38.5703, 
            10.132799999999998`}, {38.9672, 10.3719}, {39.84219999999999, 
            10.593800000000002`}, {41.05, 10.768799999999999`}, {41.05, 
            8.670309999999999}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
           0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
           0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYCYgXHj8ln1ro5TJ/AX2XWrekA4xuDQLICnH/f
Nd5xlqCMQ0iJyvT/H9wc1D+pvJzFKeXgc4LddnavO5x/oFbWIn0Pgn9TuibR
6K27w5u23G6jaCmHhMOXtVN/ujucAQMph98xuUf/RXk41Nz/cctYW87BTbWU
aZaDh8Pf/0BgL+8gD7Kf18MhRjVC5lyMnMOTxIXXTN67O1SA1HND1Z9A8Hu8
XrGYVCL4riD5CHeH3ohuf8YAeTifPzbgvpG5IpwP8z/L4klWjLEecP7OW11/
U/M9HMSnXuHMcNKGq//zrfTBHEEE32M/0OPuOnD+lPbWqMtzdB1Ktor+Ph3n
7mBqszdo2kE9hzXdtzMY8t0dboPCJdXAYZ6NzpVZYe4Oy1946P2faAAJb1V3
B32tlcIXQgwc6n5bFZx74eYACo7/8gYOF/Pj2c+tdHNg4eyST36n73BC02rS
6fVuDjWfNgRk/9KDyG+Eqo9H8F8UAx2SrQvnB9wCOUDbwQQUz8JukHgU1YLz
N5v/OJSShUgPsPAAACUl6iQ=
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
            3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 
            3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQnZ4GBP88HVg4u+ST9XQc2peHnzJ64+nwJHHhNRN/
HYf9tbIW6S2eDj4XJ8b8W6zt8IZ3n8FMKU+HgFvSNYlG2g7FW0V/n17n4WBu
szdoGiOC/zxL+9t0WS2HZS889P7/RPCzOX8uSPf2hPPtmx4dnxHs6aCvtVL4
whNNOH/GBP4qs9PqcL5w5aSSs0sU4PwdwVYR/91lHYQ/OZ5P8/V0+LLv49b0
azIOvP7rp6RyeDq0KrCrntki46D2pHne2VUeDiIg/S0I/pu23G6j2VIOuhMW
/DAs83Q4AwaY/JASlen/VyD4FRErTM/exs3fc6vrb+pyL7j5MD7M/gv58ezn
PL3g7pvyjS1+BosX3P2w+ID5D8aH+R89vgD98s9d
            "], {{51.2563, 
            17.618800000000004`}, {50.77969999999999, 17.618800000000004`}, {
            50.3672, 17.206299999999995`}, {50.3672, 16.729699999999998`}, {
            50.3672, 16.2688}, {50.77969999999999, 15.854700000000001`}, {
            51.2406, 15.854700000000001`}, {51.701599999999985`, 
            15.854700000000001`}, {52.1313, 16.2688}, {52.1313, 
            16.729699999999998`}, {52.1313, 17.173399999999997`}, {
            51.701599999999985`, 17.618800000000004`}, {51.2563, 
            17.618800000000004`}}}], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 
           4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgAmJeKN3j9YrFRNDX4Uniwmsm/joO5teO5pq88Ibz1Z80
zzsr5e1Q+9uq4ByHJpz/pnir6G9vFTg/4O3ljzMWyjsc17SadPq8t8POYKuI
/+2SDroTFvwwvOYD53/ZEJA9i98Pzn8Ksue9n4PzhGahNC0FOB9s/3sVOH/G
TCCw1HT4DwLqfnD3obt/yje2+BlvfBzEp17hzHDShrhnuS+cv/SFh95/Qz+H
zPwPrSdFNOD8B67xjrMOKsP5YPdIKUD0nfKF2Dtf2sHnBLvtbFUEXwfkvzgf
OB9MX/d2KD28zXXmXQU4/1GE+PaLCapw/t9vpQ/mGGpC/YVwL7r7AZ8GzDU=

           "]], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYCYs6fC9I3WwU6vGnL7TaaLeWw/uHLqZsqAh3O
gIGUw9aWmgubKxH8Nd23Mxi6EfzvbPEzfGbi5u+81fU39T7CfBhfpHJSydkW
GYj5WwMdWhXYVc9skXEwBoHJgQ5f9n3cmn5NxkH69SMzqQmBDu5rji5nsJCF
84VB+pcowPke+2tlLY6rwfnyy1946NVrObQvDz9lFBHo8CRx4TUTfx2H+/v4
5hg/C4Dz3VVLmWYdQPDB9q8OcNBVlP+SI6bjYK1zZdazqQEOP96+PmDZrO3g
ClLvEeCw2fzHoZQsTTifhbNLPllPB+I/e4R514/mmjRwBzj4XJwY82+xtsMN
6ZpEo7X+DgG3QAxth4TDl7VTHf0dzG32Bk1jRPCfZ2l/my6rBQnHHgQ/XHz7
RYZ7CL7uhAU/DJ/5O+hrrRS+8EQTzp8xgb/K7LQ6nA8LLxh/R7BVxH93WQfz
a0AHPvCHh/efmNyj/2b5w+NjB9g//vD4gvFh8XkhP5793El/hxjVCJlze6Qc
Fk+yYvRlCIDHv7zjx+Qzsgi+v5xYlq81gq/6pHne2bAAuP7/IDA7AG4+jA+z
Hxx/eQFw933eEJA9yzsA7n5YfMD8B+PD/A/jm4HCO1Edzj++a0cv2wUNB5D3
N3UHOJw47LQ2M04Lkj5PIvg2oPTAGwjnw/LPnEXKO/8c14DzM/I/tJ4MUXNA
z18A2b2ULQ==
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 
            3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQPWHBD8Nni0Ic/v4HAnt5h60tNRc2Tw1xONC9r8nk
sbyDm2op06yQEAfXNUeXM1TIOvR4vWIxsQ1xSE0DgmcyDrXrtiXVCyL4AXJi
Wb7ng+H8A7WyFukzgh3WCOnwpe+Tc3giInvyaXWwQ/nhba4z3yo4uILMzwh2
cJ7QLJT2SxFiXmKww1qQ+ntKDjtvdf1NjQ920FWU/5KzTcWBAQS+IPhHLmun
SlqFwPk2OldmPUsNcWDh7JJPPqfiIPP6kZnUmhCHOYuUd/5RV3UoiGc/J7k2
xGEmGKhC9K8Lcfj19vUBy8cIvoHWSuELLmpw/hkQeKPpoPqked7ZpBCHJ4kL
r5n46zi82L6e+fmHYDgf7P/TCP7Vo7kmDfODHfRB5j3RdlBw/Jh8pjTYwdxm
b9A0RW2HdFA4KQU7/AHZv1gTYg9DsMOMCfxVZqvV4fwp7a1Rl2NU4Hzla4+C
GWKUHKRB/hMIdhCunFRydomCw+cNAdmztKHhfU/OYckkK0bfkGAHUPT+r5eG
x8fOYKuI/+2SDhsevpy66QmC71XdrO/DFQLng8PbIMRB/ZPKy1mcUpD0ERni
IL9rwb5UPWlIeJaGOIS8vfxxxkNph6ZAz7kNXSEOrQrsqme2yDi85d1nMLMv
xOHLvo9b08VkHdDTGwB1Axpq
            "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQ/WlDQPas4BCHX29fH7B8rOrA+XNB+ma5EAcjYyC4
rOrgVd2s78MW4rDF/MehlFOqDltbai5sfhgM509Y8MPw2SYE/0CtrEX6jGC4
/tp125LqE4MdLlwNe6P/G8GvAVlcpe4wEwRSgx1OnwECHQ0H1SfN884WBTs8
ihDffpFB00Hm9SMzqY5gh/Q0ENByeCIie/Lp5mAH8alXODOctB02PHw5ddMT
BB/mXhR5hRCH7Q5Nj47f0HJY0307g8E4xGFKe2vU5T+aDkKfHM+neYY4HNu1
o5ftg4aDltWk0/UBIQ6+FyfG/GPWcEAPHwAxfo4t
            "]}], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIIaxWZDYzFDMAOUzoLFxqUEWJ8YcYswk1V5i9NLa
jwDSKwJB
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4iWTrBh9S8Ic3rTldhvNlnLwrG7W99kU5nAG
DKQcAuTEsnw3I/huqqVMs44g+BMW/DB8dgk3P6REZfp/iXC4+TC+SOWkkrMt
MhDz34c5tCqwq57ZIgPVF+bwZd/HrenXZBy2ttRc2HwyzMF9zdHlDBaycL4w
SP8SBTjfY3+trMVxNThffvkLD716LQcFx4/JZyaGOTxJXHjNxF/HoSJihelZ
eQT/wT6+Oca/QuF8sPVPQh10FeW/5IjpOFw9mmvScD7U4cfb1wcsm7Uh6ptC
HTab/ziUkqUJ57Nwdskn6+lA/FeBMK8gnv2cpGuog8/FiTH/Fms7tC0PP2Uk
EOoQcEu6JtFI28ELFN63QhzMbfYGTWNE8J9naX+bLqvlwAAGoXC+Kyj8NRD8
DQ9fTt2kE+qgr7VS+MITTTh/xgT+KrPT6nA+LLxg/B3BVhH/3aHhqRkKD28J
j4A/Euyh8Pj4xhY/w+dmCDy+YHxYfDYFes5tkAt1iFGNkDm3R8rBRufKrGeW
ofD433mr629qOIL/Yvt65uclCP4BYLSlT0DonwkCV0Ph5sP4MPsrQfG3HOG+
Hq9XLCatCPfD4gPmPxgf5n8Y3wwU3onqcP7xXTt62S5oQPx3NNThxGGntZlx
WpD0yRwG518DpQd3BB+Wf+YsUt7557gGnJ+R/6H1ZIiaA3r+AgB+75D/
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 
            3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQ3b/gh+GzRxEOf/8Dgb28w9aWmgubr0Y4HOje12Ty
WN7BTbWUadaUCAfXNUeXM1TIOnR7vWIxqY1wSE0DgmcyDrXrtiXVByL4/nJi
Wb78CP6BWlmL9BvhDmuEdPjS98k5PBGRPfl0d7hD+eFtrjPfKji4gsxfEe7g
PKFZKO2XIsS8heEOa0Hq7yk57LzV9Td1friDrqL8l5xtKg4gZ/43joDzD1/W
TpWsQvCtda7MerY0woGFs0s++ZyKg/TrR2ZSbyIc5ixS3vlHXdUhP579nOTb
CIeZYKAK0f8uwuHX29cHLB8j+AZaK4UvuKjB+WdA4I2mg+qT5nlnF0U4PElc
eM3EX8fhxfb1zM8NEHyw/7kR/KtHc00a7oc76IPMe6LtoOD4MfnM1nAHc5u9
QdMUtR1AwZSWFO7wB2T/Yk2IPQ7hDjMm8FeZrVaH86e0t0ZdjlGB85WvPQpm
iFFykAH5LyDcQbhyUsnZJQoOnzYEZM/Khob3PTmHJZOsGH2nhEPCrV4aHh87
g60i/rdLOmx4+HLqJpUION+rulnfxwvBB+vLj3BQ/6TychanFCR9zIxwkN+1
YF+qnjQkPLdGOIS8vfxxxkNph6ZAz7kNpyIcWhXYVc9skXF4y7vPYOa5CIcv
+z5uTReTdUBPbwDHsin1
            "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQ/WlDQPasyREOv96+PmD5WNWB8+eC9M1xEQ5GxkBw
WdXBq7pZ38ctwmGL+Y9DKadUHba21FzYrIjgT1jww/DZp3A4/0CtrEX6jXC4
/tp125LqF4Y7XLga9kb/N4JfA7K4St1hJggsDXc4fQYIdDQcVJ80zzu7Kdzh
UYT49osMmg4yrx+ZSZ0Id0hPAwEthycisieffg53EJ96hTPDSdthw8OXUzep
RMD5MPeiyCdEOGx3aHp0/IaWw+ru2xkMxREOU9pboy7/0XQQ+uR4Pq0zwuHY
rh29bB80HLSsJp2unxDh4HtxYsw/Zg0H9PABANqpkTo=
            "]}], 
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
           3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 
           0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGIdIGYCYt8kgQhLlUiH51na36bLajnkCTUfOOWJ4F9Q
uv2zrgjBt77v3zu9LNJBX2ul8IUnmnD+jAn8VWan1eF84cpJJWeXKMD5O4Kt
Iv67yzq8Dtwh11oc6fBl38et6ddkHKT076qwBUY6tCqwq57ZIuMgzhLGp6sU
6SAC0t+C4L9py+02mi3lwLFGJiolO9IhRjVC5tweKYfnv1d+vNQa6XAGDKQc
5rxffsx7PoJ/R4Wtcepm3PwEoPe3GETBzYfxYfZvmAs08DfCfevdH1aJnIt0
SE0DgmcyDuUv1Qw5zkD9IyYL58P8D+Nv0stbzCijBuf7XpwY849Zw+EFkLvm
S6TD+athb/RnazrYgMJLLQrObwEFmCuCD5LOi4pySAgJUl+gqemwZPYRhQ1Z
UQ4GoPhQ0XB4shQo0IDgg4LDvDPKwecEu+3sr9oOe0omS7DURTmwcHbJJ+vp
OOw/tdB1W3aUw5PEhddM/HUcgKYVZUQi+DUi69wfWiH4YPuloqDhp+2wwHXb
578sUQ7mNnuDpjFqw/03Z5Hyzj/PNeB8mH1g8w5Fws17AkpgfZEOPqDwWKzt
oG4IiuFIh4Bb0jWJRtoOsPQJMx89vQIA8YYuqg==
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1,
             4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, {CompressedData["
1:eJxdk3tIU2EYxqeGVpTJsElu7HK8tJwOaguJWT6mppkmJYmc82UlamWmINHF
FpWmIitQyMq2UgmTQFMzVCymlKVZRFeDGJiXwMAVYtD+sMu5zHOgBw6HHy+8
3/O83/vp8kr3FvjKZDIL+3H/2ciNy9sdBD2xnif5RRtQ57bGb+4lyN/v2uHX
H4UItqx6QHCjkdU6A9hq7oCOoA8VUyOeKJz6xjZYZNAZMVN5223A+YZEW/En
BjOHWsbNmdEIqhwaa2mVOKl34feH0xJ3lh2pdycxuFpTRb93GWA2sVIy4nkh
y7IDY6ZopI8GbLWvjQLvd5hGQSGrar3IMTrNz+JrkSJ3GUvu+MSFY25Pv7pq
gcYrTg4Ka3K2PBzdxiBsfCpLRiikrvI11HyncXbC89l0TAsu3s4ZGkM2Z4V5
WoN2FZ1vmaBxOceW6RMk8Vz1cdsmpVpk3neWCn1cvHkamoFmZ8FuJRbvzb/L
oBhY+f6hKJWzA3lBQ8vVS0LgCve/2PDI629OgfTY2oSDHTS+JB9IuFkfLHIj
L7nIqm5Fk2/zCvDHBzCIP5Fw7qXDB1wcRa3ErfZhbRdFRB4ca0nutRPBb89q
kfk8doXIvH+jEtbg+ymTRQQkIkf1mqiFepjEnJ2vFxiR+X1Il5jPZ2Lwl5NG
I/LSvJf4canV3fhRi65bP9qeWxh0yKMDDxt1wj5mM8I8JnXC/RAGiXWV8sKV
FC6x65Wc6+VQChOZV66X5DE4w/W3UPiVNd1qL2Zg4kWhjZtHmfd8A4Ua1v6b
conjuAZ3Jebil7u8/p5Rgh9/IvjpDhPymgnGnm7vOOoMF+47jSDjbT354xcp
sjDv9SKncfu8Tw8HG3dXCoG6bTbVOKjHyElnU2i89B7/f5//AIqTld0=
            "], {{
            110.014, 13.6141}, {111.09500000000001`, 13.6141}, {
            111.82699999999998`, 12.7234}, {111.82699999999998`, 11.3734}, {
            111.82699999999998`, 10.339100000000002`}, {111.15899999999998`, 
            9.625}, {110.18899999999996`, 9.625}, {109.12499999999999`, 
            9.625}, {108.40899999999998`, 10.4516}, {108.40899999999998`, 
            11.674999999999999`}, {108.40899999999998`, 
            12.898400000000002`}, {108.99700000000001`, 13.6141}, {110.014, 
            13.6141}}, {{110.76099999999997`, 6.478129999999999}, {
            112.55799999999998`, 6.478129999999999}, {113.17799999999998`, 
            6.1125}, {113.17799999999998`, 5.07813}, {113.17799999999998`, 
            3.7125000000000004`}, {111.92200000000001`, 
            2.6953099999999997`}, {110.25299999999999`, 
            2.6953099999999997`}, {108.86999999999999`, 
            2.6953099999999997`}, {107.91699999999997`, 
            3.5046899999999996`}, {107.91699999999997`, 
            4.6812499999999995`}, {107.91699999999997`, 
            5.3968799999999995`}, {108.32999999999998`, 
            6.0484399999999985`}, {108.966, 6.31875}, {109.22000000000001`, 
            6.445309999999999}, {109.666, 6.478129999999999}, {
            110.76099999999997`, 6.478129999999999}}}], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ5IIaxWaBsBigfRjMjqWHGooZa6kkVp5Z7aO0vXOoB
MK4CWQ==
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGIHIGYCYpF17g+rvsQ6dNp47kpTUnBYC+SK3It14I8N
uG8UruhQA1JwCSovpORQm7WnZPKBWIcHrvGOsxYqO5RkTHxbUx/rsN2h6dHx
HxoORxQ2FGVUxjr8evv6gGWzpoOPeadjQmmsw5T21qjLfxB8Fs4u+WQ/LTj/
Pwjs13LomZ4n1NwQ62BuszdoGqO2g0xUivX96bEOCSFB6gs4tR1s7vv3Tt8X
6zBjJhBIIvjPs7S/Tf+r7TDFuTvneXSsg77WSuELTzD5YPd7IPgRQOP9TXHz
t5wo2zf/UgzcfBgfZv/6ImAAPImBu6/lwKmFrv9iHCTmxWme/qAFUc8V69DA
crTfcLqWQ65Q84FTkrEO1Z82BGRXaTokCERYbumIdUhPAwI1RYfSffOl9JfG
Orxpy+02+i3rMOf98mPe62MdDIyBoFjGocbeNG7XwVgHkPI0N0mHPys/XvJd
FesgUjmp5GyKKES+M9ZBfteCfal8Ag4uQO//Tox1ONC9r8lEmcuBfQ0oRBF8
YOjlCWkj+C7bPv+9IgFzD7dDASh+2WMdSpaXbPjHzwux71cMnB+wQ6719cMY
h2bxWtbMNmaI+7/GQOLTnslB964KWyNrrIN9iWPt6TmMcPNhfHD4xSD4sPDo
i+j2ZzRgg/ufAQQWCDg8/Q10QG2cgwwofA3UHTx4mLTbl8U5+Jxgt50tqgVx
z844ePiL3jz3PfhyHDx+dNrFbp57HwePPxgfFr8NU4EJZn4cPP7R+ceB0SnV
j+B/+Xul4mUdbj7YfXoI82F8mP2mwOT/1APhPnB+SI2D5icth/3A5LStOM7h
+K4dvWwbkPiHndZm2iH4YPtYtCDmFsY5bNDLW8y4R9NBAJjcFubGOWw2/3Eo
JUvTAT2/AwANUr84
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4hvnvgc/nprg0BvR7c/4gcchfeLbGvvCBAcG
EFAQcfh4yTdJICXB4QwI6Ig7dDgmPL0QluCQmgYEz2QcovsPfdXwgcrvUXC4
vrjAlss9wYE/NuC+kboynH/hatgb/duqcP6pw05rM+s04Pr/g8B+LYd8oeYD
p0ITHGTmxWmevqADUZ+c4JCR/6H1ZIm+w+2fdVl7ChIcZoJApYEDzP3GIHDZ
0OG4t3mnY0+Cg31lxApTWyMHkPEx4QkOB9uWh586ZOBwQQloglOCQwuv//op
R/UdQN5R0k9wqP1tVXBuhY7D6YWu2z4rJji476+VtWjXcpj7fvkxb+kEh2aQ
elcNOB/mHxj/jqbsmv/FSpDw0khwiFGNkDlXI+cw+4jChiIHoP3d+5pMDks4
cIM8FJTgEPL28scZjSIQ9yQlOKSDwpNNCO7+5beWPzZ05nJAjx8AEMbF8Q==

           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 
            3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQXWDLdX1xS6LD3/9AYC/vYBK3y5OnLtHhQPe+JpPH
8g76d1XYGmMTHVzXHF3OUCHrkC/UfOBUYKJDahoQPJNx4NfdNPe9NYLPqN0u
dlMKwWdfIxOV8j/BYY2QDl/6PjmHv1cqXqp9THAoP7zNdeZbBYfijIlva54n
ODhPaBZK+6UIMe9xgsNakPp7Sg6fQRoeJTjoKsp/ydmm4vB++TFvc91EOP+4
t3mnYwCCP18K6OK0RAcWzi755HMqDulA4+07Ex3mLFLe+Udd1eGrRkz/ISB/
JhioOnBfX1xg25Xo8Ovt6wOWjxF8A62Vwhdc1OD8MyDwRtPhe/DjpbNTEh2e
JC68ZuKv43AeJKCN4O8HOUACwc95/nvlR6ZEB32QeU+0HdQNOdbIvEtwMLfZ
GzRNUdtB+fbPuqwjCQ5/QPYv1nQI5QMGwOYEhxkT+KvMVqvD+VPaW6Mux6jA
+crXHgUzxCg5AGNnqvPuBAfhykklZ5coOCx03fb57wloeN+Tc7jsmyQQcTfB
ARS9/+ul4fGxM9gq4n+7pAMoODtVE+F8A6DzoiwQfGMQ8E50UP+k8nIWp5TD
x0tAAxMSHeR3LdiXqicNCc/cRIeQt5c/zngo7TD7iMKGoopEh1YFdtUzW2Qc
LigBPViV6PBl38et6WKyDujpDQDPJB6q
            "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQvdB12+e/MYkOv96+PmD5WNXh8FeNmH6nRAcjYyC4
rOpQMlmCJcws0WGL+Y9DKadUHT5e8k0SUEHwC2y5ri/mQfDZ18hEpfxPgOvn
19009/3jBIcLV8Pe6P9G8Gs+bQjIrlJ32A2y4FmCw+kzQKCj4fA9+PHS2W8S
HB5FiG+/yKDpoMLWONX5e4JDehoIaDn8vVLxUo030UF86hXODCdth+XHvM07
VRF8mHth/GTr+/69zokO2x2aHh2/oeWQLBBhucUn0WFKe2vU5T+aDlOdu3Oe
hyc6HNu1o5ftg4bDz7qsPSXRiQ6+FyfG/GPWcEAPHwCeOIrV
            "]}], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIpIAaxQYAJSjNCxZjR2DA5BjQ2LjXUEifGXlLdSS31
AJgXAjc=
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYC4uj+Q181NJIcan9bFZyzMHSA8Q+3LQ8/tcnQ
4UrFSzXDD4kO14U+OZ5fhsnvnZ4n1PwEwT8DAjdw8/fPl9K/uyARbj6MD7Pf
GAQ2JzpEKzh+TNYxdIh/ekHp9t5Eh/21shbpKoYOOc9/r/x4KNHhPxgYOCw/
5m3eeTLRwfsEu+3sVgOH9yABzSQH5WuPghlilBw0YoAeskhyONC9r8nksbzD
9cUFtlz2SQ6qn1Rezlop66Czae775W5JDjNmAoGllEP2npLJEgkI/leQAZlJ
DjX3f9wy1pZzAGm/np/k0GnjuStNScEBxF3ckORQfnib68y1Sg5/QQF0M8nh
84aA7FnsBhD/PUmC+OuxgUO45ZYTZa+SHArWdN/OUDB0+B78eOnsL0lw/051
7s55zpwMDw8YHxZeYP+cSYKHp3a72M1zhxF8sPt3AP33pHne2VWGDpd9kwQi
ViY5lGwV/X16naFDh2PC0wvLEHyQ81TmIfi7gdpZpiHiH8aHuWf2EYUNRRsQ
7j0P8sDuJAde//VTUjUMHbhBAXwoCR4/MP5BkHmHEHxuN9VSplkGDrd/1mXt
OZDk0O31isUk0cCBOYxPd9PeJAf/ixNj/ikbQMIHGB/hnGLtxvaKDsogDX8S
HU4edlqbuc4AEj6/Ex2KQe7fZ+DAvkYmKgXIVwf5/xSCP30Cf5XZbQR/o17e
YkYeQweg79kaGRHu339qoes2boT/0PMHAEdUe5Y=
           "]], 
          
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJpIGYC4ul5Qs0H1JIdlt9a/tjQmcsh4ekFpdueyQ4H
u/c1mTgLOvwIfrx0dkSyQ4xqhMy5GGEHA441MlEZyQ4zQaBSzGHCoa8aMe3J
DiKVk0rOLpFxOP8dqGF6skO3jeeuNCYlON/IGAguq8L5zbz+66e4ajhMkWAJ
45uY7OC+v1bWol3LQbtd7Oa55mSH2t9WBedW6Dj0gBxYkOzwNEv72/S9+hD9
0ckOxVtFf5/eZ+AAc799ZcQKU1sjB24moAmyyQ7GYPsMHSa8rbE3dUp28D7B
bju71MCBX3fT3Pf+yQ5nQCBH36HAluv64phkB5l5cZqnL+g4dDgCQyAt2eE/
COzXcpjq3J3zPDvZ4dRhp7WZdRpw/oWrYW/0b6vC+fyxAfeN1JXh+sHm71Fw
iOkHBVCyQ2oaEDyTcfjy90rFSz+ovI64A9D3upsckx0YQEBBBO7+3ohuf8YP
PA7o8QMAoC29fQ==
           "]]}, {
          Thickness[0.006302388605281402]}, StripOnInput -> False]}, {
       ImageSize -> {158.66718804483187`, 21.12078704856787}, 
        BaselinePosition -> Scaled[0.31887090512778543`], 
        ImageSize -> {159., 22.}, PlotRange -> {{0., 158.67}, {0., 21.12}}, 
        AspectRatio -> Automatic}], TraditionalForm], None}, {
     FormBox[
      GraphicsBox[{
        Thickness[0.014712373105781962`], 
        StyleBox[{
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIVIIaxWZDYzFDMAOUz4BHHxSZGPbIaUtXT2i5KzKeF
m5HFAbkaAl0=
           "], CompressedData["
1:eJx1VH9IU1EU3tS0QbpcOSP33J7T6VOn75WBiemx5R8mpGiUZBm1tmlGGikV
uKBMrUZpaeZMrNAchpoJSknNRMTfSlgIJUwoCIPFNBmUpu2+57tC0IHD4+Pe
8+v7zn3k6YIMnbtAIBC6XONyN5fnFjjKRg5TUGd22d6dkDrste9RMQXy3idW
XVQAuItuy7V3KbAln0yq95WBmpQvnaul4J3Jej1GKwMPdN5BgU7vMk8Chnpf
3fF0UECg+B+BIGvMocbocNiNLFMB7SFfSxu9o8GA7vfQMDSwvz0vIRrWWKNh
EMVXRUOfkYg1BDOw4iyeayBpyFYkLWgjGWi2WX0ammgwLscVTsZu4IFyy9HR
LgZ2oHoONcxIFpOmWhgu7+P/45LFzvT8+nAcz2M+P3vfFoHr11SUHZteiYTC
NtPnXAXD8XFEDS+jzjcJtzAwjObJUUOoa8yJURrji91+y2PWDez/4IMot4vG
8SwfLTQcen/v+KqSgjnEdz8JlwZ6ks12JcdHDA0Hqkol+jgleKe9qNGFMXAr
PqVXH6SEMLu3lU5hoNU5f3l8Lojje5qBcWSzJMZsXoaEax6DlcwMDeIT6bZd
FgU3p5xe14GAb2cjnA//RECHJNLHECgFDar7m4Qb/sZNeeVifJ/dA6UYAhDv
6TQ8+2T5wriLuXjjBubn4zGv97Yr94smgrdivbNDsmSTs76Y79eZcVlrFdux
Hjzm9QpdDJ6vF4mwnqiMXrUZ4wuWos7VKTdAazfxnIHU7rQhrediIh/PYz5/
43B1c77qVyLeN9SvRoD1ZuuNCKEJ7d1PGiqzTGlChxuYDn73iDlFc/15+XJ8
axV4njNsXwTGS9aFboOUgHbE71UJfn+sXm1+GLPnCVLoQzxrZJBhn16o65eu
90FweZz+uB77LSW5d1gYxe1rSQigdOZWJcfjTRW8KSixmz8qYE/824zapyqY
pYi2tWoFjKL9tIbi+v/+H/4Cdmjb7w==
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 
            3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, {CompressedData["
1:eJxTTMoPSmViYGDQAGIQveKFh97/QjOHv/+BwF7ewa4yYoWprZnDge59TSaP
5R1qf1sVnLMwdXBdc3Q5Q4Wsw7QJ/FVmt00cUtOA4JmMQ4yC48dkHQR/yf19
fHOUjeH85Ng7bsweRg5rhHT40vfJOXzdeavr71VDh/LD21xnvlVwqAeZ32Ho
4DyhWSjtl6JDNMi8HEOHtSD195Qc/C9OjPmXbOigqyj/JWebikM6yNxtxnB+
yVbR36fPmcD5keLbLzLUmTqwcHbJJ59Tcbgh9Mnx/DQzhzmLlHf+UVd1UH3S
PO/sLDOHmWCgCtE/z8zh19vXBywfI/gGWiuFL7iowflnQOCNpsPfb6UP5hSa
OjxJXHjNxF/HgdtNtZRplTGcvxjkf2EEf3+trEV6ipGDPsi8J9oOz7O0v03f
a+hgbrM3aJqitgMo2P/nGzj8Adm/WNPBxBgILus7zACF82p1OH9Ke2vU5RgV
OF/52qNghhglh+sg/6kZOAhXTio5u0QBYs8UA0h435Nz+LwhIHuWuSHEnnpp
eHzsDLaK+N8u6aDxlnefQaUxnN8XXKIynd8EzgcFd9oyEwf1TyovZ3FKOdiC
0oevqYP8rgX7UvWkIeG5y9Qh5O3ljzMeSjsUrOm+nSFg5tCqwK56ZouMg8y8
OM3TCmYOX/Z93JouJuuAnt4AS9EaRA==
            "], CompressedData["
1:eJxTTMoPSmViYGAQBmIQbaC1UviCianDr7evD1g+VnXo8XrFYpJo4mBkDASX
VR0mBJeoTP9v7LDF/MehlFOqDraVEStMcxH85S889P5vNILzk2PvuDF7GMH1
Rys4fkzOMXS4cDXsjf5vBL/m04aA7Cp1hzMgUGPocBpE62g4/P1W+mDORkOH
RxHi2y8yaDpcF/rkeJ7NyCE9DQS0HL7svNX1d6uRg/jUK5wZTtoOGm959xlU
GsP5MPeiyGeaOGx3aHp0/IaWgwRIfJOJw5T21qjLfzQdNurlLWbkMXU4tmtH
L9sHDQde//VTUjVMHXwvToz5x6zhgB4+AN7shss=
            "]}], 
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
            3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}, {{1, 4, 3}, {1, 
            3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxTTMoPSmViYGCQAWIQnZ4GBGJWDiycXfLJejoOy1946P3/aOnwJHHhNRN/
HQfxqVc4M5QsHXwuToz5t1jboXir6O/TfhYOAbekaxKNtB0aWY72G5abO5jb
7A2axojgP8/S/jZdVgtC81rA+YVrum9nbEDwpefFaZ4+YOGgr7VS+MITTTh/
xgT+KrPT6nC+cOWkkrNLFOD8HcFWEf/dZR3218papG+xcPiy7+PW9GsyDlvM
fxxK0bJwaFVgVz2zRQbij3xzBxGQ/hYE/01bbrfRbCmHLztvdf1ltXQ4AwaY
fPumR8dnZCP4PV6vWEwu4ubz+K+fkpphDTcfxofZb1MZscJ0rRXcfUfaloef
UrKCux8WHzD/wfgw/6PHFwBCP8Uh
            "], {{25.356299999999997`, 
            17.618800000000004`}, {24.879699999999996`, 
            17.618800000000004`}, {24.4672, 17.206299999999995`}, {24.4672, 
            16.729699999999998`}, {24.4672, 16.2688}, {24.879699999999996`, 
            15.854700000000001`}, {25.3406, 15.854700000000001`}, {
            25.801599999999993`, 15.854700000000001`}, {26.2313, 16.2688}, {
            26.2313, 16.729699999999998`}, {26.2313, 17.173399999999997`}, {
            25.801599999999993`, 17.618800000000004`}, {25.356299999999997`, 
            17.618800000000004`}}}], 
          
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
            0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
            3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1,
             4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
            3}}}, {CompressedData["
1:eJxTTMoPSmViYGCwBmIQnXD4snbqT0eHzeY/DqVkaTrsr5W1SNdxckiJvePG
vEPLoX15+CkjFSeHGTOBQFLbIZvz54J0ZkeH7Q5Nj47/0HL4DwLbHRzWqz5p
nvdW26F4q+jv03kODk8SF14z8ddxMAYBbgTfBMRPtofzl9zfxzdnsp3DlPbW
qMt3tB3OgMAbW7h99b+tCs5x2Dr4nGC3nS2q5XCgDeigSTYOqWlA0KYB5+sq
yn/JmaYG52/Qy1vMaKPiECG+/SKDny3E3DlKDlMn8FeZVds5KF97FMwQo+TA
4aZaymRl61B9/8ct42wFhx6vVywmgrYOB7r3NZk8lofo+2Pj0BPR7c8ogOC/
acvtNpKWg/PB/gqWcfiy81bXX1dbB/ldC/al+kk7aLzl3WfAaedQAzZfyqGe
5Wi/4XIbBwWQfJ64w4nDTmsz82yg/haD+NPUxuGBa7zjrIkicP5MMBCC82U2
is1nWsDp0BtcojJ9vq2DfYlj7ek5jA57QfG3xB7OF/7keD6N1RHOBzkv9bsj
xL2beeF8sH9mi8H5YPfrSTvIO35MPjPV0SFGNULmXIwcRJ4dwQfHX7M9nA9O
D+vt4Hyw//zsIOLy8nA+LLxh/D35NW9nXlVweApKF/l2DmuFdPjS9RQdakHx
f8MOEh4PFSHx89HOwXlCs1Aal5KDOih8f0L5UkqQdMNp71AJMt9ayUF86hXO
DCN7SDo0VnJQASbTs172EPu1oekhG8G/KV2TaMTrAOeDgvd/hQPEfUeVIPnj
jAPEPRuVIf5Sd3Q4BfLHPhWHKd/Y4meEODr4XpwY849ZDc6HhLc6nO8FisdQ
DYf5NjpXZvk5Osgtf+Ght1/DQX/Cgh+Gdoj8iJ4/Aeibn44=
            "], {{31.5141, 
            13.6141}, {32.5953, 13.6141}, {33.32659999999999, 12.7234}, {
            33.32659999999999, 11.3734}, {33.32659999999999, 
            10.339100000000002`}, {32.6594, 9.625}, {31.689099999999993`, 
            9.625}, {30.624999999999996`, 9.625}, {29.909399999999994`, 
            10.4516}, {29.909399999999994`, 11.674999999999999`}, {
            29.909399999999994`, 12.898400000000002`}, {30.496899999999997`, 
            13.6141}, {31.5141, 13.6141}}, {{32.2609, 6.478129999999999}, {
            34.05779999999999, 6.478129999999999}, {34.67809999999999, 
            6.1125}, {34.67809999999999, 5.07813}, {34.67809999999999, 
            3.7125000000000004`}, {33.421899999999994`, 
            2.6953099999999997`}, {31.75309999999999, 2.6953099999999997`}, {
            30.3703, 2.6953099999999997`}, {29.417199999999998`, 
            3.5046899999999996`}, {29.417199999999998`, 
            4.6812499999999995`}, {29.417199999999998`, 
            5.3968799999999995`}, {29.829699999999992`, 
            6.0484399999999985`}, {30.465599999999995`, 6.31875}, {
            30.720299999999995`, 6.445309999999999}, {31.165599999999998`, 
            6.478129999999999}, {32.2609, 6.478129999999999}}}], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGIZIAaxQYAJSjNCxZiR+PjEcakhVT2p5tDTLlLNBADS
cwJB
           "], CompressedData["
1:eJxTTMoPSmVmYGBgBGJzIGYC4t8xuUf/RTk56GutFL5gYujAsniSFeNZBH8m
CHxE8I9rWk06/d/JITn2jhszB4IfIb79IkOfAZwvXDmp5OwSBTh/R7BVxH93
WYeL+fHs5346OXzZ93Fr+jUZhynf2OJnbHFyaFVgVz2zRcYhuERl+v8IJwcR
kP4WBP9NW2630Wwph2zOnwvSHzs5xKhGyJzbI+Vwfx/fHGMpZ4czYCDlcFu6
JtEoFMG3uHY012QCgv8kceE1k+POcP1g/wW6wM2H8WH2g/31zRnuvvrfVgXn
NjjD3a/+pHne2VXOcP/B+DD/w/hmNnuDpiWqw/nHd+3oZbug4RAC8p+Bi8OJ
w05rM+O0IOG/FsEX+eR4Ps3UFc5f0307g6Hf1WHOIuWdf45rwPkZ+R9aT4ao
wfkw//wBxS+XG9z/YPN5EfxPGwKyZ+kj+G3Lw08Z+eDm8/ivn5J6ww1uPowP
Cy+w+a1u8PBiAAEHN3h4gePf0s3Bfc3R5QwWsnA+LLxgfI/9tbIWx9XgfPnl
Lzz06rUclgGp/yddIfHorwOJn2cucL4qKHxnIfhg+wtcHHQV5b/kiOk4CIHC
09XF4cfb1wcsm7Xh8bHZ/MehlCxNOB/sXRkjiP9mODvYV0asMLU1cijZKvr7
tJ0zJP3/MHQACZ/97eTwGRSO1w0dYPnpOsiiZQg+LP8AANvgjbA=
           "]], 
          
          FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
           0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
           0}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
           0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJlIGYC4je8+wxm7nJ3mD6Bv8qsW9MBxjcGgWQFOP++
a7zjLEEZBwXHj8ln/ro7qH9SeTmLU8pBfOoVzoxZHnB+t9crFpOTCP6yFx56
/396OLxpy+02ipZy0J2w4Ichm6fDGTCQcjiuaTXpdLqnQ839H7eMteUchD85
nk/z9XT4+x8I7OUh9kt5OsSoRsici5Fz2KiXt5jxj4dDBUg9N1T9VQQ/Qnz7
RYY2BF8IJJ/q4dAb0e3PGCAP5/PHBtw3MleE82H+v5gfz34u0xPOb1sefsqo
xhPiTydtuPo/30ofzBFE8D3218pauOvA+VPaW6Muz9F1sG96dHxGtoeDqc3e
oGkH9RwqI1aYnq32cLgtXZNolGrgkM35c0F6sofDclA4TTSA+NfIw0Ffa6Xw
hRADB58T7Lazv7o7gILjv7yBwzwbnSuztrk7sHB2ySe/03eY8o0tfsYed4ea
TxsCsn/pQeT3QdXHI/gvireK/s7WhfMDboEcoO3AAAIK7hB7RLXg/M3mPw6l
ZCHSAyw8ANj+7vs=
           "]], 
          FilledCurveBox[CompressedData["
1:eJxTTMoPymNmYGBgBGJ1IAaxQYAJSjNCxZjJYMP0MxDJpsR8StQQ42ZauI3W
bGQ3AABFVQKx
           "], CompressedData["
1:eJxdlH1MU1cYxosgzmxOt2VhiqztKB+9XHHS6pSw8aCLoN57e4OM4tcK2wo4
GCzOiZm6+sGGkS12xI2CSphuwT8wmBhCZxxoTIOKFQzCDHNhcWYjrGZgjHET
091zbjkn20lObn659z7nfd/nPa/5nep8d7TBYIjSdrG2Z2j7qb9by87GqujC
/ju9twRkiTebf39ORe+llae3viEgLk+deilexd2Sb4ft1QLq2pxXMywqcnv2
JCyvE/DC/Zz+0kWcx7o6ov/I41ztmnV9/gYVoY86X3zcZ2XsLtXW56mMV3kP
PF86noiYkw2ZUfcc8K/PLArnJiBMVjZn+n4m51+6nz1mG1Fgt2lr0Mh44kSH
KXjKzHjuFnU0IyURRx7GunwhBXeK4rpuIInpXSX5tiRjOwmzyoH3ttxeHb1T
xJtJH89oLnagk9THL6JtLC89fEVB7RxHx5GZItrrfy43HFZQXJCf0romBcdJ
AXcoWNDytrVPTdLP36jA5537ybKnLXodjQpuWxPaw+tfgSln8t1rQRkX6rv3
238z4hlN1r1XZvlVztYMWsWZ1n9KYjyP1D8ooeDe4KTvopHxXyR/v5nxsqwf
87/Zl4Q9jzM/vG6SsS8mcHhJYypGSXzjsu5HsqjHMySzfG/F7y7JOC1H/Bdh
uXugJdggw0P+d4oYIAZu4DytP800/j5J74cyEaRsbq+k++oR9WeNhGMnEn+Y
qhNRU3RqabBCQuCc/8tYrwhfk7ZKOE+cUSuaXZxpXLmcr5Fl5/o0r5clFs/3
xL8oCf1DhaHFu9KQraXp+3MdFpuNDyoLBXyxdjzGfmMdq4+R1OMJZ+qPSdLP
CVn1fkmXUEve1wjwjxx64nZKWEj8HxDw2nDgA/tBznFf35xd3sCZ6nzHmebT
E6lHr4DzRK8/kk+PgF5rZkPfKGfaX/9wpnoWmTGNJ1tmevT7bZqfpP9/FXAm
vepkVKX8X32XDCNpdI+AAGGnzOpD+2GprP933gqnJmP4VNLvgztZ93+5hAFS
33gL49z2QJuh3MyY+toUud+eCM9foOuGOC/ytj5aUiUzpt//JLP/qb9VCvKI
flGifj82K6jPWnOu9L4ZJE1DoYIy2t+cd40+GrFVmBg/6J7sLBteiILtlsaw
V2HnTc+LaXZdGkxzf+VgPKTZu9em6uetNCE0p/vVpm0qxt5Pe9h43KLPw4Mq
tlZPfHbFnqzft2YVay/Pev3oW6mMaT8etTJuJPOiIg07yX3wqOw+kjFn28SZ
zmuZc2ft7oGzOao+v3wiaJlWqKz//z/v/wUg7bo9
           "]]}, {
          Thickness[0.014712373105781962`]}, StripOnInput -> False]}, {
       ImageSize -> {67.96845828144457, 21.12078704856787}, BaselinePosition -> 
        Scaled[0.31887090512778543`], ImageSize -> {68., 22.}, 
        PlotRange -> {{0., 67.97}, {0., 21.12}}, AspectRatio -> Automatic}], 
      TraditionalForm], None}},
  FrameStyle->Automatic,
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{Automatic, Automatic},
  GridLinesStyle->Directive[
    GrayLevel[0.4, 0.5], 
    AbsoluteThickness[1], 
    AbsoluteDashing[{1, 2}]],
  ImageSize->Medium,
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1}, {-0.0015289660481831156`, 0.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {
     Scaled[0.05], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.7949353701699038`*^9, 3.794935396415554*^9}, {
   3.794936113527989*^9, 3.794936290966983*^9}, 3.794936338250052*^9, 
   3.7949363974955053`*^9, 3.794936435599338*^9, 3.794936491606621*^9, {
   3.794972215666287*^9, 3.794972247733335*^9}, {3.794972305174217*^9, 
   3.794972314284897*^9}, {3.794972387846652*^9, 3.7949724168407288`*^9}, {
   3.794973569937744*^9, 3.794973626780249*^9}, {3.7949794422636633`*^9, 
   3.794979461594949*^9}, {3.795103543654643*^9, 3.795103563777915*^9}, 
   3.7951036749197073`*^9, 3.7951047536013002`*^9, {3.795106124492104*^9, 
   3.795106136221929*^9}, {3.795175764964592*^9, 3.795175790687005*^9}, 
   3.795184052995839*^9, {3.7952306854182*^9, 3.7952307468642397`*^9}, {
   3.79536892651657*^9, 3.795368932239585*^9}, 3.795519021467002*^9, 
   3.795519060844122*^9, 3.795519319207473*^9, {3.7955207249334*^9, 
   3.7955207353414373`*^9}},
 CellLabel->
  "Out[387]=",ExpressionUUID->"7f805117-2275-4fc2-af8f-a768f2c22eab"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"w", 
     RowBox[{"(", 
      RowBox[{"w", "-", "1"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"a", "+", 
       RowBox[{"b", " ", 
        RowBox[{"(", 
         RowBox[{"w", "-", 
          RowBox[{"1", "/", "2"}]}], ")"}]}], "+", 
       RowBox[{"c", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"w", "-", 
           RowBox[{"1", "/", "2"}]}], ")"}], "2"]}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "\[Rule]", "0.0061158387543040335`"}], ",", 
      RowBox[{"b", "\[Rule]", 
       RowBox[{"-", "0.00005968703047293955`"}]}], ",", 
      RowBox[{"c", "\[Rule]", 
       RowBox[{"-", "0.00001692245714408755`"}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"w", ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7955193779327106`*^9, 3.79551938954592*^9}},
 CellLabel->
  "In[302]:=",ExpressionUUID->"0cd8ad00-b6e1-42c2-a5bd-2c4292c8a2c3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", 
    RowBox[{"0.006141451655254482`", " ", "w"}]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "w", "]"}], "2"],
    SeriesData[$CellContext`w, 0, {}, 1, 2, 1],
    Editable->False]}],
  SeriesData[$CellContext`w, 0, {-0.006141451655254482}, 1, 2, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.7955193899029427`*^9},
 CellLabel->
  "Out[302]=",ExpressionUUID->"8d821a0a-d7b4-4f2d-85e7-13b1146b12ba"]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
WindowSize->{1280, 755},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.25 Inherited,
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) (March 13, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"0de2b6b5-47c8-4808-b954-193e242d4dea"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 156, 3, 123, "Title",ExpressionUUID->"9a643c6d-1044-4612-8f7a-377e028cd777"],
Cell[739, 27, 651, 14, 136, "Input",ExpressionUUID->"8b7c0bbd-9f99-42dc-b8a5-a4dc3cb8cc89",
 InitializationCell->True],
Cell[1393, 43, 308, 6, 57, "Input",ExpressionUUID->"b24e8243-3c38-4b03-af3a-708cb1afa004",
 InitializationCell->True],
Cell[1704, 51, 341, 9, 60, "Input",ExpressionUUID->"5822ee69-a453-46a0-9a58-bd14b8a97301",
 InitializationCell->True],
Cell[2048, 62, 914, 21, 85, "Input",ExpressionUUID->"43788edb-8cf4-404a-88d1-db5bf1515eb0",
 InitializationCell->True],
Cell[2965, 85, 343, 8, 57, "Input",ExpressionUUID->"058853fd-911e-44b3-8eac-1c3fbeb8c4a5",
 InitializationCell->True],
Cell[3311, 95, 279, 6, 57, "Input",ExpressionUUID->"5dbbd40c-d911-445f-b476-85cd91f8d014",
 InitializationCell->True],
Cell[3593, 103, 315, 7, 57, "Input",ExpressionUUID->"c5c88208-974b-4c9d-86a9-31efb9b3c85a",
 InitializationCell->True],
Cell[3911, 112, 440, 10, 57, "Input",ExpressionUUID->"cf7112e5-370d-4bcb-8469-3da5235ff58e",
 InitializationCell->True],
Cell[4354, 124, 297, 8, 60, "Input",ExpressionUUID->"ecc8a01b-6f90-4275-94eb-6ed00a7f4bf9",
 InitializationCell->True],
Cell[4654, 134, 246, 6, 60, "Input",ExpressionUUID->"e1f4de2c-8ef0-40b7-bf26-ad419695aaaa",
 InitializationCell->True],
Cell[4903, 142, 359, 9, 60, "Input",ExpressionUUID->"1c9652b7-1035-4b53-a43b-1542b5af9d9b",
 InitializationCell->True],
Cell[5265, 153, 381, 8, 57, "Input",ExpressionUUID->"98eaecf0-9ed9-4131-ae77-d154d0a06c05",
 InitializationCell->True],
Cell[5649, 163, 358, 9, 57, "Input",ExpressionUUID->"e145d619-659e-4f7d-941b-2fd636fd8dfe",
 InitializationCell->True],
Cell[6010, 174, 475, 13, 57, "Input",ExpressionUUID->"2721cb3b-4df1-4e50-a4e7-c18aa79e2b2b",
 InitializationCell->True],
Cell[6488, 189, 177, 3, 57, "Input",ExpressionUUID->"0e8b01ce-c902-4197-a01e-a8384d291aca",
 InitializationCell->True],
Cell[6668, 194, 278, 5, 57, "Input",ExpressionUUID->"e700b752-fa59-4890-9906-0d5787e3c043",
 InitializationCell->True],
Cell[6949, 201, 280, 9, 98, "Input",ExpressionUUID->"71530af8-4c60-4307-bb02-52ea00d49257",
 InitializationCell->True],
Cell[7232, 212, 2894, 75, 344, "Input",ExpressionUUID->"9152dc27-f321-447b-819f-69dba125013d",
 InitializationCell->True],
Cell[10129, 289, 1062, 21, 57, "Input",ExpressionUUID->"bc74c736-2d82-405e-a686-2404e163c599",
 InitializationCell->True,
 InitializationGroup->True],
Cell[11194, 312, 1278, 32, 84, "Input",ExpressionUUID->"1f6c052c-c882-4139-b7ee-065625c189c3",
 InitializationCell->True],
Cell[12475, 346, 453, 11, 57, "Input",ExpressionUUID->"1c62b5c9-a804-4189-8fec-1a5b6cef0d6c",
 InitializationCell->True],
Cell[12931, 359, 556, 16, 57, "Input",ExpressionUUID->"2feabed6-bbe1-4eb2-beaa-732eae5d3b4c",
 InitializationCell->True],
Cell[13490, 377, 1190, 38, 87, "Input",ExpressionUUID->"2f1ae05b-0052-4f5b-bd72-862c91a81035",
 InitializationCell->True],
Cell[14683, 417, 942, 28, 90, "Input",ExpressionUUID->"7aa59e7a-adf1-4a00-bf0d-7468a365b62d",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[15662, 450, 157, 3, 89, "Title",ExpressionUUID->"98d632cb-7177-481c-9b9f-d6f48d10e284"],
Cell[CellGroupData[{
Cell[15844, 457, 72, 0, 84, "Section",ExpressionUUID->"9458067c-0b7a-4f70-9a58-1f771c4b3842"],
Cell[CellGroupData[{
Cell[15941, 461, 75, 0, 67, "Subsection",ExpressionUUID->"11bf4889-b9bd-4f4e-8dbb-a1e9e8a04d2a"],
Cell[16019, 463, 1683, 43, 80, "Input",ExpressionUUID->"fd4d58e4-e6f8-4497-ac22-d536c7dc2652",
 InitializationCell->True],
Cell[17705, 508, 1413, 35, 79, "Input",ExpressionUUID->"f4215905-d329-4e5c-925a-feafdeee6fce",
 InitializationCell->True],
Cell[19121, 545, 2169, 59, 80, "Input",ExpressionUUID->"517a10dc-802a-4ead-9f44-0905089379ba",
 InitializationCell->True],
Cell[21293, 606, 3587, 99, 172, "Input",ExpressionUUID->"440fb372-2001-4d90-ade1-e5498676702f",
 InitializationCell->True]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[24941, 712, 151, 3, 89, "Title",ExpressionUUID->"cdfcc3a6-7299-4a1b-a9d0-f29078225f1e"],
Cell[CellGroupData[{
Cell[25117, 719, 72, 0, 83, "Section",ExpressionUUID->"23d29e55-92a0-4dbd-8800-76494f7702a3"],
Cell[CellGroupData[{
Cell[25214, 723, 75, 0, 67, "Subsection",ExpressionUUID->"5917ba4c-2cd7-4975-9b3b-073e72bd0e40"],
Cell[CellGroupData[{
Cell[25314, 727, 70, 0, 60, "Input",ExpressionUUID->"c8ade4e2-951f-4fce-ae16-fdd4ea72db6f"],
Cell[25387, 729, 71, 0, 77, "Output",ExpressionUUID->"e2c1e6f8-35e1-43ee-b47e-a64bb64f8585"]
}, Open  ]],
Cell[25473, 732, 70, 0, 37, "Input",ExpressionUUID->"02e08ec6-7c15-4841-9609-90296edfe494"],
Cell[CellGroupData[{
Cell[25568, 736, 70, 0, 60, "Input",ExpressionUUID->"150e916f-8806-4d8e-b5d0-c0bc713b1f4d"],
Cell[25641, 738, 71, 0, 42, "Output",ExpressionUUID->"fb35d58c-512f-4f74-aa01-67c7b7b81a77"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[25773, 745, 72, 0, 66, "Section",ExpressionUUID->"8fd0ca40-ccd3-410e-8538-798441b5cf4b"],
Cell[CellGroupData[{
Cell[25870, 749, 75, 0, 67, "Subsection",ExpressionUUID->"10e37c4d-fcc0-4a25-949c-6383c67ff9eb"],
Cell[CellGroupData[{
Cell[25970, 753, 70, 0, 181, "Input",ExpressionUUID->"b7e33c7b-f239-4612-b339-911d66bee804"],
Cell[26043, 755, 71, 0, 42, "Output",ExpressionUUID->"3acd8e38-829c-4dd5-ac53-54c357a30852"],
Cell[26117, 757, 71, 0, 42, "Output",ExpressionUUID->"0a957f43-bd43-468d-a336-addbe42a4e30"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26225, 762, 70, 0, 71, "Input",ExpressionUUID->"5bc098a3-a8b3-48df-b81b-4249253ebc03"],
Cell[26298, 764, 71, 0, 42, "Output",ExpressionUUID->"3597039b-63a4-48ef-b436-f5b1fb49d7fd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26406, 769, 70, 0, 117, "Input",ExpressionUUID->"7707f078-0791-4cee-b4ea-44b37115dc20"],
Cell[26479, 771, 71, 0, 42, "Output",ExpressionUUID->"d4f8c9be-6e4c-40eb-ba9a-d4053731284e"],
Cell[26553, 773, 71, 0, 42, "Output",ExpressionUUID->"2e03225f-8957-4361-919c-4f6a7c36dc6e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26661, 778, 70, 0, 67, "Input",ExpressionUUID->"731b5390-31ed-4914-91db-765023c263dd"],
Cell[26734, 780, 71, 0, 42, "Output",ExpressionUUID->"ed71661b-3a8d-4eee-a4d0-69211937142a"]
}, Open  ]],
Cell[26820, 783, 70, 0, 66, "Input",ExpressionUUID->"1f5927dc-663a-4f11-a2d1-7bc195f79332"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[26951, 790, 150, 3, 89, "Title",ExpressionUUID->"e756f09e-4f67-4fb6-a4c1-1a4fcf53e013"],
Cell[CellGroupData[{
Cell[27126, 797, 259, 4, 83, "Section",ExpressionUUID->"81f07a4a-071b-4e38-8018-d116e770b20b"],
Cell[CellGroupData[{
Cell[27410, 805, 75, 0, 67, "Subsection",ExpressionUUID->"7471e1f3-36cd-497f-a3e0-06aa7035995d"],
Cell[27488, 807, 69, 0, 43, "Text",ExpressionUUID->"c0165a48-1e75-4237-86f9-15c7a0fc2c6e"],
Cell[27560, 809, 70, 0, 61, "Input",ExpressionUUID->"eeea1fbc-15c7-4b79-b5b2-0d2e682c7cb1"],
Cell[27633, 811, 69, 0, 43, "Text",ExpressionUUID->"6509cf0c-3cb5-4484-a79b-9a4e9a4c867b"],
Cell[27705, 813, 70, 0, 60, "Input",ExpressionUUID->"ea3020ca-486a-47b1-95e0-aa46f448646d"],
Cell[27778, 815, 69, 0, 43, "Text",ExpressionUUID->"dc6b5921-169b-4f2d-9120-4c7ca89c05f3"],
Cell[27850, 817, 70, 0, 60, "Input",ExpressionUUID->"12ac5e19-b8fd-477e-a85d-a74e029b6d4c"],
Cell[27923, 819, 69, 0, 43, "Text",ExpressionUUID->"21ac5bf4-2ae7-4b41-8495-ff3b6d5d2017"],
Cell[27995, 821, 70, 0, 56, "Input",ExpressionUUID->"c8865179-994b-4123-9657-507eae2fd52f"],
Cell[28068, 823, 69, 0, 43, "Text",ExpressionUUID->"d352d13e-d96f-4f21-9cc5-32da8a2e376d"],
Cell[28140, 825, 70, 0, 62, "Input",ExpressionUUID->"e2a90d7c-9765-4224-b6c1-0cb3ba56719e"],
Cell[28213, 827, 69, 0, 43, "Text",ExpressionUUID->"4256ed0c-1e05-4553-a95a-370962e94038"],
Cell[28285, 829, 70, 0, 72, "Input",ExpressionUUID->"d7507220-76aa-479e-af51-0886ad0e4f5c"]
}, Closed]],
Cell[CellGroupData[{
Cell[28392, 834, 75, 0, 47, "Subsection",ExpressionUUID->"06909924-3ce1-46cd-9951-a1961992331f"],
Cell[28470, 836, 69, 0, 43, "Text",ExpressionUUID->"00f96a87-a2a3-4e94-b9f7-ae8b20115f53"],
Cell[28542, 838, 70, 0, 61, "Input",ExpressionUUID->"4eb0128c-86a9-44cb-baf0-ed4eebc1e580"],
Cell[28615, 840, 69, 0, 43, "Text",ExpressionUUID->"9803e7ae-a081-4acb-a592-f69d3de67cb1"],
Cell[28687, 842, 70, 0, 60, "Input",ExpressionUUID->"6f3a9707-559f-42d1-a790-59e5b1f4e142"],
Cell[28760, 844, 69, 0, 43, "Text",ExpressionUUID->"d5065f92-c8dc-4b04-8355-2a9254137fdd"],
Cell[28832, 846, 70, 0, 60, "Input",ExpressionUUID->"701f739c-3702-4026-bb77-fd214c3d2d73"],
Cell[28905, 848, 69, 0, 43, "Text",ExpressionUUID->"de63bd9f-a6da-4080-be2f-7a3017d5f45e"],
Cell[28977, 850, 70, 0, 56, "Input",ExpressionUUID->"8bcda35c-6687-40f7-8100-1822b15b723a"],
Cell[29050, 852, 69, 0, 43, "Text",ExpressionUUID->"426f209f-956e-43ba-9527-ec27b0f09378"],
Cell[29122, 854, 70, 0, 62, "Input",ExpressionUUID->"cf1020b9-32d9-40d8-a3f9-f6fd7cc9eb77"],
Cell[29195, 856, 69, 0, 43, "Text",ExpressionUUID->"8b03673b-8e98-4de2-b69e-483417ba6223"],
Cell[29267, 858, 70, 0, 72, "Input",ExpressionUUID->"a883904a-8742-4fa2-8a54-45a9e5a1e807"]
}, Closed]],
Cell[CellGroupData[{
Cell[29374, 863, 75, 0, 47, "Subsection",ExpressionUUID->"77af7129-5b6f-46d1-972e-088c04a397e1"],
Cell[29452, 865, 69, 0, 43, "Text",ExpressionUUID->"137a2815-3e41-4c54-bb77-2baab3309f67"],
Cell[29524, 867, 70, 0, 61, "Input",ExpressionUUID->"ee1a49a3-d78d-48fd-b18b-b45c556268d6"],
Cell[29597, 869, 69, 0, 43, "Text",ExpressionUUID->"7f6139ea-87a7-485f-96a7-072785ed5a50"],
Cell[29669, 871, 70, 0, 60, "Input",ExpressionUUID->"e2512605-e53f-4895-bc29-b005c70f53b5"],
Cell[CellGroupData[{
Cell[29764, 875, 70, 0, 62, "Input",ExpressionUUID->"2caf6c5b-6ae4-41ea-a5bc-6e2553b311b0"],
Cell[29837, 877, 71, 0, 68, "Output",ExpressionUUID->"71a67885-8142-46b8-9292-410654424b59"]
}, Open  ]],
Cell[29923, 880, 69, 0, 43, "Text",ExpressionUUID->"32015b28-f5cc-4eff-8d8d-b8691b888e8f"],
Cell[29995, 882, 70, 0, 60, "Input",ExpressionUUID->"1fcbd290-f3ea-43bd-b2ef-f31601137679"],
Cell[30068, 884, 69, 0, 43, "Text",ExpressionUUID->"9b1e04fb-55cb-4e81-8daf-ba707c78dfce"],
Cell[30140, 886, 70, 0, 56, "Input",ExpressionUUID->"c51ccbbc-5ee1-4cca-ade7-af230c7f6ba6"],
Cell[30213, 888, 69, 0, 43, "Text",ExpressionUUID->"8bfb35af-a4e4-4813-ae15-3703f4aeab96"],
Cell[30285, 890, 70, 0, 62, "Input",ExpressionUUID->"60e340d1-6bd1-4928-9814-51c59353edd1"],
Cell[30358, 892, 69, 0, 43, "Text",ExpressionUUID->"f5f45693-a80c-4a46-ad73-07811620c0d9"],
Cell[30430, 894, 70, 0, 72, "Input",ExpressionUUID->"f99857fd-0430-402d-a733-929b6b359e23"]
}, Closed]],
Cell[CellGroupData[{
Cell[30537, 899, 75, 0, 47, "Subsection",ExpressionUUID->"ef62b877-dbc0-41f4-bb50-f7bab5069a50"],
Cell[30615, 901, 69, 0, 43, "Text",ExpressionUUID->"5b10be0f-a732-422f-9446-681c78cbd103"],
Cell[30687, 903, 70, 0, 40, "Input",ExpressionUUID->"009be4dc-79a6-499d-b9af-ddbb9078f85a"],
Cell[30760, 905, 70, 0, 66, "Input",ExpressionUUID->"afd8bd15-999f-411c-a673-53d5b75e5201"],
Cell[30833, 907, 69, 0, 43, "Text",ExpressionUUID->"1fe4835f-3b82-458a-9e2a-9272922b081a"],
Cell[30905, 909, 70, 0, 72, "Input",ExpressionUUID->"b5e6e435-424a-4f3e-8416-709ae4356a73"],
Cell[30978, 911, 69, 0, 72, "Text",ExpressionUUID->"d05917ae-a767-4a78-834a-c4b18c1c0b13"]
}, Closed]],
Cell[CellGroupData[{
Cell[31084, 916, 75, 0, 47, "Subsection",ExpressionUUID->"bcd158fd-9aa7-4c7b-837e-afd37c54f55a"],
Cell[31162, 918, 69, 0, 72, "Text",ExpressionUUID->"a0112f10-d580-4370-a6ed-bff98b24a4a6"],
Cell[31234, 920, 70, 0, 126, "Input",ExpressionUUID->"aabf1284-1a62-408f-8d1c-50c99b5acc35"],
Cell[31307, 922, 69, 0, 43, "Text",ExpressionUUID->"88a4bd50-0ba7-4f7c-9fc0-e0feb01831fc"],
Cell[31379, 924, 70, 0, 60, "Input",ExpressionUUID->"a889f096-9a50-426c-9cf3-81c363ec2eaf"],
Cell[31452, 926, 69, 0, 43, "Text",ExpressionUUID->"d3c69495-05ef-49fe-8484-fa7fd62cc408"],
Cell[31524, 928, 70, 0, 72, "Input",ExpressionUUID->"0138b572-760b-4f82-a618-73197e776fa2"],
Cell[31597, 930, 69, 0, 43, "Text",ExpressionUUID->"b83db319-04e5-42b8-ae4c-57f93abe09fd"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[31715, 936, 240, 4, 66, "Section",ExpressionUUID->"258ca12d-c8c5-4bc9-84ec-1711f7860786"],
Cell[CellGroupData[{
Cell[31980, 944, 378, 6, 67, "Subsection",ExpressionUUID->"1f7fd91a-8b15-493d-99e6-d7e40486d265"],
Cell[32361, 952, 4280, 105, 243, "Input",ExpressionUUID->"2c3eb4d2-28fa-4072-acba-f33846909355"],
Cell[36644, 1059, 3542, 81, 176, "Input",ExpressionUUID->"c078489f-d878-44cc-991e-1146d0ec84cb"],
Cell[40189, 1142, 4668, 125, 160, "Input",ExpressionUUID->"9d8f3aff-de80-478e-b7fa-93c98d3997e8"],
Cell[CellGroupData[{
Cell[44882, 1271, 2263, 57, 158, "Input",ExpressionUUID->"04f137ec-ad47-4cb8-a976-ec708cc8747a"],
Cell[47148, 1330, 1227, 20, 42, "Output",ExpressionUUID->"5fafddca-de0e-4199-8a06-2f07bcbeb991"],
Cell[48378, 1352, 1225, 20, 42, "Output",ExpressionUUID->"fc860ff0-d7ef-459d-b9bd-49bdcfea456c"],
Cell[49606, 1374, 1244, 21, 42, "Output",ExpressionUUID->"be1fc15b-822b-40ee-83e7-f10e88666d7f"]
}, Open  ]],
Cell[50865, 1398, 2896, 78, 170, "Input",ExpressionUUID->"f39e798a-cf02-4ca3-8667-7392e238bcca"],
Cell[CellGroupData[{
Cell[53786, 1480, 6107, 141, 673, "Input",ExpressionUUID->"b42b1902-b9ba-401f-a9df-30e4652a34c1"],
Cell[59896, 1623, 246230, 4464, 685, "Output",ExpressionUUID->"3814bb40-977e-43cc-93e3-d1f0e33f8853"]
}, Open  ]]
}, Closed]],
Cell[306153, 6091, 347, 5, 47, "Subsection",ExpressionUUID->"ee1991f0-6627-4afa-871c-73710071f6fd"],
Cell[CellGroupData[{
Cell[306525, 6100, 402, 6, 47, "Subsection",ExpressionUUID->"c8de2476-91f6-4969-bc63-5a0edddc037b"],
Cell[306930, 6108, 69, 0, 43, "Text",ExpressionUUID->"948c535c-78c0-4ae1-af5f-ceb0ef5ab1d8"],
Cell[307002, 6110, 70, 0, 37, "Input",ExpressionUUID->"edc3aa38-1c1d-4d5b-b770-bc52ca77fadc"]
}, Closed]],
Cell[CellGroupData[{
Cell[307109, 6115, 353, 5, 47, "Subsection",ExpressionUUID->"ac951d60-fbce-44ba-8f12-9e5545df5beb"],
Cell[307465, 6122, 69, 0, 43, "Text",ExpressionUUID->"dca5790f-2358-43e0-b359-677842457a7d"],
Cell[307537, 6124, 70, 0, 37, "Input",ExpressionUUID->"cce86f90-52f7-41f4-a63d-73a6c518b4c3"]
}, Closed]],
Cell[307622, 6127, 348, 5, 47, "Subsection",ExpressionUUID->"9f2ce783-2740-403c-974c-46a7ef9321fe"],
Cell[CellGroupData[{
Cell[307995, 6136, 468, 8, 47, "Subsection",ExpressionUUID->"ab8ea4d9-6951-44dc-96fc-10c74ccd1a4f"],
Cell[308466, 6146, 279, 6, 43, "Text",ExpressionUUID->"f0dac186-7114-4a5e-b53c-f938d8c4fd37"],
Cell[308748, 6154, 1342, 40, 41, "Input",ExpressionUUID->"2ca8802e-361f-4487-a3f0-67d18fc8fe5f"],
Cell[310093, 6196, 386, 8, 43, "Text",ExpressionUUID->"00fbe382-6c25-4893-a74d-546919a831b8"],
Cell[310482, 6206, 368, 8, 40, "Input",ExpressionUUID->"b7e98868-257f-43e4-b057-ff1cbb083046"],
Cell[310853, 6216, 728, 11, 130, "Text",ExpressionUUID->"336e8167-7e94-4334-9956-c0652866375e"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[311630, 6233, 159, 3, 83, "Section",ExpressionUUID->"32a651af-a3d2-413d-9f35-7c39c325142c"],
Cell[311792, 6238, 69, 0, 43, "Text",ExpressionUUID->"36150f4f-2e5c-47ee-a5bf-01307e79bf8c"],
Cell[CellGroupData[{
Cell[311886, 6242, 70, 0, 58, "Input",ExpressionUUID->"83381296-964a-478d-9311-55bb4bfa3868"],
Cell[311959, 6244, 71, 0, 42, "Output",ExpressionUUID->"4060d59e-f126-4563-8f66-924798c9a356"]
}, Open  ]],
Cell[CellGroupData[{
Cell[312067, 6249, 70, 0, 83, "Input",ExpressionUUID->"b9647e70-b4d2-4087-8f5e-b33fdef2477f"],
Cell[312140, 6251, 71, 0, 42, "Output",ExpressionUUID->"24dc2015-e906-4b61-85ce-d7c040f0a99f"]
}, Open  ]],
Cell[312226, 6254, 69, 0, 43, "Text",ExpressionUUID->"38868322-9474-42e6-8c64-219d7c4bae84"],
Cell[312298, 6256, 69, 0, 43, "Text",ExpressionUUID->"13c78453-f1c1-4854-92cd-b80d6af14b81"],
Cell[CellGroupData[{
Cell[312392, 6260, 70, 0, 86, "Input",ExpressionUUID->"5d222dbb-a1d4-47ed-91f8-960fb45a6796"],
Cell[312465, 6262, 71, 0, 42, "Output",ExpressionUUID->"89459a83-2c7d-48c6-861a-380e25f1eb9e"]
}, Open  ]],
Cell[312551, 6265, 69, 0, 43, "Text",ExpressionUUID->"201a58be-f2a7-46a3-83f2-0ea3fd86a05c"],
Cell[CellGroupData[{
Cell[312645, 6269, 70, 0, 86, "Input",ExpressionUUID->"9d8cd929-2a73-473b-9f38-5b575f35323f"],
Cell[312718, 6271, 71, 0, 42, "Output",ExpressionUUID->"d7e5146b-7859-447e-8e59-27a8ecc6d109"]
}, Open  ]],
Cell[312804, 6274, 69, 0, 43, "Text",ExpressionUUID->"df0161b1-c572-4c9e-a7dd-915170b4bf06"],
Cell[CellGroupData[{
Cell[312898, 6278, 70, 0, 86, "Input",ExpressionUUID->"34b4a3a0-197b-4fa0-af8e-5feba6af095e"],
Cell[312971, 6280, 71, 0, 68, "Output",ExpressionUUID->"86152b86-44c6-486b-8a24-60adc90b85a2"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[313103, 6287, 211, 4, 89, "Title",ExpressionUUID->"d8a7ce9c-a1d9-4ac0-b8bf-9ca66a94ac58"],
Cell[313317, 6293, 214, 4, 44, "Text",ExpressionUUID->"d38e2fe6-260d-4638-b639-6984dd9d14e4"],
Cell[313534, 6299, 679, 19, 76, "Input",ExpressionUUID->"36ad5cf0-e243-49da-a4b4-81b7201e79bb",
 InitializationCell->True],
Cell[314216, 6320, 210, 4, 44, "Text",ExpressionUUID->"e115f0cc-d9e8-4997-a5a4-88b0e9ed97e0"],
Cell[314429, 6326, 3586, 92, 229, "Input",ExpressionUUID->"d0f3a459-5779-4634-b09c-0491b9e771a8",
 InitializationCell->True],
Cell[318018, 6420, 276, 5, 44, "Text",ExpressionUUID->"5353bb94-3a0f-4a57-a4c7-bf24da4dc996"],
Cell[318297, 6427, 28451, 690, 1606, "Input",ExpressionUUID->"edfe8899-5aa6-4573-a2f9-6d5e8138e846",
 InitializationCell->True],
Cell[346751, 7119, 227, 4, 44, "Text",ExpressionUUID->"5b2593a5-509e-44f9-a6a7-5b7dcf896d99"],
Cell[346981, 7125, 1932, 59, 70, "Input",ExpressionUUID->"1f629f77-d334-4620-8d3f-be59496227ae",
 InitializationCell->True],
Cell[348916, 7186, 264, 5, 44, "Text",ExpressionUUID->"8580055f-686c-403d-8800-a4eab889fce4"],
Cell[349183, 7193, 1934, 58, 84, "Input",ExpressionUUID->"518221a1-6d90-4f98-b202-e0a1237c66be",
 InitializationCell->True],
Cell[351120, 7253, 1712, 46, 57, "Input",ExpressionUUID->"826d1421-eaa2-4927-b8f0-d6e94907b411",
 InitializationCell->True],
Cell[352835, 7301, 267, 5, 44, "Text",ExpressionUUID->"6e302dfa-38b2-43a3-a507-71bf2633d8e8"],
Cell[353105, 7308, 1612, 49, 130, "Input",ExpressionUUID->"b6dc346e-bb53-455b-8ab0-347df208c4fc",
 InitializationCell->True],
Cell[354720, 7359, 2945, 90, 185, "Input",ExpressionUUID->"206b163e-f71f-4efa-8317-60df1c6f2d9f",
 InitializationCell->True],
Cell[357668, 7451, 1366, 45, 133, "Input",ExpressionUUID->"efcb09e5-d244-439c-b303-ac091de903d1",
 InitializationCell->True],
Cell[359037, 7498, 258, 5, 44, "Text",ExpressionUUID->"94763911-d015-4b98-a645-b27f631322bf"],
Cell[359298, 7505, 685, 16, 79, "Input",ExpressionUUID->"963656e1-185a-42f0-8788-a13dbcb2ba17",
 InitializationCell->True],
Cell[359986, 7523, 214, 4, 44, "Text",ExpressionUUID->"04f91dc9-a818-4dc9-a431-8d20ab592198"],
Cell[360203, 7529, 2333, 64, 201, "Input",ExpressionUUID->"706dddc8-ea42-4d32-a39d-6cda4548386f",
 InitializationCell->True],
Cell[362539, 7595, 3266, 92, 84, "Input",ExpressionUUID->"5b6bcadc-bebc-485a-ad8a-15c5607cdb5c",
 InitializationCell->True],
Cell[365808, 7689, 1485, 37, 57, "Input",ExpressionUUID->"3f009055-aba3-4b84-afda-b4550565a952",
 InitializationCell->True],
Cell[367296, 7728, 1812, 56, 84, "Input",ExpressionUUID->"5ac9021a-5169-4112-a93a-cba8cac2204c",
 InitializationCell->True],
Cell[369111, 7786, 301, 5, 44, "Text",ExpressionUUID->"acf62eaa-9c57-4e21-98ab-4e5f44a5d9f7"],
Cell[369415, 7793, 6094, 160, 205, "Input",ExpressionUUID->"3be982ec-1101-45a8-b5c0-a041ea88edd9",
 InitializationCell->True],
Cell[375512, 7955, 3605, 98, 110, "Input",ExpressionUUID->"d0a62c85-f71a-491c-97db-c302cc831e5e",
 InitializationCell->True],
Cell[379120, 8055, 1510, 37, 57, "Input",ExpressionUUID->"199d4133-2756-40fa-b213-5caba9575a52",
 InitializationCell->True],
Cell[380633, 8094, 6619, 179, 341, "Input",ExpressionUUID->"ca733f68-29b1-4ede-890a-2e209d3bc36f",
 InitializationCell->True],
Cell[387255, 8275, 352, 6, 44, "Text",ExpressionUUID->"1e4ce167-3a3b-4c53-9c2a-63a8f4ac6e4e"],
Cell[387610, 8283, 4662, 123, 162, "Input",ExpressionUUID->"1d78f4a6-ed20-4f56-9454-6451173421a8",
 InitializationCell->True],
Cell[392275, 8408, 3511, 94, 110, "Input",ExpressionUUID->"e0df8f2f-e94b-41f6-a1eb-0f9b564c8f35",
 InitializationCell->True],
Cell[395789, 8504, 1517, 37, 57, "Input",ExpressionUUID->"6b5c7c1f-450b-46ac-b346-08b59f3c48ff",
 InitializationCell->True],
Cell[397309, 8543, 4528, 122, 257, "Input",ExpressionUUID->"89004a84-80b2-4ac8-b3e7-192619b48c85",
 InitializationCell->True],
Cell[401840, 8667, 253, 5, 44, "Text",ExpressionUUID->"eeb33af8-ab09-4c5f-98a3-684ae529c2b6"],
Cell[402096, 8674, 3160, 87, 124, "Input",ExpressionUUID->"1d95f279-eea0-4f7b-b541-6b303dfd6eb9",
 InitializationCell->True],
Cell[405259, 8763, 320, 6, 44, "Text",ExpressionUUID->"d81923d6-2f61-4e28-9498-a6ac201db475"],
Cell[405582, 8771, 4289, 114, 288, "Input",ExpressionUUID->"2ada455b-0f69-4044-aa86-e64ea1196ef1",
 InitializationCell->True],
Cell[409874, 8887, 1827, 52, 90, "Input",ExpressionUUID->"93e94660-fda2-4395-b4ba-b65011ae95bf"],
Cell[CellGroupData[{
Cell[411726, 8943, 348, 7, 37, "Input",ExpressionUUID->"77c353c9-4ae3-45cb-a0db-d1968d07902c"],
Cell[412077, 8952, 427, 10, 42, "Output",ExpressionUUID->"7b9e65cf-5f97-4774-9253-54b5b6028c4d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[412541, 8967, 246, 5, 37, "Input",ExpressionUUID->"e5c2846e-cd55-4431-8394-16eb3471ef65"],
Cell[412790, 8974, 305, 8, 42, "Output",ExpressionUUID->"9bf80229-ec11-45f1-af7c-da4cc80cd110"]
}, Open  ]],
Cell[CellGroupData[{
Cell[413132, 8987, 252, 5, 37, "Input",ExpressionUUID->"5ec81406-9217-47a9-b9b0-e766e9de6704"],
Cell[413387, 8994, 192, 4, 42, "Output",ExpressionUUID->"ed60c0e4-a08d-4ec1-b5a6-378df538d3a2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[413616, 9003, 395, 8, 37, "Input",ExpressionUUID->"de0f98ea-4eea-4510-b1bb-5684b0ce7e23"],
Cell[414014, 9013, 294, 5, 42, "Output",ExpressionUUID->"2a571555-9b49-4f67-8c9d-783d29f10706"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[414357, 9024, 184, 3, 123, "Title",ExpressionUUID->"17a23e7a-f1a2-46ea-aa7f-7bc099f9933e"],
Cell[CellGroupData[{
Cell[414566, 9031, 158, 3, 84, "Section",ExpressionUUID->"ee199b1d-a6a4-4eb3-9e41-ea5673045d1a"],
Cell[414727, 9036, 197, 3, 43, "Text",ExpressionUUID->"d408aeeb-1654-4525-903e-88994da645ee"],
Cell[414927, 9041, 3240, 96, 266, "Input",ExpressionUUID->"f51f78c8-fe8e-48f3-a562-1209bfc50f71",
 InitializationCell->True],
Cell[418170, 9139, 2221, 60, 163, "Input",ExpressionUUID->"dd062623-5a91-460e-945c-d5f15e24abfb",
 InitializationCell->True],
Cell[420394, 9201, 198, 3, 43, "Text",ExpressionUUID->"683219a6-4bcc-4fb8-93b5-7c590bc511b5"],
Cell[420595, 9206, 5783, 167, 506, "Input",ExpressionUUID->"c5e15fc2-7ce6-4ed3-bc7f-bcdc9085134d",
 InitializationCell->True],
Cell[426381, 9375, 3684, 108, 258, "Input",ExpressionUUID->"8db93606-ec73-4fe8-9228-51f79c4ef957",
 InitializationCell->True],
Cell[430068, 9485, 2221, 60, 163, "Input",ExpressionUUID->"3c5be8aa-305f-4c0e-a51a-4bc92cdcf171",
 InitializationCell->True],
Cell[432292, 9547, 256, 4, 43, "Text",ExpressionUUID->"264d5181-32f7-492d-a01f-33c1ad90708e"],
Cell[432551, 9553, 1844, 48, 163, "Input",ExpressionUUID->"f6517707-c164-4ea9-b57c-8d4d27eafad3",
 InitializationCell->True],
Cell[434398, 9603, 1774, 49, 163, "Input",ExpressionUUID->"33dfcd59-33cc-4f88-bc22-62c17b91dbeb",
 InitializationCell->True],
Cell[436175, 9654, 1758, 44, 190, "Input",ExpressionUUID->"9663902a-8667-481b-b613-f1c2b56b8e76",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[437958, 9702, 1934, 64, 65, "Input",ExpressionUUID->"9c77e315-84f3-4bb8-b779-5d21ee96f65c"],
Cell[439895, 9768, 304, 5, 42, "Output",ExpressionUUID->"7775f4e6-2ee1-497c-a9f8-3118f95930d2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[440236, 9778, 2570, 84, 67, "Input",ExpressionUUID->"5723b756-79d9-4c12-ac51-e690c38ba91f"],
Cell[442809, 9864, 228, 4, 42, "Output",ExpressionUUID->"765ed458-56ac-4e75-a8ca-0144cacbffa3"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[443086, 9874, 253, 4, 65, "Section",ExpressionUUID->"4d1b8cb8-9fb8-4b2a-afd6-5af66132ddc3"],
Cell[CellGroupData[{
Cell[443364, 9882, 230, 5, 67, "Subsection",ExpressionUUID->"d24bb10a-a08d-4cb4-adc6-90eacbbb945e",
 InitializationCell->True],
Cell[443597, 9889, 7607, 180, 660, "Input",ExpressionUUID->"a8bb5ed2-fac9-4aa5-a25c-81e18795f4fd",
 InitializationCell->True],
Cell[451207, 10071, 2720, 70, 272, "Input",ExpressionUUID->"a2ccdecb-28b2-4c3c-84ab-5afe89d58a90",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[453964, 10146, 274, 5, 47, "Subsection",ExpressionUUID->"ca17dcd4-e326-4661-a50d-7b0ce07059ce",
 InitializationCell->True],
Cell[454241, 10153, 6492, 177, 471, "Input",ExpressionUUID->"92967e1f-6355-4b81-ac65-f6c0f4ff666f",
 InitializationCell->True],
Cell[460736, 10332, 27391, 667, 1897, "Input",ExpressionUUID->"9abb7cac-1b8f-4b43-a136-4cd9bce3cc62",
 InitializationCell->True],
Cell[488130, 11001, 4332, 106, 327, "Input",ExpressionUUID->"2dce9a5b-3b5d-4949-b107-05aa1822d60f",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[492499, 11112, 206, 4, 47, "Subsection",ExpressionUUID->"232b8dc1-eaeb-49ed-b40b-dc263e25682e"],
Cell[492708, 11118, 18081, 406, 1267, "Input",ExpressionUUID->"410c3fa2-cb14-4cc4-9b04-ad072825be35",
 InitializationCell->True],
Cell[510792, 11526, 3474, 86, 406, "Input",ExpressionUUID->"1d5e885a-baac-43eb-9625-c1fa09ad5f06",
 InitializationCell->True],
Cell[514269, 11614, 4444, 107, 327, "Input",ExpressionUUID->"e40ddaef-eae7-44d0-8099-fbb4ba4277f8",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[518738, 11725, 6776, 168, 212, "Input",ExpressionUUID->"8ba52260-4a02-47d4-a165-72b9af474a77"],
Cell[525517, 11895, 1839, 27, 87, "Output",ExpressionUUID->"a9f5f624-3fc9-41ae-ba10-7420b360c0ce"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[527405, 11928, 239, 5, 47, "Subsection",ExpressionUUID->"96327bf7-70f3-43bb-8490-464ddbf6040c",
 InitializationCell->True],
Cell[527647, 11935, 931, 27, 87, "Input",ExpressionUUID->"31b37f25-f703-4a5d-a3f2-706d2a244af3",
 InitializationCell->True],
Cell[528581, 11964, 4942, 146, 277, "Input",ExpressionUUID->"aefc8b38-3601-4764-834f-0da8de30c104",
 InitializationCell->True],
Cell[533526, 12112, 18792, 485, 627, "Input",ExpressionUUID->"45f203b6-e174-40f4-80af-faf5a87fbca8",
 InitializationCell->True],
Cell[552321, 12599, 1268, 33, 60, "Input",ExpressionUUID->"bd6156e7-a937-4a23-abe0-7f6b0b1ebcc3",
 InitializationCell->True],
Cell[553592, 12634, 2906, 74, 275, "Input",ExpressionUUID->"1ececf73-4af0-463c-a3d3-dd6f0bc99cdb",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[556535, 12713, 304, 6, 47, "Subsection",ExpressionUUID->"5cb94a26-6007-4cf8-a288-bab050e9c43c",
 InitializationCell->True],
Cell[556842, 12721, 7043, 184, 223, "Input",ExpressionUUID->"e53ceb67-f409-40f4-a11a-700c5912ce09",
 InitializationCell->True],
Cell[563888, 12907, 2749, 70, 275, "Input",ExpressionUUID->"60958193-26e3-45e1-b807-38f510c54d01",
 InitializationCell->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[566686, 12983, 163, 3, 65, "Section",ExpressionUUID->"4d7afddc-b921-44b5-9fa0-ac8dc495c621"],
Cell[CellGroupData[{
Cell[566874, 12990, 351, 6, 67, "Subsection",ExpressionUUID->"ce385583-ea65-4a06-8936-11067ed4d51c",
 InitializationCell->True],
Cell[567228, 12998, 11762, 239, 678, "Input",ExpressionUUID->"048b6e06-91fb-4079-9a96-1c4668badd2a",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[579027, 13242, 445, 7, 47, "Subsection",ExpressionUUID->"561497f7-77d5-45c2-b2c1-8ec8688cdef1",
 InitializationCell->True],
Cell[579475, 13251, 33477, 645, 2140, "Input",ExpressionUUID->"97f68742-0353-4bae-8e16-a918addb4907",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[612989, 13901, 463, 8, 47, "Subsection",ExpressionUUID->"02f7b3e0-451f-44d4-9e30-af75a871add3",
 InitializationCell->True],
Cell[613455, 13911, 35835, 711, 2000, "Input",ExpressionUUID->"78669560-ad83-4d11-a841-008a3eebc66c",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[649327, 14627, 358, 6, 47, "Subsection",ExpressionUUID->"b4e4480a-c4ce-450d-8a61-22daf4862170"],
Cell[649688, 14635, 1951, 50, 171, "Input",ExpressionUUID->"6b08e0d4-ebe6-4bde-be57-d6a8e3da22a5",
 InitializationCell->True],
Cell[651642, 14687, 51552, 942, 2801, "Input",ExpressionUUID->"ec017ba5-094b-4b45-9e78-75bf660db09f",
 InitializationCell->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[703243, 15635, 155, 3, 65, "Section",ExpressionUUID->"a4a8920c-c244-4cba-a9f4-76cb9ee1d017"],
Cell[CellGroupData[{
Cell[703423, 15642, 371, 10, 67, "Subsection",ExpressionUUID->"df37bd0c-d724-4a87-aa39-6a1fb630e7fe"],
Cell[CellGroupData[{
Cell[703819, 15656, 233, 4, 56, "Subsubsection",ExpressionUUID->"2112ca8e-f1bd-4577-8021-a601835d47cc"],
Cell[CellGroupData[{
Cell[704077, 15664, 2364, 50, 196, "Input",ExpressionUUID->"3e59d1f3-5efb-4f2f-a753-75930841bd89"],
Cell[CellGroupData[{
Cell[706466, 15718, 1356, 25, 30, "Print",ExpressionUUID->"98a719be-5a0c-4289-bc28-b2afc2c9e012"],
Cell[707825, 15745, 1141, 17, 30, "Print",ExpressionUUID->"2f57758a-fba9-4b98-9b2d-2eb406f14c94"],
Cell[708969, 15764, 1115, 17, 30, "Print",ExpressionUUID->"9c87348c-3799-49e0-9fe5-3a7b1aa41173"],
Cell[710087, 15783, 1249, 21, 30, "Print",ExpressionUUID->"dbba1cb2-2ffd-436b-bb9f-11dc13794759"],
Cell[711339, 15806, 1141, 17, 30, "Print",ExpressionUUID->"14a63871-780c-4da0-9d45-b43b0c585912"],
Cell[712483, 15825, 1113, 17, 30, "Print",ExpressionUUID->"6051c33a-1fb9-411d-81d1-4a05d254703e"],
Cell[713599, 15844, 1249, 21, 30, "Print",ExpressionUUID->"efe03c47-f4d7-4339-8bce-4cb7b35c0dc5"],
Cell[714851, 15867, 1137, 17, 30, "Print",ExpressionUUID->"eb0ffe00-5256-4311-82d2-9b4f6a77815f"],
Cell[715991, 15886, 1770, 36, 31, "Print",ExpressionUUID->"f36183a4-9b2d-4b86-93a5-a375ebbb72e6"],
Cell[717764, 15924, 1922, 40, 50, "Print",ExpressionUUID->"c6c2dc25-e375-489f-99f7-b5d1c39a65e5"],
Cell[719689, 15966, 5076, 135, 62, "Print",ExpressionUUID->"345a5be5-3dd6-4219-b17c-29e9e48e8e5b"],
Cell[724768, 16103, 3033, 74, 55, "Print",ExpressionUUID->"4f1c8d0a-932b-47aa-82a2-7045db6b8b9b"],
Cell[727804, 16179, 1115, 17, 30, "Print",ExpressionUUID->"ca744b5f-1619-40de-aaed-4fade3c59dba"],
Cell[728922, 16198, 1247, 21, 30, "Print",ExpressionUUID->"9cdb50df-f6d3-4e89-a4e1-2da7f77f3bce"],
Cell[730172, 16221, 1135, 17, 30, "Print",ExpressionUUID->"24ab190e-8cb2-4324-b845-6634b9da80f8"],
Cell[731310, 16240, 1145, 17, 30, "Print",ExpressionUUID->"c4b5db40-c5e7-45ce-ace1-aa693d7e49ad"],
Cell[732458, 16259, 1119, 17, 30, "Print",ExpressionUUID->"8d45746f-fb4a-47cd-bc3f-7b1a9b8a4df7"],
Cell[733580, 16278, 3041, 74, 55, "Print",ExpressionUUID->"1d8543c2-add4-4c15-8a21-b53be46f5e6a"],
Cell[736624, 16354, 1184, 20, 30, "Print",ExpressionUUID->"05291796-e83a-4928-af1e-3c05bea53ed5"],
Cell[737811, 16376, 1218, 21, 30, "Print",ExpressionUUID->"7d1ccf25-9947-462b-8246-b1b0eeb4ab89"],
Cell[739032, 16399, 1184, 20, 30, "Print",ExpressionUUID->"ee657ad3-309e-4995-b4c1-dcc030b6db9c"],
Cell[740219, 16421, 1222, 21, 30, "Print",ExpressionUUID->"4a13789a-3f59-4148-a460-38f61701a989"],
Cell[741444, 16444, 1224, 21, 30, "Print",ExpressionUUID->"89442823-5dd8-4419-a465-1f9a462a1046"],
Cell[742671, 16467, 4494, 111, 55, "Print",ExpressionUUID->"bc234380-60d3-4715-96d1-f97ec6bfc667"],
Cell[747168, 16580, 1113, 17, 30, "Print",ExpressionUUID->"5a068aa4-37a3-4766-bb34-d17ea4e5b8c9"],
Cell[748284, 16599, 1247, 21, 30, "Print",ExpressionUUID->"b95bae56-ba11-478e-b24b-21bb4c73c78c"]
}, Open  ]],
Cell[749546, 16623, 603, 14, 42, "Output",ExpressionUUID->"6787be6a-ebe0-46c1-a3de-4e52c7ddea3d"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[750198, 16643, 255, 4, 56, "Subsubsection",ExpressionUUID->"916ae58d-fbdb-4d89-a6d8-52bed8896a14"],
Cell[CellGroupData[{
Cell[750478, 16651, 1718, 42, 222, "Input",ExpressionUUID->"c62f9fb7-edac-4cb2-a77f-e2f363d45b95"],
Cell[CellGroupData[{
Cell[752221, 16697, 429, 12, 30, "Print",ExpressionUUID->"18de5ede-2afa-4e95-afc0-dd508da049b4"],
Cell[752653, 16711, 231, 5, 30, "Print",ExpressionUUID->"b6833e2b-96fe-46ef-8531-71b4f8a96205"],
Cell[752887, 16718, 584, 14, 30, "Print",ExpressionUUID->"bda76ca6-1851-44db-8569-ed5f228cc3bf"],
Cell[753474, 16734, 365, 9, 30, "Print",ExpressionUUID->"d5639e6b-5e49-4be1-af55-5d08362fcbc6"],
Cell[753842, 16745, 487, 12, 30, "Print",ExpressionUUID->"b0ec54e4-c836-4242-82b7-0e7018739505"],
Cell[754332, 16759, 568, 14, 30, "Print",ExpressionUUID->"98faee64-9b3a-4652-8b89-a03ef39b3bf0"],
Cell[754903, 16775, 1805, 42, 92, "Print",ExpressionUUID->"6430ff0d-65f7-4550-91a5-89d3027aa11e"],
Cell[756711, 16819, 3591, 105, 50, "Print",ExpressionUUID->"4a894436-c741-47ab-9f31-da57cd424df5"]
}, Open  ]],
Cell[760317, 16927, 1884, 31, 42, "Output",ExpressionUUID->"f4c8dae2-68fa-4e53-bdf6-6bc65a14cf2a"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[762250, 16964, 256, 4, 46, "Subsubsection",ExpressionUUID->"0ee50853-a75f-47cc-b687-aea7fad6ed03"],
Cell[CellGroupData[{
Cell[762531, 16972, 2029, 50, 248, "Input",ExpressionUUID->"67a487a6-512e-40f9-a49a-d68ceffe932e"],
Cell[CellGroupData[{
Cell[764585, 17026, 431, 12, 30, "Print",ExpressionUUID->"71a7e56c-c20b-48de-bb1a-54d1b03f7eb4"],
Cell[765019, 17040, 231, 5, 30, "Print",ExpressionUUID->"e2b5bbb6-5304-499c-b3ee-37130807a328"],
Cell[765253, 17047, 898, 19, 30, "Print",ExpressionUUID->"06086497-5aef-438c-a7fe-cb4f7ba2de56"],
Cell[766154, 17068, 365, 9, 30, "Print",ExpressionUUID->"ba98b3fa-5b38-4e96-a7c0-0e5ac325e637"],
Cell[766522, 17079, 488, 12, 30, "Print",ExpressionUUID->"763682e9-3905-44c5-b453-a72972d8bdcc"],
Cell[767013, 17093, 881, 19, 30, "Print",ExpressionUUID->"3ec57ee6-910f-487c-a096-4470cfc665be"],
Cell[767897, 17114, 4513, 91, 220, "Print",ExpressionUUID->"c961b348-c348-44a2-98dc-807f0ffe34de"],
Cell[772413, 17207, 3597, 105, 50, "Print",ExpressionUUID->"99ad0086-556d-49f4-b5f4-253a438f130c"]
}, Open  ]],
Cell[776025, 17315, 1148, 21, 42, "Output",ExpressionUUID->"405408f9-86ee-4449-b493-8570f34de569"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[777222, 17342, 403, 6, 46, "Subsubsection",ExpressionUUID->"9fab35af-6cbe-44d1-9ca7-015d79f7329a"],
Cell[CellGroupData[{
Cell[777650, 17352, 2639, 60, 275, "Input",ExpressionUUID->"6785214c-a659-429d-b0c8-65145baef6c6"],
Cell[CellGroupData[{
Cell[780314, 17416, 455, 12, 30, "Print",ExpressionUUID->"e1ca9bc1-4e35-4999-858e-e32adfa40a6d"],
Cell[780772, 17430, 241, 4, 30, "Print",ExpressionUUID->"0be23692-28cf-47f4-8d57-af248bf736f1"],
Cell[781016, 17436, 213, 4, 30, "Print",ExpressionUUID->"a5d297b8-ecf6-4bd0-86cc-5c463506aa36"],
Cell[781232, 17442, 347, 8, 30, "Print",ExpressionUUID->"26bfa0b2-e403-476e-a59d-1ceac44990e5"],
Cell[781582, 17452, 243, 4, 30, "Print",ExpressionUUID->"bb133899-d444-469b-afb7-dcd7822cebef"],
Cell[781828, 17458, 213, 4, 30, "Print",ExpressionUUID->"13b957a7-ea9f-4af4-ab13-c38712093726"],
Cell[782044, 17464, 347, 8, 30, "Print",ExpressionUUID->"829f77f5-c2db-4cf3-9e6f-45c0015ef361"],
Cell[782394, 17474, 237, 4, 30, "Print",ExpressionUUID->"702ffd12-1a1f-4663-a054-78d30aced16a"],
Cell[782634, 17480, 1258, 29, 31, "Print",ExpressionUUID->"65a3d129-3c24-4f1f-8c48-fe2127c8aa38"],
Cell[783895, 17511, 4415, 90, 220, "Print",ExpressionUUID->"55df615a-3036-41a2-aded-50602b6aedd3"],
Cell[788313, 17603, 4140, 121, 52, "Print",ExpressionUUID->"2adebf11-9228-493a-a51c-bc490a2ba81a"],
Cell[792456, 17726, 2134, 61, 55, "Print",ExpressionUUID->"887c5e00-4476-4389-bb40-4613021b9efa"],
Cell[794593, 17789, 215, 4, 30, "Print",ExpressionUUID->"89e46027-afa9-4d7f-aee2-5f45a329c866"],
Cell[794811, 17795, 347, 8, 30, "Print",ExpressionUUID->"c02a2efb-2690-4133-9669-ef51afaa2ef8"],
Cell[795161, 17805, 235, 4, 30, "Print",ExpressionUUID->"4893f371-883a-4e95-8d5d-7111dfe15f7d"],
Cell[795399, 17811, 245, 4, 30, "Print",ExpressionUUID->"041ba7c2-7316-438b-b862-ca02c59c80c5"],
Cell[795647, 17817, 219, 4, 30, "Print",ExpressionUUID->"4cfc241d-564a-46a4-a045-e981c3be32fb"],
Cell[795869, 17823, 2139, 61, 55, "Print",ExpressionUUID->"eb6a6bdc-b876-456d-8342-868a3b10d877"],
Cell[798011, 17886, 3571, 98, 55, "Print",ExpressionUUID->"349ec471-3660-487f-b5af-e90eb3b1f0cb"],
Cell[801585, 17986, 211, 4, 30, "Print",ExpressionUUID->"0a0f8758-33c1-4cf0-8f8d-21fefc800f5b"],
Cell[801799, 17992, 349, 8, 30, "Print",ExpressionUUID->"e228bff6-eff0-497e-a38a-d884968aba10"]
}, Open  ]],
Cell[802163, 18003, 430, 11, 42, "Output",ExpressionUUID->"6c1199a2-66c6-41e1-8087-8b3ca321744f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[802630, 18019, 2636, 60, 275, "Input",ExpressionUUID->"b165eb07-394b-422d-86b6-8b350c62f097"],
Cell[CellGroupData[{
Cell[805291, 18083, 1617, 29, 30, "Print",ExpressionUUID->"7cd3d7d5-bfd9-4ba8-95eb-8a273007eec3"],
Cell[806911, 18114, 1404, 21, 30, "Print",ExpressionUUID->"25dd9505-d9d5-4b44-85b4-58b263399dd0"],
Cell[808318, 18137, 1376, 21, 30, "Print",ExpressionUUID->"62384b25-74a9-4b98-a53c-e951f2cd7ae6"],
Cell[809697, 18160, 1508, 25, 30, "Print",ExpressionUUID->"2ff77254-17a0-4c73-aae3-e74468ef7923"],
Cell[811208, 18187, 1402, 21, 30, "Print",ExpressionUUID->"60b9da38-3fff-45f9-b0e0-075dd44d4d0f"],
Cell[812613, 18210, 1374, 21, 30, "Print",ExpressionUUID->"6fee7a81-b149-4bf1-b3e5-4b078c8b5d36"],
Cell[813990, 18233, 1508, 25, 30, "Print",ExpressionUUID->"668e2e7a-de4f-4973-bd1d-38d87303540a"],
Cell[815501, 18260, 1396, 21, 30, "Print",ExpressionUUID->"5886f196-9686-498a-bb53-6dfbbb381677"],
Cell[816900, 18283, 2002, 41, 31, "Print",ExpressionUUID->"b759df62-f250-4743-be0b-9db7f4052e69"],
Cell[818905, 18326, 1599, 29, 30, "Print",ExpressionUUID->"e84473ec-4401-4ede-ab1a-e09efd872fad"],
Cell[820507, 18357, 27708, 767, 65, "Print",ExpressionUUID->"18ad0204-f41d-4fc0-8359-a593c97d5619"],
Cell[848218, 19126, 31580, 860, 67, "Print",ExpressionUUID->"e2a1058e-0be6-4015-adfb-c8b39363ce2d"],
Cell[879801, 19988, 1374, 21, 30, "Print",ExpressionUUID->"3ccbd586-deed-4e2e-8bfe-9d7bfe9a32fb"],
Cell[881178, 20011, 1510, 25, 30, "Print",ExpressionUUID->"75a7c5fc-ad65-46a7-8667-73010aa62cfa"],
Cell[882691, 20038, 1396, 21, 30, "Print",ExpressionUUID->"3766da05-65c3-43fb-be93-80604e392258"],
Cell[884090, 20061, 1404, 21, 30, "Print",ExpressionUUID->"2b832767-ed8d-4857-9a8f-f6f23d6d40ae"],
Cell[885497, 20084, 15151, 386, 308, "Print",ExpressionUUID->"ab11d78b-6256-4991-9b17-41e50e7fce9e"],
Cell[900651, 20472, 14304468, 340820, 490, "Print",ExpressionUUID->"1b700a43-47cd-449a-8d48-cfc20871d2c5"]
}, Open  ]],
Cell[15205134, 361295, 1286, 19, 42, "Output",ExpressionUUID->"26d14335-f2f0-4b31-9720-697c9ee153f3"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[15206469, 361320, 453, 7, 46, "Subsubsection",ExpressionUUID->"fbc9a1ba-4402-4010-8a10-c7d928092fc8"],
Cell[CellGroupData[{
Cell[15206947, 361331, 6160, 162, 527, "Input",ExpressionUUID->"af55c487-4651-47bd-8641-cf2a2beef891"],
Cell[CellGroupData[{
Cell[15213132, 361497, 645, 15, 30, "Print",ExpressionUUID->"5e657d85-888d-4915-8e5a-8dc34ab2c451"],
Cell[15213780, 361514, 432, 7, 30, "Print",ExpressionUUID->"e9ee23f7-6dc8-4a12-a753-d1502a3c0a01"],
Cell[15214215, 361523, 404, 7, 30, "Print",ExpressionUUID->"9d90bf6b-9a29-43be-bb16-411219d9935d"],
Cell[15214622, 361532, 536, 11, 30, "Print",ExpressionUUID->"21eb6892-2a46-4d7f-8e57-3b2ba0241565"],
Cell[15215161, 361545, 430, 7, 30, "Print",ExpressionUUID->"f2bfbca5-9453-4000-ac35-4a5c3ca43f01"],
Cell[15215594, 361554, 402, 7, 30, "Print",ExpressionUUID->"09864b43-ef7a-4208-b327-d44b6679755a"],
Cell[15215999, 361563, 538, 11, 30, "Print",ExpressionUUID->"3e5c4110-820b-4dd6-84e0-965b4465e8b3"],
Cell[15216540, 361576, 426, 7, 30, "Print",ExpressionUUID->"3e75a57d-e616-42a7-84b8-1cc511ec2946"],
Cell[15216969, 361585, 2395, 46, 55, "Print",ExpressionUUID->"baa65ee9-8268-4bed-a9c4-2e77c9ccf102"],
Cell[15219367, 361633, 29458, 514, 685, "Print",ExpressionUUID->"35211a82-36d3-42b6-855c-45137bd74ae3"],
Cell[15248828, 362149, 4354, 125, 62, "Print",ExpressionUUID->"0e840ca0-7aa7-4f62-a567-0dc2120bc3ba"],
Cell[15253185, 362276, 2323, 64, 55, "Print",ExpressionUUID->"e52b41bb-9387-45f6-9eb6-7a9147133fa8"],
Cell[15255511, 362342, 402, 7, 30, "Print",ExpressionUUID->"d184c217-20ce-4400-833c-3989b229c3d2"],
Cell[15255916, 362351, 536, 11, 30, "Print",ExpressionUUID->"5bca5581-006c-4652-85f5-7129407de355"],
Cell[15256455, 362364, 426, 7, 30, "Print",ExpressionUUID->"89ab306d-79c5-4274-b614-87357c2415d7"],
Cell[15256884, 362373, 432, 7, 30, "Print",ExpressionUUID->"19fec9fc-341e-4955-b9de-6aa908e5fbb2"],
Cell[15257319, 362382, 407, 7, 30, "Print",ExpressionUUID->"74708ff8-638b-47a7-821e-a9ea50328b86"]
}, Open  ]],
Cell[15257741, 362392, 213, 4, 42, "Output",ExpressionUUID->"d65e723f-e743-4581-8b62-2854e88b5641"]
}, Open  ]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[15258015, 362403, 358, 7, 47, "Subsection",ExpressionUUID->"491de680-c9e3-454b-b686-26f591044928"],
Cell[CellGroupData[{
Cell[15258398, 362414, 354, 6, 56, "Subsubsection",ExpressionUUID->"172bd626-9282-4dfe-b851-e29fb57597aa"],
Cell[CellGroupData[{
Cell[15258777, 362424, 2334, 47, 196, "Input",ExpressionUUID->"b8c06118-4240-483f-9825-6cfed15bddfd"],
Cell[CellGroupData[{
Cell[15261136, 362475, 740, 17, 30, "Print",ExpressionUUID->"c6d037c6-a718-48ba-a7a2-13e79e7e2f07"],
Cell[15261879, 362494, 525, 9, 30, "Print",ExpressionUUID->"2d9557dc-ede7-4640-83bb-61f84d0d5ae2"],
Cell[15262407, 362505, 499, 9, 30, "Print",ExpressionUUID->"2d316d40-4cb8-4985-9f1a-685f7b1b7e35"],
Cell[15262909, 362516, 631, 13, 30, "Print",ExpressionUUID->"c73198f3-fd91-4204-93db-dd4e829a50ce"],
Cell[15263543, 362531, 525, 9, 30, "Print",ExpressionUUID->"36d34948-9054-49ae-9735-fd162c41f3a9"],
Cell[15264071, 362542, 497, 9, 30, "Print",ExpressionUUID->"67be06bd-1ac5-4c64-94d4-55739396d1b0"],
Cell[15264571, 362553, 631, 13, 30, "Print",ExpressionUUID->"b3996d6f-2f75-4686-abe1-5f911cb2c3b8"],
Cell[15265205, 362568, 519, 9, 30, "Print",ExpressionUUID->"3eb01122-38fe-4123-9825-e8f913b89208"],
Cell[15265727, 362579, 1311, 31, 31, "Print",ExpressionUUID->"fb74ae7b-25d8-4f33-937d-3c1a7c1b1bb7"],
Cell[15267041, 362612, 1590, 35, 112, "Print",ExpressionUUID->"03308377-ff00-427e-a783-db7589a813e2"],
Cell[15268634, 362649, 4406, 126, 52, "Print",ExpressionUUID->"916c2c0c-5ff1-4d1d-ad50-2d5895670eb9"],
Cell[15273043, 362777, 2418, 66, 55, "Print",ExpressionUUID->"e6af6bee-05ac-482e-af87-9383f7fad6e6"],
Cell[15275464, 362845, 497, 9, 30, "Print",ExpressionUUID->"0dbc4193-e28b-444f-aa27-eff0a1df5112"],
Cell[15275964, 362856, 629, 13, 30, "Print",ExpressionUUID->"5c9b7ffa-578c-45e4-a5e2-baecabe1e175"],
Cell[15276596, 362871, 519, 9, 30, "Print",ExpressionUUID->"b0b69762-b290-4f15-99f1-ea80134db95d"],
Cell[15277118, 362882, 529, 9, 30, "Print",ExpressionUUID->"8ed54b5a-3adb-428a-925f-dea7e71df0f5"],
Cell[15277650, 362893, 502, 9, 30, "Print",ExpressionUUID->"b82f3934-3350-4bc7-a99e-23ab9e73a9d3"],
Cell[15278155, 362904, 2431, 66, 55, "Print",ExpressionUUID->"253633b5-dbb8-4704-b4c9-665fdcf982eb"],
Cell[15280589, 362972, 3866, 103, 55, "Print",ExpressionUUID->"09aa33ba-d845-4e78-b6bc-508c8897d991"],
Cell[15284458, 363077, 499, 9, 30, "Print",ExpressionUUID->"34111fd7-cd62-4072-a074-f0f6d7faa98f"],
Cell[15284960, 363088, 631, 13, 30, "Print",ExpressionUUID->"40b81c1c-3016-4d08-94fd-0a2d7466dabc"]
}, Open  ]],
Cell[15285606, 363104, 718, 16, 42, "Output",ExpressionUUID->"35486405-0b25-4af2-ab43-3dd2013e59da"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15286373, 363126, 305, 5, 56, "Subsubsection",ExpressionUUID->"3a40b7e4-1dce-4502-b50f-97aee4ec77ca"],
Cell[CellGroupData[{
Cell[15286703, 363135, 4603, 110, 381, "Input",ExpressionUUID->"41dabfd8-9ba5-45f1-a785-c6ff45efdd28"],
Cell[CellGroupData[{
Cell[15291331, 363249, 613, 15, 30, "Print",ExpressionUUID->"4beae4a3-2223-40fc-a085-43b54ecb27d6"],
Cell[15291947, 363266, 398, 7, 30, "Print",ExpressionUUID->"28cbc62f-cdd1-483a-8952-4804f7a47909"],
Cell[15292348, 363275, 369, 7, 30, "Print",ExpressionUUID->"ca0fcf66-45f0-4240-8f98-6c9ed8af5395"],
Cell[15292720, 363284, 504, 11, 30, "Print",ExpressionUUID->"dc2777cf-7cdf-41fb-9bc3-c705580cecb2"],
Cell[15293227, 363297, 398, 7, 30, "Print",ExpressionUUID->"e16cbec8-aa23-4f55-8492-33c7b948a7d3"],
Cell[15293628, 363306, 369, 7, 30, "Print",ExpressionUUID->"ef7f5fa4-6c4e-48cc-91f2-e4dd8923203c"],
Cell[15294000, 363315, 506, 11, 30, "Print",ExpressionUUID->"d44c8a51-6300-4785-b6a6-a59268a3101a"],
Cell[15294509, 363328, 392, 7, 30, "Print",ExpressionUUID->"4d522628-1cb4-4518-b400-6cec9a3dcc9a"],
Cell[15294904, 363337, 1874, 39, 55, "Print",ExpressionUUID->"97d3b9a9-2fd3-4f5b-8787-1422e01d24f9"],
Cell[15296781, 363378, 10923, 202, 450, "Print",ExpressionUUID->"c8cc98a0-6d29-483b-8968-dda3070268bd"],
Cell[15307707, 363582, 4282, 124, 52, "Print",ExpressionUUID->"a9cbc2de-4f72-4a07-b61e-db34c0221632"],
Cell[15311992, 363708, 2292, 64, 55, "Print",ExpressionUUID->"e9b0ddd7-099c-4c82-b7ec-04862aef720a"],
Cell[15314287, 363774, 370, 7, 30, "Print",ExpressionUUID->"e911fecf-40cb-44b0-af37-3f61a8602649"],
Cell[15314660, 363783, 504, 11, 30, "Print",ExpressionUUID->"4efbd4b9-a133-4ba9-95d0-2187909a9fe1"],
Cell[15315167, 363796, 392, 7, 30, "Print",ExpressionUUID->"820ed9e6-98c0-4921-84c4-6fb18c4316e6"],
Cell[15315562, 363805, 402, 7, 30, "Print",ExpressionUUID->"09cec480-642f-4ac8-9669-6e09585fa95c"],
Cell[15315967, 363814, 376, 7, 30, "Print",ExpressionUUID->"49a8247d-f859-4776-8093-08f9a1df0d1e"]
}, Open  ]],
Cell[15316358, 363824, 348, 6, 42, "Output",ExpressionUUID->"5d85519f-a96a-4162-98a1-786507cd35ab"]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[15316791, 363839, 189, 3, 89, "Title",ExpressionUUID->"241eb9ca-79cc-4b1d-9088-fb01f2c65187"],
Cell[15316983, 363844, 289, 7, 44, "Text",ExpressionUUID->"a34330ac-5af3-4a38-a37c-0498abda882c"],
Cell[15317275, 363853, 485, 11, 39, "Input",ExpressionUUID->"8ad34083-207a-475d-9246-e578c2e73d39"],
Cell[15317763, 363866, 262, 6, 44, "Text",ExpressionUUID->"e4dc23bf-395f-4a29-b9de-6640b6baca1c"],
Cell[15318028, 363874, 1222, 36, 61, "Input",ExpressionUUID->"7d144384-4fef-4ccc-87c0-df2676f9f904"],
Cell[15319253, 363912, 624, 17, 44, "Text",ExpressionUUID->"7a2be485-b34b-487a-a57f-4b3baf2f24ee"],
Cell[15319880, 363931, 367, 7, 44, "Text",ExpressionUUID->"78537bc7-a4e9-46bf-a52d-8b90586718a3"],
Cell[15320250, 363940, 672, 19, 54, "Input",ExpressionUUID->"4be4913d-4f38-4d4d-aba2-dc73a726d0d0"],
Cell[15320925, 363961, 223, 4, 44, "Text",ExpressionUUID->"43e4829b-3a41-4e78-b237-4e7889e68a90"],
Cell[15321151, 363967, 505, 14, 40, "Input",ExpressionUUID->"dba444ae-b360-4aa9-9315-403a995d2789"],
Cell[15321659, 363983, 887, 26, 44, "Text",ExpressionUUID->"13b0bda8-a0c2-4ead-98a8-f1bf2b5b1351"],
Cell[15322549, 364011, 627, 18, 42, "Input",ExpressionUUID->"8a03e6f7-0e8f-4b38-9003-c166e65ee00f"],
Cell[15323179, 364031, 1191, 32, 73, "Text",ExpressionUUID->"26750679-859a-403f-8687-61d5d4702b96"],
Cell[15324373, 364065, 835, 23, 40, "Input",ExpressionUUID->"bc6cf9f5-1c38-4075-86b2-090bfab3626d"],
Cell[15325211, 364090, 908, 25, 73, "Text",ExpressionUUID->"4847019e-9539-4453-ba09-899035e688a6"],
Cell[15326122, 364117, 346, 11, 39, "Input",ExpressionUUID->"0b69ace8-383c-45e1-9e4b-425ec9d065eb"],
Cell[15326471, 364130, 150, 3, 44, "Text",ExpressionUUID->"19370404-b6f2-4774-ae9d-8d8dd50abdee"],
Cell[15326624, 364135, 413, 12, 40, "Input",ExpressionUUID->"5d7f53a6-56e7-44e0-8cda-0d8ac9cc5467"],
Cell[15327040, 364149, 199, 4, 44, "Text",ExpressionUUID->"df4aafbe-4c68-49e1-985b-8b01db7c9dfc"],
Cell[15327242, 364155, 775, 25, 68, "Input",ExpressionUUID->"d98a98c1-6939-4d8e-b34d-20628145e83c"],
Cell[15328020, 364182, 744, 19, 44, "Text",ExpressionUUID->"1e019b3f-0ec6-4996-b433-436bfa68249a"],
Cell[15328767, 364203, 1938, 54, 81, "Input",ExpressionUUID->"2e469831-9930-4ad2-83c0-4e30beb7bfe5"],
Cell[15330708, 364259, 173, 3, 44, "Text",ExpressionUUID->"bb9376c5-3710-4f38-a0cd-cd2c215d3da3"],
Cell[15330884, 364264, 204, 4, 44, "Text",ExpressionUUID->"c64cae63-68fa-4104-844c-5db4044e531d"],
Cell[15331091, 364270, 1183, 34, 71, "Input",ExpressionUUID->"dc81ecdb-56e7-4c38-b8d7-4b4d99abb54e"],
Cell[15332277, 364306, 1001, 28, 77, "Input",ExpressionUUID->"efa8df3f-4ea7-4372-9650-2183b89661e5"],
Cell[15333281, 364336, 494, 11, 44, "Text",ExpressionUUID->"472707cc-c67f-4150-bffb-346deebfe911"],
Cell[15333778, 364349, 240, 4, 44, "Text",ExpressionUUID->"33b16062-89ca-4816-bce3-188c08586462"],
Cell[CellGroupData[{
Cell[15334043, 364357, 562, 14, 40, "Item",ExpressionUUID->"af84314f-3568-4b2a-86ae-79f56f67a074"],
Cell[15334608, 364373, 744, 19, 67, "Item",ExpressionUUID->"8a822d39-2341-4596-ada7-e75d9e6690e9"],
Cell[15335355, 364394, 1188, 33, 67, "Item",ExpressionUUID->"6fce318d-b27e-4732-8652-d9af60c9d126"]
}, Open  ]],
Cell[15336558, 364430, 437, 12, 44, "Text",ExpressionUUID->"2122a45a-faf8-43b9-ad55-a691c6aeb453"],
Cell[15336998, 364444, 264, 5, 44, "Text",ExpressionUUID->"eb3bf7bb-f510-4acd-af97-fa003e171a33"]
}, Closed]],
Cell[CellGroupData[{
Cell[15337299, 364454, 249, 4, 89, "Title",ExpressionUUID->"403ad24b-6148-464c-a5e4-e415e314b48d"],
Cell[15337551, 364460, 610, 18, 90, "Input",ExpressionUUID->"25f11938-4579-4635-83c0-28b3627c6f5a"],
Cell[15338164, 364480, 927, 32, 53, "Input",ExpressionUUID->"5d6e6788-22dd-4397-a680-fe605c9feccd"],
Cell[CellGroupData[{
Cell[15339116, 364516, 179, 3, 84, "Section",ExpressionUUID->"cf8f6c8e-c59a-4828-8c32-df4820734500"],
Cell[15339298, 364521, 1467, 29, 306, "Code",ExpressionUUID->"0527fb6c-d312-49f0-a800-b985047134b5"],
Cell[15340768, 364552, 1792, 41, 89, "Code",ExpressionUUID->"3053fc54-a711-42db-bdb9-fe3d0985162c"],
Cell[15342563, 364595, 12359, 327, 662, "Input",ExpressionUUID->"f9315378-c650-4b01-adc0-3a8dfaf073d2"],
Cell[CellGroupData[{
Cell[15354947, 364926, 5131, 95, 480, "Input",ExpressionUUID->"abd4eab1-6449-43ab-964f-c00dcb6b555b"],
Cell[15360081, 365023, 155462, 2775, 308, "Output",ExpressionUUID->"ba8d0057-583d-4a73-9ff8-999a76f07c90"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15515580, 367803, 3552, 74, 480, "Input",ExpressionUUID->"b3f6951d-bf84-466d-8be0-5fa497cd2249"],
Cell[15519135, 367879, 165021, 2948, 347, "Output",ExpressionUUID->"93e84e14-d627-4cd5-8840-af3a8f7b5296"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15684193, 370832, 5836, 147, 576, "Input",ExpressionUUID->"480efb8a-9a05-41e0-9e2f-f1efa4801aa1"],
Cell[15690032, 370981, 78408, 1428, 563, "Output",ExpressionUUID->"05a90f35-9e7d-4d82-bf9e-5c4c3d762410"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15768477, 372414, 3718, 85, 152, "Input",ExpressionUUID->"4ced83df-82fb-479a-80ad-f54999d07ac1"],
Cell[15772198, 372501, 393, 10, 42, "Output",ExpressionUUID->"e761cef7-ba89-40f0-af81-9f25b144f7d8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15772628, 372516, 396, 10, 37, "Input",ExpressionUUID->"435d8ce4-d7ff-48f6-a36d-eeae80173fe5"],
Cell[15773027, 372528, 395, 10, 42, "Output",ExpressionUUID->"768775f5-78ab-4c99-8cde-2d755074e776"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15773459, 372543, 5015, 104, 596, "Input",ExpressionUUID->"3e1d531d-968b-4347-a125-72660d1219b5"],
Cell[15778477, 372649, 40094, 699, 292, "Output",ExpressionUUID->"b79b5882-ebd6-4e5c-bf2f-22c76bb87f38"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15818608, 373353, 1006, 34, 41, "Input",ExpressionUUID->"ed4f0a44-6146-4637-aef9-adbd4d2214f4"],
Cell[15819617, 373389, 180, 3, 42, "Output",ExpressionUUID->"8834c727-28ee-4177-9c26-b5e90ee0942b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15819834, 373397, 875, 25, 93, "Input",ExpressionUUID->"827a1054-eda5-4739-83bf-0386aaca1ac7"],
Cell[15820712, 373424, 538, 15, 43, "Output",ExpressionUUID->"60b9cb12-eca4-44cc-85c0-c21c1c2ccac5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15821287, 373444, 1086, 37, 57, "Input",ExpressionUUID->"cdad1fe6-ff9f-408c-a306-2a11ba6ebd87"],
Cell[15822376, 373483, 182, 3, 42, "Output",ExpressionUUID->"c8179154-92d6-479f-ba30-b6df072b5d55"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15822595, 373491, 12100, 237, 1260, "Input",ExpressionUUID->"0a7923af-71ee-45df-8b56-0e8b12a0a6d1"],
Cell[15834698, 373730, 8842, 152, 1009, "Output",ExpressionUUID->"5db96a25-79a9-4efe-8b1f-76b5aa8f7756"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15843589, 373888, 225, 4, 65, "Section",ExpressionUUID->"f52c481b-2327-47bd-b23f-929a336b5740"],
Cell[15843817, 373894, 1466, 29, 298, "Input",ExpressionUUID->"7ba6b269-e860-40b6-aa38-f199d4dfc390"],
Cell[15845286, 373925, 10942, 311, 662, "Input",ExpressionUUID->"c7746a17-1add-47d6-9260-6df14430c1a3"],
Cell[15856231, 374238, 1300, 31, 37, "Input",ExpressionUUID->"07e73e2b-48a5-4642-9417-f48c2b3cf550"],
Cell[CellGroupData[{
Cell[15857556, 374273, 4261, 78, 428, "Input",ExpressionUUID->"602f0900-7f7d-4d52-a070-f83c0ac6ed77"],
Cell[15861820, 374353, 127060, 2271, 296, "Output",ExpressionUUID->"b9e63d08-dfaf-48f9-92f3-7756bbd1510a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15988917, 376629, 2830, 60, 428, "Input",ExpressionUUID->"74b01204-6ed1-4565-9dc3-493748b8baba"],
Cell[15991750, 376691, 122380, 2186, 332, "Output",ExpressionUUID->"291aabce-0e42-4de4-9398-b5a031b29d14"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16114167, 378882, 2242, 55, 309, "Input",ExpressionUUID->"2b3668cf-0afe-4101-b9c6-a8266ed46749"],
Cell[16116412, 378939, 18397, 343, 309, "Output",ExpressionUUID->"b5742a85-dea6-4c18-9951-2ce62dadcb19"]
}, Open  ]],
Cell[16134824, 379285, 1745, 40, 61, "Input",ExpressionUUID->"a3de568f-6397-4cbb-b5f7-b0dab8cb97bf"],
Cell[CellGroupData[{
Cell[16136594, 379329, 2558, 57, 98, "Input",ExpressionUUID->"fdbd10c2-f3dd-4f14-a3d6-dc11f0091954"],
Cell[16139155, 379388, 1094, 20, 42, "Output",ExpressionUUID->"79329edf-52d4-457d-a672-1025b9595c66"]
}, Open  ]],
Cell[16140264, 379411, 1790, 40, 61, "Input",ExpressionUUID->"225241c3-33d9-4310-84ba-d8734640e0de"],
Cell[16142057, 379453, 2540, 55, 98, "Input",ExpressionUUID->"3f531de4-75e7-4225-8e55-c8e46d93b5af"],
Cell[16144600, 379510, 418, 10, 37, InheritFromParent,ExpressionUUID->"4807fbf5-b84c-4d81-ab8b-fc347158d244"],
Cell[16145021, 379522, 398, 10, 42, "Output",ExpressionUUID->"21bc6cf6-accb-4361-ad00-dfc71d4c52b7"],
Cell[16145422, 379534, 4073, 91, 622, "Input",ExpressionUUID->"b73e1773-6edf-420d-97ea-e2f403c9a519"],
Cell[CellGroupData[{
Cell[16149520, 379629, 986, 29, 70, "Input",ExpressionUUID->"ae070d17-12b4-413c-af0d-ea06f0509ac1"],
Cell[16150509, 379660, 496, 14, 43, "Output",ExpressionUUID->"61fa5d44-992e-4d43-a6ce-8a99de64cd72"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16151042, 379679, 1436, 45, 68, "Input",ExpressionUUID->"ce7948e3-c67c-4204-92e1-3e37d62a77b7"],
Cell[16152481, 379726, 275, 5, 42, "Output",ExpressionUUID->"6ae43642-bb7b-4b1a-b6de-404d687ba225"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16152793, 379736, 1307, 44, 68, "Input",ExpressionUUID->"780b7dbf-22a6-48a3-8616-b43d7eee891d"],
Cell[16154103, 379782, 156, 3, 42, "Output",ExpressionUUID->"0ea470b4-e8d3-4f6a-a60a-5be97255d2dc"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16154308, 379791, 156, 3, 65, "Section",ExpressionUUID->"7e57ea5d-eda6-4859-be05-fbdab0057af8"],
Cell[16154467, 379796, 1046, 21, 246, "Input",ExpressionUUID->"9b0a9925-7ea3-472a-8b52-c47b533609b7"],
Cell[16155516, 379819, 12056, 320, 662, "Input",ExpressionUUID->"e2303c87-a8e1-4df1-944f-cd2b088263a9"],
Cell[CellGroupData[{
Cell[16167597, 380143, 2544, 43, 272, "Input",ExpressionUUID->"c25cd409-06ed-474f-bd83-a59b0babaccb"],
Cell[16170144, 380188, 72082, 1437, 484, "Output",ExpressionUUID->"a3e56d39-d567-4bc8-a07b-1909c4f1269b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16242263, 381630, 1442, 29, 272, "Input",ExpressionUUID->"b6366ba0-47af-4fdb-8ffb-513b455421e0"],
Cell[16243708, 381661, 74203, 1485, 479, "Output",ExpressionUUID->"aee73340-d188-4c02-9c0b-bc1febe9fc98"]
}, Open  ]],
Cell[16317926, 383149, 893, 24, 37, "Input",ExpressionUUID->"5add9728-32e3-4599-868d-3a1b2239db00"],
Cell[CellGroupData[{
Cell[16318844, 383177, 1514, 40, 108, "Input",ExpressionUUID->"2a0688ee-74ad-46db-ba7b-224b2b808675"],
Cell[16320361, 383219, 1720, 28, 95, "Output",ExpressionUUID->"eca99428-ff78-4db9-b494-5f3bcf2667f9"],
Cell[16322084, 383249, 1708, 27, 95, "Output",ExpressionUUID->"8ddf8bc8-1463-44d4-b852-ee67ae09ad31"]
}, Open  ]],
Cell[16323807, 383279, 1891, 42, 61, "Input",ExpressionUUID->"5a387996-123d-49ae-82fd-6a5880df6248"],
Cell[16325701, 383323, 2490, 54, 98, "Input",ExpressionUUID->"eea77d81-2482-41a9-a42f-4d2642a2975b"],
Cell[16328194, 383379, 350, 8, 37, InheritFromParent,ExpressionUUID->"ca9a55bb-28bc-40cf-a0da-e4b6a558812f"],
Cell[16328547, 383389, 351, 8, 42, "Output",ExpressionUUID->"686e79ab-49c0-4140-ac3f-11851338bc55"],
Cell[CellGroupData[{
Cell[16328923, 383401, 4031, 89, 622, "Input",ExpressionUUID->"9b865922-379a-437f-9465-86ea61099c7c"],
Cell[16332957, 383492, 41798, 734, 475, "Output",ExpressionUUID->"f3910331-e22e-4ec4-bc09-cddeacb1e34b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16374792, 384231, 1875, 56, 128, "Input",ExpressionUUID->"c985275f-ef22-4f69-b6cc-ef3826053597"],
Cell[16376670, 384289, 672, 19, 43, "Output",ExpressionUUID->"898aac3e-1016-4685-a14a-61fdedacf977"],
Cell[16377345, 384310, 674, 19, 43, "Output",ExpressionUUID->"132f03f3-ad06-4c9d-aac7-3f9d9f66b481"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16378056, 384334, 1875, 57, 159, "Input",ExpressionUUID->"dca1f039-5557-487f-84a9-a8d0593e13b8"],
Cell[16379934, 384393, 262, 5, 42, "Output",ExpressionUUID->"3134ce42-00f8-4572-ab03-8c4f079f2642"],
Cell[16380199, 384400, 260, 5, 42, "Output",ExpressionUUID->"0963bb54-ec43-4bfe-a391-e16b76eeb60a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16380496, 384410, 268, 5, 37, "Input",ExpressionUUID->"260825fc-6f14-4563-abdf-cc6efaff9248"],
Cell[16380767, 384417, 219, 4, 42, "Output",ExpressionUUID->"b633d784-e906-43ee-a7a0-429a7dd7461b"]
}, Open  ]],
Cell[16381001, 384424, 159, 3, 37, "Input",ExpressionUUID->"5fc45f6b-6f0f-4bda-a789-8f5d1948060d"],
Cell[CellGroupData[{
Cell[16381185, 384431, 221, 4, 37, "Input",ExpressionUUID->"9863fdf6-bc1e-47aa-a3e5-292ea3e209b0"],
Cell[16381409, 384437, 173, 3, 42, "Output",ExpressionUUID->"d132a5b0-7803-4330-989e-9828b19a8db2"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[16381631, 384446, 161, 3, 65, "Section",ExpressionUUID->"aa4e43b6-16bb-48ec-b510-dd62918a249d"],
Cell[CellGroupData[{
Cell[16381817, 384453, 11273, 236, 1325, "Input",ExpressionUUID->"74a386fd-d786-4f8e-ac35-d0ff9ba081f6"],
Cell[16393093, 384691, 9389, 154, 1030, "Output",ExpressionUUID->"d7d06b61-0933-4088-93bd-8e0fba5dd977"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[16402531, 384851, 150, 3, 65, "Section",ExpressionUUID->"c824cb5c-4a52-46d1-a35a-851caf0c9277"],
Cell[16402684, 384856, 1419, 28, 301, "Input",ExpressionUUID->"1977eb38-bd98-44a0-b57c-ac589cd31f23"],
Cell[16404106, 384886, 12114, 324, 668, "Input",ExpressionUUID->"0f03b54b-50d6-4328-8dde-389d9edd0376"],
Cell[16416223, 385212, 1300, 31, 37, "Input",ExpressionUUID->"f9acf0a4-3da8-429b-a594-2c21c54c53a9"],
Cell[CellGroupData[{
Cell[16417548, 385247, 4298, 78, 432, "Input",ExpressionUUID->"c1b071fe-431f-4cdf-b065-c9836c7cb530"],
Cell[16421849, 385327, 102236, 1839, 303, "Output",ExpressionUUID->"c24db48e-2ebb-490a-847c-3a363ebc6a9a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16524122, 387171, 2861, 59, 432, "Input",ExpressionUUID->"285de9b9-fad2-431d-b993-6b52467af553"],
Cell[16526986, 387232, 99966, 1795, 337, "Output",ExpressionUUID->"b209fd1f-70c0-44b8-baa1-af339becdef7"]
}, Open  ]],
Cell[16626967, 389030, 948, 28, 56, "Input",ExpressionUUID->"849f5a6b-f177-4c34-b90a-a4a0f595ff32"],
Cell[CellGroupData[{
Cell[16627940, 389062, 2275, 55, 285, "Input",ExpressionUUID->"696ad044-0be9-4ed4-802d-4bc2dd39d586"],
Cell[16630218, 389119, 18090, 337, 293, "Output",ExpressionUUID->"67c34fe1-8f0f-4856-977a-5ae9dee5e12c"]
}, Open  ]],
Cell[16648323, 389459, 969, 25, 37, "Input",ExpressionUUID->"44fe23db-72cc-451a-a798-d806f5062a38"],
Cell[CellGroupData[{
Cell[16649317, 389488, 1873, 45, 100, "Input",ExpressionUUID->"9cabf5e4-e77b-4ef2-aa57-94f5f5a8cbcb"],
Cell[16651193, 389535, 937, 18, 42, "Output",ExpressionUUID->"c4d5735f-bbcd-4f79-b8ac-3772f744e604"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16652167, 389558, 4172, 93, 626, "Input",ExpressionUUID->"b0fad934-cdc2-48f8-b42d-e1d50d885bea"],
Cell[16656342, 389653, 63385, 1110, 290, "Output",ExpressionUUID->"7f805117-2275-4fc2-af8f-a768f2c22eab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16719764, 390768, 992, 29, 70, "Input",ExpressionUUID->"0cd8ad00-b6e1-42c2-a5bd-2c4292c8a2c3"],
Cell[16720759, 390799, 498, 14, 42, "Output",ExpressionUUID->"8d821a0a-d7b4-4f2d-85e7-13b1146b12ba"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

